package android.app;

import android.content.SharedPreferences;
import android.content.pm.ApplicationInfo;
import android.content.res.CompatibilityInfo;
import android.content.res.Resources;
import de.robv.android.xposed.XSharedPreferences;
import de.robv.android.xposed.XposedBridge;
import de.robv.android.xposed.XposedHelpers;
import e.g.a.g.a;
import java.lang.ref.WeakReference;
import java.util.Map;
import joke.android.app.BRActivityThread;
/* compiled from: AAA */
/* loaded from: classes.dex */
public final class AndroidAppHelper {
    public static final Class<?> CLASS_RESOURCES_KEY = XposedHelpers.findClass("android.content.res.ResourcesKey", null);

    public static void addActiveResource(String str, float f2, boolean z, Resources resources) {
        addActiveResource(str, resources);
    }

    public static Application currentApplication() {
        return BRActivityThread.get().currentApplication();
    }

    public static ApplicationInfo currentApplicationInfo() {
        Object objectField;
        Object currentActivityThread = BRActivityThread.get().currentActivityThread();
        if (currentActivityThread == null || (objectField = XposedHelpers.getObjectField(currentActivityThread, "mBoundApplication")) == null) {
            return null;
        }
        return (ApplicationInfo) XposedHelpers.getObjectField(objectField, a.EXTRA_LOADING_APP_INFO);
    }

    public static String currentPackageName() {
        ApplicationInfo currentApplicationInfo = currentApplicationInfo();
        return currentApplicationInfo != null ? currentApplicationInfo.packageName : "android";
    }

    public static String currentProcessName() {
        String currentPackageName = BRActivityThread.get().currentPackageName();
        return currentPackageName == null ? "android" : currentPackageName;
    }

    @Deprecated
    public static SharedPreferences getDefaultSharedPreferencesForPackage(String str) {
        return new XSharedPreferences(str);
    }

    public static Map<Object, WeakReference> getResourcesMap(Object obj) {
        return (Map) XposedHelpers.getObjectField(XposedHelpers.getObjectField(obj, "mResourcesManager"), "mResourceImpls");
    }

    @Deprecated
    public static SharedPreferences getSharedPreferencesForPackage(String str, String str2, int i2) {
        return new XSharedPreferences(str, str2);
    }

    @Deprecated
    public static void reloadSharedPreferencesIfNeeded(SharedPreferences sharedPreferences) {
        if (sharedPreferences instanceof XSharedPreferences) {
            ((XSharedPreferences) sharedPreferences).reload();
        }
    }

    public static void addActiveResource(String str, Resources resources) {
        Object currentActivityThread = BRActivityThread.get().currentActivityThread();
        if (currentActivityThread == null) {
            return;
        }
        CompatibilityInfo compatibilityInfo = (CompatibilityInfo) XposedHelpers.newInstance(CompatibilityInfo.class, new Object[0]);
        XposedHelpers.setFloatField(compatibilityInfo, "applicationScale", resources.hashCode());
        try {
            getResourcesMap(currentActivityThread).put(XposedHelpers.newInstance(CLASS_RESOURCES_KEY, str, null, null, null, 0, null, compatibilityInfo), new WeakReference(XposedHelpers.getObjectField(resources, "mResourcesImpl")));
        } catch (Throwable th) {
            XposedBridge.log(th);
        }
    }
}
