package android.content.res;

import android.app.AndroidAppHelper;
import android.util.DisplayMetrics;
import joke.android.content.res.BRAssetManager;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class XModuleResources extends Resources {
    public XModuleResources(AssetManager assetManager, DisplayMetrics displayMetrics, Configuration configuration) {
        super(assetManager, displayMetrics, configuration);
    }

    public static XModuleResources createInstance(String str, XResources xResources) {
        XModuleResources xModuleResources;
        if (str != null) {
            AssetManager assetManager = new AssetManager();
            BRAssetManager.get(assetManager).addAssetPath(str);
            if (xResources != null) {
                xModuleResources = new XModuleResources(assetManager, BRAssetManager.get(assetManager).getDisplayMetrics(), BRAssetManager.get(assetManager).getConfiguration());
            } else {
                xModuleResources = new XModuleResources(assetManager, null, null);
            }
            AndroidAppHelper.addActiveResource(str, xModuleResources);
            return xModuleResources;
        }
        throw new IllegalArgumentException("path must not be null");
    }

    public XResForwarder fwd(int i2) {
        return new XResForwarder(this, i2);
    }
}
