package androidx.appcompat.app;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class TwilightCalculator {
    public static final float ALTIDUTE_CORRECTION_CIVIL_TWILIGHT = -0.10471976f;
    public static final float C1 = 0.0334196f;
    public static final float C2 = 3.49066E-4f;
    public static final float C3 = 5.236E-6f;
    public static final int DAY = 0;
    public static final float DEGREES_TO_RADIANS = 0.017453292f;
    public static final float J0 = 9.0E-4f;
    public static final int NIGHT = 1;
    public static final float OBLIQUITY = 0.4092797f;
    public static final long UTC_2000 = 946728000000L;
    public static TwilightCalculator sInstance;
    public int state;
    public long sunrise;
    public long sunset;

    public static TwilightCalculator getInstance() {
        if (sInstance == null) {
            sInstance = new TwilightCalculator();
        }
        return sInstance;
    }

    public void calculateTwilight(long j2, double d2, double d3) {
        float f2;
        float f3 = ((float) (j2 - UTC_2000)) / 8.64E7f;
        double d4 = (0.01720197f * f3) + 6.24006f;
        Double.isNaN(d4);
        double sin = (Math.sin(d4) * 0.03341960161924362d) + d4 + (Math.sin(2.0f * f2) * 3.4906598739326E-4d) + (Math.sin(f2 * 3.0f) * 5.236000106378924E-6d) + 1.796593063d + 3.141592653589793d;
        double d5 = (-d3) / 360.0d;
        double d6 = f3 - 9.0E-4f;
        Double.isNaN(d6);
        double round = ((float) Math.round(d6 - d5)) + 9.0E-4f;
        Double.isNaN(round);
        double sin2 = round + d5 + (Math.sin(d4) * 0.0053d) + (Math.sin(2.0d * sin) * (-0.0069d));
        double asin = Math.asin(Math.sin(sin) * Math.sin(0.4092797040939331d));
        double d7 = 0.01745329238474369d * d2;
        double sin3 = (Math.sin(-0.10471975803375244d) - (Math.sin(d7) * Math.sin(asin))) / (Math.cos(d7) * Math.cos(asin));
        if (sin3 >= 1.0d) {
            this.state = 1;
            this.sunset = -1L;
            this.sunrise = -1L;
        } else if (sin3 <= -1.0d) {
            this.state = 0;
            this.sunset = -1L;
            this.sunrise = -1L;
        } else {
            double acos = (float) (Math.acos(sin3) / 6.283185307179586d);
            Double.isNaN(acos);
            this.sunset = Math.round((sin2 + acos) * 8.64E7d) + UTC_2000;
            Double.isNaN(acos);
            long round2 = Math.round((sin2 - acos) * 8.64E7d) + UTC_2000;
            this.sunrise = round2;
            if (round2 < j2 && this.sunset > j2) {
                this.state = 0;
            } else {
                this.state = 1;
            }
        }
    }
}
