package chongya.canyie.dreamland.utils;

import android.system.ErrnoException;
import android.util.Log;
import java.io.BufferedReader;
import java.io.Closeable;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
/* compiled from: AAA */
/* loaded from: classes.dex */
public final class IOUtils {
    public static final String TAG = "IOUtils";

    public static void closeQuietly(Closeable closeable) {
        if (closeable != null) {
            try {
                closeable.close();
            } catch (IOException e2) {
                Log.e("IOUtils", "Error while closing Closeable " + closeable, e2);
            }
        }
    }

    public static File ensureDirectoryExisting(File file) {
        if (file.exists() || file.mkdirs() || file.exists()) {
            return file;
        }
        throw new IllegalStateException("Can't create directory: " + file.getAbsolutePath());
    }

    /* JADX WARN: Code restructure failed: missing block: B:0:?, code lost:
        r1 = r1;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static int getErrno(IOException iOException) {
        for (IOException iOException2 = iOException; iOException2 != null; iOException2 = iOException2.getCause()) {
            if (iOException2 instanceof ErrnoException) {
                return ((ErrnoException) iOException2).errno;
            }
        }
        return 0;
    }

    public static String readAllString(File file) throws IOException {
        return readAllString(new FileReader(file));
    }

    public static void writeToFile(File file, String str) throws IOException {
        FileWriter fileWriter = new FileWriter(file);
        try {
            fileWriter.write(str);
        } finally {
            closeQuietly(fileWriter);
        }
    }

    public static String readAllString(InputStream inputStream) throws IOException {
        return readAllString(new InputStreamReader(inputStream));
    }

    public static String readAllString(Reader reader) throws IOException {
        BufferedReader bufferedReader = new BufferedReader(reader);
        try {
            StringBuilder sb = new StringBuilder();
            while (true) {
                String readLine = bufferedReader.readLine();
                if (readLine != null) {
                    sb.append(readLine);
                    sb.append('\n');
                } else {
                    return sb.toString();
                }
            }
        } finally {
            closeQuietly(bufferedReader);
        }
    }
}
