package chongya.canyie.pine.entry;

import chongya.canyie.pine.Pine;
import chongya.canyie.pine.PineConfig;
import chongya.canyie.pine.utils.Primitives;
import chongya.canyie.pine.utils.Three;
/* compiled from: AAA */
/* loaded from: classes.dex */
public final class Arm32Entry {
    public static final int CR_SIZE = 3;
    public static final int FPR_SIZE = 16;
    public static final boolean USE_HARDFP;
    public static final int[] EMPTY_INT_ARRAY = new int[0];
    public static final float[] EMPTY_FLOAT_ARRAY = new float[0];

    static {
        USE_HARDFP = PineConfig.sdkLevel >= 23;
    }

    public static boolean booleanBridge(int i2, int i3, int i4) throws Throwable {
        return ((Boolean) handleBridge(i2, i3, i4)).booleanValue();
    }

    public static byte byteBridge(int i2, int i3, int i4) throws Throwable {
        return ((Byte) handleBridge(i2, i3, i4)).byteValue();
    }

    public static char charBridge(int i2, int i3, int i4) throws Throwable {
        return ((Character) handleBridge(i2, i3, i4)).charValue();
    }

    public static double doubleBridge(int i2, int i3, int i4) throws Throwable {
        return ((Double) handleBridge(i2, i3, i4)).doubleValue();
    }

    public static float floatBridge(int i2, int i3, int i4) throws Throwable {
        return ((Float) handleBridge(i2, i3, i4)).floatValue();
    }

    public static Three<int[], int[], float[]> getArgs(Pine.HookRecord hookRecord, int i2, int i3) {
        Class<?>[] clsArr;
        int i4 = !hookRecord.isStatic ? 1 : 0;
        int i5 = i4;
        int i6 = 0;
        int i7 = 0;
        for (Class<?> cls : hookRecord.paramTypes) {
            if (cls == Double.TYPE) {
                i6++;
                i5++;
            } else if (cls == Float.TYPE) {
                i7++;
            } else {
                if (cls == Long.TYPE) {
                    if (i4 == 0) {
                        i4++;
                    }
                    if (i4 < 3) {
                        i4++;
                    }
                    i5++;
                }
                if (i4 < 3) {
                    i4++;
                }
            }
            i5++;
        }
        int i8 = (i6 * 2) + i7;
        float[] fArr = EMPTY_FLOAT_ARRAY;
        if (!USE_HARDFP) {
            i4 = Math.min(i4 + i8, 3);
        } else if (i8 != 0) {
            fArr = new float[Math.min(Primitives.evenUp(i8), 16)];
        }
        int[] iArr = i4 != 0 ? new int[i4] : EMPTY_INT_ARRAY;
        int[] iArr2 = i5 != 0 ? new int[i5] : EMPTY_INT_ARRAY;
        Pine.getArgsArm32(i2, i3, iArr, iArr2, fArr);
        return new Three<>(iArr, iArr2, fArr);
    }

    public static Object handleBridge(int i2, int i3, int i4) throws Throwable {
        Object object;
        int i5;
        int i6;
        Object[] objArr;
        int i7;
        int i8;
        int i9;
        Double object2;
        int i10;
        int i11;
        int i12;
        int i13;
        int i14;
        int i15;
        int i16;
        int cloneExtras = (int) Pine.cloneExtras(i3);
        char c2 = 1;
        Pine.log("handleBridge: artMethod=%#x originExtras=%#x extras=%#x sp=%#x", Integer.valueOf(i2), Integer.valueOf(i3), Integer.valueOf(cloneExtras), Integer.valueOf(i4));
        Pine.HookRecord hookRecord = Pine.getHookRecord(i2);
        Three<int[], int[], float[]> args = getArgs(hookRecord, cloneExtras, i4);
        int[] iArr = args.a;
        int[] iArr2 = args.b;
        float[] fArr = args.f37c;
        long currentArtThread0 = Pine.currentArtThread0();
        if (hookRecord.isStatic) {
            object = null;
            i5 = 0;
            i6 = 0;
        } else {
            object = Pine.getObject(currentArtThread0, iArr[0]);
            i5 = 1;
            i6 = 1;
        }
        int i17 = hookRecord.paramNumber;
        if (i17 > 0) {
            objArr = new Object[i17];
            int i18 = 0;
            int i19 = 0;
            int i20 = 0;
            while (i19 < hookRecord.paramNumber) {
                Class<?> cls = hookRecord.paramTypes[i19];
                if (cls == Double.TYPE) {
                    int max = Math.max(i20, Primitives.evenUp(i18));
                    if (max < fArr.length) {
                        int i21 = max + 1;
                        i20 = i21 + 1;
                        object2 = Double.valueOf(Primitives.floats2Double(fArr[max], fArr[i21]));
                        i6++;
                    } else {
                        if (i5 < iArr.length && !USE_HARDFP) {
                            int i22 = i5 + 1;
                            int i23 = iArr[i5];
                            i5 = i22;
                            i14 = i23;
                        } else {
                            i14 = iArr2[i6];
                        }
                        i6++;
                        if (i5 < iArr.length && !USE_HARDFP) {
                            i15 = i5 + 1;
                            i16 = iArr[i5];
                        } else {
                            i15 = i5;
                            i16 = iArr2[i6];
                        }
                        i5 = i15;
                        i20 = max;
                        object2 = Double.valueOf(Primitives.ints2Double(i14, i16));
                    }
                    i7 = i18;
                } else if (cls == Float.TYPE) {
                    int i24 = i18;
                    int max2 = i24 % 2 == 0 ? Math.max(i20, i24) : i24;
                    if (max2 < fArr.length) {
                        i7 = max2 + 1;
                        object2 = Float.valueOf(fArr[max2]);
                    } else {
                        if (i5 < iArr.length && !USE_HARDFP) {
                            i13 = i5 + 1;
                            i12 = iArr[i5];
                        } else {
                            int i25 = i5;
                            i12 = iArr2[i6];
                            i13 = i25;
                        }
                        int i26 = i13;
                        i7 = max2;
                        object2 = Float.valueOf(Float.intBitsToFloat(i12));
                        i5 = i26;
                    }
                } else {
                    i7 = i18;
                    if (cls == Long.TYPE) {
                        if (i5 == 0 && hookRecord.isStatic && USE_HARDFP) {
                            objArr[i19] = Long.valueOf(Primitives.ints2Long(iArr[c2], iArr[2]));
                            i6 += 2;
                            i5 = 3;
                            i19++;
                            i18 = i7;
                        } else {
                            if (i5 < iArr.length) {
                                int i27 = i5 + 1;
                                int i28 = iArr[i5];
                                i5 = i27;
                                i10 = i28;
                            } else {
                                i10 = iArr2[i6];
                            }
                            i6++;
                            if (i5 < iArr.length) {
                                i9 = i5 + 1;
                                i11 = iArr[i5];
                            } else {
                                int i29 = i5;
                                i11 = iArr2[i6];
                                i9 = i29;
                            }
                            object2 = Long.valueOf(Primitives.ints2Long(i10, i11));
                        }
                    } else {
                        if (i5 < iArr.length) {
                            i9 = i5 + 1;
                            i8 = iArr[i5];
                        } else {
                            int i30 = i5;
                            i8 = iArr2[i6];
                            i9 = i30;
                        }
                        if (cls.isPrimitive()) {
                            if (cls == Integer.TYPE) {
                                object2 = Integer.valueOf(i8);
                            } else if (cls == Boolean.TYPE) {
                                object2 = Boolean.valueOf(i8 != 0);
                            } else if (cls == Short.TYPE) {
                                object2 = Short.valueOf((short) i8);
                            } else if (cls == Character.TYPE) {
                                object2 = Character.valueOf((char) i8);
                            } else if (cls == Byte.TYPE) {
                                object2 = Byte.valueOf((byte) i8);
                            } else {
                                throw new AssertionError("Unknown primitive type: " + cls);
                            }
                        } else {
                            object2 = Pine.getObject(currentArtThread0, i8);
                        }
                    }
                    i5 = i9;
                }
                objArr[i19] = object2;
                c2 = 1;
                i6++;
                i19++;
                i18 = i7;
            }
        } else {
            objArr = Pine.EMPTY_OBJECT_ARRAY;
        }
        return Pine.handleCall(hookRecord, object, objArr);
    }

    public static int intBridge(int i2, int i3, int i4) throws Throwable {
        return ((Integer) handleBridge(i2, i3, i4)).intValue();
    }

    public static long longBridge(int i2, int i3, int i4) throws Throwable {
        return ((Long) handleBridge(i2, i3, i4)).longValue();
    }

    public static Object objectBridge(int i2, int i3, int i4) throws Throwable {
        return handleBridge(i2, i3, i4);
    }

    public static short shortBridge(int i2, int i3, int i4) throws Throwable {
        return ((Short) handleBridge(i2, i3, i4)).shortValue();
    }

    public static void voidBridge(int i2, int i3, int i4) throws Throwable {
        handleBridge(i2, i3, i4);
    }
}
