package chongya.canyie.pine.entry;

import chongya.canyie.pine.Pine;
import chongya.canyie.pine.utils.Three;
/* compiled from: AAA */
/* loaded from: classes.dex */
public final class Arm64Entry {
    public static final long BYTE_BITS = 255;
    public static final int CR_SIZE = 7;
    public static final int FPR_SIZE = 8;
    public static final long INT_BITS = 4294967295L;
    public static final long SHORT_BITS = 65535;
    public static final boolean[] EMPTY_BOOLEAN_ARRAY = new boolean[0];
    public static final long[] EMPTY_LONG_ARRAY = new long[0];
    public static final double[] EMPTY_DOUBLE_ARRAY = new double[0];

    public static boolean booleanBridge(long j2, long j3, long j4, long j5, long j6, long j7, long j8) throws Throwable {
        return ((Boolean) handleBridge(j2, j3, j4, j5, j6, j7, j8)).booleanValue();
    }

    public static byte byteBridge(long j2, long j3, long j4, long j5, long j6, long j7, long j8) throws Throwable {
        return ((Byte) handleBridge(j2, j3, j4, j5, j6, j7, j8)).byteValue();
    }

    public static char charBridge(long j2, long j3, long j4, long j5, long j6, long j7, long j8) throws Throwable {
        return ((Character) handleBridge(j2, j3, j4, j5, j6, j7, j8)).charValue();
    }

    public static double doubleBridge(long j2, long j3, long j4, long j5, long j6, long j7, long j8) throws Throwable {
        return ((Double) handleBridge(j2, j3, j4, j5, j6, j7, j8)).doubleValue();
    }

    public static float floatBridge(long j2, long j3, long j4, long j5, long j6, long j7, long j8) throws Throwable {
        return ((Float) handleBridge(j2, j3, j4, j5, j6, j7, j8)).floatValue();
    }

    /* JADX WARN: Removed duplicated region for block: B:28:0x003f  */
    /* JADX WARN: Removed duplicated region for block: B:30:0x0044  */
    /* JADX WARN: Removed duplicated region for block: B:35:0x004c  */
    /* JADX WARN: Removed duplicated region for block: B:38:0x0052  */
    /* JADX WARN: Removed duplicated region for block: B:39:0x0055  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static Three<long[], long[], double[]> getArgs(Pine.HookRecord hookRecord, long j2, long j3, long j4, long j5, long j6, long j7) {
        int i2;
        int i3;
        boolean[] zArr;
        boolean z;
        boolean z2;
        int i4 = hookRecord.paramNumber;
        int i5 = 0;
        if (hookRecord.isStatic) {
            i2 = 0;
            i3 = 0;
        } else {
            i4++;
            i2 = 1;
            i3 = 1;
        }
        if (i4 != 0) {
            boolean[] zArr2 = new boolean[i4];
            if (!hookRecord.isStatic) {
                zArr2[0] = false;
            }
            int i6 = 0;
            for (int i7 = 0; i7 < hookRecord.paramNumber; i7++) {
                Class<?> cls = hookRecord.paramTypes[i7];
                if (cls == Double.TYPE) {
                    z = true;
                } else {
                    if (cls == Float.TYPE) {
                        z = true;
                    } else if (cls == Long.TYPE) {
                        z = false;
                    } else {
                        z = false;
                    }
                    z2 = false;
                    if (z) {
                        if (i2 < 7) {
                            i2++;
                        }
                    } else if (i6 < 8) {
                        i6++;
                    }
                    i3 += z2 ? 8 : 4;
                    if (!hookRecord.isStatic) {
                        zArr2[i7] = z2;
                    } else {
                        zArr2[i7 + 1] = z2;
                    }
                }
                z2 = true;
                if (z) {
                }
                i3 += z2 ? 8 : 4;
                if (!hookRecord.isStatic) {
                }
            }
            zArr = zArr2;
            i5 = i6;
        } else {
            zArr = EMPTY_BOOLEAN_ARRAY;
        }
        long[] jArr = i2 != 0 ? new long[i2] : EMPTY_LONG_ARRAY;
        long[] jArr2 = i3 != 0 ? new long[i3] : EMPTY_LONG_ARRAY;
        double[] dArr = i5 != 0 ? new double[i5] : EMPTY_DOUBLE_ARRAY;
        Pine.getArgsArm64(j2, j3, zArr, jArr, jArr2, dArr);
        if (i2 >= 4) {
            jArr[3] = j4;
            if (i2 != 4) {
                jArr[4] = j5;
                if (i2 != 5) {
                    jArr[5] = j6;
                    if (i2 != 6) {
                        jArr[6] = j7;
                    }
                }
            }
        }
        return new Three<>(jArr, jArr2, dArr);
    }

    public static Object handleBridge(long j2, long j3, long j4, long j5, long j6, long j7, long j8) throws Throwable {
        Object object;
        int i2;
        int i3;
        Object[] objArr;
        long j9;
        Object object2;
        long j10;
        int i4;
        Object obj;
        long cloneExtras = Pine.cloneExtras(j3);
        Pine.log("handleBridge: artMethod=%#x originExtras=%#x extras=%#x sp=%#x", Long.valueOf(j2), Long.valueOf(j3), Long.valueOf(cloneExtras), Long.valueOf(j4));
        Pine.HookRecord hookRecord = Pine.getHookRecord(j2);
        Three<long[], long[], double[]> args = getArgs(hookRecord, cloneExtras, j4, j5, j6, j7, j8);
        long[] jArr = args.a;
        long[] jArr2 = args.b;
        double[] dArr = args.f37c;
        long currentArtThread0 = Pine.currentArtThread0();
        if (hookRecord.isStatic) {
            object = null;
            i2 = 0;
            i3 = 0;
        } else {
            object = Pine.getObject(currentArtThread0, jArr[0]);
            i2 = 1;
            i3 = 1;
        }
        int i5 = hookRecord.paramNumber;
        if (i5 > 0) {
            objArr = new Object[i5];
            int i6 = 0;
            int i7 = 0;
            while (i6 < hookRecord.paramNumber) {
                Class<?> cls = hookRecord.paramTypes[i6];
                if (cls == Double.TYPE) {
                    if (i7 < dArr.length) {
                        i4 = i7 + 1;
                        obj = Double.valueOf(dArr[i7]);
                        objArr[i6] = obj;
                        i3++;
                        i6++;
                        i7 = i4;
                    } else {
                        object2 = Double.valueOf(Double.longBitsToDouble(jArr2[i3]));
                    }
                } else if (cls == Float.TYPE) {
                    if (i7 < dArr.length) {
                        j10 = Double.doubleToLongBits(dArr[i7]);
                        i7++;
                    } else {
                        j10 = jArr2[i3];
                    }
                    object2 = Float.valueOf(Float.intBitsToFloat((int) (j10 & INT_BITS)));
                } else {
                    if (i2 < jArr.length) {
                        j9 = jArr[i2];
                        i2++;
                    } else {
                        j9 = jArr2[i3];
                    }
                    if (cls.isPrimitive()) {
                        if (cls == Integer.TYPE) {
                            object2 = Integer.valueOf((int) (j9 & INT_BITS));
                        } else if (cls == Long.TYPE) {
                            object2 = Long.valueOf(j9);
                        } else if (cls == Boolean.TYPE) {
                            object2 = Boolean.valueOf(j9 != 0);
                        } else if (cls == Short.TYPE) {
                            object2 = Short.valueOf((short) (j9 & 65535));
                        } else if (cls == Character.TYPE) {
                            object2 = Character.valueOf((char) (j9 & 65535));
                        } else if (cls == Byte.TYPE) {
                            object2 = Byte.valueOf((byte) (j9 & 255));
                        } else {
                            throw new AssertionError("Unknown primitive type: " + cls);
                        }
                    } else {
                        object2 = Pine.getObject(currentArtThread0, j9 & INT_BITS);
                    }
                }
                Object obj2 = object2;
                i4 = i7;
                obj = obj2;
                objArr[i6] = obj;
                i3++;
                i6++;
                i7 = i4;
            }
        } else {
            objArr = Pine.EMPTY_OBJECT_ARRAY;
        }
        return Pine.handleCall(hookRecord, object, objArr);
    }

    public static int intBridge(long j2, long j3, long j4, long j5, long j6, long j7, long j8) throws Throwable {
        return ((Integer) handleBridge(j2, j3, j4, j5, j6, j7, j8)).intValue();
    }

    public static long longBridge(long j2, long j3, long j4, long j5, long j6, long j7, long j8) throws Throwable {
        return ((Long) handleBridge(j2, j3, j4, j5, j6, j7, j8)).longValue();
    }

    public static Object objectBridge(long j2, long j3, long j4, long j5, long j6, long j7, long j8) throws Throwable {
        return handleBridge(j2, j3, j4, j5, j6, j7, j8);
    }

    public static short shortBridge(long j2, long j3, long j4, long j5, long j6, long j7, long j8) throws Throwable {
        return ((Short) handleBridge(j2, j3, j4, j5, j6, j7, j8)).shortValue();
    }

    public static void voidBridge(long j2, long j3, long j4, long j5, long j6, long j7, long j8) throws Throwable {
        handleBridge(j2, j3, j4, j5, j6, j7, j8);
    }
}
