package chongya.canyie.pine.entry;

import chongya.canyie.pine.Pine;
import chongya.canyie.pine.utils.Primitives;
/* compiled from: AAA */
/* loaded from: classes.dex */
public final class X86Entry {
    public static final int[] EMPTY_INT_ARRAY = new int[0];

    public static boolean booleanBridge(int i2, int i3, int i4) throws Throwable {
        return ((Boolean) handleBridge(i2, i3, i4)).booleanValue();
    }

    public static byte byteBridge(int i2, int i3, int i4) throws Throwable {
        return ((Byte) handleBridge(i2, i3, i4)).byteValue();
    }

    public static char charBridge(int i2, int i3, int i4) throws Throwable {
        return ((Character) handleBridge(i2, i3, i4)).charValue();
    }

    public static double doubleBridge(int i2, int i3, int i4) throws Throwable {
        return ((Double) handleBridge(i2, i3, i4)).doubleValue();
    }

    public static float floatBridge(int i2, int i3, int i4) throws Throwable {
        return ((Float) handleBridge(i2, i3, i4)).floatValue();
    }

    public static int[] getArgsAsInts(Pine.HookRecord hookRecord, int i2, int i3) {
        int i4 = !hookRecord.isStatic ? 1 : 0;
        Class<?>[] clsArr = hookRecord.paramTypes;
        int length = clsArr.length;
        for (int i5 = 0; i5 < length; i5++) {
            Class<?> cls = clsArr[i5];
            i4 += (cls == Long.TYPE || cls == Double.TYPE) ? 2 : 1;
        }
        int[] iArr = i4 != 0 ? new int[i4] : EMPTY_INT_ARRAY;
        Pine.getArgsX86(i2, iArr, i3);
        return iArr;
    }

    public static Object handleBridge(int i2, int i3, int i4) throws Throwable {
        Object object;
        int i5;
        Object[] objArr;
        Object object2;
        int i6;
        Object valueOf;
        Pine.log("handleBridge: artMethod=%#x extras=%#x ebx=%#x", Integer.valueOf(i2), Integer.valueOf(i3), Integer.valueOf(i4));
        Pine.HookRecord hookRecord = Pine.getHookRecord(i2);
        int[] argsAsInts = getArgsAsInts(hookRecord, i3, i4);
        long currentArtThread0 = Pine.currentArtThread0();
        if (hookRecord.isStatic) {
            object = null;
            i5 = 0;
        } else {
            object = Pine.getObject(currentArtThread0, argsAsInts[0]);
            i5 = 1;
        }
        int i7 = hookRecord.paramNumber;
        if (i7 > 0) {
            objArr = new Object[i7];
            for (int i8 = 0; i8 < hookRecord.paramNumber; i8++) {
                Class<?> cls = hookRecord.paramTypes[i8];
                if (cls.isPrimitive()) {
                    if (cls == Integer.TYPE) {
                        object2 = Integer.valueOf(argsAsInts[i5]);
                    } else {
                        if (cls == Long.TYPE) {
                            i6 = i5 + 1;
                            valueOf = Long.valueOf(Primitives.ints2Long(argsAsInts[i5], argsAsInts[i6]));
                        } else if (cls == Double.TYPE) {
                            i6 = i5 + 1;
                            valueOf = Double.valueOf(Primitives.ints2Double(argsAsInts[i5], argsAsInts[i6]));
                        } else if (cls == Float.TYPE) {
                            object2 = Float.valueOf(Float.intBitsToFloat(argsAsInts[i5]));
                        } else if (cls == Boolean.TYPE) {
                            object2 = Boolean.valueOf(argsAsInts[i5] != 0);
                        } else if (cls == Short.TYPE) {
                            object2 = Short.valueOf((short) argsAsInts[i5]);
                        } else if (cls == Character.TYPE) {
                            object2 = Character.valueOf((char) argsAsInts[i5]);
                        } else if (cls == Byte.TYPE) {
                            object2 = Byte.valueOf((byte) argsAsInts[i5]);
                        } else {
                            throw new AssertionError("Unknown primitive type: " + cls);
                        }
                        int i9 = i6;
                        object2 = valueOf;
                        i5 = i9;
                    }
                } else {
                    object2 = Pine.getObject(currentArtThread0, argsAsInts[i5]);
                }
                objArr[i8] = object2;
                i5++;
            }
        } else {
            objArr = Pine.EMPTY_OBJECT_ARRAY;
        }
        return Pine.handleCall(hookRecord, object, objArr);
    }

    public static int intBridge(int i2, int i3, int i4) throws Throwable {
        return ((Integer) handleBridge(i2, i3, i4)).intValue();
    }

    public static long longBridge(int i2, int i3, int i4) throws Throwable {
        return ((Long) handleBridge(i2, i3, i4)).longValue();
    }

    public static Object objectBridge(int i2, int i3, int i4) throws Throwable {
        return handleBridge(i2, i3, i4);
    }

    public static short shortBridge(int i2, int i3, int i4) throws Throwable {
        return ((Short) handleBridge(i2, i3, i4)).shortValue();
    }

    public static void voidBridge(int i2, int i3, int i4) throws Throwable {
        handleBridge(i2, i3, i4);
    }
}
