package chongya.canyie.pine.utils;

import chongya.canyie.pine.PineConfig;
import java.lang.reflect.AccessibleObject;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.Arrays;
/* compiled from: AAA */
/* loaded from: classes.dex */
public final class ReflectionHelper {
    public static Field override;

    public static <T> Constructor<T> findConstructor(Class<T> cls, Class<?>... clsArr) {
        try {
            Constructor<T> declaredConstructor = cls.getDeclaredConstructor(clsArr);
            forceAccessible(declaredConstructor);
            return declaredConstructor;
        } catch (NoSuchMethodException unused) {
            return null;
        }
    }

    public static Field findField(Class<?> cls, String str) {
        while (cls != null) {
            try {
                Field declaredField = cls.getDeclaredField(str);
                declaredField.setAccessible(true);
                return declaredField;
            } catch (NoSuchFieldException unused) {
                cls = cls.getSuperclass();
            }
        }
        return null;
    }

    public static Method findMethod(Class<?> cls, String str, Class<?>... clsArr) {
        while (cls != null) {
            try {
                Method declaredMethod = cls.getDeclaredMethod(str, clsArr);
                declaredMethod.setAccessible(true);
                return declaredMethod;
            } catch (NoSuchMethodException unused) {
                cls = cls.getSuperclass();
            }
        }
        return null;
    }

    public static void forceAccessible(AccessibleObject accessibleObject) {
        try {
            accessibleObject.setAccessible(true);
            if (accessibleObject.isAccessible()) {
                return;
            }
        } catch (SecurityException unused) {
        }
        if (override == null) {
            override = getField(AccessibleObject.class, PineConfig.sdkLevel >= 24 ? "override" : "flag");
        }
        try {
            override.setBoolean(accessibleObject, true);
        } catch (IllegalAccessException e2) {
            throw new SecurityException("Cannot set AccessibleObject.override", e2);
        }
    }

    public static <T> Constructor<T> getConstructor(Class<T> cls, Class<?>... clsArr) {
        try {
            Constructor<T> declaredConstructor = cls.getDeclaredConstructor(clsArr);
            forceAccessible(declaredConstructor);
            return declaredConstructor;
        } catch (NoSuchMethodException e2) {
            throw new IllegalArgumentException("No constructor found with params " + Arrays.toString(clsArr), e2);
        }
    }

    public static Field getField(Class<?> cls, String str) {
        Field findField = findField(cls, str);
        if (findField != null) {
            return findField;
        }
        throw new IllegalArgumentException("No field " + str + " found in " + cls);
    }

    public static Method getMethod(Class<?> cls, String str, Class<?>... clsArr) {
        Method findMethod = findMethod(cls, str, clsArr);
        if (findMethod != null) {
            return findMethod;
        }
        throw new IllegalArgumentException("No method " + str + " with params " + Arrays.toString(clsArr) + " found in " + cls);
    }
}
