package chongya.canyie.pine.xposed;

import java.util.Enumeration;
import java.util.NoSuchElementException;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class CompoundEnumeration<E> implements Enumeration<E> {
    public Enumeration<E>[] enums;
    public int index = 0;

    public CompoundEnumeration(Enumeration<E>[] enumerationArr) {
        this.enums = enumerationArr;
    }

    private boolean next() {
        while (true) {
            int i2 = this.index;
            Enumeration<E>[] enumerationArr = this.enums;
            if (i2 >= enumerationArr.length) {
                return false;
            }
            if (enumerationArr[i2] != null && enumerationArr[i2].hasMoreElements()) {
                return true;
            }
            this.index++;
        }
    }

    @Override // java.util.Enumeration
    public boolean hasMoreElements() {
        return next();
    }

    @Override // java.util.Enumeration
    public E nextElement() {
        if (next()) {
            return this.enums[this.index].nextElement();
        }
        throw new NoSuchElementException();
    }
}
