package chongya.haiwai.sandbox.a;

import android.app.Activity;
import android.app.Application;
import android.app.Instrumentation;
import android.app.Service;
import android.app.job.JobService;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.content.pm.ProviderInfo;
import android.content.pm.ServiceInfo;
import android.os.Binder;
import android.os.Build;
import android.os.Bundle;
import android.os.ConditionVariable;
import android.os.Handler;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Looper;
import android.os.RemoteException;
import android.os.StrictMode;
import android.text.TextUtils;
import android.util.Log;
import android.webkit.WebView;
import chongya.canyie.pine.xposed.PineXposed;
import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.a.BActivityThread;
import chongya.haiwai.sandbox.a.configuration.AppLifecycleCallback;
import chongya.haiwai.sandbox.a.dispatcher.AppServiceDispatcher;
import chongya.haiwai.sandbox.bean.AppConfig;
import chongya.haiwai.sandbox.bean.am.ReceiverData;
import chongya.haiwai.sandbox.bean.pm.InstalledModule;
import chongya.haiwai.sandbox.d.CrashHandler;
import chongya.haiwai.sandbox.d.IBActivityThread;
import chongya.haiwai.sandbox.d.IOCore;
import chongya.haiwai.sandbox.d.NativeCore;
import chongya.haiwai.sandbox.d.env.VirtualRuntime;
import chongya.haiwai.sandbox.d.system.user.BUserHandle;
import chongya.haiwai.sandbox.f.delegate.AppInstrumentation;
import chongya.haiwai.sandbox.f.delegate.ContentProviderDelegate;
import chongya.haiwai.sandbox.f.frameworks.BXposedManager;
import chongya.haiwai.sandbox.f.hook.HookManager;
import chongya.haiwai.sandbox.f.service.HCallbackProxy;
import chongya.haiwai.sandbox.utils.Reflector;
import chongya.haiwai.sandbox.utils.Slog;
import chongya.haiwai.sandbox.utils.compat.ActivityManagerCompat;
import chongya.haiwai.sandbox.utils.compat.BuildCompat;
import chongya.haiwai.sandbox.utils.compat.ContextCompat;
import chongya.haiwai.sandbox.utils.compat.StrictModeCompat;
import com.gf.bean.PluginLoadApk;
import java.io.File;
import java.lang.reflect.Method;
import java.security.Security;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.Map;
import joke.android.app.ActivityThreadAppBindDataContext;
import joke.android.app.BRActivity;
import joke.android.app.BRActivityManagerNative;
import joke.android.app.BRActivityThread;
import joke.android.app.BRActivityThreadActivityClientRecord;
import joke.android.app.BRActivityThreadAppBindData;
import joke.android.app.BRActivityThreadNMR1;
import joke.android.app.BRActivityThreadQ;
import joke.android.app.BRContextImpl;
import joke.android.app.BRLoadedApk;
import joke.android.app.BRService;
import joke.android.content.BRBroadcastReceiver;
import joke.android.content.BRContentProviderClient;
import joke.android.graphics.BRCompatibility;
import joke.android.security.net.config.BRNetworkSecurityConfigProvider;
import joke.com.android.internal.content.BRReferrerIntent;
import joke.dalvik.system.BRVMRuntime;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class BActivityThread extends IBActivityThread.Stub {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final String TAG = "BActivityThread";
    public static final Object mConfigLock = new Object();
    public static BActivityThread sBActivityThread;
    public AppConfig mAppConfig;
    public AppBindData mBoundApplication;
    public Application mInitialApplication;
    public final List<ProviderInfo> mProviders = new ArrayList();
    public final Handler mH = BlackBoxCore.get().getHandler();

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static class AppBindData {
        public ApplicationInfo appInfo;
        public Object info;
        public String processName;
        public List<ProviderInfo> providers;
    }

    public static Context createPackageContext(ApplicationInfo applicationInfo) {
        try {
            return BlackBoxCore.getContext().createPackageContext(applicationInfo.packageName, 3);
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public static BActivityThread currentActivityThread() {
        if (sBActivityThread == null) {
            synchronized (BActivityThread.class) {
                if (sBActivityThread == null) {
                    sBActivityThread = new BActivityThread();
                }
            }
        }
        return sBActivityThread;
    }

    public static Activity getActivityByToken(IBinder iBinder) {
        return BRActivityThreadActivityClientRecord.get(BRActivityThread.get(BlackBoxCore.mainThread()).mActivities().get(iBinder)).activity();
    }

    public static AppConfig getAppConfig() {
        AppConfig appConfig;
        synchronized (mConfigLock) {
            appConfig = currentActivityThread().mAppConfig;
        }
        return appConfig;
    }

    public static String getAppPackageName() {
        if (getAppConfig() != null) {
            return getAppConfig().packageName;
        }
        if (currentActivityThread().mInitialApplication != null) {
            return currentActivityThread().mInitialApplication.getPackageName();
        }
        return null;
    }

    public static int getAppPid() {
        if (getAppConfig() == null) {
            return -1;
        }
        return getAppConfig().bpid;
    }

    public static String getAppProcessName() {
        if (getAppConfig() != null) {
            return getAppConfig().processName;
        }
        if (currentActivityThread().mBoundApplication != null) {
            return currentActivityThread().mBoundApplication.processName;
        }
        return null;
    }

    public static Application getApplication() {
        return currentActivityThread().mInitialApplication;
    }

    public static int getBAppId() {
        return BUserHandle.getAppId(getBUid());
    }

    public static int getBUid() {
        if (getAppConfig() == null) {
            return 10000;
        }
        return getAppConfig().buid;
    }

    public static int getCallingBUid() {
        return getAppConfig() == null ? BlackBoxCore.getHostUid() : getAppConfig().callingBUid;
    }

    public static List<ProviderInfo> getProviders() {
        return currentActivityThread().mProviders;
    }

    public static int getUid() {
        if (getAppConfig() == null) {
            return -1;
        }
        return getAppConfig().uid;
    }

    public static int getUserId() {
        if (getAppConfig() == null) {
            return 0;
        }
        return getAppConfig().userId;
    }

    public static void installProvider(Object obj, Context context, ProviderInfo providerInfo, Object obj2) throws Throwable {
        Method findMethodByFirstName = Reflector.findMethodByFirstName(obj.getClass(), "installProvider");
        if (findMethodByFirstName != null) {
            findMethodByFirstName.setAccessible(true);
            findMethodByFirstName.invoke(obj, context, obj2, providerInfo, false, true, true);
        }
    }

    private void installProviders(Context context, String str, List<ProviderInfo> list) {
        long clearCallingIdentity = Binder.clearCallingIdentity();
        try {
            for (ProviderInfo providerInfo : list) {
                try {
                    if (str.equals(providerInfo.processName) || providerInfo.processName.equals(context.getPackageName()) || providerInfo.multiprocess) {
                        installProvider(BlackBoxCore.mainThread(), context, providerInfo, null);
                    }
                } catch (Throwable unused) {
                }
            }
        } finally {
            Binder.restoreCallingIdentity(clearCallingIdentity);
            ContentProviderDelegate.init();
        }
    }

    public static boolean isThreadInit() {
        return sBActivityThread != null;
    }

    private void onAfterApplicationOnCreate(String str, String str2, Application application) {
        for (AppLifecycleCallback appLifecycleCallback : BlackBoxCore.get().getAppLifecycleCallbacks()) {
            appLifecycleCallback.afterApplicationOnCreate(str, str2, application, getUserId());
        }
    }

    private void onBeforeApplicationOnCreate(String str, String str2, Application application) {
        for (AppLifecycleCallback appLifecycleCallback : BlackBoxCore.get().getAppLifecycleCallbacks()) {
            appLifecycleCallback.beforeApplicationOnCreate(str, str2, application, getUserId());
        }
    }

    private void onBeforeCreateApplication(String str, String str2, Context context) {
        for (AppLifecycleCallback appLifecycleCallback : BlackBoxCore.get().getAppLifecycleCallbacks()) {
            appLifecycleCallback.beforeCreateApplication(str, str2, context, getUserId());
        }
    }

    public /* synthetic */ void a(String str, String str2, ConditionVariable conditionVariable) {
        handleBindApplication(str, str2);
        conditionVariable.open();
    }

    @Override // chongya.haiwai.sandbox.d.IBActivityThread
    public IBinder acquireContentProviderClient(ProviderInfo providerInfo) throws RemoteException {
        if (!isInit()) {
            bindApplication(getAppConfig().packageName, getAppConfig().processName);
        }
        for (String str : providerInfo.authority.split(";")) {
            IInterface mContentProvider = BRContentProviderClient.get(BlackBoxCore.getContext().getContentResolver().acquireContentProviderClient(str)).mContentProvider();
            if (mContentProvider != null) {
                return mContentProvider.asBinder();
            }
        }
        return null;
    }

    public void bindApplication(final String str, final String str2) {
        if (Looper.myLooper() != Looper.getMainLooper()) {
            final ConditionVariable conditionVariable = new ConditionVariable();
            BlackBoxCore.get().getHandler().post(new Runnable() { // from class: d.a.a.a.d
                @Override // java.lang.Runnable
                public final void run() {
                    BActivityThread.this.a(str, str2, conditionVariable);
                }
            });
            conditionVariable.block();
            return;
        }
        handleBindApplication(str, str2);
    }

    public JobService createJobService(ServiceInfo serviceInfo) {
        if (!currentActivityThread().isInit()) {
            currentActivityThread().bindApplication(serviceInfo.packageName, serviceInfo.processName);
        }
        try {
            JobService jobService = (JobService) BRLoadedApk.get(this.mBoundApplication.info).getClassLoader().loadClass(serviceInfo.name).newInstance();
            try {
                Context createPackageContext = BlackBoxCore.getContext().createPackageContext(serviceInfo.packageName, 3);
                BRContextImpl.get(createPackageContext).setOuterContext(jobService);
                BRService.get(jobService).attach(createPackageContext, BlackBoxCore.mainThread(), serviceInfo.name, currentActivityThread().getActivityThread(), this.mInitialApplication, BRActivityManagerNative.get().getDefault());
                ContextCompat.fix(createPackageContext);
                jobService.onCreate();
                jobService.onBind(null);
                return jobService;
            } catch (Exception e2) {
                throw new RuntimeException("Unable to create JobService " + serviceInfo.name + ": " + e2.toString(), e2);
            }
        } catch (Exception e3) {
            e3.printStackTrace();
            Slog.e(TAG, "Unable to create JobService " + serviceInfo.name + ": " + e3.toString());
            return null;
        }
    }

    public Service createService(ServiceInfo serviceInfo, IBinder iBinder) {
        if (!currentActivityThread().isInit()) {
            currentActivityThread().bindApplication(serviceInfo.packageName, serviceInfo.processName);
        }
        try {
            Service service = (Service) BRLoadedApk.get(this.mBoundApplication.info).getClassLoader().loadClass(serviceInfo.name).newInstance();
            try {
                Context createPackageContext = BlackBoxCore.getContext().createPackageContext(serviceInfo.packageName, 3);
                BRContextImpl.get(createPackageContext).setOuterContext(service);
                BRService.get(service).attach(createPackageContext, BlackBoxCore.mainThread(), serviceInfo.name, iBinder, this.mInitialApplication, BRActivityManagerNative.get().getDefault());
                ContextCompat.fix(createPackageContext);
                service.onCreate();
                return service;
            } catch (Exception e2) {
                throw new RuntimeException("Unable to create service " + serviceInfo.name + ": " + e2.toString(), e2);
            }
        } catch (Exception e3) {
            e3.printStackTrace();
            Slog.e(TAG, "Unable to instantiate service " + serviceInfo.name + ": " + e3.toString());
            return null;
        }
    }

    @Override // chongya.haiwai.sandbox.d.IBActivityThread
    public void finishActivity(final IBinder iBinder) {
        this.mH.post(new Runnable() { // from class: d.a.a.a.c
            @Override // java.lang.Runnable
            public final void run() {
                BActivityThread.a(iBinder);
            }
        });
    }

    @Override // chongya.haiwai.sandbox.d.IBActivityThread
    public IBinder getActivityThread() {
        return BRActivityThread.get(BlackBoxCore.mainThread()).getApplicationThread();
    }

    public Object getPackageInfo() {
        return this.mBoundApplication.info;
    }

    public synchronized void handleBindApplication(String str, String str2) {
        ApplicationInfo applicationInfo;
        if (isInit()) {
            return;
        }
        try {
            CrashHandler.create(str);
        } catch (Throwable unused) {
        }
        PackageInfo packageInfo = BlackBoxCore.getBPackageManager().getPackageInfo(str, 8, getUserId());
        if (BuildCompat.isS()) {
            applicationInfo = BlackBoxCore.getBPackageManager().getApplicationInfo(str, 8, getUserId());
        } else {
            applicationInfo = packageInfo.applicationInfo;
        }
        if (packageInfo.providers == null) {
            packageInfo.providers = new ProviderInfo[0];
        }
        this.mProviders.addAll(Arrays.asList(packageInfo.providers));
        Object mBoundApplication = BRActivityThread.get(BlackBoxCore.mainThread()).mBoundApplication();
        Context createPackageContext = createPackageContext(applicationInfo);
        Object mPackageInfo = BRContextImpl.get(createPackageContext).mPackageInfo();
        BRLoadedApk.get(mPackageInfo)._set_mSecurityViolation(false);
        BRLoadedApk.get(mPackageInfo)._set_mApplicationInfo(applicationInfo);
        int i2 = applicationInfo.targetSdkVersion;
        if (i2 < 9) {
            StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder(StrictMode.getThreadPolicy()).permitNetwork().build());
        }
        if (Build.VERSION.SDK_INT >= 24 && i2 < 24) {
            StrictModeCompat.disableDeathOnFileUriExposure();
        }
        if (Build.VERSION.SDK_INT >= 28) {
            WebView.setDataDirectorySuffix(getUserId() + ":" + str + ":" + str2);
        }
        VirtualRuntime.setupRuntime(str2, applicationInfo);
        BRVMRuntime.get(BRVMRuntime.get().getRuntime()).setTargetSdkVersion(applicationInfo.targetSdkVersion);
        if (BuildCompat.isS()) {
            BRCompatibility.get().setTargetSdkVersion(applicationInfo.targetSdkVersion);
        }
        NativeCore.init(Build.VERSION.SDK_INT);
        IOCore.get().enableRedirect(createPackageContext);
        AppBindData appBindData = new AppBindData();
        appBindData.appInfo = applicationInfo;
        appBindData.processName = str2;
        appBindData.info = mPackageInfo;
        appBindData.providers = this.mProviders;
        ActivityThreadAppBindDataContext activityThreadAppBindDataContext = BRActivityThreadAppBindData.get(mBoundApplication);
        activityThreadAppBindDataContext._set_instrumentationName(new ComponentName(appBindData.appInfo.packageName, Instrumentation.class.getName()));
        activityThreadAppBindDataContext._set_appInfo(appBindData.appInfo);
        activityThreadAppBindDataContext._set_info(appBindData.info);
        activityThreadAppBindDataContext._set_processName(appBindData.processName);
        activityThreadAppBindDataContext._set_providers(appBindData.providers);
        this.mBoundApplication = appBindData;
        if (BRNetworkSecurityConfigProvider.getRealClass() != null) {
            Security.removeProvider("AndroidNSSP");
            BRNetworkSecurityConfigProvider.get().install(createPackageContext);
        }
        try {
            onBeforeCreateApplication(str, str2, createPackageContext);
            Application makeApplication = BRLoadedApk.get(mPackageInfo).makeApplication(false, null);
            this.mInitialApplication = makeApplication;
            Log.e(TAG, "mInitialApplication==" + this.mInitialApplication);
            BRActivityThread.get(BlackBoxCore.mainThread())._set_mInitialApplication(this.mInitialApplication);
            ContextCompat.fix((Context) BRActivityThread.get(BlackBoxCore.mainThread()).getSystemContext());
            ContextCompat.fix(this.mInitialApplication);
            installProviders(this.mInitialApplication, appBindData.processName, appBindData.providers);
            onBeforeApplicationOnCreate(str, str2, makeApplication);
            AppInstrumentation.get().callApplicationOnCreate(makeApplication);
            onAfterApplicationOnCreate(str, str2, makeApplication);
            HookManager.get().checkEnv(HCallbackProxy.class);
            if (this.mInitialApplication == null) {
                return;
            }
            PluginLoadApk.getSingleton().initPlugin(this.mInitialApplication);
            this.mInitialApplication.registerActivityLifecycleCallbacks(new Application.ActivityLifecycleCallbacks() { // from class: chongya.haiwai.sandbox.a.BActivityThread.2
                @Override // android.app.Application.ActivityLifecycleCallbacks
                public void onActivityCreated(Activity activity, Bundle bundle) {
                    Log.w("xuanfu", "onActivityCreated" + PluginLoadApk.getSingleton().isLoadCreate());
                    PluginLoadApk.getSingleton().callActivityCreate(activity);
                }

                @Override // android.app.Application.ActivityLifecycleCallbacks
                public void onActivityDestroyed(Activity activity) {
                    PluginLoadApk.getSingleton().callActivityDestroy(activity);
                }

                @Override // android.app.Application.ActivityLifecycleCallbacks
                public void onActivityPaused(Activity activity) {
                    Log.w("xuanfu", "onActivityPaused" + PluginLoadApk.getSingleton().isLoadCreate());
                    PluginLoadApk.getSingleton().callActivityPause(activity, false);
                }

                @Override // android.app.Application.ActivityLifecycleCallbacks
                public void onActivityResumed(Activity activity) {
                    Log.w("xuanfu", "onActivityResumed" + PluginLoadApk.getSingleton().isLoadCreate());
                    PluginLoadApk.getSingleton().callActivityResume(activity, false);
                }

                @Override // android.app.Application.ActivityLifecycleCallbacks
                public void onActivitySaveInstanceState(Activity activity, Bundle bundle) {
                }

                @Override // android.app.Application.ActivityLifecycleCallbacks
                public void onActivityStarted(Activity activity) {
                }

                @Override // android.app.Application.ActivityLifecycleCallbacks
                public void onActivityStopped(Activity activity) {
                    PluginLoadApk.getSingleton().callActivityStop(activity);
                }
            });
        } catch (Exception e2) {
            e2.printStackTrace();
            throw new RuntimeException("Unable to makeApplication", e2);
        }
    }

    @Override // chongya.haiwai.sandbox.d.IBActivityThread
    public void handleNewIntent(final IBinder iBinder, final Intent intent) {
        this.mH.post(new Runnable() { // from class: d.a.a.a.b
            @Override // java.lang.Runnable
            public final void run() {
                BActivityThread.a(intent, iBinder);
            }
        });
    }

    public void initProcess(AppConfig appConfig) {
        synchronized (mConfigLock) {
            if (this.mAppConfig != null && !this.mAppConfig.packageName.equals(appConfig.packageName)) {
                throw new RuntimeException("reject init process: " + appConfig.processName + ", this process is : " + this.mAppConfig.processName);
            }
            this.mAppConfig = appConfig;
            final IBinder asBinder = asBinder();
            try {
                asBinder.linkToDeath(new IBinder.DeathRecipient() { // from class: chongya.haiwai.sandbox.a.BActivityThread.1
                    @Override // android.os.IBinder.DeathRecipient
                    public void binderDied() {
                        synchronized (BActivityThread.mConfigLock) {
                            try {
                                asBinder.linkToDeath(this, 0);
                            } catch (RemoteException unused) {
                            }
                            BActivityThread.this.mAppConfig = null;
                        }
                    }
                }, 0);
            } catch (RemoteException e2) {
                e2.printStackTrace();
            }
        }
    }

    public boolean isInit() {
        return this.mBoundApplication != null;
    }

    public void loadXposed(Context context) {
        String appPackageName = getAppPackageName();
        String appProcessName = getAppProcessName();
        if (!TextUtils.isEmpty(appPackageName) && !TextUtils.isEmpty(appProcessName) && BXposedManager.get().isXPEnable()) {
            boolean equals = appPackageName.equals(appProcessName);
            for (InstalledModule installedModule : BXposedManager.get().getInstalledModules()) {
                if (installedModule.enable) {
                    try {
                        PineXposed.loadModule(new File(installedModule.getApplication().sourceDir));
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            }
            try {
                PineXposed.onPackageLoad(appPackageName, appProcessName, context.getApplicationInfo(), equals, context.getClassLoader());
            } catch (Throwable unused) {
            }
        }
        if (BlackBoxCore.get().isHideXposed(appProcessName)) {
            Log.w("lxy_hook", "xposed_initso");
            NativeCore.hideXposed();
        }
    }

    @Override // chongya.haiwai.sandbox.d.IBActivityThread
    public IBinder peekService(Intent intent) {
        return AppServiceDispatcher.get().peekService(intent);
    }

    @Override // chongya.haiwai.sandbox.d.IBActivityThread
    public void restartJobService(String str) throws RemoteException {
    }

    @Override // chongya.haiwai.sandbox.d.IBActivityThread
    public void scheduleReceiver(final ReceiverData receiverData) throws RemoteException {
        if (!isInit()) {
            bindApplication();
        }
        this.mH.post(new Runnable() { // from class: d.a.a.a.a
            @Override // java.lang.Runnable
            public final void run() {
                BActivityThread.this.a(receiverData);
            }
        });
    }

    @Override // chongya.haiwai.sandbox.d.IBActivityThread
    public void stopService(Intent intent) {
        AppServiceDispatcher.get().stopService(intent);
    }

    public static /* synthetic */ void a(IBinder iBinder) {
        Map<IBinder, Object> mActivities = BRActivityThread.get(BlackBoxCore.mainThread()).mActivities();
        if (mActivities.isEmpty() || mActivities.get(iBinder) == null) {
            return;
        }
        Activity activityByToken = getActivityByToken(iBinder);
        while (activityByToken.getParent() != null) {
            activityByToken = activityByToken.getParent();
        }
        ActivityManagerCompat.finishActivity(iBinder, BRActivity.get(activityByToken).mResultCode().intValue(), BRActivity.get(activityByToken).mResultData());
        BRActivity.get(activityByToken)._set_mFinished(true);
    }

    @Override // chongya.haiwai.sandbox.d.IBActivityThread
    public void bindApplication() {
        if (isInit()) {
            return;
        }
        bindApplication(getAppPackageName(), getAppProcessName());
    }

    public static /* synthetic */ void a(Intent intent, IBinder iBinder) {
        if (Build.VERSION.SDK_INT >= 22) {
            intent = BRReferrerIntent.get()._new(intent, BlackBoxCore.getHostPkg());
        }
        Object mainThread = BlackBoxCore.mainThread();
        if (BRActivityThread.get(BlackBoxCore.mainThread())._check_performNewIntents(null, null) != null) {
            BRActivityThread.get(mainThread).performNewIntents(iBinder, Collections.singletonList(intent));
        } else if (BRActivityThreadNMR1.get(mainThread)._check_performNewIntents(null, null, false) != null) {
            BRActivityThreadNMR1.get(mainThread).performNewIntents(iBinder, Collections.singletonList(intent), true);
        } else if (BRActivityThreadQ.get(mainThread)._check_handleNewIntent(null, null) != null) {
            BRActivityThreadQ.get(mainThread).handleNewIntent(iBinder, Collections.singletonList(intent));
        }
    }

    public /* synthetic */ void a(ReceiverData receiverData) {
        Intent intent = receiverData.intent;
        ActivityInfo activityInfo = receiverData.activityInfo;
        BroadcastReceiver.PendingResult build = receiverData.data.build();
        BroadcastReceiver broadcastReceiver = null;
        try {
            Context baseContext = this.mInitialApplication.getBaseContext();
            ClassLoader classLoader = baseContext.getClassLoader();
            intent.setExtrasClassLoader(classLoader);
            BroadcastReceiver broadcastReceiver2 = (BroadcastReceiver) classLoader.loadClass(activityInfo.name).newInstance();
            try {
                BRBroadcastReceiver.get(broadcastReceiver2).setPendingResult(build);
                broadcastReceiver2.onReceive(baseContext, intent);
                BroadcastReceiver.PendingResult pendingResult = BRBroadcastReceiver.get(broadcastReceiver2).getPendingResult();
                if (pendingResult != null) {
                    pendingResult.finish();
                }
                BlackBoxCore.getBActivityManager().finishBroadcast(receiverData.data);
            } catch (Throwable th) {
                th = th;
                broadcastReceiver = broadcastReceiver2;
                th.printStackTrace();
                Slog.e(TAG, "Error receiving broadcast " + intent + " in " + broadcastReceiver);
            }
        } catch (Throwable th2) {
            th = th2;
        }
    }
}
