package chongya.haiwai.sandbox.a;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.PackageInfo;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import androidx.annotation.Nullable;
import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.R;
import chongya.haiwai.sandbox.utils.Slog;
import com.ss.android.socialbase.downloader.utils.DownloadExpSwitchCode;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class LauncherActivity extends Activity {
    public static final String KEY_INTENT = "launch_intent";
    public static final String KEY_PKG = "launch_pkg";
    public static final String KEY_USER_ID = "launch_user_id";
    public static final String TAG = "SplashScreen";
    public boolean isRunning = false;

    public static void launch(Intent intent, int i2) {
        Intent intent2 = new Intent();
        intent2.setClass(BlackBoxCore.getContext(), LauncherActivity.class);
        intent2.addFlags(DownloadExpSwitchCode.BUGFIX_GETPACKAGEINFO_BY_UNZIP);
        intent2.putExtra(KEY_INTENT, intent);
        intent2.putExtra(KEY_PKG, intent.getPackage());
        intent2.putExtra(KEY_USER_ID, i2);
        BlackBoxCore.getContext().startActivity(intent2);
    }

    @Override // android.app.Activity
    public void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
        Intent intent = getIntent();
        if (intent == null) {
            finish();
            return;
        }
        final Intent intent2 = (Intent) intent.getParcelableExtra(KEY_INTENT);
        String stringExtra = intent.getStringExtra(KEY_PKG);
        final int intExtra = intent.getIntExtra(KEY_USER_ID, 0);
        PackageInfo packageInfo = BlackBoxCore.getBPackageManager().getPackageInfo(stringExtra, 0, intExtra);
        if (packageInfo == null) {
            Slog.e(TAG, stringExtra + " not installed!");
            finish();
            return;
        }
        Drawable loadIcon = packageInfo.applicationInfo.loadIcon(BlackBoxCore.getPackageManager());
        setContentView(R.layout.activity_launcher);
        findViewById(R.id.iv_icon).setBackgroundDrawable(loadIcon);
        new Thread(new Runnable() { // from class: d.a.a.a.e
            @Override // java.lang.Runnable
            public final void run() {
                BlackBoxCore.getBActivityManager().startActivity(intent2, intExtra);
            }
        }).start();
    }

    @Override // android.app.Activity
    public void onPause() {
        super.onPause();
        this.isRunning = true;
    }

    @Override // android.app.Activity
    public void onResume() {
        super.onResume();
        if (this.isRunning) {
            finish();
        }
    }
}
