package chongya.haiwai.sandbox.bean.am;

import android.content.BroadcastReceiver;
import android.os.Bundle;
import android.os.IBinder;
import android.os.Parcel;
import android.os.Parcelable;
import chongya.haiwai.sandbox.utils.compat.BuildCompat;
import java.util.UUID;
import joke.android.content.BRBroadcastReceiverPendingResult;
import joke.android.content.BRBroadcastReceiverPendingResultM;
import joke.android.content.BroadcastReceiverPendingResultContext;
import joke.android.content.BroadcastReceiverPendingResultMContext;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class PendingResultData implements Parcelable {
    public static final Parcelable.Creator<PendingResultData> CREATOR = new Parcelable.Creator<PendingResultData>() { // from class: chongya.haiwai.sandbox.bean.am.PendingResultData.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public PendingResultData createFromParcel(Parcel parcel) {
            return new PendingResultData(parcel);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public PendingResultData[] newArray(int i2) {
            return new PendingResultData[i2];
        }
    };
    public boolean mAbortBroadcast;
    public String mBToken;
    public boolean mFinished;
    public int mFlags;
    public boolean mInitialStickyHint;
    public boolean mOrderedHint;
    public int mResultCode;
    public String mResultData;
    public Bundle mResultExtras;
    public int mSendingUser;
    public IBinder mToken;
    public int mType;

    public PendingResultData(BroadcastReceiver.PendingResult pendingResult) {
        this.mBToken = UUID.randomUUID().toString();
        if (BuildCompat.isM()) {
            BroadcastReceiverPendingResultMContext broadcastReceiverPendingResultMContext = BRBroadcastReceiverPendingResultM.get(pendingResult);
            this.mType = broadcastReceiverPendingResultMContext.mType().intValue();
            this.mOrderedHint = broadcastReceiverPendingResultMContext.mOrderedHint().booleanValue();
            this.mInitialStickyHint = broadcastReceiverPendingResultMContext.mInitialStickyHint().booleanValue();
            this.mToken = broadcastReceiverPendingResultMContext.mToken();
            this.mSendingUser = broadcastReceiverPendingResultMContext.mSendingUser().intValue();
            this.mFlags = broadcastReceiverPendingResultMContext.mFlags().intValue();
            this.mResultData = broadcastReceiverPendingResultMContext.mResultData();
            this.mResultExtras = broadcastReceiverPendingResultMContext.mResultExtras();
            this.mAbortBroadcast = broadcastReceiverPendingResultMContext.mAbortBroadcast().booleanValue();
            this.mFinished = broadcastReceiverPendingResultMContext.mFinished().booleanValue();
            return;
        }
        BroadcastReceiverPendingResultContext broadcastReceiverPendingResultContext = BRBroadcastReceiverPendingResult.get(pendingResult);
        this.mType = broadcastReceiverPendingResultContext.mType().intValue();
        this.mOrderedHint = broadcastReceiverPendingResultContext.mOrderedHint().booleanValue();
        this.mInitialStickyHint = broadcastReceiverPendingResultContext.mInitialStickyHint().booleanValue();
        this.mToken = broadcastReceiverPendingResultContext.mToken();
        this.mSendingUser = broadcastReceiverPendingResultContext.mSendingUser().intValue();
        this.mResultData = broadcastReceiverPendingResultContext.mResultData();
        this.mResultExtras = broadcastReceiverPendingResultContext.mResultExtras();
        this.mAbortBroadcast = broadcastReceiverPendingResultContext.mAbortBroadcast().booleanValue();
        this.mFinished = broadcastReceiverPendingResultContext.mFinished().booleanValue();
    }

    public BroadcastReceiver.PendingResult build() {
        if (BuildCompat.isM()) {
            return BRBroadcastReceiverPendingResultM.get()._new(this.mResultCode, this.mResultData, this.mResultExtras, this.mType, this.mOrderedHint, this.mInitialStickyHint, this.mToken, this.mSendingUser, this.mFlags);
        }
        return BRBroadcastReceiverPendingResult.get()._new(this.mResultCode, this.mResultData, this.mResultExtras, this.mType, this.mOrderedHint, this.mInitialStickyHint, this.mToken, this.mSendingUser);
    }

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public void readFromParcel(Parcel parcel) {
        this.mType = parcel.readInt();
        this.mOrderedHint = parcel.readByte() != 0;
        this.mInitialStickyHint = parcel.readByte() != 0;
        this.mToken = parcel.readStrongBinder();
        this.mSendingUser = parcel.readInt();
        this.mFlags = parcel.readInt();
        this.mResultCode = parcel.readInt();
        this.mResultData = parcel.readString();
        this.mResultExtras = parcel.readBundle();
        this.mAbortBroadcast = parcel.readByte() != 0;
        this.mFinished = parcel.readByte() != 0;
        this.mBToken = parcel.readString();
    }

    public String toString() {
        return "PendingResultData{mType=" + this.mType + ", mOrderedHint=" + this.mOrderedHint + ", mInitialStickyHint=" + this.mInitialStickyHint + ", mToken=" + this.mToken + ", mSendingUser=" + this.mSendingUser + ", mFlags=" + this.mFlags + ", mResultCode=" + this.mResultCode + ", mResultData='" + this.mResultData + "', mResultExtras=" + this.mResultExtras + ", mAbortBroadcast=" + this.mAbortBroadcast + ", mFinished=" + this.mFinished + '}';
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.mType);
        parcel.writeByte(this.mOrderedHint ? (byte) 1 : (byte) 0);
        parcel.writeByte(this.mInitialStickyHint ? (byte) 1 : (byte) 0);
        parcel.writeStrongBinder(this.mToken);
        parcel.writeInt(this.mSendingUser);
        parcel.writeInt(this.mFlags);
        parcel.writeInt(this.mResultCode);
        parcel.writeString(this.mResultData);
        parcel.writeBundle(this.mResultExtras);
        parcel.writeByte(this.mAbortBroadcast ? (byte) 1 : (byte) 0);
        parcel.writeByte(this.mFinished ? (byte) 1 : (byte) 0);
        parcel.writeString(this.mBToken);
    }

    public PendingResultData(Parcel parcel) {
        this.mType = parcel.readInt();
        this.mOrderedHint = parcel.readByte() != 0;
        this.mInitialStickyHint = parcel.readByte() != 0;
        this.mToken = parcel.readStrongBinder();
        this.mSendingUser = parcel.readInt();
        this.mFlags = parcel.readInt();
        this.mResultCode = parcel.readInt();
        this.mResultData = parcel.readString();
        this.mResultExtras = parcel.readBundle();
        this.mAbortBroadcast = parcel.readByte() != 0;
        this.mFinished = parcel.readByte() != 0;
        this.mBToken = parcel.readString();
    }
}
