package chongya.haiwai.sandbox.d.env;

import android.content.ComponentName;
import android.os.Build;
import chongya.haiwai.sandbox.BlackBoxCore;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class AppSystemEnv {
    public static final List<String> sSystemPackages = new ArrayList();
    public static final List<String> sSuPackages = new ArrayList();
    public static final List<String> sXposedPackages = new ArrayList();
    public static final List<String> sPreInstallPackages = new ArrayList();

    static {
        sSystemPackages.add("android");
        sSystemPackages.add("com.google.android.webview");
        sSystemPackages.add("com.google.android.webview.dev");
        sSystemPackages.add("com.google.android.webview.beta");
        sSystemPackages.add("com.google.android.webview.canary");
        sSystemPackages.add("com.android.webview");
        sSystemPackages.add("com.android.camera");
        sSystemPackages.add("com.google.android.inputmethod.latin");
        sSystemPackages.add(BlackBoxCore.getHostPkg());
        sSystemPackages.add("com.huawei.webview");
        sSystemPackages.add("com.coloros.safecenter");
        sSuPackages.add("com.noshufou.android.su");
        sSuPackages.add("com.noshufou.android.su.elite");
        sSuPackages.add("eu.chainfire.supersu");
        sSuPackages.add("com.koushikdutta.superuser");
        sSuPackages.add("com.thirdparty.superuser");
        sSuPackages.add("com.yellowes.su");
        sXposedPackages.add("de.robv.android.xposed.installer");
        sPreInstallPackages.add("com.huawei.hwid");
        int i2 = Build.VERSION.SDK_INT;
        sSystemPackages.add("com.eg.android.AlipayGphone");
        sSystemPackages.add("com.alipay.android.app");
        sSystemPackages.add("com.tencent.mm");
    }

    public static List<String> getPreInstallPackages() {
        return sPreInstallPackages;
    }

    public static boolean isBlackPackage(String str) {
        if (BlackBoxCore.get().isHideRoot() && sSuPackages.contains(str)) {
            return true;
        }
        return BlackBoxCore.get().isHideXposed(str) && sXposedPackages.contains(str);
    }

    public static boolean isOpenPackage(String str) {
        return sSystemPackages.contains(str);
    }

    public static boolean isOpenPackage(ComponentName componentName) {
        return componentName != null && isOpenPackage(componentName.getPackageName());
    }
}
