package chongya.haiwai.sandbox.d.system;

import android.app.NotificationManager;
import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.IBinder;
import android.util.Log;
import androidx.core.app.NotificationCompat;
import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.utils.compat.BuildCompat;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class DaemonService extends Service {
    public static final int NOTIFY_ID = BlackBoxCore.getHostPkg().hashCode();
    public static final String TAG = "DaemonService";

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static class DaemonInnerService extends Service {
        @Override // android.app.Service
        public IBinder onBind(Intent intent) {
            return null;
        }

        @Override // android.app.Service
        public void onCreate() {
            Log.i(DaemonService.TAG, "DaemonInnerService -> onCreate");
            super.onCreate();
        }

        @Override // android.app.Service
        public void onDestroy() {
            Log.i(DaemonService.TAG, "DaemonInnerService -> onDestroy");
            super.onDestroy();
        }

        @Override // android.app.Service
        public int onStartCommand(Intent intent, int i2, int i3) {
            Log.i(DaemonService.TAG, "DaemonInnerService -> onStartCommand");
            ((NotificationManager) getSystemService("notification")).cancel(DaemonService.NOTIFY_ID);
            stopSelf();
            return super.onStartCommand(intent, i2, i3);
        }
    }

    private void showNotification() {
        Context applicationContext = getApplicationContext();
        startForeground(NOTIFY_ID, new NotificationCompat.Builder(applicationContext, getPackageName() + ".blackbox_core").setPriority(2).build());
    }

    @Override // android.app.Service
    public IBinder onBind(Intent intent) {
        return null;
    }

    @Override // android.app.Service
    public void onCreate() {
        super.onCreate();
    }

    @Override // android.app.Service
    public void onDestroy() {
        super.onDestroy();
        Log.d(TAG, "onDestroy");
    }

    @Override // android.app.Service
    public int onStartCommand(Intent intent, int i2, int i3) {
        startService(new Intent(this, DaemonInnerService.class));
        if (BuildCompat.isOreo()) {
            showNotification();
            return 1;
        }
        return 1;
    }
}
