package chongya.haiwai.sandbox.d.system;

import android.os.IBinder;
import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.d.system.accounts.BAccountManagerService;
import chongya.haiwai.sandbox.d.system.am.BActivityManagerService;
import chongya.haiwai.sandbox.d.system.am.BJobManagerService;
import chongya.haiwai.sandbox.d.system.location.BLocationManagerService;
import chongya.haiwai.sandbox.d.system.notification.BNotificationManagerService;
import chongya.haiwai.sandbox.d.system.os.BStorageManagerService;
import chongya.haiwai.sandbox.d.system.pm.BPackageManagerService;
import chongya.haiwai.sandbox.d.system.pm.BXposedManagerService;
import chongya.haiwai.sandbox.d.system.user.BUserManagerService;
import java.util.HashMap;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class ServiceManager {
    public static final String ACCOUNT_MANAGER = "account_manager";
    public static final String ACTIVITY_MANAGER = "activity_manager";
    public static final String JOB_MANAGER = "job_manager";
    public static final String LOCATION_MANAGER = "location_manager";
    public static final String NOTIFICATION_MANAGER = "notification_manager";
    public static final String PACKAGE_MANAGER = "package_manager";
    public static final String STORAGE_MANAGER = "storage_manager";
    public static final String USER_MANAGER = "user_manager";
    public static final String XPOSED_MANAGER = "xposed_manager";
    public static ServiceManager sServiceManager;
    public final Map<String, IBinder> mCaches;

    public ServiceManager() {
        HashMap hashMap = new HashMap();
        this.mCaches = hashMap;
        hashMap.put(ACTIVITY_MANAGER, BActivityManagerService.get());
        this.mCaches.put(JOB_MANAGER, BJobManagerService.get());
        this.mCaches.put(PACKAGE_MANAGER, BPackageManagerService.get());
        this.mCaches.put(STORAGE_MANAGER, BStorageManagerService.get());
        this.mCaches.put(USER_MANAGER, BUserManagerService.get());
        this.mCaches.put(XPOSED_MANAGER, BXposedManagerService.get());
        this.mCaches.put(ACCOUNT_MANAGER, BAccountManagerService.get());
        this.mCaches.put(LOCATION_MANAGER, BLocationManagerService.get());
        this.mCaches.put(NOTIFICATION_MANAGER, BNotificationManagerService.get());
    }

    public static ServiceManager get() {
        if (sServiceManager == null) {
            synchronized (ServiceManager.class) {
                if (sServiceManager == null) {
                    sServiceManager = new ServiceManager();
                }
            }
        }
        return sServiceManager;
    }

    public static IBinder getService(String str) {
        return get().getServiceInternal(str);
    }

    public static void initBlackManager() {
        BlackBoxCore.get().getService(ACTIVITY_MANAGER);
        BlackBoxCore.get().getService(JOB_MANAGER);
        BlackBoxCore.get().getService(PACKAGE_MANAGER);
        BlackBoxCore.get().getService(STORAGE_MANAGER);
        BlackBoxCore.get().getService(USER_MANAGER);
        BlackBoxCore.get().getService(XPOSED_MANAGER);
        BlackBoxCore.get().getService(ACCOUNT_MANAGER);
        BlackBoxCore.get().getService(LOCATION_MANAGER);
        BlackBoxCore.get().getService(NOTIFICATION_MANAGER);
    }

    public IBinder getServiceInternal(String str) {
        return this.mCaches.get(str);
    }
}
