package chongya.haiwai.sandbox.d.system.accounts;

import android.accounts.Account;
import android.os.Parcel;
import android.os.Parcelable;
import java.util.HashMap;
import java.util.LinkedHashMap;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class BAccount implements Parcelable {
    public static final Parcelable.Creator<BAccount> CREATOR = new Parcelable.Creator<BAccount>() { // from class: chongya.haiwai.sandbox.d.system.accounts.BAccount.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public BAccount createFromParcel(Parcel parcel) {
            return new BAccount(parcel);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public BAccount[] newArray(int i2) {
            return new BAccount[i2];
        }
    };
    public Account account;
    public HashMap<String, String> accountUserData;
    public HashMap<String, String> authTokens;
    public String password;
    public long updateLastAuthenticatedTime;
    public HashMap<String, Integer> visibility;

    public BAccount() {
        this.accountUserData = new LinkedHashMap();
        this.visibility = new LinkedHashMap();
        this.authTokens = new LinkedHashMap();
    }

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public void insertExtra(String str, String str2) {
        this.accountUserData.put(str, str2);
    }

    public boolean isMatch(Account account) {
        if (account == null) {
            return false;
        }
        return account.equals(this.account);
    }

    public void readFromParcel(Parcel parcel) {
        this.account = (Account) parcel.readParcelable(Account.class.getClassLoader());
        this.password = parcel.readString();
        this.accountUserData = (HashMap) parcel.readSerializable();
        this.visibility = (HashMap) parcel.readSerializable();
        this.authTokens = (HashMap) parcel.readSerializable();
        this.updateLastAuthenticatedTime = parcel.readLong();
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeParcelable(this.account, i2);
        parcel.writeString(this.password);
        parcel.writeSerializable(this.accountUserData);
        parcel.writeSerializable(this.visibility);
        parcel.writeSerializable(this.authTokens);
        parcel.writeLong(this.updateLastAuthenticatedTime);
    }

    public BAccount(Parcel parcel) {
        this.accountUserData = new LinkedHashMap();
        this.visibility = new LinkedHashMap();
        this.authTokens = new LinkedHashMap();
        this.account = (Account) parcel.readParcelable(Account.class.getClassLoader());
        this.password = parcel.readString();
        this.accountUserData = (HashMap) parcel.readSerializable();
        this.visibility = (HashMap) parcel.readSerializable();
        this.authTokens = (HashMap) parcel.readSerializable();
        this.updateLastAuthenticatedTime = parcel.readLong();
    }
}
