package chongya.haiwai.sandbox.d.system.am;

import android.app.ActivityManager;
import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.ResolveInfo;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.os.Binder;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Looper;
import android.os.Message;
import android.os.RemoteException;
import android.util.Log;
import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.d.system.BProcessManagerService;
import chongya.haiwai.sandbox.d.system.ProcessRecord;
import chongya.haiwai.sandbox.d.system.pm.BPackageManagerService;
import chongya.haiwai.sandbox.d.system.pm.PackageManagerCompat;
import chongya.haiwai.sandbox.hook.HookActivity;
import chongya.haiwai.sandbox.hook.HookManifest;
import chongya.haiwai.sandbox.hook.record.ProxyActivityRecord;
import chongya.haiwai.sandbox.utils.ComponentUtils;
import chongya.haiwai.sandbox.utils.Slog;
import com.ss.android.socialbase.downloader.utils.DownloadExpSwitchCode;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.UUID;
import joke.android.app.BRActivityManagerNative;
import joke.android.app.BRIActivityManager;
import joke.com.android.internal.BRRstyleable;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class ActivityStack {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int LAUNCH_TIME_OUT = 0;
    public static final String TAG = "ActivityStack";
    public final Map<Integer, TaskRecord> mTasks = new LinkedHashMap();
    public final Set<ActivityRecord> mLaunchingActivities = new HashSet();
    public final Handler mHandler = new Handler(Looper.getMainLooper()) { // from class: chongya.haiwai.sandbox.d.system.am.ActivityStack.1
        @Override // android.os.Handler
        public void handleMessage(Message message) {
            ActivityRecord activityRecord;
            if (message.what == 0 && (activityRecord = (ActivityRecord) message.obj) != null) {
                ActivityStack.this.mLaunchingActivities.remove(activityRecord);
            }
        }
    };
    public final ActivityManager mAms = (ActivityManager) BlackBoxCore.getContext().getSystemService("activity");

    private void deliverNewIntentLocked(ActivityRecord activityRecord, Intent intent) {
        try {
            activityRecord.processRecord.bActivityThread.handleNewIntent(activityRecord.token, intent);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    private ActivityRecord findActivityRecordByComponentName(int i2, ComponentName componentName) {
        ActivityRecord activityRecord = null;
        for (TaskRecord taskRecord : this.mTasks.values()) {
            if (i2 == taskRecord.userId) {
                Iterator<ActivityRecord> it = taskRecord.activities.iterator();
                while (true) {
                    if (it.hasNext()) {
                        ActivityRecord next = it.next();
                        if (next.component.equals(componentName)) {
                            activityRecord = next;
                            break;
                        }
                    }
                }
            }
        }
        return activityRecord;
    }

    private ActivityRecord findActivityRecordByToken(int i2, IBinder iBinder) {
        ActivityRecord activityRecord = null;
        if (iBinder != null) {
            for (TaskRecord taskRecord : this.mTasks.values()) {
                if (i2 == taskRecord.userId) {
                    Iterator<ActivityRecord> it = taskRecord.activities.iterator();
                    while (true) {
                        if (it.hasNext()) {
                            ActivityRecord next = it.next();
                            if (next.token == iBinder) {
                                activityRecord = next;
                                break;
                            }
                        }
                    }
                }
            }
        }
        return activityRecord;
    }

    private TaskRecord findTaskRecordByTaskAffinityLocked(int i2, String str) {
        synchronized (this.mTasks) {
            for (TaskRecord taskRecord : this.mTasks.values()) {
                if (i2 == taskRecord.userId && taskRecord.taskAffinity.equals(str)) {
                    return taskRecord;
                }
            }
            return null;
        }
    }

    private TaskRecord findTaskRecordByTokenLocked(int i2, IBinder iBinder) {
        synchronized (this.mTasks) {
            for (TaskRecord taskRecord : this.mTasks.values()) {
                if (i2 == taskRecord.userId) {
                    for (ActivityRecord activityRecord : taskRecord.activities) {
                        if (activityRecord.token == iBinder) {
                            return taskRecord;
                        }
                    }
                    continue;
                }
            }
            return null;
        }
    }

    private void finishAllActivity(int i2) {
        for (TaskRecord taskRecord : this.mTasks.values()) {
            for (ActivityRecord activityRecord : taskRecord.activities) {
                if (activityRecord.userId == i2 && activityRecord.finished) {
                    try {
                        activityRecord.processRecord.bActivityThread.finishActivity(activityRecord.token);
                    } catch (RemoteException unused) {
                    }
                }
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:18:0x00a3, code lost:
        if (r0 != null) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x00bf, code lost:
        chongya.haiwai.sandbox.hook.record.ProxyActivityRecord.saveStub(r8, r6, r9.mActivityInfo, r9.mActivityRecord, r9.mUserId);
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x00c8, code lost:
        return r8;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private Intent getStartStubActivityIntentInner(Intent intent, int i2, int i3, ProxyActivityRecord proxyActivityRecord, ActivityInfo activityInfo) {
        int i4;
        Intent intent2 = new Intent();
        TypedArray typedArray = null;
        try {
            Resources resources = PackageManagerCompat.getResources(BlackBoxCore.getContext(), activityInfo.applicationInfo);
            if (activityInfo.theme != 0) {
                i4 = activityInfo.theme;
            } else {
                i4 = activityInfo.applicationInfo.theme;
            }
            typedArray = resources.newTheme().obtainStyledAttributes(i4, BRRstyleable.get().Window());
            boolean z = typedArray.getBoolean(BRRstyleable.get().Window_windowIsTranslucent().intValue(), false);
            if (z) {
                intent2.setComponent(new ComponentName(BlackBoxCore.getHostPkg(), HookManifest.TransparentProxyActivity(i2)));
            } else if (activityInfo.screenOrientation == 6) {
                intent2.setComponent(new ComponentName(BlackBoxCore.getHostPkg(), HookManifest.getProxySensorLandscapeActivity(i2)));
            } else if (activityInfo.screenOrientation == 0) {
                intent2.setComponent(new ComponentName(BlackBoxCore.getHostPkg(), HookManifest.getProxyLandscapeActivity(i2)));
            } else {
                intent2.setComponent(new ComponentName(BlackBoxCore.getHostPkg(), HookManifest.getProxyActivity(i2)));
            }
            Slog.d(TAG, activityInfo + ", windowIsTranslucent: " + z);
        } catch (Throwable th) {
            try {
                th.printStackTrace();
                intent2.setComponent(new ComponentName(BlackBoxCore.getHostPkg(), HookManifest.getProxyActivity(i2)));
            } finally {
                if (typedArray != null) {
                    typedArray.recycle();
                }
            }
        }
    }

    private ActivityRecord getTopActivityRecord() {
        synchronized (this.mTasks) {
            synchronizeTasks();
        }
        LinkedList linkedList = new LinkedList(this.mTasks.values());
        if (linkedList.isEmpty()) {
            return null;
        }
        return ((TaskRecord) linkedList.get(linkedList.size() - 1)).getTopActivityRecord();
    }

    private int realStartActivityLocked(IInterface iInterface, Intent intent, String str, IBinder iBinder, String str2, int i2, int i3, Bundle bundle) {
        try {
            BRIActivityManager.get(BRActivityManagerNative.get().getDefault()).startActivity(iInterface, BlackBoxCore.getHostPkg(), intent, str, iBinder, str2, i2, i3 & (-3) & (-9) & (-5), null, bundle);
            return 0;
        } catch (Throwable th) {
            th.printStackTrace();
            return 0;
        }
    }

    private int startActivityInNewTaskLocked(int i2, Intent intent, ActivityInfo activityInfo, IBinder iBinder, int i3) {
        ActivityRecord newActivityRecord = newActivityRecord(intent, activityInfo, iBinder, i2);
        ActivityInfo activityInfo2 = newActivityRecord.info;
        Log.i("janus_test_kill", "info.packageName: " + activityInfo2.packageName);
        Intent startActivityProcess = startActivityProcess(i2, intent, activityInfo, newActivityRecord);
        startActivityProcess.addFlags(DownloadExpSwitchCode.BUGFIX_SIGBUS_24_25);
        startActivityProcess.addFlags(524288);
        startActivityProcess.addFlags(DownloadExpSwitchCode.BUGFIX_GETPACKAGEINFO_BY_UNZIP);
        startActivityProcess.addFlags(i3);
        BlackBoxCore.getContext().startActivity(startActivityProcess);
        return 0;
    }

    private int startActivityInSourceTask(Intent intent, String str, IBinder iBinder, String str2, int i2, int i3, Bundle bundle, int i4, ActivityRecord activityRecord, ActivityInfo activityInfo, int i5) {
        Intent startActivityProcess = startActivityProcess(i4, intent, activityInfo, newActivityRecord(intent, activityInfo, iBinder, i4));
        startActivityProcess.setAction(UUID.randomUUID().toString());
        startActivityProcess.addFlags(i5);
        if (iBinder == null) {
            startActivityProcess.addFlags(DownloadExpSwitchCode.BUGFIX_GETPACKAGEINFO_BY_UNZIP);
        }
        return realStartActivityLocked(activityRecord.processRecord.appThread, startActivityProcess, str, iBinder, str2, i2, i3, bundle);
    }

    private Intent startActivityProcess(int i2, Intent intent, ActivityInfo activityInfo, ActivityRecord activityRecord) {
        ProxyActivityRecord proxyActivityRecord = new ProxyActivityRecord(i2, activityInfo, intent, activityRecord);
        ProcessRecord startProcessLocked = BProcessManagerService.get().startProcessLocked(activityInfo.packageName, activityInfo.processName, i2, -1, Binder.getCallingPid());
        if (startProcessLocked != null) {
            Log.i("janus_test_kill", "pid: " + startProcessLocked.pid);
            Log.i("janus_test_kill", "bpid: " + startProcessLocked.bpid);
            return getStartStubActivityIntentInner(intent, startProcessLocked.bpid, i2, proxyActivityRecord, activityInfo);
        }
        throw new RuntimeException("Unable to create process, name:" + activityInfo.name);
    }

    private void synchronizeTasks() {
        List<ActivityManager.RecentTaskInfo> recentTasks = this.mAms.getRecentTasks(100, 0);
        LinkedHashMap linkedHashMap = new LinkedHashMap();
        for (int size = recentTasks.size() - 1; size >= 0; size--) {
            ActivityManager.RecentTaskInfo recentTaskInfo = recentTasks.get(size);
            TaskRecord taskRecord = this.mTasks.get(Integer.valueOf(recentTaskInfo.id));
            if (taskRecord != null) {
                linkedHashMap.put(Integer.valueOf(recentTaskInfo.id), taskRecord);
            }
        }
        this.mTasks.clear();
        this.mTasks.putAll(linkedHashMap);
    }

    public boolean containsFlag(Intent intent, int i2) {
        return (intent.getFlags() & i2) != 0;
    }

    public ComponentName getCallingActivity(IBinder iBinder, int i2) {
        ActivityRecord findActivityRecordByToken;
        synchronized (this.mTasks) {
            synchronizeTasks();
            ActivityRecord findActivityRecordByToken2 = findActivityRecordByToken(i2, iBinder);
            if (findActivityRecordByToken2 != null && (findActivityRecordByToken = findActivityRecordByToken(i2, findActivityRecordByToken2.resultTo)) != null) {
                return findActivityRecordByToken.component;
            }
            return new ComponentName(BlackBoxCore.getHostPkg(), HookActivity.P0.class.getName());
        }
    }

    public String getCallingPackage(IBinder iBinder, int i2) {
        ActivityRecord findActivityRecordByToken;
        synchronized (this.mTasks) {
            synchronizeTasks();
            ActivityRecord findActivityRecordByToken2 = findActivityRecordByToken(i2, iBinder);
            if (findActivityRecordByToken2 != null && (findActivityRecordByToken = findActivityRecordByToken(i2, findActivityRecordByToken2.resultTo)) != null) {
                return findActivityRecordByToken.info.packageName;
            }
            return BlackBoxCore.getHostPkg();
        }
    }

    public int getRunningTaskId(String str) {
        for (TaskRecord taskRecord : this.mTasks.values()) {
            if (taskRecord.taskAffinity.equals(str)) {
                return taskRecord.id;
            }
        }
        return -1;
    }

    public ActivityRecord newActivityRecord(Intent intent, ActivityInfo activityInfo, IBinder iBinder, int i2) {
        ActivityRecord create = ActivityRecord.create(intent, activityInfo, iBinder, i2);
        synchronized (this.mLaunchingActivities) {
            this.mLaunchingActivities.add(create);
            this.mHandler.sendMessageDelayed(Message.obtain(this.mHandler, 0, create), 2000L);
        }
        return create;
    }

    public void onActivityCreated(ProcessRecord processRecord, int i2, IBinder iBinder, ActivityRecord activityRecord) {
        synchronized (this.mLaunchingActivities) {
            this.mLaunchingActivities.remove(activityRecord);
            this.mHandler.removeMessages(0, activityRecord);
        }
        synchronized (this.mTasks) {
            synchronizeTasks();
            TaskRecord taskRecord = this.mTasks.get(Integer.valueOf(i2));
            if (taskRecord == null) {
                taskRecord = new TaskRecord(i2, activityRecord.userId, ComponentUtils.getTaskAffinity(activityRecord.info));
                taskRecord.rootIntent = activityRecord.intent;
                this.mTasks.put(Integer.valueOf(i2), taskRecord);
            }
            activityRecord.token = iBinder;
            activityRecord.processRecord = processRecord;
            activityRecord.task = taskRecord;
            taskRecord.addTopActivity(activityRecord);
            Log.d(TAG, "onActivityCreated : " + activityRecord.component.toString());
        }
    }

    public void onActivityDestroyed(int i2, IBinder iBinder) {
        synchronized (this.mTasks) {
            synchronizeTasks();
            ActivityRecord findActivityRecordByToken = findActivityRecordByToken(i2, iBinder);
            if (findActivityRecordByToken == null) {
                return;
            }
            findActivityRecordByToken.finished = true;
            Log.d(TAG, "onActivityDestroyed : " + findActivityRecordByToken.component.toString());
            findActivityRecordByToken.task.removeActivity(findActivityRecordByToken);
        }
    }

    public void onActivityResumed(int i2, IBinder iBinder) {
        synchronized (this.mTasks) {
            synchronizeTasks();
            ActivityRecord findActivityRecordByToken = findActivityRecordByToken(i2, iBinder);
            if (findActivityRecordByToken == null) {
                return;
            }
            Log.d(TAG, "onActivityResumed : " + findActivityRecordByToken.component.toString());
            findActivityRecordByToken.task.removeActivity(findActivityRecordByToken);
            findActivityRecordByToken.task.addTopActivity(findActivityRecordByToken);
        }
    }

    public void onFinishActivity(int i2, IBinder iBinder) {
        synchronized (this.mTasks) {
            synchronizeTasks();
            ActivityRecord findActivityRecordByToken = findActivityRecordByToken(i2, iBinder);
            if (findActivityRecordByToken == null) {
                return;
            }
            findActivityRecordByToken.finished = true;
            Log.d(TAG, "onFinishActivity : " + findActivityRecordByToken.component.toString());
        }
    }

    public int startActivitiesLocked(int i2, Intent[] intentArr, String[] strArr, IBinder iBinder, Bundle bundle) {
        if (intentArr != null) {
            if (strArr != null) {
                if (intentArr.length == strArr.length) {
                    for (int i3 = 0; i3 < intentArr.length; i3++) {
                        startActivityLocked(i2, intentArr[i3], strArr[i3], iBinder, null, -1, 0, bundle);
                    }
                    return 0;
                }
                throw new IllegalArgumentException("intents are length different than resolvedTypes");
            }
            throw new NullPointerException("resolvedTypes is null");
        }
        throw new NullPointerException("intents is null");
    }

    /* JADX WARN: Removed duplicated region for block: B:104:0x01ac  */
    /* JADX WARN: Removed duplicated region for block: B:105:0x01af  */
    /* JADX WARN: Removed duplicated region for block: B:121:0x01e2  */
    /* JADX WARN: Removed duplicated region for block: B:122:0x01e4  */
    /* JADX WARN: Removed duplicated region for block: B:128:0x01f6 A[LOOP:3: B:126:0x01f0->B:128:0x01f6, LOOP_END] */
    /* JADX WARN: Removed duplicated region for block: B:131:0x0205  */
    /* JADX WARN: Removed duplicated region for block: B:133:0x020a  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public int startActivityLocked(int i2, Intent intent, String str, IBinder iBinder, String str2, int i3, int i4, Bundle bundle) {
        TaskRecord findTaskRecordByTaskAffinityLocked;
        IBinder iBinder2;
        TaskRecord taskRecord;
        boolean z;
        ActivityRecord activityRecord;
        boolean z2;
        ActivityRecord activityRecord2;
        IBinder iBinder3;
        ActivityRecord topActivityRecord;
        IBinder iBinder4;
        synchronized (this.mTasks) {
            synchronizeTasks();
        }
        ResolveInfo resolveActivity = BPackageManagerService.get().resolveActivity(intent, 1, str, i2);
        if (resolveActivity == null || resolveActivity.activityInfo == null) {
            return 0;
        }
        Log.d(TAG, "startActivityLocked : " + resolveActivity.activityInfo);
        ActivityInfo activityInfo = resolveActivity.activityInfo;
        IBinder iBinder5 = iBinder;
        ActivityRecord findActivityRecordByToken = findActivityRecordByToken(i2, iBinder5);
        if (findActivityRecordByToken == null) {
            iBinder5 = null;
        }
        TaskRecord taskRecord2 = findActivityRecordByToken != null ? findActivityRecordByToken.task : null;
        String taskAffinity = ComponentUtils.getTaskAffinity(activityInfo);
        boolean z3 = containsFlag(intent, 536870912) || activityInfo.launchMode == 1;
        boolean containsFlag = containsFlag(intent, DownloadExpSwitchCode.BUGFIX_GETPACKAGEINFO_BY_UNZIP);
        boolean containsFlag2 = containsFlag(intent, DownloadExpSwitchCode.BACK_BUGFIX_SIGBUS);
        boolean containsFlag3 = containsFlag(intent, 32768);
        int i5 = activityInfo.launchMode;
        if (i5 != 0 && i5 != 1 && i5 != 2) {
            findTaskRecordByTaskAffinityLocked = i5 != 3 ? null : findTaskRecordByTaskAffinityLocked(i2, taskAffinity);
        } else {
            findTaskRecordByTaskAffinityLocked = findTaskRecordByTaskAffinityLocked(i2, taskAffinity);
            if (findTaskRecordByTaskAffinityLocked == null && !containsFlag) {
                findTaskRecordByTaskAffinityLocked = taskRecord2;
            }
        }
        if (findTaskRecordByTaskAffinityLocked != null && !findTaskRecordByTaskAffinityLocked.needNewTask()) {
            Log.i("janus_test_kill", "taskRecord.id: " + findTaskRecordByTaskAffinityLocked.id);
            this.mAms.moveTaskToFront(findTaskRecordByTaskAffinityLocked.id, 0);
            if (!(containsFlag2 || z3 || containsFlag3) && ComponentUtils.intentFilterEquals(findTaskRecordByTaskAffinityLocked.rootIntent, intent) && findTaskRecordByTaskAffinityLocked.rootIntent.getFlags() == intent.getFlags()) {
                return 0;
            }
            ActivityRecord topActivityRecord2 = findTaskRecordByTaskAffinityLocked.getTopActivityRecord();
            ActivityRecord findActivityRecordByComponentName = findActivityRecordByComponentName(i2, ComponentUtils.toComponentName(activityInfo));
            if (!containsFlag2 || findActivityRecordByComponentName == null) {
                iBinder2 = iBinder5;
                taskRecord = taskRecord2;
                z = containsFlag;
                activityRecord = null;
            } else {
                synchronized (findActivityRecordByComponentName.task.activities) {
                    int size = findActivityRecordByComponentName.task.activities.size() - 1;
                    while (true) {
                        if (size < 0) {
                            iBinder2 = iBinder5;
                            taskRecord = taskRecord2;
                            z = containsFlag;
                            break;
                        }
                        ActivityRecord activityRecord3 = findActivityRecordByComponentName.task.activities.get(size);
                        if (activityRecord3 != findActivityRecordByComponentName) {
                            activityRecord3.finished = true;
                            Log.d(TAG, "makerFinish: " + activityRecord3.component.toString());
                            size += -1;
                            taskRecord2 = taskRecord2;
                            iBinder5 = iBinder5;
                            containsFlag = containsFlag;
                        } else {
                            iBinder2 = iBinder5;
                            taskRecord = taskRecord2;
                            z = containsFlag;
                            if (z3) {
                                activityRecord = findActivityRecordByComponentName;
                            } else {
                                findActivityRecordByComponentName.finished = true;
                            }
                        }
                    }
                    activityRecord = null;
                }
            }
            if (z3 && !containsFlag2) {
                if (!ComponentUtils.intentFilterEquals(topActivityRecord2.intent, intent)) {
                    synchronized (this.mLaunchingActivities) {
                        z2 = false;
                        for (ActivityRecord activityRecord4 : this.mLaunchingActivities) {
                            if (!activityRecord4.finished && activityRecord4.component.equals(intent.getComponent())) {
                                z2 = true;
                            }
                        }
                    }
                    if (activityInfo.launchMode == 2 && !containsFlag2) {
                        if (ComponentUtils.intentFilterEquals(topActivityRecord2.intent, intent)) {
                            ActivityRecord findActivityRecordByComponentName2 = findActivityRecordByComponentName(i2, ComponentUtils.toComponentName(activityInfo));
                            if (findActivityRecordByComponentName2 != null) {
                                synchronized (findTaskRecordByTaskAffinityLocked.activities) {
                                    boolean z4 = true;
                                    int size2 = findTaskRecordByTaskAffinityLocked.activities.size() - 1;
                                    while (size2 >= 0) {
                                        ActivityRecord activityRecord5 = findTaskRecordByTaskAffinityLocked.activities.get(size2);
                                        if (activityRecord5 == findActivityRecordByComponentName2) {
                                            break;
                                        }
                                        activityRecord5.finished = z4;
                                        size2--;
                                        z4 = true;
                                    }
                                }
                                activityRecord = findActivityRecordByComponentName2;
                            }
                        } else {
                            activityRecord = topActivityRecord2;
                        }
                    }
                    activityRecord2 = activityInfo.launchMode != 3 ? topActivityRecord2 : activityRecord;
                    if (containsFlag3 && z) {
                        for (ActivityRecord activityRecord6 : findTaskRecordByTaskAffinityLocked.activities) {
                            activityRecord6.finished = true;
                        }
                    }
                    finishAllActivity(i2);
                    if (activityRecord2 == null) {
                        deliverNewIntentLocked(activityRecord2, intent);
                        return 0;
                    } else if (z2) {
                        return 0;
                    } else {
                        if (iBinder2 == null) {
                            ActivityRecord topActivityRecord3 = findTaskRecordByTaskAffinityLocked.getTopActivityRecord();
                            iBinder4 = topActivityRecord3 != null ? topActivityRecord3.token : iBinder2;
                        } else if (taskRecord != null && (topActivityRecord = taskRecord.getTopActivityRecord()) != null) {
                            iBinder4 = topActivityRecord.token;
                        } else {
                            iBinder3 = iBinder2;
                            return startActivityInSourceTask(intent, str, iBinder3, str2, i3, i4, bundle, i2, topActivityRecord2, activityInfo, 0);
                        }
                        iBinder3 = iBinder4;
                        return startActivityInSourceTask(intent, str, iBinder3, str2, i3, i4, bundle, i2, topActivityRecord2, activityInfo, 0);
                    }
                }
                activityRecord = topActivityRecord2;
            }
            z2 = false;
            if (activityInfo.launchMode == 2) {
                if (ComponentUtils.intentFilterEquals(topActivityRecord2.intent, intent)) {
                }
            }
            if (activityInfo.launchMode != 3) {
            }
            if (containsFlag3) {
                while (r3.hasNext()) {
                }
            }
            finishAllActivity(i2);
            if (activityRecord2 == null) {
            }
        } else {
            return startActivityInNewTaskLocked(i2, intent, activityInfo, iBinder5, 0);
        }
    }
}
