package chongya.haiwai.sandbox.d.system.am;

import android.content.Intent;
import java.util.LinkedList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class TaskRecord {
    public final List<ActivityRecord> activities = new LinkedList();
    public int id;
    public Intent rootIntent;
    public String taskAffinity;
    public int userId;

    public TaskRecord(int i2, int i3, String str) {
        this.id = i2;
        this.userId = i3;
        this.taskAffinity = str;
    }

    public void addTopActivity(ActivityRecord activityRecord) {
        this.activities.add(activityRecord);
    }

    public ActivityRecord getTopActivityRecord() {
        for (int size = this.activities.size() - 1; size >= 0; size--) {
            ActivityRecord activityRecord = this.activities.get(size);
            if (!activityRecord.finished) {
                return activityRecord;
            }
        }
        return null;
    }

    public boolean needNewTask() {
        for (ActivityRecord activityRecord : this.activities) {
            if (!activityRecord.finished) {
                return false;
            }
        }
        return true;
    }

    public void removeActivity(ActivityRecord activityRecord) {
        this.activities.remove(activityRecord);
    }
}
