package chongya.haiwai.sandbox.d.system.pm;

import android.content.ComponentName;
import android.content.IntentFilter;
import android.content.pm.ActivityInfo;
import android.content.pm.ApplicationInfo;
import android.content.pm.ConfigurationInfo;
import android.content.pm.FeatureInfo;
import android.content.pm.InstrumentationInfo;
import android.content.pm.PackageParser;
import android.content.pm.PermissionGroupInfo;
import android.content.pm.PermissionInfo;
import android.content.pm.ProviderInfo;
import android.content.pm.ServiceInfo;
import android.content.pm.Signature;
import android.content.pm.SigningInfo;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import chongya.haiwai.sandbox.bean.pm.InstallOption;
import chongya.haiwai.sandbox.utils.compat.BuildCompat;
import java.util.ArrayList;
import java.util.Iterator;
import joke.android.content.pm.BRPackageParserSigningDetails;
import joke.android.content.pm.BRSigningDetailsT;
import joke.android.content.pm.BRSigningInfoT;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class BPackage implements Parcelable {
    public static final Parcelable.Creator<BPackage> CREATOR = new Parcelable.Creator<BPackage>() { // from class: chongya.haiwai.sandbox.d.system.pm.BPackage.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public BPackage createFromParcel(Parcel parcel) {
            return new BPackage(parcel);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public BPackage[] newArray(int i2) {
            return new BPackage[i2];
        }
    };
    public ArrayList<Activity> activities;
    public ApplicationInfo applicationInfo;
    public String baseCodePath;
    public ArrayList<ConfigurationInfo> configPreferences;
    public InstallOption installOption;
    public ArrayList<Instrumentation> instrumentation;
    public Bundle mAppMetaData;
    public BPackageSettings mExtras;
    public int mPreferredOrder;
    public String mSharedUserId;
    public int mSharedUserLabel;
    public Signature[] mSignatures;
    public SigningDetails mSigningDetails;
    public int mVersionCode;
    public String mVersionName;
    public String packageName;
    public ArrayList<PermissionGroup> permissionGroups;
    public ArrayList<Permission> permissions;
    public ArrayList<Provider> providers;
    public ArrayList<Activity> receivers;
    public ArrayList<FeatureInfo> reqFeatures;
    public ArrayList<String> requestedPermissions;
    public ArrayList<Service> services;
    public SigningInfo signingInfo;
    public ArrayList<String> usesLibraries;
    public ArrayList<String> usesOptionalLibraries;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static class ActivityIntentInfo extends IntentInfo {
        public Activity activity;

        public ActivityIntentInfo(PackageParser.IntentInfo intentInfo) {
            super(intentInfo);
        }

        public ActivityIntentInfo(IntentInfo intentInfo) {
            super(intentInfo);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static class ProviderIntentInfo extends IntentInfo {
        public Provider provider;

        public ProviderIntentInfo(PackageParser.IntentInfo intentInfo) {
            super(intentInfo);
        }

        public ProviderIntentInfo(IntentInfo intentInfo) {
            super(intentInfo);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static class ServiceIntentInfo extends IntentInfo {
        public Service service;

        public ServiceIntentInfo(PackageParser.IntentInfo intentInfo) {
            super(intentInfo);
        }

        public ServiceIntentInfo(IntentInfo intentInfo) {
            super(intentInfo);
        }
    }

    public BPackage(PackageParser.Package r6) {
        this.activities = new ArrayList<>(0);
        this.receivers = new ArrayList<>(0);
        this.providers = new ArrayList<>(0);
        this.services = new ArrayList<>(0);
        this.instrumentation = new ArrayList<>(0);
        this.permissions = new ArrayList<>(0);
        this.permissionGroups = new ArrayList<>(0);
        this.requestedPermissions = new ArrayList<>();
        this.configPreferences = null;
        this.reqFeatures = null;
        this.activities = new ArrayList<>(r6.activities.size());
        Iterator<PackageParser.Activity> it = r6.activities.iterator();
        while (it.hasNext()) {
            Activity activity = new Activity(it.next());
            Iterator it2 = activity.intents.iterator();
            while (it2.hasNext()) {
                ((ActivityIntentInfo) it2.next()).activity = activity;
            }
            activity.owner = this;
            this.activities.add(activity);
        }
        this.receivers = new ArrayList<>(r6.receivers.size());
        Iterator<PackageParser.Activity> it3 = r6.receivers.iterator();
        while (it3.hasNext()) {
            Activity activity2 = new Activity(it3.next());
            Iterator it4 = activity2.intents.iterator();
            while (it4.hasNext()) {
                ((ActivityIntentInfo) it4.next()).activity = activity2;
            }
            activity2.owner = this;
            this.receivers.add(activity2);
        }
        this.providers = new ArrayList<>(r6.providers.size());
        Iterator<PackageParser.Provider> it5 = r6.providers.iterator();
        while (it5.hasNext()) {
            Provider provider = new Provider(it5.next());
            Iterator it6 = provider.intents.iterator();
            while (it6.hasNext()) {
                ((ProviderIntentInfo) it6.next()).provider = provider;
            }
            provider.owner = this;
            this.providers.add(provider);
        }
        this.services = new ArrayList<>(r6.services.size());
        Iterator<PackageParser.Service> it7 = r6.services.iterator();
        while (it7.hasNext()) {
            Service service = new Service(it7.next());
            Iterator it8 = service.intents.iterator();
            while (it8.hasNext()) {
                ((ServiceIntentInfo) it8.next()).service = service;
            }
            service.owner = this;
            this.services.add(service);
        }
        this.instrumentation = new ArrayList<>(r6.instrumentation.size());
        Iterator<PackageParser.Instrumentation> it9 = r6.instrumentation.iterator();
        while (it9.hasNext()) {
            Instrumentation instrumentation = new Instrumentation(it9.next());
            instrumentation.owner = this;
            this.instrumentation.add(instrumentation);
        }
        this.permissions = new ArrayList<>(r6.permissions.size());
        Iterator<PackageParser.Permission> it10 = r6.permissions.iterator();
        while (it10.hasNext()) {
            Permission permission = new Permission(it10.next());
            permission.owner = this;
            this.permissions.add(permission);
        }
        this.permissionGroups = new ArrayList<>(r6.permissionGroups.size());
        Iterator<PackageParser.PermissionGroup> it11 = r6.permissionGroups.iterator();
        while (it11.hasNext()) {
            PermissionGroup permissionGroup = new PermissionGroup(it11.next());
            permissionGroup.owner = this;
            this.permissionGroups.add(permissionGroup);
        }
        this.requestedPermissions = r6.requestedPermissions;
        if (BuildCompat.isPie()) {
            SigningDetails signingDetails = new SigningDetails(r6.mSigningDetails);
            this.mSigningDetails = signingDetails;
            this.mSignatures = signingDetails.signatures;
        } else {
            this.mSignatures = r6.mSignatures;
        }
        if (BuildCompat.isT()) {
            try {
                this.signingInfo = BRSigningInfoT.get()._new(BRSigningDetailsT.get()._new(r6.mSigningDetails.signatures, BRPackageParserSigningDetails.get(r6.mSigningDetails).signatureSchemeVersionl() == null ? 3 : BRPackageParserSigningDetails.get(r6.mSigningDetails).signatureSchemeVersionl().intValue(), BRPackageParserSigningDetails.get(r6.mSigningDetails).publicKeys(), r6.mSigningDetails.pastSigningCertificates));
            } catch (Exception unused) {
            }
        }
        this.mAppMetaData = r6.mAppMetaData;
        this.packageName = r6.packageName;
        this.mPreferredOrder = r6.mPreferredOrder;
        this.mSharedUserId = r6.mSharedUserId;
        this.usesLibraries = r6.usesLibraries;
        this.usesOptionalLibraries = r6.usesOptionalLibraries;
        this.mVersionCode = r6.mVersionCode;
        this.applicationInfo = r6.applicationInfo;
        this.mVersionName = r6.mVersionName;
        this.baseCodePath = r6.baseCodePath;
        this.mSharedUserLabel = r6.mSharedUserLabel;
        this.configPreferences = r6.configPreferences;
        this.reqFeatures = r6.reqFeatures;
    }

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.activities.size());
        Iterator<Activity> it = this.activities.iterator();
        while (it.hasNext()) {
            Activity next = it.next();
            parcel.writeString(next.className);
            parcel.writeBundle(next.metaData);
            parcel.writeParcelable(next.info, i2);
            ArrayList<II> arrayList = next.intents;
            if (arrayList != 0) {
                int size = arrayList.size();
                parcel.writeInt(size);
                while (true) {
                    int i3 = size - 1;
                    if (size > 0) {
                        parcel.writeParcelable((Parcelable) next.intents.get(i3), i2);
                        size = i3;
                    }
                }
            } else {
                parcel.writeInt(0);
            }
        }
        parcel.writeInt(this.receivers.size());
        Iterator<Activity> it2 = this.receivers.iterator();
        while (it2.hasNext()) {
            Activity next2 = it2.next();
            parcel.writeString(next2.className);
            parcel.writeBundle(next2.metaData);
            parcel.writeParcelable(next2.info, i2);
            ArrayList<II> arrayList2 = next2.intents;
            if (arrayList2 != 0) {
                int size2 = arrayList2.size();
                parcel.writeInt(size2);
                while (true) {
                    int i4 = size2 - 1;
                    if (size2 > 0) {
                        parcel.writeParcelable((Parcelable) next2.intents.get(i4), i2);
                        size2 = i4;
                    }
                }
            } else {
                parcel.writeInt(0);
            }
        }
        parcel.writeInt(this.providers.size());
        Iterator<Provider> it3 = this.providers.iterator();
        while (it3.hasNext()) {
            Provider next3 = it3.next();
            parcel.writeString(next3.className);
            parcel.writeBundle(next3.metaData);
            parcel.writeParcelable(next3.info, i2);
            ArrayList<II> arrayList3 = next3.intents;
            if (arrayList3 != 0) {
                int size3 = arrayList3.size();
                parcel.writeInt(size3);
                while (true) {
                    int i5 = size3 - 1;
                    if (size3 > 0) {
                        parcel.writeParcelable((Parcelable) next3.intents.get(i5), i2);
                        size3 = i5;
                    }
                }
            } else {
                parcel.writeInt(0);
            }
        }
        parcel.writeInt(this.services.size());
        Iterator<Service> it4 = this.services.iterator();
        while (it4.hasNext()) {
            Service next4 = it4.next();
            parcel.writeString(next4.className);
            parcel.writeBundle(next4.metaData);
            parcel.writeParcelable(next4.info, i2);
            ArrayList<II> arrayList4 = next4.intents;
            if (arrayList4 != 0) {
                int size4 = arrayList4.size();
                parcel.writeInt(size4);
                while (true) {
                    int i6 = size4 - 1;
                    if (size4 > 0) {
                        parcel.writeParcelable((Parcelable) next4.intents.get(i6), i2);
                        size4 = i6;
                    }
                }
            } else {
                parcel.writeInt(0);
            }
        }
        parcel.writeInt(this.instrumentation.size());
        Iterator<Instrumentation> it5 = this.instrumentation.iterator();
        while (it5.hasNext()) {
            Instrumentation next5 = it5.next();
            parcel.writeString(next5.className);
            parcel.writeBundle(next5.metaData);
            parcel.writeParcelable(next5.info, i2);
            ArrayList<II> arrayList5 = next5.intents;
            if (arrayList5 != 0) {
                int size5 = arrayList5.size();
                parcel.writeInt(size5);
                while (true) {
                    int i7 = size5 - 1;
                    if (size5 > 0) {
                        parcel.writeParcelable((Parcelable) next5.intents.get(i7), i2);
                        size5 = i7;
                    }
                }
            } else {
                parcel.writeInt(0);
            }
        }
        parcel.writeInt(this.permissions.size());
        Iterator<Permission> it6 = this.permissions.iterator();
        while (it6.hasNext()) {
            Permission next6 = it6.next();
            parcel.writeString(next6.className);
            parcel.writeBundle(next6.metaData);
            parcel.writeParcelable(next6.info, i2);
            ArrayList<II> arrayList6 = next6.intents;
            if (arrayList6 != 0) {
                int size6 = arrayList6.size();
                parcel.writeInt(size6);
                while (true) {
                    int i8 = size6 - 1;
                    if (size6 > 0) {
                        parcel.writeParcelable((Parcelable) next6.intents.get(i8), i2);
                        size6 = i8;
                    }
                }
            } else {
                parcel.writeInt(0);
            }
        }
        parcel.writeInt(this.permissionGroups.size());
        Iterator<PermissionGroup> it7 = this.permissionGroups.iterator();
        while (it7.hasNext()) {
            PermissionGroup next7 = it7.next();
            parcel.writeString(next7.className);
            parcel.writeBundle(next7.metaData);
            parcel.writeParcelable(next7.info, i2);
            ArrayList<II> arrayList7 = next7.intents;
            if (arrayList7 != 0) {
                int size7 = arrayList7.size();
                parcel.writeInt(size7);
                while (true) {
                    int i9 = size7 - 1;
                    if (size7 > 0) {
                        parcel.writeParcelable((Parcelable) next7.intents.get(i9), i2);
                        size7 = i9;
                    }
                }
            } else {
                parcel.writeInt(0);
            }
        }
        parcel.writeStringList(this.requestedPermissions);
        if (BuildCompat.isPie()) {
            parcel.writeParcelable(this.mSigningDetails, i2);
        }
        if (BuildCompat.isT()) {
            parcel.writeParcelable(this.signingInfo, i2);
        }
        parcel.writeTypedArray(this.mSignatures, i2);
        parcel.writeBundle(this.mAppMetaData);
        parcel.writeString(this.packageName);
        parcel.writeInt(this.mPreferredOrder);
        parcel.writeString(this.mSharedUserId);
        parcel.writeStringList(this.usesLibraries);
        parcel.writeStringList(this.usesOptionalLibraries);
        parcel.writeInt(this.mVersionCode);
        parcel.writeParcelable(this.applicationInfo, i2);
        parcel.writeString(this.mVersionName);
        parcel.writeString(this.baseCodePath);
        parcel.writeInt(this.mSharedUserLabel);
        parcel.writeTypedList(this.configPreferences);
        parcel.writeTypedList(this.reqFeatures);
        parcel.writeParcelable(this.installOption, i2);
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static class Component<II extends IntentInfo> {
        public String className;
        public ComponentName componentName;
        public ArrayList<II> intents;
        public Bundle metaData;
        public BPackage owner;

        public Component(Parcel parcel) {
            this.className = parcel.readString();
            this.metaData = parcel.readBundle(Bundle.class.getClassLoader());
        }

        public ComponentName getComponentName() {
            ComponentName componentName = this.componentName;
            if (componentName != null) {
                return componentName;
            }
            if (this.className != null) {
                this.componentName = new ComponentName(this.owner.packageName, this.className);
            }
            return this.componentName;
        }

        public Component(PackageParser.Component<?> component) {
            this.className = component.className;
            this.metaData = component.metaData;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class SigningDetails implements Parcelable {
        public static final Parcelable.Creator<SigningDetails> CREATOR = new Parcelable.Creator<SigningDetails>() { // from class: chongya.haiwai.sandbox.d.system.pm.BPackage.SigningDetails.1
            /* JADX WARN: Can't rename method to resolve collision */
            @Override // android.os.Parcelable.Creator
            public SigningDetails createFromParcel(Parcel parcel) {
                return new SigningDetails(parcel);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            @Override // android.os.Parcelable.Creator
            public SigningDetails[] newArray(int i2) {
                return new SigningDetails[i2];
            }
        };
        public static final PackageParser.SigningDetails UNKNOWN = null;
        public Signature[] signatures;

        public SigningDetails(PackageParser.SigningDetails signingDetails) {
            Signature[] signatureArr = signingDetails.pastSigningCertificates;
            if (signatureArr == null) {
                this.signatures = signingDetails.signatures;
            } else {
                this.signatures = signatureArr;
            }
        }

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeTypedArray(this.signatures, i2);
        }

        public SigningDetails(Parcel parcel) {
            this.signatures = (Signature[]) parcel.createTypedArray(Signature.CREATOR);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class Activity extends Component<ActivityIntentInfo> {
        public ActivityInfo info;

        public Activity(PackageParser.Activity activity) {
            super(activity);
            this.info = activity.info;
            ArrayList<II> arrayList = activity.intents;
            if (arrayList != 0) {
                this.intents = new ArrayList<>(arrayList.size());
                Iterator it = activity.intents.iterator();
                while (it.hasNext()) {
                    this.intents.add(new ActivityIntentInfo((PackageParser.ActivityIntentInfo) it.next()));
                }
            }
        }

        public Activity(Parcel parcel) {
            super(parcel);
            this.info = (ActivityInfo) parcel.readParcelable(ActivityInfo.class.getClassLoader());
            int readInt = parcel.readInt();
            this.intents = new ArrayList<>(readInt);
            while (true) {
                int i2 = readInt - 1;
                if (readInt <= 0) {
                    return;
                }
                this.intents.add(new ActivityIntentInfo((IntentInfo) parcel.readParcelable(BPackage.class.getClassLoader())));
                readInt = i2;
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class Instrumentation extends Component<IntentInfo> {
        public InstrumentationInfo info;

        public Instrumentation(PackageParser.Instrumentation instrumentation) {
            super(instrumentation);
            this.info = instrumentation.info;
            ArrayList<II> arrayList = instrumentation.intents;
            if (arrayList != 0) {
                this.intents = new ArrayList<>(arrayList.size());
                Iterator it = instrumentation.intents.iterator();
                while (it.hasNext()) {
                    this.intents.add(new IntentInfo((PackageParser.IntentInfo) it.next()));
                }
            }
        }

        public Instrumentation(Parcel parcel) {
            super(parcel);
            this.info = (InstrumentationInfo) parcel.readParcelable(InstrumentationInfo.class.getClassLoader());
            int readInt = parcel.readInt();
            this.intents = new ArrayList<>(readInt);
            while (true) {
                int i2 = readInt - 1;
                if (readInt <= 0) {
                    return;
                }
                this.intents.add((IntentInfo) parcel.readParcelable(BPackage.class.getClassLoader()));
                readInt = i2;
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class Permission extends Component<IntentInfo> {
        public PermissionInfo info;

        public Permission(PackageParser.Permission permission) {
            super(permission);
            this.info = permission.info;
            ArrayList<II> arrayList = permission.intents;
            if (arrayList != 0) {
                this.intents = new ArrayList<>(arrayList.size());
                Iterator it = permission.intents.iterator();
                while (it.hasNext()) {
                    this.intents.add(new IntentInfo((PackageParser.IntentInfo) it.next()));
                }
            }
        }

        public Permission(Parcel parcel) {
            super(parcel);
            this.info = (PermissionInfo) parcel.readParcelable(Permission.class.getClassLoader());
            int readInt = parcel.readInt();
            this.intents = new ArrayList<>(readInt);
            while (true) {
                int i2 = readInt - 1;
                if (readInt <= 0) {
                    return;
                }
                this.intents.add((IntentInfo) parcel.readParcelable(BPackage.class.getClassLoader()));
                readInt = i2;
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class PermissionGroup extends Component<IntentInfo> {
        public PermissionGroupInfo info;

        public PermissionGroup(PackageParser.PermissionGroup permissionGroup) {
            super(permissionGroup);
            this.info = permissionGroup.info;
            ArrayList<II> arrayList = permissionGroup.intents;
            if (arrayList != 0) {
                this.intents = new ArrayList<>(arrayList.size());
                Iterator it = permissionGroup.intents.iterator();
                while (it.hasNext()) {
                    this.intents.add(new IntentInfo((PackageParser.IntentInfo) it.next()));
                }
            }
        }

        public PermissionGroup(Parcel parcel) {
            super(parcel);
            this.info = (PermissionGroupInfo) parcel.readParcelable(PermissionGroup.class.getClassLoader());
            int readInt = parcel.readInt();
            this.intents = new ArrayList<>(readInt);
            while (true) {
                int i2 = readInt - 1;
                if (readInt <= 0) {
                    return;
                }
                this.intents.add((IntentInfo) parcel.readParcelable(BPackage.class.getClassLoader()));
                readInt = i2;
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class Provider extends Component<ProviderIntentInfo> {
        public ProviderInfo info;

        public Provider(PackageParser.Provider provider) {
            super(provider);
            this.info = provider.info;
            ArrayList<II> arrayList = provider.intents;
            if (arrayList != 0) {
                this.intents = new ArrayList<>(arrayList.size());
                Iterator it = provider.intents.iterator();
                while (it.hasNext()) {
                    this.intents.add(new ProviderIntentInfo((PackageParser.ProviderIntentInfo) it.next()));
                }
            }
        }

        public Provider(Parcel parcel) {
            super(parcel);
            this.info = (ProviderInfo) parcel.readParcelable(ProviderInfo.class.getClassLoader());
            int readInt = parcel.readInt();
            this.intents = new ArrayList<>(readInt);
            while (true) {
                int i2 = readInt - 1;
                if (readInt <= 0) {
                    return;
                }
                this.intents.add(new ProviderIntentInfo((IntentInfo) parcel.readParcelable(BPackage.class.getClassLoader())));
                readInt = i2;
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class Service extends Component<ServiceIntentInfo> {
        public ServiceInfo info;

        public Service(PackageParser.Service service) {
            super(service);
            this.info = service.info;
            ArrayList<II> arrayList = service.intents;
            if (arrayList != 0) {
                this.intents = new ArrayList<>(arrayList.size());
                Iterator it = service.intents.iterator();
                while (it.hasNext()) {
                    this.intents.add(new ServiceIntentInfo((PackageParser.ServiceIntentInfo) it.next()));
                }
            }
        }

        public Service(Parcel parcel) {
            super(parcel);
            this.info = (ServiceInfo) parcel.readParcelable(ServiceInfo.class.getClassLoader());
            int readInt = parcel.readInt();
            this.intents = new ArrayList<>(readInt);
            while (true) {
                int i2 = readInt - 1;
                if (readInt <= 0) {
                    return;
                }
                this.intents.add(new ServiceIntentInfo((IntentInfo) parcel.readParcelable(BPackage.class.getClassLoader())));
                readInt = i2;
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static class IntentInfo implements Parcelable {
        public static final Parcelable.Creator<IntentInfo> CREATOR = new Parcelable.Creator<IntentInfo>() { // from class: chongya.haiwai.sandbox.d.system.pm.BPackage.IntentInfo.1
            /* JADX WARN: Can't rename method to resolve collision */
            @Override // android.os.Parcelable.Creator
            public IntentInfo createFromParcel(Parcel parcel) {
                return new IntentInfo(parcel);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            @Override // android.os.Parcelable.Creator
            public IntentInfo[] newArray(int i2) {
                return new IntentInfo[i2];
            }
        };
        public int banner;
        public boolean hasDefault;
        public int icon;
        public IntentFilter intentFilter;
        public int labelRes;
        public int logo;
        public String nonLocalizedLabel;

        public IntentInfo(PackageParser.IntentInfo intentInfo) {
            this.intentFilter = intentInfo;
            this.hasDefault = intentInfo.hasDefault;
            this.labelRes = intentInfo.labelRes;
            CharSequence charSequence = intentInfo.nonLocalizedLabel;
            this.nonLocalizedLabel = charSequence == null ? null : charSequence.toString();
            this.icon = intentInfo.icon;
            this.logo = intentInfo.logo;
            this.banner = intentInfo.banner;
        }

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeParcelable(this.intentFilter, i2);
            parcel.writeByte(this.hasDefault ? (byte) 1 : (byte) 0);
            parcel.writeInt(this.labelRes);
            parcel.writeString(this.nonLocalizedLabel);
            parcel.writeInt(this.icon);
            parcel.writeInt(this.logo);
            parcel.writeInt(this.banner);
        }

        public IntentInfo(IntentInfo intentInfo) {
            this.intentFilter = intentInfo.intentFilter;
            this.hasDefault = intentInfo.hasDefault;
            this.labelRes = intentInfo.labelRes;
            String str = intentInfo.nonLocalizedLabel;
            this.nonLocalizedLabel = str == null ? null : str.toString();
            this.icon = intentInfo.icon;
            this.logo = intentInfo.logo;
            this.banner = intentInfo.banner;
        }

        public IntentInfo(Parcel parcel) {
            this.intentFilter = (IntentFilter) parcel.readParcelable(BPackage.class.getClassLoader());
            this.hasDefault = parcel.readByte() != 0;
            this.labelRes = parcel.readInt();
            this.nonLocalizedLabel = parcel.readString();
            this.icon = parcel.readInt();
            this.logo = parcel.readInt();
            this.banner = parcel.readInt();
        }
    }

    public BPackage(Parcel parcel) {
        this.activities = new ArrayList<>(0);
        this.receivers = new ArrayList<>(0);
        this.providers = new ArrayList<>(0);
        this.services = new ArrayList<>(0);
        this.instrumentation = new ArrayList<>(0);
        this.permissions = new ArrayList<>(0);
        this.permissionGroups = new ArrayList<>(0);
        this.requestedPermissions = new ArrayList<>();
        this.configPreferences = null;
        this.reqFeatures = null;
        int readInt = parcel.readInt();
        this.activities = new ArrayList<>(readInt);
        while (true) {
            int i2 = readInt - 1;
            if (readInt <= 0) {
                break;
            }
            Activity activity = new Activity(parcel);
            Iterator it = activity.intents.iterator();
            while (it.hasNext()) {
                ((ActivityIntentInfo) it.next()).activity = activity;
            }
            activity.owner = this;
            this.activities.add(activity);
            readInt = i2;
        }
        int readInt2 = parcel.readInt();
        this.receivers = new ArrayList<>(readInt2);
        while (true) {
            int i3 = readInt2 - 1;
            if (readInt2 <= 0) {
                break;
            }
            Activity activity2 = new Activity(parcel);
            Iterator it2 = activity2.intents.iterator();
            while (it2.hasNext()) {
                ((ActivityIntentInfo) it2.next()).activity = activity2;
            }
            activity2.owner = this;
            this.receivers.add(activity2);
            readInt2 = i3;
        }
        int readInt3 = parcel.readInt();
        this.providers = new ArrayList<>(readInt3);
        while (true) {
            int i4 = readInt3 - 1;
            if (readInt3 <= 0) {
                break;
            }
            Provider provider = new Provider(parcel);
            Iterator it3 = provider.intents.iterator();
            while (it3.hasNext()) {
                ((ProviderIntentInfo) it3.next()).provider = provider;
            }
            provider.owner = this;
            this.providers.add(provider);
            readInt3 = i4;
        }
        int readInt4 = parcel.readInt();
        this.services = new ArrayList<>(readInt4);
        while (true) {
            int i5 = readInt4 - 1;
            if (readInt4 <= 0) {
                break;
            }
            Service service = new Service(parcel);
            Iterator it4 = service.intents.iterator();
            while (it4.hasNext()) {
                ((ServiceIntentInfo) it4.next()).service = service;
            }
            service.owner = this;
            this.services.add(service);
            readInt4 = i5;
        }
        int readInt5 = parcel.readInt();
        this.instrumentation = new ArrayList<>(readInt5);
        while (true) {
            int i6 = readInt5 - 1;
            if (readInt5 <= 0) {
                break;
            }
            Instrumentation instrumentation = new Instrumentation(parcel);
            instrumentation.owner = this;
            this.instrumentation.add(instrumentation);
            readInt5 = i6;
        }
        int readInt6 = parcel.readInt();
        this.permissions = new ArrayList<>(readInt6);
        while (true) {
            int i7 = readInt6 - 1;
            if (readInt6 <= 0) {
                break;
            }
            Permission permission = new Permission(parcel);
            permission.owner = this;
            this.permissions.add(permission);
            readInt6 = i7;
        }
        int readInt7 = parcel.readInt();
        this.permissionGroups = new ArrayList<>(readInt7);
        while (true) {
            int i8 = readInt7 - 1;
            if (readInt7 <= 0) {
                break;
            }
            PermissionGroup permissionGroup = new PermissionGroup(parcel);
            permissionGroup.owner = this;
            this.permissionGroups.add(permissionGroup);
            readInt7 = i8;
        }
        parcel.readStringList(this.requestedPermissions);
        if (BuildCompat.isPie()) {
            this.mSigningDetails = (SigningDetails) parcel.readParcelable(SigningDetails.class.getClassLoader());
        }
        if (BuildCompat.isT()) {
            this.signingInfo = (SigningInfo) parcel.readParcelable(Bundle.class.getClassLoader());
        }
        this.mSignatures = (Signature[]) parcel.createTypedArray(Signature.CREATOR);
        this.mAppMetaData = parcel.readBundle(Bundle.class.getClassLoader());
        this.packageName = parcel.readString();
        this.mPreferredOrder = parcel.readInt();
        this.mSharedUserId = parcel.readString();
        this.usesLibraries = parcel.createStringArrayList();
        this.usesOptionalLibraries = parcel.createStringArrayList();
        this.mVersionCode = parcel.readInt();
        this.applicationInfo = (ApplicationInfo) parcel.readParcelable(ApplicationInfo.class.getClassLoader());
        this.mVersionName = parcel.readString();
        this.baseCodePath = parcel.readString();
        this.mSharedUserLabel = parcel.readInt();
        this.configPreferences = parcel.createTypedArrayList(ConfigurationInfo.CREATOR);
        this.reqFeatures = parcel.createTypedArrayList(FeatureInfo.CREATOR);
        this.installOption = (InstallOption) parcel.readParcelable(InstallOption.class.getClassLoader());
    }
}
