package chongya.haiwai.sandbox.d.system.pm;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
/* compiled from: AAA */
/* loaded from: classes.dex */
public interface IBPackageInstallerService extends IInterface {

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static abstract class Stub extends Binder implements IBPackageInstallerService {
        public static final String DESCRIPTOR = "chongya.haiwai.sandbox.d.system.pm.IBPackageInstallerService";
        public static final int TRANSACTION_clearPackage = 3;
        public static final int TRANSACTION_installPackageAsUser = 1;
        public static final int TRANSACTION_uninstallPackageAsUser = 2;
        public static final int TRANSACTION_updatePackage = 4;

        /* compiled from: AAA */
        /* loaded from: classes.dex */
        public static class Proxy implements IBPackageInstallerService {
            public IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            @Override // android.os.IInterface
            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // chongya.haiwai.sandbox.d.system.pm.IBPackageInstallerService
            public int clearPackage(BPackageSettings bPackageSettings, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (bPackageSettings != null) {
                        obtain.writeInt(1);
                        bPackageSettings.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    obtain.writeInt(i2);
                    this.mRemote.transact(3, obtain, obtain2, 0);
                    obtain2.readException();
                    return obtain2.readInt();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // chongya.haiwai.sandbox.d.system.pm.IBPackageInstallerService
            public int installPackageAsUser(BPackageSettings bPackageSettings, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (bPackageSettings != null) {
                        obtain.writeInt(1);
                        bPackageSettings.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    obtain.writeInt(i2);
                    this.mRemote.transact(1, obtain, obtain2, 0);
                    obtain2.readException();
                    return obtain2.readInt();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // chongya.haiwai.sandbox.d.system.pm.IBPackageInstallerService
            public int uninstallPackageAsUser(BPackageSettings bPackageSettings, boolean z, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    int i3 = 1;
                    if (bPackageSettings != null) {
                        obtain.writeInt(1);
                        bPackageSettings.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (!z) {
                        i3 = 0;
                    }
                    obtain.writeInt(i3);
                    obtain.writeInt(i2);
                    this.mRemote.transact(2, obtain, obtain2, 0);
                    obtain2.readException();
                    return obtain2.readInt();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // chongya.haiwai.sandbox.d.system.pm.IBPackageInstallerService
            public int updatePackage(BPackageSettings bPackageSettings) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (bPackageSettings != null) {
                        obtain.writeInt(1);
                        bPackageSettings.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    this.mRemote.transact(4, obtain, obtain2, 0);
                    obtain2.readException();
                    return obtain2.readInt();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IBPackageInstallerService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface != null && (queryLocalInterface instanceof IBPackageInstallerService)) {
                return (IBPackageInstallerService) queryLocalInterface;
            }
            return new Proxy(iBinder);
        }

        @Override // android.os.IInterface
        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i2, Parcel parcel, Parcel parcel2, int i3) throws RemoteException {
            if (i2 == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                int installPackageAsUser = installPackageAsUser(parcel.readInt() != 0 ? BPackageSettings.CREATOR.createFromParcel(parcel) : null, parcel.readInt());
                parcel2.writeNoException();
                parcel2.writeInt(installPackageAsUser);
                return true;
            } else if (i2 == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                int uninstallPackageAsUser = uninstallPackageAsUser(parcel.readInt() != 0 ? BPackageSettings.CREATOR.createFromParcel(parcel) : null, parcel.readInt() != 0, parcel.readInt());
                parcel2.writeNoException();
                parcel2.writeInt(uninstallPackageAsUser);
                return true;
            } else if (i2 == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                int clearPackage = clearPackage(parcel.readInt() != 0 ? BPackageSettings.CREATOR.createFromParcel(parcel) : null, parcel.readInt());
                parcel2.writeNoException();
                parcel2.writeInt(clearPackage);
                return true;
            } else if (i2 != 4) {
                if (i2 != 1598968902) {
                    return super.onTransact(i2, parcel, parcel2, i3);
                }
                parcel2.writeString(DESCRIPTOR);
                return true;
            } else {
                parcel.enforceInterface(DESCRIPTOR);
                int updatePackage = updatePackage(parcel.readInt() != 0 ? BPackageSettings.CREATOR.createFromParcel(parcel) : null);
                parcel2.writeNoException();
                parcel2.writeInt(updatePackage);
                return true;
            }
        }
    }

    int clearPackage(BPackageSettings bPackageSettings, int i2) throws RemoteException;

    int installPackageAsUser(BPackageSettings bPackageSettings, int i2) throws RemoteException;

    int uninstallPackageAsUser(BPackageSettings bPackageSettings, boolean z, int i2) throws RemoteException;

    int updatePackage(BPackageSettings bPackageSettings) throws RemoteException;
}
