package chongya.haiwai.sandbox.d.system.pm;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import chongya.haiwai.sandbox.bean.pm.InstalledModule;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public interface IBXposedManagerService extends IInterface {

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static abstract class Stub extends Binder implements IBXposedManagerService {
        public static final String DESCRIPTOR = "chongya.haiwai.sandbox.d.system.pm.IBXposedManagerService";
        public static final int TRANSACTION_getInstalledModules = 5;
        public static final int TRANSACTION_isModuleEnable = 3;
        public static final int TRANSACTION_isXPEnable = 1;
        public static final int TRANSACTION_setModuleEnable = 4;
        public static final int TRANSACTION_setXPEnable = 2;

        /* compiled from: AAA */
        /* loaded from: classes.dex */
        public static class Proxy implements IBXposedManagerService {
            public IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            @Override // android.os.IInterface
            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // chongya.haiwai.sandbox.d.system.pm.IBXposedManagerService
            public List<InstalledModule> getInstalledModules() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    this.mRemote.transact(5, obtain, obtain2, 0);
                    obtain2.readException();
                    return obtain2.createTypedArrayList(InstalledModule.CREATOR);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // chongya.haiwai.sandbox.d.system.pm.IBXposedManagerService
            public boolean isModuleEnable(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    this.mRemote.transact(3, obtain, obtain2, 0);
                    obtain2.readException();
                    return obtain2.readInt() != 0;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // chongya.haiwai.sandbox.d.system.pm.IBXposedManagerService
            public boolean isXPEnable() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    this.mRemote.transact(1, obtain, obtain2, 0);
                    obtain2.readException();
                    return obtain2.readInt() != 0;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // chongya.haiwai.sandbox.d.system.pm.IBXposedManagerService
            public void setModuleEnable(String str, boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeInt(z ? 1 : 0);
                    this.mRemote.transact(4, obtain, obtain2, 0);
                    obtain2.readException();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // chongya.haiwai.sandbox.d.system.pm.IBXposedManagerService
            public void setXPEnable(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    this.mRemote.transact(2, obtain, obtain2, 0);
                    obtain2.readException();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IBXposedManagerService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface != null && (queryLocalInterface instanceof IBXposedManagerService)) {
                return (IBXposedManagerService) queryLocalInterface;
            }
            return new Proxy(iBinder);
        }

        @Override // android.os.IInterface
        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i2, Parcel parcel, Parcel parcel2, int i3) throws RemoteException {
            if (i2 == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                boolean isXPEnable = isXPEnable();
                parcel2.writeNoException();
                parcel2.writeInt(isXPEnable ? 1 : 0);
                return true;
            }
            if (i2 == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                setXPEnable(parcel.readInt() != 0);
                parcel2.writeNoException();
                return true;
            } else if (i2 == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                boolean isModuleEnable = isModuleEnable(parcel.readString());
                parcel2.writeNoException();
                parcel2.writeInt(isModuleEnable ? 1 : 0);
                return true;
            } else if (i2 == 4) {
                parcel.enforceInterface(DESCRIPTOR);
                setModuleEnable(parcel.readString(), parcel.readInt() != 0);
                parcel2.writeNoException();
                return true;
            } else if (i2 != 5) {
                if (i2 != 1598968902) {
                    return super.onTransact(i2, parcel, parcel2, i3);
                }
                parcel2.writeString(DESCRIPTOR);
                return true;
            } else {
                parcel.enforceInterface(DESCRIPTOR);
                List<InstalledModule> installedModules = getInstalledModules();
                parcel2.writeNoException();
                parcel2.writeTypedList(installedModules);
                return true;
            }
        }
    }

    List<InstalledModule> getInstalledModules() throws RemoteException;

    boolean isModuleEnable(String str) throws RemoteException;

    boolean isXPEnable() throws RemoteException;

    void setModuleEnable(String str, boolean z) throws RemoteException;

    void setXPEnable(boolean z) throws RemoteException;
}
