package chongya.haiwai.sandbox.f.delegate;

import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.IInterface;
import android.util.ArrayMap;
import android.util.Log;
import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.f.service.context.providers.ContentProviderStub;
import chongya.haiwai.sandbox.f.service.context.providers.SettingsProviderStub;
import chongya.haiwai.sandbox.utils.compat.BuildCompat;
import java.lang.reflect.Proxy;
import java.util.HashSet;
import java.util.Set;
import joke.android.app.BRActivityThread;
import joke.android.app.BRActivityThreadProviderClientRecordP;
import joke.android.app.BRIActivityManagerContentProviderHolder;
import joke.android.content.BRContentProviderHolderOreo;
import joke.android.providers.BRSettingsContentProviderHolder;
import joke.android.providers.BRSettingsGlobal;
import joke.android.providers.BRSettingsNameValueCache;
import joke.android.providers.BRSettingsNameValueCacheOreo;
import joke.android.providers.BRSettingsSecure;
import joke.android.providers.BRSettingsSystem;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class ContentProviderDelegate {
    public static final String TAG = "ContentProviderDelegate";
    public static Set<String> sInjected = new HashSet();

    public static void clearContentProvider(Object obj) {
        if (BuildCompat.isOreo()) {
            Object mProviderHolder = BRSettingsNameValueCacheOreo.get(obj).mProviderHolder();
            if (mProviderHolder != null) {
                BRSettingsContentProviderHolder.get(mProviderHolder)._set_mContentProvider(null);
                return;
            }
            return;
        }
        BRSettingsNameValueCache.get(obj)._set_mContentProvider(null);
    }

    public static void clearSettingProvider() {
        Object sNameValueCache;
        Object sNameValueCache2 = BRSettingsSystem.get().sNameValueCache();
        if (sNameValueCache2 != null) {
            clearContentProvider(sNameValueCache2);
        }
        Object sNameValueCache3 = BRSettingsSecure.get().sNameValueCache();
        if (sNameValueCache3 != null) {
            clearContentProvider(sNameValueCache3);
        }
        if (Build.VERSION.SDK_INT < 17 || BRSettingsGlobal.getRealClass() == null || (sNameValueCache = BRSettingsGlobal.get().sNameValueCache()) == null) {
            return;
        }
        clearContentProvider(sNameValueCache);
    }

    public static void init() {
        clearSettingProvider();
        BlackBoxCore.getContext().getContentResolver().call(Uri.parse("content://settings"), "", (String) null, (Bundle) null);
        for (Object obj : ((ArrayMap) BRActivityThread.get(BlackBoxCore.mainThread()).mProviderMap()).values()) {
            String[] mNames = BRActivityThreadProviderClientRecordP.get(obj).mNames();
            if (mNames != null && mNames.length > 0) {
                String str = mNames[0];
                if (!sInjected.contains(str)) {
                    sInjected.add(str);
                    IInterface mProvider = BRActivityThreadProviderClientRecordP.get(obj).mProvider();
                    Log.w("lxy___", "ContentProviderDelegate--init---" + BlackBoxCore.getHostPkg());
                    BRActivityThreadProviderClientRecordP.get(obj)._set_mProvider(new ContentProviderStub().wrapper(mProvider, BlackBoxCore.getHostPkg()));
                    BRActivityThreadProviderClientRecordP.get(obj)._set_mNames(new String[]{str});
                }
            }
        }
    }

    public static void update(Object obj, String str) {
        IInterface provider;
        IInterface wrapper;
        if (BuildCompat.isOreo()) {
            provider = BRContentProviderHolderOreo.get(obj).provider();
        } else {
            provider = BRIActivityManagerContentProviderHolder.get(obj).provider();
        }
        if (provider instanceof Proxy) {
            return;
        }
        char c2 = 65535;
        if (str.hashCode() == 1434631203 && str.equals("settings")) {
            c2 = 0;
        }
        if (c2 != 0) {
            Log.w("lxy___", "ContentProviderDelegate--update---" + BlackBoxCore.getHostPkg());
            wrapper = new ContentProviderStub().wrapper(provider, BlackBoxCore.getHostPkg());
        } else {
            wrapper = new SettingsProviderStub().wrapper(provider, BlackBoxCore.getHostPkg());
        }
        if (BuildCompat.isOreo()) {
            BRContentProviderHolderOreo.get(obj)._set_provider(wrapper);
        } else {
            BRIActivityManagerContentProviderHolder.get(obj)._set_provider(wrapper);
        }
    }
}
