package chongya.haiwai.sandbox.f.delegate;

import android.app.IServiceConnection;
import android.content.ComponentName;
import android.content.Intent;
import android.os.IBinder;
import android.os.RemoteException;
import chongya.haiwai.sandbox.utils.compat.BuildCompat;
import java.util.HashMap;
import java.util.Map;
import joke.android.app.BRIServiceConnectionO;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class ServiceConnectionDelegate extends IServiceConnection.Stub {
    public static final Map<IBinder, ServiceConnectionDelegate> sServiceConnectDelegate = new HashMap();
    public final ComponentName mComponentName;
    public final IServiceConnection mConn;

    public ServiceConnectionDelegate(IServiceConnection iServiceConnection, ComponentName componentName) {
        this.mConn = iServiceConnection;
        this.mComponentName = componentName;
    }

    public static IServiceConnection createProxy(IServiceConnection iServiceConnection, Intent intent) {
        final IBinder asBinder = iServiceConnection.asBinder();
        ServiceConnectionDelegate serviceConnectionDelegate = sServiceConnectDelegate.get(asBinder);
        if (serviceConnectionDelegate == null) {
            try {
                asBinder.linkToDeath(new IBinder.DeathRecipient() { // from class: chongya.haiwai.sandbox.f.delegate.ServiceConnectionDelegate.1
                    @Override // android.os.IBinder.DeathRecipient
                    public void binderDied() {
                        ServiceConnectionDelegate.sServiceConnectDelegate.remove(asBinder);
                        asBinder.unlinkToDeath(this, 0);
                    }
                }, 0);
            } catch (RemoteException e2) {
                e2.printStackTrace();
            }
            ServiceConnectionDelegate serviceConnectionDelegate2 = new ServiceConnectionDelegate(iServiceConnection, intent.getComponent());
            sServiceConnectDelegate.put(asBinder, serviceConnectionDelegate2);
            return serviceConnectionDelegate2;
        }
        return serviceConnectionDelegate;
    }

    public static ServiceConnectionDelegate getDelegate(IBinder iBinder) {
        return sServiceConnectDelegate.get(iBinder);
    }

    @Override // android.app.IServiceConnection
    public void connected(ComponentName componentName, IBinder iBinder) throws RemoteException {
        connected(componentName, iBinder, false);
    }

    public void connected(ComponentName componentName, IBinder iBinder, boolean z) throws RemoteException {
        if (BuildCompat.isOreo()) {
            BRIServiceConnectionO.get(this.mConn).connected(this.mComponentName, iBinder, z);
        } else {
            this.mConn.connected(componentName, iBinder);
        }
    }
}
