package chongya.haiwai.sandbox.f.frameworks;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ProviderInfo;
import android.os.Bundle;
import android.os.IBinder;
import android.os.RemoteException;
import chongya.haiwai.sandbox.a.BActivityThread;
import chongya.haiwai.sandbox.bean.AppConfig;
import chongya.haiwai.sandbox.bean.IntentSenderData;
import chongya.haiwai.sandbox.bean.UnbindRecord;
import chongya.haiwai.sandbox.bean.am.PendingResultData;
import chongya.haiwai.sandbox.bean.am.RunningAppProcessInfo;
import chongya.haiwai.sandbox.bean.am.RunningServiceInfo;
import chongya.haiwai.sandbox.d.system.ServiceManager;
import chongya.haiwai.sandbox.d.system.am.IBActivityManagerService;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class BActivityManager extends BlackManager<IBActivityManagerService> {
    public static final BActivityManager sActivityManager = new BActivityManager();

    public static BActivityManager get() {
        return sActivityManager;
    }

    public IBinder acquireContentProviderClient(ProviderInfo providerInfo) {
        try {
            return getService().acquireContentProviderClient(providerInfo);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public void addOrUpdateIntentSender(IntentSenderData intentSenderData, int i2) throws RemoteException {
        getService().addOrUpdateIntentSender(intentSenderData, i2);
    }

    public Intent bindService(Intent intent, IBinder iBinder, String str, int i2) {
        try {
            return getService().bindService(intent, iBinder, str, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public void finishBroadcast(PendingResultData pendingResultData) {
        try {
            getService().finishBroadcast(pendingResultData);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public ComponentName getCallingActivity(IBinder iBinder, int i2) {
        try {
            return getService().getCallingActivity(iBinder, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public String getCallingPackage(IBinder iBinder, int i2) {
        try {
            return getService().getCallingPackage(iBinder, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public void getIntentSender(IBinder iBinder, String str, int i2) {
        try {
            getService().getIntentSender(iBinder, str, i2, BActivityThread.getUserId());
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public String getPackageForIntentSender(IBinder iBinder) {
        try {
            return getService().getPackageForIntentSender(iBinder, BActivityThread.getUserId());
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public RunningAppProcessInfo getRunningAppProcesses(String str, int i2) throws RemoteException {
        try {
            return getService().getRunningAppProcesses(str, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public RunningAppProcessInfo getRunningAppProcesses1(String str, int i2) throws RemoteException {
        try {
            return getService().getRunningAppProcesses(str, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public RunningServiceInfo getRunningServices(String str, int i2) throws RemoteException {
        try {
            return getService().getRunningServices(str, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public int getRunningTaskId(String str, int i2) throws RemoteException {
        try {
            return getService().getRunningTaskId(str, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return -1;
        }
    }

    @Override // chongya.haiwai.sandbox.f.frameworks.BlackManager
    public String getServiceName() {
        return ServiceManager.ACTIVITY_MANAGER;
    }

    public int getUidForIntentSender(IBinder iBinder) {
        try {
            return getService().getUidForIntentSender(iBinder, BActivityThread.getUserId());
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return -1;
        }
    }

    public AppConfig initProcess(String str, String str2, int i2) {
        try {
            return getService().initProcess(str, str2, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public void onActivityCreated(int i2, IBinder iBinder, IBinder iBinder2) {
        try {
            getService().onActivityCreated(i2, iBinder, iBinder2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void onActivityDestroyed(IBinder iBinder) {
        try {
            getService().onActivityDestroyed(iBinder);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void onActivityResumed(IBinder iBinder) {
        Activity activityByToken;
        try {
            if ("com.tencent.mm".equals(BActivityThread.getAppPackageName()) && (activityByToken = BActivityThread.getActivityByToken(iBinder)) != null) {
                activityByToken.getWindow().getDecorView().clearFocus();
            }
        } catch (Throwable unused) {
        }
        try {
            getService().onActivityResumed(iBinder);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void onFinishActivity(IBinder iBinder) {
        try {
            getService().onFinishActivity(iBinder);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void onServiceDestroy(Intent intent, int i2) {
        try {
            getService().onServiceDestroy(intent, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public UnbindRecord onServiceUnbind(Intent intent, int i2) {
        try {
            return getService().onServiceUnbind(intent, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public void onStartCommand(Intent intent, int i2) {
        try {
            getService().onStartCommand(intent, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public IBinder peekService(Intent intent, String str, int i2) {
        try {
            return getService().peekService(intent, str, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public void removeIntentSender(IBinder iBinder, int i2) throws RemoteException {
        getService().removeIntentSender(iBinder, i2);
    }

    public void restartProcess(String str, String str2, int i2) {
        try {
            getService().restartProcess(str, str2, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void scheduleBroadcastReceiver(Intent intent, PendingResultData pendingResultData, int i2) throws RemoteException {
        getService().scheduleBroadcastReceiver(intent, pendingResultData, i2);
    }

    public Intent sendBroadcast(Intent intent, String str, int i2) {
        try {
            return getService().sendBroadcast(intent, str, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public int startActivities(int i2, Intent[] intentArr, String[] strArr, IBinder iBinder, Bundle bundle) {
        try {
            return getService().startActivities(i2, intentArr, strArr, iBinder, bundle);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return -1;
        }
    }

    public void startActivity(Intent intent, int i2) {
        try {
            getService().startActivity(intent, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public int startActivityAms(int i2, Intent intent, String str, IBinder iBinder, String str2, int i3, int i4, Bundle bundle) {
        try {
            return getService().startActivityAms(i2, intent, str, iBinder, str2, i3, i4, bundle);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return -1;
        }
    }

    public ComponentName startService(Intent intent, String str, boolean z, int i2) {
        try {
            return getService().startService(intent, str, z, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public int stopService(Intent intent, String str, int i2) {
        try {
            return getService().stopService(intent, str, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return -1;
        }
    }

    public void stopServiceToken(ComponentName componentName, IBinder iBinder, int i2) {
        try {
            getService().stopServiceToken(componentName, iBinder, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void unbindService(IBinder iBinder, int i2) {
        try {
            getService().unbindService(iBinder, i2);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public IntentSenderData getIntentSender(IBinder iBinder, int i2) {
        try {
            return getService().getIntentSenderAct(iBinder, i2);
        } catch (RemoteException unused) {
            return null;
        }
    }
}
