package chongya.haiwai.sandbox.f.frameworks;

import android.os.IBinder;
import android.os.RemoteException;
import chongya.haiwai.sandbox.a.BActivityThread;
import chongya.haiwai.sandbox.bean.location.BCell;
import chongya.haiwai.sandbox.bean.location.BLocation;
import chongya.haiwai.sandbox.d.system.ServiceManager;
import chongya.haiwai.sandbox.d.system.location.IBLocationManagerService;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class BLocationManager extends BlackManager<IBLocationManagerService> {
    public static final int CLOSE_MODE = 0;
    public static final int GLOBAL_MODE = 1;
    public static final int OWN_MODE = 2;
    public static final BLocationManager sLocationManager = new BLocationManager();

    public static void disableFakeLocation(int i2, String str) {
        get().setPattern(i2, str, 0);
    }

    public static BLocationManager get() {
        return sLocationManager;
    }

    public static boolean isFakeLocationEnable() {
        return get().getPattern(BActivityThread.getUserId(), BActivityThread.getAppPackageName()) != 0;
    }

    public List<BCell> getAllCell(int i2, String str) {
        try {
            return getService().getAllCell(i2, str);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return new ArrayList();
        }
    }

    public BCell getCell(int i2, String str) {
        try {
            return getService().getCell(i2, str);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public BLocation getGlobalLocation() {
        try {
            return getService().getGlobalLocation();
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public List<BCell> getGlobalNeighboringCell() {
        try {
            return getService().getGlobalNeighboringCell();
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public BLocation getLocation(int i2, String str) {
        try {
            return getService().getLocation(i2, str);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public List<BCell> getNeighboringCell(int i2, String str) {
        try {
            return getService().getNeighboringCell(i2, str);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public int getPattern(int i2, String str) {
        try {
            return getService().getPattern(i2, str);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return 0;
        }
    }

    @Override // chongya.haiwai.sandbox.f.frameworks.BlackManager
    public String getServiceName() {
        return ServiceManager.LOCATION_MANAGER;
    }

    public void removeUpdates(IBinder iBinder) {
        try {
            getService().removeUpdates(iBinder);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void requestLocationUpdates(IBinder iBinder) {
        try {
            getService().requestLocationUpdates(iBinder, BActivityThread.getAppPackageName(), BActivityThread.getUserId());
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void setAllCell(int i2, String str, List<BCell> list) {
        try {
            getService().setAllCell(i2, str, list);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void setCell(int i2, String str, BCell bCell) {
        try {
            getService().setCell(i2, str, bCell);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void setGlobalAllCell(List<BCell> list) {
        try {
            getService().setGlobalAllCell(list);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void setGlobalCell(BCell bCell) {
        try {
            getService().setGlobalCell(bCell);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void setGlobalLocation(BLocation bLocation) {
        try {
            getService().setGlobalLocation(bLocation);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void setGlobalNeighboringCell(List<BCell> list) {
        try {
            getService().setGlobalNeighboringCell(list);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void setLocation(int i2, String str, BLocation bLocation) {
        try {
            getService().setLocation(i2, str, bLocation);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void setNeighboringCell(int i2, String str, List<BCell> list) {
        try {
            getService().setNeighboringCell(i2, str, list);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void setPattern(int i2, String str, int i3) {
        try {
            getService().setPattern(i2, str, i3);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }
}
