package chongya.haiwai.sandbox.f.frameworks;

import android.os.RemoteException;
import chongya.haiwai.sandbox.bean.pm.InstalledModule;
import chongya.haiwai.sandbox.d.system.ServiceManager;
import chongya.haiwai.sandbox.d.system.pm.IBXposedManagerService;
import java.util.Collections;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class BXposedManager extends BlackManager<IBXposedManagerService> {
    public static final BXposedManager sXposedManager = new BXposedManager();

    public static BXposedManager get() {
        return sXposedManager;
    }

    public List<InstalledModule> getInstalledModules() {
        try {
            return getService().getInstalledModules();
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return Collections.emptyList();
        }
    }

    @Override // chongya.haiwai.sandbox.f.frameworks.BlackManager
    public String getServiceName() {
        return ServiceManager.XPOSED_MANAGER;
    }

    public boolean isModuleEnable(String str) {
        try {
            return getService().isModuleEnable(str);
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public boolean isXPEnable() {
        try {
            return getService().isXPEnable();
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public void setModuleEnable(String str, boolean z) {
        try {
            getService().setModuleEnable(str, z);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    public void setXPEnable(boolean z) {
        try {
            getService().setXPEnable(z);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }
}
