package chongya.haiwai.sandbox.f.frameworks;

import android.os.IBinder;
import android.os.IInterface;
import android.util.Log;
import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.utils.Reflector;
import java.lang.reflect.ParameterizedType;
/* compiled from: AAA */
/* loaded from: classes.dex */
public abstract class BlackManager<Service extends IInterface> {
    public static final String TAG = "BlackManager";
    public Service mService;

    private Class<Service> getTClass() {
        return (Class) ((ParameterizedType) getClass().getGenericSuperclass()).getActualTypeArguments()[0];
    }

    public Service getService() {
        Service service = this.mService;
        if (service != null && service.asBinder().pingBinder() && this.mService.asBinder().isBinderAlive()) {
            return this.mService;
        }
        try {
            Service service2 = (Service) Reflector.on(getTClass().getName() + "$Stub").method("asInterface", IBinder.class).call(BlackBoxCore.get().getService(getServiceName()));
            this.mService = service2;
            service2.asBinder().linkToDeath(new IBinder.DeathRecipient() { // from class: chongya.haiwai.sandbox.f.frameworks.BlackManager.1
                @Override // android.os.IBinder.DeathRecipient
                public void binderDied() {
                    BlackManager.this.mService.asBinder().unlinkToDeath(this, 0);
                    BlackManager.this.mService = null;
                }
            }, 0);
            return getService();
        } catch (Throwable th) {
            Log.w("lxy", "installPackageAsUser === 开始安装2 = " + th);
            th.printStackTrace();
            return null;
        }
    }

    public abstract String getServiceName();
}
