package chongya.haiwai.sandbox.f.hook;

import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import chongya.haiwai.sandbox.utils.compat.BuildCompat;
import java.io.FileDescriptor;
import joke.android.os.BRServiceManager;
/* compiled from: AAA */
/* loaded from: classes.dex */
public abstract class BinderInvocationStub extends ClassInvocationStub implements IBinder {
    public IBinder mBaseBinder;

    public BinderInvocationStub(IBinder iBinder) {
        this.mBaseBinder = iBinder;
    }

    public static int android13Flags(Object obj) {
        if (BuildCompat.isT()) {
            return (int) ((Long) obj).longValue();
        }
        return ((Integer) obj).intValue();
    }

    @Override // android.os.IBinder
    public void dump(@NonNull FileDescriptor fileDescriptor, @Nullable String[] strArr) throws RemoteException {
        this.mBaseBinder.dump(fileDescriptor, strArr);
    }

    @Override // android.os.IBinder
    public void dumpAsync(@NonNull FileDescriptor fileDescriptor, @Nullable String[] strArr) throws RemoteException {
        this.mBaseBinder.dumpAsync(fileDescriptor, strArr);
    }

    @Override // android.os.IBinder
    @Nullable
    public String getInterfaceDescriptor() throws RemoteException {
        return this.mBaseBinder.getInterfaceDescriptor();
    }

    @Override // android.os.IBinder
    public boolean isBinderAlive() {
        return this.mBaseBinder.isBinderAlive();
    }

    @Override // android.os.IBinder
    public void linkToDeath(@NonNull IBinder.DeathRecipient deathRecipient, int i2) throws RemoteException {
        this.mBaseBinder.linkToDeath(deathRecipient, i2);
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public void onBindMethod() {
    }

    @Override // android.os.IBinder
    public boolean pingBinder() {
        return this.mBaseBinder.pingBinder();
    }

    @Override // android.os.IBinder
    @Nullable
    public IInterface queryLocalInterface(@NonNull String str) {
        return (IInterface) getProxyInvocation();
    }

    public void replaceSystemService(String str) {
        BRServiceManager.get().sCache().put(str, this);
    }

    @Override // android.os.IBinder
    public boolean transact(int i2, @NonNull Parcel parcel, @Nullable Parcel parcel2, int i3) throws RemoteException {
        return this.mBaseBinder.transact(i2, parcel, parcel2, i3);
    }

    @Override // android.os.IBinder
    public boolean unlinkToDeath(@NonNull IBinder.DeathRecipient deathRecipient, int i2) {
        return this.mBaseBinder.unlinkToDeath(deathRecipient, i2);
    }
}
