package chongya.haiwai.sandbox.f.provider;

import android.content.Context;
import android.content.pm.ProviderInfo;
import android.net.Uri;
import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.a.BActivityThread;
import chongya.haiwai.sandbox.utils.compat.BuildCompat;
import java.io.File;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class FileProviderHandler {
    public static File convertFile(Context context, Uri uri) {
        for (ProviderInfo providerInfo : BActivityThread.getProviders()) {
            try {
                File fileForUri = FileProvider.getFileForUri(context, providerInfo.authority, uri);
                if (fileForUri != null && fileForUri.exists()) {
                    return fileForUri;
                }
            } catch (Exception unused) {
            }
        }
        return null;
    }

    public static Uri convertFileUri(Context context, Uri uri) {
        if (BuildCompat.isN()) {
            File convertFile = convertFile(context, uri);
            if (convertFile == null) {
                return null;
            }
            return BlackBoxCore.getBStorageManager().getUriForFile(convertFile.getAbsolutePath());
        }
        return uri;
    }
}
