package chongya.haiwai.sandbox.f.service;

import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.d.system.user.BUserHandle;
import chongya.haiwai.sandbox.f.hook.BinderInvocationStub;
import chongya.haiwai.sandbox.f.hook.MethodHook;
import chongya.haiwai.sandbox.f.hook.ProxyMethods;
import java.lang.reflect.Method;
import joke.android.os.BRServiceManager;
import joke.android.view.accessibility.BRIAccessibilityManagerStub;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class IAccessibilityManagerProxy extends BinderInvocationStub {

    /* compiled from: AAA */
    @ProxyMethods({"interrupt", "sendAccessibilityEvent", "addClient", "getInstalledAccessibilityServiceList", "getEnabledAccessibilityServiceList", "addAccessibilityInteractionConnection", "getWindowToken"})
    /* loaded from: classes.dex */
    public static class ReplaceUserId extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            if (objArr != null) {
                int length = objArr.length - 1;
                if (objArr[length] instanceof Integer) {
                    objArr[length] = Integer.valueOf(BUserHandle.getUserId(BlackBoxCore.getContext().getApplicationInfo().uid));
                }
            }
            return method.invoke(obj, objArr);
        }
    }

    public IAccessibilityManagerProxy() {
        super(BRServiceManager.get().getService("accessibility"));
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public Object getWho() {
        return BRIAccessibilityManagerStub.get().asInterface(BRServiceManager.get().getService("accessibility"));
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public void inject(Object obj, Object obj2) {
        replaceSystemService("accessibility");
    }

    @Override // chongya.haiwai.sandbox.f.hook.IInjectHook
    public boolean isBadEnv() {
        return false;
    }
}
