package chongya.haiwai.sandbox.f.service;

import android.accounts.Account;
import android.accounts.IAccountManagerResponse;
import android.os.Bundle;
import chongya.haiwai.sandbox.f.frameworks.BAccountManager;
import chongya.haiwai.sandbox.f.hook.BinderInvocationStub;
import chongya.haiwai.sandbox.f.hook.MethodHook;
import chongya.haiwai.sandbox.f.hook.ProxyMethod;
import chongya.haiwai.sandbox.utils.Slog;
import java.lang.reflect.Method;
import java.util.Map;
import joke.android.accounts.BRIAccountManagerStub;
import joke.android.os.BRServiceManager;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class IAccountManagerProxy extends BinderInvocationStub {
    public static final String TAG = "IAccountManagerProxy";

    /* compiled from: AAA */
    @ProxyMethod("accountAuthenticated")
    /* loaded from: classes.dex */
    public static class accountAuthenticated extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().accountAuthenticated((Account) objArr[0]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("addAccount")
    /* loaded from: classes.dex */
    public static class addAccount extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().addAccount((IAccountManagerResponse) objArr[0], (String) objArr[1], (String) objArr[2], (String[]) objArr[3], ((Boolean) objArr[4]).booleanValue(), (Bundle) objArr[5]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("addAccountAsUser")
    /* loaded from: classes.dex */
    public static class addAccountAsUser extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().addAccountAsUser((IAccountManagerResponse) objArr[0], (String) objArr[1], (String) objArr[2], (String[]) objArr[3], ((Boolean) objArr[4]).booleanValue(), (Bundle) objArr[5]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("addAccountExplicitly")
    /* loaded from: classes.dex */
    public static class addAccountExplicitly extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return Boolean.valueOf(BAccountManager.get().addAccountExplicitly((Account) objArr[0], (String) objArr[1], (Bundle) objArr[2]));
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("addAccountExplicitlyWithVisibility")
    /* loaded from: classes.dex */
    public static class addAccountExplicitlyWithVisibility extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return Boolean.valueOf(BAccountManager.get().addAccountExplicitlyWithVisibility((Account) objArr[0], (String) objArr[1], (Bundle) objArr[2], (Map) objArr[3]));
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("clearPassword")
    /* loaded from: classes.dex */
    public static class clearPassword extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().clearPassword((Account) objArr[0]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("confirmCredentialsAsUser")
    /* loaded from: classes.dex */
    public static class confirmCredentialsAsUser extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().confirmCredentialsAsUser((IAccountManagerResponse) objArr[0], (Account) objArr[1], (Bundle) objArr[2], ((Boolean) objArr[3]).booleanValue());
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("copyAccountToUser")
    /* loaded from: classes.dex */
    public static class copyAccountToUser extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().copyAccountToUser((IAccountManagerResponse) objArr[0], (Account) objArr[1], ((Integer) objArr[2]).intValue(), ((Integer) objArr[3]).intValue());
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("editProperties")
    /* loaded from: classes.dex */
    public static class editProperties extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().editProperties((IAccountManagerResponse) objArr[0], (String) objArr[1], ((Boolean) objArr[2]).booleanValue());
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getAccountByTypeAndFeatures")
    /* loaded from: classes.dex */
    public static class getAccountByTypeAndFeatures extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().getAccountByTypeAndFeatures((IAccountManagerResponse) objArr[0], (String) objArr[1], (String[]) objArr[2]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getAccountVisibility")
    /* loaded from: classes.dex */
    public static class getAccountVisibility extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return Integer.valueOf(BAccountManager.get().getAccountVisibility((Account) objArr[0], (String) objArr[1]));
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getAccountsAndVisibilityForPackage")
    /* loaded from: classes.dex */
    public static class getAccountsAndVisibilityForPackage extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return BAccountManager.get().getAccountsAndVisibilityForPackage((String) objArr[0], (String) objArr[1]);
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getAccountsAsUser")
    /* loaded from: classes.dex */
    public static class getAccountsAsUser extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return BAccountManager.get().getAccountsAsUser((String) objArr[0]);
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getAccountsByFeatures")
    /* loaded from: classes.dex */
    public static class getAccountsByFeatures extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().getAccountsByFeatures((IAccountManagerResponse) objArr[0], (String) objArr[1], (String[]) objArr[2]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getAccountsByTypeForPackage")
    /* loaded from: classes.dex */
    public static class getAccountsByTypeForPackage extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return BAccountManager.get().getAccountsByTypeForPackage((String) objArr[0], (String) objArr[1]);
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getAccountsForPackage")
    /* loaded from: classes.dex */
    public static class getAccountsForPackage extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return BAccountManager.get().getAccountsForPackage((String) objArr[0], ((Integer) objArr[1]).intValue());
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getAuthToken")
    /* loaded from: classes.dex */
    public static class getAuthToken extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().getAuthToken((IAccountManagerResponse) objArr[0], (Account) objArr[1], (String) objArr[2], ((Boolean) objArr[3]).booleanValue(), ((Boolean) objArr[4]).booleanValue(), (Bundle) objArr[5]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getAuthTokenLabel")
    /* loaded from: classes.dex */
    public static class getAuthTokenLabel extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().getAuthTokenLabel((IAccountManagerResponse) objArr[0], (String) objArr[1], (String) objArr[2]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getAuthenticatorTypes")
    /* loaded from: classes.dex */
    public static class getAuthenticatorTypes extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return BAccountManager.get().getAuthenticatorTypes();
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getPackagesAndVisibilityForAccount")
    /* loaded from: classes.dex */
    public static class getPackagesAndVisibilityForAccount extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return BAccountManager.get().getPackagesAndVisibilityForAccount((Account) objArr[0]);
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getPassword")
    /* loaded from: classes.dex */
    public static class getPassword extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return BAccountManager.get().getPassword((Account) objArr[0]);
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getUserData")
    /* loaded from: classes.dex */
    public static class getUserData extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return BAccountManager.get().getUserData((Account) objArr[0], (String) objArr[1]);
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("invalidateAuthToken")
    /* loaded from: classes.dex */
    public static class invalidateAuthToken extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().invalidateAuthToken((String) objArr[0], (String) objArr[1]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("peekAuthToken")
    /* loaded from: classes.dex */
    public static class peekAuthToken extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return BAccountManager.get().peekAuthToken((Account) objArr[0], (String) objArr[1]);
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("registerAccountListener")
    /* loaded from: classes.dex */
    public static class registerAccountListener extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().registerAccountListener((String[]) objArr[0], (String) objArr[1]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("removeAccountAsUser")
    /* loaded from: classes.dex */
    public static class removeAccountAsUser extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().removeAccountAsUser((IAccountManagerResponse) objArr[0], (Account) objArr[1], ((Boolean) objArr[2]).booleanValue());
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("removeAccountExplicitly")
    /* loaded from: classes.dex */
    public static class removeAccountExplicitly extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return Boolean.valueOf(BAccountManager.get().removeAccountExplicitly((Account) objArr[0]));
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("setAccountVisibility")
    /* loaded from: classes.dex */
    public static class setAccountVisibility extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return Boolean.valueOf(BAccountManager.get().setAccountVisibility((Account) objArr[0], (String) objArr[1], ((Integer) objArr[2]).intValue()));
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("setAuthToken")
    /* loaded from: classes.dex */
    public static class setAuthToken extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().setAuthToken((Account) objArr[0], (String) objArr[1], (String) objArr[2]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("setPassword")
    /* loaded from: classes.dex */
    public static class setPassword extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().setPassword((Account) objArr[0], (String) objArr[1]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("setUserData")
    /* loaded from: classes.dex */
    public static class setUserData extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().setUserData((Account) objArr[0], (String) objArr[1], (String) objArr[2]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("unregisterAccountListener")
    /* loaded from: classes.dex */
    public static class unregisterAccountListener extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().unregisterAccountListener((String[]) objArr[0], (String) objArr[1]);
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("updateAppPermission")
    /* loaded from: classes.dex */
    public static class updateAppPermission extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().updateAppPermission((Account) objArr[0], (String) objArr[1], ((Integer) objArr[2]).intValue(), ((Boolean) objArr[3]).booleanValue());
            return 0;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("updateCredentials")
    /* loaded from: classes.dex */
    public static class updateCredentials extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            BAccountManager.get().updateCredentials((IAccountManagerResponse) objArr[0], (Account) objArr[1], (String) objArr[2], ((Boolean) objArr[3]).booleanValue(), (Bundle) objArr[4]);
            return 0;
        }
    }

    public IAccountManagerProxy() {
        super(BRServiceManager.get().getService("account"));
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public Object getWho() {
        return BRIAccountManagerStub.get().asInterface(BRServiceManager.get().getService("account"));
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public void inject(Object obj, Object obj2) {
        replaceSystemService("account");
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub, java.lang.reflect.InvocationHandler
    public Object invoke(Object obj, Method method, Object[] objArr) throws Throwable {
        Slog.d(TAG, "call " + method.getName());
        return super.invoke(obj, method, objArr);
    }

    @Override // chongya.haiwai.sandbox.f.hook.IInjectHook
    public boolean isBadEnv() {
        return false;
    }

    @Override // chongya.haiwai.sandbox.f.hook.BinderInvocationStub, chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public void onBindMethod() {
        super.onBindMethod();
    }
}
