package chongya.haiwai.sandbox.f.service;

import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.f.hook.BinderInvocationStub;
import chongya.haiwai.sandbox.f.hook.MethodHook;
import chongya.haiwai.sandbox.f.hook.ProxyMethod;
import java.lang.reflect.Method;
import joke.android.media.session.BRISessionManagerStub;
import joke.android.os.BRServiceManager;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class IMediaSessionManagerProxy extends BinderInvocationStub {

    /* compiled from: AAA */
    @ProxyMethod("createSession")
    /* loaded from: classes.dex */
    public static class CreateSession extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            if (objArr != null && objArr.length > 0 && (objArr[0] instanceof String)) {
                objArr[0] = BlackBoxCore.getHostPkg();
            }
            return method.invoke(obj, objArr);
        }
    }

    public IMediaSessionManagerProxy() {
        super(BRServiceManager.get().getService("media_session"));
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public Object getWho() {
        return BRISessionManagerStub.get().asInterface(BRServiceManager.get().getService("media_session"));
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public void inject(Object obj, Object obj2) {
        replaceSystemService("media_session");
    }

    @Override // chongya.haiwai.sandbox.f.hook.IInjectHook
    public boolean isBadEnv() {
        return false;
    }
}
