package chongya.haiwai.sandbox.f.service;

import android.os.storage.StorageVolume;
import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.a.BActivityThread;
import chongya.haiwai.sandbox.f.hook.BinderInvocationStub;
import chongya.haiwai.sandbox.f.hook.MethodHook;
import chongya.haiwai.sandbox.f.hook.ProxyMethod;
import chongya.haiwai.sandbox.utils.compat.BuildCompat;
import java.lang.reflect.Method;
import joke.android.os.BRServiceManager;
import joke.android.os.mount.BRIMountServiceStub;
import joke.android.os.storage.BRIStorageManagerStub;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class IStorageManagerProxy extends BinderInvocationStub {

    /* compiled from: AAA */
    @ProxyMethod("getVolumeList")
    /* loaded from: classes.dex */
    public static class GetVolumeList extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            if (objArr == null) {
                StorageVolume[] volumeList = BlackBoxCore.getBStorageManager().getVolumeList(BActivityThread.getBUid(), null, 0, BActivityThread.getUserId());
                return volumeList == null ? method.invoke(obj, objArr) : volumeList;
            }
            try {
                StorageVolume[] volumeList2 = BlackBoxCore.getBStorageManager().getVolumeList(((Integer) objArr[0]).intValue(), (String) objArr[1], ((Integer) objArr[2]).intValue(), BActivityThread.getUserId());
                return volumeList2 == null ? method.invoke(obj, objArr) : volumeList2;
            } catch (Throwable unused) {
                return method.invoke(obj, objArr);
            }
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("mkdirs")
    /* loaded from: classes.dex */
    public static class mkdirs extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return 0;
        }
    }

    public IStorageManagerProxy() {
        super(BRServiceManager.get().getService("mount"));
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public Object getWho() {
        if (BuildCompat.isOreo()) {
            return BRIStorageManagerStub.get().asInterface(BRServiceManager.get().getService("mount"));
        }
        return BRIMountServiceStub.get().asInterface(BRServiceManager.get().getService("mount"));
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public void inject(Object obj, Object obj2) {
        replaceSystemService("mount");
    }

    @Override // chongya.haiwai.sandbox.f.hook.IInjectHook
    public boolean isBadEnv() {
        return false;
    }
}
