package chongya.haiwai.sandbox.f.service;

import android.util.Log;
import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.a.BActivityThread;
import chongya.haiwai.sandbox.f.frameworks.BLocationManager;
import chongya.haiwai.sandbox.f.hook.BinderInvocationStub;
import chongya.haiwai.sandbox.f.hook.MethodHook;
import chongya.haiwai.sandbox.f.hook.ProxyMethod;
import chongya.haiwai.sandbox.utils.Md5Utils;
import java.lang.reflect.Method;
import joke.android.os.BRServiceManager;
import joke.com.android.internal.telephony.BRITelephonyStub;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class ITelephonyManagerProxy extends BinderInvocationStub {
    public static final String TAG = "ITelephonyManagerProxy";

    /* compiled from: AAA */
    @ProxyMethod("getAllCellInfo")
    /* loaded from: classes.dex */
    public static class GetAllCellInfo extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            if (BLocationManager.isFakeLocationEnable()) {
                return BLocationManager.get().getAllCell(BActivityThread.getUserId(), BActivityThread.getAppPackageName());
            }
            try {
                return method.invoke(obj, objArr);
            } catch (Throwable unused) {
                return null;
            }
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getCellLocation")
    /* loaded from: classes.dex */
    public static class GetCellLocation extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            Log.d(ITelephonyManagerProxy.TAG, "getCellLocation");
            if (!BLocationManager.isFakeLocationEnable() || BLocationManager.get().getCell(BActivityThread.getUserId(), BActivityThread.getAppPackageName()) == null) {
                return method.invoke(obj, objArr);
            }
            return null;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getDeviceId")
    /* loaded from: classes.dex */
    public static class GetDeviceId extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return Md5Utils.md5(BlackBoxCore.getHostPkg());
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getDeviceIdWithFeature")
    /* loaded from: classes.dex */
    public static class GetDeviceIdWithFeature extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return Md5Utils.md5(BlackBoxCore.getHostPkg());
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getMeidForSlot")
    /* loaded from: classes.dex */
    public static class GetMeidForSlot extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return Md5Utils.md5(BlackBoxCore.getHostPkg());
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getNeighboringCellInfo")
    /* loaded from: classes.dex */
    public static class GetNeighboringCellInfo extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            Log.d(ITelephonyManagerProxy.TAG, "getNeighboringCellInfo");
            if (BLocationManager.isFakeLocationEnable()) {
                BLocationManager.get().getNeighboringCell(BActivityThread.getUserId(), BActivityThread.getAppPackageName());
                return null;
            }
            return method.invoke(obj, objArr);
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getNetworkOperator")
    /* loaded from: classes.dex */
    public static class GetNetworkOperator extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            Log.d(ITelephonyManagerProxy.TAG, "getNetworkOperator");
            return method.invoke(obj, objArr);
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getNetworkTypeForSubscriber")
    /* loaded from: classes.dex */
    public static class GetNetworkTypeForSubscriber extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            try {
                return method.invoke(obj, objArr);
            } catch (Throwable unused) {
                return 0;
            }
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getSubscriberId")
    /* loaded from: classes.dex */
    public static class GetSubscriberId extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return Md5Utils.md5(BlackBoxCore.getHostPkg());
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("isUserDataEnabled")
    /* loaded from: classes.dex */
    public static class IsUserDataEnabled extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return true;
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getImeiForSlot")
    /* loaded from: classes.dex */
    public static class getImeiForSlot extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return Md5Utils.md5(BlackBoxCore.getHostPkg());
        }
    }

    /* compiled from: AAA */
    @ProxyMethod("getLine1NumberForDisplay")
    /* loaded from: classes.dex */
    public static class getLine1NumberForDisplay extends MethodHook {
        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            return null;
        }
    }

    public ITelephonyManagerProxy() {
        super(BRServiceManager.get().getService("phone"));
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public Object getWho() {
        return BRITelephonyStub.get().asInterface(BRServiceManager.get().getService("phone"));
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public void inject(Object obj, Object obj2) {
        replaceSystemService("phone");
    }

    @Override // chongya.haiwai.sandbox.f.hook.IInjectHook
    public boolean isBadEnv() {
        return false;
    }
}
