package chongya.haiwai.sandbox.f.service;

import android.net.wifi.WifiInfo;
import chongya.haiwai.sandbox.f.hook.BinderInvocationStub;
import chongya.haiwai.sandbox.f.hook.MethodHook;
import chongya.haiwai.sandbox.f.hook.ProxyMethod;
import com.efs.sdk.base.core.util.NetworkUtil;
import e.b.a.a.f.b;
import e.g.a.f.i.a0;
import java.lang.reflect.Method;
import joke.android.net.wifi.BRIWifiManagerStub;
import joke.android.net.wifi.BRWifiInfo;
import joke.android.net.wifi.BRWifiSsid;
import joke.android.os.BRServiceManager;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class IWifiManagerProxy extends BinderInvocationStub {
    public static final String TAG = "IWifiManagerProxy";

    /* compiled from: AAA */
    @ProxyMethod("getConnectionInfo")
    /* loaded from: classes.dex */
    public static class GetConnectionInfo extends MethodHook {
        public static String intIP2StringIP(int i2) {
            return (i2 & 255) + b.DOT + ((i2 >> 8) & 255) + b.DOT + ((i2 >> 16) & 255) + b.DOT + ((i2 >> 24) & 255);
        }

        public static int ip2Int(String str) {
            String[] split = str.split(a0.REGEX);
            int i2 = 0;
            for (int i3 = 0; i3 < split.length; i3++) {
                i2 |= Integer.parseInt(split[i3]) << (i3 * 8);
            }
            return i2;
        }

        @Override // chongya.haiwai.sandbox.f.hook.MethodHook
        public Object hook(Object obj, Method method, Object[] objArr) throws Throwable {
            WifiInfo wifiInfo = (WifiInfo) method.invoke(obj, objArr);
            BRWifiInfo.get(wifiInfo)._set_mBSSID("ac:62:5a:82:65:c4");
            BRWifiInfo.get(wifiInfo)._set_mMacAddress("ac:62:5a:82:65:c4");
            BRWifiInfo.get(wifiInfo)._set_mWifiSsid(BRWifiSsid.get().createFromAsciiEncoded("BlackBox_Wifi"));
            return wifiInfo;
        }
    }

    public IWifiManagerProxy() {
        super(BRServiceManager.get().getService(NetworkUtil.NETWORK_TYPE_WIFI));
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public Object getWho() {
        return BRIWifiManagerStub.get().asInterface(BRServiceManager.get().getService(NetworkUtil.NETWORK_TYPE_WIFI));
    }

    @Override // chongya.haiwai.sandbox.f.hook.ClassInvocationStub
    public void inject(Object obj, Object obj2) {
        replaceSystemService(NetworkUtil.NETWORK_TYPE_WIFI);
    }

    @Override // chongya.haiwai.sandbox.f.hook.IInjectHook
    public boolean isBadEnv() {
        return false;
    }
}
