package chongya.haiwai.sandbox.utils;

import chongya.haiwai.sandbox.BlackBoxCore;
import java.io.File;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class AbiUtils {
    public static final Map<File, AbiUtils> sAbiUtilsMap = new HashMap();
    public final Set<String> mLibs = new HashSet();

    public AbiUtils(File file) {
        ZipFile zipFile;
        ZipFile zipFile2 = null;
        try {
            try {
                zipFile = new ZipFile(file);
            } catch (Throwable th) {
                th = th;
            }
        } catch (Exception e2) {
            e = e2;
        }
        try {
            Enumeration<? extends ZipEntry> entries = zipFile.entries();
            while (entries.hasMoreElements()) {
                String name = entries.nextElement().getName();
                if (name.startsWith("lib/arm64-v8a")) {
                    this.mLibs.add("arm64-v8a");
                } else if (name.startsWith("lib/armeabi")) {
                    this.mLibs.add("armeabi");
                } else if (name.startsWith("lib/armeabi-v7a")) {
                    this.mLibs.add("armeabi-v7a");
                }
            }
            CloseUtils.close(zipFile);
        } catch (Exception e3) {
            e = e3;
            zipFile2 = zipFile;
            e.printStackTrace();
            CloseUtils.close(zipFile2);
        } catch (Throwable th2) {
            th = th2;
            zipFile2 = zipFile;
            CloseUtils.close(zipFile2);
            throw th;
        }
    }

    public static boolean isSupport(File file) {
        AbiUtils abiUtils = sAbiUtilsMap.get(file);
        if (abiUtils == null) {
            abiUtils = new AbiUtils(file);
            sAbiUtilsMap.put(file, abiUtils);
        }
        if (abiUtils.isEmptyAib()) {
            return true;
        }
        if (BlackBoxCore.is64Bit()) {
            return abiUtils.is64Bit();
        }
        return abiUtils.is32Bit();
    }

    public boolean is32Bit() {
        return this.mLibs.contains("armeabi") || this.mLibs.contains("armeabi-v7a");
    }

    public boolean is64Bit() {
        return this.mLibs.contains("arm64-v8a");
    }

    public boolean isEmptyAib() {
        return this.mLibs.isEmpty();
    }
}
