package chongya.haiwai.sandbox.utils;

import java.util.Arrays;
import java.util.Objects;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class ArrayUtils {
    public static void checkOffsetAndCount(int i2, int i3, int i4) throws ArrayIndexOutOfBoundsException {
        if ((i3 | i4) < 0 || i3 > i2 || i2 - i3 < i4) {
            throw new ArrayIndexOutOfBoundsException(i3);
        }
    }

    public static <T> boolean contains(T[] tArr, T t) {
        return indexOf(tArr, t) != -1;
    }

    public static <T> T getFirst(Object[] objArr, Class<?> cls) {
        int indexOfFirst = indexOfFirst(objArr, cls);
        if (indexOfFirst != -1) {
            return (T) objArr[indexOfFirst];
        }
        return null;
    }

    public static <T> int indexOf(T[] tArr, T t) {
        if (tArr == null) {
            return -1;
        }
        for (int i2 = 0; i2 < tArr.length; i2++) {
            if (Objects.equals(tArr[i2], t)) {
                return i2;
            }
        }
        return -1;
    }

    public static int indexOfFirst(Object[] objArr, Class<?> cls) {
        if (!isEmpty(objArr)) {
            int i2 = -1;
            for (Object obj : objArr) {
                i2++;
                if (obj != null && cls == obj.getClass()) {
                    return i2;
                }
            }
        }
        return -1;
    }

    public static int indexOfLast(Object[] objArr, Class<?> cls) {
        if (isEmpty(objArr)) {
            return -1;
        }
        for (int length = objArr.length; length > 0; length--) {
            int i2 = length - 1;
            Object obj = objArr[i2];
            if (obj != null && obj.getClass() == cls) {
                return i2;
            }
        }
        return -1;
    }

    public static int indexOfObject(Object[] objArr, Class<?> cls, int i2) {
        if (objArr == null) {
            return -1;
        }
        while (i2 < objArr.length) {
            if (cls.isInstance(objArr[i2])) {
                return i2;
            }
            i2++;
        }
        return -1;
    }

    public static <T> boolean isEmpty(T[] tArr) {
        return tArr == null || tArr.length == 0;
    }

    public static int protoIndexOf(Class<?>[] clsArr, Class<?> cls) {
        if (clsArr == null) {
            return -1;
        }
        for (int i2 = 0; i2 < clsArr.length; i2++) {
            if (clsArr[i2] == cls) {
                return i2;
            }
        }
        return -1;
    }

    public static Object[] push(Object[] objArr, Object obj) {
        Object[] objArr2 = new Object[objArr.length + 1];
        System.arraycopy(objArr, 0, objArr2, 0, objArr.length);
        objArr2[objArr.length] = obj;
        return objArr2;
    }

    public static <T> T[] trimToSize(T[] tArr, int i2) {
        if (tArr == null || i2 == 0) {
            return null;
        }
        return tArr.length == i2 ? tArr : (T[]) Arrays.copyOf(tArr, i2);
    }

    public static boolean contains(int[] iArr, int i2) {
        if (iArr == null) {
            return false;
        }
        for (int i3 : iArr) {
            if (i3 == i2) {
                return true;
            }
        }
        return false;
    }

    public static int indexOf(Object[] objArr, Class<?> cls, int i2) {
        if (!isEmpty(objArr)) {
            int i3 = -1;
            for (Object obj : objArr) {
                i3++;
                if (obj != null && obj.getClass() == cls && i2 - 1 <= 0) {
                    return i3;
                }
            }
        }
        return -1;
    }

    public static int protoIndexOf(Class<?>[] clsArr, Class<?> cls, int i2) {
        if (clsArr == null) {
            return -1;
        }
        while (i2 < clsArr.length) {
            if (cls == clsArr[i2]) {
                return i2;
            }
            i2++;
        }
        return -1;
    }
}
