package chongya.haiwai.sandbox.utils;

import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.a.BActivityThread;
import java.util.Arrays;
import java.util.HashSet;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class MethodParameterUtils {
    public static Class<?>[] getAllInterface(Class cls) {
        HashSet hashSet = new HashSet();
        getAllInterfaces(cls, hashSet);
        Class<?>[] clsArr = new Class[hashSet.size()];
        hashSet.toArray(clsArr);
        return clsArr;
    }

    public static void getAllInterfaces(Class cls, HashSet<Class<?>> hashSet) {
        Class<?>[] interfaces = cls.getInterfaces();
        if (interfaces.length != 0) {
            hashSet.addAll(Arrays.asList(interfaces));
        }
        if (cls.getSuperclass() != Object.class) {
            getAllInterfaces(cls.getSuperclass(), hashSet);
        }
    }

    public static <T> T getFirstParam(Object[] objArr, Class<T> cls) {
        int indexOfFirst;
        if (objArr == null || (indexOfFirst = ArrayUtils.indexOfFirst(objArr, cls)) == -1) {
            return null;
        }
        return (T) objArr[indexOfFirst];
    }

    public static int getIndex(Object[] objArr, Class<?> cls) {
        return getIndex(objArr, cls, 0);
    }

    public static int getParamsIndex(Class[] clsArr, Class<?> cls) {
        for (int i2 = 0; i2 < clsArr.length; i2++) {
            if (clsArr[i2].equals(cls)) {
                return i2;
            }
        }
        return -1;
    }

    public static void replaceAllAppPkg(Object[] objArr) {
        if (objArr == null) {
            return;
        }
        for (int i2 = 0; i2 < objArr.length; i2++) {
            if (objArr[i2] != null && (objArr[i2] instanceof String)) {
                if (BlackBoxCore.get().isInstalled((String) objArr[i2], BActivityThread.getUserId())) {
                    objArr[i2] = BlackBoxCore.getHostPkg();
                }
            }
        }
    }

    public static String replaceFirstAppPkg(Object[] objArr) {
        if (objArr == null) {
            return null;
        }
        for (int i2 = 0; i2 < objArr.length; i2++) {
            if (objArr[i2] instanceof String) {
                String str = (String) objArr[i2];
                if (BlackBoxCore.get().isInstalled(str, BActivityThread.getUserId())) {
                    objArr[i2] = BlackBoxCore.getHostPkg();
                    return str;
                }
            }
        }
        return null;
    }

    public static void replaceFirstUid(Object[] objArr) {
        if (objArr == null) {
            return;
        }
        for (int i2 = 0; i2 < objArr.length; i2++) {
            if ((objArr[i2] instanceof Integer) && ((Integer) objArr[i2]).intValue() == BActivityThread.getBUid()) {
                objArr[i2] = Integer.valueOf(BlackBoxCore.getHostUid());
            }
        }
    }

    public static String replaceLastAppPkg(Object[] objArr) {
        int indexOfLast = ArrayUtils.indexOfLast(objArr, String.class);
        if (indexOfLast != -1) {
            String str = (String) objArr[indexOfLast];
            if (BlackBoxCore.get().isInstalled(str, BActivityThread.getUserId())) {
                objArr[indexOfLast] = BlackBoxCore.getHostPkg();
            }
            return str;
        }
        return null;
    }

    public static void replaceLastUid(Object[] objArr) {
        int indexOfLast = ArrayUtils.indexOfLast(objArr, Integer.class);
        if (indexOfLast == -1 || ((Integer) objArr[indexOfLast]).intValue() != BActivityThread.getBUid()) {
            return;
        }
        objArr[indexOfLast] = Integer.valueOf(BlackBoxCore.getHostUid());
    }

    public static String replaceSequenceAppPkg(Object[] objArr, int i2) {
        int indexOf = ArrayUtils.indexOf(objArr, String.class, i2);
        if (indexOf != -1) {
            String str = (String) objArr[indexOf];
            if (BlackBoxCore.get().isInstalled(str, BActivityThread.getUserId())) {
                objArr[indexOf] = BlackBoxCore.getHostPkg();
            }
            return str;
        }
        return null;
    }

    public static int getIndex(Object[] objArr, Class<?> cls, int i2) {
        while (i2 < objArr.length) {
            Object obj = objArr[i2];
            if ((obj != null && obj.getClass() == cls) || cls.isInstance(obj)) {
                return i2;
            }
            i2++;
        }
        return -1;
    }
}
