package chongya.haiwai.sandbox.utils.compat;

import android.app.Activity;
import android.app.ActivityManager;
import android.app.WallpaperManager;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.os.Build;
import chongya.haiwai.sandbox.a.BActivityThread;
import chongya.haiwai.sandbox.utils.DrawableUtils;
import joke.android.app.BRActivity;
import joke.com.android.internal.BRRstyleable;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class ActivityCompat {
    public static void fix(Activity activity) {
        BRActivity.get(activity).mActivityInfo();
        Context baseContext = activity.getBaseContext();
        try {
            TypedArray obtainStyledAttributes = activity.obtainStyledAttributes(BRRstyleable.get().Window());
            if (obtainStyledAttributes != null) {
                if (obtainStyledAttributes.getBoolean(BRRstyleable.get().Window_windowShowWallpaper().intValue(), false)) {
                    activity.getWindow().setBackgroundDrawable(WallpaperManager.getInstance(activity).getDrawable());
                }
                if (obtainStyledAttributes.getBoolean(BRRstyleable.get().Window_windowFullscreen().intValue(), false)) {
                    activity.getWindow().addFlags(1024);
                }
                obtainStyledAttributes.recycle();
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
        if (Build.VERSION.SDK_INT >= 21) {
            Intent intent = activity.getIntent();
            ApplicationInfo applicationInfo = baseContext.getApplicationInfo();
            PackageManager packageManager = activity.getPackageManager();
            if (intent == null || !activity.isTaskRoot()) {
                return;
            }
            try {
                String taskDescriptionLabel = TaskDescriptionCompat.getTaskDescriptionLabel(BActivityThread.getUserId(), applicationInfo.loadLabel(packageManager));
                Bitmap bitmap = null;
                Drawable activityIcon = getActivityIcon(activity);
                if (activityIcon != null) {
                    int launcherLargeIconSize = ((ActivityManager) baseContext.getSystemService("activity")).getLauncherLargeIconSize();
                    bitmap = DrawableUtils.drawableToBitmap(activityIcon, launcherLargeIconSize, launcherLargeIconSize);
                }
                activity.setTaskDescription(new ActivityManager.TaskDescription(taskDescriptionLabel, bitmap));
            } catch (Throwable th2) {
                th2.printStackTrace();
            }
        }
    }

    public static Drawable getActivityIcon(Activity activity) {
        PackageManager packageManager = activity.getPackageManager();
        try {
            Drawable activityIcon = packageManager.getActivityIcon(activity.getComponentName());
            if (activityIcon != null) {
                return activityIcon;
            }
        } catch (PackageManager.NameNotFoundException unused) {
        }
        return activity.getApplicationInfo().loadIcon(packageManager);
    }
}
