package chongya.haiwai.sandbox.utils.compat;

import android.content.pm.PackageParser;
import android.os.Build;
import android.util.DisplayMetrics;
import java.io.File;
import joke.android.content.pm.BRPackageParser;
import joke.android.content.pm.BRPackageParserLollipop;
import joke.android.content.pm.BRPackageParserLollipop22;
import joke.android.content.pm.BRPackageParserMarshmallow;
import joke.android.content.pm.BRPackageParserNougat;
import joke.android.content.pm.BRPackageParserPie;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class PackageParserCompat {
    public static final int myUserId = 0;
    public static final int[] GIDS = new int[0];
    public static final int API_LEVEL = Build.VERSION.SDK_INT;

    public static void collectCertificates(PackageParser packageParser, PackageParser.Package r3, int i2) throws Throwable {
        if (BuildCompat.isPie()) {
            BRPackageParserPie.getWithException().collectCertificates(r3, true);
            return;
        }
        int i3 = API_LEVEL;
        if (i3 >= 24) {
            BRPackageParserNougat.getWithException().collectCertificates(r3, i2);
        } else if (i3 >= 23) {
            BRPackageParserMarshmallow.getWithException(packageParser).collectCertificates(r3, i2);
        } else if (i3 >= 22) {
            BRPackageParserLollipop22.getWithException(packageParser).collectCertificates(r3, i2);
        } else if (i3 >= 21) {
            BRPackageParserLollipop.getWithException(packageParser).collectCertificates(r3, i2);
        } else {
            BRPackageParser.get(packageParser).collectCertificates(r3, i2);
        }
    }

    public static PackageParser createParser(File file) {
        int i2 = API_LEVEL;
        if (i2 >= 23) {
            return BRPackageParserMarshmallow.get()._new();
        }
        if (i2 >= 22) {
            return BRPackageParserLollipop22.get()._new();
        }
        if (i2 >= 21) {
            return BRPackageParserLollipop.get()._new();
        }
        return null;
    }

    public static PackageParser.Package parsePackage(PackageParser packageParser, File file, int i2) throws Throwable {
        int i3 = API_LEVEL;
        if (i3 >= 23) {
            return BRPackageParserMarshmallow.getWithException(packageParser).parsePackage(file, i2);
        }
        if (i3 >= 22) {
            return BRPackageParserLollipop22.getWithException(packageParser).parsePackage(file, i2);
        }
        if (i3 >= 21) {
            return BRPackageParserLollipop.getWithException(packageParser).parsePackage(file, i2);
        }
        return BRPackageParser.getWithException(packageParser).parsePackage(file, null, new DisplayMetrics(), i2);
    }
}
