package chongya.haiwai.sandbox.utils.compat;

import android.app.ActivityManager;
import android.content.pm.PackageManager;
import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.a.BActivityThread;
import chongya.haiwai.sandbox.utils.DrawableUtils;
import java.util.Locale;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class TaskDescriptionCompat {
    public static ActivityManager.TaskDescription fix(ActivityManager.TaskDescription taskDescription) {
        String label = taskDescription.getLabel();
        Bitmap icon = taskDescription.getIcon();
        if (label == null || icon == null) {
            String taskDescriptionLabel = getTaskDescriptionLabel(BActivityThread.getUserId(), getApplicationLabel());
            Drawable applicationIcon = getApplicationIcon();
            if (applicationIcon == null) {
                return taskDescription;
            }
            int launcherLargeIconSize = ((ActivityManager) BlackBoxCore.getContext().getSystemService("activity")).getLauncherLargeIconSize();
            return new ActivityManager.TaskDescription(taskDescriptionLabel, DrawableUtils.drawableToBitmap(applicationIcon, launcherLargeIconSize, launcherLargeIconSize), taskDescription.getPrimaryColor());
        }
        return taskDescription;
    }

    public static Drawable getApplicationIcon() {
        try {
            return BlackBoxCore.getPackageManager().getApplicationIcon(BActivityThread.getAppPackageName());
        } catch (PackageManager.NameNotFoundException unused) {
            return null;
        }
    }

    public static CharSequence getApplicationLabel() {
        try {
            PackageManager packageManager = BlackBoxCore.getPackageManager();
            return packageManager.getApplicationLabel(packageManager.getApplicationInfo(BActivityThread.getAppPackageName(), 0));
        } catch (PackageManager.NameNotFoundException unused) {
            return null;
        }
    }

    public static String getTaskDescriptionLabel(int i2, CharSequence charSequence) {
        return String.format(Locale.CHINA, "[B%d]%s", Integer.valueOf(i2), charSequence);
    }
}
