package chongya.haiwai.sandbox.utils.provider;

import android.content.Context;
import android.net.Uri;
import android.os.Bundle;
import android.os.Parcelable;
import chongya.haiwai.sandbox.BlackBoxCore;
import chongya.haiwai.sandbox.utils.compat.ContentProviderCompat;
import java.io.Serializable;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class ProviderCall {

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class Builder {
        public String arg;
        public String auth;
        public Context context;
        public String method;
        public Bundle bundle = new Bundle();
        public int retryCount = 5;

        public Builder(Context context, String str) {
            this.context = context;
            this.auth = str;
        }

        public Builder addArg(String str, Object obj) {
            if (obj != null) {
                if (obj instanceof Boolean) {
                    this.bundle.putBoolean(str, ((Boolean) obj).booleanValue());
                } else if (obj instanceof Integer) {
                    this.bundle.putInt(str, ((Integer) obj).intValue());
                } else if (obj instanceof String) {
                    this.bundle.putString(str, (String) obj);
                } else if (obj instanceof Serializable) {
                    this.bundle.putSerializable(str, (Serializable) obj);
                } else if (obj instanceof Bundle) {
                    this.bundle.putBundle(str, (Bundle) obj);
                } else if (obj instanceof Parcelable) {
                    this.bundle.putParcelable(str, (Parcelable) obj);
                } else if (obj instanceof int[]) {
                    this.bundle.putIntArray(str, (int[]) obj);
                } else {
                    throw new IllegalArgumentException("Unknown type " + obj.getClass() + " in Bundle.");
                }
            }
            return this;
        }

        public Builder arg(String str) {
            this.arg = str;
            return this;
        }

        public Bundle call() throws IllegalAccessException {
            return ProviderCall.call(this.auth, this.context, this.method, this.arg, this.bundle, this.retryCount);
        }

        public Bundle callSafely() {
            try {
                return call();
            } catch (IllegalAccessException e2) {
                e2.printStackTrace();
                return null;
            }
        }

        public Builder methodName(String str) {
            this.method = str;
            return this;
        }

        public Builder retry(int i2) {
            this.retryCount = i2;
            return this;
        }
    }

    public static Bundle call(String str, Context context, String str2, String str3, Bundle bundle, int i2) throws IllegalAccessException {
        return ContentProviderCompat.call(context, Uri.parse("content://" + str), str2, str3, bundle, i2);
    }

    public static Bundle callSafely(String str, String str2, String str3, Bundle bundle) {
        try {
            return call(str, BlackBoxCore.getContext(), str2, str3, bundle, 5);
        } catch (IllegalAccessException e2) {
            e2.printStackTrace();
            return null;
        }
    }
}
