package com.airbnb.lottie;

import android.animation.Animator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.Typeface;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.view.View;
import android.widget.ImageView;
import androidx.annotation.FloatRange;
import androidx.annotation.IntRange;
import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import e.a.a.t;
import e.a.a.y.s;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class LottieDrawable extends Drawable implements Drawable.Callback, Animatable {
    public static final int INFINITE = -1;
    public static final int RESTART = 1;
    public static final int REVERSE = 2;
    public int alpha;
    public e.a.a.g composition;
    @Nullable
    public e.a.a.w.k.b compositionLayer;
    public boolean enableMergePaths;
    @Nullable
    public e.a.a.c fontAssetDelegate;
    @Nullable
    public e.a.a.v.a fontAssetManager;
    @Nullable
    public e.a.a.d imageAssetDelegate;
    @Nullable
    public e.a.a.v.b imageAssetManager;
    @Nullable
    public e.a.a.v.b imageAssetManagerOverride;
    @Nullable
    public String imageAssetsFolder;
    public boolean isApplyingOpacityToLayersEnabled;
    public boolean isDirty;
    public boolean isExtraScaleEnabled;
    public boolean outlineMasksAndMattes;
    public boolean performanceTrackingEnabled;
    public final ValueAnimator.AnimatorUpdateListener progressUpdateListener;
    @Nullable
    public t textDelegate;
    public final Matrix matrix = new Matrix();
    public final e.a.a.z.e animator = new e.a.a.z.e();
    public float scale = 1.0f;
    public boolean systemAnimationsEnabled = true;
    public boolean ignoreSystemAnimationsDisabled = false;
    public boolean safeMode = false;
    public final ArrayList<r> lazyCompositionTasks = new ArrayList<>();

    /* compiled from: AAA */
    @Retention(RetentionPolicy.SOURCE)
    /* loaded from: classes.dex */
    public @interface RepeatMode {
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class a implements r {
        public final /* synthetic */ String val$markerName;

        public a(String str) {
            this.val$markerName = str;
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.setMinAndMaxFrame(this.val$markerName);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class b implements r {
        public final /* synthetic */ String val$endMarkerName;
        public final /* synthetic */ boolean val$playEndMarkerStartFrame;
        public final /* synthetic */ String val$startMarkerName;

        public b(String str, String str2, boolean z) {
            this.val$startMarkerName = str;
            this.val$endMarkerName = str2;
            this.val$playEndMarkerStartFrame = z;
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.setMinAndMaxFrame(this.val$startMarkerName, this.val$endMarkerName, this.val$playEndMarkerStartFrame);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class c implements r {
        public final /* synthetic */ int val$maxFrame;
        public final /* synthetic */ int val$minFrame;

        public c(int i2, int i3) {
            this.val$minFrame = i2;
            this.val$maxFrame = i3;
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.setMinAndMaxFrame(this.val$minFrame, this.val$maxFrame);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class d implements r {
        public final /* synthetic */ float val$maxProgress;
        public final /* synthetic */ float val$minProgress;

        public d(float f2, float f3) {
            this.val$minProgress = f2;
            this.val$maxProgress = f3;
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.setMinAndMaxProgress(this.val$minProgress, this.val$maxProgress);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class e implements r {
        public final /* synthetic */ int val$frame;

        public e(int i2) {
            this.val$frame = i2;
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.setFrame(this.val$frame);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class f implements r {
        public final /* synthetic */ float val$progress;

        public f(float f2) {
            this.val$progress = f2;
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.setProgress(this.val$progress);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class g implements r {
        public final /* synthetic */ e.a.a.a0.j val$callback;
        public final /* synthetic */ e.a.a.w.d val$keyPath;
        public final /* synthetic */ Object val$property;

        public g(e.a.a.w.d dVar, Object obj, e.a.a.a0.j jVar) {
            this.val$keyPath = dVar;
            this.val$property = obj;
            this.val$callback = jVar;
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.addValueCallback(this.val$keyPath, (e.a.a.w.d) this.val$property, (e.a.a.a0.j<e.a.a.w.d>) this.val$callback);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class h extends e.a.a.a0.j<T> {
        public final /* synthetic */ e.a.a.a0.l val$callback;

        public h(e.a.a.a0.l lVar) {
            this.val$callback = lVar;
        }

        /* JADX WARN: Type inference failed for: r2v1, types: [T, java.lang.Object] */
        @Override // e.a.a.a0.j
        public T getValue(e.a.a.a0.b<T> bVar) {
            return this.val$callback.getValue(bVar);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class i implements ValueAnimator.AnimatorUpdateListener {
        public i() {
        }

        @Override // android.animation.ValueAnimator.AnimatorUpdateListener
        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            if (LottieDrawable.this.compositionLayer != null) {
                LottieDrawable.this.compositionLayer.setProgress(LottieDrawable.this.animator.getAnimatedValueAbsolute());
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class j implements r {
        public j() {
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.playAnimation();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class k implements r {
        public k() {
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.resumeAnimation();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class l implements r {
        public final /* synthetic */ int val$minFrame;

        public l(int i2) {
            this.val$minFrame = i2;
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.setMinFrame(this.val$minFrame);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class m implements r {
        public final /* synthetic */ float val$minProgress;

        public m(float f2) {
            this.val$minProgress = f2;
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.setMinProgress(this.val$minProgress);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class n implements r {
        public final /* synthetic */ int val$maxFrame;

        public n(int i2) {
            this.val$maxFrame = i2;
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.setMaxFrame(this.val$maxFrame);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class o implements r {
        public final /* synthetic */ float val$maxProgress;

        public o(float f2) {
            this.val$maxProgress = f2;
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.setMaxProgress(this.val$maxProgress);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class p implements r {
        public final /* synthetic */ String val$markerName;

        public p(String str) {
            this.val$markerName = str;
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.setMinFrame(this.val$markerName);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class q implements r {
        public final /* synthetic */ String val$markerName;

        public q(String str) {
            this.val$markerName = str;
        }

        @Override // com.airbnb.lottie.LottieDrawable.r
        public void run(e.a.a.g gVar) {
            LottieDrawable.this.setMaxFrame(this.val$markerName);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface r {
        void run(e.a.a.g gVar);
    }

    public LottieDrawable() {
        i iVar = new i();
        this.progressUpdateListener = iVar;
        this.alpha = 255;
        this.isExtraScaleEnabled = true;
        this.isDirty = false;
        this.animator.addUpdateListener(iVar);
    }

    private boolean animationsEnabled() {
        return this.systemAnimationsEnabled || this.ignoreSystemAnimationsDisabled;
    }

    private float aspectRatio(Rect rect) {
        return rect.width() / rect.height();
    }

    private boolean boundsMatchesCompositionAspectRatio() {
        e.a.a.g gVar = this.composition;
        return gVar == null || getBounds().isEmpty() || aspectRatio(getBounds()) == aspectRatio(gVar.getBounds());
    }

    private void buildCompositionLayer() {
        e.a.a.w.k.b bVar = new e.a.a.w.k.b(this, s.parse(this.composition), this.composition.getLayers(), this.composition);
        this.compositionLayer = bVar;
        if (this.outlineMasksAndMattes) {
            bVar.setOutlineMasksAndMattes(true);
        }
    }

    private void drawInternal(@NonNull Canvas canvas) {
        if (!boundsMatchesCompositionAspectRatio()) {
            drawWithNewAspectRatio(canvas);
        } else {
            drawWithOriginalAspectRatio(canvas);
        }
    }

    private void drawWithNewAspectRatio(Canvas canvas) {
        float f2;
        if (this.compositionLayer == null) {
            return;
        }
        int i2 = -1;
        Rect bounds = getBounds();
        float width = bounds.width() / this.composition.getBounds().width();
        float height = bounds.height() / this.composition.getBounds().height();
        if (this.isExtraScaleEnabled) {
            float min = Math.min(width, height);
            if (min < 1.0f) {
                f2 = 1.0f / min;
                width /= f2;
                height /= f2;
            } else {
                f2 = 1.0f;
            }
            if (f2 > 1.0f) {
                i2 = canvas.save();
                float width2 = bounds.width() / 2.0f;
                float height2 = bounds.height() / 2.0f;
                float f3 = width2 * min;
                float f4 = min * height2;
                canvas.translate(width2 - f3, height2 - f4);
                canvas.scale(f2, f2, f3, f4);
            }
        }
        this.matrix.reset();
        this.matrix.preScale(width, height);
        this.compositionLayer.draw(canvas, this.matrix, this.alpha);
        if (i2 > 0) {
            canvas.restoreToCount(i2);
        }
    }

    private void drawWithOriginalAspectRatio(Canvas canvas) {
        float f2;
        if (this.compositionLayer == null) {
            return;
        }
        float f3 = this.scale;
        float maxScale = getMaxScale(canvas);
        if (f3 > maxScale) {
            f2 = this.scale / maxScale;
        } else {
            maxScale = f3;
            f2 = 1.0f;
        }
        int i2 = -1;
        if (f2 > 1.0f) {
            i2 = canvas.save();
            float width = this.composition.getBounds().width() / 2.0f;
            float height = this.composition.getBounds().height() / 2.0f;
            float f4 = width * maxScale;
            float f5 = height * maxScale;
            canvas.translate((getScale() * width) - f4, (getScale() * height) - f5);
            canvas.scale(f2, f2, f4, f5);
        }
        this.matrix.reset();
        this.matrix.preScale(maxScale, maxScale);
        this.compositionLayer.draw(canvas, this.matrix, this.alpha);
        if (i2 > 0) {
            canvas.restoreToCount(i2);
        }
    }

    @Nullable
    private Context getContext() {
        Drawable.Callback callback = getCallback();
        if (callback != null && (callback instanceof View)) {
            return ((View) callback).getContext();
        }
        return null;
    }

    private e.a.a.v.a getFontAssetManager() {
        if (getCallback() == null) {
            return null;
        }
        if (this.fontAssetManager == null) {
            this.fontAssetManager = new e.a.a.v.a(getCallback(), this.fontAssetDelegate);
        }
        return this.fontAssetManager;
    }

    private e.a.a.v.b getImageAssetManager() {
        e.a.a.v.b bVar = this.imageAssetManagerOverride;
        if (bVar != null) {
            return bVar;
        }
        if (getCallback() == null) {
            return null;
        }
        e.a.a.v.b bVar2 = this.imageAssetManager;
        if (bVar2 != null && !bVar2.hasSameContext(getContext())) {
            this.imageAssetManager = null;
        }
        if (this.imageAssetManager == null) {
            this.imageAssetManager = new e.a.a.v.b(getCallback(), this.imageAssetsFolder, this.imageAssetDelegate, this.composition.getImages());
        }
        return this.imageAssetManager;
    }

    private float getMaxScale(@NonNull Canvas canvas) {
        return Math.min(canvas.getWidth() / this.composition.getBounds().width(), canvas.getHeight() / this.composition.getBounds().height());
    }

    public void addAnimatorListener(Animator.AnimatorListener animatorListener) {
        this.animator.addListener(animatorListener);
    }

    @RequiresApi(api = 19)
    public void addAnimatorPauseListener(Animator.AnimatorPauseListener animatorPauseListener) {
        this.animator.addPauseListener(animatorPauseListener);
    }

    public void addAnimatorUpdateListener(ValueAnimator.AnimatorUpdateListener animatorUpdateListener) {
        this.animator.addUpdateListener(animatorUpdateListener);
    }

    public <T> void addValueCallback(e.a.a.w.d dVar, T t, e.a.a.a0.j<T> jVar) {
        e.a.a.w.k.b bVar = this.compositionLayer;
        if (bVar == null) {
            this.lazyCompositionTasks.add(new g(dVar, t, jVar));
            return;
        }
        boolean z = true;
        if (dVar == e.a.a.w.d.COMPOSITION) {
            bVar.addValueCallback(t, jVar);
        } else if (dVar.getResolvedElement() != null) {
            dVar.getResolvedElement().addValueCallback(t, jVar);
        } else {
            List<e.a.a.w.d> resolveKeyPath = resolveKeyPath(dVar);
            for (int i2 = 0; i2 < resolveKeyPath.size(); i2++) {
                resolveKeyPath.get(i2).getResolvedElement().addValueCallback(t, jVar);
            }
            z = true ^ resolveKeyPath.isEmpty();
        }
        if (z) {
            invalidateSelf();
            if (t == e.a.a.n.TIME_REMAP) {
                setProgress(getProgress());
            }
        }
    }

    public void cancelAnimation() {
        this.lazyCompositionTasks.clear();
        this.animator.cancel();
    }

    public void clearComposition() {
        if (this.animator.isRunning()) {
            this.animator.cancel();
        }
        this.composition = null;
        this.compositionLayer = null;
        this.imageAssetManager = null;
        this.animator.clearComposition();
        invalidateSelf();
    }

    public void disableExtraScaleModeInFitXY() {
        this.isExtraScaleEnabled = false;
    }

    @Override // android.graphics.drawable.Drawable
    public void draw(@NonNull Canvas canvas) {
        this.isDirty = false;
        e.a.a.e.beginSection("Drawable#draw");
        if (this.safeMode) {
            try {
                drawInternal(canvas);
            } catch (Throwable th) {
                e.a.a.z.d.error("Lottie crashed in draw!", th);
            }
        } else {
            drawInternal(canvas);
        }
        e.a.a.e.endSection("Drawable#draw");
    }

    public boolean enableMergePathsForKitKatAndAbove() {
        return this.enableMergePaths;
    }

    @MainThread
    public void endAnimation() {
        this.lazyCompositionTasks.clear();
        this.animator.endAnimation();
    }

    @Override // android.graphics.drawable.Drawable
    public int getAlpha() {
        return this.alpha;
    }

    public e.a.a.g getComposition() {
        return this.composition;
    }

    public int getFrame() {
        return (int) this.animator.getFrame();
    }

    @Nullable
    public Bitmap getImageAsset(String str) {
        e.a.a.v.b imageAssetManager = getImageAssetManager();
        if (imageAssetManager != null) {
            return imageAssetManager.bitmapForId(str);
        }
        return null;
    }

    @Nullable
    public String getImageAssetsFolder() {
        return this.imageAssetsFolder;
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicHeight() {
        e.a.a.g gVar = this.composition;
        if (gVar == null) {
            return -1;
        }
        return (int) (gVar.getBounds().height() * getScale());
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicWidth() {
        e.a.a.g gVar = this.composition;
        if (gVar == null) {
            return -1;
        }
        return (int) (gVar.getBounds().width() * getScale());
    }

    public float getMaxFrame() {
        return this.animator.getMaxFrame();
    }

    public float getMinFrame() {
        return this.animator.getMinFrame();
    }

    @Override // android.graphics.drawable.Drawable
    public int getOpacity() {
        return -3;
    }

    @Nullable
    public e.a.a.r getPerformanceTracker() {
        e.a.a.g gVar = this.composition;
        if (gVar != null) {
            return gVar.getPerformanceTracker();
        }
        return null;
    }

    @FloatRange(from = 0.0d, to = 1.0d)
    public float getProgress() {
        return this.animator.getAnimatedValueAbsolute();
    }

    public int getRepeatCount() {
        return this.animator.getRepeatCount();
    }

    public int getRepeatMode() {
        return this.animator.getRepeatMode();
    }

    public float getScale() {
        return this.scale;
    }

    public float getSpeed() {
        return this.animator.getSpeed();
    }

    @Nullable
    public t getTextDelegate() {
        return this.textDelegate;
    }

    @Nullable
    public Typeface getTypeface(String str, String str2) {
        e.a.a.v.a fontAssetManager = getFontAssetManager();
        if (fontAssetManager != null) {
            return fontAssetManager.getTypeface(str, str2);
        }
        return null;
    }

    public boolean hasMasks() {
        e.a.a.w.k.b bVar = this.compositionLayer;
        return bVar != null && bVar.hasMasks();
    }

    public boolean hasMatte() {
        e.a.a.w.k.b bVar = this.compositionLayer;
        return bVar != null && bVar.hasMatte();
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void invalidateDrawable(@NonNull Drawable drawable) {
        Drawable.Callback callback = getCallback();
        if (callback == null) {
            return;
        }
        callback.invalidateDrawable(this);
    }

    @Override // android.graphics.drawable.Drawable
    public void invalidateSelf() {
        if (this.isDirty) {
            return;
        }
        this.isDirty = true;
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.invalidateDrawable(this);
        }
    }

    public boolean isAnimating() {
        e.a.a.z.e eVar = this.animator;
        if (eVar == null) {
            return false;
        }
        return eVar.isRunning();
    }

    public boolean isApplyingOpacityToLayersEnabled() {
        return this.isApplyingOpacityToLayersEnabled;
    }

    public boolean isLooping() {
        return this.animator.getRepeatCount() == -1;
    }

    public boolean isMergePathsEnabledForKitKatAndAbove() {
        return this.enableMergePaths;
    }

    @Override // android.graphics.drawable.Animatable
    public boolean isRunning() {
        return isAnimating();
    }

    @Deprecated
    public void loop(boolean z) {
        this.animator.setRepeatCount(z ? -1 : 0);
    }

    public void pauseAnimation() {
        this.lazyCompositionTasks.clear();
        this.animator.pauseAnimation();
    }

    @MainThread
    public void playAnimation() {
        if (this.compositionLayer == null) {
            this.lazyCompositionTasks.add(new j());
            return;
        }
        if (animationsEnabled() || getRepeatCount() == 0) {
            this.animator.playAnimation();
        }
        if (animationsEnabled()) {
            return;
        }
        setFrame((int) (getSpeed() < 0.0f ? getMinFrame() : getMaxFrame()));
        this.animator.endAnimation();
    }

    public void removeAllAnimatorListeners() {
        this.animator.removeAllListeners();
    }

    public void removeAllUpdateListeners() {
        this.animator.removeAllUpdateListeners();
        this.animator.addUpdateListener(this.progressUpdateListener);
    }

    public void removeAnimatorListener(Animator.AnimatorListener animatorListener) {
        this.animator.removeListener(animatorListener);
    }

    @RequiresApi(api = 19)
    public void removeAnimatorPauseListener(Animator.AnimatorPauseListener animatorPauseListener) {
        this.animator.removePauseListener(animatorPauseListener);
    }

    public void removeAnimatorUpdateListener(ValueAnimator.AnimatorUpdateListener animatorUpdateListener) {
        this.animator.removeUpdateListener(animatorUpdateListener);
    }

    public List<e.a.a.w.d> resolveKeyPath(e.a.a.w.d dVar) {
        if (this.compositionLayer == null) {
            e.a.a.z.d.warning("Cannot resolve KeyPath. Composition is not set yet.");
            return Collections.emptyList();
        }
        ArrayList arrayList = new ArrayList();
        this.compositionLayer.resolveKeyPath(dVar, 0, arrayList, new e.a.a.w.d(new String[0]));
        return arrayList;
    }

    @MainThread
    public void resumeAnimation() {
        if (this.compositionLayer == null) {
            this.lazyCompositionTasks.add(new k());
            return;
        }
        if (animationsEnabled() || getRepeatCount() == 0) {
            this.animator.resumeAnimation();
        }
        if (animationsEnabled()) {
            return;
        }
        setFrame((int) (getSpeed() < 0.0f ? getMinFrame() : getMaxFrame()));
        this.animator.endAnimation();
    }

    public void reverseAnimationSpeed() {
        this.animator.reverseAnimationSpeed();
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void scheduleDrawable(@NonNull Drawable drawable, @NonNull Runnable runnable, long j2) {
        Drawable.Callback callback = getCallback();
        if (callback == null) {
            return;
        }
        callback.scheduleDrawable(this, runnable, j2);
    }

    @Override // android.graphics.drawable.Drawable
    public void setAlpha(@IntRange(from = 0, to = 255) int i2) {
        this.alpha = i2;
        invalidateSelf();
    }

    public void setApplyingOpacityToLayersEnabled(boolean z) {
        this.isApplyingOpacityToLayersEnabled = z;
    }

    @Override // android.graphics.drawable.Drawable
    public void setColorFilter(@Nullable ColorFilter colorFilter) {
        e.a.a.z.d.warning("Use addColorFilter instead.");
    }

    public boolean setComposition(e.a.a.g gVar) {
        if (this.composition == gVar) {
            return false;
        }
        this.isDirty = false;
        clearComposition();
        this.composition = gVar;
        buildCompositionLayer();
        this.animator.setComposition(gVar);
        setProgress(this.animator.getAnimatedFraction());
        setScale(this.scale);
        Iterator it = new ArrayList(this.lazyCompositionTasks).iterator();
        while (it.hasNext()) {
            r rVar = (r) it.next();
            if (rVar != null) {
                rVar.run(gVar);
            }
            it.remove();
        }
        this.lazyCompositionTasks.clear();
        gVar.setPerformanceTrackingEnabled(this.performanceTrackingEnabled);
        Drawable.Callback callback = getCallback();
        if (callback instanceof ImageView) {
            ImageView imageView = (ImageView) callback;
            imageView.setImageDrawable(null);
            imageView.setImageDrawable(this);
            return true;
        }
        return true;
    }

    public void setFontAssetDelegate(e.a.a.c cVar) {
        this.fontAssetDelegate = cVar;
        e.a.a.v.a aVar = this.fontAssetManager;
        if (aVar != null) {
            aVar.setDelegate(cVar);
        }
    }

    public void setFrame(int i2) {
        if (this.composition == null) {
            this.lazyCompositionTasks.add(new e(i2));
        } else {
            this.animator.setFrame(i2);
        }
    }

    public void setIgnoreDisabledSystemAnimations(boolean z) {
        this.ignoreSystemAnimationsDisabled = z;
    }

    public void setImageAssetDelegate(e.a.a.d dVar) {
        this.imageAssetDelegate = dVar;
        e.a.a.v.b bVar = this.imageAssetManager;
        if (bVar != null) {
            bVar.setDelegate(dVar);
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void setImageAssetManager(@Nullable e.a.a.v.b bVar) {
        this.imageAssetManagerOverride = bVar;
    }

    public void setImagesAssetsFolder(@Nullable String str) {
        this.imageAssetsFolder = str;
    }

    public void setMaxFrame(int i2) {
        if (this.composition == null) {
            this.lazyCompositionTasks.add(new n(i2));
        } else {
            this.animator.setMaxFrame(i2 + 0.99f);
        }
    }

    public void setMaxProgress(@FloatRange(from = 0.0d, to = 1.0d) float f2) {
        e.a.a.g gVar = this.composition;
        if (gVar == null) {
            this.lazyCompositionTasks.add(new o(f2));
        } else {
            setMaxFrame((int) e.a.a.z.g.lerp(gVar.getStartFrame(), this.composition.getEndFrame(), f2));
        }
    }

    public void setMinAndMaxFrame(String str) {
        e.a.a.g gVar = this.composition;
        if (gVar == null) {
            this.lazyCompositionTasks.add(new a(str));
            return;
        }
        e.a.a.w.g marker = gVar.getMarker(str);
        if (marker != null) {
            int i2 = (int) marker.startFrame;
            setMinAndMaxFrame(i2, ((int) marker.durationFrames) + i2);
            return;
        }
        throw new IllegalArgumentException("Cannot find marker with name " + str + e.b.a.a.f.b.DOT);
    }

    public void setMinAndMaxProgress(@FloatRange(from = 0.0d, to = 1.0d) float f2, @FloatRange(from = 0.0d, to = 1.0d) float f3) {
        e.a.a.g gVar = this.composition;
        if (gVar == null) {
            this.lazyCompositionTasks.add(new d(f2, f3));
        } else {
            setMinAndMaxFrame((int) e.a.a.z.g.lerp(gVar.getStartFrame(), this.composition.getEndFrame(), f2), (int) e.a.a.z.g.lerp(this.composition.getStartFrame(), this.composition.getEndFrame(), f3));
        }
    }

    public void setMinFrame(int i2) {
        if (this.composition == null) {
            this.lazyCompositionTasks.add(new l(i2));
        } else {
            this.animator.setMinFrame(i2);
        }
    }

    public void setMinProgress(float f2) {
        e.a.a.g gVar = this.composition;
        if (gVar == null) {
            this.lazyCompositionTasks.add(new m(f2));
        } else {
            setMinFrame((int) e.a.a.z.g.lerp(gVar.getStartFrame(), this.composition.getEndFrame(), f2));
        }
    }

    public void setOutlineMasksAndMattes(boolean z) {
        if (this.outlineMasksAndMattes == z) {
            return;
        }
        this.outlineMasksAndMattes = z;
        e.a.a.w.k.b bVar = this.compositionLayer;
        if (bVar != null) {
            bVar.setOutlineMasksAndMattes(z);
        }
    }

    public void setPerformanceTrackingEnabled(boolean z) {
        this.performanceTrackingEnabled = z;
        e.a.a.g gVar = this.composition;
        if (gVar != null) {
            gVar.setPerformanceTrackingEnabled(z);
        }
    }

    public void setProgress(@FloatRange(from = 0.0d, to = 1.0d) float f2) {
        if (this.composition == null) {
            this.lazyCompositionTasks.add(new f(f2));
            return;
        }
        e.a.a.e.beginSection("Drawable#setProgress");
        this.animator.setFrame(e.a.a.z.g.lerp(this.composition.getStartFrame(), this.composition.getEndFrame(), f2));
        e.a.a.e.endSection("Drawable#setProgress");
    }

    public void setRepeatCount(int i2) {
        this.animator.setRepeatCount(i2);
    }

    public void setRepeatMode(int i2) {
        this.animator.setRepeatMode(i2);
    }

    public void setSafeMode(boolean z) {
        this.safeMode = z;
    }

    public void setScale(float f2) {
        this.scale = f2;
    }

    public void setSpeed(float f2) {
        this.animator.setSpeed(f2);
    }

    public void setSystemAnimationsAreEnabled(Boolean bool) {
        this.systemAnimationsEnabled = bool.booleanValue();
    }

    public void setTextDelegate(t tVar) {
        this.textDelegate = tVar;
    }

    @Override // android.graphics.drawable.Animatable
    @MainThread
    public void start() {
        Drawable.Callback callback = getCallback();
        if (!(callback instanceof View) || ((View) callback).isInEditMode()) {
            return;
        }
        playAnimation();
    }

    @Override // android.graphics.drawable.Animatable
    @MainThread
    public void stop() {
        endAnimation();
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void unscheduleDrawable(@NonNull Drawable drawable, @NonNull Runnable runnable) {
        Drawable.Callback callback = getCallback();
        if (callback == null) {
            return;
        }
        callback.unscheduleDrawable(this, runnable);
    }

    @Nullable
    public Bitmap updateBitmap(String str, @Nullable Bitmap bitmap) {
        e.a.a.v.b imageAssetManager = getImageAssetManager();
        if (imageAssetManager == null) {
            e.a.a.z.d.warning("Cannot update bitmap. Most likely the drawable is not added to a View which prevents Lottie from getting a Context.");
            return null;
        }
        Bitmap updateBitmap = imageAssetManager.updateBitmap(str, bitmap);
        invalidateSelf();
        return updateBitmap;
    }

    public boolean useTextGlyphs() {
        return this.textDelegate == null && this.composition.getCharacters().size() > 0;
    }

    public void enableMergePathsForKitKatAndAbove(boolean z) {
        if (this.enableMergePaths == z) {
            return;
        }
        if (Build.VERSION.SDK_INT < 19) {
            e.a.a.z.d.warning("Merge paths are not supported pre-Kit Kat.");
            return;
        }
        this.enableMergePaths = z;
        if (this.composition != null) {
            buildCompositionLayer();
        }
    }

    public void setMaxFrame(String str) {
        e.a.a.g gVar = this.composition;
        if (gVar == null) {
            this.lazyCompositionTasks.add(new q(str));
            return;
        }
        e.a.a.w.g marker = gVar.getMarker(str);
        if (marker != null) {
            setMaxFrame((int) (marker.startFrame + marker.durationFrames));
            return;
        }
        throw new IllegalArgumentException("Cannot find marker with name " + str + e.b.a.a.f.b.DOT);
    }

    public void setMinFrame(String str) {
        e.a.a.g gVar = this.composition;
        if (gVar == null) {
            this.lazyCompositionTasks.add(new p(str));
            return;
        }
        e.a.a.w.g marker = gVar.getMarker(str);
        if (marker != null) {
            setMinFrame((int) marker.startFrame);
            return;
        }
        throw new IllegalArgumentException("Cannot find marker with name " + str + e.b.a.a.f.b.DOT);
    }

    public void setMinAndMaxFrame(String str, String str2, boolean z) {
        e.a.a.g gVar = this.composition;
        if (gVar == null) {
            this.lazyCompositionTasks.add(new b(str, str2, z));
            return;
        }
        e.a.a.w.g marker = gVar.getMarker(str);
        if (marker != null) {
            int i2 = (int) marker.startFrame;
            e.a.a.w.g marker2 = this.composition.getMarker(str2);
            if (marker2 != null) {
                setMinAndMaxFrame(i2, (int) (marker2.startFrame + (z ? 1.0f : 0.0f)));
                return;
            }
            throw new IllegalArgumentException("Cannot find marker with name " + str2 + e.b.a.a.f.b.DOT);
        }
        throw new IllegalArgumentException("Cannot find marker with name " + str + e.b.a.a.f.b.DOT);
    }

    public <T> void addValueCallback(e.a.a.w.d dVar, T t, e.a.a.a0.l<T> lVar) {
        addValueCallback(dVar, (e.a.a.w.d) t, (e.a.a.a0.j<e.a.a.w.d>) new h(lVar));
    }

    public void setMinAndMaxFrame(int i2, int i3) {
        if (this.composition == null) {
            this.lazyCompositionTasks.add(new c(i2, i3));
        } else {
            this.animator.setMinAndMaxFrames(i2, i3 + 0.99f);
        }
    }
}
