package com.airbnb.lottie.model.content;

import androidx.annotation.Nullable;
import com.airbnb.lottie.LottieDrawable;
import e.a.a.u.b.c;
import e.a.a.u.b.l;
import e.a.a.w.j.b;
import e.a.a.w.k.a;
import e.a.a.z.d;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class MergePaths implements b {
    public final boolean hidden;
    public final MergePathsMode mode;
    public final String name;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public enum MergePathsMode {
        MERGE,
        ADD,
        SUBTRACT,
        INTERSECT,
        EXCLUDE_INTERSECTIONS;

        public static MergePathsMode forId(int i2) {
            if (i2 != 1) {
                if (i2 != 2) {
                    if (i2 != 3) {
                        if (i2 != 4) {
                            if (i2 != 5) {
                                return MERGE;
                            }
                            return EXCLUDE_INTERSECTIONS;
                        }
                        return INTERSECT;
                    }
                    return SUBTRACT;
                }
                return ADD;
            }
            return MERGE;
        }
    }

    public MergePaths(String str, MergePathsMode mergePathsMode, boolean z) {
        this.name = str;
        this.mode = mergePathsMode;
        this.hidden = z;
    }

    public MergePathsMode getMode() {
        return this.mode;
    }

    public String getName() {
        return this.name;
    }

    public boolean isHidden() {
        return this.hidden;
    }

    @Override // e.a.a.w.j.b
    @Nullable
    public c toContent(LottieDrawable lottieDrawable, a aVar) {
        if (!lottieDrawable.enableMergePathsForKitKatAndAbove()) {
            d.warning("Animation contains merge paths but they are disabled.");
            return null;
        }
        return new l(this);
    }

    public String toString() {
        return "MergePaths{mode=" + this.mode + '}';
    }
}
