package com.airbnb.lottie.parser.moshi;

import java.io.ObjectStreamException;
import java.io.Serializable;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Arrays;
import java.util.Comparator;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Set;
/* compiled from: AAA */
/* loaded from: classes.dex */
public final class LinkedHashTreeMap<K, V> extends AbstractMap<K, V> implements Serializable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final Comparator<Comparable> NATURAL_ORDER = new a();
    public Comparator<? super K> comparator;
    public LinkedHashTreeMap<K, V>.d entrySet;
    public final g<K, V> header;
    public LinkedHashTreeMap<K, V>.e keySet;
    public int modCount;
    public int size;
    public g<K, V>[] table;
    public int threshold;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class a implements Comparator<Comparable> {
        @Override // java.util.Comparator
        public int compare(Comparable comparable, Comparable comparable2) {
            return comparable.compareTo(comparable2);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class b<K, V> {
        public int leavesSkipped;
        public int leavesToSkip;
        public int size;
        public g<K, V> stack;

        public void add(g<K, V> gVar) {
            gVar.right = null;
            gVar.parent = null;
            gVar.left = null;
            gVar.height = 1;
            int i2 = this.leavesToSkip;
            if (i2 > 0) {
                int i3 = this.size;
                if ((i3 & 1) == 0) {
                    this.size = i3 + 1;
                    this.leavesToSkip = i2 - 1;
                    this.leavesSkipped++;
                }
            }
            gVar.parent = this.stack;
            this.stack = gVar;
            int i4 = this.size + 1;
            this.size = i4;
            int i5 = this.leavesToSkip;
            if (i5 > 0 && (i4 & 1) == 0) {
                this.size = i4 + 1;
                this.leavesToSkip = i5 - 1;
                this.leavesSkipped++;
            }
            int i6 = 4;
            while (true) {
                int i7 = i6 - 1;
                if ((this.size & i7) != i7) {
                    return;
                }
                int i8 = this.leavesSkipped;
                if (i8 == 0) {
                    g<K, V> gVar2 = this.stack;
                    g<K, V> gVar3 = gVar2.parent;
                    g<K, V> gVar4 = gVar3.parent;
                    gVar3.parent = gVar4.parent;
                    this.stack = gVar3;
                    gVar3.left = gVar4;
                    gVar3.right = gVar2;
                    gVar3.height = gVar2.height + 1;
                    gVar4.parent = gVar3;
                    gVar2.parent = gVar3;
                } else if (i8 == 1) {
                    g<K, V> gVar5 = this.stack;
                    g<K, V> gVar6 = gVar5.parent;
                    this.stack = gVar6;
                    gVar6.right = gVar5;
                    gVar6.height = gVar5.height + 1;
                    gVar5.parent = gVar6;
                    this.leavesSkipped = 0;
                } else if (i8 == 2) {
                    this.leavesSkipped = 0;
                }
                i6 *= 2;
            }
        }

        public void reset(int i2) {
            this.leavesToSkip = ((Integer.highestOneBit(i2) * 2) - 1) - i2;
            this.size = 0;
            this.leavesSkipped = 0;
            this.stack = null;
        }

        public g<K, V> root() {
            g<K, V> gVar = this.stack;
            if (gVar.parent == null) {
                return gVar;
            }
            throw new IllegalStateException();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static class c<K, V> {
        public g<K, V> stackTop;

        public g<K, V> next() {
            g<K, V> gVar = this.stackTop;
            if (gVar == null) {
                return null;
            }
            g<K, V> gVar2 = gVar.parent;
            gVar.parent = null;
            g<K, V> gVar3 = gVar.right;
            while (true) {
                g<K, V> gVar4 = gVar2;
                gVar2 = gVar3;
                if (gVar2 != null) {
                    gVar2.parent = gVar4;
                    gVar3 = gVar2.left;
                } else {
                    this.stackTop = gVar4;
                    return gVar;
                }
            }
        }

        public void reset(g<K, V> gVar) {
            g<K, V> gVar2 = null;
            while (gVar != null) {
                gVar.parent = gVar2;
                gVar2 = gVar;
                gVar = gVar.left;
            }
            this.stackTop = gVar2;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public final class d extends AbstractSet<Map.Entry<K, V>> {

        /* compiled from: AAA */
        /* loaded from: classes.dex */
        public class a extends LinkedHashTreeMap<K, V>.f<Map.Entry<K, V>> {
            public a() {
                super();
            }

            @Override // java.util.Iterator
            public Map.Entry<K, V> next() {
                return nextNode();
            }
        }

        public d() {
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public void clear() {
            LinkedHashTreeMap.this.clear();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean contains(Object obj) {
            return (obj instanceof Map.Entry) && LinkedHashTreeMap.this.findByEntry((Map.Entry) obj) != null;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable, java.util.Set
        public Iterator<Map.Entry<K, V>> iterator() {
            return new a();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean remove(Object obj) {
            g<K, V> findByEntry;
            if ((obj instanceof Map.Entry) && (findByEntry = LinkedHashTreeMap.this.findByEntry((Map.Entry) obj)) != null) {
                LinkedHashTreeMap.this.removeInternal(findByEntry, true);
                return true;
            }
            return false;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public int size() {
            return LinkedHashTreeMap.this.size;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public final class e extends AbstractSet<K> {

        /* compiled from: AAA */
        /* loaded from: classes.dex */
        public class a extends LinkedHashTreeMap<K, V>.f<K> {
            public a() {
                super();
            }

            @Override // java.util.Iterator
            public K next() {
                return nextNode().key;
            }
        }

        public e() {
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public void clear() {
            LinkedHashTreeMap.this.clear();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean contains(Object obj) {
            return LinkedHashTreeMap.this.containsKey(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable, java.util.Set
        public Iterator<K> iterator() {
            return new a();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean remove(Object obj) {
            return LinkedHashTreeMap.this.removeInternalByKey(obj) != null;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public int size() {
            return LinkedHashTreeMap.this.size;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public abstract class f<T> implements Iterator<T> {
        public int expectedModCount;
        public g<K, V> lastReturned;
        public g<K, V> next;

        public f() {
            LinkedHashTreeMap linkedHashTreeMap = LinkedHashTreeMap.this;
            this.next = linkedHashTreeMap.header.next;
            this.lastReturned = null;
            this.expectedModCount = linkedHashTreeMap.modCount;
        }

        @Override // java.util.Iterator
        public final boolean hasNext() {
            return this.next != LinkedHashTreeMap.this.header;
        }

        public final g<K, V> nextNode() {
            g<K, V> gVar = this.next;
            LinkedHashTreeMap linkedHashTreeMap = LinkedHashTreeMap.this;
            if (gVar != linkedHashTreeMap.header) {
                if (linkedHashTreeMap.modCount == this.expectedModCount) {
                    this.next = gVar.next;
                    this.lastReturned = gVar;
                    return gVar;
                }
                throw new ConcurrentModificationException();
            }
            throw new NoSuchElementException();
        }

        @Override // java.util.Iterator
        public final void remove() {
            g<K, V> gVar = this.lastReturned;
            if (gVar != null) {
                LinkedHashTreeMap.this.removeInternal(gVar, true);
                this.lastReturned = null;
                this.expectedModCount = LinkedHashTreeMap.this.modCount;
                return;
            }
            throw new IllegalStateException();
        }
    }

    public LinkedHashTreeMap() {
        this(null);
    }

    private void doubleCapacity() {
        g<K, V>[] doubleCapacity = doubleCapacity(this.table);
        this.table = doubleCapacity;
        this.threshold = (doubleCapacity.length / 2) + (doubleCapacity.length / 4);
    }

    private boolean equal(Object obj, Object obj2) {
        return obj == obj2 || (obj != null && obj.equals(obj2));
    }

    private void rebalance(g<K, V> gVar, boolean z) {
        while (gVar != null) {
            g<K, V> gVar2 = gVar.left;
            g<K, V> gVar3 = gVar.right;
            int i2 = gVar2 != null ? gVar2.height : 0;
            int i3 = gVar3 != null ? gVar3.height : 0;
            int i4 = i2 - i3;
            if (i4 == -2) {
                g<K, V> gVar4 = gVar3.left;
                g<K, V> gVar5 = gVar3.right;
                int i5 = (gVar4 != null ? gVar4.height : 0) - (gVar5 != null ? gVar5.height : 0);
                if (i5 != -1 && (i5 != 0 || z)) {
                    rotateRight(gVar3);
                    rotateLeft(gVar);
                } else {
                    rotateLeft(gVar);
                }
                if (z) {
                    return;
                }
            } else if (i4 == 2) {
                g<K, V> gVar6 = gVar2.left;
                g<K, V> gVar7 = gVar2.right;
                int i6 = (gVar6 != null ? gVar6.height : 0) - (gVar7 != null ? gVar7.height : 0);
                if (i6 != 1 && (i6 != 0 || z)) {
                    rotateLeft(gVar2);
                    rotateRight(gVar);
                } else {
                    rotateRight(gVar);
                }
                if (z) {
                    return;
                }
            } else if (i4 == 0) {
                gVar.height = i2 + 1;
                if (z) {
                    return;
                }
            } else {
                gVar.height = Math.max(i2, i3) + 1;
                if (!z) {
                    return;
                }
            }
            gVar = gVar.parent;
        }
    }

    private void replaceInParent(g<K, V> gVar, g<K, V> gVar2) {
        g<K, V> gVar3 = gVar.parent;
        gVar.parent = null;
        if (gVar2 != null) {
            gVar2.parent = gVar3;
        }
        if (gVar3 != null) {
            if (gVar3.left == gVar) {
                gVar3.left = gVar2;
                return;
            } else {
                gVar3.right = gVar2;
                return;
            }
        }
        int i2 = gVar.hash;
        g<K, V>[] gVarArr = this.table;
        gVarArr[i2 & (gVarArr.length - 1)] = gVar2;
    }

    private void rotateLeft(g<K, V> gVar) {
        g<K, V> gVar2 = gVar.left;
        g<K, V> gVar3 = gVar.right;
        g<K, V> gVar4 = gVar3.left;
        g<K, V> gVar5 = gVar3.right;
        gVar.right = gVar4;
        if (gVar4 != null) {
            gVar4.parent = gVar;
        }
        replaceInParent(gVar, gVar3);
        gVar3.left = gVar;
        gVar.parent = gVar3;
        int max = Math.max(gVar2 != null ? gVar2.height : 0, gVar4 != null ? gVar4.height : 0) + 1;
        gVar.height = max;
        gVar3.height = Math.max(max, gVar5 != null ? gVar5.height : 0) + 1;
    }

    private void rotateRight(g<K, V> gVar) {
        g<K, V> gVar2 = gVar.left;
        g<K, V> gVar3 = gVar.right;
        g<K, V> gVar4 = gVar2.left;
        g<K, V> gVar5 = gVar2.right;
        gVar.left = gVar5;
        if (gVar5 != null) {
            gVar5.parent = gVar;
        }
        replaceInParent(gVar, gVar2);
        gVar2.right = gVar;
        gVar.parent = gVar2;
        int max = Math.max(gVar3 != null ? gVar3.height : 0, gVar5 != null ? gVar5.height : 0) + 1;
        gVar.height = max;
        gVar2.height = Math.max(max, gVar4 != null ? gVar4.height : 0) + 1;
    }

    public static int secondaryHash(int i2) {
        int i3 = i2 ^ ((i2 >>> 20) ^ (i2 >>> 12));
        return (i3 >>> 4) ^ ((i3 >>> 7) ^ i3);
    }

    private Object writeReplace() throws ObjectStreamException {
        return new LinkedHashMap(this);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public void clear() {
        Arrays.fill(this.table, (Object) null);
        this.size = 0;
        this.modCount++;
        g<K, V> gVar = this.header;
        g<K, V> gVar2 = gVar.next;
        while (gVar2 != gVar) {
            g<K, V> gVar3 = gVar2.next;
            gVar2.prev = null;
            gVar2.next = null;
            gVar2 = gVar3;
        }
        gVar.prev = gVar;
        gVar.next = gVar;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public boolean containsKey(Object obj) {
        return findByObject(obj) != null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        LinkedHashTreeMap<K, V>.d dVar = this.entrySet;
        if (dVar != null) {
            return dVar;
        }
        LinkedHashTreeMap<K, V>.d dVar2 = new d();
        this.entrySet = dVar2;
        return dVar2;
    }

    public g<K, V> find(K k2, boolean z) {
        g<K, V> gVar;
        int i2;
        g<K, V> gVar2;
        int compare;
        Comparator<? super K> comparator = this.comparator;
        g<K, V>[] gVarArr = this.table;
        int secondaryHash = secondaryHash(k2.hashCode());
        int length = (gVarArr.length - 1) & secondaryHash;
        g<K, V> gVar3 = gVarArr[length];
        if (gVar3 != null) {
            Comparable comparable = comparator == NATURAL_ORDER ? (Comparable) k2 : null;
            while (true) {
                if (comparable != null) {
                    compare = comparable.compareTo(gVar3.key);
                } else {
                    compare = comparator.compare(k2, (K) gVar3.key);
                }
                if (compare == 0) {
                    return gVar3;
                }
                g<K, V> gVar4 = compare < 0 ? gVar3.left : gVar3.right;
                if (gVar4 == null) {
                    gVar = gVar3;
                    i2 = compare;
                    break;
                }
                gVar3 = gVar4;
            }
        } else {
            gVar = gVar3;
            i2 = 0;
        }
        if (z) {
            g<K, V> gVar5 = this.header;
            if (gVar == null) {
                if (comparator == NATURAL_ORDER && !(k2 instanceof Comparable)) {
                    throw new ClassCastException(k2.getClass().getName() + " is not Comparable");
                }
                gVar2 = new g<>(gVar, k2, secondaryHash, gVar5, gVar5.prev);
                gVarArr[length] = gVar2;
            } else {
                gVar2 = new g<>(gVar, k2, secondaryHash, gVar5, gVar5.prev);
                if (i2 < 0) {
                    gVar.left = gVar2;
                } else {
                    gVar.right = gVar2;
                }
                rebalance(gVar, true);
            }
            int i3 = this.size;
            this.size = i3 + 1;
            if (i3 > this.threshold) {
                doubleCapacity();
            }
            this.modCount++;
            return gVar2;
        }
        return null;
    }

    public g<K, V> findByEntry(Map.Entry<?, ?> entry) {
        g<K, V> findByObject = findByObject(entry.getKey());
        if (findByObject != null && equal(findByObject.value, entry.getValue())) {
            return findByObject;
        }
        return null;
    }

    /* JADX WARN: Multi-variable type inference failed */
    public g<K, V> findByObject(Object obj) {
        if (obj != 0) {
            try {
                return find(obj, false);
            } catch (ClassCastException unused) {
                return null;
            }
        }
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        g<K, V> findByObject = findByObject(obj);
        if (findByObject != null) {
            return findByObject.value;
        }
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        LinkedHashTreeMap<K, V>.e eVar = this.keySet;
        if (eVar != null) {
            return eVar;
        }
        LinkedHashTreeMap<K, V>.e eVar2 = new e();
        this.keySet = eVar2;
        return eVar2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V put(K k2, V v) {
        if (k2 != null) {
            g<K, V> find = find(k2, true);
            V v2 = find.value;
            find.value = v;
            return v2;
        }
        throw new NullPointerException("key == null");
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V remove(Object obj) {
        g<K, V> removeInternalByKey = removeInternalByKey(obj);
        if (removeInternalByKey != null) {
            return removeInternalByKey.value;
        }
        return null;
    }

    public void removeInternal(g<K, V> gVar, boolean z) {
        int i2;
        if (z) {
            g<K, V> gVar2 = gVar.prev;
            gVar2.next = gVar.next;
            gVar.next.prev = gVar2;
            gVar.prev = null;
            gVar.next = null;
        }
        g<K, V> gVar3 = gVar.left;
        g<K, V> gVar4 = gVar.right;
        g<K, V> gVar5 = gVar.parent;
        int i3 = 0;
        if (gVar3 != null && gVar4 != null) {
            g<K, V> last = gVar3.height > gVar4.height ? gVar3.last() : gVar4.first();
            removeInternal(last, false);
            g<K, V> gVar6 = gVar.left;
            if (gVar6 != null) {
                i2 = gVar6.height;
                last.left = gVar6;
                gVar6.parent = last;
                gVar.left = null;
            } else {
                i2 = 0;
            }
            g<K, V> gVar7 = gVar.right;
            if (gVar7 != null) {
                i3 = gVar7.height;
                last.right = gVar7;
                gVar7.parent = last;
                gVar.right = null;
            }
            last.height = Math.max(i2, i3) + 1;
            replaceInParent(gVar, last);
            return;
        }
        if (gVar3 != null) {
            replaceInParent(gVar, gVar3);
            gVar.left = null;
        } else if (gVar4 != null) {
            replaceInParent(gVar, gVar4);
            gVar.right = null;
        } else {
            replaceInParent(gVar, null);
        }
        rebalance(gVar5, false);
        this.size--;
        this.modCount++;
    }

    public g<K, V> removeInternalByKey(Object obj) {
        g<K, V> findByObject = findByObject(obj);
        if (findByObject != null) {
            removeInternal(findByObject, true);
        }
        return findByObject;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public int size() {
        return this.size;
    }

    public LinkedHashTreeMap(Comparator<? super K> comparator) {
        this.size = 0;
        this.modCount = 0;
        this.comparator = comparator == null ? NATURAL_ORDER : comparator;
        this.header = new g<>();
        g<K, V>[] gVarArr = new g[16];
        this.table = gVarArr;
        this.threshold = (gVarArr.length / 2) + (gVarArr.length / 4);
    }

    public static <K, V> g<K, V>[] doubleCapacity(g<K, V>[] gVarArr) {
        int length = gVarArr.length;
        g<K, V>[] gVarArr2 = new g[length * 2];
        c cVar = new c();
        b bVar = new b();
        b bVar2 = new b();
        for (int i2 = 0; i2 < length; i2++) {
            g<K, V> gVar = gVarArr[i2];
            if (gVar != null) {
                cVar.reset(gVar);
                int i3 = 0;
                int i4 = 0;
                while (true) {
                    g<K, V> next = cVar.next();
                    if (next == null) {
                        break;
                    } else if ((next.hash & length) == 0) {
                        i3++;
                    } else {
                        i4++;
                    }
                }
                bVar.reset(i3);
                bVar2.reset(i4);
                cVar.reset(gVar);
                while (true) {
                    g<K, V> next2 = cVar.next();
                    if (next2 == null) {
                        break;
                    } else if ((next2.hash & length) == 0) {
                        bVar.add(next2);
                    } else {
                        bVar2.add(next2);
                    }
                }
                gVarArr2[i2] = i3 > 0 ? bVar.root() : null;
                gVarArr2[i2 + length] = i4 > 0 ? bVar2.root() : null;
            }
        }
        return gVarArr2;
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class g<K, V> implements Map.Entry<K, V> {
        public final int hash;
        public int height;
        public final K key;
        public g<K, V> left;
        public g<K, V> next;
        public g<K, V> parent;
        public g<K, V> prev;
        public g<K, V> right;
        public V value;

        public g() {
            this.key = null;
            this.hash = -1;
            this.prev = this;
            this.next = this;
        }

        @Override // java.util.Map.Entry
        public boolean equals(Object obj) {
            if (obj instanceof Map.Entry) {
                Map.Entry entry = (Map.Entry) obj;
                K k2 = this.key;
                if (k2 == null) {
                    if (entry.getKey() != null) {
                        return false;
                    }
                } else if (!k2.equals(entry.getKey())) {
                    return false;
                }
                V v = this.value;
                if (v == null) {
                    if (entry.getValue() != null) {
                        return false;
                    }
                } else if (!v.equals(entry.getValue())) {
                    return false;
                }
                return true;
            }
            return false;
        }

        public g<K, V> first() {
            g<K, V> gVar = this;
            for (g<K, V> gVar2 = this.left; gVar2 != null; gVar2 = gVar2.left) {
                gVar = gVar2;
            }
            return gVar;
        }

        @Override // java.util.Map.Entry
        public K getKey() {
            return this.key;
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            return this.value;
        }

        @Override // java.util.Map.Entry
        public int hashCode() {
            K k2 = this.key;
            int hashCode = k2 == null ? 0 : k2.hashCode();
            V v = this.value;
            return hashCode ^ (v != null ? v.hashCode() : 0);
        }

        public g<K, V> last() {
            g<K, V> gVar = this;
            for (g<K, V> gVar2 = this.right; gVar2 != null; gVar2 = gVar2.right) {
                gVar = gVar2;
            }
            return gVar;
        }

        @Override // java.util.Map.Entry
        public V setValue(V v) {
            V v2 = this.value;
            this.value = v;
            return v2;
        }

        public String toString() {
            return this.key + e.h.a.j.g.e.b.NAME_VALUE_SEPARATOR + this.value;
        }

        public g(g<K, V> gVar, K k2, int i2, g<K, V> gVar2, g<K, V> gVar3) {
            this.parent = gVar;
            this.key = k2;
            this.hash = i2;
            this.height = 1;
            this.next = gVar2;
            this.prev = gVar3;
            gVar3.next = this;
            gVar2.prev = this;
        }
    }
}
