package com.baidu.mobads.sdk.api;

import android.text.TextUtils;
import java.util.HashMap;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class CPUAdRequest {
    public static final String TAG = "NativeCPUAd";
    public HashMap<String, Object> mParameters;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static class Builder {
        public HashMap<String, Object> mExtras = new HashMap<>();

        public Builder addExtra(String str, String str2) {
            if (!TextUtils.isEmpty(str)) {
                this.mExtras.put(str, str2);
            }
            return this;
        }

        public CPUAdRequest build() {
            return new CPUAdRequest(this);
        }

        public Builder setAccessType(int i2) {
            this.mExtras.put("accessType", Integer.valueOf(i2));
            return this;
        }

        public Builder setBarType(CpuLpActionBar cpuLpActionBar) {
            this.mExtras.put("customizedBar", cpuLpActionBar.getVlaue());
            return this;
        }

        public Builder setCityIfLocalChannel(String str) {
            this.mExtras.put("listScene", 6);
            this.mExtras.put("city", str);
            return this;
        }

        public Builder setCustomUserId(String str) {
            this.mExtras.put("outerUid", str);
            return this;
        }

        public Builder setDownloadAppConfirmPolicy(int i2) {
            this.mExtras.put("downloadAppConfirmPolicy", Integer.valueOf(i2));
            return this;
        }

        public Builder setKeyWords(String str) {
            this.mExtras.put("keywords", str);
            return this;
        }

        public Builder setListScene(int i2) {
            this.mExtras.put("listScene", Integer.valueOf(i2));
            return this;
        }

        public Builder setLpDarkMode(boolean z) {
            if (z) {
                this.mExtras.put("preferscolortheme", CPUWebAdRequestParam.DARK_MODE);
            } else {
                this.mExtras.put("preferscolortheme", CPUWebAdRequestParam.LIGHT_MODE);
            }
            return this;
        }

        public Builder setLpFontSize(CpuLpFontSize cpuLpFontSize) {
            this.mExtras.put("prefersfontsize", cpuLpFontSize.getValue());
            return this;
        }

        public Builder setSubChannelId(String str) {
            this.mExtras.put("subChannelId", str);
            return this;
        }
    }

    public HashMap<String, Object> getExtras() {
        return this.mParameters;
    }

    public CPUAdRequest(Builder builder) {
        this.mParameters = new HashMap<>();
        if (builder == null || builder.mExtras == null) {
            return;
        }
        this.mParameters = builder.mExtras;
    }
}
