package com.baidu.mobads.sdk.api;

import android.content.Context;
import android.view.View;
import android.webkit.WebView;
import com.baidu.mobads.sdk.internal.a;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes.dex */
public interface NativeResponse extends AbstractData {
    public static final int ACTION_TYPE_APP_DOWNLOAD = 2;
    public static final int ACTION_TYPE_DEEP_LINK = 3;
    public static final int ACTION_TYPE_LANDING_PAGE = 1;
    public static final int INFO_FLOW_GROUP_PIC = 35;
    public static final int INFO_FLOW_GROUP_PIC_LOGO = 36;
    public static final int INFO_FLOW_LEFT_PIC = 33;
    public static final int INFO_FLOW_PIC_BOTTOM_TITLE = 28;
    public static final int INFO_FLOW_PIC_LOGO = 30;
    public static final int INFO_FLOW_PIC_TOP_TITLE = 29;
    public static final int INFO_FLOW_PORTRAIT_IMAGE = 42;
    public static final int INFO_FLOW_PORTRAIT_VIDEO = 41;
    public static final int INFO_FLOW_RIGHT_PIC = 34;
    public static final int INFO_FLOW_VIDEO_TOP_TITLE = 37;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface AdDislikeListener {
        void onDislikeClick();
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface AdDownloadWindowListener extends AdPrivacyListener {
        void adDownloadWindowClose();

        void adDownloadWindowShow();
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface AdInteractionListener {
        void onADExposed();

        void onADExposureFailed(int i2);

        void onADStatusChanged();

        void onAdClick();

        void onAdUnionClick();
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface AdPrivacyListener {
        void onADPermissionClose();

        void onADPermissionShow();

        void onADPrivacyClick();
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface AdShakeViewListener {
        void onDismiss();
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface CustomizeMediaPlayer {
        String getVideoUrl();

        void reportPlayError(int i2);

        void reportPlayFrozen(int i2);

        void reportPlayerReady();

        void reportVideoMuteChange(int i2, boolean z);

        void reportVideoPause(int i2, VideoReason videoReason);

        void reportVideoReplay();

        void reportVideoResume(int i2);

        void reportVideoShow();

        void reportVideoStart(boolean z);

        void reportVideoStop(int i2, VideoReason videoReason);
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public enum MaterialType {
        NORMAL("normal"),
        VIDEO("video"),
        HTML(a.f43f);
        
        public final String value;

        MaterialType(String str) {
            this.value = str;
        }

        public static MaterialType parse(String str) {
            MaterialType[] values;
            for (MaterialType materialType : values()) {
                if (materialType.value.equalsIgnoreCase(str)) {
                    return materialType;
                }
            }
            return null;
        }

        public String getValue() {
            return this.value;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public enum VideoReason {
        JUMP_LANDING_PAGE(1),
        BACKGROUND(2),
        USER_CLICK(3),
        JUMP_OTHER_APP(4),
        PLAY_COMPLETE(5),
        AD_CLOSE(6),
        OTHER_REASON(7);
        
        public int code;

        VideoReason(int i2) {
            this.code = i2;
        }

        public int getCode() {
            return this.code;
        }
    }

    void biddingFail(String str);

    void biddingFail(String str, HashMap<String, Object> hashMap);

    void biddingSuccess(String str);

    void clearImpressionTaskWhenBack();

    void dislikeClick(DislikeEvent dislikeEvent);

    String getActButtonString();

    int getAdActionType();

    String getAdLogoUrl();

    String getAdMaterialType();

    String getAppPackage();

    String getAppPermissionLink();

    String getAppPrivacyLink();

    long getAppSize();

    String getAppVersion();

    String getBaiduLogoUrl();

    String getBrandName();

    int getContainerHeight();

    int getContainerSizeType();

    int getContainerWidth();

    CustomizeMediaPlayer getCustomizeMediaPlayer();

    String getDesc();

    List<DislikeEvent> getDislikeList();

    int getDownloadStatus();

    int getDuration();

    String getECPMLevel();

    Map<String, String> getExtras();

    String getHtmlSnippet();

    String getIconUrl();

    String getImageUrl();

    int getMainPicHeight();

    int getMainPicWidth();

    String getMarketingPendant();

    MaterialType getMaterialType();

    List<String> getMultiPicUrls();

    String getPublisher();

    int getStyleType();

    String getTitle();

    String getVideoUrl();

    WebView getWebView();

    boolean isAdAvailable(Context context);

    boolean isAutoPlay();

    @Deprecated
    boolean isNeedDownloadApp();

    boolean isNonWifiAutoPlay();

    void pauseAppDownload();

    void permissionClick();

    void privacyClick();

    void recordImpression(View view);

    void registerViewForInteraction(View view, List<View> list, List<View> list2, AdInteractionListener adInteractionListener);

    View renderShakeView(int i2, int i3, AdShakeViewListener adShakeViewListener);

    View renderSlideView(int i2, int i3, int i4, AdShakeViewListener adShakeViewListener);

    void resumeAppDownload();

    void setAdPrivacyListener(AdPrivacyListener adPrivacyListener);

    void stopNativeView(View view);

    void unionLogoClick();
}
