package com.baidu.mobads.sdk.api;

import com.baidu.mobads.sdk.internal.bq;
import org.json.JSONException;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class SplashFocusParams {
    public final Builder mBuilder;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static class Builder {
        public int iconRightMarginDp = 15;
        public int iconBottomMarginDp = 95;
        public int iconSizeDp = 44;
        public boolean autoAnimOffset = true;
        public int animOffsetPx = 0;
        public double darkAlpha = 0.0d;

        public SplashFocusParams build() {
            return new SplashFocusParams(this);
        }

        @Deprecated
        public Builder setAnimOffsetPx(int i2) {
            this.autoAnimOffset = false;
            this.animOffsetPx = i2;
            return this;
        }

        public Builder setDarkAlpha(double d2) {
            this.darkAlpha = d2;
            return this;
        }

        public Builder setIconBottomMarginDp(int i2) {
            this.iconBottomMarginDp = i2;
            return this;
        }

        public Builder setIconRightMarginDp(int i2) {
            this.iconRightMarginDp = i2;
            return this;
        }

        public Builder setIconSizeDp(int i2) {
            this.iconSizeDp = i2;
            return this;
        }
    }

    public SplashFocusParams(Builder builder) {
        this.mBuilder = builder;
    }

    public JSONObject getFocusParams() {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("right_margin", this.mBuilder.iconRightMarginDp);
            jSONObject.put("bottom_margin", this.mBuilder.iconBottomMarginDp);
            jSONObject.put("icon_size", this.mBuilder.iconSizeDp);
            if (!this.mBuilder.autoAnimOffset) {
                jSONObject.put("anim_offset_y", this.mBuilder.animOffsetPx);
            }
            jSONObject.put("icon_dark_alpha", this.mBuilder.darkAlpha);
        } catch (JSONException e2) {
            bq.a().a(e2);
        }
        return jSONObject;
    }
}
