package com.bytedance.msdk.adapter.baidu;

import android.app.Activity;
import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import androidx.annotation.NonNull;
import com.baidu.mobads.sdk.api.AdSize;
import com.baidu.mobads.sdk.api.AdView;
import com.baidu.mobads.sdk.api.AdViewListener;
import com.baidu.mobads.sdk.api.BaiduNativeManager;
import com.baidu.mobads.sdk.api.DislikeEvent;
import com.baidu.mobads.sdk.api.ExpressResponse;
import com.baidu.mobads.sdk.api.FeedNativeView;
import com.baidu.mobads.sdk.api.INativeVideoListener;
import com.baidu.mobads.sdk.api.NativeResponse;
import com.baidu.mobads.sdk.api.RequestParameters;
import com.baidu.mobads.sdk.api.StyleParams;
import com.baidu.mobads.sdk.api.XAdNativeResponse;
import com.baidu.mobads.sdk.api.XNativeView;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.JProtect;
import com.bytedance.msdk.adapter.baidu.VisibleStateFrameLayout;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.bytedance.sdk.openadsdk.mediation.ad.MediationViewBinder;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationAdSlotValueSet;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class BaiduBannerLoader extends BaiduBaseLoader {
    public Context a;
    public MediationAdSlotValueSet b;

    /* renamed from: c  reason: collision with root package name */
    public Bridge f383c;

    /* renamed from: d  reason: collision with root package name */
    public boolean f384d;

    /* renamed from: e  reason: collision with root package name */
    public boolean f385e;

    /* renamed from: f  reason: collision with root package name */
    public final BaiduNativeManager.ExpressAdListener f386f = new BaiduNativeManager.ExpressAdListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduBannerLoader.1
        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.ExpressAdListener
        public void onLpClosed() {
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.ExpressAdListener
        @JProtect
        public void onNativeFail(int i2, String str) {
            BaiduBannerLoader.this.notifyAdFailed(i2, str);
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.ExpressAdListener
        @JProtect
        public void onNativeLoad(List<ExpressResponse> list) {
            if (list == null || list.size() <= 0) {
                BaiduBannerLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "load成功，但list为空");
                return;
            }
            for (ExpressResponse expressResponse : list) {
                if (expressResponse != null) {
                    new BaiduNativeExpressAd(expressResponse).render();
                    return;
                }
            }
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.ExpressAdListener
        @JProtect
        public void onNoAd(int i2, String str) {
            BaiduBannerLoader.this.notifyAdFailed(i2, str);
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.ExpressAdListener
        public void onVideoDownloadFailed() {
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.ExpressAdListener
        public void onVideoDownloadSuccess() {
        }
    };

    /* renamed from: g  reason: collision with root package name */
    public final BaiduNativeManager.FeedAdListener f387g = new BaiduNativeManager.FeedAdListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduBannerLoader.2
        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.FeedAdListener
        public void onLpClosed() {
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.FeedAdListener
        @JProtect
        public void onNativeFail(int i2, String str) {
            BaiduBannerLoader.this.notifyAdFailed(i2, str);
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.FeedAdListener
        @JProtect
        public void onNativeLoad(List<NativeResponse> list) {
            if (list == null || list.size() <= 0) {
                BaiduBannerLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "load成功，但list为空");
                return;
            }
            BaiduNativeAd baiduNativeAd = new BaiduNativeAd((XAdNativeResponse) list.get(0));
            if (BaiduBannerLoader.this.f385e) {
                baiduNativeAd.render();
                return;
            }
            BaiduBannerLoader baiduBannerLoader = BaiduBannerLoader.this;
            baiduBannerLoader.notifyAdSuccess(baiduNativeAd, baiduBannerLoader.f383c);
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.FeedAdListener
        @JProtect
        public void onNoAd(int i2, String str) {
            BaiduBannerLoader.this.notifyAdFailed(i2, str);
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.FeedAdListener
        public void onVideoDownloadFailed() {
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.FeedAdListener
        public void onVideoDownloadSuccess() {
        }
    };

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class BaiduBannerAd extends MediationBaseAdBridge implements AdViewListener {
        public AdView b;

        /* renamed from: c  reason: collision with root package name */
        public boolean f388c;

        /* renamed from: d  reason: collision with root package name */
        public boolean f389d;

        /* renamed from: e  reason: collision with root package name */
        public boolean f390e;

        /* renamed from: f  reason: collision with root package name */
        public VisibleStateFrameLayout f391f;

        /* renamed from: g  reason: collision with root package name */
        public volatile boolean f392g;

        public BaiduBannerAd() {
            super(BaiduBannerLoader.this.b, BaiduBannerLoader.this.f383c);
            this.f392g = false;
        }

        @JProtect
        public void a() {
            BaiduBannerLoader baiduBannerLoader;
            String str;
            if (BaiduBannerLoader.this.a instanceof Activity) {
                this.b = new AdView(BaiduBannerLoader.this.a, null, false, AdSize.Banner, BaiduBannerLoader.this.getAdnId());
                if (!TextUtils.isEmpty(BaiduBannerLoader.this.b.getBaiduAppSid())) {
                    this.b.setAppSid(BaiduBannerLoader.this.b.getBaiduAppSid());
                }
                this.b.setListener(this);
                Activity activity = (Activity) BaiduBannerLoader.this.a;
                if (activity != null && activity.getWindow() != null && (activity.getWindow().getDecorView() instanceof ViewGroup)) {
                    this.f391f = new VisibleStateFrameLayout(BaiduBannerLoader.this.a);
                    this.f391f.addView(this.b, new FrameLayout.LayoutParams(-1, -1));
                    this.f391f.setVisibility(4);
                    final ViewGroup viewGroup = (ViewGroup) activity.getWindow().getDecorView();
                    viewGroup.addView(this.f391f);
                    new Handler(Looper.getMainLooper()).postDelayed(new Runnable() { // from class: com.bytedance.msdk.adapter.baidu.BaiduBannerLoader.BaiduBannerAd.1
                        @Override // java.lang.Runnable
                        public void run() {
                            viewGroup.removeView(BaiduBannerAd.this.f391f);
                        }
                    }, 100L);
                    return;
                }
                baiduBannerLoader = BaiduBannerLoader.this;
                str = "上下文为null，无法加载百度Banner";
            } else {
                baiduBannerLoader = BaiduBannerLoader.this;
                str = "Context必须为Activity，其他类型不支持百度Banner广告";
            }
            baiduBannerLoader.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, str);
        }

        @Override // com.bykv.vk.openvk.api.proto.Caller
        public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
            if (i2 == 6081) {
                return (T) getAdView();
            }
            if (i2 == 8121) {
                return (T) isReadyStatus();
            }
            if (i2 == 8120) {
                return (T) Boolean.valueOf(hasDestroyed());
            }
            if (i2 == 8109) {
                onDestroy();
            }
            return (T) MediationValueUtil.checkClassType(cls);
        }

        @JProtect
        public View getAdView() {
            if (!this.f390e && this.f388c) {
                this.f391f.setVisibility(0);
                BaiduBannerLoader.this.removeSelfFromParent(this.f391f);
                this.f391f.setVisibilityChanged(new VisibleStateFrameLayout.VisibilityChanged() { // from class: com.bytedance.msdk.adapter.baidu.BaiduBannerLoader.BaiduBannerAd.3
                    @Override // com.bytedance.msdk.adapter.baidu.VisibleStateFrameLayout.VisibilityChanged
                    public void callback(boolean z) {
                        Bridge bridge;
                        if (!z || (bridge = BaiduBannerAd.this.mGMAd) == null) {
                            return;
                        }
                        bridge.call(1008, null, Void.class);
                    }
                });
                return this.f391f;
            }
            return null;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public boolean hasDestroyed() {
            return this.f392g;
        }

        @Override // com.baidu.mobads.sdk.api.AdViewListener
        @JProtect
        public void onAdClick(JSONObject jSONObject) {
            Bridge bridge = this.mGMAd;
            if (bridge != null) {
                bridge.call(1009, null, Void.class);
            }
        }

        @Override // com.baidu.mobads.sdk.api.AdViewListener
        @JProtect
        public void onAdClose(JSONObject jSONObject) {
            Bridge bridge = this.mGMAd;
            if (bridge != null) {
                bridge.call(1014, null, Void.class);
            }
        }

        @Override // com.baidu.mobads.sdk.api.AdViewListener
        @JProtect
        public void onAdFailed(String str) {
            this.f390e = true;
            if (this.f389d) {
                return;
            }
            this.f389d = true;
            BaiduBannerLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, str);
        }

        @Override // com.baidu.mobads.sdk.api.AdViewListener
        public void onAdReady(AdView adView) {
            this.f388c = true;
            if (this.f389d) {
                return;
            }
            this.f389d = true;
            BaiduBannerLoader.this.notifyAdSuccess(this, this.mGMAd);
        }

        @Override // com.baidu.mobads.sdk.api.AdViewListener
        @JProtect
        public void onAdShow(JSONObject jSONObject) {
        }

        @Override // com.baidu.mobads.sdk.api.AdViewListener
        public void onAdSwitch() {
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public void onDestroy() {
            this.f392g = true;
            new Handler(Looper.getMainLooper()).post(new Runnable() { // from class: com.bytedance.msdk.adapter.baidu.BaiduBannerLoader.BaiduBannerAd.2
                @Override // java.lang.Runnable
                public void run() {
                    if (BaiduBannerAd.this.b != null) {
                        BaiduBannerAd.this.b.destroy();
                    }
                }
            });
            BaiduBannerLoader.this.a = null;
        }

        @Override // com.bykv.vk.openvk.api.proto.Bridge
        public ValueSet values() {
            return null;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class BaiduNativeAd extends MediationBaseAdBridge {
        public XAdNativeResponse b;

        /* renamed from: c  reason: collision with root package name */
        public FeedNativeView f393c;

        /* renamed from: d  reason: collision with root package name */
        public boolean f394d;

        public BaiduNativeAd(XAdNativeResponse xAdNativeResponse) {
            super(BaiduBannerLoader.this.b, BaiduBannerLoader.this.f383c);
            this.f394d = false;
            this.b = xAdNativeResponse;
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8045, xAdNativeResponse.getTitle());
            create.add(8046, xAdNativeResponse.getDesc());
            create.add(8047, (int) xAdNativeResponse.getAppSize());
            create.add(8048, xAdNativeResponse.getIconUrl());
            create.add(8049, xAdNativeResponse.getBrandName());
            create.add(8050, xAdNativeResponse.getImageUrl());
            create.add(8051, xAdNativeResponse.getMainPicHeight());
            create.add(8052, xAdNativeResponse.getMainPicWidth());
            create.add(8053, xAdNativeResponse.getMultiPicUrls());
            create.add(8054, xAdNativeResponse.getAppPackage());
            create.add(8055, a(xAdNativeResponse));
            create.add(8056, xAdNativeResponse.getBrandName());
            create.add(8057, xAdNativeResponse.getPublisher());
            create.add(8079, xAdNativeResponse.getAppPermissionLink());
            create.add(8080, xAdNativeResponse.getAppPrivacyLink());
            create.add(8078, xAdNativeResponse.getAppSize());
            List<DislikeEvent> dislikeList = xAdNativeResponse.getDislikeList();
            if (dislikeList != null && dislikeList.size() > 0) {
                create.add(8036, dislikeList);
            }
            if (BaiduBannerLoader.this.isClientBidding()) {
                double d2 = 0.0d;
                try {
                    d2 = Double.valueOf(xAdNativeResponse.getECPMLevel()).doubleValue();
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
                create.add(8016, d2);
            } else if (BaiduBannerLoader.this.isMultiBidding()) {
                create.add(8058, xAdNativeResponse.getECPMLevel());
            }
            if (a(xAdNativeResponse)) {
                create.add(8059, 4);
            } else {
                create.add(8059, 3);
            }
            if (BaiduAdapterUtil.isNativeSmartOpt(xAdNativeResponse.getStyleType())) {
                create.add(8033, true);
                if (xAdNativeResponse.getStyleType() == 28 || xAdNativeResponse.getStyleType() == 29 || xAdNativeResponse.getStyleType() == 30 || xAdNativeResponse.getStyleType() == 33 || xAdNativeResponse.getStyleType() == 34) {
                    create.add(8060, 3);
                } else if (xAdNativeResponse.getStyleType() == 35 || xAdNativeResponse.getStyleType() == 36) {
                    create.add(8060, 4);
                } else if (xAdNativeResponse.getStyleType() == 37 || xAdNativeResponse.getMaterialType() == NativeResponse.MaterialType.VIDEO) {
                    create.add(8060, 5);
                }
                FeedNativeView feedNativeView = new FeedNativeView(BaiduBannerLoader.this.a);
                this.f393c = feedNativeView;
                if (feedNativeView.getParent() != null) {
                    ((ViewGroup) this.f393c.getParent()).removeView(this.f393c);
                }
                this.f393c.setAdData(this.b);
                if (BaiduBannerLoader.this.b.getBaiduNativeSmartOptStyleParams() instanceof StyleParams) {
                    this.f393c.changeViewLayoutParams((StyleParams) BaiduBannerLoader.this.b.getBaiduNativeSmartOptStyleParams());
                }
            } else {
                create.add(8033, false);
                if (xAdNativeResponse.getMultiPicUrls() != null && xAdNativeResponse.getMultiPicUrls().size() == 3) {
                    create.add(8060, 4);
                } else if (!TextUtils.isEmpty(xAdNativeResponse.getVideoUrl()) || xAdNativeResponse.getMaterialType() == NativeResponse.MaterialType.VIDEO) {
                    create.add(8060, 5);
                } else {
                    create.add(8060, 3);
                }
            }
            this.mGMAd.call(8140, create.build(), Void.class);
            this.b.setAdDislikeListener(new NativeResponse.AdDislikeListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduBannerLoader.BaiduNativeAd.1
                @Override // com.baidu.mobads.sdk.api.NativeResponse.AdDislikeListener
                public void onDislikeClick() {
                    Bridge bridge = BaiduNativeAd.this.mGMAd;
                    if (bridge != null) {
                        bridge.call(1014, null, Void.class);
                    }
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void a() {
            Bridge bridge = this.mGMAd;
            if (bridge != null) {
                bridge.call(1008, null, Void.class);
            }
        }

        private boolean a(NativeResponse nativeResponse) {
            return (TextUtils.isEmpty(nativeResponse.getAppVersion()) || TextUtils.isEmpty(nativeResponse.getPublisher()) || TextUtils.isEmpty(nativeResponse.getAppPrivacyLink()) || TextUtils.isEmpty(nativeResponse.getAppPermissionLink())) ? false : true;
        }

        @Override // com.bykv.vk.openvk.api.proto.Caller
        public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
            if (i2 == 6081) {
                return (T) getAdView();
            }
            if (i2 == 8121) {
                return (T) isReadyStatus();
            }
            if (i2 == 8120) {
                return (T) Boolean.valueOf(hasDestroyed());
            }
            if (i2 == 8159) {
                Activity activity = (Activity) valueSet.objectValue(20033, Activity.class);
                List list = (List) valueSet.objectValue(8070, List.class);
                registerView((ViewGroup) valueSet.objectValue(8067, ViewGroup.class), (List) valueSet.objectValue(8068, List.class), (List) valueSet.objectValue(8069, List.class), (MediationViewBinder) valueSet.objectValue(8071, MediationViewBinder.class));
            } else if (i2 == 8109) {
                onDestroy();
            }
            return (T) MediationValueUtil.checkClassType(cls);
        }

        @JProtect
        public View getAdView() {
            return this.f393c;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public boolean hasDestroyed() {
            return this.f394d;
        }

        public boolean hasDislike() {
            return BaiduBannerLoader.this.f385e;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public MediationConstant.AdIsReadyStatus isReadyStatus() {
            return (this.b == null || BaiduBannerLoader.this.a == null || !this.b.isAdAvailable(BaiduBannerLoader.this.a)) ? MediationConstant.AdIsReadyStatus.AD_IS_NOT_READY : MediationConstant.AdIsReadyStatus.AD_IS_READY;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public void onDestroy() {
            this.f394d = true;
        }

        @JProtect
        public void registerView(@NonNull ViewGroup viewGroup, List<View> list, List<View> list2, MediationViewBinder mediationViewBinder) {
            if (this.b != null) {
                ViewGroup viewGroup2 = (ViewGroup) viewGroup.findViewById(mediationViewBinder.logoLayoutId);
                if (viewGroup2 != null && !BaiduAdapterUtil.isNativeSmartOpt(this.b.getStyleType())) {
                    viewGroup2.setVisibility(0);
                    LinearLayout linearLayout = new LinearLayout(BaiduBannerLoader.this.a);
                    linearLayout.setGravity(17);
                    linearLayout.setOrientation(0);
                    linearLayout.setLayoutParams(new ViewGroup.LayoutParams(-1, -1));
                    ImageView imageView = new ImageView(BaiduBannerLoader.this.a);
                    imageView.setLayoutParams(new LinearLayout.LayoutParams(BaiduAdapterUtil.dp2px(BaiduBannerLoader.this.a, 15.0f), BaiduAdapterUtil.dp2px(BaiduBannerLoader.this.a, 15.0f)));
                    linearLayout.addView(imageView);
                    ImageView imageView2 = new ImageView(BaiduBannerLoader.this.a);
                    imageView2.setLayoutParams(new LinearLayout.LayoutParams(BaiduAdapterUtil.dp2px(BaiduBannerLoader.this.a, 25.0f), BaiduAdapterUtil.dp2px(BaiduBannerLoader.this.a, 13.0f)));
                    linearLayout.addView(imageView2);
                    new DownloadImageTask(imageView).execute(this.b.getBaiduLogoUrl());
                    new DownloadImageTask(imageView2).execute(this.b.getAdLogoUrl());
                    viewGroup2.removeAllViews();
                    ViewGroup.LayoutParams layoutParams = viewGroup2.getLayoutParams();
                    layoutParams.width = BaiduAdapterUtil.dp2px(BaiduBannerLoader.this.a, 38.0f);
                    layoutParams.height = BaiduAdapterUtil.dp2px(BaiduBannerLoader.this.a, 13.0f);
                    viewGroup2.setLayoutParams(layoutParams);
                    viewGroup2.addView(linearLayout, -1, -1);
                }
                ViewGroup viewGroup3 = (ViewGroup) viewGroup.findViewById(mediationViewBinder.mediaViewId);
                if (viewGroup3 != null && (this.b.getStyleType() == 37 || this.b.getMaterialType() == NativeResponse.MaterialType.VIDEO)) {
                    XNativeView xNativeView = new XNativeView(BaiduBannerLoader.this.a);
                    xNativeView.setNativeItem(this.b);
                    xNativeView.setVideoMute(BaiduBannerLoader.this.f384d);
                    xNativeView.setNativeVideoListener(new INativeVideoListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduBannerLoader.BaiduNativeAd.2
                        @Override // com.baidu.mobads.sdk.api.INativeVideoListener
                        public void onCompletion() {
                        }

                        @Override // com.baidu.mobads.sdk.api.INativeVideoListener
                        public void onError() {
                        }

                        @Override // com.baidu.mobads.sdk.api.INativeVideoListener
                        public void onPause() {
                        }

                        @Override // com.baidu.mobads.sdk.api.INativeVideoListener
                        public void onRenderingStart() {
                        }

                        @Override // com.baidu.mobads.sdk.api.INativeVideoListener
                        public void onResume() {
                        }
                    });
                    viewGroup3.removeAllViews();
                    viewGroup3.addView(xNativeView, -1, -1);
                    xNativeView.setNativeViewClickListener(new XNativeView.INativeViewClickListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduBannerLoader.BaiduNativeAd.3
                        @Override // com.baidu.mobads.sdk.api.XNativeView.INativeViewClickListener
                        public void onNativeViewClick(XNativeView xNativeView2) {
                        }
                    });
                    xNativeView.render();
                }
                this.b.registerViewForInteraction(viewGroup, list, list2, new NativeResponse.AdInteractionListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduBannerLoader.BaiduNativeAd.4
                    @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                    public void onADExposed() {
                        BaiduNativeAd.this.a();
                    }

                    @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                    public void onADExposureFailed(int i2) {
                    }

                    @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                    public void onADStatusChanged() {
                    }

                    @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                    public void onAdClick() {
                        Bridge bridge = BaiduNativeAd.this.mGMAd;
                        if (bridge != null) {
                            bridge.call(1009, null, Void.class);
                        }
                    }

                    @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                    public void onAdUnionClick() {
                    }
                });
            }
        }

        @JProtect
        public void render() {
            XAdNativeResponse xAdNativeResponse = this.b;
            if (xAdNativeResponse == null || !BaiduAdapterUtil.isNativeSmartOpt(xAdNativeResponse.getStyleType())) {
                BaiduBannerLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "渲染类型错误");
                return;
            }
            ArrayList arrayList = new ArrayList();
            ArrayList arrayList2 = new ArrayList();
            FeedNativeView feedNativeView = this.f393c;
            if (feedNativeView != null) {
                arrayList.add(feedNativeView);
            }
            this.b.registerViewForInteraction(this.f393c, arrayList, arrayList2, new NativeResponse.AdInteractionListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduBannerLoader.BaiduNativeAd.5
                @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                public void onADExposed() {
                    BaiduNativeAd.this.a();
                }

                @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                public void onADExposureFailed(int i2) {
                }

                @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                public void onADStatusChanged() {
                }

                @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                public void onAdClick() {
                    Bridge bridge = BaiduNativeAd.this.mGMAd;
                    if (bridge != null) {
                        bridge.call(1009, null, Void.class);
                    }
                }

                @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                public void onAdUnionClick() {
                }
            });
            BaiduBannerLoader baiduBannerLoader = BaiduBannerLoader.this;
            baiduBannerLoader.notifyAdSuccess(this, baiduBannerLoader.f383c);
        }

        @Override // com.bykv.vk.openvk.api.proto.Bridge
        public ValueSet values() {
            return null;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class BaiduNativeExpressAd extends MediationBaseAdBridge {
        public final ExpressResponse b;

        /* renamed from: c  reason: collision with root package name */
        public boolean f395c;

        public BaiduNativeExpressAd(ExpressResponse expressResponse) {
            super(BaiduBannerLoader.this.b, BaiduBannerLoader.this.f383c);
            this.f395c = false;
            this.b = expressResponse;
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            if (BaiduBannerLoader.this.isClientBidding()) {
                double d2 = 0.0d;
                try {
                    d2 = Double.valueOf(expressResponse.getECPMLevel()).doubleValue();
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
                create.add(8016, d2);
            } else if (BaiduBannerLoader.this.isMultiBidding()) {
                create.add(8058, expressResponse.getECPMLevel());
            }
            create.add(8033, true);
            create.add(8055, a(expressResponse));
            this.mGMAd.call(8140, create.build(), Void.class);
            this.b.setInteractionListener(new ExpressResponse.ExpressInteractionListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduBannerLoader.BaiduNativeExpressAd.1
                @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressInteractionListener
                public void onAdClick() {
                    Bridge bridge = BaiduNativeExpressAd.this.mGMAd;
                    if (bridge != null) {
                        bridge.call(1009, null, Void.class);
                    }
                }

                @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressInteractionListener
                public void onAdExposed() {
                    Bridge bridge = BaiduNativeExpressAd.this.mGMAd;
                    if (bridge != null) {
                        bridge.call(1008, null, Void.class);
                    }
                }

                @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressInteractionListener
                public void onAdRenderFail(View view, String str, int i2) {
                    BaiduBannerLoader.this.notifyAdFailed(i2, str);
                }

                @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressInteractionListener
                public void onAdRenderSuccess(View view, float f2, float f3) {
                    BaiduNativeExpressAd baiduNativeExpressAd = BaiduNativeExpressAd.this;
                    BaiduBannerLoader.this.notifyAdSuccess(baiduNativeExpressAd, baiduNativeExpressAd.mGMAd);
                }

                @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressInteractionListener
                public void onAdUnionClick() {
                }
            });
            this.b.setAdDislikeListener(new ExpressResponse.ExpressDislikeListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduBannerLoader.BaiduNativeExpressAd.2
                @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressDislikeListener
                public void onDislikeItemClick(String str) {
                    Bridge bridge = BaiduNativeExpressAd.this.mGMAd;
                    if (bridge != null) {
                        bridge.call(1014, null, Void.class);
                    }
                }

                @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressDislikeListener
                public void onDislikeWindowClose() {
                }

                @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressDislikeListener
                public void onDislikeWindowShow() {
                }
            });
        }

        private boolean a(ExpressResponse expressResponse) {
            return expressResponse != null && expressResponse.getAdActionType() == 2;
        }

        @Override // com.bykv.vk.openvk.api.proto.Caller
        public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
            if (i2 == 6081) {
                return (T) getAdView();
            }
            if (i2 == 8121) {
                return (T) isReadyStatus();
            }
            if (i2 == 8120) {
                return (T) Boolean.valueOf(hasDestroyed());
            }
            if (i2 == 8109) {
                onDestroy();
            }
            return (T) MediationValueUtil.checkClassType(cls);
        }

        @JProtect
        public View getAdView() {
            ExpressResponse expressResponse = this.b;
            if (expressResponse != null) {
                return expressResponse.getExpressAdView();
            }
            return null;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public boolean hasDestroyed() {
            return this.f395c;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public MediationConstant.AdIsReadyStatus isReadyStatus() {
            return (this.b == null || BaiduBannerLoader.this.a == null || !this.b.isAdAvailable()) ? MediationConstant.AdIsReadyStatus.AD_IS_NOT_READY : MediationConstant.AdIsReadyStatus.AD_IS_READY;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public void onDestroy() {
            this.f395c = true;
        }

        @JProtect
        public void render() {
            ExpressResponse expressResponse = this.b;
            if (expressResponse != null) {
                expressResponse.render();
            } else {
                BaiduBannerLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "render fail, mExpressResponse is null");
            }
        }

        @Override // com.bykv.vk.openvk.api.proto.Bridge
        public ValueSet values() {
            return null;
        }
    }

    private void a() {
        BaiduNativeManager baiduNativeManager = new BaiduNativeManager(this.a, getAdnId());
        String baiduAppSid = this.b.getBaiduAppSid();
        if (!TextUtils.isEmpty(baiduAppSid)) {
            baiduNativeManager.setAppSid(baiduAppSid);
        }
        this.f384d = this.b.isMuted();
        RequestParameters build = new RequestParameters.Builder().build();
        if (this.b.getBaiduRequestParameters() instanceof RequestParameters) {
            build = (RequestParameters) this.b.getBaiduRequestParameters();
        }
        baiduNativeManager.setCacheVideoOnlyWifi(this.b.getBaiduCacheVideoOnlyWifi());
        baiduNativeManager.loadExpressAd(build, this.f386f);
    }

    private void b() {
        BaiduNativeManager baiduNativeManager = new BaiduNativeManager(this.a, getAdnId());
        String baiduAppSid = this.b.getBaiduAppSid();
        if (!TextUtils.isEmpty(baiduAppSid)) {
            baiduNativeManager.setAppSid(baiduAppSid);
        }
        this.f384d = this.b.isMuted();
        RequestParameters build = new RequestParameters.Builder().build();
        if (this.b.getBaiduRequestParameters() instanceof RequestParameters) {
            build = (RequestParameters) this.b.getBaiduRequestParameters();
        }
        baiduNativeManager.setCacheVideoOnlyWifi(this.b.getBaiduCacheVideoOnlyWifi());
        baiduNativeManager.loadFeedAd(build, this.f387g);
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl
    public void realLoader(Context context, MediationAdSlotValueSet mediationAdSlotValueSet) {
        String str;
        if (context != null && mediationAdSlotValueSet != null) {
            this.a = context;
            this.b = mediationAdSlotValueSet;
            this.f383c = getGMBridge();
            if (mediationAdSlotValueSet.getAdSubType() != 4) {
                new BaiduBannerAd().a();
                return;
            }
            int originType = mediationAdSlotValueSet.getOriginType();
            if (originType == 1) {
                this.f385e = true;
            } else if (originType == 2) {
                this.f385e = false;
            } else if (originType == 3) {
                this.f385e = true;
                a();
                return;
            } else {
                str = "originType类型错误";
            }
            b();
            return;
        }
        str = "context is null or adSlotValueSet is null";
        notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, str);
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl, com.bykv.vk.openvk.api.proto.Bridge
    public ValueSet values() {
        return null;
    }
}
