package com.bytedance.msdk.adapter.baidu;

import android.content.Context;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import com.baidu.mobads.sdk.api.DislikeEvent;
import com.baidu.mobads.sdk.api.FeedNativeView;
import com.baidu.mobads.sdk.api.INativeVideoListener;
import com.baidu.mobads.sdk.api.NativeResponse;
import com.baidu.mobads.sdk.api.StyleParams;
import com.baidu.mobads.sdk.api.XAdNativeResponse;
import com.baidu.mobads.sdk.api.XNativeView;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.bytedance.sdk.openadsdk.mediation.ad.MediationViewBinder;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.bridge.native_ad.MediationNativeAd;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationAdSlotValueSet;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class BaiduNativeAd extends MediationNativeAd {
    public XAdNativeResponse a;
    public FeedNativeView b;

    /* renamed from: c  reason: collision with root package name */
    public boolean f401c;

    /* renamed from: d  reason: collision with root package name */
    public Context f402d;

    /* renamed from: e  reason: collision with root package name */
    public MediationAdSlotValueSet f403e;

    public BaiduNativeAd(Context context, XAdNativeResponse xAdNativeResponse, BaiduNativeLoader baiduNativeLoader, Bridge bridge, MediationAdSlotValueSet mediationAdSlotValueSet) {
        super(baiduNativeLoader, bridge);
        this.f401c = false;
        this.a = xAdNativeResponse;
        this.f402d = context;
        this.f403e = mediationAdSlotValueSet;
        MediationValueSetBuilder create = MediationValueSetBuilder.create();
        create.add(8045, xAdNativeResponse.getTitle());
        create.add(8046, xAdNativeResponse.getDesc());
        create.add(8047, (int) xAdNativeResponse.getAppSize());
        create.add(8048, xAdNativeResponse.getIconUrl());
        create.add(8049, xAdNativeResponse.getBrandName());
        create.add(8050, xAdNativeResponse.getImageUrl());
        create.add(8051, xAdNativeResponse.getMainPicHeight());
        create.add(8052, xAdNativeResponse.getMainPicWidth());
        create.add(8053, xAdNativeResponse.getMultiPicUrls());
        create.add(8054, xAdNativeResponse.getAppPackage());
        create.add(8055, a(xAdNativeResponse));
        create.add(8056, xAdNativeResponse.getBrandName());
        create.add(8057, xAdNativeResponse.getPublisher());
        create.add(8079, xAdNativeResponse.getAppPermissionLink());
        create.add(8080, xAdNativeResponse.getAppPrivacyLink());
        create.add(8078, xAdNativeResponse.getAppSize());
        create.add(8061, a());
        List<DislikeEvent> dislikeList = xAdNativeResponse.getDislikeList();
        if (dislikeList != null && dislikeList.size() > 0) {
            create.add(8036, dislikeList);
        }
        if (baiduNativeLoader.isClientBidding()) {
            double d2 = 0.0d;
            try {
                d2 = Double.valueOf(xAdNativeResponse.getECPMLevel()).doubleValue();
            } catch (Exception unused) {
            }
            create.add(8016, d2);
        } else if (baiduNativeLoader.isMultiBidding()) {
            create.add(8058, xAdNativeResponse.getECPMLevel());
        }
        if (a(xAdNativeResponse)) {
            create.add(8059, 4);
        } else {
            create.add(8059, 3);
        }
        if (BaiduAdapterUtil.isNativeSmartOpt(xAdNativeResponse.getStyleType())) {
            create.add(8033, true);
            if (xAdNativeResponse.getStyleType() == 28 || xAdNativeResponse.getStyleType() == 29 || xAdNativeResponse.getStyleType() == 30 || xAdNativeResponse.getStyleType() == 33 || xAdNativeResponse.getStyleType() == 34) {
                create.add(8060, 3);
            } else if (xAdNativeResponse.getStyleType() == 35 || xAdNativeResponse.getStyleType() == 36) {
                create.add(8060, 4);
            } else if (xAdNativeResponse.getStyleType() == 37 || xAdNativeResponse.getMaterialType() == NativeResponse.MaterialType.VIDEO) {
                create.add(8060, 5);
            }
            FeedNativeView feedNativeView = new FeedNativeView(this.f402d);
            this.b = feedNativeView;
            if (feedNativeView.getParent() != null) {
                ((ViewGroup) this.b.getParent()).removeView(this.b);
            }
            this.b.setAdData(this.a);
            if (this.f403e.getBaiduNativeSmartOptStyleParams() instanceof StyleParams) {
                this.b.changeViewLayoutParams((StyleParams) this.f403e.getBaiduNativeSmartOptStyleParams());
            }
        } else {
            create.add(8033, false);
            if (xAdNativeResponse.getMultiPicUrls() != null && xAdNativeResponse.getMultiPicUrls().size() == 3) {
                create.add(8060, 4);
            } else if (!TextUtils.isEmpty(xAdNativeResponse.getVideoUrl()) || xAdNativeResponse.getMaterialType() == NativeResponse.MaterialType.VIDEO) {
                create.add(8060, 5);
            } else {
                create.add(8060, 3);
            }
        }
        notifyNativeValue(create.build());
    }

    /* JADX WARN: Code restructure failed: missing block: B:7:0x0019, code lost:
        if (r6.a.getAdActionType() == 2) goto L7;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private String a() {
        String str;
        XAdNativeResponse xAdNativeResponse = this.a;
        String str2 = "";
        if (xAdNativeResponse != null) {
            int downloadStatus = xAdNativeResponse.getDownloadStatus();
            if (downloadStatus >= 0) {
                if (downloadStatus < 101) {
                    str = this.a.getAdActionType() != 2 ? "查看详情" : "点击安装";
                    str2 = "立即下载";
                } else if (downloadStatus == 101) {
                    if (this.a.getAdActionType() == 2) {
                    }
                    str2 = "去看看";
                }
                str2 = str;
            }
            String actButtonString = this.a.getActButtonString();
            return !TextUtils.isEmpty(actButtonString) ? actButtonString : str2;
        }
        return "";
    }

    private void a(View view, int i2, String str) {
        notifyRenderFail(view, i2, str);
    }

    private void a(ViewGroup viewGroup, List<View> list, List<View> list2, MediationViewBinder mediationViewBinder) {
        FrameLayout frameLayout;
        int i2;
        int i3;
        View renderShakeView;
        ViewGroup viewGroup2;
        if (this.a == null || !(viewGroup instanceof FrameLayout)) {
            return;
        }
        FrameLayout frameLayout2 = (FrameLayout) viewGroup;
        ViewGroup viewGroup3 = (ViewGroup) frameLayout2.findViewById(mediationViewBinder.logoLayoutId);
        if (viewGroup3 != null && !BaiduAdapterUtil.isNativeSmartOpt(this.a.getStyleType())) {
            viewGroup3.setVisibility(0);
            LinearLayout linearLayout = new LinearLayout(this.f402d);
            linearLayout.setGravity(17);
            linearLayout.setOrientation(0);
            linearLayout.setLayoutParams(new ViewGroup.LayoutParams(-1, -1));
            ImageView imageView = new ImageView(this.f402d);
            imageView.setLayoutParams(new LinearLayout.LayoutParams(BaiduAdapterUtil.dp2px(this.f402d, 15.0f), BaiduAdapterUtil.dp2px(this.f402d, 15.0f)));
            linearLayout.addView(imageView);
            ImageView imageView2 = new ImageView(this.f402d);
            imageView2.setLayoutParams(new LinearLayout.LayoutParams(BaiduAdapterUtil.dp2px(this.f402d, 25.0f), BaiduAdapterUtil.dp2px(this.f402d, 13.0f)));
            linearLayout.addView(imageView2);
            new DownloadImageTask(imageView).execute(this.a.getBaiduLogoUrl());
            new DownloadImageTask(imageView2).execute(this.a.getAdLogoUrl());
            viewGroup3.removeAllViews();
            ViewGroup.LayoutParams layoutParams = viewGroup3.getLayoutParams();
            layoutParams.width = BaiduAdapterUtil.dp2px(this.f402d, 38.0f);
            layoutParams.height = BaiduAdapterUtil.dp2px(this.f402d, 13.0f);
            viewGroup3.setLayoutParams(layoutParams);
            viewGroup3.addView(linearLayout, -1, -1);
        }
        try {
            i2 = 80;
        } catch (Throwable th) {
            th.printStackTrace();
        }
        if (this.f403e != null) {
            int shakeViewWidth = this.f403e.getShakeViewWidth() > 0.0f ? (int) this.f403e.getShakeViewWidth() : 80;
            if (this.f403e.getShakeViewHeight() > 0.0f) {
                i2 = shakeViewWidth;
                i3 = (int) this.f403e.getShakeViewHeight();
                renderShakeView = this.a.renderShakeView(i2, i3, new NativeResponse.AdShakeViewListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeAd.2
                    @Override // com.baidu.mobads.sdk.api.NativeResponse.AdShakeViewListener
                    public void onDismiss() {
                        try {
                            BaiduNativeAd.this.shakeViewDismissed();
                        } catch (Throwable th2) {
                            th2.printStackTrace();
                        }
                    }
                });
                if (renderShakeView != null && (viewGroup2 = (ViewGroup) frameLayout2.findViewById(mediationViewBinder.shakeViewContainerId)) != null) {
                    viewGroup2.removeView(renderShakeView);
                    removeSelfFromParent(renderShakeView);
                    viewGroup2.addView(renderShakeView);
                }
                if ((isUseCustomVideo() || TextUtils.isEmpty(this.a.getVideoUrl())) && (frameLayout = (FrameLayout) frameLayout2.findViewById(mediationViewBinder.mediaViewId)) != null && getImageMode() == 5) {
                    XNativeView xNativeView = new XNativeView(this.f402d);
                    xNativeView.setNativeItem(this.a);
                    xNativeView.setVideoMute(this.f403e.isMuted());
                    xNativeView.setNativeVideoListener(new INativeVideoListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeAd.3
                        @Override // com.baidu.mobads.sdk.api.INativeVideoListener
                        public void onCompletion() {
                            BaiduNativeAd.this.notifyOnVideoComplete();
                        }

                        @Override // com.baidu.mobads.sdk.api.INativeVideoListener
                        public void onError() {
                            BaiduNativeAd.this.notifyOnVideoError(MediationConstant.ErrorCode.ADN_AD_VIDEO_ERROR, "baidu setNativeVideoListener onError");
                        }

                        @Override // com.baidu.mobads.sdk.api.INativeVideoListener
                        public void onPause() {
                            BaiduNativeAd.this.notifyOnVideoPause();
                        }

                        @Override // com.baidu.mobads.sdk.api.INativeVideoListener
                        public void onRenderingStart() {
                            BaiduNativeAd.this.notifyOnVideoStart();
                        }

                        @Override // com.baidu.mobads.sdk.api.INativeVideoListener
                        public void onResume() {
                            BaiduNativeAd.this.notifyOnVideoResume();
                        }
                    });
                    frameLayout.removeAllViews();
                    frameLayout.addView(xNativeView, -1, -1);
                    xNativeView.setNativeViewClickListener(new XNativeView.INativeViewClickListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeAd.4
                        @Override // com.baidu.mobads.sdk.api.XNativeView.INativeViewClickListener
                        public void onNativeViewClick(XNativeView xNativeView2) {
                        }
                    });
                    xNativeView.render();
                }
                this.a.registerViewForInteraction(frameLayout2, list, list2, new NativeResponse.AdInteractionListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeAd.5
                    @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                    public void onADExposed() {
                        BaiduNativeAd.this.notifyOnShowAd();
                    }

                    @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                    public void onADExposureFailed(int i4) {
                    }

                    @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                    public void onADStatusChanged() {
                    }

                    @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                    public void onAdClick() {
                        BaiduNativeAd.this.notifyOnClickAd();
                    }

                    @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
                    public void onAdUnionClick() {
                    }
                });
            }
            i2 = shakeViewWidth;
        }
        i3 = 80;
        renderShakeView = this.a.renderShakeView(i2, i3, new NativeResponse.AdShakeViewListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeAd.2
            @Override // com.baidu.mobads.sdk.api.NativeResponse.AdShakeViewListener
            public void onDismiss() {
                try {
                    BaiduNativeAd.this.shakeViewDismissed();
                } catch (Throwable th2) {
                    th2.printStackTrace();
                }
            }
        });
        if (renderShakeView != null) {
            viewGroup2.removeView(renderShakeView);
            removeSelfFromParent(renderShakeView);
            viewGroup2.addView(renderShakeView);
        }
        if (isUseCustomVideo()) {
        }
        XNativeView xNativeView2 = new XNativeView(this.f402d);
        xNativeView2.setNativeItem(this.a);
        xNativeView2.setVideoMute(this.f403e.isMuted());
        xNativeView2.setNativeVideoListener(new INativeVideoListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeAd.3
            @Override // com.baidu.mobads.sdk.api.INativeVideoListener
            public void onCompletion() {
                BaiduNativeAd.this.notifyOnVideoComplete();
            }

            @Override // com.baidu.mobads.sdk.api.INativeVideoListener
            public void onError() {
                BaiduNativeAd.this.notifyOnVideoError(MediationConstant.ErrorCode.ADN_AD_VIDEO_ERROR, "baidu setNativeVideoListener onError");
            }

            @Override // com.baidu.mobads.sdk.api.INativeVideoListener
            public void onPause() {
                BaiduNativeAd.this.notifyOnVideoPause();
            }

            @Override // com.baidu.mobads.sdk.api.INativeVideoListener
            public void onRenderingStart() {
                BaiduNativeAd.this.notifyOnVideoStart();
            }

            @Override // com.baidu.mobads.sdk.api.INativeVideoListener
            public void onResume() {
                BaiduNativeAd.this.notifyOnVideoResume();
            }
        });
        frameLayout.removeAllViews();
        frameLayout.addView(xNativeView2, -1, -1);
        xNativeView2.setNativeViewClickListener(new XNativeView.INativeViewClickListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeAd.4
            @Override // com.baidu.mobads.sdk.api.XNativeView.INativeViewClickListener
            public void onNativeViewClick(XNativeView xNativeView22) {
            }
        });
        xNativeView2.render();
        this.a.registerViewForInteraction(frameLayout2, list, list2, new NativeResponse.AdInteractionListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeAd.5
            @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
            public void onADExposed() {
                BaiduNativeAd.this.notifyOnShowAd();
            }

            @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
            public void onADExposureFailed(int i4) {
            }

            @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
            public void onADStatusChanged() {
            }

            @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
            public void onAdClick() {
                BaiduNativeAd.this.notifyOnClickAd();
            }

            @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
            public void onAdUnionClick() {
            }
        });
    }

    private boolean a(NativeResponse nativeResponse) {
        return (TextUtils.isEmpty(nativeResponse.getAppVersion()) || TextUtils.isEmpty(nativeResponse.getPublisher()) || TextUtils.isEmpty(nativeResponse.getAppPrivacyLink()) || TextUtils.isEmpty(nativeResponse.getAppPermissionLink())) ? false : true;
    }

    private void b() {
        notifyRenderSuccess(-1.0f, -2.0f);
    }

    private void c() {
        XAdNativeResponse xAdNativeResponse = this.a;
        if (xAdNativeResponse == null || !BaiduAdapterUtil.isNativeSmartOpt(xAdNativeResponse.getStyleType())) {
            a(this.b, MediationConstant.ErrorCode.ADN_AD_RENDER_FAIL, "物料错误");
            return;
        }
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        FeedNativeView feedNativeView = this.b;
        if (feedNativeView != null) {
            arrayList.add(feedNativeView);
        }
        this.a.registerViewForInteraction(this.b, arrayList, arrayList2, new NativeResponse.AdInteractionListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeAd.1
            @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
            public void onADExposed() {
                BaiduNativeAd.this.notifyOnShowAd();
            }

            @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
            public void onADExposureFailed(int i2) {
            }

            @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
            public void onADStatusChanged() {
            }

            @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
            public void onAdClick() {
                BaiduNativeAd.this.notifyOnClickAd();
            }

            @Override // com.baidu.mobads.sdk.api.NativeResponse.AdInteractionListener
            public void onAdUnionClick() {
            }
        });
        b();
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.native_ad.MediationNativeAd, com.bykv.vk.openvk.api.proto.Caller
    public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
        if (i2 == 6083) {
            c();
        } else if (i2 == 6081) {
            return (T) this.b;
        } else {
            if (i2 == 8121) {
                return (T) isReadyStatus();
            }
            if (i2 == 8163) {
                return (T) String.valueOf(getVideoUrl());
            }
            if (i2 == 8135) {
                return (T) Boolean.valueOf(hasDislike());
            }
            if (i2 == 6085) {
                XAdNativeResponse xAdNativeResponse = this.a;
                if (xAdNativeResponse != null) {
                    xAdNativeResponse.setAdDislikeListener(new NativeResponse.AdDislikeListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeAd.6
                        @Override // com.baidu.mobads.sdk.api.NativeResponse.AdDislikeListener
                        public void onDislikeClick() {
                            BaiduNativeAd.this.notifyDislikeClick("百度智能优选dislike接口无关闭原因", null);
                            BaiduNativeAd.this.notifyDislikeSelect(0, "百度智能优选dislike接口无关闭原因");
                        }
                    });
                }
            } else if (i2 == 8109) {
                this.f401c = true;
            } else if (i2 == 8120) {
                return (T) Boolean.valueOf(this.f401c);
            } else {
                if (i2 == 8194) {
                    Map map = (Map) valueSet.objectValue(8075, Map.class);
                    if (map != null && (map.get(MediationConstant.BAIDU_DISLIKE_CLICK_ITEM) instanceof DislikeEvent)) {
                        DislikeEvent dislikeEvent = (DislikeEvent) map.get(MediationConstant.BAIDU_DISLIKE_CLICK_ITEM);
                        XAdNativeResponse xAdNativeResponse2 = this.a;
                        if (xAdNativeResponse2 != null) {
                            xAdNativeResponse2.dislikeClick(dislikeEvent);
                        }
                    }
                } else if (i2 == 8191) {
                    XAdNativeResponse xAdNativeResponse3 = this.a;
                    if (xAdNativeResponse3 != null) {
                        xAdNativeResponse3.pauseAppDownload();
                    }
                } else if (i2 == 8192) {
                    XAdNativeResponse xAdNativeResponse4 = this.a;
                    if (xAdNativeResponse4 != null) {
                        xAdNativeResponse4.resumeAppDownload();
                    }
                } else if (i2 == 8193) {
                    return (T) Integer.valueOf(getDownloadStatus());
                }
            }
        }
        if (i2 == 8159) {
            a((ViewGroup) valueSet.objectValue(8067, ViewGroup.class), (List) valueSet.objectValue(8068, List.class), (List) valueSet.objectValue(8069, List.class), (MediationViewBinder) valueSet.objectValue(8071, MediationViewBinder.class));
        }
        return (T) MediationValueUtil.checkClassType(cls);
    }

    public int getDownloadStatus() {
        XAdNativeResponse xAdNativeResponse = this.a;
        if (xAdNativeResponse != null) {
            int downloadStatus = xAdNativeResponse.getDownloadStatus();
            if (downloadStatus < 0 || downloadStatus > 100) {
                if (downloadStatus == 101) {
                    return 9;
                }
                if (downloadStatus == 102) {
                    return 12;
                }
                if (downloadStatus == 103) {
                    return 10;
                }
                return downloadStatus == 104 ? 11 : 1;
            }
            return 2;
        }
        return -1;
    }

    public String getVideoUrl() {
        XAdNativeResponse xAdNativeResponse;
        return (!isUseCustomVideo() || (xAdNativeResponse = this.a) == null) ? "" : xAdNativeResponse.getVideoUrl();
    }

    public boolean hasDislike() {
        return isExpress();
    }

    public MediationConstant.AdIsReadyStatus isReadyStatus() {
        Context context;
        XAdNativeResponse xAdNativeResponse = this.a;
        return (xAdNativeResponse == null || (context = this.f402d) == null || !xAdNativeResponse.isAdAvailable(context)) ? MediationConstant.AdIsReadyStatus.AD_IS_NOT_READY : MediationConstant.AdIsReadyStatus.AD_IS_READY;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.native_ad.MediationNativeAd, com.bykv.vk.openvk.api.proto.Bridge
    public ValueSet values() {
        MediationValueSetBuilder create = MediationValueSetBuilder.create();
        create.add(8035, this);
        return create.build();
    }
}
