package com.bytedance.msdk.adapter.baidu;

import android.content.Context;
import android.view.View;
import com.baidu.mobads.sdk.api.ExpressResponse;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.bridge.native_ad.MediationNativeAd;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class BaiduNativeExpressAd extends MediationNativeAd {
    public ExpressResponse a;
    public boolean b;

    /* renamed from: c  reason: collision with root package name */
    public Context f404c;

    public BaiduNativeExpressAd(Context context, ExpressResponse expressResponse, MediationAdLoaderImpl mediationAdLoaderImpl, Bridge bridge) {
        super(mediationAdLoaderImpl, bridge);
        this.b = false;
        this.f404c = context;
        this.a = expressResponse;
        a();
    }

    private void a() {
        double d2;
        MediationValueSetBuilder create = MediationValueSetBuilder.create();
        if (isClientBidding()) {
            try {
                d2 = Double.valueOf(this.a.getECPMLevel()).doubleValue();
            } catch (Exception e2) {
                e2.printStackTrace();
                d2 = 0.0d;
            }
            create.add(8016, Math.max(d2, 0.0d));
        } else if (isMultiBidding()) {
            create.add(8058, this.a.getECPMLevel());
        }
        create.add(8055, a(this.a));
        int adActionType = this.a.getAdActionType();
        create.add(8059, adActionType == 1 ? 3 : adActionType == 2 ? 4 : -1);
        create.add(8033, true);
        notifyNativeValue(create.build());
        this.a.setInteractionListener(new ExpressResponse.ExpressInteractionListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeExpressAd.1
            @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressInteractionListener
            public void onAdClick() {
                BaiduNativeExpressAd.this.notifyOnClickAd();
            }

            @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressInteractionListener
            public void onAdExposed() {
                BaiduNativeExpressAd.this.notifyOnShowAd();
            }

            @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressInteractionListener
            public void onAdRenderFail(View view, String str, int i2) {
                BaiduNativeExpressAd.this.notifyRenderFail(view, i2, str);
            }

            @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressInteractionListener
            public void onAdRenderSuccess(View view, float f2, float f3) {
                BaiduNativeExpressAd.this.notifyRenderSuccess(f2, f3);
            }

            @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressInteractionListener
            public void onAdUnionClick() {
            }
        });
    }

    private boolean a(ExpressResponse expressResponse) {
        return expressResponse != null && expressResponse.getAdActionType() == 2;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.native_ad.MediationNativeAd, com.bykv.vk.openvk.api.proto.Caller
    public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
        if (i2 == 8121) {
            return (T) isReadyStatus();
        }
        if (i2 == 6083) {
            ExpressResponse expressResponse = this.a;
            if (expressResponse != null) {
                expressResponse.render();
            } else {
                notifyRenderFail(null, MediationConstant.ErrorCode.ADN_AD_RENDER_FAIL, "物料错误");
            }
        } else if (i2 == 8135) {
            return (T) true;
        } else {
            if (i2 == 6081) {
                ExpressResponse expressResponse2 = this.a;
                if (expressResponse2 != null) {
                    return (T) expressResponse2.getExpressAdView();
                }
            } else if (i2 == 8109) {
                this.b = true;
            } else if (i2 == 8120) {
                return (T) Boolean.valueOf(this.b);
            } else {
                if (i2 == 6085) {
                    this.a.setAdDislikeListener(new ExpressResponse.ExpressDislikeListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeExpressAd.2
                        @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressDislikeListener
                        public void onDislikeItemClick(String str) {
                            BaiduNativeExpressAd.this.notifyDislikeClick("百度智能优选dislike接口无关闭原因", null);
                            BaiduNativeExpressAd.this.notifyDislikeSelect(0, "百度智能优选dislike接口无关闭原因");
                        }

                        @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressDislikeListener
                        public void onDislikeWindowClose() {
                        }

                        @Override // com.baidu.mobads.sdk.api.ExpressResponse.ExpressDislikeListener
                        public void onDislikeWindowShow() {
                        }
                    });
                }
            }
        }
        return (T) MediationValueUtil.checkClassType(cls);
    }

    public MediationConstant.AdIsReadyStatus isReadyStatus() {
        ExpressResponse expressResponse = this.a;
        return (expressResponse == null || this.f404c == null || !expressResponse.isAdAvailable()) ? MediationConstant.AdIsReadyStatus.AD_IS_NOT_READY : MediationConstant.AdIsReadyStatus.AD_IS_READY;
    }
}
