package com.bytedance.msdk.adapter.baidu;

import android.content.Context;
import com.baidu.mobads.sdk.api.BaiduNativeManager;
import com.baidu.mobads.sdk.api.ExpressResponse;
import com.baidu.mobads.sdk.api.NativeResponse;
import com.baidu.mobads.sdk.api.RequestParameters;
import com.baidu.mobads.sdk.api.XAdNativeResponse;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.JProtect;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationAdSlotValueSet;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class BaiduNativeLoader extends BaiduBaseLoader {
    public BaiduNativeManager a;
    public Context b;

    /* renamed from: c  reason: collision with root package name */
    public Map<NativeResponse, BaiduNativeAd> f405c = new HashMap();

    /* renamed from: d  reason: collision with root package name */
    public final BaiduNativeManager.ExpressAdListener f406d = new BaiduNativeManager.ExpressAdListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeLoader.1
        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.ExpressAdListener
        public void onLpClosed() {
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.ExpressAdListener
        @JProtect
        public void onNativeFail(int i2, String str) {
            BaiduNativeLoader.this.notifyAdFailed(i2, str);
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.ExpressAdListener
        @JProtect
        public void onNativeLoad(List<ExpressResponse> list) {
            if (list == null || list.size() <= 0) {
                BaiduNativeLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "请求成功，但无广告可用");
                return;
            }
            ArrayList arrayList = new ArrayList();
            for (ExpressResponse expressResponse : list) {
                if (expressResponse != null) {
                    Bridge gMBridge = BaiduNativeLoader.this.getGMBridge();
                    new BaiduNativeExpressAd(BaiduNativeLoader.this.b, expressResponse, BaiduNativeLoader.this, gMBridge);
                    arrayList.add(gMBridge);
                }
            }
            BaiduNativeLoader.this.notifyAdSuccess(arrayList);
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.ExpressAdListener
        @JProtect
        public void onNoAd(int i2, String str) {
            BaiduNativeLoader.this.notifyAdFailed(i2, str);
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.ExpressAdListener
        public void onVideoDownloadFailed() {
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.ExpressAdListener
        public void onVideoDownloadSuccess() {
        }
    };

    /* renamed from: e  reason: collision with root package name */
    public final BaiduNativeManager.FeedAdListener f407e = new BaiduNativeManager.FeedAdListener() { // from class: com.bytedance.msdk.adapter.baidu.BaiduNativeLoader.2
        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.FeedAdListener
        public void onLpClosed() {
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.FeedAdListener
        @JProtect
        public void onNativeFail(int i2, String str) {
            BaiduNativeLoader.this.notifyAdFailed(i2, str);
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.FeedAdListener
        @JProtect
        public void onNativeLoad(List<NativeResponse> list) {
            if (list == null || list.size() <= 0) {
                BaiduNativeLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "返回广告位列表空");
                return;
            }
            ArrayList arrayList = new ArrayList();
            for (NativeResponse nativeResponse : list) {
                if (nativeResponse != null) {
                    Bridge gMBridge = BaiduNativeLoader.this.getGMBridge();
                    BaiduNativeLoader baiduNativeLoader = BaiduNativeLoader.this;
                    BaiduNativeLoader.this.f405c.put(nativeResponse, new BaiduNativeAd(BaiduNativeLoader.this.b, (XAdNativeResponse) nativeResponse, baiduNativeLoader, gMBridge, baiduNativeLoader.mSlotValueSet));
                    arrayList.add(gMBridge);
                }
            }
            BaiduNativeLoader.this.notifyAdSuccess(arrayList);
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.FeedAdListener
        @JProtect
        public void onNoAd(int i2, String str) {
            BaiduNativeLoader.this.notifyAdFailed(i2, str);
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.FeedAdListener
        public void onVideoDownloadFailed() {
        }

        @Override // com.baidu.mobads.sdk.api.BaiduNativeManager.FeedAdListener
        public void onVideoDownloadSuccess() {
        }
    };

    private void a(Context context, MediationAdSlotValueSet mediationAdSlotValueSet) {
        if (this.a == null) {
            this.a = new BaiduNativeManager(this.b, mediationAdSlotValueSet.getADNId());
        }
        this.a.setAppSid(mediationAdSlotValueSet.getBaiduAppSid());
        this.a.setCacheVideoOnlyWifi(mediationAdSlotValueSet.getBaiduCacheVideoOnlyWifi());
        if (isServerBidding()) {
            this.a.loadBidAdForExpress(getAdm(), this.f406d);
        } else {
            this.a.loadExpressAd(BaiduAdapterUtil.getRequestParameters(mediationAdSlotValueSet), this.f406d);
        }
    }

    private void b(Context context, MediationAdSlotValueSet mediationAdSlotValueSet) {
        if (this.a == null) {
            this.a = new BaiduNativeManager(context, mediationAdSlotValueSet.getADNId());
        }
        this.a.setAppSid(mediationAdSlotValueSet.getBaiduAppSid());
        this.a.setCacheVideoOnlyWifi(mediationAdSlotValueSet.getBaiduCacheVideoOnlyWifi());
        if (isServerBidding()) {
            this.a.loadBidAdForFeed(getAdm(), this.f407e);
        } else {
            this.a.loadFeedAd(BaiduAdapterUtil.getRequestParameters(mediationAdSlotValueSet), this.f407e);
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl
    public <T> T callFunction(int i2, ValueSet valueSet, Class<T> cls) {
        return i2 == 8139 ? (T) String.valueOf(getBiddingToken((Context) valueSet.objectValue(8009, Context.class), valueSet.stringValue(8007), valueSet.objectValue(8044, Object.class))) : (T) MediationValueUtil.checkClassType(cls);
    }

    public String getBiddingToken(Context context, String str, Object obj) {
        this.b = context;
        if (this.a == null) {
            this.a = new BaiduNativeManager(this.b, str);
        }
        if (obj instanceof RequestParameters) {
            return this.a.getFeedBiddingToken((RequestParameters) obj);
        }
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl
    public void realLoader(Context context, MediationAdSlotValueSet mediationAdSlotValueSet) {
        this.b = context;
        if (mediationAdSlotValueSet.getOriginType() == 1 || mediationAdSlotValueSet.getOriginType() == 2) {
            b(context, mediationAdSlotValueSet);
        } else if (mediationAdSlotValueSet.getOriginType() == 3) {
            a(context, mediationAdSlotValueSet);
        } else {
            notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "originType 类型不正确");
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl, com.bykv.vk.openvk.api.proto.Bridge
    public ValueSet values() {
        return null;
    }
}
