package com.bytedance.msdk.adapter.baidu;

import android.app.Activity;
import android.content.Context;
import android.text.TextUtils;
import com.baidu.mobads.sdk.api.RewardVideoAd;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.JProtect;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationAdSlotValueSet;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class BaiduRewardLoader extends BaiduBaseLoader {
    public Context a;
    public MediationAdSlotValueSet b;

    /* renamed from: c  reason: collision with root package name */
    public Bridge f408c;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class BaiduRewardVideoAd extends MediationBaseAdBridge implements RewardVideoAd.RewardVideoAdListener {
        public RewardVideoAd b;

        public BaiduRewardVideoAd() {
            super(BaiduRewardLoader.this.b, BaiduRewardLoader.this.f408c);
        }

        @JProtect
        public void a() {
            RewardVideoAd rewardVideoAd = new RewardVideoAd(BaiduRewardLoader.this.a, BaiduRewardLoader.this.getAdnId(), this, BaiduRewardLoader.this.b.isUseSurfaceView());
            this.b = rewardVideoAd;
            rewardVideoAd.setDownloadAppConfirmPolicy(BaiduRewardLoader.this.b.getBaiduDownloadAppConfirmPolicy());
            this.b.setShowDialogOnSkip(BaiduRewardLoader.this.b.getBaiduShowDialogOnSkip());
            this.b.setUseRewardCountdown(BaiduRewardLoader.this.b.getBaiduUseRewardCountdown());
            String baiduAppSid = BaiduRewardLoader.this.b.getBaiduAppSid();
            if (!TextUtils.isEmpty(baiduAppSid)) {
                this.b.setAppSid(baiduAppSid);
            }
            String userId = BaiduRewardLoader.this.b.getUserId();
            if (userId != null) {
                this.b.setUserId(userId);
            }
            Map<String, Object> extraObject = BaiduRewardLoader.this.b.getExtraObject();
            if (extraObject != null && extraObject.get("baidu") != null) {
                this.b.setExtraInfo(String.valueOf(extraObject.get("baidu")));
            }
            this.b.load();
        }

        @Override // com.bykv.vk.openvk.api.proto.Caller
        public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
            if (i2 == 8113) {
                Activity activity = (Activity) valueSet.objectValue(20033, Activity.class);
                if (activity != null) {
                    showAd(activity);
                }
            } else if (i2 == 8109) {
                onDestroy();
            } else if (i2 == 8120) {
                return (T) Boolean.valueOf(hasDestroyed());
            } else {
                if (i2 == 8121) {
                    return (T) isReadyStatus();
                }
            }
            return (T) MediationValueUtil.checkClassType(cls);
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public boolean hasDestroyed() {
            return this.b == null;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public MediationConstant.AdIsReadyStatus isReadyStatus() {
            RewardVideoAd rewardVideoAd = this.b;
            return (rewardVideoAd == null || !rewardVideoAd.isReady()) ? MediationConstant.AdIsReadyStatus.AD_IS_EXPIRED : MediationConstant.AdIsReadyStatus.AD_IS_READY;
        }

        @Override // com.baidu.mobads.sdk.api.RewardVideoAd.RewardVideoAdListener, com.baidu.mobads.sdk.api.ScreenVideoAdListener
        @JProtect
        public void onAdClick() {
            Bridge bridge = this.mGMAd;
            if (bridge != null) {
                bridge.call(8115, null, Void.class);
            }
        }

        @Override // com.baidu.mobads.sdk.api.RewardVideoAd.RewardVideoAdListener, com.baidu.mobads.sdk.api.ScreenVideoAdListener
        @JProtect
        public void onAdClose(float f2) {
            Bridge bridge = this.mGMAd;
            if (bridge != null) {
                bridge.call(8116, null, Void.class);
            }
        }

        @Override // com.baidu.mobads.sdk.api.RewardVideoAd.RewardVideoAdListener, com.baidu.mobads.sdk.api.ScreenVideoAdListener
        @JProtect
        public void onAdFailed(String str) {
            BaiduRewardLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, str);
        }

        @Override // com.baidu.mobads.sdk.api.RewardVideoAd.RewardVideoAdListener, com.baidu.mobads.sdk.api.ScreenVideoAdListener
        @JProtect
        public void onAdLoaded() {
            if (this.b != null) {
                if (BaiduRewardLoader.this.isClientBidding()) {
                    double d2 = 0.0d;
                    try {
                        d2 = Double.valueOf(this.b.getECPMLevel()).doubleValue();
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                    setCpm(d2);
                } else if (BaiduRewardLoader.this.isMultiBidding()) {
                    setLevelTag(this.b.getECPMLevel());
                }
            }
            BaiduRewardLoader.this.notifyAdSuccess(this, this.mGMAd);
        }

        @Override // com.baidu.mobads.sdk.api.RewardVideoAd.RewardVideoAdListener, com.baidu.mobads.sdk.api.ScreenVideoAdListener
        @JProtect
        public void onAdShow() {
            Bridge bridge = this.mGMAd;
            if (bridge != null) {
                bridge.call(8230, null, Void.class);
            }
        }

        @Override // com.baidu.mobads.sdk.api.RewardVideoAd.RewardVideoAdListener, com.baidu.mobads.sdk.api.ScreenVideoAdListener
        @JProtect
        public void onAdSkip(float f2) {
            Bridge bridge = this.mGMAd;
            if (bridge != null) {
                bridge.call(8119, null, Void.class);
            }
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public void onDestroy() {
            this.b = null;
            BaiduRewardLoader.this.a = null;
        }

        @Override // com.baidu.mobads.sdk.api.RewardVideoAd.RewardVideoAdListener
        @JProtect
        public void onRewardVerify(boolean z) {
            if (this.mGMAd != null) {
                MediationValueSetBuilder create = MediationValueSetBuilder.create();
                create.add(8017, true);
                create.add(8018, BaiduRewardLoader.this.b.getRewardAmount());
                create.add(8019, BaiduRewardLoader.this.b.getRewardName());
                this.mGMAd.call(8231, create.build(), Void.class);
            }
        }

        @Override // com.baidu.mobads.sdk.api.RewardVideoAd.RewardVideoAdListener, com.baidu.mobads.sdk.api.ScreenVideoAdListener
        public void onVideoDownloadFailed() {
        }

        @Override // com.baidu.mobads.sdk.api.RewardVideoAd.RewardVideoAdListener, com.baidu.mobads.sdk.api.ScreenVideoAdListener
        @JProtect
        public void onVideoDownloadSuccess() {
            BaiduRewardLoader.this.notifyAdCache(this.mGMAd, -1, "");
        }

        @Override // com.baidu.mobads.sdk.api.RewardVideoAd.RewardVideoAdListener, com.baidu.mobads.sdk.api.ScreenVideoAdListener
        @JProtect
        public void playCompletion() {
            Bridge bridge = this.mGMAd;
            if (bridge != null) {
                bridge.call(8118, null, Void.class);
            }
        }

        @JProtect
        public void showAd(Activity activity) {
            RewardVideoAd rewardVideoAd = this.b;
            if (rewardVideoAd != null) {
                rewardVideoAd.show();
            }
        }

        @Override // com.bykv.vk.openvk.api.proto.Bridge
        public ValueSet values() {
            return null;
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl
    public void realLoader(Context context, MediationAdSlotValueSet mediationAdSlotValueSet) {
        if (context == null || mediationAdSlotValueSet == null) {
            notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "context is null or adSlotValueSet is null");
            return;
        }
        this.a = context;
        this.b = mediationAdSlotValueSet;
        this.f408c = getGMBridge();
        new BaiduRewardVideoAd().a();
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl, com.bykv.vk.openvk.api.proto.Bridge
    public ValueSet values() {
        return null;
    }
}
