package com.bytedance.msdk.adapter.baidu;

import android.app.Activity;
import android.content.Context;
import android.text.TextUtils;
import android.util.Log;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import com.baidu.mobads.sdk.api.RequestParameters;
import com.baidu.mobads.sdk.api.SplashAd;
import com.baidu.mobads.sdk.api.SplashInteractionListener;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.JProtect;
import com.bytedance.msdk.adapter.baidu.SplashDismissController;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationAdSlotValueSet;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class BaiduSplashLoader extends MediationAdLoaderImpl {
    public Context a;

    /* renamed from: c  reason: collision with root package name */
    public SplashDismissController f409c;

    /* renamed from: e  reason: collision with root package name */
    public BaiduSplashAd f411e;

    /* renamed from: f  reason: collision with root package name */
    public SplashAd f412f;
    public int b = 3000;

    /* renamed from: d  reason: collision with root package name */
    public boolean f410d = true;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class BaiduSplashAd extends MediationBaseAdBridge implements SplashInteractionListener {
        public FrameLayout a;

        /* renamed from: c  reason: collision with root package name */
        public SplashAd f413c;

        public BaiduSplashAd(MediationAdSlotValueSet mediationAdSlotValueSet, Bridge bridge) {
            super(mediationAdSlotValueSet, bridge);
            this.a = new FrameLayout(BaiduSplashLoader.this.a);
        }

        @Override // com.bykv.vk.openvk.api.proto.Caller
        public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
            if (i2 == 8139) {
                String stringValue = valueSet.stringValue(8007);
                Object objectValue = valueSet.objectValue(8044, Object.class);
                return (T) String.valueOf(BaiduSplashLoader.this.getBiddingToken((Context) valueSet.objectValue(8009, Context.class), stringValue, objectValue));
            }
            if (i2 == 6152) {
                Log.i("TTMediationSDK", "BaiduSplashLoader showSplashAd ");
                ViewGroup viewGroup = (ViewGroup) valueSet.objectValue(20060, ViewGroup.class);
                if (viewGroup != null) {
                    showSplashAd(viewGroup);
                }
            } else if (i2 != 6154 && i2 != 6153 && i2 != 6161) {
                if (i2 == 8109) {
                    onDestroy();
                } else if (i2 == 8120) {
                    return (T) Boolean.valueOf(hasDestroyed());
                } else {
                    if (i2 == 8121) {
                        return (T) isReadyStatus();
                    }
                }
            }
            return (T) MediationValueUtil.checkClassType(cls);
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public boolean hasDestroyed() {
            return this.f413c == null;
        }

        @Override // com.baidu.mobads.sdk.api.SplashAdListener
        @JProtect
        public void onADLoaded() {
            StringBuilder sb;
            String str;
            Log.i("TTMediationSDK", "BaiduSplashLoader onADLoaded ");
            if (this.f413c != null) {
                if (BaiduSplashLoader.this.isClientBidding()) {
                    double d2 = 0.0d;
                    try {
                        d2 = Double.valueOf(this.f413c.getECPMLevel()).doubleValue();
                    } catch (Exception unused) {
                    }
                    setCpm(d2);
                    sb = new StringBuilder();
                    str = "BaiduSplashLoader Baidu_cientBidding splash 返回的 cpm价格：";
                } else if (BaiduSplashLoader.this.isMultiBidding()) {
                    setLevelTag(this.f413c.getECPMLevel());
                    sb = new StringBuilder();
                    str = "BaiduSplashLoader Baidu_多阶底价 splash 返回的 价格标签：";
                }
                sb.append(str);
                sb.append(this.f413c.getECPMLevel());
                Log.d("TTMediationSDK", sb.toString());
            }
            BaiduSplashLoader.this.notifyAdSuccess(this, this.mGMAd);
        }

        @Override // com.baidu.mobads.sdk.api.SplashInteractionListener
        public void onAdCacheFailed() {
            Log.i("TTMediationSDK", "BaiduSplashLoader onAdCacheFailed ");
            BaiduSplashLoader.this.f410d = false;
        }

        @Override // com.baidu.mobads.sdk.api.SplashInteractionListener
        public void onAdCacheSuccess() {
            Log.i("TTMediationSDK", "BaiduSplashLoader onAdCacheSuccess ");
            BaiduSplashLoader.this.f410d = true;
        }

        @Override // com.baidu.mobads.sdk.api.SplashInteractionListener
        @JProtect
        public void onAdClick() {
            Log.i("TTMediationSDK", "BaiduSplashLoader onAdClick ");
            if (this.mGMAd != null) {
                if (BaiduSplashLoader.this.f409c != null) {
                    BaiduSplashLoader.this.f409c.setClick(true);
                    BaiduSplashLoader.this.f409c.setCallBack(new SplashDismissController.CallBack() { // from class: com.bytedance.msdk.adapter.baidu.BaiduSplashLoader.BaiduSplashAd.1
                        @Override // com.bytedance.msdk.adapter.baidu.SplashDismissController.CallBack
                        public void onResume() {
                            Log.i("TTMediationSDK", "BaiduSplashLoader onAdClick onResume");
                            if (BaiduSplashLoader.this.f409c == null || !BaiduSplashLoader.this.f409c.jumpToAdPage() || BaiduSplashLoader.this.f409c.isCallDismiss()) {
                                return;
                            }
                            BaiduSplashAd.this.mGMAd.call(1011, null, Void.class);
                        }
                    });
                }
                this.mGMAd.call(1009, null, Void.class);
            }
        }

        @Override // com.baidu.mobads.sdk.api.SplashInteractionListener
        @JProtect
        public void onAdDismissed() {
            Log.i("TTMediationSDK", "BaiduSplashLoader onAdDismissed ");
            if (this.mGMAd != null) {
                if (BaiduSplashLoader.this.f409c == null || !BaiduSplashLoader.this.f409c.jumpToAdPage()) {
                    if (BaiduSplashLoader.this.f409c != null) {
                        BaiduSplashLoader.this.f409c.setCallDismiss(true);
                    }
                    this.mGMAd.call(1011, null, Void.class);
                }
            }
        }

        @Override // com.baidu.mobads.sdk.api.SplashAdListener
        @JProtect
        public void onAdFailed(String str) {
            Log.i("TTMediationSDK", "BaiduSplashLoader onAdFailed s:" + str);
            BaiduSplashLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, str);
        }

        @Override // com.baidu.mobads.sdk.api.SplashInteractionListener
        @JProtect
        public void onAdPresent() {
            Log.i("TTMediationSDK", "BaiduSplashLoader onAdPresent ");
            Bridge bridge = this.mGMAd;
            if (bridge != null) {
                bridge.call(1008, null, Void.class);
            }
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public void onDestroy() {
            Log.i("TTMediationSDK", "BaiduSplashLoader onDestroy ");
            SplashAd splashAd = this.f413c;
            if (splashAd != null) {
                splashAd.destroy();
                this.f413c = null;
            }
            FrameLayout frameLayout = this.a;
            if (frameLayout != null) {
                frameLayout.removeAllViews();
            }
            BaiduSplashLoader.this.f409c = null;
        }

        @Override // com.baidu.mobads.sdk.api.SplashInteractionListener
        @JProtect
        public void onLpClosed() {
            Log.i("TTMediationSDK", "BaiduSplashLoader onLpClosed ");
            if (this.mGMAd != null) {
                if (BaiduSplashLoader.this.f409c == null || !BaiduSplashLoader.this.f409c.jumpToAdPage()) {
                    if (BaiduSplashLoader.this.f409c != null) {
                        BaiduSplashLoader.this.f409c.setCallDismiss(true);
                    }
                    this.mGMAd.call(1011, null, Void.class);
                }
            }
        }

        public void setSplashAd(SplashAd splashAd) {
            this.f413c = splashAd;
        }

        @JProtect
        public void showSplashAd(ViewGroup viewGroup) {
            if (this.f413c == null || viewGroup == null) {
                return;
            }
            viewGroup.removeAllViews();
            this.a.setLayoutParams(new ViewGroup.LayoutParams(-1, -1));
            this.a.setVisibility(0);
            viewGroup.addView(this.a);
            this.f413c.show(this.a);
        }

        @Override // com.bykv.vk.openvk.api.proto.Bridge
        public ValueSet values() {
            return null;
        }
    }

    private RequestParameters a(MediationAdSlotValueSet mediationAdSlotValueSet) {
        RequestParameters requestParameters = BaiduAdapterUtil.getRequestParameters(mediationAdSlotValueSet);
        return requestParameters == null ? new RequestParameters.Builder().build() : requestParameters;
    }

    private void a(Context context, MediationAdSlotValueSet mediationAdSlotValueSet, String str, RequestParameters requestParameters) {
        if (this.f411e == null) {
            this.f411e = new BaiduSplashAd(mediationAdSlotValueSet, getGMBridge());
        }
        BaiduSplashAd baiduSplashAd = this.f411e;
        if (baiduSplashAd != null && baiduSplashAd.getSlotValueSet() == null && mediationAdSlotValueSet != null) {
            this.f411e.setSlotValueSet(mediationAdSlotValueSet);
        }
        if (this.f412f == null) {
            this.f412f = new SplashAd(context, str, requestParameters, this.f411e);
        }
        this.f411e.setSplashAd(this.f412f);
    }

    public String getBiddingToken(Context context, String str, Object obj) {
        this.a = context;
        if (obj instanceof RequestParameters) {
            a(context, null, str, (RequestParameters) obj);
            return this.f412f.getBiddingToken();
        }
        Log.i("TTMediationSDK", "BaiduSplashLoader getBiddingToken RequestParameters is null");
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl
    public void realLoader(Context context, MediationAdSlotValueSet mediationAdSlotValueSet) {
        Log.i("TTMediationSDK", "BaiduSplashLoader realLoader adnId:" + getAdnId());
        this.a = context;
        if (context instanceof Activity) {
            this.f409c = new SplashDismissController((Activity) context, getOriginActivity((Activity) context));
        }
        this.b = getLoadTimeOut();
        a(context, mediationAdSlotValueSet, getAdnId(), a(mediationAdSlotValueSet));
        if (mediationAdSlotValueSet != null) {
            String baiduAppSid = mediationAdSlotValueSet.getBaiduAppSid();
            if (!TextUtils.isEmpty(baiduAppSid)) {
                this.f412f.setAppSid(baiduAppSid);
            }
        }
        if (TextUtils.isEmpty(getAdm())) {
            this.f412f.load();
        } else {
            this.f412f.loadBiddingAd(getAdm());
        }
    }
}
