package com.bytedance.msdk.adapter.gdt;

import android.app.Activity;
import android.content.Context;
import android.text.TextUtils;
import android.util.Log;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.JProtect;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationAdSlotValueSet;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
import com.qq.e.ads.rewardvideo.RewardVideoAD;
import com.qq.e.ads.rewardvideo.RewardVideoADListener;
import com.qq.e.ads.rewardvideo.ServerSideVerificationOptions;
import com.qq.e.comm.util.AdError;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class GdtRewardLoader extends MediationAdLoaderImpl {
    public Context a;
    public MediationAdSlotValueSet b;

    /* renamed from: c  reason: collision with root package name */
    public Bridge f448c;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class GdtRewardVideo extends MediationBaseAdBridge {
        public RewardVideoADListener a;

        /* renamed from: c  reason: collision with root package name */
        public RewardVideoAD f449c;

        /* renamed from: d  reason: collision with root package name */
        public boolean f450d;

        public GdtRewardVideo() {
            super(GdtRewardLoader.this.b, GdtRewardLoader.this.f448c);
            this.a = new RewardVideoADListener() { // from class: com.bytedance.msdk.adapter.gdt.GdtRewardLoader.GdtRewardVideo.1
                @Override // com.qq.e.ads.rewardvideo.RewardVideoADListener
                @JProtect
                public void onADClick() {
                    Bridge bridge = GdtRewardVideo.this.mGMAd;
                    if (bridge != null) {
                        bridge.call(8115, null, Void.class);
                    }
                }

                @Override // com.qq.e.ads.rewardvideo.RewardVideoADListener
                @JProtect
                public void onADClose() {
                    Bridge bridge = GdtRewardVideo.this.mGMAd;
                    if (bridge != null) {
                        bridge.call(8116, null, Void.class);
                    }
                }

                @Override // com.qq.e.ads.rewardvideo.RewardVideoADListener
                public void onADExpose() {
                }

                @Override // com.qq.e.ads.rewardvideo.RewardVideoADListener
                @JProtect
                public void onADLoad() {
                    GdtRewardVideo.this.f450d = true;
                    if (GdtRewardVideo.this.f449c == null) {
                        GdtRewardLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "load成功但广告为空");
                        return;
                    }
                    if (GdtRewardLoader.this.isClientBidding()) {
                        GdtRewardVideo gdtRewardVideo = GdtRewardVideo.this;
                        gdtRewardVideo.setCpm(gdtRewardVideo.f449c.getECPM() != -1 ? GdtRewardVideo.this.f449c.getECPM() : 0.0d);
                    } else if (GdtRewardLoader.this.isMultiBidding()) {
                        GdtRewardVideo gdtRewardVideo2 = GdtRewardVideo.this;
                        gdtRewardVideo2.setLevelTag(gdtRewardVideo2.f449c.getECPMLevel());
                    } else {
                        GdtRewardLoader.this.isServerBidding();
                    }
                    GdtRewardVideo gdtRewardVideo3 = GdtRewardVideo.this;
                    GdtRewardLoader.this.notifyAdSuccess(gdtRewardVideo3, gdtRewardVideo3.mGMAd);
                }

                @Override // com.qq.e.ads.rewardvideo.RewardVideoADListener
                @JProtect
                public void onADShow() {
                    Bridge bridge = GdtRewardVideo.this.mGMAd;
                    if (bridge != null) {
                        bridge.call(8230, null, Void.class);
                    }
                }

                @Override // com.qq.e.ads.rewardvideo.RewardVideoADListener
                @JProtect
                public void onError(AdError adError) {
                    GdtRewardVideo.this.f450d = false;
                    if (adError != null) {
                        GdtRewardLoader.this.notifyAdFailed(adError.getErrorCode(), adError.getErrorMsg());
                    } else {
                        GdtRewardLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "error is null");
                    }
                }

                @Override // com.qq.e.ads.rewardvideo.RewardVideoADListener
                @JProtect
                public void onReward(Map<String, Object> map) {
                    if (GdtRewardVideo.this.mGMAd != null) {
                        MediationValueSetBuilder create = MediationValueSetBuilder.create();
                        create.add(8017, true);
                        create.add(8018, GdtRewardLoader.this.b.getRewardAmount());
                        create.add(8019, GdtRewardLoader.this.b.getRewardName());
                        create.add(8020, map);
                        GdtRewardVideo.this.mGMAd.call(8231, create.build(), Void.class);
                    }
                }

                @Override // com.qq.e.ads.rewardvideo.RewardVideoADListener
                @JProtect
                public void onVideoCached() {
                    GdtRewardVideo gdtRewardVideo = GdtRewardVideo.this;
                    GdtRewardLoader.this.notifyAdCache(gdtRewardVideo.mGMAd, -1, "");
                }

                @Override // com.qq.e.ads.rewardvideo.RewardVideoADListener
                @JProtect
                public void onVideoComplete() {
                    Bridge bridge = GdtRewardVideo.this.mGMAd;
                    if (bridge != null) {
                        bridge.call(8118, null, Void.class);
                    }
                }
            };
        }

        @JProtect
        public void a() {
            boolean z = !GdtRewardLoader.this.b.isMuted();
            this.f449c = !TextUtils.isEmpty(GdtRewardLoader.this.getAdm()) ? new RewardVideoAD(GdtRewardLoader.this.a, GdtRewardLoader.this.getAdnId(), this.a, z, GdtRewardLoader.this.getAdm()) : new RewardVideoAD(GdtRewardLoader.this.a, GdtRewardLoader.this.getAdnId(), this.a, z);
            ServerSideVerificationOptions.Builder builder = new ServerSideVerificationOptions.Builder();
            String userId = GdtRewardLoader.this.b.getUserId();
            if (userId != null) {
                builder.setUserId(userId);
            }
            Map<String, Object> extraObject = GdtRewardLoader.this.b.getExtraObject();
            String str = null;
            if (extraObject != null && extraObject.get(MediationConstant.ADN_GDT) != null) {
                str = String.valueOf(extraObject.get(MediationConstant.ADN_GDT));
                builder.setCustomData(str);
            }
            if (userId != null || !TextUtils.isEmpty(str)) {
                this.f449c.setServerSideVerificationOptions(builder.build());
            }
            this.f449c.loadAD();
        }

        public boolean adnHasAdVideoCachedApi() {
            return true;
        }

        public void bidLoseNotify(Map<String, Object> map) {
            if (!GdtRewardLoader.this.isClientBidding() || this.f449c == null || map == null) {
                return;
            }
            try {
                Object obj = map.get(MediationConstant.BIDDING_LOSE_REASON);
                if (obj instanceof MediationConstant.BiddingLossReason) {
                    this.f449c.sendLossNotification(0, GDTAdapterUtils.getBiddingLossReason((MediationConstant.BiddingLossReason) obj), null);
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }

        public void bidWinNotify(Map<String, Object> map) {
            RewardVideoAD rewardVideoAD;
            if (GdtRewardLoader.this.isClientBidding() && (rewardVideoAD = this.f449c) != null) {
                try {
                    rewardVideoAD.sendWinNotification((int) getCpm());
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
        }

        @Override // com.bykv.vk.openvk.api.proto.Caller
        public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
            boolean adnHasAdVideoCachedApi;
            if (i2 == 8113) {
                Activity activity = (Activity) valueSet.objectValue(20033, Activity.class);
                if (activity != null) {
                    showAd(activity);
                }
            } else if (i2 != 8109) {
                if (i2 == 8120) {
                    adnHasAdVideoCachedApi = hasDestroyed();
                } else if (i2 == 8121) {
                    return (T) isReadyStatus();
                } else {
                    if (i2 == 8211) {
                        adnHasAdVideoCachedApi = adnHasAdVideoCachedApi();
                    } else if (i2 == 8142) {
                        Log.i("GdtRewardVideoAdapter", "GdtSplashLoader bidWinNotify");
                        Map<String, Object> map = (Map) valueSet.objectValue(8006, Map.class);
                        if (map != null) {
                            bidWinNotify(map);
                        }
                    } else if (i2 == 8144) {
                        Log.i("GdtRewardVideoAdapter", "GdtSplashLoader bidLoseNotify");
                        Map<String, Object> map2 = (Map) valueSet.objectValue(8006, Map.class);
                        if (map2 != null) {
                            bidLoseNotify(map2);
                        }
                    }
                }
                return (T) Boolean.valueOf(adnHasAdVideoCachedApi);
            } else {
                onDestroy();
            }
            return (T) MediationValueUtil.checkClassType(cls);
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public boolean hasDestroyed() {
            return this.f449c == null;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public MediationConstant.AdIsReadyStatus isReadyStatus() {
            RewardVideoAD rewardVideoAD = this.f449c;
            return (rewardVideoAD == null || !rewardVideoAD.isValid()) ? MediationConstant.AdIsReadyStatus.AD_IS_NOT_READY : MediationConstant.AdIsReadyStatus.AD_IS_READY;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public void onDestroy() {
            if (this.f449c != null) {
                this.f449c = null;
            }
        }

        @JProtect
        public void showAd(Activity activity) {
            if (this.f449c != null) {
                if (GdtRewardLoader.this.isServerBidding()) {
                    RewardVideoAD rewardVideoAD = this.f449c;
                    rewardVideoAD.setBidECPM(rewardVideoAD.getECPM());
                }
                this.f449c.showAD(activity);
            }
        }

        @Override // com.bykv.vk.openvk.api.proto.Bridge
        public ValueSet values() {
            return null;
        }
    }

    @JProtect
    private void a() {
        new GdtRewardVideo().a();
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl
    public void realLoader(Context context, MediationAdSlotValueSet mediationAdSlotValueSet) {
        if (context == null || mediationAdSlotValueSet == null) {
            notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "context is null or adSlotValueSet is null");
            return;
        }
        this.a = context;
        this.b = mediationAdSlotValueSet;
        this.f448c = getGMBridge();
        a();
    }
}
