package com.bytedance.msdk.adapter.gdt;

import android.app.Activity;
import android.content.Context;
import android.graphics.Bitmap;
import android.os.SystemClock;
import android.util.Log;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.FrameLayout;
import android.widget.RelativeLayout;
import androidx.annotation.RequiresApi;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.JProtect;
import com.bytedance.msdk.adapter.gdt.SplashDismissController;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationAdSlotValueSet;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
import com.qq.e.ads.splash.SplashAD;
import com.qq.e.ads.splash.SplashADZoomOutListener;
import com.qq.e.comm.managers.setting.GlobalSetting;
import com.qq.e.comm.util.AdError;
import com.ss.android.socialbase.downloader.constants.DownloadErrorCode;
import java.util.HashMap;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class GdtSplashLoader extends MediationAdLoaderImpl {
    public Context b;

    /* renamed from: d  reason: collision with root package name */
    public GDTSplashAd f452d;

    /* renamed from: e  reason: collision with root package name */
    public SplashDismissController f453e;

    /* renamed from: f  reason: collision with root package name */
    public boolean f454f;

    /* renamed from: c  reason: collision with root package name */
    public int f451c = 3000;
    public boolean a = false;

    /* renamed from: g  reason: collision with root package name */
    public int f455g = 2;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class GDTSplashAd extends MediationBaseAdBridge {
        public SplashADZoomOutListener a;

        /* renamed from: c  reason: collision with root package name */
        public SplashAD f456c;

        /* renamed from: d  reason: collision with root package name */
        public RelativeLayout f457d;

        /* renamed from: e  reason: collision with root package name */
        public FrameLayout f458e;

        @RequiresApi(api = 16)
        public GDTSplashAd(MediationAdSlotValueSet mediationAdSlotValueSet, Bridge bridge) {
            super(mediationAdSlotValueSet, bridge);
            this.a = new SplashADZoomOutListener() { // from class: com.bytedance.msdk.adapter.gdt.GdtSplashLoader.GDTSplashAd.1
                public long millisUntilFinished;

                @Override // com.qq.e.ads.splash.SplashADZoomOutListener
                public boolean isSupportZoomOut() {
                    Log.i("TTMediationSDK", "GdtSplashLoader isSupportZoomOut");
                    return true;
                }

                @Override // com.qq.e.ads.splash.SplashADListener
                @JProtect
                public void onADClicked() {
                    Log.i("TTMediationSDK", "GdtSplashLoader onADClicked");
                    GDTSplashAd gDTSplashAd = GDTSplashAd.this;
                    if (gDTSplashAd.mGMAd != null) {
                        if (GdtSplashLoader.this.f453e != null) {
                            GdtSplashLoader.this.f453e.setClick(true);
                            GdtSplashLoader.this.f453e.setCallBack(new SplashDismissController.CallBack() { // from class: com.bytedance.msdk.adapter.gdt.GdtSplashLoader.GDTSplashAd.1.1
                                @Override // com.bytedance.msdk.adapter.gdt.SplashDismissController.CallBack
                                public void onResume() {
                                    if (GdtSplashLoader.this.f453e == null || !GdtSplashLoader.this.f453e.jumpToAdPage() || GdtSplashLoader.this.f453e.isCallDismiss()) {
                                        return;
                                    }
                                    GDTSplashAd.this.mGMAd.call(1011, null, Void.class);
                                }
                            });
                        }
                        GDTSplashAd.this.mGMAd.call(1009, null, Void.class);
                    }
                }

                @Override // com.qq.e.ads.splash.SplashADListener
                public void onADDismissed() {
                    Log.i("TTMediationSDK", "GdtSplashLoader onADDismissed");
                    GDTSplashAd gDTSplashAd = GDTSplashAd.this;
                    if (gDTSplashAd.mGMAd != null) {
                        if (GdtSplashLoader.this.f453e == null || !GdtSplashLoader.this.f453e.jumpToAdPage()) {
                            if (GdtSplashLoader.this.f453e != null) {
                                GdtSplashLoader.this.f453e.setCallDismiss(true);
                            }
                            GDTSplashAd.this.mGMAd.call(1011, null, Void.class);
                        }
                    }
                }

                @Override // com.qq.e.ads.splash.SplashADListener
                @JProtect
                public void onADExposure() {
                    Log.i("TTMediationSDK", "GdtSplashLoader onADExposure");
                    Bridge bridge2 = GDTSplashAd.this.mGMAd;
                    if (bridge2 != null) {
                        bridge2.call(1008, null, Void.class);
                    }
                }

                @Override // com.qq.e.ads.splash.SplashADListener
                @JProtect
                public void onADLoaded(long j2) {
                    StringBuilder sb;
                    Log.i("TTMediationSDK", "GdtSplashLoader onADLoaded");
                    long elapsedRealtime = j2 - SystemClock.elapsedRealtime();
                    if (GDTSplashAd.this.f456c == null || elapsedRealtime <= 1000) {
                        GdtSplashLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "暂无广告");
                        return;
                    }
                    if (!GdtSplashLoader.this.isClientBidding()) {
                        if (GdtSplashLoader.this.isMultiBidding()) {
                            GDTSplashAd gDTSplashAd = GDTSplashAd.this;
                            gDTSplashAd.setLevelTag(gDTSplashAd.f456c.getECPMLevel());
                            sb = new StringBuilder();
                            sb.append("GdtSplashLoader GDT_多阶底价 splash 返回的 价格标签：");
                            sb.append(GDTSplashAd.this.f456c.getECPMLevel());
                        }
                        GDTSplashAd gDTSplashAd2 = GDTSplashAd.this;
                        GdtSplashLoader.this.notifyAdSuccess(gDTSplashAd2, gDTSplashAd2.mGMAd);
                    }
                    GDTSplashAd gDTSplashAd3 = GDTSplashAd.this;
                    gDTSplashAd3.setCpm(gDTSplashAd3.f456c.getECPM() != -1 ? GDTSplashAd.this.f456c.getECPM() : 0.0d);
                    sb = new StringBuilder();
                    sb.append("GdtSplashLoader GDT_clientBidding splash 返回的 cpm价格：");
                    sb.append(GDTSplashAd.this.f456c.getECPM());
                    Log.i("TTMediationSDK", sb.toString());
                    GDTSplashAd gDTSplashAd22 = GDTSplashAd.this;
                    GdtSplashLoader.this.notifyAdSuccess(gDTSplashAd22, gDTSplashAd22.mGMAd);
                }

                @Override // com.qq.e.ads.splash.SplashADListener
                public void onADPresent() {
                }

                @Override // com.qq.e.ads.splash.SplashADListener
                public void onADTick(long j2) {
                    Log.i("TTMediationSDK", "GdtSplashLoader onADTick");
                    this.millisUntilFinished = j2;
                }

                @Override // com.qq.e.ads.splash.SplashADListener
                @JProtect
                public void onNoAD(AdError adError) {
                    if (adError == null) {
                        Log.i("TTMediationSDK", "GdtSplashLoader onNoAD ");
                        GdtSplashLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "暂无广告");
                        return;
                    }
                    Log.i("TTMediationSDK", "GdtSplashLoader onNoAD err_code:" + adError.getErrorCode() + "  msg:" + adError.getErrorMsg());
                    GdtSplashLoader.this.notifyAdFailed(adError.getErrorCode(), adError.getErrorMsg());
                }

                @Override // com.qq.e.ads.splash.SplashADZoomOutListener
                public void onZoomOut() {
                    Log.i("TTMediationSDK", "GdtSplashLoader onZoomOut");
                    Bridge bridge2 = GDTSplashAd.this.mGMAd;
                    if (bridge2 != null) {
                        bridge2.call(DownloadErrorCode.ERROR_RESPONSE_DATA_NOT_EQUALS, null, Void.class);
                    }
                }

                @Override // com.qq.e.ads.splash.SplashADZoomOutListener
                public void onZoomOutPlayFinish() {
                    Log.i("TTMediationSDK", "GdtSplashLoader onZoomOutPlayFinish");
                    Bridge bridge2 = GDTSplashAd.this.mGMAd;
                    if (bridge2 != null) {
                        bridge2.call(DownloadErrorCode.ERROR_GET_AVAILABLE_SPACE, null, Void.class);
                    }
                }
            };
            RelativeLayout relativeLayout = new RelativeLayout(GdtSplashLoader.this.b);
            relativeLayout.setLayoutParams(new ViewGroup.LayoutParams(-1, -1));
            FrameLayout frameLayout = new FrameLayout(GdtSplashLoader.this.b);
            frameLayout.setLayoutParams(new ViewGroup.LayoutParams(-1, -1));
            relativeLayout.addView(frameLayout);
            this.f458e = frameLayout;
            this.f457d = relativeLayout;
        }

        public void bidLoseNotify(Map<String, Object> map) {
            if (!GdtSplashLoader.this.isClientBidding() || this.f456c == null || map == null) {
                return;
            }
            try {
                Object obj = map.get(MediationConstant.BIDDING_LOSE_REASON);
                if (obj instanceof MediationConstant.BiddingLossReason) {
                    this.f456c.sendLossNotification(0, GDTAdapterUtils.getBiddingLossReason((MediationConstant.BiddingLossReason) obj), null);
                }
            } catch (Exception unused) {
            }
        }

        public void bidWinNotify(Map<String, Object> map) {
            SplashAD splashAD;
            if (GdtSplashLoader.this.isClientBidding() && (splashAD = this.f456c) != null) {
                try {
                    splashAD.sendWinNotification((int) getCpm());
                } catch (Exception unused) {
                }
            }
        }

        @Override // com.bykv.vk.openvk.api.proto.Caller
        public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
            if (i2 == 6162) {
                Log.i("TTMediationSDK", "GdtSplashLoader splashMinWindowAnimationFinish");
                splashMinWindowAnimationFinish();
            } else if (i2 == 6163) {
                Log.i("TTMediationSDK", "GdtSplashLoader getSplashBitMap");
                return (T) getSplashBitMap();
            } else if (i2 == 8142) {
                Log.i("TTMediationSDK", "GdtSplashLoader bidWinNotify");
                Map<String, Object> map = (Map) valueSet.objectValue(8006, Map.class);
                if (map != null) {
                    bidWinNotify(map);
                }
            } else if (i2 == 8144) {
                Log.i("TTMediationSDK", "GdtSplashLoader bidLoseNotify");
                Map<String, Object> map2 = (Map) valueSet.objectValue(8006, Map.class);
                if (map2 != null) {
                    bidLoseNotify(map2);
                }
            } else if (i2 == 6152) {
                Log.i("TTMediationSDK", "GdtSplashLoader showSplashAd");
                ViewGroup viewGroup = (ViewGroup) valueSet.objectValue(20060, ViewGroup.class);
                if (viewGroup != null) {
                    showSplashAd(viewGroup);
                }
            } else if (i2 != 6154 && i2 != 6153 && i2 != 6161) {
                if (i2 == 8109) {
                    onDestroy();
                } else if (i2 == 8120) {
                    return (T) Boolean.valueOf(hasDestroyed());
                } else {
                    if (i2 == 8121) {
                        return (T) isReadyStatus();
                    }
                }
            }
            return (T) MediationValueUtil.checkClassType(cls);
        }

        public Bitmap getSplashBitMap() {
            SplashAD splashAD = this.f456c;
            if (splashAD != null) {
                splashAD.getZoomOutBitmap();
                return null;
            }
            return null;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public boolean hasDestroyed() {
            return this.f456c == null;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public MediationConstant.AdIsReadyStatus isReadyStatus() {
            SplashAD splashAD = this.f456c;
            return (splashAD == null || !splashAD.isValid() || GdtSplashLoader.this.hasNotifyFail()) ? MediationConstant.AdIsReadyStatus.AD_IS_NOT_READY : MediationConstant.AdIsReadyStatus.AD_IS_READY;
        }

        /* JADX WARN: Removed duplicated region for block: B:13:0x0048  */
        /* JADX WARN: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARN: Removed duplicated region for block: B:17:0x005a  */
        @JProtect
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public void loadAd() {
            int i2;
            GdtSplashLoader gdtSplashLoader;
            if (!(GdtSplashLoader.this.b instanceof Activity)) {
                return;
            }
            if (GdtSplashLoader.this.f451c >= 0) {
                i2 = 5000;
                if (GdtSplashLoader.this.f451c > 5000) {
                    gdtSplashLoader = GdtSplashLoader.this;
                }
                SplashAD splashAD = new SplashAD(GdtSplashLoader.this.b, GdtSplashLoader.this.getAdnId(), this.a, GdtSplashLoader.this.f451c);
                this.f456c = splashAD;
                if (GdtSplashLoader.this.a) {
                    splashAD.preLoad();
                }
                if (GdtSplashLoader.this.f455g != 2) {
                    this.f456c.fetchAdOnly();
                    return;
                } else if (GdtSplashLoader.this.f455g == 0 || GdtSplashLoader.this.f455g == 1) {
                    this.f456c.fetchFullScreenAdOnly();
                    return;
                } else {
                    return;
                }
            }
            gdtSplashLoader = GdtSplashLoader.this;
            i2 = 3000;
            gdtSplashLoader.f451c = i2;
            SplashAD splashAD2 = new SplashAD(GdtSplashLoader.this.b, GdtSplashLoader.this.getAdnId(), this.a, GdtSplashLoader.this.f451c);
            this.f456c = splashAD2;
            if (GdtSplashLoader.this.a) {
            }
            if (GdtSplashLoader.this.f455g != 2) {
            }
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public void onDestroy() {
            this.f456c = null;
            this.a = null;
            GdtSplashLoader.this.b = null;
            GdtSplashLoader.this.f453e = null;
        }

        public void showSplashAd(ViewGroup viewGroup) {
            if (this.f456c == null || viewGroup == null) {
                return;
            }
            viewGroup.removeAllViews();
            RelativeLayout relativeLayout = this.f457d;
            if (relativeLayout == null || this.f458e == null) {
                return;
            }
            ViewParent parent = relativeLayout.getParent();
            if (parent instanceof ViewGroup) {
                ((ViewGroup) parent).removeView(this.f457d);
            }
            viewGroup.addView(this.f457d, -1, -1);
            if (GdtSplashLoader.this.f455g == 2) {
                this.f456c.showAd(this.f458e);
            } else if (GdtSplashLoader.this.f455g == 0 || GdtSplashLoader.this.f455g == 1) {
                this.f456c.showFullScreenAd(this.f458e);
            }
        }

        public void splashMinWindowAnimationFinish() {
            SplashAD splashAD = this.f456c;
            if (splashAD != null) {
                splashAD.zoomOutAnimationFinish();
            }
        }

        @Override // com.bykv.vk.openvk.api.proto.Bridge
        public ValueSet values() {
            return null;
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl
    public void realLoader(Context context, MediationAdSlotValueSet mediationAdSlotValueSet) {
        Log.i("TTMediationSDK", "GdtSplashLoader realLoader adnId:" + getAdnId());
        this.b = context;
        boolean splashShakeButton = getSplashShakeButton();
        this.f454f = splashShakeButton;
        if (!splashShakeButton) {
            HashMap hashMap = new HashMap();
            hashMap.put("shakable", "0");
            GlobalSetting.setExtraUserData(hashMap);
        }
        Context context2 = this.b;
        if (context2 instanceof Activity) {
            this.f453e = new SplashDismissController((Activity) context2, getOriginActivity((Activity) context2));
        }
        if (mediationAdSlotValueSet != null) {
            int originType = mediationAdSlotValueSet.getOriginType();
            this.f455g = originType;
            if (originType != 0 && originType != 1 && originType != 2) {
                this.f455g = 2;
            }
        }
        this.f451c = getLoadTimeOut();
        this.a = isSplashPreLoad();
        GDTSplashAd gDTSplashAd = new GDTSplashAd(mediationAdSlotValueSet, getGMBridge());
        this.f452d = gDTSplashAd;
        gDTSplashAd.loadAd();
    }
}
