package com.bytedance.msdk.adapter.ks;

import android.app.Activity;
import android.content.Context;
import android.content.DialogInterface;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.JProtect;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.bytedance.sdk.openadsdk.mediation.ad.MediationViewBinder;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationAdSlotValueSet;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
import com.kwad.components.core.internal.api.KSAdVideoPlayConfigImpl;
import com.kwad.sdk.api.KsAdSDK;
import com.kwad.sdk.api.KsFeedAd;
import com.kwad.sdk.api.KsImage;
import com.kwad.sdk.api.KsLoadManager;
import com.kwad.sdk.api.KsNativeAd;
import com.kwad.sdk.api.KsScene;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class KsBannerLoader extends KsBaseLoader {
    public Context a;
    public MediationAdSlotValueSet b;

    /* renamed from: c  reason: collision with root package name */
    public Bridge f468c;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class TTKsExpressAd extends MediationBaseAdBridge {
        public KsFeedAd a;

        public TTKsExpressAd(KsFeedAd ksFeedAd, MediationAdSlotValueSet mediationAdSlotValueSet, Bridge bridge) {
            super(mediationAdSlotValueSet, bridge);
            this.a = ksFeedAd;
            if (KsBannerLoader.this.isClientBidding()) {
                int ecpm = ksFeedAd.getECPM();
                setCpm(ecpm > 0 ? ecpm : 0.0d);
            }
            this.a.setAdInteractionListener(new KsFeedAd.AdInteractionListener() { // from class: com.bytedance.msdk.adapter.ks.KsBannerLoader.TTKsExpressAd.1
                @Override // com.kwad.sdk.api.KsFeedAd.AdInteractionListener
                public void onAdClicked() {
                    Bridge bridge2 = TTKsExpressAd.this.mGMAd;
                    if (bridge2 != null) {
                        bridge2.call(1009, null, Void.class);
                    }
                }

                @Override // com.kwad.sdk.api.KsFeedAd.AdInteractionListener
                public void onAdShow() {
                    Bridge bridge2 = TTKsExpressAd.this.mGMAd;
                    if (bridge2 != null) {
                        bridge2.call(1008, null, Void.class);
                    }
                }

                @Override // com.kwad.sdk.api.KsFeedAd.AdInteractionListener
                public void onDislikeClicked() {
                    Bridge bridge2 = TTKsExpressAd.this.mGMAd;
                    if (bridge2 != null) {
                        bridge2.call(1014, null, Void.class);
                    }
                }

                @Override // com.kwad.sdk.api.KsFeedAd.AdInteractionListener
                public void onDownloadTipsDialogDismiss() {
                }

                @Override // com.kwad.sdk.api.KsFeedAd.AdInteractionListener
                public void onDownloadTipsDialogShow() {
                }
            });
            if (KsBannerLoader.this.b != null) {
                KSAdVideoPlayConfigImpl kSAdVideoPlayConfigImpl = new KSAdVideoPlayConfigImpl();
                kSAdVideoPlayConfigImpl.setVideoSoundEnable(!KsBannerLoader.this.b.isMuted());
                ksFeedAd.setVideoPlayConfig(kSAdVideoPlayConfigImpl);
            }
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8033, true);
            bridge.call(8140, create.build(), Void.class);
        }

        @Override // com.bykv.vk.openvk.api.proto.Caller
        public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
            if (i2 == 6081) {
                return (T) getAdView();
            }
            if (i2 == 8121) {
                return (T) isReadyStatus();
            }
            if (i2 == 8120) {
                return (T) Boolean.valueOf(hasDestroyed());
            }
            if (i2 == 8109) {
                onDestroy();
            }
            return (T) MediationValueUtil.checkClassType(cls);
        }

        @JProtect
        public View getAdView() {
            KsFeedAd ksFeedAd = this.a;
            if (ksFeedAd != null) {
                return ksFeedAd.getFeedView(KsBannerLoader.this.a);
            }
            return null;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public boolean hasDestroyed() {
            return false;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public void onDestroy() {
        }

        public void render() {
            KsBannerLoader ksBannerLoader;
            String str;
            KsFeedAd ksFeedAd = this.a;
            if (ksFeedAd == null) {
                ksBannerLoader = KsBannerLoader.this;
                str = "render fail, ksFeedAd is null";
            } else if (ksFeedAd.getFeedView(KsBannerLoader.this.a) != null) {
                KsBannerLoader.this.notifyAdSuccess(this, this.mGMAd);
                return;
            } else {
                ksBannerLoader = KsBannerLoader.this;
                str = "render fail, expressView is null";
            }
            ksBannerLoader.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, str);
        }

        @Override // com.bykv.vk.openvk.api.proto.Bridge
        public ValueSet values() {
            return null;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class TTKsNativeAd extends MediationBaseAdBridge {
        public KsNativeAd a;
        public KsNativeAd.AdInteractionListener b;

        /* renamed from: c  reason: collision with root package name */
        public KsNativeAd.VideoPlayListener f469c;

        /* JADX WARN: Code restructure failed: missing block: B:55:0x01f5, code lost:
            if (r11 != null) goto L22;
         */
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public TTKsNativeAd(KsNativeAd ksNativeAd, MediationAdSlotValueSet mediationAdSlotValueSet, Bridge bridge) {
            super(mediationAdSlotValueSet, bridge);
            KsImage videoCoverImage;
            this.b = new KsNativeAd.AdInteractionListener() { // from class: com.bytedance.msdk.adapter.ks.KsBannerLoader.TTKsNativeAd.1
                @Override // com.kwad.sdk.api.KsNativeAd.AdInteractionListener
                public boolean handleDownloadDialog(DialogInterface.OnClickListener onClickListener) {
                    return false;
                }

                @Override // com.kwad.sdk.api.KsNativeAd.AdInteractionListener
                @JProtect
                public void onAdClicked(View view, KsNativeAd ksNativeAd2) {
                    Bridge bridge2 = TTKsNativeAd.this.mGMAd;
                    if (bridge2 != null) {
                        bridge2.call(1009, null, Void.class);
                    }
                }

                @Override // com.kwad.sdk.api.KsNativeAd.AdInteractionListener
                @JProtect
                public void onAdShow(KsNativeAd ksNativeAd2) {
                    Bridge bridge2 = TTKsNativeAd.this.mGMAd;
                    if (bridge2 != null) {
                        bridge2.call(1008, null, Void.class);
                    }
                }

                @Override // com.kwad.sdk.api.KsNativeAd.AdInteractionListener
                public void onDownloadTipsDialogDismiss() {
                }

                @Override // com.kwad.sdk.api.KsNativeAd.AdInteractionListener
                public void onDownloadTipsDialogShow() {
                }
            };
            this.f469c = new KsNativeAd.VideoPlayListener() { // from class: com.bytedance.msdk.adapter.ks.KsBannerLoader.TTKsNativeAd.2
                @Override // com.kwad.sdk.api.KsNativeAd.VideoPlayListener
                @JProtect
                public void onVideoPlayComplete() {
                }

                @Override // com.kwad.sdk.api.KsNativeAd.VideoPlayListener
                @JProtect
                public void onVideoPlayError(int i2, int i3) {
                }

                @Override // com.kwad.sdk.api.KsNativeAd.VideoPlayListener
                public void onVideoPlayPause() {
                }

                @Override // com.kwad.sdk.api.KsNativeAd.VideoPlayListener
                public void onVideoPlayReady() {
                }

                @Override // com.kwad.sdk.api.KsNativeAd.VideoPlayListener
                public void onVideoPlayResume() {
                }

                @Override // com.kwad.sdk.api.KsNativeAd.VideoPlayListener
                @JProtect
                public void onVideoPlayStart() {
                }
            };
            this.a = ksNativeAd;
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8033, false);
            create.add(8061, this.a.getActionDescription());
            create.add(8046, this.a.getAdDescription());
            create.add(8048, this.a.getAppIconUrl());
            String appName = !TextUtils.isEmpty(this.a.getAppName()) ? this.a.getAppName() : !TextUtils.isEmpty(this.a.getProductName()) ? this.a.getProductName() : "";
            create.add(8049, appName);
            create.add(8045, this.a.getAdSource());
            create.add(8055, this.a.getInteractionType() == 1);
            create.add(8082, this.a.getAppScore());
            create.add(8056, appName);
            create.add(8057, this.a.getCorporationName());
            create.add(8047, (int) this.a.getAppPackageSize());
            create.add(8078, (int) this.a.getAppPackageSize());
            create.add(8081, this.a.getAppVersion());
            create.add(8079, this.a.getPermissionInfoUrl());
            create.add(8080, this.a.getAppPrivacyUrl());
            if (this.a.getInteractionType() == 1) {
                create.add(8059, 4);
            } else if (this.a.getInteractionType() == 2) {
                create.add(8059, 3);
            } else {
                create.add(8059, -1);
            }
            if (KsBannerLoader.this.isClientBidding()) {
                create.add(8016, Math.max(this.a.getECPM(), 0.0d));
            }
            if (this.a.getMaterialType() == 2) {
                if (this.a.getImageList() != null && !this.a.getImageList().isEmpty() && this.a.getImageList().get(0) != null) {
                    create.add(8060, 3);
                    videoCoverImage = this.a.getImageList().get(0);
                    create.add(8050, videoCoverImage.getImageUrl());
                    create.add(8051, videoCoverImage.getHeight());
                    create.add(8052, videoCoverImage.getWidth());
                }
            } else if (this.a.getMaterialType() == 3) {
                if (this.a.getImageList() != null && this.a.getImageList().size() > 0) {
                    create.add(8060, 4);
                    ArrayList arrayList = new ArrayList();
                    for (KsImage ksImage : this.a.getImageList()) {
                        arrayList.add(ksImage.getImageUrl());
                    }
                    create.add(8053, arrayList);
                }
            } else if (this.a.getMaterialType() == 1) {
                create.add(8060, 5);
                videoCoverImage = this.a.getVideoCoverImage();
                if (videoCoverImage == null && this.a.getImageList() != null && !this.a.getImageList().isEmpty() && this.a.getImageList().get(0) != null) {
                    videoCoverImage = this.a.getImageList().get(0);
                }
            } else {
                create.add(8060, -1);
            }
            bridge.call(8140, create.build(), Void.class);
            this.a.setVideoPlayListener(this.f469c);
        }

        @Override // com.bykv.vk.openvk.api.proto.Caller
        public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
            if (i2 == 8121) {
                return (T) isReadyStatus();
            }
            if (i2 == 8120) {
                return (T) Boolean.valueOf(hasDestroyed());
            }
            if (i2 == 8159) {
                Activity activity = (Activity) valueSet.objectValue(20033, Activity.class);
                ViewGroup viewGroup = (ViewGroup) valueSet.objectValue(8067, ViewGroup.class);
                List<View> list = (List) valueSet.objectValue(8068, List.class);
                List<View> list2 = (List) valueSet.objectValue(8069, List.class);
                List list3 = (List) valueSet.objectValue(8070, List.class);
                registerView(activity, viewGroup, list, list2, (MediationViewBinder) valueSet.objectValue(8071, MediationViewBinder.class));
            } else if (i2 == 8109) {
                onDestroy();
            }
            return (T) MediationValueUtil.checkClassType(cls);
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public boolean hasDestroyed() {
            return this.a == null;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public void onDestroy() {
            KsNativeAd ksNativeAd = this.a;
            if (ksNativeAd != null) {
                ksNativeAd.setVideoPlayListener(null);
                this.a = null;
            }
        }

        @JProtect
        public void registerView(Activity activity, @NonNull ViewGroup viewGroup, List<View> list, List<View> list2, MediationViewBinder mediationViewBinder) {
            View findViewById;
            if (list != null && list2 != null) {
                list.addAll(list2);
            }
            KsNativeAd ksNativeAd = this.a;
            if (ksNativeAd != null) {
                ksNativeAd.registerViewForInteraction(viewGroup, list, this.b);
            }
            KsNativeAd ksNativeAd2 = this.a;
            boolean z = false;
            if (ksNativeAd2 != null && ksNativeAd2.getAdSourceLogoUrl(1) != null && (findViewById = viewGroup.findViewById(mediationViewBinder.logoLayoutId)) != null) {
                findViewById.setVisibility(0);
                if (findViewById instanceof ViewGroup) {
                    ViewGroup viewGroup2 = (ViewGroup) findViewById;
                    viewGroup2.removeAllViews();
                    ImageView imageView = new ImageView(KsBannerLoader.this.a);
                    new DownloadImageTask(imageView).execute(this.a.getAdSourceLogoUrl(1));
                    imageView.setScaleType(ImageView.ScaleType.CENTER_INSIDE);
                    viewGroup2.addView(imageView, -1, -1);
                } else if (findViewById instanceof ImageView) {
                    ImageView imageView2 = (ImageView) findViewById;
                    new DownloadImageTask(imageView2).execute(this.a.getAdSourceLogoUrl(1));
                    imageView2.setScaleType(ImageView.ScaleType.CENTER_INSIDE);
                }
            }
            ViewGroup viewGroup3 = (ViewGroup) viewGroup.findViewById(mediationViewBinder.mediaViewId);
            if (this.a == null || viewGroup3 == null) {
                return;
            }
            KSAdVideoPlayConfigImpl kSAdVideoPlayConfigImpl = new KSAdVideoPlayConfigImpl();
            if (KsBannerLoader.this.b != null && !KsBannerLoader.this.b.isMuted()) {
                z = true;
            }
            kSAdVideoPlayConfigImpl.setVideoSoundEnable(z);
            View videoView = this.a.getVideoView(KsBannerLoader.this.a, kSAdVideoPlayConfigImpl);
            if (videoView == null) {
                return;
            }
            KsBannerLoader.this.removeSelfFromParent(videoView);
            viewGroup3.removeAllViews();
            viewGroup3.addView(videoView, -1, -1);
        }

        @Override // com.bykv.vk.openvk.api.proto.Bridge
        public ValueSet values() {
            return null;
        }
    }

    @JProtect
    private void a(KsScene ksScene) {
        KsAdSDK.getLoadManager().loadConfigFeedAd(ksScene, new KsLoadManager.FeedAdListener() { // from class: com.bytedance.msdk.adapter.ks.KsBannerLoader.1
            @Override // com.kwad.sdk.api.KsLoadManager.FeedAdListener
            public void onError(int i2, String str) {
                KsBannerLoader.this.notifyAdFailed(i2, str);
            }

            @Override // com.kwad.sdk.api.KsLoadManager.FeedAdListener
            public void onFeedAdLoad(@Nullable List<KsFeedAd> list) {
                if (list == null || list.isEmpty()) {
                    KsBannerLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "load成功，list为空");
                    return;
                }
                for (KsFeedAd ksFeedAd : list) {
                    if (ksFeedAd != null) {
                        KsBannerLoader ksBannerLoader = KsBannerLoader.this;
                        new TTKsExpressAd(ksFeedAd, ksBannerLoader.b, KsBannerLoader.this.f468c).render();
                        return;
                    }
                }
            }
        });
    }

    @JProtect
    private void b(KsScene ksScene) {
        KsAdSDK.getLoadManager().loadNativeAd(ksScene, new KsLoadManager.NativeAdListener() { // from class: com.bytedance.msdk.adapter.ks.KsBannerLoader.2
            @Override // com.kwad.sdk.api.KsLoadManager.NativeAdListener
            public void onError(int i2, String str) {
                KsBannerLoader.this.notifyAdFailed(i2, str);
            }

            @Override // com.kwad.sdk.api.KsLoadManager.NativeAdListener
            public void onNativeAdLoad(@Nullable List<KsNativeAd> list) {
                if (list == null || list.isEmpty()) {
                    KsBannerLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "load成功，list为空");
                    return;
                }
                for (KsNativeAd ksNativeAd : list) {
                    if (ksNativeAd != null) {
                        KsBannerLoader ksBannerLoader = KsBannerLoader.this;
                        ksBannerLoader.notifyAdSuccess(new TTKsNativeAd(ksNativeAd, ksBannerLoader.b, KsBannerLoader.this.f468c), KsBannerLoader.this.f468c);
                        return;
                    }
                }
            }
        });
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl
    public void realLoader(Context context, MediationAdSlotValueSet mediationAdSlotValueSet) {
        String str;
        if (context == null || mediationAdSlotValueSet == null) {
            str = "context is null or adSlotValueSet is null";
        } else {
            this.a = context;
            this.b = mediationAdSlotValueSet;
            this.f468c = getGMBridge();
            try {
                KsScene build = new KsScene.Builder(Long.valueOf(getAdnId()).longValue()).adNum(1).build();
                if (mediationAdSlotValueSet.getAdSubType() == 4) {
                    int originType = mediationAdSlotValueSet.getOriginType();
                    if (originType == 1) {
                        float expressWidth = mediationAdSlotValueSet.getExpressWidth();
                        if (context != null && expressWidth > 0.0f) {
                            build.setWidth((int) Utils.dip2Px(context, expressWidth));
                        }
                        a(build);
                        return;
                    } else if (originType == 2) {
                        b(build);
                        return;
                    } else {
                        str = "广告类型错误";
                    }
                } else {
                    str = "ks不支持banner";
                }
            } catch (Exception unused) {
                notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "广告位id错误");
                return;
            }
        }
        notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, str);
    }
}
