package com.bytedance.msdk.adapter.ks;

import android.app.Activity;
import android.content.Context;
import android.util.Log;
import androidx.annotation.Nullable;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.JProtect;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationAdSlotValueSet;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
import com.kwad.sdk.api.KsAdSDK;
import com.kwad.sdk.api.KsFullScreenVideoAd;
import com.kwad.sdk.api.KsLoadManager;
import com.kwad.sdk.api.KsScene;
import com.kwad.sdk.api.KsVideoPlayConfig;
import com.ss.android.socialbase.downloader.constants.DownloadErrorCode;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class KsFullVideoLoader extends MediationAdLoaderImpl {
    public Context a;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class KsFullVideoAd extends MediationBaseAdBridge {
        public KsLoadManager.FullScreenVideoAdListener a;

        /* renamed from: c  reason: collision with root package name */
        public KsFullScreenVideoAd f474c;

        public KsFullVideoAd(MediationAdSlotValueSet mediationAdSlotValueSet, Bridge bridge) {
            super(mediationAdSlotValueSet, bridge);
            this.a = new KsLoadManager.FullScreenVideoAdListener() { // from class: com.bytedance.msdk.adapter.ks.KsFullVideoLoader.KsFullVideoAd.1
                @Override // com.kwad.sdk.api.KsLoadManager.FullScreenVideoAdListener
                @JProtect
                public void onError(int i2, String str) {
                    Log.i("TTMediationSDK", "ks_KsFullVideoLoader onError");
                    KsFullVideoLoader.this.notifyAdFailed(i2, str);
                }

                @Override // com.kwad.sdk.api.KsLoadManager.FullScreenVideoAdListener
                @JProtect
                public void onFullScreenVideoAdLoad(@Nullable List<KsFullScreenVideoAd> list) {
                    Log.i("TTMediationSDK", "ks_KsFullVideoLoader onFullScreenVideoAdLoad");
                    if (list == null || list.size() == 0 || list.get(0) == null) {
                        KsFullVideoLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "暂无广告");
                        return;
                    }
                    KsFullVideoAd.this.f474c = list.get(0);
                    if (KsFullVideoLoader.this.isClientBidding()) {
                        double ecpm = KsFullVideoAd.this.f474c.getECPM();
                        KsFullVideoAd ksFullVideoAd = KsFullVideoAd.this;
                        if (ecpm <= 0.0d) {
                            ecpm = 0.0d;
                        }
                        ksFullVideoAd.setCpm(ecpm);
                    }
                    KsFullVideoAd.this.setExpress();
                    KsFullVideoAd.this.f474c.setFullScreenVideoAdInteractionListener(new KsFullScreenVideoAd.FullScreenVideoAdInteractionListener() { // from class: com.bytedance.msdk.adapter.ks.KsFullVideoLoader.KsFullVideoAd.1.1
                        @Override // com.kwad.sdk.api.KsFullScreenVideoAd.FullScreenVideoAdInteractionListener
                        public void onAdClicked() {
                            Log.i("TTMediationSDK", "ks_KsFullVideoLoader onAdClicked");
                            Bridge bridge2 = KsFullVideoAd.this.mGMAd;
                            if (bridge2 != null) {
                                bridge2.call(1009, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsFullScreenVideoAd.FullScreenVideoAdInteractionListener
                        public void onPageDismiss() {
                            Log.i("TTMediationSDK", "ks_KsFullVideoLoader onPageDismiss");
                            Bridge bridge2 = KsFullVideoAd.this.mGMAd;
                            if (bridge2 != null) {
                                bridge2.call(1014, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsFullScreenVideoAd.FullScreenVideoAdInteractionListener
                        public void onSkippedVideo() {
                            Log.i("TTMediationSDK", "ks_KsFullVideoLoader onSkippedVideo");
                            Bridge bridge2 = KsFullVideoAd.this.mGMAd;
                            if (bridge2 != null) {
                                bridge2.call(DownloadErrorCode.ERROR_TARGET_FILE_DELETE_FAILED, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsFullScreenVideoAd.FullScreenVideoAdInteractionListener
                        public void onVideoPlayEnd() {
                            Log.i("TTMediationSDK", "ks_KsFullVideoLoader onVideoPlayEnd");
                            Bridge bridge2 = KsFullVideoAd.this.mGMAd;
                            if (bridge2 != null) {
                                bridge2.call(DownloadErrorCode.ERROR_CUR_BYTES_ZERO, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsFullScreenVideoAd.FullScreenVideoAdInteractionListener
                        public void onVideoPlayError(int i2, int i3) {
                            Log.i("TTMediationSDK", "ks_KsFullVideoLoader onVideoPlayError");
                            Bridge bridge2 = KsFullVideoAd.this.mGMAd;
                            if (bridge2 != null) {
                                bridge2.call(1021, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsFullScreenVideoAd.FullScreenVideoAdInteractionListener
                        public void onVideoPlayStart() {
                            Log.i("TTMediationSDK", "ks_KsFullVideoLoader onVideoPlayStart");
                            Bridge bridge2 = KsFullVideoAd.this.mGMAd;
                            if (bridge2 != null) {
                                bridge2.call(1008, null, Void.class);
                            }
                        }
                    });
                    KsFullVideoAd ksFullVideoAd2 = KsFullVideoAd.this;
                    KsFullVideoLoader.this.notifyAdSuccess(ksFullVideoAd2, ksFullVideoAd2.mGMAd);
                    KsFullVideoAd ksFullVideoAd3 = KsFullVideoAd.this;
                    KsFullVideoLoader.this.notifyAdCache(ksFullVideoAd3.mGMAd, MediationConstant.ErrorCode.ADN_AD_NO_CACHE, "没有cache回调");
                }

                @Override // com.kwad.sdk.api.KsLoadManager.FullScreenVideoAdListener
                public void onFullScreenVideoResult(@Nullable List<KsFullScreenVideoAd> list) {
                }
            };
        }

        @Override // com.bykv.vk.openvk.api.proto.Caller
        public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
            if (i2 == 8113) {
                Log.i("TTMediationSDK", "ks_KsFullVideoLoader showAd");
                Activity activity = (Activity) valueSet.objectValue(20033, Activity.class);
                if (activity != null) {
                    showAd(activity);
                }
            } else if (i2 == 8109) {
                onDestroy();
            } else if (i2 == 8120) {
                return (T) Boolean.valueOf(hasDestroyed());
            } else {
                if (i2 == 8121) {
                    return (T) isReadyStatus();
                }
            }
            return (T) MediationValueUtil.checkClassType(cls);
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public boolean hasDestroyed() {
            Log.i("TTMediationSDK", "ks_KsFullVideoLoader hasDestroyed");
            return this.f474c == null;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public MediationConstant.AdIsReadyStatus isReadyStatus() {
            Log.i("TTMediationSDK", "ks_KsFullVideoLoader isReadyStatus");
            KsFullScreenVideoAd ksFullScreenVideoAd = this.f474c;
            return (ksFullScreenVideoAd == null || !ksFullScreenVideoAd.isAdEnable()) ? MediationConstant.AdIsReadyStatus.AD_IS_NOT_READY : MediationConstant.AdIsReadyStatus.AD_IS_READY;
        }

        @JProtect
        public void loadAd(KsScene ksScene) {
            Log.i("TTMediationSDK", "ks_KsFullVideoLoader loadAd");
            KsAdSDK.getLoadManager().loadFullScreenVideoAd(ksScene, this.a);
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public void onDestroy() {
            Log.i("TTMediationSDK", "ks_KsFullVideoLoader onDestroy");
            KsFullScreenVideoAd ksFullScreenVideoAd = this.f474c;
            if (ksFullScreenVideoAd != null) {
                ksFullScreenVideoAd.setFullScreenVideoAdInteractionListener(null);
                this.f474c = null;
            }
        }

        @JProtect
        public void showAd(Activity activity) {
            Log.i("TTMediationSDK", "ks_KsFullVideoLoader showAd");
            if (activity == null || this.f474c == null) {
                return;
            }
            KsVideoPlayConfig.Builder builder = new KsVideoPlayConfig.Builder();
            boolean isMuted = isMuted();
            if (getOrientation() == 2) {
                builder.showLandscape(true);
            }
            builder.videoSoundEnable(!isMuted);
            this.f474c.showFullScreenVideoAd(activity, builder.build());
        }

        @Override // com.bykv.vk.openvk.api.proto.Bridge
        public ValueSet values() {
            return null;
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl
    public void realLoader(Context context, MediationAdSlotValueSet mediationAdSlotValueSet) {
        this.a = context;
        try {
            new KsFullVideoAd(mediationAdSlotValueSet, getGMBridge()).loadAd(new KsScene.Builder(Long.valueOf(getAdnId()).longValue()).build());
        } catch (Exception unused) {
            notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "代码位不合法");
        }
    }
}
