package com.bytedance.msdk.adapter.ks;

import android.app.Activity;
import android.content.Context;
import android.util.Log;
import androidx.annotation.Nullable;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.JProtect;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationAdSlotValueSet;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
import com.kwad.sdk.api.KsAdSDK;
import com.kwad.sdk.api.KsInterstitialAd;
import com.kwad.sdk.api.KsLoadManager;
import com.kwad.sdk.api.KsScene;
import com.kwad.sdk.api.KsVideoPlayConfig;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class KsInterstitialLoader extends MediationAdLoaderImpl {
    public Context a;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class KsInterstitialVideoAd extends MediationBaseAdBridge {
        public KsLoadManager.InterstitialAdListener a;

        /* renamed from: c  reason: collision with root package name */
        public KsInterstitialAd f475c;

        /* renamed from: d  reason: collision with root package name */
        public boolean f476d;

        public KsInterstitialVideoAd(MediationAdSlotValueSet mediationAdSlotValueSet, Bridge bridge) {
            super(mediationAdSlotValueSet, bridge);
            this.a = new KsLoadManager.InterstitialAdListener() { // from class: com.bytedance.msdk.adapter.ks.KsInterstitialLoader.KsInterstitialVideoAd.1
                @Override // com.kwad.sdk.api.KsLoadManager.InterstitialAdListener
                @JProtect
                public void onError(int i2, String str) {
                    Log.e("TTMediationSDK", "ks_KsInterstitialLoader onError");
                    KsInterstitialLoader.this.notifyAdFailed(i2, str);
                }

                @Override // com.kwad.sdk.api.KsLoadManager.InterstitialAdListener
                @JProtect
                public void onInterstitialAdLoad(@Nullable List<KsInterstitialAd> list) {
                    if (list == null || list.size() == 0) {
                        KsInterstitialLoader.this.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "暂无广告");
                        return;
                    }
                    Log.e("TTMediationSDK", "ks_KsInterstitialLoader onInterstitialAdLoad");
                    KsInterstitialVideoAd.this.f475c = list.get(0);
                    KsInterstitialVideoAd.this.setExpress();
                    if (KsInterstitialLoader.this.isClientBidding()) {
                        double ecpm = KsInterstitialVideoAd.this.f475c.getECPM();
                        KsInterstitialVideoAd ksInterstitialVideoAd = KsInterstitialVideoAd.this;
                        if (ecpm <= 0.0d) {
                            ecpm = 0.0d;
                        }
                        ksInterstitialVideoAd.setCpm(ecpm);
                    }
                    KsInterstitialVideoAd ksInterstitialVideoAd2 = KsInterstitialVideoAd.this;
                    KsInterstitialLoader.this.notifyAdSuccess(ksInterstitialVideoAd2, ksInterstitialVideoAd2.mGMAd);
                    KsInterstitialVideoAd.this.f475c.setAdInteractionListener(new KsInterstitialAd.AdInteractionListener() { // from class: com.bytedance.msdk.adapter.ks.KsInterstitialLoader.KsInterstitialVideoAd.1.1
                        @Override // com.kwad.sdk.api.KsInterstitialAd.AdInteractionListener
                        public void onAdClicked() {
                            Log.d("TTMediationSDK", "ks_KsInterstitialLoader onAdClicked");
                            Bridge bridge2 = KsInterstitialVideoAd.this.mGMAd;
                            if (bridge2 != null) {
                                bridge2.call(1009, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsInterstitialAd.AdInteractionListener
                        public void onAdClosed() {
                            Log.d("TTMediationSDK", "ks_KsInterstitialLoader onAdClosed");
                            KsInterstitialVideoAd.this.a();
                        }

                        @Override // com.kwad.sdk.api.KsInterstitialAd.AdInteractionListener
                        public void onAdShow() {
                            Log.d("TTMediationSDK", "ks_KsInterstitialLoader onAdShow");
                            Bridge bridge2 = KsInterstitialVideoAd.this.mGMAd;
                            if (bridge2 != null) {
                                bridge2.call(1008, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsInterstitialAd.AdInteractionListener
                        public void onPageDismiss() {
                            Log.d("TTMediationSDK", "ks_KsInterstitialLoader onPageDismiss");
                            KsInterstitialVideoAd.this.a();
                        }

                        @Override // com.kwad.sdk.api.KsInterstitialAd.AdInteractionListener
                        public void onSkippedAd() {
                            Log.d("TTMediationSDK", "ks_KsInterstitialLoader onSkippedAd");
                            KsInterstitialVideoAd.this.a();
                        }

                        @Override // com.kwad.sdk.api.KsInterstitialAd.AdInteractionListener
                        public void onVideoPlayEnd() {
                            Log.d("TTMediationSDK", "ks_KsInterstitialLoader onVideoPlayEnd");
                        }

                        @Override // com.kwad.sdk.api.KsInterstitialAd.AdInteractionListener
                        public void onVideoPlayError(int i2, int i3) {
                            Log.d("TTMediationSDK", "ks_KsInterstitialLoader onVideoPlayError");
                        }

                        @Override // com.kwad.sdk.api.KsInterstitialAd.AdInteractionListener
                        public void onVideoPlayStart() {
                            Log.d("TTMediationSDK", "ks_KsInterstitialLoader onVideoPlayStart");
                        }
                    });
                }

                @Override // com.kwad.sdk.api.KsLoadManager.InterstitialAdListener
                public void onRequestResult(int i2) {
                }
            };
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void a() {
            if (this.f476d) {
                return;
            }
            this.f476d = true;
            Bridge bridge = this.mGMAd;
            if (bridge != null) {
                bridge.call(1014, null, Void.class);
            }
        }

        @Override // com.bykv.vk.openvk.api.proto.Caller
        public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
            if (i2 == 8113) {
                Activity activity = (Activity) valueSet.objectValue(20033, Activity.class);
                if (activity != null) {
                    showAd(activity);
                }
            } else if (i2 == 8109) {
                onDestroy();
            } else if (i2 == 8120) {
                return (T) Boolean.valueOf(hasDestroyed());
            } else {
                if (i2 == 8121) {
                    return (T) isReadyStatus();
                }
            }
            return (T) MediationValueUtil.checkClassType(cls);
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public boolean hasDestroyed() {
            return this.f475c == null;
        }

        @JProtect
        public void loadAd(KsScene ksScene) {
            Log.e("TTMediationSDK", "ks_KsInterstitialLoader loadAd");
            KsAdSDK.getLoadManager().loadInterstitialAd(ksScene, this.a);
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public void onDestroy() {
            KsInterstitialAd ksInterstitialAd = this.f475c;
            if (ksInterstitialAd != null) {
                ksInterstitialAd.setAdInteractionListener(null);
                this.f475c = null;
            }
        }

        @JProtect
        public void showAd(Activity activity) {
            if (this.f475c != null) {
                this.f475c.showInterstitialAd(activity, new KsVideoPlayConfig.Builder().videoSoundEnable(!isMuted()).build());
            }
        }

        @Override // com.bykv.vk.openvk.api.proto.Bridge
        public ValueSet values() {
            return null;
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl
    public void realLoader(Context context, MediationAdSlotValueSet mediationAdSlotValueSet) {
        this.a = context;
        try {
            new KsInterstitialVideoAd(mediationAdSlotValueSet, getGMBridge()).loadAd(new KsScene.Builder(Long.valueOf(getAdnId()).longValue()).build());
        } catch (Exception unused) {
            notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "代码位不合法");
        }
    }
}
