package com.bytedance.msdk.adapter.ks;

import android.content.Context;
import android.content.DialogInterface;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.JProtect;
import com.bytedance.sdk.openadsdk.mediation.ad.MediationViewBinder;
import com.bytedance.sdk.openadsdk.mediation.bridge.IMediationCustomizeVideo;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.bridge.native_ad.MediationNativeAd;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationAdSlotValueSet;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
import com.kwad.components.core.internal.api.KSAdVideoPlayConfigImpl;
import com.kwad.sdk.api.KsApkDownloadListener;
import com.kwad.sdk.api.KsImage;
import com.kwad.sdk.api.KsNativeAd;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class KsNative extends MediationNativeAd {
    public KsNativeAd.AdInteractionListener a;
    public KsNativeAd.VideoPlayListener b;

    /* renamed from: c  reason: collision with root package name */
    public KsApkDownloadListener f477c;

    /* renamed from: d  reason: collision with root package name */
    public KsNativeAd f478d;

    /* renamed from: e  reason: collision with root package name */
    public Context f479e;

    /* renamed from: f  reason: collision with root package name */
    public MediationAdSlotValueSet f480f;

    public KsNative(Context context, KsNativeAd ksNativeAd, MediationAdSlotValueSet mediationAdSlotValueSet, Bridge bridge, KsNativeLoader ksNativeLoader) {
        super(ksNativeLoader, bridge);
        this.a = new KsNativeAd.AdInteractionListener() { // from class: com.bytedance.msdk.adapter.ks.KsNative.1
            @Override // com.kwad.sdk.api.KsNativeAd.AdInteractionListener
            public boolean handleDownloadDialog(DialogInterface.OnClickListener onClickListener) {
                return false;
            }

            @Override // com.kwad.sdk.api.KsNativeAd.AdInteractionListener
            @JProtect
            public void onAdClicked(View view, KsNativeAd ksNativeAd2) {
                KsNative.this.notifyOnClickAd();
            }

            @Override // com.kwad.sdk.api.KsNativeAd.AdInteractionListener
            @JProtect
            public void onAdShow(KsNativeAd ksNativeAd2) {
                KsNative.this.notifyOnShowAd();
            }

            @Override // com.kwad.sdk.api.KsNativeAd.AdInteractionListener
            public void onDownloadTipsDialogDismiss() {
            }

            @Override // com.kwad.sdk.api.KsNativeAd.AdInteractionListener
            public void onDownloadTipsDialogShow() {
            }
        };
        this.b = new KsNativeAd.VideoPlayListener() { // from class: com.bytedance.msdk.adapter.ks.KsNative.2
            @Override // com.kwad.sdk.api.KsNativeAd.VideoPlayListener
            @JProtect
            public void onVideoPlayComplete() {
                KsNative.this.notifyOnVideoComplete();
            }

            @Override // com.kwad.sdk.api.KsNativeAd.VideoPlayListener
            @JProtect
            public void onVideoPlayError(int i2, int i3) {
                KsNative ksNative = KsNative.this;
                ksNative.notifyOnVideoError(i2, "Android MediaPlay Error Code :" + i3);
            }

            @Override // com.kwad.sdk.api.KsNativeAd.VideoPlayListener
            public void onVideoPlayPause() {
            }

            @Override // com.kwad.sdk.api.KsNativeAd.VideoPlayListener
            public void onVideoPlayReady() {
            }

            @Override // com.kwad.sdk.api.KsNativeAd.VideoPlayListener
            public void onVideoPlayResume() {
            }

            @Override // com.kwad.sdk.api.KsNativeAd.VideoPlayListener
            @JProtect
            public void onVideoPlayStart() {
                KsNative.this.notifyOnVideoStart();
            }
        };
        this.f477c = new KsApkDownloadListener() { // from class: com.bytedance.msdk.adapter.ks.KsNative.3
            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public void onDownloadFailed() {
                KsNative.this.notifyOnDownloadFailed(-1L, -1L, null, null);
            }

            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public void onDownloadFinished() {
                KsNative.this.notifyOnDownloadFinished(-1L, null, null);
            }

            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public void onDownloadStarted() {
                KsNative.this.notifyOnDownloadStarted();
            }

            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public void onIdle() {
                KsNative.this.notifyOnIdel();
            }

            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public void onInstalled() {
                KsNative.this.notifyOnInstalled(null, null);
            }

            @Override // com.kwad.sdk.api.KsApkDownloadListener
            public void onPaused(int i2) {
                KsNative.this.notifyOnDownloadPause(-1L, -1L, null, null);
            }

            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public void onProgressUpdate(int i2) {
                KsNative.this.notifyOnProgressUpdate(-1L, -1L, i2, 2);
            }
        };
        this.f479e = context;
        this.f478d = ksNativeAd;
        this.f480f = mediationAdSlotValueSet;
        a();
    }

    /* JADX WARN: Code restructure failed: missing block: B:55:0x01e0, code lost:
        if (r1 != null) goto L22;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void a() {
        KsImage videoCoverImage;
        MediationValueSetBuilder create = MediationValueSetBuilder.create();
        create.add(8061, this.f478d.getActionDescription());
        create.add(8046, this.f478d.getAdDescription());
        create.add(8048, this.f478d.getAppIconUrl());
        String appName = !TextUtils.isEmpty(this.f478d.getAppName()) ? this.f478d.getAppName() : !TextUtils.isEmpty(this.f478d.getProductName()) ? this.f478d.getProductName() : "";
        create.add(8049, appName);
        create.add(8045, this.f478d.getAdSource());
        create.add(8055, this.f478d.getInteractionType() == 1);
        create.add(8033, false);
        create.add(8082, this.f478d.getAppScore());
        create.add(8056, appName);
        create.add(8057, this.f478d.getCorporationName());
        create.add(8047, (int) this.f478d.getAppPackageSize());
        create.add(8078, (int) this.f478d.getAppPackageSize());
        create.add(8081, this.f478d.getAppVersion());
        create.add(8079, this.f478d.getPermissionInfoUrl());
        create.add(8080, this.f478d.getAppPrivacyUrl());
        if (this.f478d.getInteractionType() == 1) {
            create.add(8059, 4);
        } else if (this.f478d.getInteractionType() == 2) {
            create.add(8059, 3);
        } else {
            create.add(8059, -1);
        }
        if (isClientBidding()) {
            create.add(8016, Math.max(this.f478d.getECPM(), 0.0d));
        }
        if (this.f478d.getMaterialType() == 2) {
            if (this.f478d.getImageList() != null && !this.f478d.getImageList().isEmpty() && this.f478d.getImageList().get(0) != null) {
                create.add(8060, 3);
                videoCoverImage = this.f478d.getImageList().get(0);
                create.add(8050, videoCoverImage.getImageUrl());
                create.add(8051, videoCoverImage.getHeight());
                create.add(8052, videoCoverImage.getWidth());
            }
        } else if (this.f478d.getMaterialType() == 3) {
            if (this.f478d.getImageList() != null && this.f478d.getImageList().size() > 0) {
                create.add(8060, 4);
                ArrayList arrayList = new ArrayList();
                for (KsImage ksImage : this.f478d.getImageList()) {
                    arrayList.add(ksImage.getImageUrl());
                }
                create.add(8053, arrayList);
            }
        } else if (this.f478d.getMaterialType() == 1) {
            create.add(8060, 5);
            videoCoverImage = this.f478d.getVideoCoverImage();
            if (videoCoverImage == null && this.f478d.getImageList() != null && !this.f478d.getImageList().isEmpty() && this.f478d.getImageList().get(0) != null) {
                videoCoverImage = this.f478d.getImageList().get(0);
            }
        } else {
            create.add(8060, -1);
        }
        notifyNativeValue(create.build());
        this.f478d.setVideoPlayListener(this.b);
        this.f478d.setDownloadListener(this.f477c);
    }

    private void a(ViewGroup viewGroup, List<View> list, List<View> list2, MediationViewBinder mediationViewBinder) {
        KsNativeAd ksNativeAd;
        View findViewById;
        if (list != null && list2 != null) {
            list.addAll(list2);
        }
        if (viewGroup instanceof FrameLayout) {
            KsNativeAd ksNativeAd2 = this.f478d;
            if (ksNativeAd2 != null) {
                ksNativeAd2.registerViewForInteraction(viewGroup, list, this.a);
            }
            KsNativeAd ksNativeAd3 = this.f478d;
            if (ksNativeAd3 != null && ksNativeAd3.getAdSourceLogoUrl(1) != null && (findViewById = viewGroup.findViewById(mediationViewBinder.logoLayoutId)) != null) {
                findViewById.setVisibility(0);
                if (findViewById instanceof ViewGroup) {
                    ViewGroup viewGroup2 = (ViewGroup) findViewById;
                    viewGroup2.removeAllViews();
                    ImageView imageView = new ImageView(this.f479e);
                    new DownloadImageTask(imageView).execute(this.f478d.getAdSourceLogoUrl(1));
                    imageView.setScaleType(ImageView.ScaleType.CENTER_INSIDE);
                    viewGroup2.addView(imageView, -1, -1);
                } else if (findViewById instanceof ImageView) {
                    ImageView imageView2 = (ImageView) findViewById;
                    new DownloadImageTask(imageView2).execute(this.f478d.getAdSourceLogoUrl(1));
                    imageView2.setScaleType(ImageView.ScaleType.CENTER_INSIDE);
                }
            }
            if (!isUseCustomVideo() || (ksNativeAd = this.f478d) == null || TextUtils.isEmpty(ksNativeAd.getVideoUrl())) {
                FrameLayout frameLayout = (FrameLayout) viewGroup.findViewById(mediationViewBinder.mediaViewId);
                if (this.f478d == null || frameLayout == null) {
                    return;
                }
                KSAdVideoPlayConfigImpl kSAdVideoPlayConfigImpl = new KSAdVideoPlayConfigImpl();
                kSAdVideoPlayConfigImpl.setVideoSoundEnable(!this.f480f.isMuted());
                View videoView = this.f478d.getVideoView(this.f479e, kSAdVideoPlayConfigImpl);
                if (videoView == null) {
                    return;
                }
                removeSelfFromParent(videoView);
                frameLayout.removeAllViews();
                frameLayout.addView(videoView, -1, -1);
            }
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.native_ad.MediationNativeAd, com.bykv.vk.openvk.api.proto.Caller
    public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
        KsNativeAd ksNativeAd;
        if (i2 == 8159) {
            a((ViewGroup) valueSet.objectValue(8067, ViewGroup.class), (List) valueSet.objectValue(8068, List.class), (List) valueSet.objectValue(8069, List.class), (MediationViewBinder) valueSet.objectValue(8071, MediationViewBinder.class));
        } else if (i2 == 8161) {
            return (T) Integer.valueOf(getVideoWidth());
        } else {
            if (i2 == 8162) {
                return (T) Integer.valueOf(getVideoHeight());
            }
            if (i2 == 8163) {
                return (T) String.valueOf(getVideoUrl());
            }
            if (i2 == 8164) {
                return (T) getNativeCustomVideoReporter();
            }
            if (i2 == 8320) {
                if (isUseCustomVideo() && (ksNativeAd = this.f478d) != null) {
                    return (T) new KsMediationCustomizeVideoImpl(ksNativeAd);
                }
            } else if (i2 == 8109) {
                KsNativeAd ksNativeAd2 = this.f478d;
                if (ksNativeAd2 != null) {
                    ksNativeAd2.setVideoPlayListener(null);
                    this.f478d = null;
                }
            } else if (i2 == 8120) {
                return (T) Boolean.valueOf(this.f478d == null);
            }
        }
        return (T) MediationValueUtil.checkClassType(cls);
    }

    public IMediationCustomizeVideo getNativeCustomVideoReporter() {
        if (isUseCustomVideo()) {
            return new IMediationCustomizeVideo() { // from class: com.bytedance.msdk.adapter.ks.KsNative.4
                @Override // com.bytedance.sdk.openadsdk.mediation.bridge.IMediationCustomizeVideo
                public String getVideoUrl() {
                    return null;
                }

                @Override // com.bytedance.sdk.openadsdk.mediation.bridge.IMediationCustomizeVideo
                public void reportVideoAutoStart() {
                }

                @Override // com.bytedance.sdk.openadsdk.mediation.bridge.IMediationCustomizeVideo
                public void reportVideoBreak(long j2) {
                }

                @Override // com.bytedance.sdk.openadsdk.mediation.bridge.IMediationCustomizeVideo
                public void reportVideoContinue(long j2) {
                }

                @Override // com.bytedance.sdk.openadsdk.mediation.bridge.IMediationCustomizeVideo
                public void reportVideoError(long j2, int i2, int i3) {
                }

                @Override // com.bytedance.sdk.openadsdk.mediation.bridge.IMediationCustomizeVideo
                public void reportVideoFinish() {
                    if (KsNative.this.f478d != null) {
                        KsNative.this.f478d.reportAdVideoPlayEnd();
                    }
                }

                @Override // com.bytedance.sdk.openadsdk.mediation.bridge.IMediationCustomizeVideo
                public void reportVideoPause(long j2) {
                }

                @Override // com.bytedance.sdk.openadsdk.mediation.bridge.IMediationCustomizeVideo
                public void reportVideoStart() {
                    if (KsNative.this.f478d != null) {
                        KsNative.this.f478d.reportAdVideoPlayStart();
                    }
                }

                @Override // com.bytedance.sdk.openadsdk.mediation.bridge.IMediationCustomizeVideo
                public void reportVideoStartError(int i2, int i3) {
                }
            };
        }
        return null;
    }

    public int getVideoHeight() {
        KsNativeAd ksNativeAd = this.f478d;
        if (ksNativeAd != null) {
            return ksNativeAd.getVideoHeight();
        }
        return 0;
    }

    public String getVideoUrl() {
        KsNativeAd ksNativeAd;
        return (!isUseCustomVideo() || (ksNativeAd = this.f478d) == null) ? "" : ksNativeAd.getVideoUrl();
    }

    public int getVideoWidth() {
        KsNativeAd ksNativeAd = this.f478d;
        if (ksNativeAd != null) {
            return ksNativeAd.getVideoWidth();
        }
        return 0;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.native_ad.MediationNativeAd, com.bykv.vk.openvk.api.proto.Bridge
    public ValueSet values() {
        return null;
    }
}
