package com.bytedance.msdk.adapter.ks;

import android.content.Context;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.bridge.native_ad.MediationNativeAd;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationAdSlotValueSet;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
import com.kwad.components.core.internal.api.KSAdVideoPlayConfigImpl;
import com.kwad.sdk.api.KsFeedAd;
import java.util.HashMap;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class KsNativeExpressAd extends MediationNativeAd {
    public KsFeedAd a;
    public MediationAdSlotValueSet b;

    /* renamed from: c  reason: collision with root package name */
    public Context f481c;

    public KsNativeExpressAd(Context context, KsFeedAd ksFeedAd, MediationAdSlotValueSet mediationAdSlotValueSet, Bridge bridge, KsNativeLoader ksNativeLoader) {
        super(ksNativeLoader, bridge);
        this.a = ksFeedAd;
        this.f481c = context;
        this.b = mediationAdSlotValueSet;
        a();
    }

    private void a() {
        MediationValueSetBuilder create = MediationValueSetBuilder.create();
        if (isClientBidding()) {
            create.add(8016, Math.max(this.a.getECPM(), 0.0d));
        }
        create.add(8033, true);
        notifyNativeValue(create.build());
        this.a.setAdInteractionListener(new KsFeedAd.AdInteractionListener() { // from class: com.bytedance.msdk.adapter.ks.KsNativeExpressAd.1
            @Override // com.kwad.sdk.api.KsFeedAd.AdInteractionListener
            public void onAdClicked() {
                KsNativeExpressAd.this.notifyOnClickAd();
            }

            @Override // com.kwad.sdk.api.KsFeedAd.AdInteractionListener
            public void onAdShow() {
                KsNativeExpressAd.this.notifyOnShowAd();
            }

            @Override // com.kwad.sdk.api.KsFeedAd.AdInteractionListener
            public void onDislikeClicked() {
                KsNativeExpressAd.this.notifyDislikeClick("ks信息流模板dislike接口无关闭原因", new HashMap());
                KsNativeExpressAd.this.notifyDislikeSelect(-1, "ks信息流模板dislike接口无关闭原因");
            }

            @Override // com.kwad.sdk.api.KsFeedAd.AdInteractionListener
            public void onDownloadTipsDialogDismiss() {
            }

            @Override // com.kwad.sdk.api.KsFeedAd.AdInteractionListener
            public void onDownloadTipsDialogShow() {
            }
        });
        if (this.b != null) {
            KSAdVideoPlayConfigImpl kSAdVideoPlayConfigImpl = new KSAdVideoPlayConfigImpl();
            kSAdVideoPlayConfigImpl.setVideoSoundEnable(!this.b.isMuted());
            this.a.setVideoPlayConfig(kSAdVideoPlayConfigImpl);
        }
    }

    private void a(int i2, String str) {
        notifyRenderFail(null, i2, str);
    }

    private void b() {
        notifyRenderSuccess(-1.0f, -2.0f);
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.native_ad.MediationNativeAd, com.bykv.vk.openvk.api.proto.Caller
    public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
        if (i2 == 6083) {
            KsFeedAd ksFeedAd = this.a;
            if (ksFeedAd == null || ksFeedAd.getFeedView(this.f481c) == null) {
                a(MediationConstant.ErrorCode.ADN_AD_RENDER_FAIL, "渲染失败");
            } else {
                b();
            }
        } else if (i2 == 6081) {
            KsFeedAd ksFeedAd2 = this.a;
            if (ksFeedAd2 != null) {
                return (T) ksFeedAd2.getFeedView(this.f481c);
            }
        } else if (i2 == 8135) {
            return (T) true;
        }
        return (T) MediationValueUtil.checkClassType(cls);
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.native_ad.MediationNativeAd, com.bykv.vk.openvk.api.proto.Bridge
    public ValueSet values() {
        return null;
    }
}
