package com.bytedance.msdk.adapter.ks;

import android.app.Activity;
import android.content.Context;
import android.util.Log;
import androidx.annotation.Nullable;
import com.baidu.mobads.sdk.api.PatchAdView;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationAdSlotValueSet;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
import com.kwad.sdk.api.KsAdSDK;
import com.kwad.sdk.api.KsLoadManager;
import com.kwad.sdk.api.KsRewardVideoAd;
import com.kwad.sdk.api.KsScene;
import com.kwad.sdk.api.KsVideoPlayConfig;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class KsRewardLoader extends KsBaseLoader {

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static class KsRewardVideo extends MediationBaseAdBridge {
        public KsLoadManager.RewardVideoAdListener a;
        public KsRewardVideoAd b;

        /* renamed from: c  reason: collision with root package name */
        public KsRewardLoader f485c;

        /* renamed from: d  reason: collision with root package name */
        public Bridge f486d;

        /* renamed from: e  reason: collision with root package name */
        public MediationAdSlotValueSet f487e;

        public KsRewardVideo(KsRewardLoader ksRewardLoader, MediationAdSlotValueSet mediationAdSlotValueSet, Bridge bridge) {
            super(mediationAdSlotValueSet, bridge);
            this.a = new KsLoadManager.RewardVideoAdListener() { // from class: com.bytedance.msdk.adapter.ks.KsRewardLoader.KsRewardVideo.1
                @Override // com.kwad.sdk.api.KsLoadManager.RewardVideoAdListener
                public void onError(int i2, String str) {
                    Log.i("KsRewardLoader", "load fail");
                    KsRewardVideo.this.f485c.notifyAdFailed(i2, str);
                }

                @Override // com.kwad.sdk.api.KsLoadManager.RewardVideoAdListener
                public void onRewardVideoAdLoad(@Nullable List<KsRewardVideoAd> list) {
                    if (list == null || list.size() == 0 || list.get(0) == null) {
                        KsRewardVideo.this.f485c.notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "广告位空");
                        return;
                    }
                    KsRewardVideo.this.b = list.get(0);
                    MediationValueSetBuilder create = MediationValueSetBuilder.create();
                    if (KsRewardVideo.this.f485c.isClientBidding()) {
                        double ecpm = KsRewardVideo.this.b.getECPM();
                        create.add(8016, ecpm > 0.0d ? ecpm : 0.0d);
                        KsRewardVideo.this.setCpm(ecpm);
                    }
                    KsRewardVideo.this.b.setRewardAdInteractionListener(new KsRewardVideoAd.RewardAdInteractionListener() { // from class: com.bytedance.msdk.adapter.ks.KsRewardLoader.KsRewardVideo.1.1
                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onAdClicked() {
                            Log.i("KsRewardLoader", PatchAdView.AD_CLICKED);
                            if (KsRewardVideo.this.f486d != null) {
                                KsRewardVideo.this.f486d.call(8115, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onExtraRewardVerify(int i2) {
                            Log.i("KsRewardLoader", "onExtraRewardVerify");
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onPageDismiss() {
                            Log.i("KsRewardLoader", "onPageDismiss");
                            if (KsRewardVideo.this.f486d != null) {
                                KsRewardVideo.this.f486d.call(8116, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onRewardStepVerify(int i2, int i3) {
                            Log.i("KsRewardLoader", "onRewardStepVerify");
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onRewardVerify() {
                            Log.i("KsRewardLoader", "onRewardVerify");
                            if (KsRewardVideo.this.f486d != null) {
                                MediationValueSetBuilder create2 = MediationValueSetBuilder.create();
                                create2.add(8017, true);
                                create2.add(8018, KsRewardVideo.this.f487e.getRewardAmount());
                                create2.add(8019, KsRewardVideo.this.f487e.getRewardName());
                                KsRewardVideo.this.f486d.call(8231, create2.build(), Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onVideoPlayEnd() {
                            Log.i("KsRewardLoader", "onVideoPlayEnd");
                            if (KsRewardVideo.this.f486d != null) {
                                KsRewardVideo.this.f486d.call(8118, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onVideoPlayError(int i2, int i3) {
                            Log.i("KsRewardLoader", "onVideoPlayError");
                            if (KsRewardVideo.this.f486d != null) {
                                KsRewardVideo.this.f486d.call(8117, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onVideoPlayStart() {
                            Log.i("KsRewardLoader", "onVideoPlayStart");
                            if (KsRewardVideo.this.f486d != null) {
                                KsRewardVideo.this.f486d.call(8230, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onVideoSkipToEnd(long j2) {
                            Log.i("KsRewardLoader", "onVideoSkipToEnd");
                            if (KsRewardVideo.this.f486d != null) {
                                KsRewardVideo.this.f486d.call(8119, null, Void.class);
                            }
                        }
                    });
                    KsRewardVideo.this.b.setRewardPlayAgainInteractionListener(new KsRewardVideoAd.RewardAdInteractionListener() { // from class: com.bytedance.msdk.adapter.ks.KsRewardLoader.KsRewardVideo.1.2
                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onAdClicked() {
                            Log.i("KsRewardLoader", "play again onAdClicked");
                            if (KsRewardVideo.this.f486d != null) {
                                KsRewardVideo.this.f486d.call(8232, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onExtraRewardVerify(int i2) {
                            Log.i("KsRewardLoader", "play again onExtraRewardVerify");
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onPageDismiss() {
                            Log.i("KsRewardLoader", "play again onPageDismiss");
                            if (KsRewardVideo.this.f486d != null) {
                                KsRewardVideo.this.f486d.call(8233, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onRewardStepVerify(int i2, int i3) {
                            Log.i("KsRewardLoader", "play again onRewardStepVerify");
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onRewardVerify() {
                            Log.i("KsRewardLoader", "play again onRewardVerify");
                            if (KsRewardVideo.this.f486d != null) {
                                MediationValueSetBuilder create2 = MediationValueSetBuilder.create();
                                create2.add(8017, true);
                                create2.add(8018, KsRewardVideo.this.f487e.getRewardAmount());
                                create2.add(8019, KsRewardVideo.this.f487e.getRewardName());
                                KsRewardVideo.this.f486d.call(8238, create2.build(), Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onVideoPlayEnd() {
                            Log.i("KsRewardLoader", "play again onVideoPlayEnd");
                            if (KsRewardVideo.this.f486d != null) {
                                KsRewardVideo.this.f486d.call(8235, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onVideoPlayError(int i2, int i3) {
                            Log.i("KsRewardLoader", "play again onVideoPlayError");
                            if (KsRewardVideo.this.f486d != null) {
                                KsRewardVideo.this.f486d.call(8234, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onVideoPlayStart() {
                            Log.i("KsRewardLoader", "play again onVideoPlayStart");
                            if (KsRewardVideo.this.f486d != null) {
                                KsRewardVideo.this.f486d.call(8237, null, Void.class);
                            }
                        }

                        @Override // com.kwad.sdk.api.KsRewardVideoAd.RewardAdInteractionListener
                        public void onVideoSkipToEnd(long j2) {
                            Log.i("KsRewardLoader", "play again onVideoSkipToEnd");
                            if (KsRewardVideo.this.f486d != null) {
                                KsRewardVideo.this.f486d.call(8236, null, Void.class);
                            }
                        }
                    });
                    if (KsRewardVideo.this.f485c != null) {
                        Log.i("KsRewardLoader", "load success");
                        KsRewardLoader ksRewardLoader2 = KsRewardVideo.this.f485c;
                        KsRewardVideo ksRewardVideo = KsRewardVideo.this;
                        ksRewardLoader2.notifyAdSuccess(ksRewardVideo, ksRewardVideo.f486d);
                    }
                    if (KsRewardVideo.this.f485c != null) {
                        Log.i("KsRewardLoader", "cache success");
                        KsRewardVideo.this.f485c.notifyAdCache(KsRewardVideo.this.f486d, MediationConstant.ErrorCode.ADN_AD_NO_CACHE, "没有cache回调");
                    }
                }

                @Override // com.kwad.sdk.api.KsLoadManager.RewardVideoAdListener
                public void onRewardVideoResult(@Nullable List<KsRewardVideoAd> list) {
                }
            };
            this.f485c = ksRewardLoader;
            this.f487e = mediationAdSlotValueSet;
            this.f486d = bridge;
            a();
        }

        private void a() {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8035, this);
            this.f486d.call(8128, create.build(), Void.class);
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void a(KsScene ksScene) {
            if (KsAdSDK.getLoadManager() != null) {
                KsAdSDK.getLoadManager().loadRewardVideoAd(ksScene, this.a);
            }
        }

        @Override // com.bykv.vk.openvk.api.proto.Caller
        public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
            if (i2 == 8113) {
                Activity activity = (Activity) valueSet.objectValue(20033, Activity.class);
                if (activity != null) {
                    showAd(activity);
                }
            } else if (i2 == 8109) {
                onDestroy();
            } else if (i2 == 8120) {
                return (T) Boolean.valueOf(hasDestroyed());
            } else {
                if (i2 == 8121) {
                    return (T) isReadyStatus();
                }
            }
            return (T) MediationValueUtil.checkClassType(cls);
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public boolean hasDestroyed() {
            return this.b == null;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public MediationConstant.AdIsReadyStatus isReadyStatus() {
            KsRewardVideoAd ksRewardVideoAd = this.b;
            return (ksRewardVideoAd == null || !ksRewardVideoAd.isAdEnable()) ? MediationConstant.AdIsReadyStatus.AD_IS_NOT_READY : MediationConstant.AdIsReadyStatus.AD_IS_READY;
        }

        @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationBaseAdBridge
        public void onDestroy() {
            KsRewardVideoAd ksRewardVideoAd = this.b;
            if (ksRewardVideoAd != null) {
                ksRewardVideoAd.setRewardAdInteractionListener(null);
                this.b = null;
            }
        }

        public void showAd(Activity activity) {
            if (this.b != null) {
                KsVideoPlayConfig.Builder builder = new KsVideoPlayConfig.Builder();
                MediationAdSlotValueSet mediationAdSlotValueSet = this.f487e;
                boolean isMuted = mediationAdSlotValueSet != null ? mediationAdSlotValueSet.isMuted() : false;
                MediationAdSlotValueSet mediationAdSlotValueSet2 = this.f487e;
                if (mediationAdSlotValueSet2 != null && mediationAdSlotValueSet2.getOrientation() == 2) {
                    builder.showLandscape(true);
                }
                builder.videoSoundEnable(!isMuted);
                this.b.showRewardVideoAd(activity, builder.build());
            }
        }

        @Override // com.bykv.vk.openvk.api.proto.Bridge
        public ValueSet values() {
            return null;
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.bridge.MediationAdLoaderImpl
    public void realLoader(Context context, MediationAdSlotValueSet mediationAdSlotValueSet) {
        try {
            KsScene.Builder builder = new KsScene.Builder(Long.valueOf(mediationAdSlotValueSet.getADNId()).longValue());
            HashMap hashMap = new HashMap();
            String userId = mediationAdSlotValueSet.getUserId();
            if (userId != null) {
                hashMap.put("thirdUserId", userId);
            }
            Map<String, Object> extraObject = mediationAdSlotValueSet.getExtraObject();
            if (extraObject != null && extraObject.get(MediationConstant.ADN_KS) != null) {
                hashMap.put("extraData", String.valueOf(extraObject.get(MediationConstant.ADN_KS)));
            }
            if (hashMap.size() > 0) {
                builder.rewardCallbackExtraData(hashMap);
            }
            new KsRewardVideo(this, mediationAdSlotValueSet, getGMBridge()).a(builder.build());
        } catch (Exception unused) {
            notifyAdFailed(MediationConstant.ErrorCode.ADN_AD_LOAD_FAIL, "代码位不合法");
        }
    }
}
