package com.bytedance.sdk.openadsdk;

import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public interface TTAdNative {

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface CSJSplashAdListener {
        void onSplashLoadFail(CSJAdError cSJAdError);

        void onSplashLoadSuccess();

        void onSplashRenderFail(CSJSplashAd cSJSplashAd, CSJAdError cSJAdError);

        void onSplashRenderSuccess(CSJSplashAd cSJSplashAd);
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface CommonListener {
        void onError(int i2, String str);
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface DrawFeedAdListener extends CommonListener {
        void onDrawFeedAdLoad(List<TTDrawFeedAd> list);

        @Override // com.bytedance.sdk.openadsdk.TTAdNative.CommonListener
        void onError(int i2, String str);
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface FeedAdListener extends CommonListener {
        @Override // com.bytedance.sdk.openadsdk.TTAdNative.CommonListener
        void onError(int i2, String str);

        void onFeedAdLoad(List<TTFeedAd> list);
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface FullScreenVideoAdListener extends CommonListener {
        @Override // com.bytedance.sdk.openadsdk.TTAdNative.CommonListener
        void onError(int i2, String str);

        void onFullScreenVideoAdLoad(TTFullScreenVideoAd tTFullScreenVideoAd);

        @Deprecated
        void onFullScreenVideoCached();

        void onFullScreenVideoCached(TTFullScreenVideoAd tTFullScreenVideoAd);
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface NativeAdListener extends CommonListener {
        @Override // com.bytedance.sdk.openadsdk.TTAdNative.CommonListener
        void onError(int i2, String str);

        void onNativeAdLoad(List<TTNativeAd> list);
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface NativeExpressAdListener extends CommonListener {
        @Override // com.bytedance.sdk.openadsdk.TTAdNative.CommonListener
        void onError(int i2, String str);

        void onNativeExpressAdLoad(List<TTNativeExpressAd> list);
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface RewardVideoAdListener extends CommonListener {
        @Override // com.bytedance.sdk.openadsdk.TTAdNative.CommonListener
        void onError(int i2, String str);

        void onRewardVideoAdLoad(TTRewardVideoAd tTRewardVideoAd);

        @Deprecated
        void onRewardVideoCached();

        void onRewardVideoCached(TTRewardVideoAd tTRewardVideoAd);
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface SplashAdListener extends CommonListener {
        @Override // com.bytedance.sdk.openadsdk.TTAdNative.CommonListener
        void onError(int i2, String str);

        void onSplashAdLoad(TTSplashAd tTSplashAd);

        void onTimeout();
    }

    void loadBannerExpressAd(AdSlot adSlot, NativeExpressAdListener nativeExpressAdListener);

    void loadDrawFeedAd(AdSlot adSlot, DrawFeedAdListener drawFeedAdListener);

    void loadExpressDrawFeedAd(AdSlot adSlot, NativeExpressAdListener nativeExpressAdListener);

    void loadFeedAd(AdSlot adSlot, FeedAdListener feedAdListener);

    void loadFullScreenVideoAd(AdSlot adSlot, FullScreenVideoAdListener fullScreenVideoAdListener);

    void loadNativeAd(AdSlot adSlot, NativeAdListener nativeAdListener);

    void loadNativeExpressAd(AdSlot adSlot, NativeExpressAdListener nativeExpressAdListener);

    void loadRewardVideoAd(AdSlot adSlot, RewardVideoAdListener rewardVideoAdListener);

    void loadSplashAd(AdSlot adSlot, CSJSplashAdListener cSJSplashAdListener, int i2);

    void loadSplashAd(AdSlot adSlot, SplashAdListener splashAdListener);

    @Deprecated
    void loadSplashAd(AdSlot adSlot, SplashAdListener splashAdListener, int i2);

    void loadStream(AdSlot adSlot, FeedAdListener feedAdListener);
}
