package com.bytedance.sdk.openadsdk.downloadnew;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Environment;
import android.text.TextUtils;
import android.widget.Toast;
import com.bytedance.sdk.openadsdk.TTAdConstant;
import com.bytedance.sdk.openadsdk.TTAdManager;
import com.bytedance.sdk.openadsdk.TTAdSdk;
import com.bytedance.sdk.openadsdk.TTAppContextHolder;
import com.bytedance.sdk.openadsdk.TTDownloadEventLogger;
import com.bytedance.sdk.openadsdk.downloadnew.core.DialogBuilder;
import com.bytedance.sdk.openadsdk.downloadnew.core.ExitInstallListener;
import com.bytedance.sdk.openadsdk.downloadnew.core.IDialogStatusChangedListener;
import com.bytedance.sdk.openadsdk.downloadnew.core.ITTDownloadAdapter;
import com.bytedance.sdk.openadsdk.downloadnew.core.ITTDownloadVisitor;
import com.bytedance.sdk.openadsdk.downloadnew.core.ITTHttpCallback;
import com.bytedance.sdk.openadsdk.downloadnew.core.ITTPermissionCallback;
import com.bytedance.sdk.openadsdk.downloadnew.core.TTDownloadEventModel;
import com.bytedance.sdk.openadsdk.downloadnew.core.TTDownloadField;
import com.bytedance.sdk.openadsdk.downloadnew.q;
import com.ss.android.download.api.config.IDownloadButtonClickListener;
import com.ss.android.download.api.config.cy;
import com.ss.android.download.api.config.e;
import com.ss.android.download.api.config.i;
import com.ss.android.download.api.config.kp;
import com.ss.android.download.api.config.om;
import com.ss.android.download.api.config.t;
import com.ss.android.download.api.config.wy;
import com.ss.android.download.api.config.x;
import com.ss.android.download.api.download.DownloadController;
import com.ss.android.download.api.download.DownloadEventConfig;
import com.ss.android.download.api.download.DownloadModel;
import com.ss.android.download.api.model.DownloadAlertDialogInfo;
import com.ss.android.download.api.model.zj;
import com.ss.android.downloadad.api.constant.AdBaseConstants;
import com.ss.android.downloadlib.addownload.model.d;
import com.ss.android.downloadlib.addownload.zj.zj;
import com.ss.android.downloadlib.constants.EventConstants;
import com.ss.android.socialbase.downloader.depend.IDownloadSettings;
import com.ss.android.socialbase.downloader.depend.IInstallAppHandler;
import com.ss.android.socialbase.downloader.downloader.DownloaderBuilder;
import com.ss.android.socialbase.downloader.exception.BaseException;
import com.ss.android.socialbase.downloader.logger.Logger;
import com.ss.android.socialbase.downloader.model.DownloadInfo;
import com.ss.android.socialbase.downloader.model.HttpHeader;
import com.ss.android.socialbase.downloader.network.IDownloadHttpConnection;
import com.ss.android.socialbase.downloader.network.IDownloadHttpService;
import java.io.IOException;
import java.io.InputStream;
import java.lang.ref.WeakReference;
import java.util.Collections;
import java.util.List;
import java.util.Map;
import java.util.WeakHashMap;
import java.util.concurrent.atomic.AtomicBoolean;
import org.json.JSONException;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class yo {

    /* renamed from: d  reason: collision with root package name */
    public static Map<Integer, ITTDownloadAdapter.OnEventLogHandler> f887d;
    public static final com.ss.android.download.api.download.zj.zj om;
    public static ITTDownloadVisitor q;
    public static Context u;
    public static volatile String zj;
    public static final AtomicBoolean yo = new AtomicBoolean(false);

    /* renamed from: k  reason: collision with root package name */
    public static boolean f888k = true;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class u implements IDownloadHttpService {
        @Override // com.ss.android.socialbase.downloader.network.IDownloadHttpService
        public IDownloadHttpConnection downloadWithConnection(int i2, String str, List<HttpHeader> list) throws IOException {
            final q.zj zj = com.bytedance.sdk.openadsdk.downloadnew.q.zj(str, list);
            if (zj != null) {
                return new IDownloadHttpConnection() { // from class: com.bytedance.sdk.openadsdk.downloadnew.yo.u.1
                    @Override // com.ss.android.socialbase.downloader.network.IDownloadHeadHttpConnection
                    public void cancel() {
                    }

                    @Override // com.ss.android.socialbase.downloader.network.IDownloadHttpConnection
                    public void end() {
                        try {
                            zj.yo.disconnect();
                        } catch (Exception unused) {
                        }
                    }

                    @Override // com.ss.android.socialbase.downloader.network.IDownloadHttpConnection
                    public InputStream getInputStream() {
                        return zj.zj;
                    }

                    @Override // com.ss.android.socialbase.downloader.network.IDownloadHeadHttpConnection
                    public int getResponseCode() {
                        return zj.q;
                    }

                    @Override // com.ss.android.socialbase.downloader.network.IDownloadHeadHttpConnection
                    public String getResponseHeaderField(String str2) {
                        Map<String, String> map = zj.f885k;
                        if (map != null) {
                            return map.get(str2);
                        }
                        return null;
                    }
                };
            }
            return null;
        }
    }

    static {
        try {
            zj = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DOWNLOADS).getPath();
        } catch (Throwable unused) {
        }
        om = new com.ss.android.download.api.download.zj.zj() { // from class: com.bytedance.sdk.openadsdk.downloadnew.yo.6
            @Override // com.ss.android.download.api.download.zj.zj
            public void k(DownloadInfo downloadInfo, String str) {
                com.bytedance.sdk.openadsdk.api.k.k("TTDownloadVisitor", "completeListener: onInstalled");
                yo.q(str);
            }

            @Override // com.ss.android.download.api.download.zj.zj
            public void zj(DownloadModel downloadModel, DownloadController downloadController, DownloadEventConfig downloadEventConfig) {
                com.bytedance.sdk.openadsdk.api.k.k("TTDownloadVisitor", "completeListener: onDownloadStart");
            }

            @Override // com.ss.android.download.api.download.zj.zj
            public void zj(DownloadInfo downloadInfo, String str) {
                com.bytedance.sdk.openadsdk.api.k.k("TTDownloadVisitor", "completeListener: onDownloadFinished");
            }

            @Override // com.ss.android.download.api.download.zj.zj
            public void zj(DownloadInfo downloadInfo, BaseException baseException, String str) {
                com.bytedance.sdk.openadsdk.api.k.k("TTDownloadVisitor", "completeListener: onDownloadFailed");
            }

            @Override // com.ss.android.download.api.download.zj.zj
            public void zj(DownloadInfo downloadInfo) {
                com.bytedance.sdk.openadsdk.api.k.k("TTDownloadVisitor", "completeListener: onCanceled");
            }
        };
    }

    public static boolean d() {
        return false;
    }

    public static Context getContext() {
        Context context = u;
        return context == null ? TTAppContextHolder.getContext() : context;
    }

    public static void q(String str) {
        com.ss.android.downloadad.api.zj.k zj2;
        JSONObject om2;
        if (TextUtils.isEmpty(str) || (zj2 = d.zj().zj(str)) == null || (om2 = zj2.om()) == null || u() == null) {
            return;
        }
        u().checkAutoControl(om2, str);
    }

    public static ITTDownloadVisitor u() {
        ITTDownloadVisitor iTTDownloadVisitor = q;
        if (iTTDownloadVisitor == null) {
            TTAdManager adManager = TTAdSdk.getAdManager();
            if (adManager == null) {
                return null;
            }
            return (ITTDownloadVisitor) adManager.getExtra(ITTDownloadVisitor.class, com.bytedance.sdk.openadsdk.downloadnew.k.zj(1));
        }
        return iTTDownloadVisitor;
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class q implements wy {
        @Override // com.ss.android.download.api.config.wy
        public void zj(Activity activity, int i2, String[] strArr, int[] iArr) {
        }

        @Override // com.ss.android.download.api.config.wy
        public void zj(Activity activity, String[] strArr, final i iVar) {
            if (yo.u() != null) {
                yo.u().requestPermission(activity, strArr, new ITTPermissionCallback() { // from class: com.bytedance.sdk.openadsdk.downloadnew.yo.q.1
                    @Override // com.bytedance.sdk.openadsdk.downloadnew.core.ITTPermissionCallback
                    public void onDenied(String str) {
                        i iVar2 = iVar;
                        if (iVar2 != null) {
                            iVar2.zj(str);
                        }
                    }

                    @Override // com.bytedance.sdk.openadsdk.downloadnew.core.ITTPermissionCallback
                    public void onGranted() {
                        i iVar2 = iVar;
                        if (iVar2 != null) {
                            iVar2.zj();
                        }
                    }
                });
            }
        }

        @Override // com.ss.android.download.api.config.wy
        public boolean zj(Context context, String str) {
            if (yo.u() != null) {
                return yo.u().hasPermission(context, str);
            }
            return false;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class zj implements om {
        private void q(com.ss.android.download.api.model.k kVar) {
            if (kVar == null) {
                return;
            }
            Object x = kVar.x();
            TTDownloadEventModel label = TTDownloadEventModel.builder().setTag(kVar.k()).setExtJson(kVar.kp()).setMaterialMeta(x instanceof JSONObject ? (JSONObject) x : null).setLabel(kVar.q());
            boolean z = EventConstants.Tag.NOTIFICATION.equals(kVar.k()) || EventConstants.Tag.LANDING_H5_DOWNLOAD_AD_BUTTON.equals(kVar.k());
            if (yo.u() != null) {
                yo.u().executeLogUpload(label, z);
            }
        }

        @Override // com.ss.android.download.api.config.om
        public void k(com.ss.android.download.api.model.k kVar) {
            com.bytedance.sdk.openadsdk.api.k.k("LibEventLogger", "onEvent called");
            zj(kVar, false);
            q(kVar);
        }

        @Override // com.ss.android.download.api.config.om
        public void zj(com.ss.android.download.api.model.k kVar) {
            com.bytedance.sdk.openadsdk.api.k.k("LibEventLogger", "onV3Event");
            zj(kVar, true);
        }

        private void zj(com.ss.android.download.api.model.k kVar, boolean z) {
            TTDownloadEventLogger tTDownloadEventLogger;
            if (yo.u() == null || (tTDownloadEventLogger = yo.u().getTTDownloadEventLogger()) == null || kVar == null) {
                return;
            }
            if (tTDownloadEventLogger.shouldFilterOpenSdkLog() && yo.u().isOpenSdkEvent(kVar.toString())) {
                return;
            }
            if (z) {
                tTDownloadEventLogger.onV3Event(yo.k(kVar));
            } else {
                tTDownloadEventLogger.onEvent(yo.k(kVar));
            }
        }
    }

    public static void k() {
        zj().om();
        if (u() != null) {
            u().clearAllData(zj);
        }
    }

    public static void zj(Context context) {
        if (context == null) {
            context = TTAppContextHolder.getContext();
        }
        if (context == null || yo.get()) {
            return;
        }
        synchronized (yo.class) {
            if (!yo.get()) {
                u = context.getApplicationContext();
                if (u() != null) {
                    String initPath = u().initPath(f888k);
                    if (!TextUtils.isEmpty(initPath)) {
                        zj = initPath;
                    }
                }
                yo.set(k(u));
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class k implements kp {
        public k() {
        }

        @Override // com.ss.android.download.api.config.kp
        public void zj(String str, String str2, Map<String, Object> map, final cy cyVar) {
            char c2;
            int hashCode = str.hashCode();
            int i2 = 1;
            if (hashCode != 70454) {
                if (hashCode == 2461856 && str.equals("POST")) {
                    c2 = 1;
                }
                c2 = 65535;
            } else {
                if (str.equals("GET")) {
                    c2 = 0;
                }
                c2 = 65535;
            }
            i2 = (c2 == 0 || c2 != 1) ? 0 : 0;
            if (yo.u() != null) {
                yo.u().execute(i2, str2, map, new ITTHttpCallback() { // from class: com.bytedance.sdk.openadsdk.downloadnew.yo.k.1
                    @Override // com.bytedance.sdk.openadsdk.downloadnew.core.ITTHttpCallback
                    public void onError(Throwable th) {
                        cy cyVar2 = cyVar;
                        if (cyVar2 != null) {
                            cyVar2.zj(th);
                        }
                    }

                    @Override // com.bytedance.sdk.openadsdk.downloadnew.core.ITTHttpCallback
                    public void onResponse(String str3) {
                        cy cyVar2 = cyVar;
                        if (cyVar2 != null) {
                            cyVar2.zj(str3);
                        }
                    }
                });
            }
        }

        @Override // com.ss.android.download.api.config.kp
        public void zj(String str, byte[] bArr, String str2, int i2, final cy cyVar) {
            if (yo.u() != null) {
                yo.u().postBody(str, bArr, str2, new ITTHttpCallback() { // from class: com.bytedance.sdk.openadsdk.downloadnew.yo.k.2
                    @Override // com.bytedance.sdk.openadsdk.downloadnew.core.ITTHttpCallback
                    public void onError(Throwable th) {
                        cy cyVar2 = cyVar;
                        if (cyVar2 != null) {
                            cyVar2.zj(th);
                        }
                    }

                    @Override // com.bytedance.sdk.openadsdk.downloadnew.core.ITTHttpCallback
                    public void onResponse(String str3) {
                        cy cyVar2 = cyVar;
                        if (cyVar2 != null) {
                            cyVar2.zj(str3);
                        }
                    }
                });
            }
        }
    }

    /* compiled from: AAA */
    /* renamed from: com.bytedance.sdk.openadsdk.downloadnew.yo$yo  reason: collision with other inner class name */
    /* loaded from: classes2.dex */
    public static class C0038yo implements x {
        public final WeakReference<Context> zj;

        public C0038yo(Context context) {
            this.zj = new WeakReference<>(context);
        }

        private DialogBuilder q(final DownloadAlertDialogInfo downloadAlertDialogInfo) {
            return DialogBuilder.builder().setTitle(downloadAlertDialogInfo.f1721k).setMessage(downloadAlertDialogInfo.q).setNegativeBtnText(downloadAlertDialogInfo.u).setPositiveBtnText(downloadAlertDialogInfo.yo).setIcon(downloadAlertDialogInfo.om).setDialogStatusChangedListener(new IDialogStatusChangedListener() { // from class: com.bytedance.sdk.openadsdk.downloadnew.yo.yo.1
                @Override // com.bytedance.sdk.openadsdk.downloadnew.core.IDialogStatusChangedListener
                public void onCancel(DialogInterface dialogInterface) {
                    DownloadAlertDialogInfo.k kVar = downloadAlertDialogInfo.kp;
                    if (kVar != null) {
                        kVar.q(dialogInterface);
                    }
                }

                @Override // com.bytedance.sdk.openadsdk.downloadnew.core.IDialogStatusChangedListener
                public void onNegativeBtnClick(DialogInterface dialogInterface) {
                    DownloadAlertDialogInfo.k kVar = downloadAlertDialogInfo.kp;
                    if (kVar != null) {
                        try {
                            kVar.k(dialogInterface);
                        } catch (Exception e2) {
                            e2.printStackTrace();
                        }
                    }
                }

                @Override // com.bytedance.sdk.openadsdk.downloadnew.core.IDialogStatusChangedListener
                public void onPositiveBtnClick(DialogInterface dialogInterface) {
                    DownloadAlertDialogInfo.k kVar = downloadAlertDialogInfo.kp;
                    if (kVar != null) {
                        kVar.zj(dialogInterface);
                    }
                }
            });
        }

        @Override // com.ss.android.download.api.config.x
        public void zj(int i2, Context context, DownloadModel downloadModel, String str, Drawable drawable, int i3) {
            try {
                if (TextUtils.isEmpty(str)) {
                    return;
                }
                Toast.makeText(context, str, 0).show();
            } catch (Exception e2) {
                Logger.e("LibUIFactory", "showToastWithDuration e " + e2.getMessage());
            }
        }

        @Override // com.ss.android.download.api.config.x
        /* renamed from: zj */
        public AlertDialog k(DownloadAlertDialogInfo downloadAlertDialogInfo) {
            if (downloadAlertDialogInfo != null && yo.u() != null) {
                Context context = downloadAlertDialogInfo.zj;
                if (context != null && (context instanceof Activity)) {
                    return yo.u().showDialogBySelf((Activity) downloadAlertDialogInfo.zj, downloadAlertDialogInfo.f1720e == 1, q(downloadAlertDialogInfo));
                }
                yo.u().showDialogByDelegate(this.zj, downloadAlertDialogInfo.f1720e == 1, q(downloadAlertDialogInfo));
            }
            return null;
        }
    }

    public static boolean k(Context context) {
        com.ss.android.download.api.zj zj2;
        if (context == null) {
            return false;
        }
        Context applicationContext = context.getApplicationContext();
        String packageName = applicationContext.getPackageName();
        if (TextUtils.isEmpty(packageName)) {
            packageName = "";
        }
        if (d()) {
            try {
                zj2 = com.ss.android.downloadlib.kp.zj(applicationContext).zj(AdBaseConstants.DownloadConfigureName.PANGOLIN);
            } catch (Throwable unused) {
                zj2 = com.ss.android.downloadlib.kp.zj(applicationContext).zj();
            }
        } else {
            zj2 = com.ss.android.downloadlib.kp.zj(applicationContext).zj();
        }
        if (zj2 == null) {
            return false;
        }
        com.ss.android.download.api.zj zj3 = zj2.zj(new q()).zj(new zj()).zj(new C0038yo(applicationContext)).zj(new k()).zj(new e() { // from class: com.bytedance.sdk.openadsdk.downloadnew.yo.3
            @Override // com.ss.android.download.api.config.e
            public JSONObject zj() {
                if (yo.u() != null) {
                    return yo.u().getDownloadSettings();
                }
                return new JSONObject();
            }
        }).zj(new com.ss.android.download.api.config.k() { // from class: com.bytedance.sdk.openadsdk.downloadnew.yo.2
            @Override // com.ss.android.download.api.config.k
            public boolean zj() {
                if (yo.u() != null) {
                    return yo.u().getAppIsBackground();
                }
                return false;
            }
        }).zj(new zj.C0196zj().k("143").zj(TTAdConstant.APP_NAME).q("5.1.7.3").yo(String.valueOf(5173)).zj()).zj(new t() { // from class: com.bytedance.sdk.openadsdk.downloadnew.yo.1
            @Override // com.ss.android.download.api.config.t
            public byte[] zj(byte[] bArr, int i2) {
                return new byte[0];
            }
        });
        zj3.zj(packageName + ".TTFileProvider").zj(zj(applicationContext, u() != null ? u().getDownloadSettings() : new JSONObject())).zj();
        com.ss.android.downloadlib.utils.zj.zj();
        com.ss.android.downloadlib.kp.zj(applicationContext).yo().zj(1);
        com.ss.android.downloadlib.kp.zj(applicationContext).zj(om);
        com.ss.android.socialbase.appdownloader.yo.e().zj(new IInstallAppHandler() { // from class: com.bytedance.sdk.openadsdk.downloadnew.yo.4
            @Override // com.ss.android.socialbase.downloader.depend.IInstallAppHandler
            public boolean installApp(Intent intent) {
                return false;
            }
        });
        TTDownloadEventLogger tTDownloadEventLogger = u().getTTDownloadEventLogger();
        if (tTDownloadEventLogger != null) {
            tTDownloadEventLogger.onDownloadConfigReady();
        }
        return true;
    }

    public static Map<Integer, ITTDownloadAdapter.OnEventLogHandler> q() {
        return f887d;
    }

    public static void zj(String str) {
        if (TextUtils.isEmpty(str)) {
            return;
        }
        zj = str;
    }

    public static com.ss.android.downloadlib.kp zj() {
        zj(getContext());
        return com.ss.android.downloadlib.kp.zj(getContext());
    }

    public static boolean zj(Context context, Uri uri, DownloadModel downloadModel, DownloadEventConfig downloadEventConfig, DownloadController downloadController, IDownloadButtonClickListener iDownloadButtonClickListener) {
        return zj().u().zj(context, uri, downloadModel, downloadEventConfig, downloadController, iDownloadButtonClickListener);
    }

    public static boolean zj(Context context, Uri uri, DownloadModel downloadModel, DownloadEventConfig downloadEventConfig, DownloadController downloadController) {
        return zj().u().zj(context, uri, downloadModel, downloadEventConfig, downloadController);
    }

    public static boolean zj(Uri uri) {
        return com.ss.android.downloadlib.k.e.zj(uri);
    }

    public static void zj(int i2) {
        Map<Integer, ITTDownloadAdapter.OnEventLogHandler> map = f887d;
        if (map != null) {
            map.remove(Integer.valueOf(i2));
        }
    }

    public static void zj(int i2, ITTDownloadAdapter.OnEventLogHandler onEventLogHandler) {
        if (onEventLogHandler != null) {
            if (f887d == null) {
                f887d = Collections.synchronizedMap(new WeakHashMap());
            }
            f887d.put(Integer.valueOf(i2), onEventLogHandler);
        }
    }

    public static boolean zj(String str, String str2, JSONObject jSONObject, Object obj) {
        Map<Integer, ITTDownloadAdapter.OnEventLogHandler> q2;
        boolean z = false;
        if (!TextUtils.isEmpty(str) && !TextUtils.isEmpty(str2) && jSONObject != null && (q2 = q()) != null) {
            for (Map.Entry<Integer, ITTDownloadAdapter.OnEventLogHandler> entry : q2.entrySet()) {
                int intValue = entry.getKey().intValue();
                ITTDownloadAdapter.OnEventLogHandler value = entry.getValue();
                if (value != null) {
                    boolean onEventLog = value.onEventLog(intValue, jSONObject.toString(), str, str2, obj);
                    if (!z && !onEventLog) {
                        z = true;
                    }
                }
            }
        }
        return z;
    }

    public static DownloaderBuilder zj(Context context, JSONObject jSONObject) {
        return new DownloaderBuilder(context).downloadSetting(new IDownloadSettings() { // from class: com.bytedance.sdk.openadsdk.downloadnew.yo.5
            @Override // com.ss.android.socialbase.downloader.depend.IDownloadSettings
            public JSONObject get() {
                if (yo.u() != null) {
                    return yo.u().getDownloadSettings();
                }
                return new JSONObject();
            }
        }).downloadExpSwitch(jSONObject.optInt("download_exp_switch_temp", 1040187391)).httpService(new u());
    }

    public static JSONObject k(com.ss.android.download.api.model.k kVar) {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("category", kVar.zj());
            jSONObject.put("tag", kVar.k());
            jSONObject.put("label", kVar.q());
            jSONObject.put("isAd", kVar.yo());
            jSONObject.put("adId", kVar.u());
            jSONObject.put(TTDownloadField.TT_LOG_EXTRA, kVar.d());
            jSONObject.put("extValue", kVar.om());
            jSONObject.put("extJson", kVar.kp());
            jSONObject.put("paramsJson", kVar.wy());
            jSONObject.put("eventSource", kVar.n());
            jSONObject.put("extraObject", kVar.x());
            jSONObject.put("clickTrackUrl", kVar.e());
            jSONObject.put("isV3", kVar.ja());
            jSONObject.put("V3EventName", kVar.a());
            jSONObject.put("V3EventParams", kVar.w());
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        return jSONObject;
    }

    public static boolean zj(Context context, String str) {
        if (context != null && !TextUtils.isEmpty(str)) {
            List<DownloadInfo> k2 = com.ss.android.socialbase.appdownloader.yo.e().k(context);
            if (!k2.isEmpty()) {
                for (DownloadInfo downloadInfo : k2) {
                    if (downloadInfo != null && str.equals(downloadInfo.getUrl())) {
                        return true;
                    }
                }
            }
        }
        return false;
    }

    public static boolean zj(Activity activity, final ExitInstallListener exitInstallListener) {
        return com.ss.android.downloadlib.addownload.zj.zj.zj().zj(activity, false, new zj.InterfaceC0197zj() { // from class: com.bytedance.sdk.openadsdk.downloadnew.yo.7
            @Override // com.ss.android.downloadlib.addownload.zj.zj.InterfaceC0197zj
            public void zj() {
                ExitInstallListener exitInstallListener2 = ExitInstallListener.this;
                if (exitInstallListener2 != null) {
                    exitInstallListener2.onExitInstall();
                }
            }
        });
    }
}
