package com.bytedance.sdk.openadsdk.live;

import android.app.Application;
import android.content.Context;
import android.content.res.Resources;
import android.os.Bundle;
import android.text.TextUtils;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.EventListener;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.android.live.base.api.ILiveHostContextParam;
import com.bytedance.android.live.base.api.ILiveInitCallback;
import com.bytedance.android.live.base.api.IOuterLiveRoomService;
import com.bytedance.android.live.base.api.MethodChannelService;
import com.bytedance.android.live.base.api.callback.Callback;
import com.bytedance.android.openliveplugin.LivePluginHelper;
import com.bytedance.pangle.Zeus;
import com.bytedance.pangle.plugin.Plugin;
import com.bytedance.sdk.openadsdk.AdSlot;
import com.bytedance.sdk.openadsdk.TTAdEvent;
import com.bytedance.sdk.openadsdk.TTAdManager;
import com.bytedance.sdk.openadsdk.TTAdSdk;
import com.bytedance.sdk.openadsdk.TTAppContextHolder;
import com.bytedance.sdk.openadsdk.TTPluginListener;
import com.bytedance.sdk.openadsdk.api.plugin.PluginConstants;
import com.bytedance.sdk.openadsdk.api.plugin.u;
import com.bytedance.sdk.openadsdk.api.q;
import com.bytedance.sdk.openadsdk.api.yo;
import com.bytedance.sdk.openadsdk.live.core.ITTLiveConfig;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import java.io.Serializable;
import java.util.Map;
import java.util.concurrent.atomic.AtomicBoolean;
import org.json.JSONException;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public final class k extends com.bytedance.sdk.openadsdk.downloadnew.zj implements Bridge, Serializable {
    public ITTLiveTokenInjectionAuth wy;

    /* renamed from: k  reason: collision with root package name */
    public static final k f899k = new k();
    public static final AtomicBoolean q = new AtomicBoolean(false);
    public static final AtomicBoolean yo = new AtomicBoolean(false);
    public static final AtomicBoolean u = new AtomicBoolean(false);

    /* renamed from: d  reason: collision with root package name */
    public static final AtomicBoolean f898d = new AtomicBoolean(false);
    public static zj zj = null;
    public ITTLiveConfig om = null;
    public JSONObject kp = null;

    private Boolean d() {
        try {
            Object callExpandMethod = LivePluginHelper.getLiveRoomService().callExpandMethod("hasAuthenticated", new Object[0]);
            if (callExpandMethod != null && (callExpandMethod instanceof Boolean)) {
                return (Boolean) callExpandMethod;
            }
        } catch (Throwable th) {
            com.bytedance.sdk.openadsdk.api.k.zj("TTLiveSDkBridge", th);
        }
        return false;
    }

    private Context getContext(Object obj) {
        if (obj instanceof Context) {
            return (Context) obj;
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void kp() {
        if (zj != null) {
            try {
                Bundle bundle = new Bundle();
                bundle.putBoolean("live_plugin_installed", yo.get());
                bundle.putBoolean("live_plugin_inited", f898d.get());
                zj.onEvent(3, bundle);
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
    }

    private void om() {
        try {
            LivePluginHelper.getLiveRoomService().callExpandMethod("warmingUpBeforeEnter", new Object[0]);
        } catch (Throwable th) {
            com.bytedance.sdk.openadsdk.api.k.zj("TTLiveSDkBridge", th);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void u() {
        String str;
        ITTLiveConfig iTTLiveConfig;
        Plugin plugin;
        com.bytedance.sdk.openadsdk.api.k.q("TTLiveSDkBridge", "hasLiveSDKInited：" + f898d.get() + ", hasLiveInstalled：" + yo.get());
        if (this.om != null) {
            str = "GeneralAppId：" + this.om.getGeneralAppId() + "，isValid：" + this.om.isValid();
        } else {
            str = null;
        }
        com.bytedance.sdk.openadsdk.api.k.q("TTLiveSDkBridge", str);
        if (f898d.get() || !yo.get() || (iTTLiveConfig = this.om) == null || !iTTLiveConfig.isValid() || (plugin = Zeus.getPlugin("com.byted.live.lite")) == null || u.get()) {
            return;
        }
        u.set(true);
        if (!com.bytedance.sdk.openadsdk.live.zj.q(plugin.getVersion())) {
            com.bytedance.sdk.openadsdk.api.k.k("TTLiveSDkBridge", "live sdk init crash more than consecutive 5 times , live plugin had uninstalled ! App cold start will request new live plugin ！");
            com.bytedance.sdk.openadsdk.live.zj.yo(plugin.getVersion());
            u.set(false);
            return;
        }
        ILiveHostContextParam.Builder hostActionParam = new ILiveHostContextParam.Builder().setAppName(this.om.getAppName()).setChannel(this.om.getChannel()).setIsDebug(this.om.isDebug()).setECHostAppId(this.om.getECHostAppId()).setPartner(this.om.getPartner()).provideMethodChannel(new MethodChannelService() { // from class: com.bytedance.sdk.openadsdk.live.k.2
            @Override // com.bytedance.android.live.base.api.MethodChannelService
            public String identity() {
                return MediationConstant.ADN_PANGLE;
            }

            @Override // com.bytedance.android.live.base.api.MethodChannelService
            public Object invokeMethod(String str2, Object... objArr) {
                if (TextUtils.isEmpty(str2)) {
                    return null;
                }
                char c2 = 65535;
                if (str2.hashCode() == -955478604 && str2.equals("getBiddingToken")) {
                    c2 = 0;
                }
                if (c2 != 0) {
                    return null;
                }
                return k.this.zj(objArr);
            }
        }).setPartnerSecret(this.om.getPartnerSecret()).setHostPermission(this.om.getHostPermission()).setHostActionParam(new com.bytedance.sdk.openadsdk.live.core.zj(this.om.getLiveHostAction()));
        ITTLiveTokenInjectionAuth iTTLiveTokenInjectionAuth = this.wy;
        if (iTTLiveTokenInjectionAuth != null) {
            hostActionParam.setInjectionAuth(new com.bytedance.sdk.openadsdk.live.core.k(iTTLiveTokenInjectionAuth));
        }
        ILiveInitCallback iLiveInitCallback = new ILiveInitCallback() { // from class: com.bytedance.sdk.openadsdk.live.k.3
            @Override // com.bytedance.android.live.base.api.ILiveInitCallback
            public final void onLiveInitFinish() {
                com.bytedance.sdk.openadsdk.api.k.k("TTLiveSDkBridge", "onLiveInitFinish - live sdk init succeed！");
                com.bytedance.sdk.openadsdk.api.k.k("TTLiveSDkBridge", "execute commerce initLiveCommerce method start");
                boolean zj2 = com.bytedance.sdk.openadsdk.live.zj.zj();
                com.bytedance.sdk.openadsdk.api.k.k("TTLiveSDkBridge", "execute commerce initLiveCommerce end , result: " + zj2);
                k.f898d.set(true);
                k.this.kp();
                if (k.zj != null) {
                    Bundle bundle = new Bundle();
                    bundle.putBoolean(TTLiveConstants.PARAMS_LIVE_SDK_INIT_STATUS, k.f898d.get());
                    k.zj.onEvent(2, bundle);
                }
            }
        };
        if (TTAppContextHolder.getContext() instanceof Application) {
            hostActionParam.setContext((Application) TTAppContextHolder.getContext());
        }
        com.bytedance.sdk.openadsdk.live.zj.zj(plugin.getVersion());
        StringBuilder sb = new StringBuilder();
        sb.append("execute live sdk initLive method start, GeneralAppId:");
        ITTLiveConfig iTTLiveConfig2 = this.om;
        sb.append(iTTLiveConfig2 != null ? iTTLiveConfig2.getGeneralAppId() : null);
        com.bytedance.sdk.openadsdk.api.k.k("TTLiveSDkBridge", sb.toString());
        Context context = TTAppContextHolder.getContext();
        ITTLiveConfig iTTLiveConfig3 = this.om;
        com.bytedance.sdk.openadsdk.api.k.k("TTLiveSDkBridge", "execute live sdk initLive method end, (方法顺利执行结果)result: " + com.bytedance.sdk.openadsdk.live.zj.zj(context, iTTLiveConfig3 != null ? iTTLiveConfig3.getGeneralAppId() : null, hostActionParam, iLiveInitCallback));
        u.set(false);
        com.bytedance.sdk.openadsdk.live.zj.k((long) plugin.getVersion());
    }

    @Override // com.bykv.vk.openvk.api.proto.Caller
    public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
        if (i2 == 5) {
            init((Bundle) valueSet.objectValue(0, Bundle.class));
            return null;
        } else if (i2 != 6) {
            return (T) callMethod(cls, i2, (Map) valueSet.objectValue(0, Map.class));
        } else {
            Object objectValue = valueSet.objectValue(0, Object.class);
            if (objectValue instanceof TTAdEvent) {
                subscribe((TTAdEvent) valueSet.objectValue(0, TTAdEvent.class));
            } else if (objectValue instanceof EventListener) {
                zj = new zj((EventListener) objectValue);
                kp();
            }
            return null;
        }
    }

    @Override // com.bytedance.sdk.openadsdk.downloadnew.zj, com.bytedance.sdk.openadsdk.TTAdBridge
    public <T> T callMethod(Class<T> cls, int i2, Map<String, Object> map) {
        if (i2 == 0) {
            if (!f898d.get()) {
                return (T) 1;
            }
            if (!com.bytedance.sdk.openadsdk.live.zj.zj(getContext(map.get("context")), zj(map.get(TTLiveConstants.BUNDLE_KEY)))) {
                return (T) 2;
            }
            return (T) 0;
        } else if (i2 != 1) {
            if (i2 == 2) {
                zj(map);
                return null;
            } else if (i2 == 3) {
                om();
                return null;
            } else if (i2 != 4) {
                return (T) super.callMethod(cls, i2, map);
            } else {
                return (T) d();
            }
        } else {
            return (T) f898d;
        }
    }

    @Override // com.bytedance.sdk.openadsdk.downloadnew.zj, com.bytedance.sdk.openadsdk.TTAdBridge
    public <T> T getObj(Class<T> cls, int i2, Map<String, Object> map) {
        return (T) super.getObj(cls, i2, map);
    }

    @Override // com.bytedance.sdk.openadsdk.downloadnew.zj, com.bytedance.sdk.openadsdk.TTAdBridge
    public void init(Bundle bundle) {
        super.init(bundle);
        ITTLiveConfig iTTLiveConfig = this.om;
        if (iTTLiveConfig != null && iTTLiveConfig.isValid() && !TextUtils.isEmpty(this.om.getGeneralAppId()) && !TextUtils.isEmpty(this.om.getPartner()) && !TextUtils.isEmpty(this.om.getPartnerSecret())) {
            com.bytedance.sdk.openadsdk.api.k.k("TTLiveSDkBridge", "The configuration has been obtained. Do not repeat initialization");
            return;
        }
        Serializable serializable = bundle.getSerializable(TTLiveConstants.LIVE_INIT_CONFIG_KEY);
        if (serializable instanceof ITTLiveConfig) {
            this.om = (ITTLiveConfig) serializable;
        }
        try {
            this.kp = new JSONObject(bundle.getString(TTLiveConstants.LIVE_INIT_EXTRA_KEY));
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        u();
    }

    @Override // com.bytedance.sdk.openadsdk.downloadnew.zj, com.bytedance.sdk.openadsdk.TTAdBridge
    public void subscribe(TTAdEvent tTAdEvent) {
        zj = new zj(tTAdEvent);
        kp();
    }

    @Override // com.bykv.vk.openvk.api.proto.Bridge
    public ValueSet values() {
        return null;
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static final class zj implements TTAdEvent {

        /* renamed from: k  reason: collision with root package name */
        public EventListener f901k;
        public TTAdEvent zj;

        @Override // com.bytedance.sdk.openadsdk.TTAdEvent
        public void onEvent(int i2, Bundle bundle) {
            TTAdEvent tTAdEvent = this.zj;
            if (tTAdEvent != null) {
                tTAdEvent.onEvent(i2, bundle);
            }
            if (this.f901k != null) {
                this.f901k.onEvent(i2, q.zj().zj(0).zj(true).zj(yo.zj().zj(0, bundle).k()).k());
            }
        }

        public zj(TTAdEvent tTAdEvent) {
            this.zj = tTAdEvent;
        }

        public zj(EventListener eventListener) {
            this.f901k = eventListener;
        }
    }

    public static k zj() {
        return f899k;
    }

    public void zj(ITTLiveTokenInjectionAuth iTTLiveTokenInjectionAuth) {
        this.wy = iTTLiveTokenInjectionAuth;
    }

    public void zj(u uVar, Bundle bundle) {
        if (q.get()) {
            com.bytedance.sdk.openadsdk.api.k.k("TTLiveSDkBridge", "live PL is loading...just wait");
        } else if (yo.get()) {
            com.bytedance.sdk.openadsdk.api.k.k("TTLiveSDkBridge", "live PL already loaded, dont load again");
        } else {
            TTPluginListener tTPluginListener = new TTPluginListener() { // from class: com.bytedance.sdk.openadsdk.live.k.1
                @Override // com.bytedance.sdk.openadsdk.TTPluginListener
                public Bundle config() {
                    return null;
                }

                @Override // com.bytedance.sdk.openadsdk.TTPluginListener
                public void onPluginListener(int i2, ClassLoader classLoader, Resources resources, Bundle bundle2) {
                    if (1000 == i2) {
                        com.bytedance.sdk.openadsdk.api.k.k("TTLiveSDkBridge", "live PL install success ， try to init live sdk");
                        k.yo.set(true);
                        k.q.set(false);
                        k.this.u();
                    } else if (1001 == i2) {
                        StringBuilder sb = new StringBuilder();
                        sb.append("live PL install failed, errorCode: ");
                        sb.append(bundle2 == null ? null : bundle2.get(PluginConstants.KEY_ERROR_CODE));
                        com.bytedance.sdk.openadsdk.api.k.k("TTLiveSDkBridge", sb.toString());
                        k.yo.set(false);
                        k.q.set(false);
                    }
                    k.this.kp();
                }

                @Override // com.bytedance.sdk.openadsdk.TTPluginListener
                public String packageName() {
                    return null;
                }
            };
            q.set(true);
            yo.set(false);
            com.bytedance.sdk.openadsdk.live.zj.zj(uVar, bundle, tTPluginListener);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public Object zj(Object... objArr) {
        if (objArr != null && objArr.length != 0) {
            try {
                Integer num = (Integer) objArr[0];
                TTAdManager adManager = TTAdSdk.getAdManager();
                if (adManager != null) {
                    return adManager.getBiddingToken(new AdSlot.Builder().setAdType(num.intValue()).build());
                }
            } catch (Throwable unused) {
            }
        }
        return null;
    }

    private void zj(Map<String, Object> map) {
        try {
            long longValue = ((Long) map.get(TTLiveConstants.ROOMID_KEY)).longValue();
            Object obj = map.get("event");
            final zj zjVar = obj instanceof TTAdEvent ? new zj((TTAdEvent) obj) : new zj((EventListener) obj);
            IOuterLiveRoomService liveRoomService = LivePluginHelper.getLiveRoomService();
            System.currentTimeMillis();
            Object callExpandMethod = liveRoomService.callExpandMethod("checkRoomAlive", new Callback<Boolean>() { // from class: com.bytedance.sdk.openadsdk.live.k.4
                @Override // com.bytedance.android.live.base.api.callback.Callback
                /* renamed from: zj */
                public void invoke(Boolean bool) {
                    if (zjVar != null) {
                        Bundle bundle = new Bundle();
                        bundle.putBoolean(TTLiveConstants.PARAMS_LIVE_ROOM_STATUS, bool.booleanValue());
                        zjVar.onEvent(0, bundle);
                    }
                }
            }, Long.valueOf(longValue), 300);
            if (callExpandMethod == null) {
                synchronized (zjVar) {
                    try {
                        zjVar.notifyAll();
                    } catch (Throwable unused) {
                    }
                }
            }
            com.bytedance.sdk.openadsdk.api.k.k("TTLiveSDkBridge", "has checkRoomAlive :" + callExpandMethod);
        } catch (Throwable th) {
            com.bytedance.sdk.openadsdk.api.k.zj("TTLiveSDkBridge", "getRoomState: exception:", th);
        }
    }

    private Bundle zj(Object obj) {
        if (obj instanceof Bundle) {
            return (Bundle) obj;
        }
        return null;
    }
}
