package com.bytedance.sdk.openadsdk.live;

import android.app.Application;
import android.content.Context;
import android.content.SharedPreferences;
import android.content.pm.ApplicationInfo;
import android.content.res.Resources;
import android.os.Bundle;
import android.text.TextUtils;
import com.bytedance.android.live.base.api.ILiveHostContextParam;
import com.bytedance.android.live.base.api.ILiveInitCallback;
import com.bytedance.android.live.base.api.IOuterLiveService;
import com.bytedance.android.openliveplugin.LivePluginHelper;
import com.bytedance.pangle.Zeus;
import com.bytedance.sdk.openadsdk.TTAppContextHolder;
import com.bytedance.sdk.openadsdk.TTPluginListener;
import com.bytedance.sdk.openadsdk.api.plugin.PluginConstants;
import com.bytedance.sdk.openadsdk.api.plugin.u;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class zj {
    public static SharedPreferences zj;

    public static void k(long j2) {
        if (zj == null) {
            zj = TTAppContextHolder.getContext().getSharedPreferences("csj_live", 0);
        }
        try {
            if (zj != null) {
                SharedPreferences.Editor edit = zj.edit();
                edit.putInt("live_init_" + j2, 0);
                edit.commit();
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public static boolean q(long j2) {
        int i2;
        if (zj == null) {
            zj = TTAppContextHolder.getContext().getSharedPreferences("csj_live", 0);
        }
        SharedPreferences sharedPreferences = zj;
        if (sharedPreferences != null) {
            i2 = sharedPreferences.getInt("live_init_" + j2, 0);
        } else {
            i2 = 0;
        }
        return i2 < 5;
    }

    public static void yo(long j2) {
        try {
            Zeus.unInstallPlugin("com.byted.live.lite");
        } catch (Throwable th) {
            th.printStackTrace();
        }
        k(j2);
    }

    public static Bundle zj(u uVar, String str) {
        Bundle bundle = new Bundle();
        bundle.putString("app_id", str);
        String zj2 = u.zj("com.byted.live.lite");
        if (TextUtils.isEmpty(zj2)) {
            zj2 = "0.0.0.0";
        }
        bundle.putString(PluginConstants.KEY_PLUGIN_VERSION, zj2);
        bundle.putString("sdk_version", zj(TTAppContextHolder.getContext()));
        return bundle;
    }

    public static void zj(u uVar, final Bundle bundle, final TTPluginListener tTPluginListener) {
        uVar.k(new TTPluginListener() { // from class: com.bytedance.sdk.openadsdk.live.zj.1
            @Override // com.bytedance.sdk.openadsdk.TTPluginListener
            public Bundle config() {
                return bundle;
            }

            @Override // com.bytedance.sdk.openadsdk.TTPluginListener
            public void onPluginListener(int i2, ClassLoader classLoader, Resources resources, Bundle bundle2) {
                TTPluginListener tTPluginListener2 = TTPluginListener.this;
                if (tTPluginListener2 != null) {
                    tTPluginListener2.onPluginListener(i2, classLoader, resources, bundle2);
                }
            }

            @Override // com.bytedance.sdk.openadsdk.TTPluginListener
            public String packageName() {
                return "com.byted.live.lite";
            }
        });
    }

    public static String zj(Context context) {
        try {
            ApplicationInfo applicationInfo = context.getPackageManager().getApplicationInfo(context.getPackageName(), 128);
            if (applicationInfo == null) {
                return null;
            }
            String string = applicationInfo.metaData.getString(TTLiveConstants.LIVE_META_KEY);
            if (TextUtils.isEmpty(string)) {
                return null;
            }
            return u.zj(new JSONObject(string).optInt(TTLiveConstants.LIVE_API_VERSION_KEY));
        } catch (Throwable th) {
            th.printStackTrace();
            return null;
        }
    }

    public static boolean zj(final Context context, final String str, final ILiveHostContextParam.Builder builder, final ILiveInitCallback iLiveInitCallback) {
        try {
            com.bytedance.sdk.openadsdk.k.zj.zj().zj(new Runnable() { // from class: com.bytedance.sdk.openadsdk.live.zj.2
                @Override // java.lang.Runnable
                public void run() {
                    try {
                        LivePluginHelper.init((Application) context, str, builder, iLiveInitCallback);
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
            return true;
        } catch (Throwable th) {
            th.printStackTrace();
            return false;
        }
    }

    public static boolean zj() {
        try {
            com.bytedance.sdk.openadsdk.k.zj.zj().zj(new Runnable() { // from class: com.bytedance.sdk.openadsdk.live.zj.3
                @Override // java.lang.Runnable
                public void run() {
                    try {
                        LivePluginHelper.initLiveCommerce();
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
            return true;
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public static boolean zj(Context context, Bundle bundle) {
        if (context != null && bundle != null && bundle.containsKey(TTLiveConstants.ROOMID_KEY)) {
            long j2 = bundle.getLong(TTLiveConstants.ROOMID_KEY);
            try {
                IOuterLiveService iOuterLiveService = (IOuterLiveService) LivePluginHelper.getLiveRoomService();
                if (iOuterLiveService != null) {
                    iOuterLiveService.enterLiveRoom(context, j2, bundle);
                    return true;
                }
                return false;
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
        return false;
    }

    public static void zj(long j2) {
        if (zj == null) {
            zj = TTAppContextHolder.getContext().getSharedPreferences("csj_live", 0);
        }
        try {
            if (zj != null) {
                SharedPreferences sharedPreferences = zj;
                int i2 = sharedPreferences.getInt("live_init_" + j2, 0);
                SharedPreferences.Editor edit = zj.edit();
                edit.putInt("live_init_" + j2, i2 + 1);
                edit.commit();
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }
}
