package com.bytedance.sdk.openadsdk.mediation;

import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.sdk.openadsdk.TTAdNative;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.bridge.draw.MediationDrawAdLoadAdapter;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class MediationDrawAdTokenCallbackImpl implements Bridge, IMediationDrawAdTokenCallback {
    public IMediationDrawAdTokenCallback zj;

    public MediationDrawAdTokenCallbackImpl(IMediationDrawAdTokenCallback iMediationDrawAdTokenCallback) {
        this.zj = iMediationDrawAdTokenCallback;
    }

    @Override // com.bykv.vk.openvk.api.proto.Caller
    public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
        if (i2 == 8260) {
            String stringValue = valueSet.stringValue(8439);
            final Bridge bridge = (Bridge) valueSet.objectValue(8309, Bridge.class);
            onAdTokenLoaded(stringValue, new IMediationDrawTokenInfo() { // from class: com.bytedance.sdk.openadsdk.mediation.MediationDrawAdTokenCallbackImpl.1
                @Override // com.bytedance.sdk.openadsdk.mediation.IMediationDrawTokenInfo
                public void loadDrawAdByAdm(String str, TTAdNative.DrawFeedAdListener drawFeedAdListener) {
                    MediationValueSetBuilder create = MediationValueSetBuilder.create();
                    create.add(8440, str);
                    create.add(8442, new MediationDrawAdLoadAdapter(drawFeedAdListener));
                    bridge.call(8263, create.build(), null);
                }
            });
            return null;
        } else if (i2 == 8261) {
            onAdTokenLoadedFail(valueSet.intValue(8014), valueSet.stringValue(8015));
            return null;
        } else {
            return null;
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationDrawAdTokenCallback
    public void onAdTokenLoaded(String str, IMediationDrawTokenInfo iMediationDrawTokenInfo) {
        IMediationDrawAdTokenCallback iMediationDrawAdTokenCallback = this.zj;
        if (iMediationDrawAdTokenCallback != null) {
            iMediationDrawAdTokenCallback.onAdTokenLoaded(str, iMediationDrawTokenInfo);
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationDrawAdTokenCallback
    public void onAdTokenLoadedFail(int i2, String str) {
        IMediationDrawAdTokenCallback iMediationDrawAdTokenCallback = this.zj;
        if (iMediationDrawAdTokenCallback != null) {
            iMediationDrawAdTokenCallback.onAdTokenLoadedFail(i2, str);
        }
    }

    @Override // com.bykv.vk.openvk.api.proto.Bridge
    public ValueSet values() {
        return null;
    }
}
