package com.bytedance.sdk.openadsdk.mediation;

import android.app.Activity;
import android.content.Context;
import android.util.Log;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.Manager;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.sdk.openadsdk.AdSlot;
import com.bytedance.sdk.openadsdk.TTAdSdk;
import com.bytedance.sdk.openadsdk.TTCustomController;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationUserInfoForSegmentImpl;
import com.bytedance.sdk.openadsdk.mediation.init.MediationConfigUserInfoForSegment;
import java.util.List;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class MediationManagerVisitor implements IMediationManager {

    /* renamed from: k  reason: collision with root package name */
    public static volatile Bridge f908k = null;
    public static volatile boolean q = false;
    public static volatile Bridge yo;
    public static volatile MediationManagerVisitor zj;

    public MediationManagerVisitor() {
        zj();
    }

    public static boolean canRequestMediation(AdSlot adSlot) {
        if (yo != null && adSlot != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8007, adSlot.getCodeId());
            Log.i("TMe", "canRequestMediation call success");
            return ((Boolean) yo.call(8151, create.build(), Boolean.class)).booleanValue();
        }
        Log.i("TMe", "canRequestMediation mGromoreBridge = " + yo);
        Log.i("TMe", "canRequestMediation adSlot = " + adSlot);
        return false;
    }

    public static MediationManagerVisitor getInstance() {
        if (zj == null) {
            synchronized (MediationManagerVisitor.class) {
                if (zj == null) {
                    zj = new MediationManagerVisitor();
                }
            }
        }
        return zj;
    }

    public static void initRequestCondition(Manager manager) {
        if (manager != null) {
            yo = manager.getBridge(8303);
            Log.i("TMe", "initRequestCondition mGromoreBridge = " + yo);
            return;
        }
        Log.i("TMe", "initRequestCondition adManager is null");
    }

    public static boolean isUseMediation() {
        return q;
    }

    public static void useMediation() {
        q = true;
    }

    private void zj() {
        if (f908k == null) {
            f908k = (Bridge) TTAdSdk.getAdManager().getExtra(IMediationManager.class, null);
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationManager, com.bykv.vk.openvk.api.proto.Caller
    public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
        zj();
        if (f908k != null) {
            try {
                return (T) f908k.call(i2, valueSet, cls);
            } catch (Throwable th) {
                th.printStackTrace();
                return null;
            }
        }
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationManager
    public Map<String, Object> getMediationExtraInfo() {
        zj();
        if (f908k != null) {
            return (Map) f908k.call(8259, null, Map.class);
        }
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationManager
    public void loadDrawToken(Context context, AdSlot adSlot, IMediationDrawAdTokenCallback iMediationDrawAdTokenCallback) {
        zj();
        if (f908k == null || f908k == null) {
            return;
        }
        MediationValueSetBuilder create = MediationValueSetBuilder.create();
        create.add(8009, context);
        create.add(8438, adSlot);
        create.add(8307, new MediationDrawAdTokenCallbackImpl(iMediationDrawAdTokenCallback));
        f908k.call(8258, create.build(), null);
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationManager
    public void loadNativeToken(Context context, AdSlot adSlot, IMediationNativeAdTokenCallback iMediationNativeAdTokenCallback) {
        zj();
        if (f908k != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8009, context);
            create.add(8438, adSlot);
            create.add(8306, new MediationNativeAdTokenCallbackImpl(iMediationNativeAdTokenCallback));
            f908k.call(8257, create.build(), null);
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationManager
    public void preload(Activity activity, List<MediationPreloadRequestInfo> list, int i2, int i3) {
        zj();
        if (f908k != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(20033, activity);
            create.add(8431, list);
            create.add(8432, i2);
            create.add(8433, i3);
            f908k.call(8250, create.build(), null);
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationManager
    public void requestPermissionIfNecessary(Context context) {
        zj();
        if (f908k != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8009, context);
            f908k.call(8254, create.build(), null);
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationManager
    public void setPulisherDid(String str) {
        zj();
        if (f908k != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8435, str);
            f908k.call(8252, create.build(), null);
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationManager
    public void setThemeStatus(int i2) {
        zj();
        if (f908k != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8426, i2);
            f908k.call(8255, create.build(), null);
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationManager
    public void setUserInfoForSegment(MediationConfigUserInfoForSegment mediationConfigUserInfoForSegment) {
        zj();
        if (f908k != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8310, new MediationUserInfoForSegmentImpl(mediationConfigUserInfoForSegment));
            f908k.call(8251, create.build(), null);
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationManager
    public int showOpenOrInstallAppDialog(MediationAppDialogClickListener mediationAppDialogClickListener) {
        zj();
        if (f908k != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8305, new MediationAppDialogClickListenerImpl(mediationAppDialogClickListener));
            return ((Integer) f908k.call(8256, create.build(), null)).intValue();
        }
        return 0;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationManager
    public void updatePrivacyConfig(TTCustomController tTCustomController) {
        zj();
        if (f908k != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8517, MediationCustomControllerUtil.getMediationCustomControllerFromCSJ(tTCustomController));
            f908k.call(8253, create.build(), null);
        }
    }

    @Override // com.bykv.vk.openvk.api.proto.Bridge
    public ValueSet values() {
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.IMediationManager
    public void requestPermissionIfNecessary(Context context, int[] iArr) {
        zj();
        if (f908k != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8009, context);
            create.add(8437, iArr);
            f908k.call(8254, create.build(), null);
        }
    }
}
