package com.bytedance.sdk.openadsdk.mediation.ad;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class MediationViewBinder {
    public final int callToActionId;
    public final int decriptionTextId;
    public final Map<String, Integer> extras;
    public final int groupImage1Id;
    public final int groupImage2Id;
    public final int groupImage3Id;
    public final int iconImageId;
    public final int layoutId;
    public final int logoLayoutId;
    public final int mainImageId;
    public final int mediaViewId;
    public final int shakeViewContainerId;
    public final int sourceId;
    public final int titleId;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class Builder {
        public Map<String, Integer> a;

        /* renamed from: d  reason: collision with root package name */
        public int f927d;

        /* renamed from: e  reason: collision with root package name */
        public int f928e;
        public int ja;

        /* renamed from: k  reason: collision with root package name */
        public int f929k;
        public int kp;

        /* renamed from: n  reason: collision with root package name */
        public int f930n;
        public int om;
        public int q;
        public int u;
        public int wy;
        public int x;
        public int yo;
        public int zj;

        public Builder(int i2) {
            this.a = Collections.emptyMap();
            this.zj = i2;
            this.a = new HashMap();
        }

        public Builder addExtra(String str, int i2) {
            this.a.put(str, Integer.valueOf(i2));
            return this;
        }

        public Builder addExtras(Map<String, Integer> map) {
            this.a = new HashMap(map);
            return this;
        }

        public MediationViewBinder build() {
            return new MediationViewBinder(this);
        }

        public Builder callToActionId(int i2) {
            this.yo = i2;
            return this;
        }

        public Builder descriptionTextId(int i2) {
            this.q = i2;
            return this;
        }

        public Builder groupImage1Id(int i2) {
            this.f928e = i2;
            return this;
        }

        public Builder groupImage2Id(int i2) {
            this.f930n = i2;
            return this;
        }

        public Builder groupImage3Id(int i2) {
            this.x = i2;
            return this;
        }

        public Builder iconImageId(int i2) {
            this.u = i2;
            return this;
        }

        public Builder logoLayoutId(int i2) {
            this.wy = i2;
            return this;
        }

        public Builder mainImageId(int i2) {
            this.f927d = i2;
            return this;
        }

        public Builder mediaViewIdId(int i2) {
            this.om = i2;
            return this;
        }

        public Builder shakeViewContainerId(int i2) {
            this.ja = i2;
            return this;
        }

        public Builder sourceId(int i2) {
            this.kp = i2;
            return this;
        }

        public Builder titleId(int i2) {
            this.f929k = i2;
            return this;
        }
    }

    public MediationViewBinder(Builder builder) {
        this.layoutId = builder.zj;
        this.titleId = builder.f929k;
        this.decriptionTextId = builder.q;
        this.callToActionId = builder.yo;
        this.iconImageId = builder.u;
        this.mainImageId = builder.f927d;
        this.mediaViewId = builder.om;
        this.sourceId = builder.kp;
        this.extras = builder.a;
        this.groupImage1Id = builder.f928e;
        this.groupImage2Id = builder.f930n;
        this.groupImage3Id = builder.x;
        this.logoLayoutId = builder.wy;
        this.shakeViewContainerId = builder.ja;
    }
}
