package com.bytedance.sdk.openadsdk.mediation.bridge.interstitialfull;

import android.app.Activity;
import android.util.Log;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.sdk.openadsdk.TTAdConstant;
import com.bytedance.sdk.openadsdk.TTAppDownloadListener;
import com.bytedance.sdk.openadsdk.TTFullScreenVideoAd;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.manager.MediationFullScreenManager;
import java.util.HashMap;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class MediationInterstitialFullAdAdapter implements Bridge, TTFullScreenVideoAd {

    /* renamed from: k  reason: collision with root package name */
    public TTFullScreenVideoAd.FullScreenVideoAdInteractionListener f945k;
    public Bridge zj;

    public MediationInterstitialFullAdAdapter(Bridge bridge) {
        this.zj = bridge;
    }

    @Override // com.bykv.vk.openvk.api.proto.Caller
    public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
        if (i2 == 1008) {
            Log.e("TTMediationSDK", "mediation_InterstitialFull METHOD_LISTENER_AD_SHOW");
            TTFullScreenVideoAd.FullScreenVideoAdInteractionListener fullScreenVideoAdInteractionListener = this.f945k;
            if (fullScreenVideoAdInteractionListener != null) {
                fullScreenVideoAdInteractionListener.onAdShow();
                return null;
            }
            return null;
        } else if (i2 == 1017) {
            Log.e("TTMediationSDK", "mediation_InterstitialFull METHOD_LISTENER_AD_SHOW_FAIL");
            return null;
        } else if (i2 == 1009) {
            Log.e("TTMediationSDK", "mediation_InterstitialFull METHOD_LISTENER_AD_CLICK");
            TTFullScreenVideoAd.FullScreenVideoAdInteractionListener fullScreenVideoAdInteractionListener2 = this.f945k;
            if (fullScreenVideoAdInteractionListener2 != null) {
                fullScreenVideoAdInteractionListener2.onAdVideoBarClick();
                return null;
            }
            return null;
        } else if (i2 == 1014) {
            Log.e("TTMediationSDK", "mediation_InterstitialFull METHOD_LISTENER_AD_CLOSE");
            TTFullScreenVideoAd.FullScreenVideoAdInteractionListener fullScreenVideoAdInteractionListener3 = this.f945k;
            if (fullScreenVideoAdInteractionListener3 != null) {
                fullScreenVideoAdInteractionListener3.onAdClose();
                return null;
            }
            return null;
        } else if (i2 == 1026) {
            Log.e("TTMediationSDK", "mediation_InterstitialFull METHOD_LISTENER_AD_VIDEO_COMPLETE");
            TTFullScreenVideoAd.FullScreenVideoAdInteractionListener fullScreenVideoAdInteractionListener4 = this.f945k;
            if (fullScreenVideoAdInteractionListener4 != null) {
                fullScreenVideoAdInteractionListener4.onVideoComplete();
                return null;
            }
            return null;
        } else if (i2 == 1021) {
            Log.e("TTMediationSDK", "mediation_InterstitialFull METHOD_LISTENER_AD_VIDEO_ERROR");
            return null;
        } else if (i2 == 1037) {
            Log.e("TTMediationSDK", "mediation_InterstitialFull METHOD_LISTENER_AD_SKIP_VIDEO");
            TTFullScreenVideoAd.FullScreenVideoAdInteractionListener fullScreenVideoAdInteractionListener5 = this.f945k;
            if (fullScreenVideoAdInteractionListener5 != null) {
                fullScreenVideoAdInteractionListener5.onSkippedVideo();
                return null;
            }
            return null;
        } else if (i2 == 1015) {
            Log.e("TTMediationSDK", "mediation_InterstitialFull METHOD_LISTENER_AD_OPENED");
            return null;
        } else if (i2 == 1016) {
            Log.e("TTMediationSDK", "mediation_InterstitialFull METHOD_LISTENER_AD_LEFT_APPLICATION");
            return null;
        } else if (i2 == 1018) {
            Log.e("TTMediationSDK", "mediation_InterstitialFull METHOD_LISTENER_AD_REWARD_VERIFY");
            return null;
        } else {
            return null;
        }
    }

    @Override // com.bytedance.sdk.openadsdk.TTFullScreenVideoAd
    public long getExpirationTimestamp() {
        return 0L;
    }

    @Override // com.bytedance.sdk.openadsdk.TTFullScreenVideoAd
    public int getFullVideoAdType() {
        return 0;
    }

    @Override // com.bytedance.sdk.openadsdk.TTFullScreenVideoAd
    public int getInteractionType() {
        return 0;
    }

    @Override // com.bytedance.sdk.openadsdk.TTFullScreenVideoAd
    public Map<String, Object> getMediaExtraInfo() {
        Log.e("TTMediationSDK", "mediation_InterstitialFull getMediaExtraInfo");
        Bridge bridge = this.zj;
        if (bridge != null) {
            return (Map) bridge.call(8239, null, Map.class);
        }
        return new HashMap();
    }

    @Override // com.bytedance.sdk.openadsdk.TTFullScreenVideoAd
    public MediationFullScreenManager getMediationManager() {
        return new MediationFullVideoManagerImpl(this.zj);
    }

    @Override // com.bytedance.sdk.openadsdk.TTClientBidding
    public void loss(Double d2, String str, String str2) {
    }

    @Override // com.bytedance.sdk.openadsdk.TTFullScreenVideoAd
    public void setDownloadListener(TTAppDownloadListener tTAppDownloadListener) {
    }

    @Override // com.bytedance.sdk.openadsdk.TTFullScreenVideoAd
    public void setFullScreenVideoAdInteractionListener(TTFullScreenVideoAd.FullScreenVideoAdInteractionListener fullScreenVideoAdInteractionListener) {
        this.f945k = fullScreenVideoAdInteractionListener;
    }

    @Override // com.bytedance.sdk.openadsdk.TTClientBidding
    public void setPrice(Double d2) {
    }

    @Override // com.bytedance.sdk.openadsdk.TTFullScreenVideoAd
    public void setShowDownLoadBar(boolean z) {
    }

    @Override // com.bytedance.sdk.openadsdk.TTFullScreenVideoAd
    public void showFullScreenVideoAd(Activity activity) {
        Log.e("TTMediationSDK", "mediation_InterstitialFull showFullScreenVideoAd");
        if (this.zj != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(20033, activity);
            create.add(8304, this);
            this.zj.call(8113, create.build(), Void.class);
        }
    }

    @Override // com.bykv.vk.openvk.api.proto.Bridge
    public ValueSet values() {
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.TTClientBidding
    public void win(Double d2) {
    }

    @Override // com.bytedance.sdk.openadsdk.TTFullScreenVideoAd
    public void showFullScreenVideoAd(Activity activity, TTAdConstant.RitScenes ritScenes, String str) {
        Log.e("TTMediationSDK", "mediation_InterstitialFull showFullScreenVideoAd with ritScense");
        showFullScreenVideoAd(activity);
    }
}
