package com.bytedance.sdk.openadsdk.mediation.bridge.native_ad;

import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.sdk.openadsdk.mediation.ad.MediationShakeViewListener;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.bridge.valueset.MediationValueUtil;
import com.bytedance.sdk.openadsdk.mediation.manager.MediationAdEcpmInfo;
import com.bytedance.sdk.openadsdk.mediation.manager.MediationAdLoadInfo;
import com.bytedance.sdk.openadsdk.mediation.manager.MediationNativeManager;
import com.umeng.analytics.pro.o;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class MediationNativeManagerImpl implements Bridge, MediationNativeManager {

    /* renamed from: k  reason: collision with root package name */
    public ValueSet f951k;
    public MediationShakeViewListener q;
    public Bridge zj;

    public MediationNativeManagerImpl(Bridge bridge) {
        this.zj = bridge;
        if (bridge != null) {
            this.f951k = bridge.values();
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8097, this);
            this.zj.call(o.a.F, create.build(), null);
        }
    }

    @Override // com.bykv.vk.openvk.api.proto.Caller
    public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
        MediationShakeViewListener mediationShakeViewListener;
        if (i2 == 8214 && (mediationShakeViewListener = this.q) != null) {
            mediationShakeViewListener.onDismissed();
        }
        return (T) MediationValueUtil.checkClassType(cls);
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.manager.MediationBaseManager
    public List<MediationAdLoadInfo> getAdLoadInfo() {
        Bridge bridge = this.zj;
        if (bridge != null) {
            return (List) bridge.call(o.a.x, null, List.class);
        }
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.manager.MediationBaseManager
    public MediationAdEcpmInfo getBestEcpm() {
        Bridge bridge = this.zj;
        if (bridge != null) {
            return (MediationAdEcpmInfo) bridge.call(8203, null, MediationAdEcpmInfo.class);
        }
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.manager.MediationBaseManager
    public List<MediationAdEcpmInfo> getCacheList() {
        Bridge bridge = this.zj;
        if (bridge != null) {
            return (List) bridge.call(8204, null, List.class);
        }
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.manager.MediationBaseManager
    public List<MediationAdEcpmInfo> getMultiBiddingEcpm() {
        Bridge bridge = this.zj;
        if (bridge != null) {
            return (List) bridge.call(8202, null, List.class);
        }
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.manager.MediationBaseManager
    public MediationAdEcpmInfo getShowEcpm() {
        Bridge bridge = this.zj;
        if (bridge != null) {
            return (MediationAdEcpmInfo) bridge.call(8205, null, MediationAdEcpmInfo.class);
        }
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.manager.MediationNativeManager
    public boolean hasDislike() {
        ValueSet valueSet = this.f951k;
        if (valueSet != null) {
            return valueSet.booleanValue(8135);
        }
        return false;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.manager.MediationNativeManager
    public boolean isExpress() {
        ValueSet valueSet = this.f951k;
        if (valueSet != null) {
            return valueSet.booleanValue(o.a.t);
        }
        return false;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.manager.MediationBaseManager
    public boolean isReady() {
        Bridge bridge = this.zj;
        if (bridge != null) {
            return ((Boolean) bridge.call(o.a.v, null, Boolean.class)).booleanValue();
        }
        return false;
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.manager.MediationNativeManager
    public void setShakeViewListener(MediationShakeViewListener mediationShakeViewListener) {
        Bridge bridge = this.zj;
        if (bridge != null) {
            this.q = mediationShakeViewListener;
            bridge.call(o.a.D, null, Void.class);
        }
    }

    @Override // com.bytedance.sdk.openadsdk.mediation.manager.MediationNativeManager
    public void setUseCustomVideo(boolean z) {
        if (this.zj != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8093, z);
            this.zj.call(o.a.w, create.build(), Void.class);
        }
    }

    @Override // com.bykv.vk.openvk.api.proto.Bridge
    public ValueSet values() {
        return null;
    }
}
