package com.bytedance.sdk.openadsdk.mediation.bridge.splash;

import android.app.Activity;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.sdk.openadsdk.CSJSplashAd;
import com.bytedance.sdk.openadsdk.TTAppDownloadListener;
import com.bytedance.sdk.openadsdk.mediation.bridge.MediationValueSetBuilder;
import com.bytedance.sdk.openadsdk.mediation.manager.MediationSplashManager;
import java.util.HashMap;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class MediationSplashAdAdapter implements Bridge, CSJSplashAd {

    /* renamed from: k  reason: collision with root package name */
    public CSJSplashAd.SplashAdListener f953k;
    public CSJSplashAd.SplashClickEyeListener q;
    public CSJSplashAd.SplashCardListener yo;
    public Bridge zj;

    public MediationSplashAdAdapter(Bridge bridge) {
        this.zj = bridge;
    }

    @Override // com.bykv.vk.openvk.api.proto.Caller
    public <T> T call(int i2, ValueSet valueSet, Class<T> cls) {
        CSJSplashAd.SplashClickEyeListener splashClickEyeListener;
        if (i2 == 1009) {
            CSJSplashAd.SplashAdListener splashAdListener = this.f953k;
            if (splashAdListener != null) {
                splashAdListener.onSplashAdClick(this);
                return null;
            }
            return null;
        } else if (i2 == 1008) {
            CSJSplashAd.SplashAdListener splashAdListener2 = this.f953k;
            if (splashAdListener2 != null) {
                splashAdListener2.onSplashAdShow(this);
                return null;
            }
            return null;
        } else if (i2 == 1017) {
            return null;
        } else {
            if (i2 == 1019) {
                CSJSplashAd.SplashAdListener splashAdListener3 = this.f953k;
                if (splashAdListener3 != null) {
                    splashAdListener3.onSplashAdClose(this, 1);
                    return null;
                }
                return null;
            } else if (i2 == 1011) {
                CSJSplashAd.SplashAdListener splashAdListener4 = this.f953k;
                if (splashAdListener4 != null) {
                    splashAdListener4.onSplashAdClose(this, 2);
                    return null;
                }
                return null;
            } else if (i2 == 1051) {
                CSJSplashAd.SplashClickEyeListener splashClickEyeListener2 = this.q;
                if (splashClickEyeListener2 != null) {
                    splashClickEyeListener2.onSplashClickEyeReadyToShow(this);
                    return null;
                }
                return null;
            } else if (i2 == 1052) {
                CSJSplashAd.SplashClickEyeListener splashClickEyeListener3 = this.q;
                if (splashClickEyeListener3 != null) {
                    splashClickEyeListener3.onSplashClickEyeClose();
                    return null;
                }
                return null;
            } else if (i2 == 1071) {
                CSJSplashAd.SplashCardListener splashCardListener = this.yo;
                if (splashCardListener != null) {
                    splashCardListener.onSplashCardReadyToShow(this);
                    return null;
                }
                return null;
            } else if (i2 == 1072) {
                CSJSplashAd.SplashCardListener splashCardListener2 = this.yo;
                if (splashCardListener2 != null) {
                    splashCardListener2.onSplashCardClose();
                    return null;
                }
                return null;
            } else if (i2 == 1073 || i2 == 1074) {
                return null;
            } else {
                if (i2 == 1075) {
                    CSJSplashAd.SplashCardListener splashCardListener3 = this.yo;
                    if (splashCardListener3 != null) {
                        splashCardListener3.onSplashCardClick();
                        return null;
                    }
                    return null;
                } else if (i2 != 1076 || (splashClickEyeListener = this.q) == null) {
                    return null;
                } else {
                    splashClickEyeListener.onSplashClickEyeClick();
                    return null;
                }
            }
        }
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public int getInteractionType() {
        return 0;
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public Map<String, Object> getMediaExtraInfo() {
        Log.i("TTMediationSDK", "MediationSplashAdAdapter getMediaExtraInfo");
        Bridge bridge = this.zj;
        if (bridge != null) {
            return (Map) bridge.call(8239, null, Map.class);
        }
        return new HashMap();
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public MediationSplashManager getMediationManager() {
        return new MediationSplashManagerImpl(this.zj);
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public View getSplashCardView() {
        Log.i("TTMediationSDK", "MediationSplashAdAdapter getSplashCardView");
        if (this.zj != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8304, this);
            return (View) this.zj.call(6142, create.build(), View.class);
        }
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public int[] getSplashClickEyeSizeToDp() {
        Bridge bridge = this.zj;
        if (bridge != null) {
            int[] iArr = (int[]) bridge.call(6145, null, int[].class);
            return iArr == null ? new int[0] : iArr;
        }
        return new int[0];
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public View getSplashClickEyeView() {
        Log.i("TTMediationSDK", "MediationSplashAdAdapter getSplashClickEyeView");
        if (this.zj != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8304, this);
            return (View) this.zj.call(6141, create.build(), View.class);
        }
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public View getSplashView() {
        Log.i("TTMediationSDK", "MediationSplashAdAdapter getSplashView");
        if (this.zj != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(8304, this);
            return (View) this.zj.call(6140, create.build(), View.class);
        }
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public void hideSkipButton() {
    }

    @Override // com.bytedance.sdk.openadsdk.TTClientBidding
    public void loss(Double d2, String str, String str2) {
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public void setDownloadListener(TTAppDownloadListener tTAppDownloadListener) {
    }

    @Override // com.bytedance.sdk.openadsdk.TTClientBidding
    public void setPrice(Double d2) {
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public void setSplashAdListener(CSJSplashAd.SplashAdListener splashAdListener) {
        this.f953k = splashAdListener;
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public void setSplashCardListener(CSJSplashAd.SplashCardListener splashCardListener) {
        this.yo = splashCardListener;
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public void setSplashClickEyeListener(CSJSplashAd.SplashClickEyeListener splashClickEyeListener) {
        this.q = splashClickEyeListener;
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public void showSplashCardView(ViewGroup viewGroup, Activity activity) {
        Log.i("TTMediationSDK", "MediationSplashAdAdapter showSplashCardView");
        if (this.zj != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(20060, viewGroup);
            create.add(20033, activity);
            create.add(8304, this);
            this.zj.call(6154, create.build(), Void.class);
        }
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public void showSplashClickEyeView(ViewGroup viewGroup) {
        Log.i("TTMediationSDK", "MediationSplashAdAdapter showSplashClickEyeView");
        if (this.zj != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(20060, viewGroup);
            create.add(8304, this);
            this.zj.call(6153, create.build(), Void.class);
        }
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public void showSplashView(ViewGroup viewGroup) {
        Log.i("TTMediationSDK", "MediationSplashAdAdapter showSplashView");
        if (this.zj != null) {
            MediationValueSetBuilder create = MediationValueSetBuilder.create();
            create.add(20060, viewGroup);
            create.add(8304, this);
            this.zj.call(6152, create.build(), Void.class);
        }
    }

    @Override // com.bytedance.sdk.openadsdk.CSJSplashAd
    public void startClickEye() {
        Bridge bridge = this.zj;
        if (bridge != null) {
            bridge.call(6149, null, Void.class);
        }
    }

    @Override // com.bykv.vk.openvk.api.proto.Bridge
    public ValueSet values() {
        return null;
    }

    @Override // com.bytedance.sdk.openadsdk.TTClientBidding
    public void win(Double d2) {
    }
}
