package com.bytedance.sdk.openadsdk.mediation.bridge.valueset;

import com.bykv.vk.openvk.api.proto.Bridge;
import com.bykv.vk.openvk.api.proto.ValueSet;
import com.bytedance.sdk.openadsdk.mediation.LogManager;
import com.bytedance.sdk.openadsdk.mediation.MediationConstant;
import com.uc.crashsdk.export.LogType;
import java.util.HashMap;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class MediationAdSlotValueSet {
    public static final String TAG = "TTMediationSDK";

    /* renamed from: k  reason: collision with root package name */
    public ValueSet f955k;
    public ValueSet q;
    public String u;
    public int yo;
    public ValueSet zj;

    public MediationAdSlotValueSet(ValueSet valueSet) {
        this.zj = valueSet;
        ValueSet valueSet2 = (ValueSet) valueSet.objectValue(8090, ValueSet.class);
        if (valueSet2 == null) {
            ValueSet valueSet3 = (ValueSet) this.zj.objectValue(8089, ValueSet.class);
            this.f955k = valueSet3;
            if (valueSet3 != null) {
                this.q = (ValueSet) valueSet3.objectValue(8443, ValueSet.class);
            }
        } else {
            ValueSet valueSet4 = (ValueSet) valueSet2.objectValue(8089, ValueSet.class);
            this.f955k = valueSet4;
            if (valueSet4 != null) {
                this.q = (ValueSet) valueSet4.objectValue(8443, ValueSet.class);
            }
        }
        zj();
    }

    public static MediationAdSlotValueSet create(ValueSet valueSet) {
        return new MediationAdSlotValueSet(valueSet);
    }

    private boolean k() {
        ValueSet valueSet = this.zj;
        return (valueSet == null || valueSet.isEmpty()) ? false : true;
    }

    private void zj() {
        LogManager.i("---------  sdk MediationAdSlotValueSet start ----");
        LogManager.i("getAdLoaderCallback：" + getAdLoaderCallback());
        LogManager.i("getADNId：" + getADNId());
        LogManager.i("getRitId：" + getRitId());
        LogManager.i("getUserId：" + getUserId());
        LogManager.i("getAdCount：" + getAdCount());
        LogManager.i("getWidth：" + getWidth());
        LogManager.i("getHeight：" + getHeight());
        LogManager.i("getExpressWidth：" + getExpressWidth());
        LogManager.i("getExpressHeight：" + getExpressHeight());
        LogManager.i("isMuted：" + isMuted());
        LogManager.i("isSplashShakeButton：" + isSplashShakeButton());
        LogManager.i("isSplashPreLoad：" + isSplashPreLoad());
        LogManager.i("getVolume：" + getVolume());
        LogManager.i("isUseSurfaceView：" + isUseSurfaceView());
        LogManager.i("getExtraObject：" + getExtraObject());
        LogManager.i("isBidNotify：" + isBidNotify());
        LogManager.i("getScenarioId：" + getScenarioId());
        LogManager.i("getRewardName：" + getRewardName());
        LogManager.i("getRewardAmount：" + getRewardAmount());
        LogManager.i("isAllowShowCloseBtn：" + isAllowShowCloseBtn());
        LogManager.i("isExpress：" + isExpress());
        LogManager.i("getOrientation：" + getOrientation());
        LogManager.i("getContentUrl：" + getContentUrl());
        LogManager.i("getDevices：" + getDevices());
        LogManager.i("getOriginType：" + getOriginType());
        LogManager.i("getAdSubType：" + getAdSubType());
        LogManager.i("getAdmobNativeAdOptions：" + getAdmobNativeAdOptions());
        LogManager.i("getBaiduAppSid：" + getBaiduAppSid());
        LogManager.i("getBaiduDownloadAppConfirmPolicy：" + getBaiduDownloadAppConfirmPolicy());
        LogManager.i("getBaiduUseRewardCountdown：" + getBaiduUseRewardCountdown());
        LogManager.i("getBaiduShowDialogOnSkip：" + getBaiduShowDialogOnSkip());
        LogManager.i("getBaiduCacheVideoOnlyWifi：" + getBaiduCacheVideoOnlyWifi());
        LogManager.i("getBaiduRequestParameters：" + getBaiduRequestParameters());
        LogManager.i("getBaiduNativeSmartOptStyleParams：" + getBaiduNativeSmartOptStyleParams());
        LogManager.i("getGdtMinVideoDuration：" + getGdtMinVideoDuration());
        LogManager.i("getGdtMaxVideoDuration：" + getGdtMaxVideoDuration());
        LogManager.i("getGdtVideoOption：" + getGdtVideoOption());
        LogManager.i("getGdtDownAPPConfirmPolicy：" + getGdtDownAPPConfirmPolicy());
        LogManager.i("getGdtNativeLogoParams：" + getGdtNativeLogoParams());
        LogManager.i("getAdLoadTimeOut：" + getAdLoadTimeOut());
        LogManager.i("getShakeViewWidth：" + getShakeViewWidth());
        LogManager.i("getShakeViewHeight：" + getShakeViewHeight());
        LogManager.i("getAdloadSeq：" + getAdloadSeq());
        LogManager.i("getAdUnitId：" + getAdUnitId());
        LogManager.i("isSupportDeepLink：" + isSupportDeepLink());
        LogManager.i("getParams：" + getParams());
        LogManager.i("---------  初始化adn sdk MediationAdSlotValueSet end ----");
    }

    public String getADNId() {
        if (k()) {
            return this.zj.stringValue(8007);
        }
        return null;
    }

    public int getAdCount() {
        ValueSet valueSet = this.f955k;
        if (valueSet != null) {
            return valueSet.intValue(13);
        }
        return 1;
    }

    public int getAdLoadTimeOut() {
        ValueSet valueSet = this.f955k;
        if (valueSet != null) {
            return valueSet.intValue(17, 3000);
        }
        return 3000;
    }

    public Bridge getAdLoaderCallback() {
        if (k()) {
            return (Bridge) this.zj.objectValue(8011, Bridge.class);
        }
        return null;
    }

    public int getAdSubType() {
        if (k()) {
            return this.zj.intValue(8094);
        }
        return 0;
    }

    public String getAdUnitId() {
        return this.u;
    }

    public int getAdloadSeq() {
        int i2 = this.yo;
        if (i2 != 0) {
            return i2;
        }
        if (k()) {
            return this.zj.intValue(20);
        }
        return 0;
    }

    public Object getAdmobNativeAdOptions() {
        Map<String, Object> extraObject = getExtraObject();
        if (extraObject != null) {
            return extraObject.get(MediationConstant.KEY_ADMOB_NATIVE_OPTIONS);
        }
        return null;
    }

    public String getBaiduAppSid() {
        Map<String, Object> extraObject = getExtraObject();
        if (extraObject != null) {
            Object obj = extraObject.get(MediationConstant.KEY_BAIDU_APPSID);
            return obj instanceof String ? (String) obj : "";
        }
        return "";
    }

    public boolean getBaiduCacheVideoOnlyWifi() {
        Map<String, Object> extraObject = getExtraObject();
        if (extraObject != null) {
            Object obj = extraObject.get(MediationConstant.KEY_BAIDU_CACHE_VIDEO_ONLY_WIFI);
            if (obj instanceof Boolean) {
                return ((Boolean) obj).booleanValue();
            }
            return false;
        }
        return false;
    }

    public int getBaiduDownloadAppConfirmPolicy() {
        Map<String, Object> extraObject = getExtraObject();
        if (extraObject != null) {
            Object obj = extraObject.get(MediationConstant.KEY_BAIDU_DOWN_APP_CONFIG_POLICY);
            if (obj instanceof Integer) {
                return ((Integer) obj).intValue();
            }
            return 0;
        }
        return 0;
    }

    public Object getBaiduNativeSmartOptStyleParams() {
        Map<String, Object> extraObject = getExtraObject();
        if (extraObject != null) {
            return extraObject.get(MediationConstant.KEY_BAIDU_NATIVE_SMART_OPT_STYLE_PARAMS);
        }
        return null;
    }

    public Object getBaiduRequestParameters() {
        Map<String, Object> extraObject = getExtraObject();
        if (extraObject != null) {
            return extraObject.get(MediationConstant.KEY_BAIDU_REQUEST_PARAMETERS);
        }
        return null;
    }

    public boolean getBaiduShowDialogOnSkip() {
        Map<String, Object> extraObject = getExtraObject();
        if (extraObject != null) {
            Object obj = extraObject.get(MediationConstant.KEY_BAIDU_SHOW_DIALOG_ON_SKIP);
            if (obj instanceof Boolean) {
                return ((Boolean) obj).booleanValue();
            }
            return false;
        }
        return false;
    }

    public boolean getBaiduUseRewardCountdown() {
        Map<String, Object> extraObject = getExtraObject();
        if (extraObject != null) {
            Object obj = extraObject.get(MediationConstant.KEY_BAIDU_USE_REWARD_COUNTDOWN);
            if (obj instanceof Boolean) {
                return ((Boolean) obj).booleanValue();
            }
            return false;
        }
        return false;
    }

    public String getClientReqId() {
        return k() ? this.zj.stringValue(8430) : "";
    }

    public String getContentUrl() {
        return k() ? this.zj.stringValue(8083) : "";
    }

    public String getDevices() {
        return k() ? this.zj.stringValue(8084) : "";
    }

    public float getExpressHeight() {
        ValueSet valueSet = this.f955k;
        if (valueSet != null) {
            return valueSet.floatValue(9);
        }
        return 0.0f;
    }

    public float getExpressWidth() {
        ValueSet valueSet = this.f955k;
        if (valueSet != null) {
            return valueSet.floatValue(10);
        }
        return 0.0f;
    }

    public Map<String, Object> getExtraObject() {
        ValueSet valueSet = this.q;
        if (valueSet != null) {
            return (Map) valueSet.objectValue(8449, Map.class);
        }
        return null;
    }

    public Object getGdtDownAPPConfirmPolicy() {
        Map<String, Object> extraObject = getExtraObject();
        if (extraObject != null) {
            return extraObject.get(MediationConstant.KEY_GDT_DOWN_APP_CONFIG_POLICY);
        }
        return null;
    }

    public int getGdtMaxVideoDuration() {
        Map<String, Object> extraObject = getExtraObject();
        if (extraObject != null) {
            Object obj = extraObject.get(MediationConstant.KEY_GDT_MAX_VIDEO_DURATION);
            if (obj instanceof Integer) {
                return ((Integer) obj).intValue();
            }
            return 0;
        }
        return 0;
    }

    public int getGdtMinVideoDuration() {
        Map<String, Object> extraObject = getExtraObject();
        if (extraObject != null) {
            Object obj = extraObject.get(MediationConstant.KEY_GDT_MIN_VIDEO_DURATION);
            if (obj instanceof Integer) {
                return ((Integer) obj).intValue();
            }
            return 0;
        }
        return 0;
    }

    public Object getGdtNativeLogoParams() {
        Map<String, Object> extraObject = getExtraObject();
        if (extraObject != null) {
            return extraObject.get(MediationConstant.KEY_GDT_NATIVE_LOGO_PARAMS);
        }
        return null;
    }

    public Object getGdtVideoOption() {
        Map<String, Object> extraObject = getExtraObject();
        if (extraObject != null) {
            return extraObject.get(MediationConstant.KEY_GDT_VIDEO_OPTION);
        }
        return null;
    }

    public int getHeight() {
        ValueSet valueSet = this.f955k;
        if (valueSet != null) {
            return valueSet.intValue(8);
        }
        return 0;
    }

    public int getOrientation() {
        ValueSet valueSet = this.f955k;
        if (valueSet != null) {
            return valueSet.intValue(16);
        }
        return 2;
    }

    public int getOriginType() {
        if (k()) {
            return this.zj.intValue(8085);
        }
        return 0;
    }

    public Map<String, Object> getParams() {
        return k() ? (Map) this.zj.objectValue(8044, Map.class) : new HashMap();
    }

    public int getRewardAmount() {
        ValueSet valueSet = this.q;
        if (valueSet != null) {
            return valueSet.intValue(8453);
        }
        return 0;
    }

    public String getRewardName() {
        ValueSet valueSet = this.q;
        return valueSet != null ? valueSet.stringValue(8452) : "";
    }

    public String getRitId() {
        if (k()) {
            return this.zj.stringValue(4);
        }
        return null;
    }

    public String getScenarioId() {
        ValueSet valueSet = this.q;
        return valueSet != null ? valueSet.stringValue(8451) : "";
    }

    public float getShakeViewHeight() {
        ValueSet valueSet = this.q;
        if (valueSet != null) {
            return valueSet.floatValue(8456);
        }
        return 0.0f;
    }

    public float getShakeViewWidth() {
        ValueSet valueSet = this.q;
        if (valueSet != null) {
            return valueSet.floatValue(8455);
        }
        return 0.0f;
    }

    public String getUserId() {
        ValueSet valueSet = this.f955k;
        return valueSet != null ? valueSet.stringValue(15) : "";
    }

    public float getVolume() {
        ValueSet valueSet = this.q;
        if (valueSet != null) {
            return valueSet.floatValue(8447);
        }
        return 1.0f;
    }

    public String getWaterfallABTest() {
        return k() ? this.zj.stringValue(8429) : "";
    }

    public int getWidth() {
        ValueSet valueSet = this.f955k;
        if (valueSet != null) {
            return valueSet.intValue(7);
        }
        return 0;
    }

    public boolean isAllowShowCloseBtn() {
        ValueSet valueSet = this.q;
        if (valueSet != null) {
            return valueSet.booleanValue(8454);
        }
        return false;
    }

    public boolean isBidNotify() {
        ValueSet valueSet = this.q;
        if (valueSet != null) {
            return valueSet.booleanValue(8450);
        }
        return false;
    }

    public boolean isExpress() {
        return k() && this.zj.booleanValue(8033);
    }

    public boolean isMuted() {
        ValueSet valueSet = this.q;
        if (valueSet != null) {
            return valueSet.booleanValue(8444);
        }
        return false;
    }

    public boolean isSplashPreLoad() {
        ValueSet valueSet = this.q;
        if (valueSet != null) {
            return valueSet.booleanValue(8446);
        }
        return false;
    }

    public boolean isSplashShakeButton() {
        ValueSet valueSet = this.q;
        if (valueSet != null) {
            return valueSet.booleanValue(8445);
        }
        return false;
    }

    public boolean isSupportDeepLink() {
        if (k()) {
            return this.zj.booleanValue(11);
        }
        return false;
    }

    public boolean isUseSurfaceView() {
        ValueSet valueSet = this.q;
        if (valueSet != null) {
            return valueSet.booleanValue(LogType.UNEXP_EXIT);
        }
        return false;
    }

    public void setAdUnitId(String str) {
        this.u = str;
    }

    public void setAdloadSeq(int i2) {
        this.yo = i2;
    }
}
