package com.efs.sdk.base.core.config;

import android.content.Context;
import android.os.Message;
import android.util.Pair;
import android.webkit.ValueCallback;
import com.bytedance.android.live.base.api.push.model.PushUIConfig;
import com.efs.sdk.base.observer.IEfsReporterObserver;
import com.efs.sdk.base.processor.action.ILogEncryptAction;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class GlobalEnvStruct {
    public String a;
    public String b;

    /* renamed from: h  reason: collision with root package name */
    public String f1011h;

    /* renamed from: m  reason: collision with root package name */
    public ILogEncryptAction f1016m;
    public Context mAppContext;

    /* renamed from: c  reason: collision with root package name */
    public boolean f1006c = true;

    /* renamed from: d  reason: collision with root package name */
    public boolean f1007d = true;

    /* renamed from: e  reason: collision with root package name */
    public boolean f1008e = false;

    /* renamed from: f  reason: collision with root package name */
    public Boolean f1009f = null;

    /* renamed from: g  reason: collision with root package name */
    public boolean f1010g = false;

    /* renamed from: i  reason: collision with root package name */
    public boolean f1012i = false;
    public long configRefreshDelayMills = PushUIConfig.dismissTime;

    /* renamed from: j  reason: collision with root package name */
    public long f1013j = 10000;

    /* renamed from: k  reason: collision with root package name */
    public long f1014k = 10000;

    /* renamed from: l  reason: collision with root package name */
    public Map<String, String> f1015l = new HashMap(5);

    /* renamed from: n  reason: collision with root package name */
    public ConcurrentHashMap<Integer, List<ValueCallback<Pair<Message, Message>>>> f1017n = new ConcurrentHashMap<>();

    /* renamed from: o  reason: collision with root package name */
    public List<IEfsReporterObserver> f1018o = new ArrayList(5);

    public void addConfigObserver(IEfsReporterObserver iEfsReporterObserver) {
        if (this.f1018o.contains(iEfsReporterObserver)) {
            return;
        }
        this.f1018o.add(iEfsReporterObserver);
    }

    public void addPublicParams(Map<String, String> map) {
        if (map == null || map.size() <= 0) {
            return;
        }
        HashMap hashMap = new HashMap(this.f1015l);
        hashMap.putAll(map);
        this.f1015l = hashMap;
    }

    public String getAppid() {
        return this.a;
    }

    public List<ValueCallback<Pair<Message, Message>>> getCallback(int i2) {
        if (this.f1017n.containsKey(Integer.valueOf(i2)) && this.f1017n.get(Integer.valueOf(i2)) != null) {
            return this.f1017n.get(Integer.valueOf(i2));
        }
        return Collections.emptyList();
    }

    public List<IEfsReporterObserver> getEfsReporterObservers() {
        return this.f1018o;
    }

    public ILogEncryptAction getLogEncryptAction() {
        return this.f1016m;
    }

    public long getLogSendDelayMills() {
        return this.f1013j;
    }

    public long getLogSendIntervalMills() {
        return this.f1014k;
    }

    public Map<String, String> getPublicParamMap() {
        Map<String, String> map = this.f1015l;
        return map == null ? Collections.emptyMap() : map;
    }

    public String getSecret() {
        return this.b;
    }

    public String getUid() {
        return this.f1011h;
    }

    public boolean isDebug() {
        return this.f1008e;
    }

    public boolean isEnableSendLog() {
        return this.f1007d;
    }

    public boolean isEnableWaStat() {
        return this.f1006c;
    }

    public boolean isIntl() {
        return this.f1012i;
    }

    public boolean isPrintLogDetail() {
        return this.f1010g;
    }

    public void registerCallback(int i2, ValueCallback<Pair<Message, Message>> valueCallback) {
        if (valueCallback == null) {
            return;
        }
        List<ValueCallback<Pair<Message, Message>>> list = this.f1017n.get(Integer.valueOf(i2));
        if (list == null) {
            list = new LinkedList<>();
            this.f1017n.putIfAbsent(Integer.valueOf(i2), list);
        }
        list.add(valueCallback);
    }

    public void setAppid(String str) {
        this.a = str;
    }

    public void setDebug(boolean z) {
        this.f1008e = z;
    }

    public void setEnableSendLog(boolean z) {
        this.f1007d = z;
    }

    public void setEnableWaStat(boolean z) {
        this.f1006c = z;
    }

    public void setIsIntl(boolean z) {
        this.f1012i = z;
    }

    public void setLogEncryptAction(ILogEncryptAction iLogEncryptAction) {
        this.f1016m = iLogEncryptAction;
    }

    public void setPrintLogDetail(boolean z) {
        this.f1010g = z;
    }

    public void setSecret(String str) {
        this.b = str;
    }

    public void setUid(String str) {
        this.f1011h = str;
    }
}
