package com.efs.sdk.base.core.config.a;

import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import android.util.Pair;
import android.webkit.ValueCallback;
import androidx.annotation.NonNull;
import androidx.appcompat.widget.TooltipCompatHandler;
import com.efs.sdk.base.IConfigRefreshAction;
import com.efs.sdk.base.core.c.f;
import com.efs.sdk.base.core.controller.ControllerCenter;
import com.efs.sdk.base.core.util.Log;
import com.efs.sdk.base.observer.IConfigCallback;
import com.efs.sdk.base.observer.IEfsReporterObserver;
import java.util.HashMap;
import java.util.Map;
import java.util.Random;
import java.util.Set;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public final class c implements Handler.Callback {
    public static final Random a = new Random();
    public IConfigRefreshAction b;

    /* renamed from: c  reason: collision with root package name */
    public boolean f1024c;

    /* renamed from: d  reason: collision with root package name */
    public b f1025d;

    /* renamed from: e  reason: collision with root package name */
    public Map<IConfigCallback, String[]> f1026e;

    /* renamed from: f  reason: collision with root package name */
    public Handler f1027f;

    /* renamed from: g  reason: collision with root package name */
    public e f1028g;

    /* renamed from: h  reason: collision with root package name */
    public long f1029h;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class a {
        public static final c a = new c((byte) 0);
    }

    public /* synthetic */ c(byte b) {
        this();
    }

    private void e() {
        f fVar;
        fVar = f.a.a;
        if (!fVar.a()) {
            Log.i("efs.config", "has no permission to refresh config from remote");
        } else if (!this.f1024c) {
            Log.i("efs.config", "disable refresh config from remote");
        } else {
            String refresh = g().refresh();
            Log.i("efs.config", "from server. efs config is ".concat(String.valueOf(refresh)));
            if (TextUtils.isEmpty(refresh)) {
                return;
            }
            a(refresh);
        }
    }

    private void f() {
        boolean z;
        try {
            z = this.f1028g.a(this.f1025d);
        } catch (Throwable unused) {
            z = false;
        }
        if (z) {
            return;
        }
        this.f1027f.sendEmptyMessageDelayed(3, TooltipCompatHandler.HOVER_HIDE_TIMEOUT_SHORT_MS);
    }

    @NonNull
    private IConfigRefreshAction g() {
        IConfigRefreshAction iConfigRefreshAction = this.b;
        return iConfigRefreshAction == null ? com.efs.sdk.base.core.config.a.a.a() : iConfigRefreshAction;
    }

    private boolean h() {
        e.b();
        long j2 = 0;
        try {
            e eVar = this.f1028g;
            eVar.c();
            if (eVar.a != null) {
                j2 = eVar.a.getLong("last_refresh_time", 0L);
            }
        } catch (Throwable unused) {
        }
        return System.currentTimeMillis() - j2 >= (this.f1025d.f1020d * 60) * 1000;
    }

    private void i() {
        try {
            for (ValueCallback<Pair<Message, Message>> valueCallback : ControllerCenter.getGlobalEnvStruct().getCallback(1)) {
                Message obtain = Message.obtain(null, 1, new JSONObject(this.f1025d.f1022f).toString());
                Message obtain2 = Message.obtain();
                valueCallback.onReceiveValue(new Pair<>(obtain, obtain2));
                obtain.recycle();
                obtain2.recycle();
            }
            for (IEfsReporterObserver iEfsReporterObserver : ControllerCenter.getGlobalEnvStruct().getEfsReporterObservers()) {
                iEfsReporterObserver.onConfigChange();
            }
        } catch (Throwable th) {
            Log.e("efs.config", th);
        }
    }

    public final Map<String, String> c() {
        return new HashMap(this.f1025d.f1022f);
    }

    public final void d() {
        new Handler(Looper.getMainLooper()).post(new Runnable() { // from class: com.efs.sdk.base.core.config.a.c.1
            @Override // java.lang.Runnable
            public final void run() {
                try {
                    for (IConfigCallback iConfigCallback : c.this.f1026e.keySet()) {
                        String[] strArr = (String[]) c.this.f1026e.get(iConfigCallback);
                        HashMap hashMap = new HashMap();
                        if (strArr != null && strArr.length != 0) {
                            for (String str : strArr) {
                                if (c.this.f1025d.f1022f.containsKey(str)) {
                                    hashMap.put(str, c.this.c().get(str));
                                    Log.i("efs.config", "--->>> configCallback key is " + str + " ## value is " + c.this.c().get(str));
                                }
                            }
                        }
                        iConfigCallback.onChange(hashMap);
                    }
                    c.this.f1026e.clear();
                } catch (Throwable unused) {
                }
            }
        });
    }

    @Override // android.os.Handler.Callback
    public final boolean handleMessage(@NonNull Message message) {
        b bVar;
        f fVar;
        int i2 = message.what;
        if (i2 == 0) {
            boolean a2 = e.a();
            Log.i("efs.config", "delete old config is ".concat(String.valueOf(a2)));
            if (a2) {
                this.f1027f.sendEmptyMessage(1);
            } else {
                e eVar = this.f1028g;
                eVar.c();
                if (eVar.a == null) {
                    bVar = null;
                } else {
                    b a3 = b.a();
                    a3.a = eVar.a.getInt("cver", -1);
                    Set<String> keySet = eVar.a.getAll().keySet();
                    HashMap hashMap = new HashMap();
                    for (String str : keySet) {
                        String string = eVar.a.getString(str, "");
                        if (!TextUtils.isEmpty(string)) {
                            hashMap.put(str, string);
                        }
                    }
                    a3.a(hashMap);
                    bVar = a3;
                }
                if (bVar == null) {
                    Log.i("efs.config", "first load local config false.");
                } else if (a(bVar)) {
                    Log.i("efs.config", "current config to same.");
                } else {
                    this.f1025d = bVar;
                    String str2 = "load config from storage";
                    if (-1 != bVar.a) {
                        i();
                        d();
                        str2 = "load config from storage and notify observer";
                    }
                    Log.i("efs.config", str2);
                }
            }
        } else if (i2 == 1) {
            int i3 = message.arg1;
            if (i3 <= this.f1025d.a) {
                Log.i("efs.config", "current config version is " + i3 + ", no need to refresh");
                Log.i("efs.config", "current config version(" + this.f1025d.a + ") is " + i3 + ", no need to refresh");
            } else {
                e();
            }
        } else if (i2 == 2) {
            try {
                fVar = f.a.a;
                if (fVar.a()) {
                    if (!h()) {
                        Log.i("efs.config", "No update is required, less than 8h since the last update");
                    } else {
                        e();
                    }
                }
            } catch (Throwable th) {
                th.printStackTrace();
            }
        } else if (i2 == 3) {
            f();
        }
        return true;
    }

    public c() {
        this.f1024c = true;
        this.f1026e = new HashMap();
        this.f1027f = new Handler(com.efs.sdk.base.core.util.concurrent.a.a.getLooper(), this);
        this.f1028g = new e();
        this.f1025d = b.a();
        this.f1029h = ControllerCenter.getGlobalEnvStruct().configRefreshDelayMills;
    }

    public static c a() {
        return a.a;
    }

    public final void b() {
        this.f1027f.sendEmptyMessage(0);
        this.f1027f.sendEmptyMessageDelayed(2, this.f1029h);
    }

    public final void a(int i2) {
        if (i2 <= this.f1025d.a) {
            Log.i("efs.config", "current config version is " + i2 + ", no need to refresh");
            return;
        }
        Message obtain = Message.obtain();
        obtain.arg1 = i2;
        obtain.what = 1;
        this.f1027f.sendMessage(obtain);
    }

    public final String a(boolean z) {
        if (z) {
            return "https://" + this.f1025d.f1019c;
        }
        return this.f1025d.b + this.f1025d.f1019c;
    }

    public final void a(String str) {
        b a2 = b.a();
        if (d.a(str, a2)) {
            if (a(a2)) {
                return;
            }
            this.f1025d = a2;
            f();
            i();
            d();
            return;
        }
        this.f1027f.sendEmptyMessageDelayed(1, TooltipCompatHandler.HOVER_HIDE_TIMEOUT_SHORT_MS);
    }

    private boolean a(b bVar) {
        if (this.f1025d.a >= bVar.a) {
            return true;
        }
        Log.i("efs.config", "current config version (" + this.f1025d.a + ") is older than another (" + bVar.a + ")");
        return false;
    }
}
