package com.efs.sdk.h5pagesdk;

import android.content.Context;
import com.efs.sdk.base.EfsReporter;
import com.efs.sdk.base.core.util.Log;
import com.efs.sdk.base.integrationtesting.IntegrationTestingUtil;
import com.efs.sdk.base.observer.IConfigCallback;
import com.efs.sdk.base.protocol.record.EfsJSONLog;
import java.util.Map;
import java.util.Random;
import org.json.JSONException;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class H5ConfigMananger {
    public EfsReporter b;
    public Context mContext;
    public final String TAG = "H5ConfigMananger";
    public final int a = 0;

    /* renamed from: c  reason: collision with root package name */
    public int f1063c = 0;

    /* renamed from: d  reason: collision with root package name */
    public boolean f1064d = false;

    public H5ConfigMananger(Context context, EfsReporter efsReporter) {
        this.mContext = context;
        this.b = efsReporter;
        efsReporter.getAllSdkConfig(new String[]{"apm_native_h5perf_sampling_rate"}, new IConfigCallback() { // from class: com.efs.sdk.h5pagesdk.H5ConfigMananger.1
            @Override // com.efs.sdk.base.observer.IConfigCallback
            public final void onChange(Map<String, Object> map) {
                try {
                    Object obj = map.get("apm_native_h5perf_sampling_rate");
                    if (obj != null) {
                        H5ConfigMananger.this.f1063c = Integer.parseInt(obj.toString());
                        H5ConfigMananger.this.f1064d = H5ConfigMananger.a(H5ConfigMananger.this.f1063c);
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        });
    }

    public String generateLaunchOptions() {
        if (!this.f1064d && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
            if (H5Manager.isDebug) {
                Log.e("H5ConfigMananger", "采样未命中，并且不处于集成测试模式");
                return "";
            }
            return "";
        }
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("sample", this.f1063c);
            if (this.f1064d) {
                jSONObject.put("sampleResult", "Y");
            } else {
                jSONObject.put("sampleResult", "N");
            }
            if (this.mContext != null) {
                jSONObject.put("appName", this.mContext.getApplicationInfo().packageName);
            }
            jSONObject.put("bridgeVersion", 1);
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        return jSONObject.toString();
    }

    public boolean isH5TracerEnable() {
        return this.f1064d;
    }

    public void sendData(final String str) {
        if (this.f1064d || IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
            a.execute(new Runnable() { // from class: com.efs.sdk.h5pagesdk.H5ConfigMananger.2
                @Override // java.lang.Runnable
                public final void run() {
                    if (H5ConfigMananger.this.b == null) {
                        return;
                    }
                    EfsJSONLog efsJSONLog = new EfsJSONLog("nativeh5perf");
                    efsJSONLog.put("wk_native_h5log", str);
                    H5ConfigMananger.this.b.send(efsJSONLog);
                }
            });
        }
    }

    public static /* synthetic */ boolean a(int i2) {
        if (i2 != 0) {
            return i2 == 100 || new Random().nextInt(100) <= i2;
        }
        return false;
    }
}
