package com.efs.sdk.net;

import android.text.TextUtils;
import com.efs.sdk.base.EfsReporter;
import com.efs.sdk.base.core.util.Log;
import com.efs.sdk.base.integrationtesting.IntegrationTestingUtil;
import com.efs.sdk.base.protocol.record.EfsJSONLog;
import com.efs.sdk.net.a.a;
import com.efs.sdk.net.a.b;
import com.efs.sdk.net.a.c;
import java.io.IOException;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.Proxy;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;
import okhttp3.Call;
import okhttp3.EventListener;
import okhttp3.Handshake;
import okhttp3.Protocol;
import okhttp3.Request;
import okhttp3.Response;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class OkHttpListener extends EventListener {
    public static AtomicInteger a = new AtomicInteger(0);
    public String b;

    /* renamed from: c  reason: collision with root package name */
    public boolean f1118c;

    /* renamed from: d  reason: collision with root package name */
    public List f1119d = new ArrayList();

    private void a(String str) {
        Map<String, Long> map;
        try {
            c c2 = a.a().c(this.b);
            if (c2 == null || (map = c2.D) == null) {
                return;
            }
            map.put(str, Long.valueOf(System.currentTimeMillis()));
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    private void b() {
        try {
            c c2 = a.a().c(this.b);
            b a2 = a.a().a(this.b);
            if (c2 == null || a2 == null) {
                return;
            }
            Map<String, Long> map = c2.D;
            Map<String, Long> map2 = c2.E;
            Log.i("NetTrace-Listener", a2.toString());
            if (!TextUtils.isEmpty(c2.B)) {
                EfsJSONLog efsJSONLog = new EfsJSONLog("netperf");
                if (map.containsKey(c.f1134d)) {
                    efsJSONLog.put("wd_dns", map.get(c.f1134d));
                }
                if (map.containsKey(c.f1135e)) {
                    efsJSONLog.put("wd_dnstm", map.get(c.f1135e));
                }
                if (map2.containsKey(c.t)) {
                    efsJSONLog.put("wl_dns", map2.get(c.t));
                }
                if (map.containsKey(c.f1136f)) {
                    efsJSONLog.put("wd_tcp", map.get(c.f1136f));
                }
                if (map.containsKey(c.f1139i)) {
                    efsJSONLog.put("wd_tcptm", map.get(c.f1139i));
                }
                if (map2.containsKey(c.v)) {
                    efsJSONLog.put("wl_tcp", map2.get(c.v));
                }
                if (map.containsKey(c.f1137g)) {
                    efsJSONLog.put("wd_ssl", map.get(c.f1137g));
                }
                if (map.containsKey(c.f1138h)) {
                    efsJSONLog.put("wd_ssltm", map.get(c.f1138h));
                }
                if (map2.containsKey(c.u)) {
                    efsJSONLog.put("wl_ssl", map2.get(c.u));
                }
                if (map.containsKey(c.f1141k)) {
                    efsJSONLog.put("wd_ds", map.get(c.f1141k));
                }
                if (map.containsKey(c.f1144n)) {
                    efsJSONLog.put("wd_dstm", map.get(c.f1144n));
                }
                if (map2.containsKey(c.w) && map2.containsKey(c.x)) {
                    efsJSONLog.put("wl_ds", Long.valueOf(map2.get(c.w).longValue() + map2.get(c.x).longValue()));
                }
                if (map.containsKey(c.f1145o)) {
                    efsJSONLog.put("wd_srt", map.get(c.f1145o));
                }
                if (map.containsKey(c.r)) {
                    efsJSONLog.put("wd_srttm", map.get(c.r));
                }
                if (map2.containsKey(c.y) && map2.containsKey(c.z)) {
                    efsJSONLog.put("wl_srt", Long.valueOf(map2.get(c.y).longValue() + map2.get(c.z).longValue()));
                }
                String[] split = c2.B.split("\\?");
                String str = split != null ? split[0] : null;
                if (this.f1119d != null && str != null && !this.f1119d.contains(str)) {
                    this.f1119d.add(str);
                    if (map.containsKey(c.f1144n)) {
                        efsJSONLog.put("wd_ttfb", map.get(c.f1144n));
                    } else if (map.containsKey(c.f1142l)) {
                        efsJSONLog.put("wd_ttfb", map.get(c.f1142l));
                    }
                    if (map.containsKey(c.f1145o)) {
                        efsJSONLog.put("wd_ttfbtm", map.get(c.f1145o));
                    }
                    if (map.containsKey(c.f1145o)) {
                        if (map.containsKey(c.f1144n)) {
                            efsJSONLog.put("wl_ttfb", Long.valueOf(map.get(c.f1145o).longValue() - map.get(c.f1144n).longValue()));
                        } else if (map.containsKey(c.f1142l)) {
                            efsJSONLog.put("wl_ttfb", Long.valueOf(map.get(c.f1145o).longValue() - map.get(c.f1142l).longValue()));
                        }
                    }
                } else {
                    efsJSONLog.put("wd_ttfb", 0);
                    efsJSONLog.put("wd_ttfbtm", 0);
                    efsJSONLog.put("wl_ttfb", 0);
                }
                if (map.containsKey(c.a)) {
                    efsJSONLog.put("wd_rt", map.get(c.a));
                }
                if (map.containsKey(c.b)) {
                    efsJSONLog.put("wd_rttm", map.get(c.b));
                }
                if (map2.containsKey(c.s)) {
                    efsJSONLog.put("wl_rt", map2.get(c.s));
                }
                efsJSONLog.put("wk_res", c2.B);
                efsJSONLog.put("wk_method", a2.f1128e);
                efsJSONLog.put("wk_rc", Integer.valueOf(a2.f1130g));
                efsJSONLog.put("wl_up", Long.valueOf(a2.f1129f));
                efsJSONLog.put("wl_down", Long.valueOf(a2.f1132i));
                efsJSONLog.put("wl_total", Long.valueOf(a2.f1129f + a2.f1132i));
                EfsReporter reporter = NetManager.getReporter();
                if (reporter != null) {
                    reporter.send(efsJSONLog);
                    a.a().d(this.b);
                    a.a().b(this.b);
                    return;
                }
                return;
            }
            Log.d("NetTrace-Listener", "url is null.");
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public static EventListener.Factory get() {
        return new EventListener.Factory() { // from class: com.efs.sdk.net.OkHttpListener.1
            @Override // okhttp3.EventListener.Factory
            @NotNull
            public final EventListener create(@NotNull Call call) {
                return new OkHttpListener();
            }
        };
    }

    @Override // okhttp3.EventListener
    public void callEnd(@NotNull Call call) {
        super.callEnd(call);
        try {
            Log.d("NetTrace-Listener", "callEnd");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "callEnd net enable false.");
                return;
            }
            a(c.b);
            a();
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void callFailed(@NotNull Call call, @NotNull IOException iOException) {
        super.callFailed(call, iOException);
        try {
            Log.d("NetTrace-Listener", "callFailed");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "callFailed net enable false.");
                return;
            }
            a(c.f1133c);
            a();
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void callStart(@NotNull Call call) {
        super.callStart(call);
        try {
            Log.d("NetTrace-Listener", "callStart");
            if (NetManager.getNetConfigManager() != null && NetManager.getNetConfigManager().enableTracer()) {
                this.f1118c = true;
            }
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "callStart net enable false.");
                return;
            }
            this.b = String.valueOf(a.getAndIncrement());
            Log.i("NetTrace-Listener", "requestId is" + this.b);
            a(c.a);
            String httpUrl = call.request().url().toString();
            c c2 = a.a().c(this.b);
            if (c2 != null) {
                c2.B = httpUrl;
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void connectEnd(@NotNull Call call, @NotNull InetSocketAddress inetSocketAddress, @NotNull Proxy proxy, @Nullable Protocol protocol) {
        super.connectEnd(call, inetSocketAddress, proxy, protocol);
        try {
            Log.d("NetTrace-Listener", "connectEnd");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "connectEnd net enable false.");
                return;
            }
            a(c.f1139i);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void connectFailed(@NotNull Call call, @NotNull InetSocketAddress inetSocketAddress, @NotNull Proxy proxy, @Nullable Protocol protocol, @NotNull IOException iOException) {
        super.connectFailed(call, inetSocketAddress, proxy, protocol, iOException);
        try {
            Log.d("NetTrace-Listener", "connectFailed");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "connectFailed net enable false.");
                return;
            }
            a(c.f1140j);
            a();
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void connectStart(@NotNull Call call, @NotNull InetSocketAddress inetSocketAddress, @NotNull Proxy proxy) {
        super.connectStart(call, inetSocketAddress, proxy);
        try {
            Log.d("NetTrace-Listener", "connectStart");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "connectStart net enable false.");
                return;
            }
            a(c.f1136f);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void dnsEnd(@NotNull Call call, @NotNull String str, @NotNull List<InetAddress> list) {
        super.dnsEnd(call, str, list);
        try {
            Log.d("NetTrace-Listener", "dnsEnd");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "dnsEnd net enable false.");
                return;
            }
            a(c.f1135e);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void dnsStart(@NotNull Call call, @NotNull String str) {
        super.dnsStart(call, str);
        try {
            Log.d("NetTrace-Listener", "dnsStart");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "dnsStart net enable false.");
                return;
            }
            a(c.f1134d);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void requestBodyEnd(@NotNull Call call, long j2) {
        super.requestBodyEnd(call, j2);
        try {
            Log.d("NetTrace-Listener", "requestBodyEnd");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "requestBodyEnd net enable false.");
                return;
            }
            a(c.f1144n);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void requestBodyStart(@NotNull Call call) {
        super.requestBodyStart(call);
        try {
            Log.d("NetTrace-Listener", "requestBodyStart");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "requestBodyStart net enable false.");
                return;
            }
            a(c.f1143m);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void requestHeadersEnd(@NotNull Call call, @NotNull Request request) {
        super.requestHeadersEnd(call, request);
        try {
            Log.d("NetTrace-Listener", "requestHeadersEnd");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "requestHeadersEnd net enable false.");
                return;
            }
            a(c.f1142l);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void requestHeadersStart(@NotNull Call call) {
        super.requestHeadersStart(call);
        try {
            Log.d("NetTrace-Listener", "requestHeadersStart");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "requestHeadersStart net enable false.");
                return;
            }
            a(c.f1141k);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void responseBodyEnd(@NotNull Call call, long j2) {
        super.responseBodyEnd(call, j2);
        try {
            Log.d("NetTrace-Listener", "responseBodyEnd");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "responseBodyEnd net enable false.");
                return;
            }
            a(c.r);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void responseBodyStart(@NotNull Call call) {
        super.responseBodyStart(call);
        try {
            Log.d("NetTrace-Listener", "responseBodyStart");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "responseBodyStart net enable false.");
                return;
            }
            a(c.q);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void responseHeadersEnd(@NotNull Call call, @NotNull Response response) {
        super.responseHeadersEnd(call, response);
        try {
            Log.d("NetTrace-Listener", "responseHeadersEnd");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "responseHeadersEnd net enable false.");
                return;
            }
            a(c.f1146p);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void responseHeadersStart(@NotNull Call call) {
        super.responseHeadersStart(call);
        try {
            Log.d("NetTrace-Listener", "responseHeadersStart");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "responseHeadersStart net enable false.");
                return;
            }
            a(c.f1145o);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void secureConnectEnd(@NotNull Call call, @Nullable Handshake handshake) {
        super.secureConnectEnd(call, handshake);
        try {
            Log.d("NetTrace-Listener", "secureConnectEnd");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "secureConnectEnd net enable false.");
                return;
            }
            a(c.f1138h);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // okhttp3.EventListener
    public void secureConnectStart(@NotNull Call call) {
        super.secureConnectStart(call);
        try {
            Log.d("NetTrace-Listener", "secureConnectStart");
            if (!this.f1118c && !IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
                Log.d("NetTrace-Listener", "secureConnectStart net enable false.");
                return;
            }
            a(c.f1137g);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    private void a() {
        try {
            c c2 = a.a().c(this.b);
            if (c2 != null) {
                Map<String, Long> map = c2.D;
                Map<String, Long> map2 = c2.E;
                map2.put(c.s, Long.valueOf(com.efs.sdk.net.b.a.a(map, c.a, c.b)));
                map2.put(c.t, Long.valueOf(com.efs.sdk.net.b.a.a(map, c.f1134d, c.f1135e)));
                map2.put(c.u, Long.valueOf(com.efs.sdk.net.b.a.a(map, c.f1137g, c.f1138h)));
                map2.put(c.v, Long.valueOf(com.efs.sdk.net.b.a.a(map, c.f1136f, c.f1139i)));
                map2.put(c.w, Long.valueOf(com.efs.sdk.net.b.a.a(map, c.f1141k, c.f1142l)));
                map2.put(c.x, Long.valueOf(com.efs.sdk.net.b.a.a(map, c.f1143m, c.f1144n)));
                map2.put(c.y, Long.valueOf(com.efs.sdk.net.b.a.a(map, c.f1145o, c.f1146p)));
                map2.put(c.z, Long.valueOf(com.efs.sdk.net.b.a.a(map, c.q, c.r)));
                b();
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }
}
