package com.hjq.permissions;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.Fragment;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.hjq.permissions.PermissionFragment;
import e.f.a.d;
import e.f.a.d0;
import e.f.a.e0;
import e.f.a.f;
import e.f.a.g;
import e.f.a.g0;
import e.f.a.j0;
import e.f.a.k;
import e.f.a.n;
import e.f.a.o;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
import java.util.Random;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public final class PermissionFragment extends Fragment implements Runnable {
    public static final String REQUEST_CODE = "request_code";
    public static final List<Integer> REQUEST_CODE_ARRAY = new ArrayList();
    public static final String REQUEST_PERMISSIONS = "request_permissions";
    @Nullable
    public k mCallBack;
    public boolean mDangerousRequest;
    @Nullable
    public g mInterceptor;
    public boolean mRequestFlag;
    public int mScreenOrientation;
    public boolean mSpecialRequest;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class a implements g {
        public a() {
        }

        @Override // e.f.a.g
        public /* synthetic */ void deniedPermissionRequest(@NonNull Activity activity, @NonNull List<String> list, @NonNull List<String> list2, boolean z, @Nullable k kVar) {
            f.$default$deniedPermissionRequest(this, activity, list, list2, z, kVar);
        }

        @Override // e.f.a.g
        public /* synthetic */ void finishPermissionRequest(@NonNull Activity activity, @NonNull List<String> list, boolean z, @Nullable k kVar) {
            f.$default$finishPermissionRequest(this, activity, list, z, kVar);
        }

        @Override // e.f.a.g
        public /* synthetic */ void grantedPermissionRequest(@NonNull Activity activity, @NonNull List<String> list, @NonNull List<String> list2, boolean z, @Nullable k kVar) {
            f.$default$grantedPermissionRequest(this, activity, list, list2, z, kVar);
        }

        @Override // e.f.a.g
        public /* synthetic */ void launchPermissionRequest(@NonNull Activity activity, @NonNull List<String> list, @Nullable k kVar) {
            PermissionFragment.launch(activity, new ArrayList(list), this, kVar);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class b implements k {
        public final /* synthetic */ Activity val$activity;
        public final /* synthetic */ ArrayList val$allPermissions;
        public final /* synthetic */ int val$requestCode;
        public final /* synthetic */ ArrayList val$secondPermissions;

        public b(Activity activity, ArrayList arrayList, ArrayList arrayList2, int i2) {
            this.val$activity = activity;
            this.val$secondPermissions = arrayList;
            this.val$allPermissions = arrayList2;
            this.val$requestCode = i2;
        }

        public /* synthetic */ void a(Activity activity, ArrayList arrayList, ArrayList arrayList2, int i2) {
            PermissionFragment.launch(activity, arrayList, new d0(this), new e0(this, arrayList2, i2, arrayList));
        }

        @Override // e.f.a.k
        public void onDenied(@NonNull List<String> list, boolean z) {
            if (PermissionFragment.this.isAdded()) {
                int[] iArr = new int[this.val$allPermissions.size()];
                Arrays.fill(iArr, -1);
                PermissionFragment.this.onRequestPermissionsResult(this.val$requestCode, (String[]) this.val$allPermissions.toArray(new String[0]), iArr);
            }
        }

        @Override // e.f.a.k
        public void onGranted(@NonNull List<String> list, boolean z) {
            if (z && PermissionFragment.this.isAdded()) {
                long j2 = d.isAndroid13() ? 150L : 0L;
                final Activity activity = this.val$activity;
                final ArrayList arrayList = this.val$secondPermissions;
                final ArrayList arrayList2 = this.val$allPermissions;
                final int i2 = this.val$requestCode;
                g0.postDelayed(new Runnable() { // from class: e.f.a.a
                    @Override // java.lang.Runnable
                    public final void run() {
                        PermissionFragment.b.this.a(activity, arrayList, arrayList2, i2);
                    }
                }, j2);
            }
        }
    }

    public static void launch(@NonNull Activity activity, @NonNull ArrayList<String> arrayList, @NonNull g gVar, @Nullable k kVar) {
        int nextInt;
        PermissionFragment permissionFragment = new PermissionFragment();
        Bundle bundle = new Bundle();
        do {
            nextInt = new Random().nextInt((int) Math.pow(2.0d, 8.0d));
        } while (REQUEST_CODE_ARRAY.contains(Integer.valueOf(nextInt)));
        REQUEST_CODE_ARRAY.add(Integer.valueOf(nextInt));
        bundle.putInt(REQUEST_CODE, nextInt);
        bundle.putStringArrayList("request_permissions", arrayList);
        permissionFragment.setArguments(bundle);
        permissionFragment.setRetainInstance(true);
        permissionFragment.setRequestFlag(true);
        permissionFragment.setCallBack(kVar);
        permissionFragment.setInterceptor(gVar);
        permissionFragment.attachActivity(activity);
    }

    public void attachActivity(@NonNull Activity activity) {
        activity.getFragmentManager().beginTransaction().add(this, toString()).commitAllowingStateLoss();
    }

    public void detachActivity(@NonNull Activity activity) {
        activity.getFragmentManager().beginTransaction().remove(this).commitAllowingStateLoss();
    }

    @Override // android.app.Fragment
    public void onActivityResult(int i2, int i3, @Nullable Intent intent) {
        ArrayList<String> stringArrayList;
        Activity activity = getActivity();
        Bundle arguments = getArguments();
        if (activity == null || arguments == null || this.mDangerousRequest || i2 != arguments.getInt(REQUEST_CODE) || (stringArrayList = arguments.getStringArrayList("request_permissions")) == null || stringArrayList.isEmpty()) {
            return;
        }
        this.mDangerousRequest = true;
        g0.postActivityResult(stringArrayList, this);
    }

    @Override // android.app.Fragment
    @SuppressLint({"SourceLockedOrientationActivity"})
    public void onAttach(Context context) {
        super.onAttach(context);
        Activity activity = getActivity();
        if (activity == null) {
            return;
        }
        int requestedOrientation = activity.getRequestedOrientation();
        this.mScreenOrientation = requestedOrientation;
        if (requestedOrientation != -1) {
            return;
        }
        g0.lockActivityOrientation(activity);
    }

    @Override // android.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        this.mCallBack = null;
    }

    @Override // android.app.Fragment
    public void onDetach() {
        super.onDetach();
        Activity activity = getActivity();
        if (activity == null || this.mScreenOrientation != -1 || activity.getRequestedOrientation() == -1) {
            return;
        }
        activity.setRequestedOrientation(-1);
    }

    @Override // android.app.Fragment
    public void onRequestPermissionsResult(int i2, String[] strArr, int[] iArr) {
        if (strArr == null || iArr == null || strArr.length == 0 || iArr.length == 0) {
            return;
        }
        Bundle arguments = getArguments();
        Activity activity = getActivity();
        if (activity == null || arguments == null || this.mInterceptor == null || i2 != arguments.getInt(REQUEST_CODE)) {
            return;
        }
        k kVar = this.mCallBack;
        this.mCallBack = null;
        g gVar = this.mInterceptor;
        this.mInterceptor = null;
        g0.optimizePermissionResults(activity, strArr, iArr);
        ArrayList asArrayList = g0.asArrayList(strArr);
        REQUEST_CODE_ARRAY.remove(Integer.valueOf(i2));
        detachActivity(activity);
        List<String> grantedPermissions = o.getGrantedPermissions(asArrayList, iArr);
        if (grantedPermissions.size() == asArrayList.size()) {
            gVar.grantedPermissionRequest(activity, asArrayList, grantedPermissions, true, kVar);
            gVar.finishPermissionRequest(activity, asArrayList, false, kVar);
            return;
        }
        List<String> deniedPermissions = o.getDeniedPermissions(asArrayList, iArr);
        gVar.deniedPermissionRequest(activity, asArrayList, deniedPermissions, o.isDoNotAskAgainPermissions(activity, deniedPermissions), kVar);
        if (!grantedPermissions.isEmpty()) {
            gVar.grantedPermissionRequest(activity, asArrayList, grantedPermissions, false, kVar);
        }
        gVar.finishPermissionRequest(activity, asArrayList, false, kVar);
    }

    @Override // android.app.Fragment
    public void onResume() {
        super.onResume();
        if (!this.mRequestFlag) {
            detachActivity(getActivity());
        } else if (this.mSpecialRequest) {
        } else {
            this.mSpecialRequest = true;
            requestSpecialPermission();
        }
    }

    public void requestDangerousPermission() {
        Activity activity = getActivity();
        Bundle arguments = getArguments();
        if (activity == null || arguments == null) {
            return;
        }
        int i2 = arguments.getInt(REQUEST_CODE);
        ArrayList<String> stringArrayList = arguments.getStringArrayList("request_permissions");
        if (stringArrayList == null || stringArrayList.isEmpty()) {
            return;
        }
        if (!d.isAndroid6()) {
            int size = stringArrayList.size();
            int[] iArr = new int[size];
            for (int i3 = 0; i3 < size; i3++) {
                iArr[i3] = o.isGrantedPermission(activity, stringArrayList.get(i3)) ? 0 : -1;
            }
            onRequestPermissionsResult(i2, (String[]) stringArrayList.toArray(new String[0]), iArr);
        } else if (d.isAndroid13() && stringArrayList.size() >= 2 && g0.containsPermission(stringArrayList, n.BODY_SENSORS_BACKGROUND)) {
            ArrayList<String> arrayList = new ArrayList<>(stringArrayList);
            arrayList.remove(n.BODY_SENSORS_BACKGROUND);
            splitTwiceRequestPermission(activity, stringArrayList, arrayList, i2);
        } else if (d.isAndroid10() && stringArrayList.size() >= 2 && g0.containsPermission(stringArrayList, n.ACCESS_BACKGROUND_LOCATION)) {
            ArrayList<String> arrayList2 = new ArrayList<>(stringArrayList);
            arrayList2.remove(n.ACCESS_BACKGROUND_LOCATION);
            splitTwiceRequestPermission(activity, stringArrayList, arrayList2, i2);
        } else if (d.isAndroid10() && g0.containsPermission(stringArrayList, n.ACCESS_MEDIA_LOCATION) && g0.containsPermission(stringArrayList, "android.permission.READ_EXTERNAL_STORAGE")) {
            ArrayList<String> arrayList3 = new ArrayList<>(stringArrayList);
            arrayList3.remove(n.ACCESS_MEDIA_LOCATION);
            splitTwiceRequestPermission(activity, stringArrayList, arrayList3, i2);
        } else {
            requestPermissions((String[]) stringArrayList.toArray(new String[stringArrayList.size() - 1]), i2);
        }
    }

    public void requestSpecialPermission() {
        ArrayList<String> stringArrayList;
        Bundle arguments = getArguments();
        Activity activity = getActivity();
        if (arguments == null || activity == null || (stringArrayList = arguments.getStringArrayList("request_permissions")) == null || stringArrayList.isEmpty()) {
            return;
        }
        boolean z = false;
        for (String str : stringArrayList) {
            if (o.isSpecialPermission(str) && !o.isGrantedPermission(activity, str) && (d.isAndroid11() || !g0.equalsPermission(str, n.MANAGE_EXTERNAL_STORAGE))) {
                j0.startActivityForResult(this, g0.getSmartPermissionIntent(activity, g0.asArrayList(str)), getArguments().getInt(REQUEST_CODE));
                z = true;
            }
        }
        if (z) {
            return;
        }
        requestDangerousPermission();
    }

    @Override // java.lang.Runnable
    public void run() {
        if (isAdded()) {
            requestDangerousPermission();
        }
    }

    public void setCallBack(@Nullable k kVar) {
        this.mCallBack = kVar;
    }

    public void setInterceptor(@Nullable g gVar) {
        this.mInterceptor = gVar;
    }

    public void setRequestFlag(boolean z) {
        this.mRequestFlag = z;
    }

    public void splitTwiceRequestPermission(@NonNull Activity activity, @NonNull ArrayList<String> arrayList, @NonNull ArrayList<String> arrayList2, int i2) {
        ArrayList arrayList3 = new ArrayList(arrayList);
        Iterator<String> it = arrayList2.iterator();
        while (it.hasNext()) {
            arrayList3.remove(it.next());
        }
        launch(activity, arrayList2, new a(), new b(activity, arrayList3, arrayList, i2));
    }
}
