package com.hjq.permissions;

import android.app.Activity;
import android.app.Fragment;
import android.content.Intent;
import android.os.Bundle;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import e.f.a.g0;
import e.f.a.j0;
import e.f.a.m;
import e.f.a.o;
import java.util.ArrayList;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public final class PermissionPageFragment extends Fragment implements Runnable {
    public static final String REQUEST_PERMISSIONS = "request_permissions";
    @Nullable
    public m mCallBack;
    public boolean mRequestFlag;
    public boolean mStartActivityFlag;

    public static void beginRequest(@NonNull Activity activity, @NonNull ArrayList<String> arrayList, @Nullable m mVar) {
        PermissionPageFragment permissionPageFragment = new PermissionPageFragment();
        Bundle bundle = new Bundle();
        bundle.putStringArrayList("request_permissions", arrayList);
        permissionPageFragment.setArguments(bundle);
        permissionPageFragment.setRetainInstance(true);
        permissionPageFragment.setRequestFlag(true);
        permissionPageFragment.setCallBack(mVar);
        permissionPageFragment.attachActivity(activity);
    }

    public void attachActivity(@NonNull Activity activity) {
        activity.getFragmentManager().beginTransaction().add(this, toString()).commitAllowingStateLoss();
    }

    public void detachActivity(@NonNull Activity activity) {
        activity.getFragmentManager().beginTransaction().remove(this).commitAllowingStateLoss();
    }

    @Override // android.app.Fragment
    public void onActivityResult(int i2, int i3, @Nullable Intent intent) {
        ArrayList<String> stringArrayList;
        if (i2 != 1025) {
            return;
        }
        Activity activity = getActivity();
        Bundle arguments = getArguments();
        if (activity == null || arguments == null || (stringArrayList = arguments.getStringArrayList("request_permissions")) == null || stringArrayList.isEmpty()) {
            return;
        }
        g0.postActivityResult(stringArrayList, this);
    }

    @Override // android.app.Fragment
    public void onResume() {
        super.onResume();
        if (!this.mRequestFlag) {
            detachActivity(getActivity());
        } else if (this.mStartActivityFlag) {
        } else {
            this.mStartActivityFlag = true;
            Bundle arguments = getArguments();
            Activity activity = getActivity();
            if (arguments == null || activity == null) {
                return;
            }
            j0.startActivityForResult(this, g0.getSmartPermissionIntent(getActivity(), arguments.getStringArrayList("request_permissions")), 1025);
        }
    }

    @Override // java.lang.Runnable
    public void run() {
        Activity activity;
        if (isAdded() && (activity = getActivity()) != null) {
            m mVar = this.mCallBack;
            this.mCallBack = null;
            if (mVar == null) {
                detachActivity(activity);
                return;
            }
            ArrayList<String> stringArrayList = getArguments().getStringArrayList("request_permissions");
            if (o.getGrantedPermissions(activity, stringArrayList).size() == stringArrayList.size()) {
                mVar.onGranted();
            } else {
                mVar.onDenied();
            }
            detachActivity(activity);
        }
    }

    public void setCallBack(@Nullable m mVar) {
        this.mCallBack = mVar;
    }

    public void setRequestFlag(boolean z) {
        this.mRequestFlag = z;
    }
}
