package com.joke.chongya.basecommons.base;

import androidx.lifecycle.ViewModel;
import androidx.lifecycle.ViewModelKt;
import com.joke.chongya.basecommons.network.ApiException;
import com.kwad.sdk.ranger.e;
import e.g.a.f.i.q;
import j.d1;
import j.k1.c;
import j.p1.b.p;
import j.p1.c.f0;
import java.net.ConnectException;
import java.net.SocketTimeoutException;
import java.net.UnknownHostException;
import java.util.concurrent.CancellationException;
import k.a.i;
import k.a.n0;
import k.a.o0;
import kotlin.Metadata;
import org.jetbrains.annotations.NotNull;
import org.json.JSONException;
import retrofit2.HttpException;
/* compiled from: AAA */
@Metadata(d1 = {"\u00008\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0003\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\b&\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0004J\u000e\u0010\u0007\u001a\u00020\b2\u0006\u0010\u0005\u001a\u00020\u0006J\u000e\u0010\t\u001a\u00020\b2\u0006\u0010\u0005\u001a\u00020\u0006J7\u0010\n\u001a\u00020\b2'\u0010\u000b\u001a#\b\u0001\u0012\u0004\u0012\u00020\r\u0012\n\u0012\b\u0012\u0004\u0012\u00020\b0\u000e\u0012\u0006\u0012\u0004\u0018\u00010\u000f0\f¢\u0006\u0002\b\u0010ø\u0001\u0000¢\u0006\u0002\u0010\u0011J\b\u0010\u0012\u001a\u00020\bH\u0014\u0082\u0002\u0004\n\u0002\b\u0019¨\u0006\u0013"}, d2 = {"Lcom/joke/chongya/basecommons/base/BaseViewModel;", "Landroidx/lifecycle/ViewModel;", "()V", "getApiException", "Lcom/joke/chongya/basecommons/network/ApiException;", e.TAG, "", "handlerError", "", "handlerErrorNoMsg", "launchOnUI", "block", "Lkotlin/Function2;", "Lkotlinx/coroutines/CoroutineScope;", "Lkotlin/coroutines/Continuation;", "", "Lkotlin/ExtensionFunctionType;", "(Lkotlin/jvm/functions/Function2;)V", "onCleared", "baseCommons_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
/* loaded from: classes2.dex */
public abstract class BaseViewModel extends ViewModel {
    @NotNull
    public final ApiException getApiException(@NotNull Throwable th) {
        f0.checkNotNullParameter(th, e.TAG);
        if (th instanceof UnknownHostException) {
            return new ApiException("网络异常", -100);
        }
        if (th instanceof JSONException) {
            return new ApiException("数据异常", -100);
        }
        if (th instanceof SocketTimeoutException) {
            return new ApiException("连接超时", -100);
        }
        if (th instanceof ConnectException) {
            return new ApiException("连接错误", -100);
        }
        if (th instanceof HttpException) {
            return new ApiException("请求超时", -100);
        }
        if (th instanceof ApiException) {
            return (ApiException) th;
        }
        if (th instanceof CancellationException) {
            return new ApiException("", -10);
        }
        return new ApiException("未知错误", -100);
    }

    public final void handlerError(@NotNull Throwable th) {
        f0.checkNotNullParameter(th, e.TAG);
        q.showSingleToast(getApiException(th).getErrorMsg());
    }

    public final void handlerErrorNoMsg(@NotNull Throwable th) {
        f0.checkNotNullParameter(th, e.TAG);
        getApiException(th);
    }

    public final void launchOnUI(@NotNull p<? super n0, ? super c<? super d1>, ? extends Object> pVar) {
        f0.checkNotNullParameter(pVar, "block");
        i.launch$default(ViewModelKt.getViewModelScope(this), null, null, new BaseViewModel$launchOnUI$1(pVar, null), 3, null);
    }

    @Override // androidx.lifecycle.ViewModel
    public void onCleared() {
        super.onCleared();
        o0.cancel$default(ViewModelKt.getViewModelScope(this), null, 1, null);
    }
}
