package com.joke.chongya.basecommons.view.loading;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.drawable.AnimationDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import com.joke.chongya.basecommons.R;
import e.g.a.f.j.h.b;
import e.g.a.f.j.h.e;
/* compiled from: AAA */
@SuppressLint({"NewApi"})
/* loaded from: classes2.dex */
public class CommonProgressBar extends RelativeLayout {
    public Context mContext;
    public LayoutInflater mInflater;
    public Drawable mLoadingAnimation;
    public ImageView mLoadingView;

    public CommonProgressBar(Context context) {
        super(context);
        this.mContext = null;
        init(context);
    }

    private void refreshAnim() {
        try {
            if (this.mLoadingAnimation == null || this.mLoadingView == null) {
                return;
            }
            if (this.mLoadingView.isShown()) {
                startAnimation(this.mLoadingAnimation);
            } else {
                stopAnimation(this.mLoadingAnimation);
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    @SuppressLint({"WrongConstant"})
    private void setLoadingAnim(Drawable drawable) {
        if ((drawable instanceof AnimationDrawable) && Build.VERSION.SDK_INT < 16) {
            this.mLoadingView.setBackgroundDrawable(this.mLoadingAnimation);
        }
        if (Build.VERSION.SDK_INT == 16) {
            this.mLoadingView.setLayerType(1, null);
        }
        this.mLoadingView.setImageDrawable(this.mLoadingAnimation);
        this.mLoadingView.setAlpha(0);
    }

    private void startLoadingAnim(Drawable drawable) {
        if (drawable instanceof b) {
            ((b) drawable).startAnimation();
        }
    }

    private void stopLoadingAnim(Drawable drawable) {
        if (drawable instanceof b) {
            ((b) this.mLoadingAnimation).stopAnimation();
        }
    }

    public void init(Context context) {
        this.mContext = context;
        LayoutInflater from = LayoutInflater.from(context);
        this.mInflater = from;
        from.inflate(R.layout.loading, this);
        this.mLoadingView = (ImageView) findViewById(R.id.img);
        Drawable drawable = this.mLoadingAnimation;
        if (drawable != null) {
            stopAnimation(drawable);
        }
        b bVar = e.get(this.mContext, "loading_animation_from_bottom");
        this.mLoadingAnimation = bVar;
        setLoadingAnim(bVar);
        startLoadingAnim(this.mLoadingAnimation);
    }

    @Override // android.view.ViewGroup, android.view.View
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        try {
            if (this.mLoadingAnimation == null || this.mLoadingView == null) {
                return;
            }
            stopAnimation(this.mLoadingAnimation);
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    @Override // android.view.View
    public void onVisibilityChanged(View view, int i2) {
        super.onVisibilityChanged(view, i2);
        refreshAnim();
    }

    @Override // android.view.View
    public void onWindowVisibilityChanged(int i2) {
        super.onWindowVisibilityChanged(i2);
        refreshAnim();
    }

    @Override // android.view.View
    public void setVisibility(int i2) {
        ImageView imageView;
        super.setVisibility(i2);
        if (i2 == 0 && (imageView = this.mLoadingView) != null && imageView.isShown()) {
            startAnimation(this.mLoadingAnimation);
        }
    }

    public void startAnimation(Drawable drawable) {
        if (drawable != null && (drawable instanceof b)) {
            ((b) drawable).startAnimation();
        }
    }

    public final void startProgress() {
        Drawable drawable = this.mLoadingAnimation;
        if (drawable != null) {
            stopAnimation(drawable);
        }
        b bVar = e.get(this.mContext, "loading_animation_from_bottom");
        this.mLoadingAnimation = bVar;
        setLoadingAnim(bVar);
        startLoadingAnim(this.mLoadingAnimation);
        this.mLoadingView.setVisibility(0);
    }

    public void stopAnim() {
        this.mLoadingView.clearAnimation();
        stopAnimation(this.mLoadingAnimation);
        this.mLoadingView.setVisibility(8);
    }

    public void stopAnimation(Drawable drawable) {
        if (drawable != null && (drawable instanceof b)) {
            ((b) drawable).stopAnimation();
        }
    }

    public CommonProgressBar(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.mContext = null;
        init(context);
    }

    public CommonProgressBar(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.mContext = null;
        init(context);
    }
}
