package com.joke.chongya.basecommons.view.ratingbar;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import com.joke.chongya.basecommons.R;
import java.math.BigDecimal;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class RatingBar extends LinearLayout {
    public boolean mClickable;
    public b onRatingChangeListener;
    public int starCount;
    public Drawable starEmptyDrawable;
    public Drawable starFillDrawable;
    public Drawable starHalfDrawable;
    public float starImageSize;
    public float starPadding;
    public float starStep;
    public StepSize stepSize;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public enum StepSize {
        Half(0),
        Full(1);
        
        public int step;

        StepSize(int i2) {
            this.step = i2;
        }

        public static StepSize fromStep(int i2) {
            StepSize[] values;
            for (StepSize stepSize : values()) {
                if (stepSize.step == i2) {
                    return stepSize;
                }
            }
            throw new IllegalArgumentException();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class a implements View.OnClickListener {
        public final /* synthetic */ ImageView val$imageView;

        public a(ImageView imageView) {
            this.val$imageView = imageView;
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            RatingBar ratingBar;
            RatingBar ratingBar2;
            RatingBar ratingBar3;
            RatingBar ratingBar4;
            if (RatingBar.this.mClickable) {
                int i2 = (int) RatingBar.this.starStep;
                if (new BigDecimal(Float.toString(RatingBar.this.starStep)).subtract(new BigDecimal(Integer.toString(i2))).floatValue() == 0.0f) {
                    i2--;
                }
                if (RatingBar.this.indexOfChild(view) > i2) {
                    RatingBar.this.setStar(ratingBar4.indexOfChild(view) + 1);
                } else if (RatingBar.this.indexOfChild(view) == i2) {
                    if (RatingBar.this.stepSize == StepSize.Full) {
                        return;
                    }
                    if (this.val$imageView.getDrawable().getCurrent().getConstantState().equals(RatingBar.this.starHalfDrawable.getConstantState())) {
                        RatingBar.this.setStar(ratingBar3.indexOfChild(view) + 1);
                        return;
                    }
                    RatingBar.this.setStar(ratingBar2.indexOfChild(view) + 0.5f);
                } else {
                    RatingBar.this.setStar(ratingBar.indexOfChild(view) + 1.0f);
                }
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public interface b {
        void onRatingChange(float f2);
    }

    public RatingBar(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        setOrientation(0);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.RatingBar);
        this.starImageSize = obtainStyledAttributes.getDimension(R.styleable.RatingBar_starImageSize, 20.0f);
        this.starPadding = obtainStyledAttributes.getDimension(R.styleable.RatingBar_starPadding, 10.0f);
        this.starStep = obtainStyledAttributes.getFloat(R.styleable.RatingBar_starStep, 1.0f);
        this.stepSize = StepSize.fromStep(obtainStyledAttributes.getInt(R.styleable.RatingBar_stepSize, 1));
        this.starCount = obtainStyledAttributes.getInteger(R.styleable.RatingBar_starCount, 5);
        this.starEmptyDrawable = obtainStyledAttributes.getDrawable(R.styleable.RatingBar_starEmpty);
        this.starFillDrawable = obtainStyledAttributes.getDrawable(R.styleable.RatingBar_starFill);
        this.starHalfDrawable = obtainStyledAttributes.getDrawable(R.styleable.RatingBar_starHalf);
        this.mClickable = obtainStyledAttributes.getBoolean(R.styleable.RatingBar_clickable, true);
        obtainStyledAttributes.recycle();
        for (int i2 = 0; i2 < this.starCount; i2++) {
            ImageView starImageView = getStarImageView();
            starImageView.setImageDrawable(this.starEmptyDrawable);
            starImageView.setOnClickListener(new a(starImageView));
            addView(starImageView);
        }
        setStar(this.starStep);
    }

    private ImageView getStarImageView() {
        ImageView imageView = new ImageView(getContext());
        LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(Math.round(this.starImageSize), Math.round(this.starImageSize));
        layoutParams.setMargins(0, 0, Math.round(this.starPadding), 0);
        imageView.setLayoutParams(layoutParams);
        imageView.setAdjustViewBounds(true);
        imageView.setScaleType(ImageView.ScaleType.CENTER_CROP);
        imageView.setImageDrawable(this.starEmptyDrawable);
        imageView.setMinimumWidth(10);
        imageView.setMaxHeight(10);
        return imageView;
    }

    public float getStarStep() {
        return this.starStep;
    }

    @Override // android.view.View
    public void setClickable(boolean z) {
        this.mClickable = z;
    }

    public void setOnRatingChangeListener(b bVar) {
        this.onRatingChangeListener = bVar;
    }

    public void setStar(float f2) {
        b bVar = this.onRatingChangeListener;
        if (bVar != null) {
            bVar.onRatingChange(f2);
        }
        this.starStep = f2;
        int i2 = (int) f2;
        float floatValue = new BigDecimal(Float.toString(f2)).subtract(new BigDecimal(Integer.toString(i2))).floatValue();
        for (int i3 = 0; i3 < i2; i3++) {
            ((ImageView) getChildAt(i3)).setImageDrawable(this.starFillDrawable);
        }
        for (int i4 = i2; i4 < this.starCount; i4++) {
            ((ImageView) getChildAt(i4)).setImageDrawable(this.starEmptyDrawable);
        }
        if (floatValue > 0.0f) {
            ((ImageView) getChildAt(i2)).setImageDrawable(this.starHalfDrawable);
        }
    }

    public void setStarEmptyDrawable(Drawable drawable) {
        this.starEmptyDrawable = drawable;
    }

    public void setStarFillDrawable(Drawable drawable) {
        this.starFillDrawable = drawable;
    }

    public void setStarHalfDrawable(Drawable drawable) {
        this.starHalfDrawable = drawable;
    }

    public void setStarImageSize(float f2) {
        this.starImageSize = f2;
    }

    public void setStepSize(StepSize stepSize) {
        this.stepSize = stepSize;
    }
}
