package com.joke.chongya.basecommons.view.ratingbar;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import com.joke.chongya.basecommons.R;
import java.math.BigDecimal;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class RatingBar2 extends LinearLayout {
    public boolean halfstart;
    public boolean isEmpty;
    public boolean mClickable;
    public b onRatingChangeListener;
    public int starCount;
    public Drawable starEmptyDrawable;
    public Drawable starFillDrawable;
    public Drawable starHalfDrawable;
    public float starImageHeight;
    public float starImagePadding;
    public float starImageSize;
    public float starImageWidth;
    public int starNum;
    public int y;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class a implements View.OnClickListener {
        public a() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            if (RatingBar2.this.mClickable) {
                if (RatingBar2.this.halfstart) {
                    if (RatingBar2.this.y % 2 == 0) {
                        RatingBar2 ratingBar2 = RatingBar2.this;
                        ratingBar2.setStar(ratingBar2.indexOfChild(view) + 1.0f);
                    } else {
                        RatingBar2 ratingBar22 = RatingBar2.this;
                        ratingBar22.setStar(ratingBar22.indexOfChild(view) + 0.5f);
                    }
                    if (RatingBar2.this.onRatingChangeListener != null) {
                        if (RatingBar2.this.y % 2 == 0) {
                            RatingBar2.this.onRatingChangeListener.onRatingChange(RatingBar2.this.indexOfChild(view) + 1.0f);
                            RatingBar2.access$208(RatingBar2.this);
                            return;
                        }
                        RatingBar2.this.onRatingChangeListener.onRatingChange(RatingBar2.this.indexOfChild(view) + 0.5f);
                        RatingBar2.access$208(RatingBar2.this);
                        return;
                    }
                    return;
                }
                RatingBar2 ratingBar23 = RatingBar2.this;
                ratingBar23.setStar(ratingBar23.indexOfChild(view) + 1.0f);
                if (RatingBar2.this.onRatingChangeListener != null) {
                    RatingBar2.this.onRatingChangeListener.onRatingChange(RatingBar2.this.indexOfChild(view) + 1.0f);
                }
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public interface b {
        void onRatingChange(float f2);
    }

    public RatingBar2(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.y = 1;
        this.isEmpty = true;
        setOrientation(0);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.RatingBarForComment);
        this.starHalfDrawable = obtainStyledAttributes.getDrawable(R.styleable.RatingBarForComment_starHalfForComment);
        this.starEmptyDrawable = obtainStyledAttributes.getDrawable(R.styleable.RatingBarForComment_starEmptyForComment);
        this.starFillDrawable = obtainStyledAttributes.getDrawable(R.styleable.RatingBarForComment_starFillForComment);
        this.starImageSize = obtainStyledAttributes.getDimension(R.styleable.RatingBarForComment_starImageSizeForComment, 120.0f);
        this.starImageWidth = obtainStyledAttributes.getDimension(R.styleable.RatingBarForComment_starImageWidthForComment, 60.0f);
        this.starImageHeight = obtainStyledAttributes.getDimension(R.styleable.RatingBarForComment_starImageHeightForComment, 120.0f);
        this.starImagePadding = obtainStyledAttributes.getDimension(R.styleable.RatingBarForComment_starImagePaddingForComment, 0.0f);
        this.starCount = obtainStyledAttributes.getInteger(R.styleable.RatingBarForComment_starCountForComment, 5);
        this.starNum = obtainStyledAttributes.getInteger(R.styleable.RatingBarForComment_starNumForComment, 0);
        this.mClickable = obtainStyledAttributes.getBoolean(R.styleable.RatingBarForComment_clickableForComment, true);
        this.halfstart = obtainStyledAttributes.getBoolean(R.styleable.RatingBarForComment_halfstartForComment, false);
        for (int i2 = 0; i2 < this.starNum; i2++) {
            addView(getStarImageView(context, false));
        }
        for (int i3 = 0; i3 < this.starCount; i3++) {
            ImageView starImageView = getStarImageView(context, this.isEmpty);
            starImageView.setOnClickListener(new a());
            addView(starImageView);
        }
    }

    public static /* synthetic */ int access$208(RatingBar2 ratingBar2) {
        int i2 = ratingBar2.y;
        ratingBar2.y = i2 + 1;
        return i2;
    }

    private ImageView getStarImageView(Context context, boolean z) {
        ImageView imageView = new ImageView(context);
        imageView.setLayoutParams(new ViewGroup.LayoutParams(Math.round(this.starImageWidth), Math.round(this.starImageHeight)));
        imageView.setPadding(0, 0, Math.round(this.starImagePadding), 0);
        if (z) {
            imageView.setImageDrawable(this.starEmptyDrawable);
        } else {
            imageView.setImageDrawable(this.starFillDrawable);
        }
        return imageView;
    }

    public void halfStar(boolean z) {
        this.halfstart = z;
    }

    public void setImagePadding(float f2) {
        this.starImagePadding = f2;
    }

    public void setOnRatingChangeListener(b bVar) {
        this.onRatingChangeListener = bVar;
    }

    public void setStar(float f2) {
        int i2 = (int) f2;
        float floatValue = new BigDecimal(Float.toString(f2)).subtract(new BigDecimal(Integer.toString(i2))).floatValue();
        int i3 = this.starCount;
        float f3 = i2 > i3 ? i3 : i2;
        if (f3 < 0.0f) {
            f3 = 0.0f;
        }
        for (int i4 = 0; i4 < f3; i4++) {
            ((ImageView) getChildAt(i4)).setImageDrawable(this.starFillDrawable);
        }
        if (floatValue > 0.0f) {
            if (this.starHalfDrawable != null) {
                int i5 = i2 / 2;
                int i6 = this.starCount;
                if (i5 > i6 - 1) {
                    ((ImageView) getChildAt(i6 - 1)).setImageDrawable(this.starHalfDrawable);
                } else {
                    ((ImageView) getChildAt(i5)).setImageDrawable(this.starHalfDrawable);
                }
            }
            int i7 = this.starCount;
            while (true) {
                i7--;
                if (i7 < 1.0f + f3) {
                    return;
                }
                ((ImageView) getChildAt(i7)).setImageDrawable(this.starEmptyDrawable);
            }
        } else {
            int i8 = this.starCount;
            while (true) {
                i8--;
                if (i8 < f3) {
                    return;
                }
                ((ImageView) getChildAt(i8)).setImageDrawable(this.starEmptyDrawable);
            }
        }
    }

    public void setStarCount(int i2) {
        this.starCount = i2;
    }

    public void setStarEmptyDrawable(Drawable drawable) {
        this.starEmptyDrawable = drawable;
    }

    public void setStarFillDrawable(Drawable drawable) {
        this.starFillDrawable = drawable;
    }

    public void setStarHalfDrawable(Drawable drawable) {
        this.starHalfDrawable = drawable;
    }

    public void setStarImageHeight(float f2) {
        this.starImageHeight = f2;
    }

    public void setStarImageSize(float f2) {
        this.starImageSize = f2;
    }

    public void setStarImageWidth(float f2) {
        this.starImageWidth = f2;
    }

    public void setmClickable(boolean z) {
        this.mClickable = z;
    }
}
