package com.joke.chongya.basecommons.weight.noviceGuide.view;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BlurMaskFilter;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Point;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.RectF;
import android.graphics.Xfermode;
import android.util.AttributeSet;
import android.view.WindowManager;
import android.widget.RelativeLayout;
import e.g.a.f.l.g.a;
import e.g.a.f.l.g.c.b;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class NoviceGuideView extends RelativeLayout {
    public int mBgColor;
    public Bitmap mBitmap;
    public RectF mBitmapRect;
    public Canvas mCanvas;
    public List<b> mHighlightList;
    public Paint mPaint;
    public int mScreenHeight;
    public int mScreenWidth;
    public float mStrokeWidth;
    public Xfermode mode;
    public RectF outRect;

    public NoviceGuideView(Context context) {
        this(context, null);
    }

    private void initCanvas() {
        if (this.mBitmapRect.width() > 0.0f && this.mBitmapRect.height() > 0.0f) {
            this.mBitmap = Bitmap.createBitmap((int) this.mBitmapRect.width(), (int) this.mBitmapRect.height(), Bitmap.Config.ARGB_8888);
        } else {
            this.mBitmap = Bitmap.createBitmap(10, 10, Bitmap.Config.ARGB_8888);
        }
        RectF rectF = this.mBitmapRect;
        float max = Math.max(rectF.left, rectF.top);
        RectF rectF2 = this.mBitmapRect;
        float max2 = Math.max(max, Math.max(this.mScreenWidth - rectF2.right, this.mScreenHeight - rectF2.bottom));
        this.mStrokeWidth = max2;
        RectF rectF3 = this.outRect;
        RectF rectF4 = this.mBitmapRect;
        rectF3.left = rectF4.left - (max2 / 2.0f);
        rectF3.top = rectF4.top - (max2 / 2.0f);
        rectF3.right = rectF4.right + (max2 / 2.0f);
        rectF3.bottom = rectF4.bottom + (max2 / 2.0f);
        Canvas canvas = new Canvas(this.mBitmap);
        this.mCanvas = canvas;
        canvas.drawColor(this.mBgColor);
    }

    private void initPaint() {
        Paint paint = new Paint();
        this.mPaint = paint;
        paint.setAntiAlias(true);
        this.mPaint.setColor(this.mBgColor);
        this.mPaint.setMaskFilter(new BlurMaskFilter(10.0f, BlurMaskFilter.Blur.INNER));
    }

    private void initView() {
        initPaint();
        this.mBitmapRect = new RectF();
        this.mode = new PorterDuffXfermode(PorterDuff.Mode.CLEAR);
        setWillNotDraw(false);
        setClickable(true);
    }

    @Override // android.view.View
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        List<b> list = this.mHighlightList;
        if (list == null || list.size() <= 0) {
            return;
        }
        this.mPaint.setXfermode(this.mode);
        this.mPaint.setStyle(Paint.Style.FILL);
        for (b bVar : this.mHighlightList) {
            RectF rectF = bVar.getRectF();
            RectF rectF2 = this.mBitmapRect;
            rectF.offset(-rectF2.left, -rectF2.top);
            int i2 = bVar.mShape;
            if (i2 == 0) {
                this.mCanvas.drawCircle(rectF.centerX(), rectF.centerY(), Math.min(bVar.mHighLightView.getWidth(), bVar.mHighLightView.getHeight()) / 2, this.mPaint);
            } else if (i2 == 1) {
                this.mCanvas.drawRect(rectF, this.mPaint);
            } else if (i2 == 2) {
                this.mPaint.setMaskFilter(new BlurMaskFilter(1.0f, BlurMaskFilter.Blur.INNER));
                this.mCanvas.drawOval(rectF, this.mPaint);
            } else if (i2 == 3) {
                this.mPaint.setMaskFilter(new BlurMaskFilter(1.0f, BlurMaskFilter.Blur.INNER));
                this.mCanvas.drawRoundRect(rectF, a.dip2px(getContext(), 8.0f), a.dip2px(getContext(), 8.0f), this.mPaint);
            }
        }
        Bitmap bitmap = this.mBitmap;
        RectF rectF3 = this.mBitmapRect;
        canvas.drawBitmap(bitmap, rectF3.left, rectF3.top, (Paint) null);
        this.mPaint.setXfermode(null);
        this.mPaint.setStyle(Paint.Style.STROKE);
        this.mPaint.setStrokeWidth(this.mStrokeWidth + 0.1f);
        canvas.drawRect(this.outRect, this.mPaint);
    }

    public void recyclerBitmap() {
        Bitmap bitmap = this.mBitmap;
        if (bitmap != null) {
            bitmap.recycle();
            this.mBitmap = null;
        }
    }

    public void setHighLightAreas(List<b> list) {
        this.mHighlightList = list;
        if (list != null && !list.isEmpty()) {
            for (b bVar : list) {
                this.mBitmapRect.union(bVar.getRectF());
            }
        }
        initCanvas();
    }

    public NoviceGuideView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public NoviceGuideView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.mBgColor = -1442840576;
        this.outRect = new RectF();
        Point point = new Point();
        ((WindowManager) getContext().getSystemService("window")).getDefaultDisplay().getSize(point);
        this.mScreenWidth = point.x;
        this.mScreenHeight = point.y;
        initView();
    }
}
