package com.joke.chongya.basecommons.weight.wheelView;

import android.content.Context;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Interpolator;
import android.widget.LinearLayout;
import com.joke.chongya.basecommons.R;
import e.g.a.f.l.h.c;
import e.g.a.f.l.h.e;
import e.g.a.f.l.h.f;
import e.g.a.f.l.h.g;
import e.g.a.f.l.h.i;
import e.g.a.f.l.h.j;
import e.g.a.f.l.h.k;
import java.util.LinkedList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class WheelView extends View {
    public static final int DEF_VISIBLE_ITEMS = 5;
    public static final int ITEM_OFFSET_PERCENT = 0;
    public static final int PADDING = 10;
    public int[] SHADOWS_COLORS;
    public GradientDrawable bottomShadow;
    public Drawable centerDrawable;
    public List<e> changingListeners;
    public List<f> clickingListeners;
    public int currentItem;
    public DataSetObserver dataObserver;
    public boolean drawShadows;
    public int firstItem;
    public boolean isCyclic;
    public boolean isScrollingPerformed;
    public int itemHeight;
    public LinearLayout itemsLayout;
    public i recycle;
    public j scroller;
    public j.c scrollingListener;
    public List<g> scrollingListeners;
    public int scrollingOffset;
    public GradientDrawable topShadow;
    public k viewAdapter;
    public int visibleItems;
    public int wheelBackground;
    public int wheelForeground;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class a implements j.c {
        public a() {
        }

        @Override // e.g.a.f.l.h.j.c
        public void onFinished() {
            if (WheelView.this.isScrollingPerformed) {
                WheelView.this.notifyScrollingListenersAboutEnd();
                WheelView.this.isScrollingPerformed = false;
            }
            WheelView.this.scrollingOffset = 0;
            WheelView.this.invalidate();
        }

        @Override // e.g.a.f.l.h.j.c
        public void onJustify() {
            if (Math.abs(WheelView.this.scrollingOffset) > 1) {
                WheelView.this.scroller.scroll(WheelView.this.scrollingOffset, 0);
            }
        }

        @Override // e.g.a.f.l.h.j.c
        public void onScroll(int i2) {
            WheelView.this.doScroll(i2);
            int height = WheelView.this.getHeight();
            if (WheelView.this.scrollingOffset > height) {
                WheelView.this.scrollingOffset = height;
                WheelView.this.scroller.stopScrolling();
                return;
            }
            int i3 = -height;
            if (WheelView.this.scrollingOffset < i3) {
                WheelView.this.scrollingOffset = i3;
                WheelView.this.scroller.stopScrolling();
            }
        }

        @Override // e.g.a.f.l.h.j.c
        public void onStarted() {
            WheelView.this.isScrollingPerformed = true;
            WheelView.this.notifyScrollingListenersAboutStart();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class b extends DataSetObserver {
        public b() {
        }

        @Override // android.database.DataSetObserver
        public void onChanged() {
            WheelView.this.invalidateWheel(false);
        }

        @Override // android.database.DataSetObserver
        public void onInvalidated() {
            WheelView.this.invalidateWheel(true);
        }
    }

    public WheelView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.SHADOWS_COLORS = new int[]{-15658735, 11184810, 11184810};
        this.currentItem = 0;
        this.visibleItems = 5;
        this.itemHeight = 0;
        this.wheelBackground = R.drawable.wheel_bg;
        this.wheelForeground = R.drawable.wheel_val;
        this.drawShadows = true;
        this.isCyclic = false;
        this.recycle = new i(this);
        this.changingListeners = new LinkedList();
        this.scrollingListeners = new LinkedList();
        this.clickingListeners = new LinkedList();
        this.scrollingListener = new a();
        this.dataObserver = new b();
        initData(context);
    }

    private boolean addViewItem(int i2, boolean z) {
        View itemView = getItemView(i2);
        if (itemView != null) {
            if (z) {
                this.itemsLayout.addView(itemView, 0);
                return true;
            }
            this.itemsLayout.addView(itemView);
            return true;
        }
        return false;
    }

    private void buildViewForMeasuring() {
        LinearLayout linearLayout = this.itemsLayout;
        if (linearLayout != null) {
            this.recycle.recycleItems(linearLayout, this.firstItem, new c());
        } else {
            createItemsLayout();
        }
        for (int itemsCount = this.viewAdapter.getItemsCount() - 1; itemsCount >= 0; itemsCount--) {
            if (addViewItem(itemsCount, true)) {
                this.firstItem = itemsCount;
            }
        }
    }

    private int calculateLayoutWidth(int i2, int i3) {
        initResourcesIfNecessary();
        this.itemsLayout.setLayoutParams(new ViewGroup.LayoutParams(-2, -2));
        this.itemsLayout.measure(View.MeasureSpec.makeMeasureSpec(i2, 0), View.MeasureSpec.makeMeasureSpec(0, 0));
        int measuredWidth = this.itemsLayout.getMeasuredWidth();
        if (i3 != 1073741824) {
            int max = Math.max(measuredWidth + 20, getSuggestedMinimumWidth());
            if (i3 != Integer.MIN_VALUE || i2 >= max) {
                i2 = max;
            }
        }
        this.itemsLayout.measure(View.MeasureSpec.makeMeasureSpec(i2 - 20, 1073741824), View.MeasureSpec.makeMeasureSpec(0, 0));
        return i2;
    }

    private void createItemsLayout() {
        if (this.itemsLayout == null) {
            LinearLayout linearLayout = new LinearLayout(getContext());
            this.itemsLayout = linearLayout;
            linearLayout.setOrientation(1);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void doScroll(int i2) {
        this.scrollingOffset += i2;
        int itemHeight = getItemHeight();
        int i3 = this.scrollingOffset / itemHeight;
        int i4 = this.currentItem - i3;
        int itemsCount = this.viewAdapter.getItemsCount();
        int i5 = this.scrollingOffset % itemHeight;
        if (Math.abs(i5) <= itemHeight / 2) {
            i5 = 0;
        }
        if (this.isCyclic && itemsCount > 0) {
            if (i5 > 0) {
                i4--;
                i3++;
            } else if (i5 < 0) {
                i4++;
                i3--;
            }
            while (i4 < 0) {
                i4 += itemsCount;
            }
            i4 %= itemsCount;
        } else if (i4 < 0) {
            i3 = this.currentItem;
            i4 = 0;
        } else if (i4 >= itemsCount) {
            i3 = (this.currentItem - itemsCount) + 1;
            i4 = itemsCount - 1;
        } else if (i4 > 0 && i5 > 0) {
            i4--;
            i3++;
        } else if (i4 < itemsCount - 1 && i5 < 0) {
            i4++;
            i3--;
        }
        int i6 = this.scrollingOffset;
        if (i4 != this.currentItem) {
            setCurrentItem(i4, false);
        } else {
            invalidate();
        }
        int i7 = i6 - (i3 * itemHeight);
        this.scrollingOffset = i7;
        if (i7 > getHeight()) {
            if (getHeight() <= 0) {
                this.scrollingOffset = 0;
            } else {
                this.scrollingOffset = (this.scrollingOffset % getHeight()) + getHeight();
            }
        }
    }

    private void drawCenterRect(Canvas canvas) {
        int height = getHeight() / 2;
        double itemHeight = getItemHeight() / 2;
        Double.isNaN(itemHeight);
        int i2 = (int) (itemHeight * 1.2d);
        this.centerDrawable.setBounds(0, height - i2, getWidth(), height + i2);
        this.centerDrawable.draw(canvas);
    }

    private void drawItems(Canvas canvas) {
        canvas.save();
        canvas.translate(10.0f, (-(((this.currentItem - this.firstItem) * getItemHeight()) + ((getItemHeight() - getHeight()) / 2))) + this.scrollingOffset);
        this.itemsLayout.draw(canvas);
        canvas.restore();
    }

    private int getDesiredHeight(LinearLayout linearLayout) {
        if (linearLayout != null && linearLayout.getChildAt(0) != null) {
            this.itemHeight = linearLayout.getChildAt(0).getMeasuredHeight();
        }
        int i2 = this.itemHeight;
        return Math.max((this.visibleItems * i2) - ((i2 * 0) / 50), getSuggestedMinimumHeight());
    }

    private int getItemHeight() {
        int i2 = this.itemHeight;
        if (i2 != 0) {
            return i2;
        }
        LinearLayout linearLayout = this.itemsLayout;
        if (linearLayout != null && linearLayout.getChildAt(0) != null) {
            int height = this.itemsLayout.getChildAt(0).getHeight();
            this.itemHeight = height;
            return height;
        }
        return getHeight() / this.visibleItems;
    }

    private View getItemView(int i2) {
        k kVar = this.viewAdapter;
        if (kVar == null || kVar.getItemsCount() == 0) {
            return null;
        }
        int itemsCount = this.viewAdapter.getItemsCount();
        if (!isValidItemIndex(i2)) {
            return this.viewAdapter.getEmptyItem(this.recycle.getEmptyItem(), this.itemsLayout);
        }
        while (i2 < 0) {
            i2 += itemsCount;
        }
        return this.viewAdapter.getItem(i2 % itemsCount, this.recycle.getItem(), this.itemsLayout);
    }

    private c getItemsRange() {
        if (getItemHeight() == 0) {
            return null;
        }
        int i2 = this.currentItem;
        int i3 = 1;
        while (getItemHeight() * i3 < getHeight()) {
            i2--;
            i3 += 2;
        }
        int i4 = this.scrollingOffset;
        if (i4 != 0) {
            if (i4 > 0) {
                i2--;
            }
            int itemHeight = this.scrollingOffset / getItemHeight();
            i2 -= itemHeight;
            double d2 = i3 + 1;
            double asin = Math.asin(itemHeight);
            Double.isNaN(d2);
            i3 = (int) (d2 + asin);
        }
        return new c(i2, i3);
    }

    private void initData(Context context) {
        this.scroller = new j(getContext(), this.scrollingListener);
    }

    private void initResourcesIfNecessary() {
        if (this.centerDrawable == null) {
            this.centerDrawable = getContext().getResources().getDrawable(this.wheelForeground);
        }
        if (this.topShadow == null) {
            this.topShadow = new GradientDrawable(GradientDrawable.Orientation.TOP_BOTTOM, this.SHADOWS_COLORS);
        }
        if (this.bottomShadow == null) {
            this.bottomShadow = new GradientDrawable(GradientDrawable.Orientation.BOTTOM_TOP, this.SHADOWS_COLORS);
        }
        setBackgroundResource(this.wheelBackground);
    }

    private boolean isValidItemIndex(int i2) {
        k kVar = this.viewAdapter;
        return kVar != null && kVar.getItemsCount() > 0 && (this.isCyclic || (i2 >= 0 && i2 < this.viewAdapter.getItemsCount()));
    }

    private void layout(int i2, int i3) {
        this.itemsLayout.layout(0, 0, i2 - 20, i3);
    }

    private boolean rebuildItems() {
        boolean z;
        c itemsRange = getItemsRange();
        LinearLayout linearLayout = this.itemsLayout;
        if (linearLayout != null) {
            int recycleItems = this.recycle.recycleItems(linearLayout, this.firstItem, itemsRange);
            z = this.firstItem != recycleItems;
            this.firstItem = recycleItems;
        } else {
            createItemsLayout();
            z = true;
        }
        if (!z) {
            z = (this.firstItem == itemsRange.getFirst() && this.itemsLayout.getChildCount() == itemsRange.getCount()) ? false : true;
        }
        if (this.firstItem > itemsRange.getFirst() && this.firstItem <= itemsRange.getLast()) {
            for (int i2 = this.firstItem - 1; i2 >= itemsRange.getFirst() && addViewItem(i2, true); i2--) {
                this.firstItem = i2;
            }
        } else {
            this.firstItem = itemsRange.getFirst();
        }
        int i3 = this.firstItem;
        for (int childCount = this.itemsLayout.getChildCount(); childCount < itemsRange.getCount(); childCount++) {
            if (!addViewItem(this.firstItem + childCount, false) && this.itemsLayout.getChildCount() == 0) {
                i3++;
            }
        }
        this.firstItem = i3;
        return z;
    }

    private void updateView() {
        if (rebuildItems()) {
            calculateLayoutWidth(getWidth(), 1073741824);
            layout(getWidth(), getHeight());
        }
    }

    public void addChangingListener(e eVar) {
        this.changingListeners.add(eVar);
    }

    public void addClickingListener(f fVar) {
        this.clickingListeners.add(fVar);
    }

    public void addScrollingListener(g gVar) {
        this.scrollingListeners.add(gVar);
    }

    public boolean drawShadows() {
        return this.drawShadows;
    }

    public int getCurrentItem() {
        return this.currentItem;
    }

    public k getViewAdapter() {
        return this.viewAdapter;
    }

    public int getVisibleItems() {
        return this.visibleItems;
    }

    public void invalidateWheel(boolean z) {
        if (z) {
            this.recycle.clearAll();
            LinearLayout linearLayout = this.itemsLayout;
            if (linearLayout != null) {
                linearLayout.removeAllViews();
            }
            this.scrollingOffset = 0;
        } else {
            LinearLayout linearLayout2 = this.itemsLayout;
            if (linearLayout2 != null) {
                this.recycle.recycleItems(linearLayout2, this.firstItem, new c());
            }
        }
        invalidate();
    }

    public boolean isCyclic() {
        return this.isCyclic;
    }

    public void notifyChangingListeners(int i2, int i3) {
        for (e eVar : this.changingListeners) {
            eVar.onChanged(this, i2, i3);
        }
    }

    public void notifyClickListenersAboutClick(int i2) {
        for (f fVar : this.clickingListeners) {
            fVar.onItemClicked(this, i2);
        }
    }

    public void notifyScrollingListenersAboutEnd() {
        for (g gVar : this.scrollingListeners) {
            gVar.onScrollingFinished(this);
        }
    }

    public void notifyScrollingListenersAboutStart() {
        for (g gVar : this.scrollingListeners) {
            gVar.onScrollingStarted(this);
        }
    }

    @Override // android.view.View
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        k kVar = this.viewAdapter;
        if (kVar != null && kVar.getItemsCount() > 0) {
            updateView();
            drawCenterRect(canvas);
            drawItems(canvas);
        }
        if (this.drawShadows) {
            drawShadows(canvas);
        }
    }

    @Override // android.view.View
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        layout(i4 - i2, i5 - i3);
    }

    @Override // android.view.View
    public void onMeasure(int i2, int i3) {
        int mode = View.MeasureSpec.getMode(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size = View.MeasureSpec.getSize(i2);
        int size2 = View.MeasureSpec.getSize(i3);
        buildViewForMeasuring();
        int calculateLayoutWidth = calculateLayoutWidth(size, mode);
        if (mode2 != 1073741824) {
            int desiredHeight = getDesiredHeight(this.itemsLayout);
            size2 = mode2 == Integer.MIN_VALUE ? Math.min(desiredHeight, size2) : desiredHeight;
        }
        setMeasuredDimension(calculateLayoutWidth, size2);
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        int itemHeight;
        if (!isEnabled() || getViewAdapter() == null) {
            return true;
        }
        int action = motionEvent.getAction();
        if (action != 1) {
            if (action == 2 && getParent() != null) {
                getParent().requestDisallowInterceptTouchEvent(true);
            }
        } else if (!this.isScrollingPerformed) {
            int y = ((int) motionEvent.getY()) - (getHeight() / 2);
            if (y > 0) {
                itemHeight = y + (getItemHeight() / 2);
            } else {
                itemHeight = y - (getItemHeight() / 2);
            }
            int itemHeight2 = itemHeight / getItemHeight();
            if (itemHeight2 != 0 && isValidItemIndex(this.currentItem + itemHeight2)) {
                notifyClickListenersAboutClick(this.currentItem + itemHeight2);
            }
        }
        return this.scroller.onTouchEvent(motionEvent);
    }

    public void removeChangingListener(e eVar) {
        this.changingListeners.remove(eVar);
    }

    public void removeClickingListener(f fVar) {
        this.clickingListeners.remove(fVar);
    }

    public void removeScrollingListener(g gVar) {
        this.scrollingListeners.remove(gVar);
    }

    public void scroll(int i2, int i3) {
        this.scroller.scroll((i2 * getItemHeight()) - this.scrollingOffset, i3);
    }

    public void setCurrentItem(int i2, boolean z) {
        int min;
        k kVar = this.viewAdapter;
        if (kVar == null || kVar.getItemsCount() == 0) {
            return;
        }
        int itemsCount = this.viewAdapter.getItemsCount();
        if (i2 < 0 || i2 >= itemsCount) {
            if (!this.isCyclic) {
                return;
            }
            while (i2 < 0) {
                i2 += itemsCount;
            }
            i2 %= itemsCount;
        }
        int i3 = this.currentItem;
        if (i2 != i3) {
            if (z) {
                int i4 = i2 - i3;
                if (this.isCyclic && (min = (itemsCount + Math.min(i2, i3)) - Math.max(i2, this.currentItem)) < Math.abs(i4)) {
                    i4 = i4 < 0 ? min : -min;
                }
                scroll(i4, 0);
                return;
            }
            this.scrollingOffset = 0;
            this.currentItem = i2;
            notifyChangingListeners(i3, i2);
            invalidate();
        }
    }

    public void setCyclic(boolean z) {
        this.isCyclic = z;
        invalidateWheel(false);
    }

    public void setDrawShadows(boolean z) {
        this.drawShadows = z;
    }

    public void setInterpolator(Interpolator interpolator) {
        this.scroller.setInterpolator(interpolator);
    }

    public void setShadowColor(int i2, int i3, int i4) {
        this.SHADOWS_COLORS = new int[]{i2, i3, i4};
    }

    public void setViewAdapter(k kVar) {
        k kVar2 = this.viewAdapter;
        if (kVar2 != null) {
            kVar2.unregisterDataSetObserver(this.dataObserver);
        }
        this.viewAdapter = kVar;
        if (kVar != null) {
            kVar.registerDataSetObserver(this.dataObserver);
        }
        invalidateWheel(true);
    }

    public void setVisibleItems(int i2) {
        this.visibleItems = i2;
    }

    public void setWheelBackground(int i2) {
        this.wheelBackground = i2;
        setBackgroundResource(i2);
    }

    public void setWheelForeground(int i2) {
        this.wheelForeground = i2;
        this.centerDrawable = getContext().getResources().getDrawable(this.wheelForeground);
    }

    public void stopScrolling() {
        this.scroller.stopScrolling();
    }

    private void drawShadows(Canvas canvas) {
        double itemHeight = getItemHeight();
        Double.isNaN(itemHeight);
        int i2 = (int) (itemHeight * 1.5d);
        this.topShadow.setBounds(0, 0, getWidth(), i2);
        this.topShadow.draw(canvas);
        this.bottomShadow.setBounds(0, getHeight() - i2, getWidth(), getHeight());
        this.bottomShadow.draw(canvas);
    }

    public void setCurrentItem(int i2) {
        setCurrentItem(i2, false);
    }

    public WheelView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.SHADOWS_COLORS = new int[]{-15658735, 11184810, 11184810};
        this.currentItem = 0;
        this.visibleItems = 5;
        this.itemHeight = 0;
        this.wheelBackground = R.drawable.wheel_bg;
        this.wheelForeground = R.drawable.wheel_val;
        this.drawShadows = true;
        this.isCyclic = false;
        this.recycle = new i(this);
        this.changingListeners = new LinkedList();
        this.scrollingListeners = new LinkedList();
        this.clickingListeners = new LinkedList();
        this.scrollingListener = new a();
        this.dataObserver = new b();
        initData(context);
    }

    public WheelView(Context context) {
        super(context);
        this.SHADOWS_COLORS = new int[]{-15658735, 11184810, 11184810};
        this.currentItem = 0;
        this.visibleItems = 5;
        this.itemHeight = 0;
        this.wheelBackground = R.drawable.wheel_bg;
        this.wheelForeground = R.drawable.wheel_val;
        this.drawShadows = true;
        this.isCyclic = false;
        this.recycle = new i(this);
        this.changingListeners = new LinkedList();
        this.scrollingListeners = new LinkedList();
        this.clickingListeners = new LinkedList();
        this.scrollingListener = new a();
        this.dataObserver = new b();
        initData(context);
    }
}
