package com.joke.chongya.download.utils;

import android.content.Intent;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.wifi.WifiManager;
import android.os.Build;
import android.telephony.TelephonyManager;
import android.text.format.Formatter;
import android.util.Log;
import androidx.annotation.RequiresPermission;
import com.efs.sdk.base.core.util.NetworkUtil;
import com.joke.chongya.basecommons.base.BaseApplication;
import com.kuaishou.weapon.p0.g;
import com.ss.android.socialbase.downloader.utils.DownloadExpSwitchCode;
import j.p1.c.f0;
import j.p1.c.u;
import java.lang.reflect.Method;
import java.net.InetAddress;
import java.net.InterfaceAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.net.UnknownHostException;
import java.util.Enumeration;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import kotlin.Metadata;
import kotlin.jvm.JvmStatic;
import kotlin.text.StringsKt__StringsKt;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
/* compiled from: AAA */
@Metadata(d1 = {"\u0000\f\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0005\u0018\u0000 \u00042\u00020\u0001:\u0003\u0003\u0004\u0005B\u0007\b\u0002¢\u0006\u0002\u0010\u0002¨\u0006\u0006"}, d2 = {"Lcom/joke/chongya/download/utils/BmNetWorkUtils;", "", "()V", "Callback", "Companion", "NetworkType", "baseCommons_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
/* loaded from: classes2.dex */
public final class BmNetWorkUtils {
    @NotNull
    public static final b Companion = new b(null);

    /* compiled from: AAA */
    @Metadata(d1 = {"\u0000\f\n\u0002\u0018\u0002\n\u0002\u0010\u0010\n\u0002\b\t\b\u0086\u0001\u0018\u00002\b\u0012\u0004\u0012\u00020\u00000\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002j\u0002\b\u0003j\u0002\b\u0004j\u0002\b\u0005j\u0002\b\u0006j\u0002\b\u0007j\u0002\b\bj\u0002\b\t¨\u0006\n"}, d2 = {"Lcom/joke/chongya/download/utils/BmNetWorkUtils$NetworkType;", "", "(Ljava/lang/String;I)V", "NETWORK_ETHERNET", "NETWORK_WIFI", "NETWORK_4G", "NETWORK_3G", "NETWORK_2G", "NETWORK_UNKNOWN", "NETWORK_NO", "baseCommons_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
    /* loaded from: classes2.dex */
    public enum NetworkType {
        NETWORK_ETHERNET,
        NETWORK_WIFI,
        NETWORK_4G,
        NETWORK_3G,
        NETWORK_2G,
        NETWORK_UNKNOWN,
        NETWORK_NO
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public interface a {
        void call(boolean z);
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static final class b {
        public b() {
        }

        public /* synthetic */ b(u uVar) {
            this();
        }

        @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
        private final NetworkInfo getActiveNetworkInfo() {
            Object systemService = BaseApplication.Companion.getBaseApplication().getSystemService("connectivity");
            f0.checkNotNull(systemService, "null cannot be cast to non-null type android.net.ConnectivityManager");
            return ((ConnectivityManager) systemService).getActiveNetworkInfo();
        }

        @JvmStatic
        public static /* synthetic */ void isConnected$annotations() {
        }

        @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
        private final boolean isEthernet() {
            NetworkInfo.State state;
            Object systemService = BaseApplication.Companion.getBaseApplication().getSystemService("connectivity");
            f0.checkNotNull(systemService, "null cannot be cast to non-null type android.net.ConnectivityManager");
            NetworkInfo networkInfo = ((ConnectivityManager) systemService).getNetworkInfo(9);
            if (networkInfo == null || (state = networkInfo.getState()) == null) {
                return false;
            }
            return state == NetworkInfo.State.CONNECTED || state == NetworkInfo.State.CONNECTING;
        }

        @JvmStatic
        public static /* synthetic */ void isNetwork$annotations() {
        }

        @JvmStatic
        public static /* synthetic */ void isNetworkAvailable$annotations() {
        }

        @JvmStatic
        public static /* synthetic */ void isWifiConnected$annotations() {
        }

        @NotNull
        public final String getBroadcastIpAddress() {
            try {
                Enumeration<NetworkInterface> networkInterfaces = NetworkInterface.getNetworkInterfaces();
                new LinkedList();
                while (networkInterfaces.hasMoreElements()) {
                    NetworkInterface nextElement = networkInterfaces.nextElement();
                    if (nextElement.isUp() && !nextElement.isLoopback()) {
                        List<InterfaceAddress> interfaceAddresses = nextElement.getInterfaceAddresses();
                        int size = interfaceAddresses.size();
                        for (int i2 = 0; i2 < size; i2++) {
                            InetAddress broadcast = interfaceAddresses.get(i2).getBroadcast();
                            if (broadcast != null) {
                                String hostAddress = broadcast.getHostAddress();
                                f0.checkNotNullExpressionValue(hostAddress, "broadcast.hostAddress");
                                return hostAddress;
                            }
                        }
                        continue;
                    }
                }
                return "";
            } catch (SocketException e2) {
                e2.printStackTrace();
                return "";
            }
        }

        @RequiresPermission(g.a)
        @NotNull
        public final String getDomainAddress(@Nullable String str) {
            try {
                InetAddress byName = InetAddress.getByName(str);
                f0.checkNotNullExpressionValue(byName, "getByName(domain)");
                String hostAddress = byName.getHostAddress();
                f0.checkNotNullExpressionValue(hostAddress, "{\n                inetAd…hostAddress\n            }");
                return hostAddress;
            } catch (UnknownHostException e2) {
                e2.printStackTrace();
                return "";
            }
        }

        @RequiresPermission(g.f1361d)
        @NotNull
        public final String getGatewayByWifi() {
            Object systemService = BaseApplication.Companion.getBaseApplication().getSystemService(NetworkUtil.NETWORK_TYPE_WIFI);
            f0.checkNotNull(systemService, "null cannot be cast to non-null type android.net.wifi.WifiManager");
            String formatIpAddress = Formatter.formatIpAddress(((WifiManager) systemService).getDhcpInfo().gateway);
            f0.checkNotNullExpressionValue(formatIpAddress, "formatIpAddress(wm.dhcpInfo.gateway)");
            return formatIpAddress;
        }

        @RequiresPermission(g.a)
        @NotNull
        public final String getIPAddress(boolean z) {
            try {
                Enumeration<NetworkInterface> networkInterfaces = NetworkInterface.getNetworkInterfaces();
                LinkedList linkedList = new LinkedList();
                while (networkInterfaces.hasMoreElements()) {
                    NetworkInterface nextElement = networkInterfaces.nextElement();
                    if (nextElement.isUp() && !nextElement.isLoopback()) {
                        Enumeration<InetAddress> inetAddresses = nextElement.getInetAddresses();
                        while (inetAddresses.hasMoreElements()) {
                            linkedList.addFirst(inetAddresses.nextElement());
                        }
                    }
                }
                Iterator it = linkedList.iterator();
                while (it.hasNext()) {
                    InetAddress inetAddress = (InetAddress) it.next();
                    if (!inetAddress.isLoopbackAddress()) {
                        String hostAddress = inetAddress.getHostAddress();
                        f0.checkNotNullExpressionValue(hostAddress, "hostAddress");
                        boolean z2 = StringsKt__StringsKt.indexOf$default((CharSequence) hostAddress, ':', 0, false, 6, (Object) null) < 0;
                        if (z) {
                            if (z2) {
                                return hostAddress;
                            }
                        } else if (!z2) {
                            int indexOf$default = StringsKt__StringsKt.indexOf$default((CharSequence) hostAddress, '%', 0, false, 6, (Object) null);
                            if (indexOf$default < 0) {
                                String upperCase = hostAddress.toUpperCase();
                                f0.checkNotNullExpressionValue(upperCase, "this as java.lang.String).toUpperCase()");
                                return upperCase;
                            }
                            String substring = hostAddress.substring(0, indexOf$default);
                            f0.checkNotNullExpressionValue(substring, "this as java.lang.String…ing(startIndex, endIndex)");
                            String upperCase2 = substring.toUpperCase();
                            f0.checkNotNullExpressionValue(upperCase2, "this as java.lang.String).toUpperCase()");
                            return upperCase2;
                        }
                    }
                }
                return "";
            } catch (SocketException e2) {
                e2.printStackTrace();
                return "";
            }
        }

        @RequiresPermission(g.f1361d)
        @NotNull
        public final String getIpAddressByWifi() {
            Object systemService = BaseApplication.Companion.getBaseApplication().getSystemService(NetworkUtil.NETWORK_TYPE_WIFI);
            f0.checkNotNull(systemService, "null cannot be cast to non-null type android.net.wifi.WifiManager");
            String formatIpAddress = Formatter.formatIpAddress(((WifiManager) systemService).getDhcpInfo().ipAddress);
            f0.checkNotNullExpressionValue(formatIpAddress, "formatIpAddress(wm.dhcpInfo.ipAddress)");
            return formatIpAddress;
        }

        public final boolean getMobileDataEnabled() {
            TelephonyManager telephonyManager;
            try {
                Object systemService = BaseApplication.Companion.getBaseApplication().getSystemService("phone");
                f0.checkNotNull(systemService, "null cannot be cast to non-null type android.telephony.TelephonyManager");
                telephonyManager = (TelephonyManager) systemService;
            } catch (Exception e2) {
                Log.e("NetworkUtils", "getMobileDataEnabled: ", e2);
            }
            if (Build.VERSION.SDK_INT >= 26) {
                return telephonyManager.isDataEnabled();
            }
            Method declaredMethod = telephonyManager.getClass().getDeclaredMethod("getDataEnabled", new Class[0]);
            if (declaredMethod != null) {
                Object invoke = declaredMethod.invoke(telephonyManager, new Object[0]);
                f0.checkNotNull(invoke, "null cannot be cast to non-null type kotlin.Boolean");
                return ((Boolean) invoke).booleanValue();
            }
            return false;
        }

        @RequiresPermission(g.f1361d)
        @NotNull
        public final String getNetMaskByWifi() {
            Object systemService = BaseApplication.Companion.getBaseApplication().getSystemService(NetworkUtil.NETWORK_TYPE_WIFI);
            f0.checkNotNull(systemService, "null cannot be cast to non-null type android.net.wifi.WifiManager");
            String formatIpAddress = Formatter.formatIpAddress(((WifiManager) systemService).getDhcpInfo().netmask);
            f0.checkNotNullExpressionValue(formatIpAddress, "formatIpAddress(wm.dhcpInfo.netmask)");
            return formatIpAddress;
        }

        @NotNull
        public final String getNetworkOperatorName() {
            Object systemService = BaseApplication.Companion.getBaseApplication().getSystemService("phone");
            f0.checkNotNull(systemService, "null cannot be cast to non-null type android.telephony.TelephonyManager");
            String networkOperatorName = ((TelephonyManager) systemService).getNetworkOperatorName();
            f0.checkNotNullExpressionValue(networkOperatorName, "tm.networkOperatorName");
            return networkOperatorName;
        }

        @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
        @NotNull
        public final NetworkType getNetworkType() {
            if (isEthernet()) {
                return NetworkType.NETWORK_ETHERNET;
            }
            NetworkInfo activeNetworkInfo = getActiveNetworkInfo();
            if (activeNetworkInfo != null && activeNetworkInfo.isAvailable()) {
                if (activeNetworkInfo.getType() == 1) {
                    return NetworkType.NETWORK_WIFI;
                }
                if (activeNetworkInfo.getType() == 0) {
                    switch (activeNetworkInfo.getSubtype()) {
                        case 1:
                        case 2:
                        case 4:
                        case 7:
                        case 11:
                        case 16:
                            return NetworkType.NETWORK_2G;
                        case 3:
                        case 5:
                        case 6:
                        case 8:
                        case 9:
                        case 10:
                        case 12:
                        case 14:
                        case 15:
                        case 17:
                            return NetworkType.NETWORK_3G;
                        case 13:
                        case 18:
                            return NetworkType.NETWORK_4G;
                        default:
                            String subtypeName = activeNetworkInfo.getSubtypeName();
                            if (j.y1.u.equals(subtypeName, "TD-SCDMA", true) || j.y1.u.equals(subtypeName, "WCDMA", true) || j.y1.u.equals(subtypeName, "CDMA2000", true)) {
                                return NetworkType.NETWORK_3G;
                            }
                            break;
                    }
                }
            }
            return NetworkType.NETWORK_UNKNOWN;
        }

        @RequiresPermission(g.f1361d)
        @NotNull
        public final String getServerAddressByWifi() {
            Object systemService = BaseApplication.Companion.getBaseApplication().getSystemService(NetworkUtil.NETWORK_TYPE_WIFI);
            f0.checkNotNull(systemService, "null cannot be cast to non-null type android.net.wifi.WifiManager");
            String formatIpAddress = Formatter.formatIpAddress(((WifiManager) systemService).getDhcpInfo().serverAddress);
            f0.checkNotNullExpressionValue(formatIpAddress, "formatIpAddress(wm.dhcpInfo.serverAddress)");
            return formatIpAddress;
        }

        public final boolean getWifiEnabled() {
            Object systemService = BaseApplication.Companion.getBaseApplication().getSystemService(NetworkUtil.NETWORK_TYPE_WIFI);
            f0.checkNotNull(systemService, "null cannot be cast to non-null type android.net.wifi.WifiManager");
            return ((WifiManager) systemService).isWifiEnabled();
        }

        public final boolean is4G() {
            NetworkInfo activeNetworkInfo = getActiveNetworkInfo();
            return activeNetworkInfo != null && activeNetworkInfo.isAvailable() && activeNetworkInfo.getSubtype() == 13;
        }

        public final boolean isConnected() {
            NetworkInfo activeNetworkInfo = getActiveNetworkInfo();
            return activeNetworkInfo != null && activeNetworkInfo.isConnected();
        }

        public final boolean isMobileData() {
            NetworkInfo activeNetworkInfo = getActiveNetworkInfo();
            return activeNetworkInfo != null && activeNetworkInfo.isAvailable() && activeNetworkInfo.getType() == 0;
        }

        public final boolean isNetwork() {
            if (isWifiConnected()) {
                return true;
            }
            return isMobileData();
        }

        public final boolean isNetworkAvailable() {
            if (BaseApplication.Companion.getBaseApplication() == null) {
                return false;
            }
            Object systemService = BaseApplication.Companion.getBaseApplication().getSystemService("connectivity");
            f0.checkNotNull(systemService, "null cannot be cast to non-null type android.net.ConnectivityManager");
            NetworkInfo[] allNetworkInfo = ((ConnectivityManager) systemService).getAllNetworkInfo();
            f0.checkNotNullExpressionValue(allNetworkInfo, "connectivity.allNetworkInfo");
            for (NetworkInfo networkInfo : allNetworkInfo) {
                if (networkInfo.getState() == NetworkInfo.State.CONNECTED) {
                    return true;
                }
            }
            return false;
        }

        @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
        public final boolean isWifiConnected() {
            Object systemService = BaseApplication.Companion.getBaseApplication().getSystemService("connectivity");
            f0.checkNotNull(systemService, "null cannot be cast to non-null type android.net.ConnectivityManager");
            NetworkInfo activeNetworkInfo = ((ConnectivityManager) systemService).getActiveNetworkInfo();
            return activeNetworkInfo != null && activeNetworkInfo.getType() == 1;
        }

        public final void openWirelessSettings() {
            BaseApplication.Companion.getBaseApplication().startActivity(new Intent("android.settings.WIRELESS_SETTINGS").setFlags(DownloadExpSwitchCode.BUGFIX_GETPACKAGEINFO_BY_UNZIP));
        }

        public final boolean setMobileDataEnabled(boolean z) {
            TelephonyManager telephonyManager;
            try {
                Object systemService = BaseApplication.Companion.getBaseApplication().getSystemService("phone");
                f0.checkNotNull(systemService, "null cannot be cast to non-null type android.telephony.TelephonyManager");
                telephonyManager = (TelephonyManager) systemService;
            } catch (Exception e2) {
                Log.e("NetworkUtils", "setMobileDataEnabled: ", e2);
            }
            if (Build.VERSION.SDK_INT >= 26) {
                telephonyManager.setDataEnabled(z);
                return false;
            }
            Method declaredMethod = telephonyManager.getClass().getDeclaredMethod("setDataEnabled", Boolean.TYPE);
            if (declaredMethod != null) {
                declaredMethod.invoke(telephonyManager, Boolean.valueOf(z));
                return true;
            }
            return false;
        }

        public final void setWifiEnabled(boolean z) {
            Object systemService = BaseApplication.Companion.getBaseApplication().getSystemService(NetworkUtil.NETWORK_TYPE_WIFI);
            f0.checkNotNull(systemService, "null cannot be cast to non-null type android.net.wifi.WifiManager");
            WifiManager wifiManager = (WifiManager) systemService;
            if (z == wifiManager.isWifiEnabled()) {
                return;
            }
            wifiManager.setWifiEnabled(z);
        }
    }

    public BmNetWorkUtils() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    public static final boolean isConnected() {
        return Companion.isConnected();
    }

    public static final boolean isNetwork() {
        return Companion.isNetwork();
    }

    public static final boolean isNetworkAvailable() {
        return Companion.isNetworkAvailable();
    }

    @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
    public static final boolean isWifiConnected() {
        return Companion.isWifiConnected();
    }
}
