package com.joke.chongya.forum.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Point;
import android.graphics.Rect;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.View;
import android.widget.RelativeLayout;
import com.joke.chongya.basecommons.R;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class MixtureTextView extends RelativeLayout {
    public static int[] ATTRS = {16842901, 16842904, 16843087};
    public static final int INDEX_ATTR_TEXT = 2;
    public static final int INDEX_ATTR_TEXT_COLOR = 1;
    public static final int INDEX_ATTR_TEXT_SIZE = 0;
    public Layout layout;
    public HashSet<Integer> mCorYHashes;
    public List<Integer> mCorYs;
    public List<List<Rect>> mDestRects;
    public boolean mFirstInLayout;
    public int mHeightMeasureSpec;
    public int mHeightReMeasureSpec;
    public int mLineHeight;
    public int mLineSpace;
    public int mMaxHeight;
    public int mMinHeight;
    public boolean mNeedReMeasure;
    public boolean mNeedRenderText;
    public int mOriginHeightMeasureMode;
    public String mText;
    public int mTextColor;
    public TextPaint mTextPaint;
    public int mTextSize;
    public Map<Integer, Point> mViewBounds;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class a implements Comparator<Rect> {
        public a() {
        }

        @Override // java.util.Comparator
        public int compare(Rect rect, Rect rect2) {
            return rect.left > rect2.left ? 1 : -1;
        }
    }

    public MixtureTextView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.layout = null;
        this.mTextColor = -16777216;
        this.mTextSize = sp2px(14);
        this.mDestRects = new ArrayList();
        this.mCorYs = null;
        this.mCorYHashes = new HashSet<>();
        this.mViewBounds = new HashMap();
        this.mFirstInLayout = true;
        readAttrs(context, attributeSet);
        if (this.mText == null) {
            this.mText = getResources().getString(R.string.add_discuss_title);
        }
        if (!TextUtils.isEmpty(this.mText)) {
            this.mNeedRenderText = true;
        }
        if (this.mNeedRenderText) {
            TextPaint textPaint = new TextPaint();
            this.mTextPaint = textPaint;
            textPaint.setDither(true);
            this.mTextPaint.setAntiAlias(true);
            this.mTextPaint.setColor(this.mTextColor);
        }
    }

    private void cacuLineHeight() {
        StaticLayout staticLayout = new StaticLayout("爱我中华", this.mTextPaint, 0, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
        this.layout = staticLayout;
        this.mLineHeight = staticLayout.getLineBottom(0) - this.layout.getLineTop(0);
    }

    private List<Rect> caculateViewYBetween(int i2, int i3) {
        ArrayList arrayList = new ArrayList();
        int childCount = getChildCount();
        for (int i4 = 0; i4 < childCount; i4++) {
            View childAt = getChildAt(i4);
            Point point = this.mViewBounds.get(Integer.valueOf(i4));
            int i5 = point.x;
            int i6 = point.y;
            if (i5 <= i2 && i6 >= i3) {
                arrayList.add(new Rect(childAt.getLeft(), i2, childAt.getRight(), i3));
            }
        }
        Collections.sort(arrayList, new a());
        if (arrayList.size() >= 2) {
            ArrayList arrayList2 = new ArrayList(arrayList);
            Rect rect = (Rect) arrayList.get(0);
            Rect rect2 = (Rect) arrayList.get(1);
            for (int i7 = 1; i7 < arrayList.size(); i7++) {
                if (Rect.intersects(rect, rect2)) {
                    int min = Math.min(rect.left, rect2.left);
                    int max = Math.max(rect.right, rect2.right);
                    arrayList2.remove(rect);
                    arrayList2.remove(rect2);
                    arrayList2.add(new Rect(min, i2, max, i3));
                    if (arrayList2.size() < 2) {
                        break;
                    }
                    rect = (Rect) arrayList.get(0);
                    rect2 = (Rect) arrayList.get(1);
                } else if (arrayList2.size() - i7 < 2) {
                    break;
                } else {
                    Rect rect3 = rect2;
                    rect2 = (Rect) arrayList.get(i7 + 1);
                    rect = rect3;
                }
            }
            return arrayList2;
        }
        return arrayList;
    }

    private StaticLayout generateLayout(String str, int i2) {
        return new StaticLayout(str, this.mTextPaint, i2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
    }

    private void getAllYCors() {
        int i2 = this.mLineHeight;
        HashSet<Integer> hashSet = this.mCorYHashes;
        hashSet.clear();
        this.mViewBounds.clear();
        int childCount = getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt = getChildAt(i3);
            if (childAt.getVisibility() != 8) {
                childAt.getTop();
                int top2 = (((childAt.getTop() - getPaddingTop()) / i2) * i2) + getPaddingTop();
                hashSet.add(Integer.valueOf(top2));
                int bottom = childAt.getBottom() - getPaddingTop();
                if (bottom % i2 != 0) {
                    bottom = ((bottom / i2) + 1) * i2;
                }
                int paddingTop = bottom + getPaddingTop();
                hashSet.add(Integer.valueOf(paddingTop));
                this.mViewBounds.put(Integer.valueOf(i3), new Point(top2, paddingTop));
            }
        }
        hashSet.add(Integer.valueOf(getPaddingTop()));
        if (this.mOriginHeightMeasureMode == 1073741824) {
            hashSet.add(Integer.valueOf(getHeight()));
        } else {
            hashSet.add(Integer.MAX_VALUE);
        }
        ArrayList arrayList = new ArrayList(hashSet);
        Collections.sort(arrayList);
        this.mCorYs = arrayList;
    }

    private void initAllNeedRenderRect() {
        int i2;
        int i3;
        List<List<Rect>> list;
        ArrayList arrayList;
        int i4;
        int i5 = this.mLineHeight;
        List<List<Rect>> list2 = this.mDestRects;
        List<Integer> list3 = this.mCorYs;
        list2.clear();
        int paddingLeft = getPaddingLeft();
        int width = getWidth() - getPaddingRight();
        int i6 = 0;
        int i7 = 0;
        while (true) {
            i2 = 1;
            if (i7 >= list3.size() - 1) {
                break;
            }
            int intValue = list3.get(i7).intValue();
            int i8 = i7 + 1;
            int intValue2 = list3.get(i8).intValue();
            ArrayList arrayList2 = new ArrayList();
            List<Rect> caculateViewYBetween = caculateViewYBetween(intValue, intValue2);
            int size = caculateViewYBetween.size();
            if (size == 0) {
                arrayList = arrayList2;
                arrayList.add(new Rect(paddingLeft, intValue, width, intValue2));
            } else if (size != 1) {
                List<Rect> list4 = caculateViewYBetween;
                arrayList = arrayList2;
                int i9 = intValue2;
                tryAddFirst(caculateViewYBetween.get(i6), arrayList2, intValue, intValue2, paddingLeft);
                int i10 = 0;
                while (i10 < list4.size() - 1) {
                    List<Rect> list5 = list4;
                    Rect rect = list5.get(i10);
                    i10++;
                    Rect rect2 = list5.get(i10);
                    if (rect.right < rect2.left) {
                        i4 = i9;
                        arrayList.add(new Rect(rect.right, intValue, rect2.left, i4));
                    } else {
                        i4 = i9;
                    }
                    list4 = list5;
                    i9 = i4;
                }
                List<Rect> list6 = list4;
                tryAddLast(list6.get(list6.size() - 1), arrayList, intValue, i9, width);
            } else {
                arrayList = arrayList2;
                Rect rect3 = caculateViewYBetween.get(0);
                tryAddFirst(rect3, arrayList, intValue, intValue2, paddingLeft);
                tryAddLast(rect3, arrayList, intValue, intValue2, width);
            }
            list2.add(arrayList);
            i7 = i8;
            i6 = 0;
        }
        ArrayList arrayList3 = new ArrayList(list2);
        int size2 = list2.size();
        int i11 = 0;
        int i12 = 0;
        while (i11 < size2) {
            List<Rect> list7 = list2.get(i11);
            if (list7.size() > i2) {
                arrayList3.remove(list7);
                Rect rect4 = list7.get(0);
                int height = rect4.height() / i5;
                this.mMaxHeight -= ((list7.size() - i2) * height) * i5;
                int i13 = i12 + i11;
                int i14 = i12 - 1;
                int i15 = 0;
                while (i15 < height) {
                    int i16 = i13;
                    int i17 = i14;
                    int i18 = 0;
                    while (i18 < list7.size()) {
                        i17++;
                        Rect[] rectArr = new Rect[i2];
                        int i19 = i5 * i15;
                        rectArr[0] = new Rect(list7.get(i18).left, rect4.top + i19, list7.get(i18).right, rect4.top + i19 + i5);
                        arrayList3.add(i16, Arrays.asList(rectArr));
                        i18++;
                        i16++;
                        list2 = list2;
                        size2 = size2;
                        height = height;
                        list7 = list7;
                        i2 = 1;
                    }
                    i15++;
                    i14 = i17;
                    i13 = i16;
                    size2 = size2;
                    i2 = 1;
                }
                i3 = size2;
                list = list2;
                i12 = i14;
            } else {
                i3 = size2;
                list = list2;
            }
            i11++;
            list2 = list;
            size2 = i3;
            i2 = 1;
        }
        this.mDestRects = arrayList3;
    }

    private void readAttrs(Context context, AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, ATTRS);
        this.mTextSize = obtainStyledAttributes.getDimensionPixelSize(0, this.mTextSize);
        this.mTextColor = obtainStyledAttributes.getColor(1, this.mTextColor);
        this.mText = obtainStyledAttributes.getString(2);
        obtainStyledAttributes.recycle();
    }

    private void tryAddFirst(Rect rect, List<Rect> list, int i2, int i3, int i4) {
        if (rect.left > i4) {
            list.add(new Rect(i4, i2, rect.left, i3));
        }
    }

    private void tryAddLast(Rect rect, List<Rect> list, int i2, int i3, int i4) {
        if (rect.right < i4) {
            list.add(new Rect(rect.right, i2, i4, i3));
        }
    }

    private boolean tryDraw(Canvas canvas) {
        boolean z = canvas == null;
        int i2 = this.mLineHeight;
        List<List<Rect>> list = this.mDestRects;
        int length = this.mText.length();
        int i3 = 0;
        int i4 = 0;
        for (int i5 = 0; i5 < list.size(); i5++) {
            Rect rect = list.get(i5).get(0);
            int width = rect.width();
            int height = rect.height();
            StaticLayout generateLayout = generateLayout(this.mText.substring(i3), width);
            this.layout = generateLayout;
            int i6 = height / i2;
            if (generateLayout.getLineCount() < i6) {
                i6 = this.layout.getLineCount();
            }
            if (!z) {
                canvas.save();
                canvas.translate(rect.left, rect.top);
                canvas.clipRect(0, 0, rect.width(), this.layout.getLineBottom(i6 - 1) - this.layout.getLineTop(0));
                this.layout.draw(canvas);
                canvas.restore();
            }
            i3 += this.layout.getLineEnd(i6 - 1);
            i4 += i6;
            if (i3 >= length) {
                break;
            }
        }
        if (z) {
            int i7 = this.mMaxHeight + (i4 * i2);
            this.mMaxHeight = i7;
            if (i7 > this.mMinHeight) {
                int height2 = getHeight();
                int i8 = this.mMaxHeight;
                if (height2 != i8 && this.mOriginHeightMeasureMode != 1073741824) {
                    this.mHeightReMeasureSpec = View.MeasureSpec.makeMeasureSpec(i8, 1073741824);
                    this.mNeedReMeasure = true;
                    requestLayout();
                    return true;
                }
            }
        }
        return false;
    }

    @Override // android.view.ViewGroup, android.view.View
    public void dispatchDraw(Canvas canvas) {
        this.mMaxHeight = getPaddingBottom() + getPaddingTop();
        initAllNeedRenderRect();
        if (tryDraw(null)) {
            return;
        }
        tryDraw(canvas);
        super.dispatchDraw(canvas);
    }

    public int dp2px(int i2) {
        return (int) TypedValue.applyDimension(1, i2, getResources().getDisplayMetrics());
    }

    public String getText() {
        return this.mText;
    }

    public int getTextColor() {
        return this.mTextColor;
    }

    public int getTextSize() {
        return this.mTextSize;
    }

    @Override // android.widget.RelativeLayout, android.view.ViewGroup, android.view.View
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        if (this.mFirstInLayout) {
            this.mOriginHeightMeasureMode = View.MeasureSpec.getMode(this.mHeightMeasureSpec);
            this.mFirstInLayout = false;
            this.mMinHeight = getMeasuredHeight();
        }
        super.onLayout(z, i2, i3, i4, i5);
        if (this.mNeedRenderText) {
            getAllYCors();
        }
    }

    @Override // android.widget.RelativeLayout, android.view.View
    public void onMeasure(int i2, int i3) {
        if (!this.mNeedRenderText) {
            super.onMeasure(i2, i3);
            return;
        }
        this.mHeightMeasureSpec = i3;
        this.mTextPaint.setTextSize(this.mTextSize);
        cacuLineHeight();
        if (this.mNeedReMeasure) {
            super.onMeasure(i2, this.mHeightReMeasureSpec);
        } else {
            super.onMeasure(i2, i3);
        }
    }

    public void setText(String str) {
        if (TextUtils.isEmpty(str)) {
            this.mNeedRenderText = false;
            requestLayout();
            return;
        }
        this.mNeedRenderText = true;
        this.mText = str;
        requestLayout();
        invalidate();
    }

    public void setTextColor(int i2) {
        this.mTextPaint.setColor(i2);
        this.mTextColor = i2;
        invalidate();
    }

    public void setTextSize(int i2, int i3) {
        if (i2 == 0) {
            this.mTextSize = i3;
        } else if (i2 == 1) {
            this.mTextSize = dp2px(i3);
        } else if (i2 == 2) {
            this.mTextSize = sp2px(i3);
        }
        this.mTextPaint.setTextSize(this.mTextSize);
        requestLayout();
        invalidate();
    }

    public int sp2px(int i2) {
        return (int) TypedValue.applyDimension(2, i2, getResources().getDisplayMetrics());
    }

    public void setTextSize(int i2) {
        setTextSize(0, i2);
    }
}
