package com.joke.chongya.forum.widget;

import android.content.Context;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import com.joke.chongya.basecommons.R;
import com.joke.chongya.forum.widget.PatternListView;
import e.g.a.f.i.t;
import e.g.a.g.d.c;
import e.g.a.h.h.e;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class PatternListView extends LinearLayout {
    public Context context;
    public c<String> onClickResultListener;
    public LinearLayout viewOne;
    public LinearLayout viewThree;
    public LinearLayout viewTwo;

    public PatternListView(Context context) {
        super(context);
        this.context = context;
        initView();
    }

    private ImageView getImageView(boolean z) {
        ImageView imageView = new ImageView(getContext());
        LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(0, -1, 1.0f);
        if (!z) {
            layoutParams.leftMargin = this.context.getResources().getDimensionPixelSize(R.dimen.dp4);
        }
        imageView.setScaleType(ImageView.ScaleType.CENTER_CROP);
        imageView.setLayoutParams(layoutParams);
        return imageView;
    }

    private void initImage(View view, e eVar, int i2, boolean z) {
        if (e.g.a.g.c.c.Companion.isEmpty(eVar)) {
            if (z) {
                ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
                layoutParams.height = i2;
                view.setLayoutParams(layoutParams);
                view.setVisibility(4);
                return;
            }
            view.setVisibility(8);
            return;
        }
        ImageView imageView = (ImageView) view;
        imageView.setVisibility(0);
        t.INSTANCE.displayRoundImage(this.context, eVar.getImage_url(), imageView, 5);
        ViewGroup.LayoutParams layoutParams2 = imageView.getLayoutParams();
        layoutParams2.height = i2;
        imageView.setLayoutParams(layoutParams2);
        imageView.setTag(eVar.getImage_url());
    }

    private void initView() {
        LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-1, -2);
        LinearLayout linearLayout = new LinearLayout(getContext());
        this.viewOne = linearLayout;
        linearLayout.setOrientation(0);
        addView(this.viewOne, layoutParams);
        initView(this.viewOne);
        LinearLayout linearLayout2 = new LinearLayout(getContext());
        this.viewTwo = linearLayout2;
        linearLayout2.setOrientation(0);
        layoutParams.topMargin = this.context.getResources().getDimensionPixelSize(R.dimen.dp4);
        addView(this.viewTwo, layoutParams);
        initView(this.viewTwo);
        LinearLayout linearLayout3 = new LinearLayout(getContext());
        this.viewThree = linearLayout3;
        linearLayout3.setOrientation(0);
        layoutParams.topMargin = this.context.getResources().getDimensionPixelSize(R.dimen.dp4);
        addView(this.viewThree, layoutParams);
        initView(this.viewThree);
    }

    public /* synthetic */ void a(View view) {
        if (this.onClickResultListener == null || TextUtils.isEmpty((String) view.getTag())) {
            return;
        }
        this.onClickResultListener.onResult((String) view.getTag());
    }

    public int getColor() {
        if ("0x684e74".toLowerCase().startsWith("0x")) {
            try {
                return Integer.parseInt("684e74", 16) | (-16777216);
            } catch (NumberFormatException e2) {
                e2.printStackTrace();
                return -1;
            }
        }
        try {
            if (TextUtils.isEmpty("0x684e74")) {
                return -1;
            }
            return Integer.parseInt("0x684e74") | (-16777216);
        } catch (NumberFormatException e3) {
            e3.printStackTrace();
            return -1;
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
    }

    public void setImages(Context context, ArrayList<e> arrayList) {
        this.context = context;
        if (arrayList != null && arrayList.size() > 0) {
            setVisibility(0);
            if (arrayList.size() <= 3) {
                initView(this.viewOne, arrayList, false);
                this.viewTwo.setVisibility(8);
                this.viewThree.setVisibility(8);
                return;
            } else if (arrayList.size() == 4) {
                initView(this.viewOne, arrayList.subList(0, 2), false);
                initView(this.viewTwo, arrayList.subList(2, 4), false);
                this.viewThree.setVisibility(8);
                return;
            } else if (arrayList.size() == 5) {
                initView(this.viewOne, arrayList.subList(0, 2), false);
                initView(this.viewTwo, arrayList.subList(2, 5), false);
                this.viewThree.setVisibility(8);
                return;
            } else {
                initView(this.viewOne, arrayList.subList(0, 3), false);
                initView(this.viewTwo, arrayList.subList(3, 6), false);
                if (arrayList.size() > 6) {
                    initView(this.viewThree, arrayList.subList(6, arrayList.size()), true);
                    return;
                } else {
                    this.viewThree.setVisibility(8);
                    return;
                }
            }
        }
        setVisibility(8);
    }

    public void setOnClickResultlistener(c<String> cVar) {
        this.onClickResultListener = cVar;
    }

    public PatternListView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.context = context;
        initView();
    }

    public PatternListView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.context = context;
        initView();
    }

    private void initView(LinearLayout linearLayout) {
        if (linearLayout == null) {
            return;
        }
        for (int i2 = 0; i2 < 3; i2++) {
            ImageView imageView = getImageView(false);
            imageView.setOnClickListener(new View.OnClickListener() { // from class: e.g.a.h.j.a
                @Override // android.view.View.OnClickListener
                public final void onClick(View view) {
                    PatternListView.this.a(view);
                }
            });
            linearLayout.addView(imageView);
        }
    }

    private void initView(LinearLayout linearLayout, List<e> list, boolean z) {
        if (linearLayout == null) {
            return;
        }
        if (list != null && list.size() > 0) {
            linearLayout.setVisibility(0);
        } else {
            linearLayout.setVisibility(8);
        }
        View childAt = linearLayout.getChildAt(0);
        View childAt2 = linearLayout.getChildAt(1);
        View childAt3 = linearLayout.getChildAt(2);
        if (list.size() <= 2) {
            if (list.size() == 1) {
                if (z) {
                    initImage(childAt, list.get(0), this.context.getResources().getDimensionPixelSize(R.dimen.dp106), true);
                    initImage(childAt2, null, this.context.getResources().getDimensionPixelSize(R.dimen.dp106), true);
                    initImage(childAt3, null, this.context.getResources().getDimensionPixelSize(R.dimen.dp106), true);
                    return;
                }
                initImage(childAt, list.get(0), this.context.getResources().getDimensionPixelSize(R.dimen.dp200), false);
                initImage(childAt2, null, 0, false);
                initImage(childAt3, null, 0, false);
                return;
            } else if (list.size() == 2) {
                if (z) {
                    initImage(childAt, list.get(0), this.context.getResources().getDimensionPixelSize(R.dimen.dp106), true);
                    initImage(childAt2, list.get(1), this.context.getResources().getDimensionPixelSize(R.dimen.dp106), true);
                    initImage(childAt3, null, this.context.getResources().getDimensionPixelSize(R.dimen.dp106), true);
                    return;
                }
                initImage(childAt, list.get(0), this.context.getResources().getDimensionPixelSize(R.dimen.dp162), false);
                initImage(childAt2, list.get(1), this.context.getResources().getDimensionPixelSize(R.dimen.dp162), false);
                initImage(childAt3, null, 0, false);
                return;
            }
        }
        initImage(childAt, list.get(0), this.context.getResources().getDimensionPixelSize(R.dimen.dp106), false);
        initImage(childAt2, list.get(1), this.context.getResources().getDimensionPixelSize(R.dimen.dp106), false);
        initImage(childAt3, list.get(2), this.context.getResources().getDimensionPixelSize(R.dimen.dp106), false);
    }
}
