package com.joke.chongya.forum.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import com.joke.chongya.basecommons.R;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class RotateTextView extends android.widget.TextView {
    public static final int DEFAULT_DEGREES = 0;
    public int mDegrees;

    public RotateTextView(Context context) {
        super(context, null);
    }

    @Override // android.widget.TextView, android.view.View
    public void onDraw(Canvas canvas) {
        canvas.save();
        canvas.translate(getCompoundPaddingLeft(), getExtendedPaddingTop());
        canvas.rotate(this.mDegrees, getWidth() / 2.0f, getHeight() / 2.0f);
        super.onDraw(canvas);
        canvas.restore();
    }

    @Override // android.widget.TextView, android.view.View
    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        setMeasuredDimension(getMeasuredWidth(), getMeasuredWidth());
    }

    public void setDegrees(int i2) {
        this.mDegrees = i2;
    }

    public RotateTextView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, 16842884);
        setGravity(17);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.RotateTextView);
        this.mDegrees = obtainStyledAttributes.getInteger(R.styleable.RotateTextView_degree, 0);
        obtainStyledAttributes.recycle();
    }
}
