package com.joke.chongya.forum.widget.assninegridview;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.PorterDuff;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.annotation.NonNull;
import com.bumptech.glide.Glide;
import com.bumptech.glide.load.engine.DiskCacheStrategy;
import com.bumptech.glide.load.resource.bitmap.CenterCrop;
import com.bumptech.glide.load.resource.bitmap.RoundedCorners;
import com.bumptech.glide.request.BaseRequestOptions;
import com.bumptech.glide.request.RequestOptions;
import com.joke.chongya.basecommons.R;
import com.joke.chongya.basecommons.base.BaseApplication;
import e.g.a.f.i.z;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class AssNineGridView extends ViewGroup {
    public int columnCount;
    public int gridHeight;
    public int gridSpace;
    public int gridWidth;
    public List<ImageView> imageViews;
    public AssNineGridViewAdapter mAdapter;
    public List<AssImageInfo> mAssImageInfo;
    public c mImAgeLoader;
    public int maxImgSize;
    public int rowCount;
    public float singleImgRatio;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class a implements c {
        public a() {
        }

        @Override // com.joke.chongya.forum.widget.assninegridview.AssNineGridView.c
        public Bitmap getCacheImage(String str) {
            return null;
        }

        @Override // com.joke.chongya.forum.widget.assninegridview.AssNineGridView.c
        public void onDisplayImage(ImageView imageView, String str) {
            if (str.endsWith(".gif")) {
                Glide.with(BaseApplication.baseApplication).asGif().load(str).apply((BaseRequestOptions<?>) new RequestOptions().placeholder(R.color.color_f4f4f4).error(R.drawable.default_icon).skipMemoryCache(false).diskCacheStrategy(DiskCacheStrategy.RESOURCE).transforms(new CenterCrop(), new RoundedCorners(z.dip2px(4.0f)))).into(imageView).waitForLayout();
            } else {
                Glide.with(BaseApplication.baseApplication).load(str).apply((BaseRequestOptions<?>) new RequestOptions().placeholder(R.color.color_f4f4f4).error(R.drawable.default_icon).skipMemoryCache(false).diskCacheStrategy(DiskCacheStrategy.ALL).transforms(new CenterCrop(), new RoundedCorners(z.dip2px(4.0f)))).into(imageView).waitForLayout();
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class b implements View.OnClickListener {
        public final /* synthetic */ int val$position;

        public b(int i2) {
            this.val$position = i2;
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            AssNineGridViewAdapter assNineGridViewAdapter = AssNineGridView.this.mAdapter;
            Context context = AssNineGridView.this.getContext();
            AssNineGridView assNineGridView = AssNineGridView.this;
            assNineGridViewAdapter.onImageItemClick(context, assNineGridView, this.val$position, assNineGridView.mAdapter.getAssImageInfo());
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public interface c {
        Bitmap getCacheImage(String str);

        void onDisplayImage(ImageView imageView, String str);
    }

    public AssNineGridView(Context context) {
        this(context, null);
    }

    private ImageView getImageView(int i2) {
        if (i2 < this.imageViews.size()) {
            return this.imageViews.get(i2);
        }
        ImageView generateImageView = this.mAdapter.generateImageView(getContext());
        generateImageView.setOnClickListener(new b(i2));
        this.imageViews.add(generateImageView);
        return generateImageView;
    }

    public c getImageLoader() {
        return this.mImAgeLoader;
    }

    public int getMaxSize() {
        return this.maxImgSize;
    }

    @Override // android.view.ViewGroup, android.view.View
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        List<AssImageInfo> list = this.mAssImageInfo;
        if (list == null) {
            return;
        }
        int size = list.size();
        for (int i6 = 0; i6 < size; i6++) {
            ImageView imageView = (ImageView) getChildAt(i6);
            int i7 = this.columnCount;
            int paddingLeft = ((this.gridWidth + this.gridSpace) * (i6 % i7)) + getPaddingLeft();
            int paddingTop = ((this.gridHeight + this.gridSpace) * (i6 / i7)) + getPaddingTop();
            imageView.layout(paddingLeft, paddingTop, this.gridWidth + paddingLeft, this.gridHeight + paddingTop);
            c cVar = this.mImAgeLoader;
            if (cVar != null) {
                cVar.onDisplayImage(imageView, this.mAssImageInfo.get(i6).thumbnailUrl);
            }
        }
    }

    @Override // android.view.View
    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        int size = View.MeasureSpec.getSize(i2);
        int paddingLeft = (size - getPaddingLeft()) - getPaddingRight();
        List<AssImageInfo> list = this.mAssImageInfo;
        int i4 = 0;
        if (list != null && list.size() > 0) {
            if (this.mAssImageInfo.size() == 1) {
                int imageViewWidth = this.mAssImageInfo.get(0).getImageViewWidth();
                int imageViewHeight = this.mAssImageInfo.get(0).getImageViewHeight();
                if (imageViewWidth == imageViewHeight) {
                    int i5 = paddingLeft / 2;
                    this.gridHeight = i5;
                    this.gridWidth = i5;
                } else if (imageViewWidth > imageViewHeight) {
                    this.gridWidth = paddingLeft;
                    double d2 = paddingLeft;
                    Double.isNaN(d2);
                    this.gridHeight = (int) (d2 / 1.8d);
                } else {
                    int i6 = paddingLeft / 2;
                    this.gridWidth = i6;
                    double d3 = i6;
                    Double.isNaN(d3);
                    this.gridHeight = (int) (d3 * 1.8d);
                }
            } else {
                int i7 = this.gridSpace;
                int i8 = this.columnCount;
                int i9 = (paddingLeft - (i7 * (i8 - 1))) / i8;
                this.gridHeight = i9;
                this.gridWidth = i9;
            }
            int i10 = this.gridWidth;
            int i11 = this.columnCount;
            size = (i10 * i11) + (this.gridSpace * (i11 - 1)) + getPaddingLeft() + getPaddingRight();
            int i12 = this.gridHeight;
            int i13 = this.rowCount;
            i4 = (i12 * i13) + (this.gridSpace * (i13 - 1)) + getPaddingTop() + getPaddingBottom();
        }
        setMeasuredDimension(size, i4);
    }

    public void setAdapter(@NonNull AssNineGridViewAdapter assNineGridViewAdapter) {
        this.mAdapter = assNineGridViewAdapter;
        List<AssImageInfo> assImageInfo = assNineGridViewAdapter.getAssImageInfo();
        if (assImageInfo != null && !assImageInfo.isEmpty()) {
            setVisibility(0);
            int size = assImageInfo.size();
            int i2 = this.maxImgSize;
            if (i2 > 0 && size > i2) {
                assImageInfo = assImageInfo.subList(0, i2);
                size = assImageInfo.size();
            }
            this.rowCount = (size / 3) + (size % 3 == 0 ? 0 : 1);
            this.columnCount = 3;
            List<AssImageInfo> list = this.mAssImageInfo;
            if (list == null) {
                for (int i3 = 0; i3 < size; i3++) {
                    ImageView imageView = getImageView(i3);
                    if (imageView == null) {
                        return;
                    }
                    addView(imageView, generateDefaultLayoutParams());
                }
            } else {
                int size2 = list.size();
                if (size2 > size) {
                    removeViews(size, size2 - size);
                } else if (size2 < size) {
                    while (size2 < size) {
                        ImageView imageView2 = getImageView(size2);
                        if (imageView2 == null) {
                            return;
                        }
                        addView(imageView2, generateDefaultLayoutParams());
                        size2++;
                    }
                }
            }
            int size3 = assNineGridViewAdapter.getAssImageInfo().size();
            int i4 = this.maxImgSize;
            if (size3 > i4) {
                View childAt = getChildAt(i4 - 1);
                if (childAt instanceof AssNineGridViewWrapper) {
                    AssNineGridViewWrapper assNineGridViewWrapper = (AssNineGridViewWrapper) childAt;
                    assNineGridViewWrapper.setColorFilter(-1433892728, PorterDuff.Mode.MULTIPLY);
                    assNineGridViewWrapper.setMoreNum(assNineGridViewAdapter.getAssImageInfo().size() - this.maxImgSize);
                }
            }
            this.mAssImageInfo = assImageInfo;
            requestLayout();
            return;
        }
        setVisibility(8);
    }

    public void setImageLoader(c cVar) {
        this.mImAgeLoader = cVar;
    }

    public void setMaxSize(int i2) {
        this.maxImgSize = i2;
    }

    public void setgridSpace(int i2) {
        this.gridSpace = i2;
    }

    public void setsingleImgRatio(float f2) {
        this.singleImgRatio = f2;
    }

    public AssNineGridView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public AssNineGridView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.singleImgRatio = 1.0f;
        this.maxImgSize = 9;
        this.gridSpace = 3;
        this.gridSpace = (int) TypedValue.applyDimension(1, this.gridSpace, context.getResources().getDisplayMetrics());
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.AssNineGridView);
        this.gridSpace = (int) obtainStyledAttributes.getDimension(R.styleable.AssNineGridView_angv_gridSpace, this.gridSpace);
        this.singleImgRatio = obtainStyledAttributes.getFloat(R.styleable.AssNineGridView_angv_singleImgRatio, this.singleImgRatio);
        this.maxImgSize = obtainStyledAttributes.getInt(R.styleable.AssNineGridView_angv_maxSize, this.maxImgSize);
        obtainStyledAttributes.recycle();
        this.imageViews = new ArrayList();
        this.mImAgeLoader = new a();
    }
}
