package com.joke.chongya.forum.widget.assninegridview;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.text.TextPaint;
import android.util.AttributeSet;
import android.util.TypedValue;
import androidx.appcompat.widget.AppCompatImageView;
import com.google.android.material.badge.BadgeDrawable;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class AssNineGridViewWrapper extends AppCompatImageView {
    public int maskColor;
    public int moreNum;
    public String msg;
    public int textColor;
    public TextPaint textPaint;
    public float textSize;

    public AssNineGridViewWrapper(Context context) {
        this(context, null);
    }

    public int getMaskColor() {
        return this.maskColor;
    }

    public int getMoreNum() {
        return this.moreNum;
    }

    public int getTextColor() {
        return this.textColor;
    }

    public float getTextSize() {
        return this.textSize;
    }

    @Override // android.widget.ImageView, android.view.View
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        setImageDrawable(null);
    }

    @Override // android.widget.ImageView, android.view.View
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.moreNum > 0) {
            canvas.drawText(this.msg, getWidth() / 2, (getHeight() / 2) - ((this.textPaint.ascent() + this.textPaint.descent()) / 2.0f), this.textPaint);
        }
    }

    public void setMaskColor(int i2) {
        this.maskColor = i2;
        invalidate();
    }

    public void setMoreNum(int i2) {
        this.moreNum = i2;
        this.msg = BadgeDrawable.DEFAULT_EXCEED_MAX_BADGE_NUMBER_SUFFIX + i2;
        invalidate();
    }

    public void setTextColor(int i2) {
        this.textColor = i2;
        this.textPaint.setColor(i2);
        invalidate();
    }

    public void setTextSize(float f2) {
        this.textSize = f2;
        this.textPaint.setTextSize(f2);
        invalidate();
    }

    public AssNineGridViewWrapper(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public AssNineGridViewWrapper(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.moreNum = 0;
        this.maskColor = -1433892728;
        this.textSize = 18.0f;
        this.textColor = -1;
        this.msg = "";
        this.textSize = TypedValue.applyDimension(2, 18.0f, getContext().getResources().getDisplayMetrics());
        TextPaint textPaint = new TextPaint();
        this.textPaint = textPaint;
        textPaint.setTextAlign(Paint.Align.CENTER);
        this.textPaint.setAntiAlias(true);
        this.textPaint.setTextSize(this.textSize);
        this.textPaint.setColor(this.textColor);
    }
}
