package com.joke.chongya.forum.widget.pulltorefresh;

import android.content.Context;
import android.graphics.Rect;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.RequiresApi;
import androidx.core.view.ViewCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import java.lang.reflect.Field;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class FullyLinearLayoutManager extends LinearLayoutManager {
    public static final int CHILD_HEIGHT = 1;
    public static final int CHILD_WIDTH = 0;
    public static final int DEFAULT_CHILD_SIZE = 100;
    public static boolean canMakeInsetsDirty = true;
    public static Field insetsDirtyField;
    public final int[] childDimensions;
    public int childSize;
    public boolean hasChildSize;
    public boolean isScrollEnabled;
    public int overScrollMode;
    public final Rect tmpRect;
    public final RecyclerView view;

    public FullyLinearLayoutManager(Context context) {
        super(context);
        this.childDimensions = new int[2];
        this.tmpRect = new Rect();
        this.childSize = 100;
        this.overScrollMode = 0;
        this.view = null;
    }

    private void initChildDimensions(int i2, int i3, boolean z) {
        int[] iArr = this.childDimensions;
        if (iArr[0] == 0 && iArr[1] == 0) {
            if (z) {
                iArr[0] = i2;
                iArr[1] = this.childSize;
                return;
            }
            iArr[0] = this.childSize;
            iArr[1] = i3;
        }
    }

    private void logMeasureWarning(int i2) {
    }

    @RequiresApi(api = 19)
    public static void makeInsetsDirty(RecyclerView.LayoutParams layoutParams) {
        if (canMakeInsetsDirty) {
            try {
                if (insetsDirtyField == null) {
                    Field declaredField = RecyclerView.LayoutParams.class.getDeclaredField("mInsetsDirty");
                    insetsDirtyField = declaredField;
                    declaredField.setAccessible(true);
                }
                insetsDirtyField.set(layoutParams, true);
            } catch (IllegalAccessException | NoSuchFieldException unused) {
                onMakeInsertDirtyFailed();
            }
        }
    }

    public static int makeUnspecifiedSpec() {
        return View.MeasureSpec.makeMeasureSpec(0, 0);
    }

    @RequiresApi(api = 19)
    private void measureChild(RecyclerView.Recycler recycler, int i2, int i3, int i4, int[] iArr) {
        try {
            View viewForPosition = recycler.getViewForPosition(i2);
            RecyclerView.LayoutParams layoutParams = (RecyclerView.LayoutParams) viewForPosition.getLayoutParams();
            int paddingLeft = getPaddingLeft() + getPaddingRight();
            int paddingTop = getPaddingTop() + getPaddingBottom();
            int i5 = ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin + ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin;
            int i6 = ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
            makeInsetsDirty(layoutParams);
            calculateItemDecorationsForChild(viewForPosition, this.tmpRect);
            viewForPosition.measure(RecyclerView.LayoutManager.getChildMeasureSpec(i3, paddingLeft + i5 + getRightDecorationWidth(viewForPosition) + getLeftDecorationWidth(viewForPosition), ((ViewGroup.MarginLayoutParams) layoutParams).width, canScrollHorizontally()), RecyclerView.LayoutManager.getChildMeasureSpec(i4, paddingTop + i6 + getTopDecorationHeight(viewForPosition) + getBottomDecorationHeight(viewForPosition), ((ViewGroup.MarginLayoutParams) layoutParams).height, canScrollVertically()));
            iArr[0] = getDecoratedMeasuredWidth(viewForPosition) + ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin + ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin;
            iArr[1] = getDecoratedMeasuredHeight(viewForPosition) + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin + ((ViewGroup.MarginLayoutParams) layoutParams).topMargin;
            makeInsetsDirty(layoutParams);
            recycler.recycleView(viewForPosition);
        } catch (IndexOutOfBoundsException unused) {
        }
    }

    public static void onMakeInsertDirtyFailed() {
        canMakeInsetsDirty = false;
    }

    private void setChildSize(int i2) {
        this.hasChildSize = true;
        if (this.childSize != i2) {
            this.childSize = i2;
            requestLayout();
        }
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean canScrollVertically() {
        return this.isScrollEnabled && super.canScrollVertically();
    }

    public void clearChildSize() {
        this.hasChildSize = false;
        setChildSize(100);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    @RequiresApi(api = 19)
    public void onMeasure(RecyclerView.Recycler recycler, RecyclerView.State state, int i2, int i3) {
        boolean z;
        int paddingLeft;
        int paddingTop;
        int i4;
        int i5;
        int i6;
        int i7;
        int mode = View.MeasureSpec.getMode(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size = View.MeasureSpec.getSize(i2);
        int size2 = View.MeasureSpec.getSize(i3);
        char c2 = 1;
        boolean z2 = mode != 0;
        boolean z3 = mode2 != 0;
        boolean z4 = mode == 1073741824;
        boolean z5 = mode2 == 1073741824;
        int makeUnspecifiedSpec = makeUnspecifiedSpec();
        if (z4 && z5) {
            super.onMeasure(recycler, state, i2, i3);
            return;
        }
        boolean z6 = getOrientation() == 1;
        initChildDimensions(size, size2, z6);
        recycler.clear();
        int itemCount = state.getItemCount();
        int itemCount2 = getItemCount();
        int i8 = 0;
        int i9 = 0;
        int i10 = 0;
        while (true) {
            if (i8 >= itemCount2) {
                z = z6;
                break;
            } else if (z6) {
                if (this.hasChildSize) {
                    i4 = itemCount2;
                    i5 = itemCount;
                    z = z6;
                    i7 = i8;
                } else if (i8 < itemCount) {
                    i4 = itemCount2;
                    i5 = itemCount;
                    z = z6;
                    measureChild(recycler, i8, size, makeUnspecifiedSpec, this.childDimensions);
                    i7 = i8;
                } else {
                    i4 = itemCount2;
                    i5 = itemCount;
                    z = z6;
                    i7 = i8;
                    logMeasureWarning(i7);
                }
                int[] iArr = this.childDimensions;
                int i11 = i10 + iArr[c2];
                if (i7 == 0) {
                    i9 = iArr[0];
                }
                if (z3 && i11 >= size2) {
                    i10 = i11;
                    break;
                }
                i10 = i11;
                i6 = i7;
                i8 = i6 + 1;
                itemCount2 = i4;
                itemCount = i5;
                z6 = z;
                c2 = 1;
            } else {
                i4 = itemCount2;
                i5 = itemCount;
                z = z6;
                int i12 = i8;
                if (this.hasChildSize) {
                    i6 = i12;
                } else if (i12 < i5) {
                    i5 = i5;
                    i6 = i12;
                    measureChild(recycler, i12, makeUnspecifiedSpec, size2, this.childDimensions);
                } else {
                    i5 = i5;
                    i6 = i12;
                    logMeasureWarning(i6);
                }
                int[] iArr2 = this.childDimensions;
                int i13 = i9 + iArr2[0];
                if (i6 == 0) {
                    i10 = iArr2[1];
                }
                if (z2 && i13 >= size) {
                    i9 = i13;
                    break;
                }
                i9 = i13;
                i8 = i6 + 1;
                itemCount2 = i4;
                itemCount = i5;
                z6 = z;
                c2 = 1;
            }
        }
        if (z4) {
            paddingLeft = size;
        } else {
            paddingLeft = i9 + getPaddingLeft() + getPaddingRight();
            if (z2) {
                paddingLeft = Math.min(paddingLeft, size);
            }
        }
        if (z5) {
            paddingTop = size2;
        } else {
            paddingTop = i10 + getPaddingTop() + getPaddingBottom();
            if (z3) {
                paddingTop = Math.min(paddingTop, size2);
            }
        }
        setMeasuredDimension(paddingLeft, paddingTop);
        if (this.view == null || this.overScrollMode != 1) {
            return;
        }
        ViewCompat.setOverScrollMode(this.view, (z && (!z3 || paddingTop < size2)) || (!z && (!z2 || paddingLeft < size)) ? 2 : 0);
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public void setOrientation(int i2) {
        if (this.childDimensions != null && getOrientation() != i2) {
            int[] iArr = this.childDimensions;
            iArr[0] = 0;
            iArr[1] = 0;
        }
        super.setOrientation(i2);
    }

    public void setOverScrollMode(int i2) {
        if (i2 >= 0 && i2 <= 2) {
            RecyclerView recyclerView = this.view;
            if (recyclerView != null) {
                this.overScrollMode = i2;
                ViewCompat.setOverScrollMode(recyclerView, i2);
                return;
            }
            throw new IllegalStateException("view == null");
        }
        throw new IllegalArgumentException("Unknown overscroll mode: " + i2);
    }

    public void setScrollEnabled(boolean z) {
        this.isScrollEnabled = z;
    }

    public FullyLinearLayoutManager(Context context, int i2, boolean z) {
        super(context, i2, z);
        this.childDimensions = new int[2];
        this.tmpRect = new Rect();
        this.childSize = 100;
        this.overScrollMode = 0;
        this.view = null;
    }

    public FullyLinearLayoutManager(RecyclerView recyclerView) {
        super(recyclerView.getContext());
        this.childDimensions = new int[2];
        this.tmpRect = new Rect();
        this.childSize = 100;
        this.overScrollMode = 0;
        this.view = recyclerView;
        this.overScrollMode = ViewCompat.getOverScrollMode(recyclerView);
    }

    public FullyLinearLayoutManager(RecyclerView recyclerView, int i2, boolean z) {
        super(recyclerView.getContext(), i2, z);
        this.childDimensions = new int[2];
        this.tmpRect = new Rect();
        this.childSize = 100;
        this.overScrollMode = 0;
        this.view = recyclerView;
        this.overScrollMode = ViewCompat.getOverScrollMode(recyclerView);
    }
}
