package com.joke.chongya.forum.widget.pulltorefresh;

import android.animation.ValueAnimator;
import android.content.Context;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.LinearInterpolator;
import android.view.animation.RotateAnimation;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.joke.chongya.basecommons.R;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class LoadMoreView extends LinearLayout {
    public RelativeLayout activityMain;
    public ValueAnimator animator;
    public ImageView imageLoadMore;
    public TextView textTip;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class a implements ValueAnimator.AnimatorUpdateListener {
        public a() {
        }

        @Override // android.animation.ValueAnimator.AnimatorUpdateListener
        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            LoadMoreView.this.imageLoadMore.setRotation(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    public LoadMoreView(Context context) {
        this(context, null);
    }

    public void activityMainGone() {
        this.activityMain.setVisibility(8);
    }

    public void activityMainShow() {
        this.activityMain.setVisibility(0);
    }

    public void loadMoreComplete(PullToRefreshRecyclerView pullToRefreshRecyclerView) {
        setVisibility(8);
        stopAnimation();
    }

    public void loadMoreFail(PullToRefreshRecyclerView pullToRefreshRecyclerView) {
        this.textTip.setVisibility(0);
        this.imageLoadMore.setVisibility(4);
        setVisibility(8);
        stopAnimation();
        pullToRefreshRecyclerView.scrollBy(0, -getHeight());
        this.textTip.setVisibility(4);
        this.imageLoadMore.setVisibility(0);
    }

    public void setLoadMoreResource(int i2) {
        this.imageLoadMore.setImageResource(i2);
    }

    public void startAnimation() {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(this.imageLoadMore.getRotation(), this.imageLoadMore.getRotation() + 359.0f);
        this.animator = ofFloat;
        ofFloat.setInterpolator(new LinearInterpolator());
        this.animator.setRepeatCount(-1);
        this.animator.setDuration(1000L);
        this.animator.addUpdateListener(new a());
        this.animator.start();
        RotateAnimation rotateAnimation = new RotateAnimation(0.0f, 359.0f, 1, 0.5f, 1, 0.5f);
        rotateAnimation.setInterpolator(new LinearInterpolator());
        rotateAnimation.setDuration(1000L);
        rotateAnimation.setRepeatCount(-1);
        this.imageLoadMore.startAnimation(rotateAnimation);
    }

    public void stopAnimation() {
        ValueAnimator valueAnimator = this.animator;
        if (valueAnimator != null) {
            valueAnimator.end();
        }
        this.imageLoadMore.clearAnimation();
    }

    public LoadMoreView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public LoadMoreView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        View inflate = LayoutInflater.from(getContext()).inflate(R.layout.layout_load_more_view, (ViewGroup) null);
        this.imageLoadMore = (ImageView) inflate.findViewById(R.id.imageLoadMore);
        this.activityMain = (RelativeLayout) inflate.findViewById(R.id.activity_main);
        TextView textView = (TextView) inflate.findViewById(R.id.textTip);
        this.textTip = textView;
        textView.setVisibility(8);
        addView(inflate);
    }
}
