package com.joke.chongya.forum.widget.pulltorefresh;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.Nullable;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;
import com.bumptech.glide.Glide;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class PullToRefreshRecyclerView extends RecyclerView {
    public static final int DRAG_RATE = 3;
    public static final int TYPE_EMPTY_VIEW = 10002;
    public static final int TYPE_FOOTER_VIEW_INIT = 11000;
    public static final int TYPE_HEADER_VIEWS_INIT = 10003;
    public static final int TYPE_LOAD_MORE_FOOTER = 10001;
    public static final int TYPE_REFRESH_HEADER = 10000;
    public Context context;
    public final RecyclerView.AdapterDataObserver dataObserver;
    public View emptyView;
    public List<View> footerViews;
    public List<View> headViews;
    public boolean isShow;
    public int lastVisibleItemPosition;
    public LoadMoreView loadMoreView;
    public boolean loadingMoreEnabled;
    public boolean pullRefreshEnabled;
    public e.g.a.h.j.b.a pullToRefreshListener;
    public c pullToRefreshRecyclerViewAdapter;
    public RefreshHead refreshHeader;
    public static List<Integer> headerTypes = new ArrayList();
    public static List<Integer> footerTypes = new ArrayList();
    public static float LastY = -1.0f;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class a extends GridLayoutManager.SpanSizeLookup {
        public final /* synthetic */ GridLayoutManager val$gridManager;

        public a(GridLayoutManager gridLayoutManager) {
            this.val$gridManager = gridLayoutManager;
        }

        @Override // androidx.recyclerview.widget.GridLayoutManager.SpanSizeLookup
        public int getSpanSize(int i2) {
            if (PullToRefreshRecyclerView.this.pullToRefreshRecyclerViewAdapter.isHeader(i2) || PullToRefreshRecyclerView.this.pullToRefreshRecyclerViewAdapter.isLoadMoreFooter(i2) || PullToRefreshRecyclerView.this.pullToRefreshRecyclerViewAdapter.isRefreshHeader(i2) || PullToRefreshRecyclerView.this.pullToRefreshRecyclerViewAdapter.isFooter(i2) || PullToRefreshRecyclerView.this.pullToRefreshRecyclerViewAdapter.isEmptyView(i2)) {
                return this.val$gridManager.getSpanCount();
            }
            return 1;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class b extends RecyclerView.AdapterDataObserver {
        public b() {
        }

        @Override // androidx.recyclerview.widget.RecyclerView.AdapterDataObserver
        public void onChanged() {
            if (PullToRefreshRecyclerView.this.pullToRefreshRecyclerViewAdapter != null) {
                PullToRefreshRecyclerView.this.pullToRefreshRecyclerViewAdapter.notifyDataSetChanged();
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.AdapterDataObserver
        public void onItemRangeChanged(int i2, int i3) {
            PullToRefreshRecyclerView.this.pullToRefreshRecyclerViewAdapter.notifyItemRangeChanged(i2, i3);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.AdapterDataObserver
        public void onItemRangeInserted(int i2, int i3) {
            PullToRefreshRecyclerView.this.pullToRefreshRecyclerViewAdapter.notifyItemRangeInserted(i2, i3);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.AdapterDataObserver
        public void onItemRangeMoved(int i2, int i3, int i4) {
            PullToRefreshRecyclerView.this.pullToRefreshRecyclerViewAdapter.notifyItemMoved(i2, i3);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.AdapterDataObserver
        public void onItemRangeRemoved(int i2, int i3) {
            PullToRefreshRecyclerView.this.pullToRefreshRecyclerViewAdapter.notifyItemRangeRemoved(i2, i3);
        }

        public /* synthetic */ b(PullToRefreshRecyclerView pullToRefreshRecyclerView, a aVar) {
            this();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.AdapterDataObserver
        public void onItemRangeChanged(int i2, int i3, Object obj) {
            PullToRefreshRecyclerView.this.pullToRefreshRecyclerViewAdapter.notifyItemRangeChanged(i2, i3, obj);
        }
    }

    public PullToRefreshRecyclerView(Context context) {
        this(context, null);
        this.context = context;
    }

    private int findMax(int[] iArr) {
        int i2 = iArr[0];
        for (int i3 : iArr) {
            if (i3 > i2) {
                i2 = i3;
            }
        }
        return i2;
    }

    private void init() {
        this.refreshHeader = new RefreshHead(this.context);
        LoadMoreView loadMoreView = new LoadMoreView(this.context);
        this.loadMoreView = loadMoreView;
        loadMoreView.setVisibility(8);
        FullyLinearLayoutManager fullyLinearLayoutManager = new FullyLinearLayoutManager(this.context);
        fullyLinearLayoutManager.setOrientation(1);
        setLayoutManager(fullyLinearLayoutManager);
    }

    private boolean isOnTop() {
        return this.refreshHeader.getParent() != null;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean isReservedItemViewType(int i2) {
        return i2 == 10000 || i2 == 10001 || headerTypes.contains(Integer.valueOf(i2)) || footerTypes.contains(Integer.valueOf(i2));
    }

    public void addFooterView(View view) {
        footerTypes.add(Integer.valueOf(this.footerViews.size() + TYPE_FOOTER_VIEW_INIT));
        this.footerViews.add(view);
        this.dataObserver.onChanged();
        c cVar = this.pullToRefreshRecyclerViewAdapter;
        if (cVar != null) {
            cVar.adapter.notifyDataSetChanged();
        }
    }

    public void addHeaderView(View view) {
        headerTypes.add(Integer.valueOf(this.headViews.size() + TYPE_HEADER_VIEWS_INIT));
        this.headViews.add(view);
        this.dataObserver.onChanged();
        c cVar = this.pullToRefreshRecyclerViewAdapter;
        if (cVar != null) {
            cVar.adapter.notifyDataSetChanged();
        }
    }

    public void displayLastRefreshTime(boolean z) {
        this.refreshHeader.displayLastRefreshTime(z);
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public RecyclerView.Adapter getAdapter() {
        c cVar = this.pullToRefreshRecyclerViewAdapter;
        if (cVar != null) {
            return cVar.getAdapter();
        }
        return null;
    }

    public View getFooterViewByIndex(int i2) {
        if (i2 >= this.footerViews.size()) {
            return null;
        }
        return this.footerViews.get(i2);
    }

    public List<View> getFooterViews() {
        return this.footerViews;
    }

    public View getHeaderViewByIndex(int i2) {
        if (i2 >= this.headViews.size()) {
            return null;
        }
        return this.headViews.get(i2);
    }

    public List<View> getHeaderViews() {
        return this.headViews;
    }

    public void headerLoadMoreGone() {
        this.refreshHeader.activityMainGone();
        this.loadMoreView.activityMainGone();
    }

    public void headerShow() {
        this.refreshHeader.activityMainShow();
        this.loadMoreView.activityMainShow();
    }

    @Override // androidx.recyclerview.widget.RecyclerView, android.view.View
    public void onMeasure(int i2, int i3) {
        if (this.isShow) {
            i3 = View.MeasureSpec.makeMeasureSpec(536870911, Integer.MIN_VALUE);
        }
        super.onMeasure(i2, i3);
    }

    public void onRefresh() {
        this.refreshHeader.setRefreshing();
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void onScrollStateChanged(int i2) {
        super.onScrollStateChanged(i2);
        if (i2 != 0 || this.pullToRefreshListener == null || !this.loadingMoreEnabled || this.loadMoreView.getVisibility() == 0) {
            return;
        }
        RecyclerView.LayoutManager layoutManager = getLayoutManager();
        if (layoutManager instanceof GridLayoutManager) {
            this.lastVisibleItemPosition = ((GridLayoutManager) layoutManager).findLastVisibleItemPosition();
        } else if (layoutManager instanceof StaggeredGridLayoutManager) {
            StaggeredGridLayoutManager staggeredGridLayoutManager = (StaggeredGridLayoutManager) layoutManager;
            int[] iArr = new int[staggeredGridLayoutManager.getSpanCount()];
            staggeredGridLayoutManager.findLastVisibleItemPositions(iArr);
            this.lastVisibleItemPosition = findMax(iArr);
        } else {
            this.lastVisibleItemPosition = ((LinearLayoutManager) layoutManager).findLastVisibleItemPosition();
        }
        if (layoutManager.getChildCount() <= 0 || this.lastVisibleItemPosition < this.pullToRefreshRecyclerViewAdapter.getItemCount() - 1 || this.refreshHeader.getRefreshState() == 2) {
            return;
        }
        this.loadMoreView.setVisibility(0);
        this.loadMoreView.startAnimation();
        this.pullToRefreshListener.onLoadMore();
    }

    @Override // androidx.recyclerview.widget.RecyclerView, android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        if (action == 0) {
            LastY = motionEvent.getY();
        } else if (action == 1) {
            this.refreshHeader.checkRefresh();
        } else if (action == 2) {
            float y = motionEvent.getY() - LastY;
            LastY = motionEvent.getY();
            if (this.refreshHeader.getVisibleHeight() == 0 && y < 0.0f) {
                return super.onTouchEvent(motionEvent);
            }
            if (isOnTop() && this.pullRefreshEnabled && this.refreshHeader.getRefreshState() != 2) {
                this.refreshHeader.onMove((int) ((y / 3.0f) - 3.0f));
                return false;
            }
        }
        return super.onTouchEvent(motionEvent);
    }

    public void removeAllFooterViews() {
        if (this.footerViews.size() == 0) {
            return;
        }
        footerTypes.clear();
        this.footerViews.clear();
        this.dataObserver.onChanged();
        c cVar = this.pullToRefreshRecyclerViewAdapter;
        if (cVar == null || cVar.adapter == null) {
            return;
        }
        this.pullToRefreshRecyclerViewAdapter.adapter.notifyDataSetChanged();
    }

    public void removeAllHeaderViews() {
        this.headViews.clear();
        headerTypes.clear();
        this.dataObserver.onChanged();
        c cVar = this.pullToRefreshRecyclerViewAdapter;
        if (cVar == null || cVar.adapter == null) {
            return;
        }
        this.pullToRefreshRecyclerViewAdapter.adapter.notifyDataSetChanged();
    }

    public void removeFooterViewByIndex(int i2) {
        if (i2 < this.footerViews.size()) {
            this.footerViews.remove(i2);
            footerTypes.remove(headerTypes.get(i2));
            this.dataObserver.onChanged();
            c cVar = this.pullToRefreshRecyclerViewAdapter;
            if (cVar == null || cVar.adapter == null) {
                return;
            }
            this.pullToRefreshRecyclerViewAdapter.adapter.notifyDataSetChanged();
            return;
        }
        throw new IndexOutOfBoundsException("Invalid index " + i2 + ", footerView size is " + this.footerViews.size());
    }

    public void removeHeaderViewByIndex(int i2) {
        if (i2 < this.headViews.size()) {
            this.headViews.remove(i2);
            List<Integer> list = headerTypes;
            list.remove(list.get(i2));
            this.dataObserver.onChanged();
            c cVar = this.pullToRefreshRecyclerViewAdapter;
            if (cVar == null || cVar.adapter == null) {
                return;
            }
            this.pullToRefreshRecyclerViewAdapter.adapter.notifyDataSetChanged();
            return;
        }
        throw new IndexOutOfBoundsException("Invalid index " + i2 + ", headerViews size is " + this.headViews.size());
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void setAdapter(RecyclerView.Adapter adapter) {
        c cVar = new c(adapter);
        this.pullToRefreshRecyclerViewAdapter = cVar;
        super.setAdapter(cVar);
        adapter.registerAdapterDataObserver(this.dataObserver);
        this.dataObserver.onChanged();
    }

    public void setEmptyView(View view) {
        this.emptyView = view;
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void setLayoutManager(RecyclerView.LayoutManager layoutManager) {
        super.setLayoutManager(layoutManager);
        if (this.pullToRefreshRecyclerViewAdapter == null || !(layoutManager instanceof GridLayoutManager)) {
            return;
        }
        GridLayoutManager gridLayoutManager = (GridLayoutManager) layoutManager;
        gridLayoutManager.setSpanSizeLookup(new a(gridLayoutManager));
    }

    public void setLoadMoreComplete() {
        this.loadMoreView.loadMoreComplete(this);
    }

    public void setLoadMoreFail() {
        this.loadMoreView.loadMoreFail(this);
    }

    public void setLoadMoreResource(int i2) {
        this.loadMoreView.setLoadMoreResource(i2);
    }

    public void setLoadingMoreEnabled(boolean z) {
        this.loadingMoreEnabled = z;
    }

    public void setOnMeasure(boolean z) {
        this.isShow = z;
    }

    public void setPullRefreshEnabled(boolean z) {
        this.pullRefreshEnabled = z;
    }

    public void setPullToRefreshListener(e.g.a.h.j.b.a aVar) {
        this.pullToRefreshListener = aVar;
        RefreshHead refreshHead = this.refreshHeader;
        if (refreshHead != null) {
            refreshHead.setPullToRefreshListener(aVar);
        }
    }

    public void setRefreshArrowResource(int i2) {
        this.refreshHeader.setRefreshArrowResource(i2);
    }

    public void setRefreshComplete() {
        RefreshHead refreshHead = this.refreshHeader;
        if (refreshHead != null) {
            refreshHead.setRefreshComplete();
        }
    }

    public void setRefreshFail() {
        RefreshHead refreshHead = this.refreshHeader;
        if (refreshHead != null) {
            refreshHead.setRefreshFail();
        }
    }

    public void setRefreshingResource(int i2) {
        this.refreshHeader.setRefreshingResource(i2);
    }

    public PullToRefreshRecyclerView(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
        this.context = context;
    }

    public PullToRefreshRecyclerView(Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.dataObserver = new b(this, null);
        this.headViews = new ArrayList();
        this.footerViews = new ArrayList();
        this.pullRefreshEnabled = true;
        this.loadingMoreEnabled = true;
        this.context = context;
        init();
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class c extends RecyclerView.Adapter<RecyclerView.ViewHolder> {
        public RecyclerView.Adapter adapter;

        /* compiled from: AAA */
        /* loaded from: classes2.dex */
        public class a extends GridLayoutManager.SpanSizeLookup {
            public final /* synthetic */ GridLayoutManager val$gridManager;

            public a(GridLayoutManager gridLayoutManager) {
                this.val$gridManager = gridLayoutManager;
            }

            @Override // androidx.recyclerview.widget.GridLayoutManager.SpanSizeLookup
            public int getSpanSize(int i2) {
                if (c.this.isHeader(i2) || c.this.isLoadMoreFooter(i2) || c.this.isRefreshHeader(i2) || c.this.isFooter(i2) || c.this.isEmptyView(i2)) {
                    return this.val$gridManager.getSpanCount();
                }
                return 1;
            }
        }

        /* compiled from: AAA */
        /* loaded from: classes2.dex */
        public class b extends RecyclerView.OnScrollListener {
            public b() {
            }

            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrollStateChanged(RecyclerView recyclerView, int i2) {
                try {
                    if (i2 == 2) {
                        Glide.with(PullToRefreshRecyclerView.this.context).pauseRequests();
                    } else {
                        Glide.with(PullToRefreshRecyclerView.this.context).resumeRequests();
                    }
                } catch (Exception unused) {
                }
            }
        }

        public c(RecyclerView.Adapter adapter) {
            this.adapter = adapter;
        }

        private View getFooterViewByType(int i2) {
            if (isFooterType(i2)) {
                return (View) PullToRefreshRecyclerView.this.footerViews.get(i2 - 11000);
            }
            return null;
        }

        private View getHeaderViewByType(int i2) {
            if (isHeaderType(i2)) {
                return (View) PullToRefreshRecyclerView.this.headViews.get(i2 - 10003);
            }
            return null;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public boolean isEmptyView(int i2) {
            return shouldDisplayEmptyView() && i2 == PullToRefreshRecyclerView.this.headViews.size() + 1;
        }

        private boolean isFooterType(int i2) {
            return PullToRefreshRecyclerView.footerTypes.size() > 0 && PullToRefreshRecyclerView.footerTypes.contains(Integer.valueOf(i2));
        }

        private boolean isHeaderType(int i2) {
            return PullToRefreshRecyclerView.this.headViews.size() > 0 && PullToRefreshRecyclerView.headerTypes.contains(Integer.valueOf(i2));
        }

        private boolean shouldDisplayEmptyView() {
            return this.adapter.getItemCount() == 0 && PullToRefreshRecyclerView.this.emptyView != null;
        }

        public RecyclerView.Adapter getAdapter() {
            return this.adapter;
        }

        public int getFootersCount() {
            return PullToRefreshRecyclerView.this.footerViews.size();
        }

        public int getHeadersCount() {
            return PullToRefreshRecyclerView.this.headViews.size();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            int headersCount;
            int footersCount;
            int i2;
            int headersCount2;
            int footersCount2;
            if (PullToRefreshRecyclerView.this.loadingMoreEnabled) {
                if (this.adapter != null) {
                    headersCount2 = getHeadersCount() + getFootersCount();
                    footersCount2 = this.adapter.getItemCount();
                } else {
                    headersCount2 = getHeadersCount();
                    footersCount2 = getFootersCount();
                }
                i2 = headersCount2 + footersCount2 + 2;
            } else {
                if (this.adapter != null) {
                    headersCount = getHeadersCount() + getFootersCount();
                    footersCount = this.adapter.getItemCount();
                } else {
                    headersCount = getHeadersCount();
                    footersCount = getFootersCount();
                }
                i2 = headersCount + footersCount + 1;
            }
            return shouldDisplayEmptyView() ? i2 + 1 : i2;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public long getItemId(int i2) {
            int headersCount;
            if (this.adapter == null || i2 < getHeadersCount() + 1 || (headersCount = i2 - (getHeadersCount() + 1)) >= this.adapter.getItemCount()) {
                return -1L;
            }
            return this.adapter.getItemId(headersCount);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int i2) {
            int headersCount = i2 - ((getHeadersCount() + getFootersCount()) + 1);
            if (shouldDisplayEmptyView()) {
                headersCount--;
            }
            if (isRefreshHeader(i2)) {
                return 10000;
            }
            if (isHeader(i2)) {
                return ((Integer) PullToRefreshRecyclerView.headerTypes.get(i2 - 1)).intValue();
            } else if (shouldDisplayEmptyView() && i2 == getHeadersCount() + 1) {
                return PullToRefreshRecyclerView.TYPE_EMPTY_VIEW;
            } else {
                if (isFooter(i2)) {
                    int size = ((i2 - 1) - PullToRefreshRecyclerView.this.headViews.size()) - this.adapter.getItemCount();
                    if (shouldDisplayEmptyView()) {
                        size--;
                    }
                    return (PullToRefreshRecyclerView.footerTypes == null || PullToRefreshRecyclerView.footerTypes.size() <= 0) ? PullToRefreshRecyclerView.TYPE_EMPTY_VIEW : ((Integer) PullToRefreshRecyclerView.footerTypes.get(size)).intValue();
                } else if (isLoadMoreFooter(i2)) {
                    return 10001;
                } else {
                    RecyclerView.Adapter adapter = this.adapter;
                    if (adapter == null || headersCount >= adapter.getItemCount()) {
                        return 0;
                    }
                    int itemViewType = this.adapter.getItemViewType(headersCount);
                    if (PullToRefreshRecyclerView.this.isReservedItemViewType(itemViewType)) {
                        throw new IllegalStateException("PullToRefreshRecyclerView require itemViewType in adapter should be less than 10000 ");
                    }
                    return itemViewType;
                }
            }
        }

        public boolean isFooter(int i2) {
            return i2 >= 1 && !isLoadMoreFooter(i2) && i2 >= ((PullToRefreshRecyclerView.this.headViews.size() + 1) + this.adapter.getItemCount()) + (shouldDisplayEmptyView() ? 1 : 0);
        }

        public boolean isHeader(int i2) {
            return i2 >= 1 && i2 < PullToRefreshRecyclerView.this.headViews.size() + 1;
        }

        public boolean isLoadMoreFooter(int i2) {
            return PullToRefreshRecyclerView.this.loadingMoreEnabled && i2 == getItemCount() - 1;
        }

        public boolean isRefreshHeader(int i2) {
            return i2 == 0;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onAttachedToRecyclerView(RecyclerView recyclerView) {
            super.onAttachedToRecyclerView(recyclerView);
            RecyclerView.LayoutManager layoutManager = recyclerView.getLayoutManager();
            if (layoutManager instanceof GridLayoutManager) {
                GridLayoutManager gridLayoutManager = (GridLayoutManager) layoutManager;
                gridLayoutManager.setSpanSizeLookup(new a(gridLayoutManager));
            }
            recyclerView.addOnScrollListener(new b());
            this.adapter.onAttachedToRecyclerView(recyclerView);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder viewHolder, int i2) {
            if (isHeader(i2) || isRefreshHeader(i2) || isFooter(i2) || isEmptyView(i2) || isLoadMoreFooter(i2)) {
                return;
            }
            int headersCount = i2 - (getHeadersCount() + 1);
            RecyclerView.Adapter adapter = this.adapter;
            if (adapter == null || headersCount >= adapter.getItemCount()) {
                return;
            }
            this.adapter.onBindViewHolder(viewHolder, headersCount);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i2) {
            if (i2 == 10000 && PullToRefreshRecyclerView.this.refreshHeader != null) {
                return new SimpleViewHolder(PullToRefreshRecyclerView.this.refreshHeader);
            }
            if (!isHeaderType(i2)) {
                if (i2 == 10002 && PullToRefreshRecyclerView.this.emptyView != null) {
                    return new SimpleViewHolder(PullToRefreshRecyclerView.this.emptyView);
                }
                if (!isFooterType(i2)) {
                    if (i2 == 10001 && PullToRefreshRecyclerView.this.loadMoreView != null) {
                        return new SimpleViewHolder(PullToRefreshRecyclerView.this.loadMoreView);
                    }
                    return this.adapter.onCreateViewHolder(viewGroup, i2);
                }
                return new SimpleViewHolder(getFooterViewByType(i2));
            }
            return new SimpleViewHolder(getHeaderViewByType(i2));
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onDetachedFromRecyclerView(RecyclerView recyclerView) {
            this.adapter.onDetachedFromRecyclerView(recyclerView);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public boolean onFailedToRecycleView(RecyclerView.ViewHolder viewHolder) {
            return this.adapter.onFailedToRecycleView(viewHolder);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onViewAttachedToWindow(RecyclerView.ViewHolder viewHolder) {
            super.onViewAttachedToWindow(viewHolder);
            ViewGroup.LayoutParams layoutParams = viewHolder.itemView.getLayoutParams();
            if (layoutParams != null && (layoutParams instanceof StaggeredGridLayoutManager.LayoutParams) && (isHeader(viewHolder.getLayoutPosition()) || isRefreshHeader(viewHolder.getLayoutPosition()) || isLoadMoreFooter(viewHolder.getLayoutPosition()))) {
                ((StaggeredGridLayoutManager.LayoutParams) layoutParams).setFullSpan(true);
            }
            this.adapter.onViewAttachedToWindow(viewHolder);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onViewDetachedFromWindow(RecyclerView.ViewHolder viewHolder) {
            this.adapter.onViewDetachedFromWindow(viewHolder);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onViewRecycled(RecyclerView.ViewHolder viewHolder) {
            this.adapter.onViewRecycled(viewHolder);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void registerAdapterDataObserver(RecyclerView.AdapterDataObserver adapterDataObserver) {
            this.adapter.registerAdapterDataObserver(adapterDataObserver);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void unregisterAdapterDataObserver(RecyclerView.AdapterDataObserver adapterDataObserver) {
            this.adapter.unregisterAdapterDataObserver(adapterDataObserver);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder viewHolder, int i2, List<Object> list) {
            if (isHeader(i2) || isRefreshHeader(i2) || isFooter(i2) || isEmptyView(i2) || isLoadMoreFooter(i2)) {
                return;
            }
            int headersCount = i2 - (getHeadersCount() + 1);
            RecyclerView.Adapter adapter = this.adapter;
            if (adapter == null || headersCount >= adapter.getItemCount()) {
                return;
            }
            if (list.isEmpty()) {
                this.adapter.onBindViewHolder(viewHolder, headersCount);
            } else {
                this.adapter.onBindViewHolder(viewHolder, headersCount, list);
            }
        }
    }
}
