package com.joke.chongya.forum.widget.pulltorefresh;

import android.animation.ValueAnimator;
import android.content.Context;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.joke.chongya.basecommons.R;
import com.joke.chongya.basecommons.view.loading.CommonProgressBar;
import java.util.Date;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class RefreshHead extends LinearLayout {
    public static final int STATE_DONE = 3;
    public static final int STATE_FAIL = 4;
    public static final int STATE_NORMAL = 0;
    public static final int STATE_REFRESHING = 2;
    public static final int STATE_RELEASE_TO_REFRESH = 1;
    public RelativeLayout activityMain;
    public CommonProgressBar commonProgressBar;
    public LinearLayout headViewTexts;
    public ImageView imageArrow;
    public Date lastRefreshDate;
    public e.g.a.h.j.b.a pullToRefreshListener;
    public View refreshContentView;
    public int refreshLimitHeight;
    public int refreshState;
    public boolean showLastRefreshTime;
    public TextView textLastRefreshTime;
    public TextView textTip;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class a implements Runnable {
        public a() {
        }

        @Override // java.lang.Runnable
        public void run() {
            RefreshHead.this.smoothScrollTo(0);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class b implements Runnable {
        public b() {
        }

        @Override // java.lang.Runnable
        public void run() {
            RefreshHead.this.smoothScrollTo(0);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class c implements ValueAnimator.AnimatorUpdateListener {
        public c() {
        }

        @Override // android.animation.ValueAnimator.AnimatorUpdateListener
        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            RefreshHead.this.imageArrow.setRotation(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class d implements ValueAnimator.AnimatorUpdateListener {
        public d() {
        }

        @Override // android.animation.ValueAnimator.AnimatorUpdateListener
        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            RefreshHead.this.setVisibleHeight(((Integer) valueAnimator.getAnimatedValue()).intValue());
        }
    }

    public RefreshHead(Context context) {
        this(context, null);
    }

    public static String friendlyTime(Date date) {
        int currentTimeMillis = (int) ((System.currentTimeMillis() - date.getTime()) / 1000);
        if (currentTimeMillis == 0) {
            return "刚刚";
        }
        if (currentTimeMillis > 0 && currentTimeMillis < 60) {
            return currentTimeMillis + "秒前";
        } else if (currentTimeMillis >= 60 && currentTimeMillis < 3600) {
            return Math.max(currentTimeMillis / 60, 1) + "分钟前";
        } else if (currentTimeMillis >= 3600 && currentTimeMillis < 86400) {
            return (currentTimeMillis / 3600) + "小时前";
        } else if (currentTimeMillis >= 86400 && currentTimeMillis < 2592000) {
            return (currentTimeMillis / 86400) + "天前";
        } else if (currentTimeMillis >= 2592000 && currentTimeMillis < 31104000) {
            return (currentTimeMillis / 2592000) + "月前";
        } else {
            return (currentTimeMillis / 31104000) + "年前";
        }
    }

    private int getScreenHeight() {
        return ((WindowManager) getContext().getSystemService("window")).getDefaultDisplay().getHeight();
    }

    private void rotationAnimator(float f2) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(this.imageArrow.getRotation(), f2);
        ofFloat.setDuration(100L).start();
        ofFloat.addUpdateListener(new c());
        ofFloat.start();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void smoothScrollTo(int i2) {
        ValueAnimator ofInt = ValueAnimator.ofInt(getVisibleHeight(), i2);
        ofInt.setDuration(200L).start();
        ofInt.addUpdateListener(new d());
        ofInt.start();
    }

    public void activityMainGone() {
        this.activityMain.setVisibility(8);
    }

    public void activityMainShow() {
        this.activityMain.setVisibility(0);
    }

    public void checkRefresh() {
        if (getVisibleHeight() <= 0) {
            return;
        }
        int i2 = this.refreshState;
        if (i2 == 0) {
            smoothScrollTo(0);
            this.refreshState = 3;
        } else if (i2 == 1) {
            setState(2);
        }
    }

    public void displayLastRefreshTime(boolean z) {
        this.showLastRefreshTime = z;
    }

    public int getRefreshState() {
        return this.refreshState;
    }

    public int getVisibleHeight() {
        return ((LinearLayout.LayoutParams) this.refreshContentView.getLayoutParams()).height;
    }

    public void onMove(int i2) {
        int visibleHeight = getVisibleHeight() + i2;
        if (visibleHeight >= this.refreshLimitHeight && this.refreshState != 1) {
            if (this.imageArrow.getVisibility() != 0) {
                this.imageArrow.setVisibility(0);
            }
            this.refreshState = 1;
            this.textTip.setText(R.string.release_refresh);
            rotationAnimator(180.0f);
        }
        if (visibleHeight < this.refreshLimitHeight && this.refreshState != 0) {
            if (this.imageArrow.getVisibility() != 0) {
                this.imageArrow.setVisibility(0);
            }
            this.refreshState = 0;
            this.textTip.setText(R.string.pull_to_refresh);
            if (this.lastRefreshDate == null) {
                this.textLastRefreshTime.setVisibility(8);
            } else if (this.showLastRefreshTime) {
                this.textLastRefreshTime.setVisibility(0);
                this.textLastRefreshTime.setText(friendlyTime(this.lastRefreshDate));
            }
            rotationAnimator(0.0f);
        }
        setVisibleHeight(getVisibleHeight() + i2);
    }

    public void setPullToRefreshListener(e.g.a.h.j.b.a aVar) {
        this.pullToRefreshListener = aVar;
    }

    public void setRefreshArrowResource(int i2) {
        this.imageArrow.setImageResource(i2);
    }

    public void setRefreshComplete() {
        setState(3);
    }

    public void setRefreshFail() {
        setState(4);
    }

    public void setRefreshing() {
        this.refreshState = 2;
        this.imageArrow.setVisibility(8);
        this.textLastRefreshTime.setVisibility(8);
        this.commonProgressBar.setVisibility(0);
        startRefreshingAnimation();
        this.textTip.setText(R.string.refreshing);
        smoothScrollTo(getScreenHeight() / 9);
        e.g.a.h.j.b.a aVar = this.pullToRefreshListener;
        if (aVar != null) {
            aVar.onRefresh();
        }
    }

    public void setRefreshingResource(int i2) {
    }

    public void setState(int i2) {
        int i3;
        if (getVisibleHeight() < 0 || (i3 = this.refreshState) == i2) {
            return;
        }
        if (i2 == 2) {
            this.imageArrow.setVisibility(8);
            this.textLastRefreshTime.setVisibility(8);
            this.commonProgressBar.setVisibility(0);
            this.commonProgressBar.startProgress();
            startRefreshingAnimation();
            this.textTip.setText(R.string.refreshing);
            this.headViewTexts.setVisibility(8);
            smoothScrollTo(getScreenHeight() / 9);
            e.g.a.h.j.b.a aVar = this.pullToRefreshListener;
            if (aVar != null) {
                aVar.onRefresh();
            }
        } else if (i2 != 3) {
            if (i2 == 4 && (i3 == 2 || i3 == 1)) {
                this.commonProgressBar.setVisibility(8);
                this.imageArrow.setVisibility(0);
                this.textTip.setText(R.string.refresh_fail);
                this.commonProgressBar.stopAnim();
                this.commonProgressBar.postDelayed(new b(), 350L);
            }
        } else if (i3 == 2) {
            this.commonProgressBar.setVisibility(8);
            this.headViewTexts.setVisibility(0);
            this.textTip.setText(R.string.refresh_success);
            this.lastRefreshDate = new Date();
            this.commonProgressBar.stopAnim();
            this.commonProgressBar.postDelayed(new a(), 350L);
        }
        this.refreshState = i2;
    }

    public void setVisibleHeight(int i2) {
        if (i2 < 0) {
            i2 = 0;
        }
        LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.refreshContentView.getLayoutParams();
        layoutParams.height = i2;
        this.refreshContentView.setLayoutParams(layoutParams);
    }

    public void startRefreshingAnimation() {
    }

    public RefreshHead(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public RefreshHead(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.refreshState = 0;
        this.refreshLimitHeight = getScreenHeight() / 10;
        View inflate = LayoutInflater.from(getContext()).inflate(R.layout.layout_refresh_head_view, (ViewGroup) null);
        this.refreshContentView = inflate;
        this.activityMain = (RelativeLayout) inflate.findViewById(R.id.activity_main);
        CommonProgressBar commonProgressBar = (CommonProgressBar) this.refreshContentView.findViewById(R.id.progressbar);
        this.commonProgressBar = commonProgressBar;
        commonProgressBar.startProgress();
        this.textTip = (TextView) this.refreshContentView.findViewById(R.id.textTip);
        this.textLastRefreshTime = (TextView) this.refreshContentView.findViewById(R.id.textLastRefreshTime);
        this.imageArrow = (ImageView) this.refreshContentView.findViewById(R.id.imageArrow);
        this.headViewTexts = (LinearLayout) this.refreshContentView.findViewById(R.id.refresh_head_view_texts);
        addView(this.refreshContentView, new LinearLayout.LayoutParams(-1, 0));
        setGravity(80);
    }
}
