package com.joke.chongya.sandbox.adapter;

import android.content.Context;
import android.widget.TextView;
import androidx.core.content.res.ResourcesCompat;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.module.LoadMoreModule;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.joke.chongya.basecommons.bean.AppEntity;
import com.joke.chongya.basecommons.bean.AppInfoEntity;
import com.joke.chongya.basecommons.bean.AppPackageEntity;
import com.joke.chongya.basecommons.view.BmRoundCardBigImageView;
import com.joke.chongya.sandbox.R;
import e.g.b.j.d;
import j.p1.c.f0;
import java.util.List;
import kotlin.Metadata;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
/* compiled from: AAA */
@Metadata(d1 = {"\u0000&\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0003\b\u0016\u0018\u00002\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u00012\u00020\u0004B\u0015\u0012\u000e\u0010\u0005\u001a\n\u0012\u0004\u0012\u00020\u0002\u0018\u00010\u0006¢\u0006\u0002\u0010\u0007J\u0018\u0010\b\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\u00032\u0006\u0010\u000b\u001a\u00020\u0002H\u0014¨\u0006\f"}, d2 = {"Lcom/joke/chongya/sandbox/adapter/GameHomeAdapter;", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "Lcom/joke/chongya/basecommons/bean/AppInfoEntity;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "Lcom/chad/library/adapter/base/module/LoadMoreModule;", "data", "", "(Ljava/util/List;)V", "convert", "", "holder", "item", "modManager_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
/* loaded from: classes2.dex */
public class GameHomeAdapter extends BaseQuickAdapter<AppInfoEntity, BaseViewHolder> implements LoadMoreModule {
    public GameHomeAdapter(@Nullable List<AppInfoEntity> list) {
        super(R.layout.item_app_info_install, list);
    }

    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void convert(@NotNull BaseViewHolder baseViewHolder, @NotNull AppInfoEntity appInfoEntity) {
        f0.checkNotNullParameter(baseViewHolder, "holder");
        f0.checkNotNullParameter(appInfoEntity, "item");
        BmRoundCardBigImageView bmRoundCardBigImageView = (BmRoundCardBigImageView) baseViewHolder.getViewOrNull(R.id.iv_game_icon);
        TextView textView = (TextView) baseViewHolder.getViewOrNull(R.id.tv_game_name);
        TextView textView2 = (TextView) baseViewHolder.getViewOrNull(R.id.tv_start_up_game);
        if (bmRoundCardBigImageView != null) {
            bmRoundCardBigImageView.setTagImage(appInfoEntity.getAppCornerMarks());
        }
        if (bmRoundCardBigImageView != null) {
            AppEntity app = appInfoEntity.getApp();
            bmRoundCardBigImageView.setIconImage(app != null ? app.getIcon() : null);
        }
        if (textView != null) {
            AppEntity app2 = appInfoEntity.getApp();
            textView.setText(app2 != null ? app2.getName() : null);
        }
        Context context = getContext();
        AppPackageEntity androidPackage = appInfoEntity.getAndroidPackage();
        if (d.isInstalled(context, androidPackage != null ? androidPackage.getPackageName() : null)) {
            if (textView2 != null) {
                textView2.setText(getContext().getString(R.string.start_up));
            }
            if (textView2 == null) {
                return;
            }
            textView2.setBackground(ResourcesCompat.getDrawable(getContext().getResources(), R.drawable.bm_shape_bg_color_theme_r14, getContext().getTheme()));
            return;
        }
        if (textView2 != null) {
            textView2.setText(getContext().getString(R.string.uninstalled));
        }
        if (textView2 == null) {
            return;
        }
        textView2.setBackground(ResourcesCompat.getDrawable(getContext().getResources(), R.drawable.bm_shape_bg_color_f3f4f5_r14, getContext().getTheme()));
    }
}
