package com.joke.chongya.sandbox.adapter;

import android.widget.ImageView;
import android.widget.TextView;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.module.LoadMoreModule;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.joke.chongya.basecommons.bean.AppEntity;
import com.joke.chongya.basecommons.bean.AppInfoEntity;
import com.joke.chongya.basecommons.utils.ViewUtilsKt;
import com.joke.chongya.basecommons.view.BmRoundCardImageView;
import com.joke.chongya.sandbox.R;
import com.joke.chongya.sandbox.bean.ArchiveShareEntity;
import com.joke.chongya.sandbox.bean.PlayerArchiveEntity;
import e.g.a.f.i.t;
import e.g.a.g.c.c;
import j.p1.c.f0;
import java.util.List;
import kotlin.Metadata;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
/* compiled from: AAA */
@Metadata(d1 = {"\u0000&\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0003\u0018\u00002\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u00012\u00020\u0004B\u0015\u0012\u000e\u0010\u0005\u001a\n\u0012\u0004\u0012\u00020\u0002\u0018\u00010\u0006¢\u0006\u0002\u0010\u0007J\u0018\u0010\b\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\u00032\u0006\u0010\u000b\u001a\u00020\u0002H\u0014¨\u0006\f"}, d2 = {"Lcom/joke/chongya/sandbox/adapter/PlayerArchiveAdapter;", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "Lcom/joke/chongya/sandbox/bean/PlayerArchiveEntity;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "Lcom/chad/library/adapter/base/module/LoadMoreModule;", "data", "", "(Ljava/util/List;)V", "convert", "", "holder", "item", "modManager_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
/* loaded from: classes2.dex */
public final class PlayerArchiveAdapter extends BaseQuickAdapter<PlayerArchiveEntity, BaseViewHolder> implements LoadMoreModule {
    public PlayerArchiveAdapter(@Nullable List<PlayerArchiveEntity> list) {
        super(R.layout.item_player_archive_mod, list);
    }

    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void convert(@NotNull BaseViewHolder baseViewHolder, @NotNull PlayerArchiveEntity playerArchiveEntity) {
        f0.checkNotNullParameter(baseViewHolder, "holder");
        f0.checkNotNullParameter(playerArchiveEntity, "item");
        AppInfoEntity appInfo = playerArchiveEntity.getAppInfo();
        if (appInfo != null && c.Companion.isNotEmpty(appInfo.getApp())) {
            BmRoundCardImageView bmRoundCardImageView = (BmRoundCardImageView) baseViewHolder.getView(R.id.iv_game_icon);
            AppEntity app = appInfo.getApp();
            bmRoundCardImageView.setIconImage(app != null ? app.getIcon() : null);
            bmRoundCardImageView.setTagImage(playerArchiveEntity.getAppInfo().getAppCornerMarks());
            int i2 = R.id.tv_game_name;
            AppEntity app2 = appInfo.getApp();
            baseViewHolder.setText(i2, app2 != null ? app2.getName() : null);
        }
        ArchiveShareEntity cloudArchiveShareVo = playerArchiveEntity.getCloudArchiveShareVo();
        f0.checkNotNullExpressionValue(cloudArchiveShareVo, "item.cloudArchiveShareVo");
        if (c.Companion.isNotEmpty(cloudArchiveShareVo)) {
            t.INSTANCE.displayRoundImage(getContext(), cloudArchiveShareVo.getArchiveShareScreenshotsUrl(), (ImageView) baseViewHolder.getView(R.id.iv_archive_screenshot), 6);
            baseViewHolder.setText(R.id.tv_cloud_archive_name, cloudArchiveShareVo.getTitle());
            if (cloudArchiveShareVo.getArchiveHeat() > 0) {
                int i3 = R.id.tv_degree_of_heat;
                StringBuilder sb = new StringBuilder();
                sb.append(cloudArchiveShareVo.getArchiveHeat());
                sb.append((char) 8451);
                baseViewHolder.setText(i3, sb.toString());
                baseViewHolder.setGone(R.id.tv_degree_of_heat, false);
                ViewUtilsKt.setIconAndColorByHeatValue((TextView) baseViewHolder.getView(R.id.tv_degree_of_heat), cloudArchiveShareVo.getArchiveHeat());
            } else {
                baseViewHolder.setGone(R.id.tv_degree_of_heat, true);
            }
            baseViewHolder.setText(R.id.tv_file_time, cloudArchiveShareVo.getShareDate());
        }
    }
}
