package com.joke.chongya.sandbox.adapter;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.joke.chongya.basecommons.view.BmRoundCardImageView;
import com.joke.chongya.basecommons.weight.BmDetailProgressNewButton;
import com.joke.chongya.sandbox.R;
import com.joke.chongya.sandbox.bean.RecentPlayBean;
import com.joke.downframework.data.entity.AppInfo;
import e.g.a.f.i.t;
import e.g.a.g.a;
import j.p1.c.f0;
import java.util.List;
import kotlin.Metadata;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
/* compiled from: AAA */
@Metadata(d1 = {"\u0000*\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u00002\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u0001B\u0015\u0012\u000e\u0010\u0004\u001a\n\u0012\u0004\u0012\u00020\u0002\u0018\u00010\u0005¢\u0006\u0002\u0010\u0006J\u0018\u0010\u0007\u001a\u00020\b2\u0006\u0010\t\u001a\u00020\u00032\u0006\u0010\n\u001a\u00020\u0002H\u0014J\u0018\u0010\u000b\u001a\u00020\b2\u0006\u0010\t\u001a\u00020\u00032\u0006\u0010\f\u001a\u00020\rH\u0002J\u0018\u0010\u000e\u001a\u00020\b2\u0006\u0010\t\u001a\u00020\u00032\u0006\u0010\f\u001a\u00020\rH\u0002¨\u0006\u000f"}, d2 = {"Lcom/joke/chongya/sandbox/adapter/PlayingRecentlyAdapter;", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "Lcom/joke/chongya/sandbox/bean/RecentPlayBean;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "data", "", "(Ljava/util/List;)V", "convert", "", "holder", "item", "initDownloadApp", a.EXTRA_LOADING_APP_INFO, "Lcom/joke/downframework/data/entity/AppInfo;", "initSandboxApp", "modManager_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
/* loaded from: classes2.dex */
public final class PlayingRecentlyAdapter extends BaseQuickAdapter<RecentPlayBean, BaseViewHolder> {
    public PlayingRecentlyAdapter(@Nullable List<RecentPlayBean> list) {
        super(R.layout.item_playing_recently, list);
    }

    private final void initDownloadApp(BaseViewHolder baseViewHolder, AppInfo appInfo) {
        BmRoundCardImageView bmRoundCardImageView = (BmRoundCardImageView) baseViewHolder.getViewOrNull(R.id.iv_app_icon);
        t.displayImage(getContext(), appInfo.getIcon(), bmRoundCardImageView != null ? bmRoundCardImageView.getIconImageView() : null);
        baseViewHolder.setText(R.id.tv_app_name, appInfo.getAppname());
        BmDetailProgressNewButton bmDetailProgressNewButton = (BmDetailProgressNewButton) baseViewHolder.getViewOrNull(R.id.tv_start_up_game);
        if (bmDetailProgressNewButton != null) {
            bmDetailProgressNewButton.setType("blue");
        }
        if (bmDetailProgressNewButton != null) {
            bmDetailProgressNewButton.updateProgress(appInfo.getProgress());
        }
        if (bmDetailProgressNewButton != null) {
            bmDetailProgressNewButton.updateStatus(appInfo);
        }
        if (appInfo.is64apk() == 1 || appInfo.is64apk() == 3) {
            baseViewHolder.setVisible(R.id.iv_game_bit, false);
        } else {
            baseViewHolder.setVisible(R.id.iv_game_bit, true);
        }
    }

    private final void initSandboxApp(BaseViewHolder baseViewHolder, AppInfo appInfo) {
        BmRoundCardImageView bmRoundCardImageView = (BmRoundCardImageView) baseViewHolder.getViewOrNull(R.id.iv_app_icon);
        t.INSTANCE.displayRoundColorImage(getContext(), appInfo.getSandBoxAppIcon(), bmRoundCardImageView != null ? bmRoundCardImageView.getIconImageView() : null);
        baseViewHolder.setText(R.id.tv_app_name, appInfo.getSandBoxAppName());
        BmDetailProgressNewButton bmDetailProgressNewButton = (BmDetailProgressNewButton) baseViewHolder.getViewOrNull(R.id.tv_start_up_game);
        if (bmDetailProgressNewButton != null) {
            bmDetailProgressNewButton.setType("blue");
        }
        appInfo.setAppstatus(2);
        if (bmDetailProgressNewButton != null) {
            bmDetailProgressNewButton.updateStatus(appInfo);
        }
        if (f0.areEqual((Object) appInfo.getSandBoxAppIs32apk(), (Object) true)) {
            baseViewHolder.setVisible(R.id.iv_game_bit, true);
        } else {
            baseViewHolder.setVisible(R.id.iv_game_bit, false);
        }
    }

    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void convert(@NotNull BaseViewHolder baseViewHolder, @NotNull RecentPlayBean recentPlayBean) {
        f0.checkNotNullParameter(baseViewHolder, "holder");
        f0.checkNotNullParameter(recentPlayBean, "item");
        if (f0.areEqual((Object) recentPlayBean.isSandboxInstall(), (Object) true)) {
            AppInfo appInfo = recentPlayBean.getAppInfo();
            if (appInfo != null) {
                initSandboxApp(baseViewHolder, appInfo);
                return;
            }
            return;
        }
        AppInfo appInfo2 = recentPlayBean.getAppInfo();
        if (appInfo2 != null) {
            initDownloadApp(baseViewHolder, appInfo2);
        }
    }
}
