package com.joke.chongya.sandbox.databinding;

import android.util.SparseIntArray;
import android.view.View;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.ImageView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.databinding.DataBindingComponent;
import androidx.databinding.ViewDataBinding;
import androidx.recyclerview.widget.RecyclerView;
import com.joke.chongya.sandbox.BR;
import com.joke.chongya.sandbox.R;
import com.joke.chongya.sandbox.vm.GameHomePageVM;
import com.scwang.smartrefresh.layout.SmartRefreshLayout;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class FragmentGameHomePageBindingImpl extends FragmentGameHomePageBinding {
    @Nullable
    public static final ViewDataBinding.IncludedLayouts sIncludes = null;
    @Nullable
    public static final SparseIntArray sViewsWithIds;
    public long mDirtyFlags;

    static {
        SparseIntArray sparseIntArray = new SparseIntArray();
        sViewsWithIds = sparseIntArray;
        sparseIntArray.put(R.id.fl_search, 1);
        sViewsWithIds.put(R.id.et_search_input, 2);
        sViewsWithIds.put(R.id.et_search_input_clear, 3);
        sViewsWithIds.put(R.id.srl_container, 4);
        sViewsWithIds.put(R.id.recycler_view, 5);
    }

    public FragmentGameHomePageBindingImpl(@Nullable DataBindingComponent dataBindingComponent, @NonNull View view) {
        this(dataBindingComponent, view, ViewDataBinding.mapBindings(dataBindingComponent, view, 6, sIncludes, sViewsWithIds));
    }

    @Override // androidx.databinding.ViewDataBinding
    public void executeBindings() {
        synchronized (this) {
            this.mDirtyFlags = 0L;
        }
    }

    @Override // androidx.databinding.ViewDataBinding
    public boolean hasPendingBindings() {
        synchronized (this) {
            return this.mDirtyFlags != 0;
        }
    }

    @Override // androidx.databinding.ViewDataBinding
    public void invalidateAll() {
        synchronized (this) {
            this.mDirtyFlags = 2L;
        }
        requestRebind();
    }

    @Override // androidx.databinding.ViewDataBinding
    public boolean onFieldChange(int i2, Object obj, int i3) {
        return false;
    }

    @Override // com.joke.chongya.sandbox.databinding.FragmentGameHomePageBinding
    public void setGameHomeVM(@Nullable GameHomePageVM gameHomePageVM) {
        this.mGameHomeVM = gameHomePageVM;
    }

    @Override // androidx.databinding.ViewDataBinding
    public boolean setVariable(int i2, @Nullable Object obj) {
        if (BR.gameHomeVM == i2) {
            setGameHomeVM((GameHomePageVM) obj);
            return true;
        }
        return false;
    }

    public FragmentGameHomePageBindingImpl(DataBindingComponent dataBindingComponent, View view, Object[] objArr) {
        super(dataBindingComponent, view, 0, (ConstraintLayout) objArr[0], (EditText) objArr[2], (ImageView) objArr[3], (FrameLayout) objArr[1], (RecyclerView) objArr[5], (SmartRefreshLayout) objArr[4]);
        this.mDirtyFlags = -1L;
        this.containerGame.setTag(null);
        setRootTag(view);
        invalidateAll();
    }
}
