package com.joke.chongya.sandbox.databinding;

import android.util.SparseIntArray;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.appcompat.widget.LinearLayoutCompat;
import androidx.databinding.DataBindingComponent;
import androidx.databinding.ViewDataBinding;
import androidx.recyclerview.widget.RecyclerView;
import com.joke.chongya.sandbox.R;
import com.joke.chongya.sandbox.widget.ModActionBar;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class TestFragmentBindingImpl extends TestFragmentBinding {
    @Nullable
    public static final ViewDataBinding.IncludedLayouts sIncludes = null;
    @Nullable
    public static final SparseIntArray sViewsWithIds;
    public long mDirtyFlags;

    static {
        SparseIntArray sparseIntArray = new SparseIntArray();
        sViewsWithIds = sparseIntArray;
        sparseIntArray.put(R.id.actionbar, 1);
        sViewsWithIds.put(R.id.rv_playing_recently, 2);
        sViewsWithIds.put(R.id.linear_view_help, 3);
        sViewsWithIds.put(R.id.tv_acceleration_prompt, 4);
        sViewsWithIds.put(R.id.linear_add_game, 5);
        sViewsWithIds.put(R.id.rv_local_games, 6);
        sViewsWithIds.put(R.id.rv_perfect_acceleration, 7);
    }

    public TestFragmentBindingImpl(@Nullable DataBindingComponent dataBindingComponent, @NonNull View view) {
        this(dataBindingComponent, view, ViewDataBinding.mapBindings(dataBindingComponent, view, 8, sIncludes, sViewsWithIds));
    }

    @Override // androidx.databinding.ViewDataBinding
    public void executeBindings() {
        synchronized (this) {
            this.mDirtyFlags = 0L;
        }
    }

    @Override // androidx.databinding.ViewDataBinding
    public boolean hasPendingBindings() {
        synchronized (this) {
            return this.mDirtyFlags != 0;
        }
    }

    @Override // androidx.databinding.ViewDataBinding
    public void invalidateAll() {
        synchronized (this) {
            this.mDirtyFlags = 1L;
        }
        requestRebind();
    }

    @Override // androidx.databinding.ViewDataBinding
    public boolean onFieldChange(int i2, Object obj, int i3) {
        return false;
    }

    @Override // androidx.databinding.ViewDataBinding
    public boolean setVariable(int i2, @Nullable Object obj) {
        return true;
    }

    public TestFragmentBindingImpl(DataBindingComponent dataBindingComponent, View view, Object[] objArr) {
        super(dataBindingComponent, view, 0, (ModActionBar) objArr[1], (LinearLayoutCompat) objArr[5], (LinearLayoutCompat) objArr[3], (RecyclerView) objArr[6], (RecyclerView) objArr[7], (RecyclerView) objArr[2], (AppCompatTextView) objArr[4], (LinearLayoutCompat) objArr[0]);
        this.mDirtyFlags = -1L;
        this.virtualParent.setTag(null);
        setRootTag(view);
        invalidateAll();
    }
}
