package com.joke.chongya.sandbox.ui.activity;

import android.os.Build;
import android.view.View;
import android.webkit.CookieManager;
import android.webkit.WebResourceRequest;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.ImageButton;
import com.joke.chongya.basecommons.base.activity.BmBaseActivity;
import com.joke.chongya.basecommons.view.actionbar.BamenActionBar;
import com.joke.chongya.sandbox.R;
import com.joke.chongya.sandbox.databinding.ActivityNativeWebviewBinding;
import com.joke.chongya.sandbox.ui.activity.NativeWebViewActivity;
import j.p1.c.f0;
import kotlin.Metadata;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
/* compiled from: AAA */
@Metadata(d1 = {"\u00000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u00002\b\u0012\u0004\u0012\u00020\u00020\u0001:\u0001\u0011B\u0005¢\u0006\u0002\u0010\u0003J\n\u0010\u0006\u001a\u0004\u0018\u00010\u0005H\u0016J\r\u0010\u0007\u001a\u00020\bH\u0016¢\u0006\u0002\u0010\tJ\b\u0010\n\u001a\u00020\u000bH\u0016J\b\u0010\f\u001a\u00020\u000bH\u0016J\b\u0010\r\u001a\u00020\u000bH\u0016J\u0010\u0010\u000e\u001a\u00020\u000b2\u0006\u0010\u000f\u001a\u00020\u0010H\u0002R\u0010\u0010\u0004\u001a\u0004\u0018\u00010\u0005X\u0082\u000e¢\u0006\u0002\n\u0000¨\u0006\u0012"}, d2 = {"Lcom/joke/chongya/sandbox/ui/activity/NativeWebViewActivity;", "Lcom/joke/chongya/basecommons/base/activity/BmBaseActivity;", "Lcom/joke/chongya/sandbox/databinding/ActivityNativeWebviewBinding;", "()V", "webUrl", "", "getClassName", "getLayoutId", "", "()Ljava/lang/Integer;", "initView", "", "loadData", "onBackPressed", "webViewSettings", "webView", "Landroid/webkit/WebView;", "MyWebViewClient", "modManager_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
/* loaded from: classes2.dex */
public final class NativeWebViewActivity extends BmBaseActivity<ActivityNativeWebviewBinding> {
    @Nullable
    public String webUrl;

    /* compiled from: AAA */
    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u001c\u0010\u0003\u001a\u00020\u00042\b\u0010\u0005\u001a\u0004\u0018\u00010\u00062\b\u0010\u0007\u001a\u0004\u0018\u00010\bH\u0016¨\u0006\t"}, d2 = {"Lcom/joke/chongya/sandbox/ui/activity/NativeWebViewActivity$MyWebViewClient;", "Landroid/webkit/WebViewClient;", "(Lcom/joke/chongya/sandbox/ui/activity/NativeWebViewActivity;)V", "shouldOverrideUrlLoading", "", "view", "Landroid/webkit/WebView;", "request", "Landroid/webkit/WebResourceRequest;", "modManager_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
    /* loaded from: classes2.dex */
    public final class MyWebViewClient extends WebViewClient {
        public MyWebViewClient() {
        }

        @Override // android.webkit.WebViewClient
        public boolean shouldOverrideUrlLoading(@Nullable WebView webView, @Nullable WebResourceRequest webResourceRequest) {
            if (Build.VERSION.SDK_INT >= 21) {
                if (webView != null) {
                    webView.loadUrl(String.valueOf(webResourceRequest != null ? webResourceRequest.getUrl() : null));
                    return true;
                }
                return true;
            } else if (webView != null) {
                webView.loadUrl(String.valueOf(webResourceRequest));
                return true;
            } else {
                return true;
            }
        }
    }

    /* renamed from: initView$lambda-0  reason: not valid java name */
    public static final void m68initView$lambda0(NativeWebViewActivity nativeWebViewActivity, View view) {
        f0.checkNotNullParameter(nativeWebViewActivity, "this$0");
        nativeWebViewActivity.onBackPressed();
    }

    private final void webViewSettings(WebView webView) {
        CookieManager cookieManager = CookieManager.getInstance();
        if (Build.VERSION.SDK_INT >= 21) {
            cookieManager.setAcceptThirdPartyCookies(webView, true);
        } else {
            cookieManager.setAcceptCookie(true);
        }
        webView.getSettings().setJavaScriptCanOpenWindowsAutomatically(true);
        webView.getSettings().setLayoutAlgorithm(WebSettings.LayoutAlgorithm.NARROW_COLUMNS);
        webView.getSettings().setPluginState(WebSettings.PluginState.ON);
        if (Build.VERSION.SDK_INT >= 21) {
            webView.getSettings().setMixedContentMode(0);
        }
        webView.getSettings().setJavaScriptEnabled(true);
        webView.getSettings().setDomStorageEnabled(true);
        webView.getSettings().setCacheMode(2);
        webView.getSettings().setUseWideViewPort(true);
        webView.getSettings().setLoadWithOverviewMode(true);
        webView.getSettings().setSupportZoom(false);
        webView.setHorizontalScrollBarEnabled(false);
        webView.setVerticalScrollBarEnabled(false);
    }

    @Override // com.joke.chongya.basecommons.base.activity.BmBaseActivity
    @Nullable
    public String getClassName() {
        return "原生WebView";
    }

    @Override // com.joke.chongya.basecommons.base.activity.BmBaseActivity
    @NotNull
    public Integer getLayoutId() {
        return Integer.valueOf(R.layout.activity_native_webview);
    }

    @Override // com.joke.chongya.basecommons.base.activity.BmBaseActivity
    public void initView() {
        BamenActionBar bamenActionBar;
        ImageButton backBtn;
        BamenActionBar bamenActionBar2;
        BamenActionBar bamenActionBar3;
        this.webUrl = getIntent().getStringExtra("url");
        String stringExtra = getIntent().getStringExtra("title");
        ActivityNativeWebviewBinding binding = getBinding();
        if (binding != null && (bamenActionBar3 = binding.idActionBar) != null) {
            bamenActionBar3.setBackBtnResource(R.drawable.back_black);
        }
        ActivityNativeWebviewBinding binding2 = getBinding();
        if (binding2 != null && (bamenActionBar2 = binding2.idActionBar) != null) {
            bamenActionBar2.setMiddleTitle(stringExtra, R.color.black_000000);
        }
        ActivityNativeWebviewBinding binding3 = getBinding();
        if (binding3 == null || (bamenActionBar = binding3.idActionBar) == null || (backBtn = bamenActionBar.getBackBtn()) == null) {
            return;
        }
        backBtn.setOnClickListener(new View.OnClickListener() { // from class: e.g.a.j.c.a.h
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NativeWebViewActivity.m68initView$lambda0(NativeWebViewActivity.this, view);
            }
        });
    }

    @Override // com.joke.chongya.basecommons.base.activity.BmBaseActivity
    public void loadData() {
        ActivityNativeWebviewBinding binding;
        WebView webView;
        WebView webView2;
        ActivityNativeWebviewBinding binding2 = getBinding();
        if (binding2 != null && (webView2 = binding2.wvWebView) != null) {
            webViewSettings(webView2);
            webView2.setWebViewClient(new MyWebViewClient());
        }
        String str = this.webUrl;
        if (str == null || (binding = getBinding()) == null || (webView = binding.wvWebView) == null) {
            return;
        }
        webView.loadUrl(str);
    }

    @Override // androidx.activity.ComponentActivity, android.app.Activity
    public void onBackPressed() {
        WebView webView;
        WebView webView2;
        ActivityNativeWebviewBinding binding = getBinding();
        boolean z = true;
        if ((binding == null || (webView2 = binding.wvWebView) == null || !webView2.canGoBack()) ? false : false) {
            ActivityNativeWebviewBinding binding2 = getBinding();
            if (binding2 == null || (webView = binding2.wvWebView) == null) {
                return;
            }
            webView.goBack();
            return;
        }
        super.onBackPressed();
    }
}
