package com.joke.chongya.sandbox.utils;

import android.app.Activity;
import android.content.Context;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import com.joke.chongya.sandbox.utils.Base64DownHandle;
import com.joke.chongya.sandbox.widget.Base64DownDialog;
import e.g.a.f.i.q;
import e.g.b.j.i;
import e.h.a.d;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.SocketException;
import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class Base64DownHandle {
    public static Base64DownHandle instance;
    public Call call;
    public long clickTime;
    public Base64DownDialog downDialog;
    public Base64DownloadCallback mCallback;
    public String mUrl;
    public String mod64ApkName;
    public int progress;
    public boolean isDowning = false;
    public boolean isCancel = false;
    public OkHttpClient client = new OkHttpClient();

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public interface Base64DownloadCallback {
        void onComplete(File file);

        void onFail(String str);

        void onParse();

        void onProgress(long j2, long j3, int i2);
    }

    public Base64DownHandle(Context context) {
        this.mod64ApkName = "cy32_" + Mod64Utils.getInstance().getOnlineVersionCode(context) + ".apk";
    }

    public static Base64DownHandle getInstance(Context context) {
        if (instance == null) {
            instance = new Base64DownHandle(context);
        }
        return instance;
    }

    public /* synthetic */ void a(View view) {
        Base64DownloadCallback base64DownloadCallback;
        if (System.currentTimeMillis() - this.clickTime > 500) {
            if (this.downDialog.getStatus() == 2) {
                cancel();
            } else if (!this.isDowning && !TextUtils.isEmpty(this.mUrl) && (base64DownloadCallback = this.mCallback) != null) {
                downloadUrl(this.mUrl, base64DownloadCallback);
            }
            this.clickTime = System.currentTimeMillis();
        }
    }

    public void cancel() {
        if (this.isDowning) {
            Call call = this.call;
            if (call != null && !call.isCanceled()) {
                this.isCancel = true;
                this.call.cancel();
            }
            this.isDowning = false;
        }
    }

    public void downBase64(String str, final Base64DownloadCallback base64DownloadCallback) {
        this.isDowning = true;
        this.progress = 0;
        this.mUrl = str;
        this.mCallback = base64DownloadCallback;
        try {
            final String defaultFilePath = i.getDefaultFilePath();
            File file = new File(defaultFilePath, this.mod64ApkName);
            if (!file.exists()) {
                File parentFile = file.getParentFile();
                if (parentFile.exists() || parentFile.mkdirs()) {
                    file.createNewFile();
                }
            } else if (System.currentTimeMillis() - file.lastModified() > 86400000) {
                if (file.exists()) {
                    file.delete();
                }
                file.createNewFile();
            }
            final long j2 = 0;
            if (file.length() > 0) {
                j2 = file.length();
            }
            Log.e("afaafafadf", "completedSize:" + j2);
            Request.Builder header = new Request.Builder().url(str).header("Connection", "close").header(d.HEADER_ACCEPT_ENCODING, "identity");
            Call newCall = this.client.newCall(header.header("RANGE", "bytes=" + j2 + "-").build());
            this.call = newCall;
            this.isCancel = false;
            newCall.enqueue(new Callback() { // from class: com.joke.chongya.sandbox.utils.Base64DownHandle.2
                @Override // okhttp3.Callback
                public void onFailure(Call call, IOException iOException) {
                    Base64DownloadCallback base64DownloadCallback2 = base64DownloadCallback;
                    if (base64DownloadCallback2 != null) {
                        base64DownloadCallback2.onParse();
                    }
                    Base64DownHandle.this.isDowning = false;
                }

                /* JADX WARN: Removed duplicated region for block: B:76:0x0147 A[Catch: Exception -> 0x0143, TRY_LEAVE, TryCatch #9 {Exception -> 0x0143, blocks: (B:72:0x013f, B:76:0x0147), top: B:98:0x013f }] */
                /* JADX WARN: Removed duplicated region for block: B:98:0x013f A[EXC_TOP_SPLITTER, SYNTHETIC] */
                @Override // okhttp3.Callback
                /*
                    Code decompiled incorrectly, please refer to instructions dump.
                */
                public void onResponse(Call call, Response response) throws IOException {
                    Base64DownloadCallback base64DownloadCallback2;
                    Throwable th;
                    FileOutputStream fileOutputStream;
                    File file2 = new File(defaultFilePath, Base64DownHandle.this.mod64ApkName);
                    if (response.isSuccessful()) {
                        if (response.body() == null) {
                            return;
                        }
                        byte[] bArr = new byte[2048];
                        InputStream inputStream = null;
                        try {
                            try {
                                InputStream byteStream = response.body().byteStream();
                                try {
                                    long contentLength = response.body().contentLength();
                                    Log.e("afaafafadf", "total:" + contentLength);
                                    if (!file2.exists()) {
                                        file2.createNewFile();
                                    }
                                    fileOutputStream = new FileOutputStream(file2, true);
                                    try {
                                        long j3 = j2;
                                        while (true) {
                                            int read = byteStream.read(bArr);
                                            if (read == -1) {
                                                break;
                                            }
                                            fileOutputStream.write(bArr, 0, read);
                                            j3 += read;
                                            Base64DownHandle.this.progress = (int) (((((float) j3) * 1.0f) / ((float) (j2 + contentLength))) * 100.0f);
                                            Log.e("afaafafadf", "all:" + (j2 + contentLength));
                                            if (base64DownloadCallback != null) {
                                                base64DownloadCallback.onProgress(j3, j2 + contentLength, Base64DownHandle.this.progress);
                                            }
                                        }
                                        fileOutputStream.flush();
                                        if (base64DownloadCallback != null) {
                                            base64DownloadCallback.onComplete(file2);
                                        }
                                        if (Base64DownHandle.this.downDialog != null) {
                                            Base64DownHandle.this.downDialog.dismiss();
                                        }
                                        Base64DownHandle.this.isDowning = false;
                                        if (byteStream != null) {
                                            byteStream.close();
                                        }
                                        fileOutputStream.close();
                                    } catch (Exception e2) {
                                        e = e2;
                                        inputStream = byteStream;
                                        try {
                                            e.printStackTrace();
                                            if (base64DownloadCallback != null) {
                                                if (Base64DownHandle.this.isCancel) {
                                                    base64DownloadCallback.onParse();
                                                } else {
                                                    base64DownloadCallback.onFail(e.getMessage());
                                                    if (Base64DownHandle.this.downDialog != null) {
                                                        Base64DownHandle.this.downDialog.dismiss();
                                                    }
                                                }
                                            }
                                            if ((e instanceof SocketException) && fileOutputStream != null) {
                                                try {
                                                    fileOutputStream.flush();
                                                } catch (IOException e3) {
                                                    e3.printStackTrace();
                                                }
                                            }
                                            Base64DownHandle.this.isDowning = false;
                                            if (inputStream != null) {
                                                inputStream.close();
                                            }
                                            if (fileOutputStream != null) {
                                                fileOutputStream.close();
                                            }
                                        } catch (Throwable th2) {
                                            th = th2;
                                            if (inputStream != null) {
                                                try {
                                                    inputStream.close();
                                                } catch (Exception e4) {
                                                    e4.printStackTrace();
                                                    throw th;
                                                }
                                            }
                                            if (fileOutputStream != null) {
                                                fileOutputStream.close();
                                            }
                                            throw th;
                                        }
                                    } catch (Throwable th3) {
                                        th = th3;
                                        inputStream = byteStream;
                                        if (inputStream != null) {
                                        }
                                        if (fileOutputStream != null) {
                                        }
                                        throw th;
                                    }
                                } catch (Exception e5) {
                                    e = e5;
                                    fileOutputStream = null;
                                } catch (Throwable th4) {
                                    th = th4;
                                    fileOutputStream = null;
                                }
                            } catch (Exception e6) {
                                e6.printStackTrace();
                            }
                        } catch (Exception e7) {
                            e = e7;
                            fileOutputStream = null;
                        } catch (Throwable th5) {
                            th = th5;
                            fileOutputStream = null;
                        }
                    } else if (response.code() != 416 || !file2.exists() || file2.length() <= 0 || (base64DownloadCallback2 = base64DownloadCallback) == null) {
                    } else {
                        base64DownloadCallback2.onComplete(file2);
                        if (Base64DownHandle.this.downDialog != null) {
                            Base64DownHandle.this.downDialog.dismiss();
                        }
                        Base64DownHandle.this.isDowning = false;
                    }
                }
            });
        } catch (IOException | IllegalArgumentException e2) {
            if (base64DownloadCallback != null) {
                base64DownloadCallback.onFail(e2.getMessage());
            }
            Base64DownDialog base64DownDialog = this.downDialog;
            if (base64DownDialog != null) {
                base64DownDialog.dismiss();
            }
            this.isDowning = false;
        }
    }

    public void downloadUrl(String str, final Base64DownloadCallback base64DownloadCallback) {
        try {
            final File file = new File(i.getDefaultFilePath(), this.mod64ApkName);
            if (file.exists()) {
                file.delete();
            }
            File parentFile = file.getParentFile();
            if (parentFile.exists() || parentFile.mkdirs()) {
                file.createNewFile();
            }
            Call newCall = this.client.newCall(new Request.Builder().url(str).header("Connection", "close").header(d.HEADER_ACCEPT_ENCODING, "identity").build());
            this.call = newCall;
            this.isCancel = false;
            newCall.enqueue(new Callback() { // from class: com.joke.chongya.sandbox.utils.Base64DownHandle.1
                @Override // okhttp3.Callback
                public void onFailure(Call call, IOException iOException) {
                    Base64DownloadCallback base64DownloadCallback2 = base64DownloadCallback;
                    if (base64DownloadCallback2 != null) {
                        base64DownloadCallback2.onParse();
                    }
                    Base64DownHandle.this.isDowning = false;
                }

                /* JADX WARN: Removed duplicated region for block: B:74:0x0131 A[Catch: Exception -> 0x012d, TRY_LEAVE, TryCatch #4 {Exception -> 0x012d, blocks: (B:70:0x0129, B:74:0x0131), top: B:93:0x0129 }] */
                /* JADX WARN: Removed duplicated region for block: B:93:0x0129 A[EXC_TOP_SPLITTER, SYNTHETIC] */
                @Override // okhttp3.Callback
                /*
                    Code decompiled incorrectly, please refer to instructions dump.
                */
                public void onResponse(Call call, Response response) throws IOException {
                    Base64DownloadCallback base64DownloadCallback2;
                    Throwable th;
                    FileOutputStream fileOutputStream;
                    long j2;
                    long j3 = 0;
                    if (response.isSuccessful()) {
                        if (response.body() == null) {
                            return;
                        }
                        byte[] bArr = new byte[2048];
                        InputStream inputStream = null;
                        try {
                            try {
                                InputStream byteStream = response.body().byteStream();
                                try {
                                    long contentLength = response.body().contentLength();
                                    Log.e("afaafafadf", "total:" + contentLength);
                                    fileOutputStream = new FileOutputStream(file, true);
                                    while (true) {
                                        try {
                                            int read = byteStream.read(bArr);
                                            if (read == -1) {
                                                break;
                                            }
                                            fileOutputStream.write(bArr, 0, read);
                                            j3 += read;
                                            Base64DownHandle.this.progress = (int) (((((float) j3) * 1.0f) / ((float) contentLength)) * 100.0f);
                                            Log.e("afaafafadf", "all:" + contentLength);
                                            if (base64DownloadCallback != null) {
                                                j2 = contentLength;
                                                base64DownloadCallback.onProgress(j3, contentLength, Base64DownHandle.this.progress);
                                            } else {
                                                j2 = contentLength;
                                            }
                                            contentLength = j2;
                                        } catch (Exception e2) {
                                            e = e2;
                                            inputStream = byteStream;
                                            try {
                                                e.printStackTrace();
                                                if (base64DownloadCallback != null) {
                                                    if (Base64DownHandle.this.isCancel) {
                                                        base64DownloadCallback.onParse();
                                                    } else {
                                                        base64DownloadCallback.onFail(e.getMessage());
                                                        if (Base64DownHandle.this.downDialog != null) {
                                                            Base64DownHandle.this.downDialog.dismiss();
                                                        }
                                                    }
                                                }
                                                if ((e instanceof SocketException) && fileOutputStream != null) {
                                                    try {
                                                        fileOutputStream.flush();
                                                    } catch (IOException e3) {
                                                        e3.printStackTrace();
                                                    }
                                                }
                                                Base64DownHandle.this.isDowning = false;
                                                if (inputStream != null) {
                                                    inputStream.close();
                                                }
                                                if (fileOutputStream != null) {
                                                    fileOutputStream.close();
                                                    return;
                                                }
                                                return;
                                            } catch (Throwable th2) {
                                                th = th2;
                                                if (inputStream != null) {
                                                    try {
                                                        inputStream.close();
                                                    } catch (Exception e4) {
                                                        e4.printStackTrace();
                                                        throw th;
                                                    }
                                                }
                                                if (fileOutputStream != null) {
                                                    fileOutputStream.close();
                                                }
                                                throw th;
                                            }
                                        } catch (Throwable th3) {
                                            th = th3;
                                            inputStream = byteStream;
                                            if (inputStream != null) {
                                            }
                                            if (fileOutputStream != null) {
                                            }
                                            throw th;
                                        }
                                    }
                                    fileOutputStream.flush();
                                    if (base64DownloadCallback != null) {
                                        base64DownloadCallback.onComplete(file);
                                    }
                                    if (Base64DownHandle.this.downDialog != null) {
                                        Base64DownHandle.this.downDialog.dismiss();
                                    }
                                    Base64DownHandle.this.isDowning = false;
                                    if (byteStream != null) {
                                        byteStream.close();
                                    }
                                    fileOutputStream.close();
                                } catch (Exception e5) {
                                    e = e5;
                                    fileOutputStream = null;
                                } catch (Throwable th4) {
                                    th = th4;
                                    fileOutputStream = null;
                                }
                            } catch (Exception e6) {
                                e6.printStackTrace();
                            }
                        } catch (Exception e7) {
                            e = e7;
                            fileOutputStream = null;
                        } catch (Throwable th5) {
                            th = th5;
                            fileOutputStream = null;
                        }
                    } else if (response.code() != 416 || !file.exists() || file.length() <= 0 || (base64DownloadCallback2 = base64DownloadCallback) == null) {
                    } else {
                        base64DownloadCallback2.onComplete(file);
                        if (Base64DownHandle.this.downDialog != null) {
                            Base64DownHandle.this.downDialog.dismiss();
                        }
                        Base64DownHandle.this.isDowning = false;
                    }
                }
            });
        } catch (IOException | IllegalArgumentException e2) {
            if (base64DownloadCallback != null) {
                base64DownloadCallback.onFail(e2.getMessage());
            }
            Base64DownDialog base64DownDialog = this.downDialog;
            if (base64DownDialog != null) {
                base64DownDialog.dismiss();
            }
            this.isDowning = false;
        }
    }

    public Base64DownDialog getNewDialog(Context context) {
        return getNewDialog(context, false, false);
    }

    public int getProgress() {
        return this.progress;
    }

    public boolean isCancel() {
        return this.isCancel;
    }

    public boolean isDowning() {
        return this.isDowning;
    }

    public void setDownloadCallback(String str, Base64DownloadCallback base64DownloadCallback) {
        this.mUrl = str;
        this.mCallback = base64DownloadCallback;
    }

    public Base64DownDialog getNewDialog(final Context context, boolean z, final boolean z2) {
        Base64DownDialog base64DownDialog = this.downDialog;
        if (base64DownDialog != null && base64DownDialog.isShowing()) {
            this.downDialog.dismiss();
        }
        Base64DownDialog createNewDialog = Base64DownDialog.Companion.createNewDialog(context, z);
        this.downDialog = createNewDialog;
        createNewDialog.getBase64Down().setOnClickListener(new View.OnClickListener() { // from class: e.g.a.j.d.d
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                Base64DownHandle.this.a(view);
            }
        });
        this.downDialog.setCloseListener(new View.OnClickListener() { // from class: e.g.a.j.d.c
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                Base64DownHandle.this.a(context, z2, view);
            }
        });
        return this.downDialog;
    }

    public /* synthetic */ void a(Context context, boolean z, View view) {
        this.downDialog.dismiss();
        if (this.isDowning) {
            q.show(context, "已为您在后台继续下载中");
        }
        if (z && (context instanceof Activity)) {
            ((Activity) context).finish();
        }
    }
}
