package com.joke.chongya.sandbox.utils;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.text.TextUtils;
import android.util.Log;
import com.kwad.sdk.core.imageloader.utils.MemoryCacheUtils;
import e.i.c.h.d.b;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public final class RomUtil {
    public static final String TAG = "RomUtil";

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public interface RomConstant {
        public static final String HUAWEI = "HUAWEI";
        public static final String MEIZU = "flyme";
        public static final String OPPO = "OPPO";
        public static final String QIKU = "QiKU";
        public static final String VIVO = "vivo";
    }

    public static double getEmuiVersion() {
        try {
            String systemProperty = getSystemProperty("ro.build.version.emui");
            return Double.parseDouble(systemProperty.substring(systemProperty.indexOf(MemoryCacheUtils.URI_AND_SIZE_SEPARATOR) + 1));
        } catch (Exception e2) {
            e2.printStackTrace();
            return 4.0d;
        }
    }

    public static int getMiuiVersion() {
        String systemProperty = getSystemProperty("ro.miui.ui.version.name");
        if (systemProperty != null) {
            try {
                return Integer.parseInt(systemProperty.substring(1));
            } catch (Exception unused) {
                Log.e(TAG, "getInstance miui version code clear, version : " + systemProperty);
                return -1;
            }
        }
        return -1;
    }

    /* JADX WARN: Not initialized variable reg: 4, insn: 0x0064: MOVE  (r2 I:??[OBJECT, ARRAY]) = (r4 I:??[OBJECT, ARRAY]), block:B:24:0x0064 */
    /* JADX WARN: Removed duplicated region for block: B:38:0x0067 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static String getSystemProperty(String str) {
        BufferedReader bufferedReader;
        BufferedReader bufferedReader2;
        BufferedReader bufferedReader3 = null;
        try {
            try {
                bufferedReader = new BufferedReader(new InputStreamReader(Runtime.getRuntime().exec("getprop " + str).getInputStream()), 1024);
                try {
                    String readLine = bufferedReader.readLine();
                    bufferedReader.close();
                    try {
                        bufferedReader.close();
                    } catch (IOException e2) {
                        Log.e(TAG, "Exception while closing InputStream", e2);
                    }
                    return readLine;
                } catch (IOException e3) {
                    e = e3;
                    Log.e(TAG, "Unable to read sysprop " + str, e);
                    if (bufferedReader != null) {
                        try {
                            bufferedReader.close();
                        } catch (IOException e4) {
                            Log.e(TAG, "Exception while closing InputStream", e4);
                        }
                    }
                    return null;
                }
            } catch (Throwable th) {
                th = th;
                bufferedReader3 = bufferedReader2;
                if (bufferedReader3 != null) {
                    try {
                        bufferedReader3.close();
                    } catch (IOException e5) {
                        Log.e(TAG, "Exception while closing InputStream", e5);
                    }
                }
                throw th;
            }
        } catch (IOException e6) {
            e = e6;
            bufferedReader = null;
        } catch (Throwable th2) {
            th = th2;
            if (bufferedReader3 != null) {
            }
            throw th;
        }
    }

    public static boolean isAppInstalled(Context context, String str) {
        PackageInfo packageInfo;
        try {
            packageInfo = context.getPackageManager().getPackageInfo(str, 0);
        } catch (PackageManager.NameNotFoundException unused) {
            packageInfo = null;
        }
        return packageInfo != null;
    }

    public static boolean isHuaweiRom() {
        return Build.MANUFACTURER.contains(RomConstant.HUAWEI);
    }

    public static boolean isMeizuRom() {
        String systemProperty = getSystemProperty(b.KEY_DISPLAY);
        if (TextUtils.isEmpty(systemProperty)) {
            return false;
        }
        return systemProperty.contains(RomConstant.MEIZU) || systemProperty.toLowerCase().contains(RomConstant.MEIZU);
    }

    public static boolean isMiuiRom() {
        return !TextUtils.isEmpty(getSystemProperty("ro.miui.ui.version.name"));
    }

    public static boolean isOppoRom() {
        return Build.MANUFACTURER.contains(RomConstant.OPPO);
    }

    public static boolean isQikuRom() {
        return Build.MANUFACTURER.contains(RomConstant.QIKU);
    }

    public static boolean isVivoRom() {
        return Build.MANUFACTURER.contains(RomConstant.VIVO);
    }
}
