package com.kingja.loadsir.callback;

import android.content.Context;
import android.text.TextUtils;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.TextView;
import androidx.annotation.StyleRes;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class ProgressCallback extends Callback {
    public String subTitle;
    public int subTitleStyleRes;
    public String title;
    public int titleStyleRes;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class Builder {
        public boolean aboveable;
        public String subTitle;
        public String title;
        public int subTitleStyleRes = -1;
        public int titleStyleRes = -1;

        public ProgressCallback build() {
            return new ProgressCallback(this);
        }

        public Builder setAboveSuccess(boolean z) {
            this.aboveable = z;
            return this;
        }

        public Builder setSubTitle(String str) {
            return setSubTitle(str, -1);
        }

        public Builder setTitle(String str) {
            return setTitle(str, -1);
        }

        public Builder setSubTitle(String str, @StyleRes int i2) {
            this.subTitle = str;
            this.subTitleStyleRes = i2;
            return this;
        }

        public Builder setTitle(String str, @StyleRes int i2) {
            this.title = str;
            this.titleStyleRes = i2;
            return this;
        }
    }

    @Override // com.kingja.loadsir.callback.Callback
    public View onBuildView(Context context) {
        return new LinearLayout(context);
    }

    @Override // com.kingja.loadsir.callback.Callback
    public int onCreateView() {
        return 0;
    }

    @Override // com.kingja.loadsir.callback.Callback
    public void onViewCreate(Context context, View view) {
        LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, -2);
        layoutParams.gravity = 17;
        LinearLayout linearLayout = (LinearLayout) view;
        linearLayout.setOrientation(1);
        linearLayout.setGravity(17);
        linearLayout.addView(new ProgressBar(context), layoutParams);
        if (!TextUtils.isEmpty(this.title)) {
            TextView textView = new TextView(context);
            textView.setText(this.title);
            int i2 = this.titleStyleRes;
            if (i2 == -1) {
                textView.setTextAppearance(context, 16973890);
            } else {
                textView.setTextAppearance(context, i2);
            }
            linearLayout.addView(textView, layoutParams);
        }
        if (TextUtils.isEmpty(this.subTitle)) {
            return;
        }
        TextView textView2 = new TextView(context);
        textView2.setText(this.subTitle);
        int i3 = this.subTitleStyleRes;
        if (i3 == -1) {
            textView2.setTextAppearance(context, 16973892);
        } else {
            textView2.setTextAppearance(context, i3);
        }
        linearLayout.addView(textView2, layoutParams);
    }

    public ProgressCallback(Builder builder) {
        this.subTitleStyleRes = -1;
        this.titleStyleRes = -1;
        this.title = builder.title;
        this.subTitle = builder.subTitle;
        this.subTitleStyleRes = builder.subTitleStyleRes;
        this.titleStyleRes = builder.titleStyleRes;
        setSuccessVisible(builder.aboveable);
    }
}
