package com.kingja.loadsir.core;

import androidx.annotation.NonNull;
import com.kingja.loadsir.LoadSirUtil;
import com.kingja.loadsir.callback.Callback;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class LoadSir {
    public static volatile LoadSir loadSir;
    public Builder builder;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class Builder {
        public List<Callback> callbacks = new ArrayList();
        public Class<? extends Callback> defaultCallback;

        public Builder addCallback(@NonNull Callback callback) {
            this.callbacks.add(callback);
            return this;
        }

        public LoadSir build() {
            return new LoadSir(this);
        }

        public void commit() {
            LoadSir.getDefault().setBuilder(this);
        }

        public List<Callback> getCallbacks() {
            return this.callbacks;
        }

        public Class<? extends Callback> getDefaultCallback() {
            return this.defaultCallback;
        }

        public Builder setDefaultCallback(@NonNull Class<? extends Callback> cls) {
            this.defaultCallback = cls;
            return this;
        }
    }

    public static Builder beginBuilder() {
        return new Builder();
    }

    public static LoadSir getDefault() {
        if (loadSir == null) {
            synchronized (LoadSir.class) {
                if (loadSir == null) {
                    loadSir = new LoadSir();
                }
            }
        }
        return loadSir;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void setBuilder(@NonNull Builder builder) {
        this.builder = builder;
    }

    public LoadService register(@NonNull Object obj) {
        return register(obj, null, null);
    }

    public LoadSir() {
        this.builder = new Builder();
    }

    public LoadService register(Object obj, Callback.OnReloadListener onReloadListener) {
        return register(obj, onReloadListener, null);
    }

    public <T> LoadService register(Object obj, Callback.OnReloadListener onReloadListener, Convertor<T> convertor) {
        return new LoadService(convertor, LoadSirUtil.getTargetContext(obj), onReloadListener, this.builder);
    }

    public LoadSir(Builder builder) {
        this.builder = builder;
    }
}
