package com.kwad.components.ad.draw.view.playend;

import android.content.Context;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.kwad.components.ad.draw.view.DrawDownloadProgressBar;
import com.kwad.components.ad.widget.AppScoreView;
import com.kwad.components.core.e.d.a;
import com.kwad.components.core.e.d.c;
import com.kwad.components.core.widget.KsLogoView;
import com.kwad.sdk.R;
import com.kwad.sdk.api.KsAppDownloadListener;
import com.kwad.sdk.api.KsDrawAd;
import com.kwad.sdk.core.download.a.a;
import com.kwad.sdk.core.imageloader.KSImageLoader;
import com.kwad.sdk.core.response.b.d;
import com.kwad.sdk.core.response.model.AdInfo;
import com.kwad.sdk.core.response.model.AdTemplate;
import com.kwad.sdk.core.view.AdBaseFrameLayout;
import com.kwad.sdk.m.l;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class DrawVideoTailFrame extends FrameLayout implements View.OnClickListener {
    public KsDrawAd.AdInteractionListener bD;
    @Nullable
    public KsAppDownloadListener cn;
    public ViewGroup dA;
    public TextView dB;
    public TextView dC;
    public AdBaseFrameLayout dr;
    public ImageView ds;
    public ViewGroup dt;
    public ImageView du;
    public TextView dv;
    public AppScoreView dw;
    public TextView dx;
    public TextView dy;
    public DrawDownloadProgressBar dz;
    public AdInfo mAdInfo;
    public AdTemplate mAdTemplate;
    @Nullable
    public c mApkDownloadHelper;
    public KsLogoView mLogoView;

    public DrawVideoTailFrame(@NonNull Context context) {
        super(context);
        D(context);
    }

    public DrawVideoTailFrame(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        D(context);
    }

    public DrawVideoTailFrame(@NonNull Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        D(context);
    }

    private void D(Context context) {
        l.inflate(context, R.layout.ksad_draw_video_tailframe, this);
        this.ds = (ImageView) findViewById(R.id.ksad_video_cover);
        this.dt = (ViewGroup) findViewById(R.id.ksad_app_container);
        this.du = (ImageView) findViewById(R.id.ksad_app_icon);
        this.dv = (TextView) findViewById(R.id.ksad_app_name);
        this.dw = (AppScoreView) findViewById(R.id.ksad_app_score);
        this.dx = (TextView) findViewById(R.id.ksad_app_download_count);
        this.dy = (TextView) findViewById(R.id.ksad_app_ad_desc);
        DrawDownloadProgressBar drawDownloadProgressBar = (DrawDownloadProgressBar) findViewById(R.id.ksad_app_download_btn);
        this.dz = drawDownloadProgressBar;
        drawDownloadProgressBar.setTextSize(15);
        this.dA = (ViewGroup) findViewById(R.id.ksad_h5_container);
        this.dB = (TextView) findViewById(R.id.ksad_h5_ad_desc);
        this.dC = (TextView) findViewById(R.id.ksad_h5_open_btn);
        this.mLogoView = (KsLogoView) findViewById(R.id.ksad_draw_tailframe_logo);
    }

    private KsAppDownloadListener getAppDownloadListener() {
        return new a() { // from class: com.kwad.components.ad.draw.view.playend.DrawVideoTailFrame.1
            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public final void onDownloadFailed() {
                DrawVideoTailFrame.this.dz.e(com.kwad.sdk.core.response.b.a.aw(DrawVideoTailFrame.this.mAdInfo), DrawVideoTailFrame.this.dz.getMax());
            }

            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public final void onDownloadFinished() {
                DrawVideoTailFrame.this.dz.e(com.kwad.sdk.core.response.b.a.aM(DrawVideoTailFrame.this.mAdTemplate), DrawVideoTailFrame.this.dz.getMax());
            }

            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public final void onIdle() {
                DrawVideoTailFrame.this.dz.e(com.kwad.sdk.core.response.b.a.aw(DrawVideoTailFrame.this.mAdInfo), DrawVideoTailFrame.this.dz.getMax());
            }

            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public final void onInstalled() {
                DrawVideoTailFrame.this.dz.e(com.kwad.sdk.core.response.b.a.U(DrawVideoTailFrame.this.mAdInfo), DrawVideoTailFrame.this.dz.getMax());
            }

            @Override // com.kwad.sdk.core.download.a.a
            public final void onPaused(int i2) {
                super.onPaused(i2);
                DrawVideoTailFrame.this.dz.e(com.kwad.sdk.core.response.b.a.Cz(), i2);
            }

            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public final void onProgressUpdate(int i2) {
                DrawDownloadProgressBar drawDownloadProgressBar = DrawVideoTailFrame.this.dz;
                drawDownloadProgressBar.e(i2 + "%", i2);
            }
        };
    }

    public final void aP() {
        c cVar = this.mApkDownloadHelper;
        if (cVar != null) {
            KsAppDownloadListener ksAppDownloadListener = this.cn;
            if (ksAppDownloadListener != null) {
                cVar.d(ksAppDownloadListener);
                return;
            }
            KsAppDownloadListener appDownloadListener = getAppDownloadListener();
            this.cn = appDownloadListener;
            this.mApkDownloadHelper.b(appDownloadListener);
        }
    }

    public final void b(AdTemplate adTemplate) {
        this.mAdTemplate = adTemplate;
        AdInfo cg = d.cg(adTemplate);
        this.mAdInfo = cg;
        AdInfo.AdMaterialInfo.MaterialFeature aN = com.kwad.sdk.core.response.b.a.aN(cg);
        String str = aN.coverUrl;
        this.mLogoView.aa(adTemplate);
        if (!TextUtils.isEmpty(str)) {
            int i2 = aN.width;
            int i3 = aN.height;
            if (i2 > 0 && i2 > i3) {
                int screenWidth = com.kwad.sdk.d.a.a.getScreenWidth(getContext());
                if (getWidth() != 0) {
                    screenWidth = getWidth();
                }
                ViewGroup.LayoutParams layoutParams = this.ds.getLayoutParams();
                layoutParams.width = screenWidth;
                layoutParams.height = (int) (screenWidth * (i3 / i2));
            }
            KSImageLoader.loadImage(this.ds, str, this.mAdTemplate);
        }
        if (com.kwad.sdk.core.response.b.a.ax(this.mAdInfo)) {
            KSImageLoader.loadAppIcon(this.du, com.kwad.sdk.core.response.b.a.bQ(this.mAdInfo), this.mAdTemplate, 11);
            this.dv.setText(com.kwad.sdk.core.response.b.a.ao(this.mAdInfo));
            float as = com.kwad.sdk.core.response.b.a.as(this.mAdInfo);
            if (as >= 3.0f) {
                this.dw.setScore(as);
                this.dw.setVisibility(0);
            }
            this.dx.setText(com.kwad.sdk.core.response.b.a.ar(this.mAdInfo));
            this.dy.setText(com.kwad.sdk.core.response.b.a.an(this.mAdInfo));
            this.dt.setVisibility(0);
            this.dA.setVisibility(8);
        } else {
            this.dB.setText(com.kwad.sdk.core.response.b.a.an(this.mAdInfo));
            this.dC.setText(com.kwad.sdk.core.response.b.a.aw(this.mAdInfo));
            this.dt.setVisibility(8);
            this.dA.setVisibility(0);
        }
        this.dz.setOnClickListener(this);
        setOnClickListener(this);
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View view) {
        com.kwad.components.core.e.d.a.a(new a.C0109a(getContext()).P(this.mAdTemplate).b(this.mApkDownloadHelper).ao(view == this.dz ? 1 : 2).am(view == this.dz).a(new a.b() { // from class: com.kwad.components.ad.draw.view.playend.DrawVideoTailFrame.2
            @Override // com.kwad.components.core.e.d.a.b
            public final void onAdClicked() {
                if (DrawVideoTailFrame.this.bD != null) {
                    DrawVideoTailFrame.this.bD.onAdClicked();
                }
                com.kwad.sdk.core.report.a.a(DrawVideoTailFrame.this.mAdTemplate, 2, DrawVideoTailFrame.this.dr.getTouchCoords());
            }
        }));
    }

    public final void release() {
        KsAppDownloadListener ksAppDownloadListener;
        c cVar = this.mApkDownloadHelper;
        if (cVar == null || (ksAppDownloadListener = this.cn) == null) {
            return;
        }
        cVar.c(ksAppDownloadListener);
    }

    public void setAdBaseFrameLayout(AdBaseFrameLayout adBaseFrameLayout) {
        this.dr = adBaseFrameLayout;
    }

    public void setAdInteractionListener(KsDrawAd.AdInteractionListener adInteractionListener) {
        this.bD = adInteractionListener;
    }

    public void setApkDownloadHelper(@Nullable c cVar) {
        this.mApkDownloadHelper = cVar;
    }
}
