package com.kwad.components.ad.interstitial.aggregate;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.content.Context;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AlphaAnimation;
import android.view.animation.AnimationSet;
import android.view.animation.TranslateAnimation;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.viewpager.widget.ViewPager;
import com.kwad.components.ad.interstitial.aggregate.ViewPagerIndicator;
import com.kwad.components.ad.interstitial.aggregate.a;
import com.kwad.components.ad.interstitial.aggregate.c;
import com.kwad.sdk.R;
import com.kwad.sdk.api.KsAdVideoPlayConfig;
import com.kwad.sdk.api.KsInterstitialAd;
import com.kwad.sdk.core.response.model.AdInfo;
import com.kwad.sdk.core.response.model.AdTemplate;
import com.kwad.sdk.m.l;
import com.kwad.sdk.utils.ai;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public final class b extends com.kwad.components.ad.interstitial.f.a {
    public com.kwad.components.core.widget.a.b bG;
    public final com.kwad.sdk.core.h.c cV;
    public boolean hH;
    public TransViewPager hL;
    public a hM;
    public ViewPagerIndicator hN;
    public SlideTipsView hO;
    public SlideTipsView hP;
    public ValueAnimator hQ;
    public boolean hR;
    public InterstitialAggregateManualTipsView hS;
    public boolean hT;
    public boolean hU;
    public final ViewPager.OnPageChangeListener hV;
    public KsInterstitialAd.AdInteractionListener hz;
    public AdInfo mAdInfo;
    @NonNull
    public AdTemplate mAdTemplate;
    public final List<AdTemplate> mAdTemplateList;
    public final View mRootView;

    public b(@NonNull Context context) {
        this(context, null);
    }

    public b(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, null);
        this.mAdTemplateList = new ArrayList();
        this.cV = new com.kwad.sdk.core.h.d() { // from class: com.kwad.components.ad.interstitial.aggregate.b.2
            @Override // com.kwad.sdk.core.h.d, com.kwad.sdk.core.h.c
            public final void aK() {
                super.aK();
                if (Build.VERSION.SDK_INT >= 19 && b.this.hR) {
                    if (b.this.hN != null) {
                        b.this.hN.cz();
                    }
                    if (b.this.hQ != null) {
                        b.this.hQ.resume();
                    }
                    b.this.hR = false;
                }
            }

            @Override // com.kwad.sdk.core.h.d, com.kwad.sdk.core.h.c
            public final void aL() {
                super.aL();
                if (Build.VERSION.SDK_INT >= 19 && !b.this.hR) {
                    if (b.this.hN != null) {
                        b.this.hN.cy();
                    }
                    if (b.this.hQ != null) {
                        b.this.hQ.pause();
                    }
                    b.this.hR = true;
                }
            }
        };
        this.hV = new ViewPager.SimpleOnPageChangeListener() { // from class: com.kwad.components.ad.interstitial.aggregate.b.3
            public int hX = 0;

            @Override // androidx.viewpager.widget.ViewPager.SimpleOnPageChangeListener, androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public final void onPageScrolled(int i2, float f2, int i3) {
                if (f2 != 0.0f) {
                    if (b.this.hO.getVisibility() == 0) {
                        b.this.hO.clearAnimation();
                        b.this.hO.setVisibility(8);
                    }
                    if (b.this.hP.getVisibility() == 0) {
                        b.this.hP.clearAnimation();
                        b.this.hP.setVisibility(8);
                    }
                }
            }

            @Override // androidx.viewpager.widget.ViewPager.SimpleOnPageChangeListener, androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public final void onPageSelected(int i2) {
                com.kwad.components.ad.interstitial.f.c x = b.this.hL.x(i2);
                if (x != null) {
                    x.es();
                }
                if (this.hX != i2) {
                    com.kwad.sdk.core.report.a.a((AdTemplate) b.this.mAdTemplateList.get(this.hX), -1L, (JSONObject) null);
                    com.kwad.components.ad.interstitial.f.c x2 = b.this.hL.x(this.hX);
                    if (x2 != null) {
                        x2.et();
                    }
                }
                this.hX = i2;
            }
        };
        this.mContext = context;
        this.mRootView = l.inflate(context, R.layout.ksad_interstitial_multi_ad, this);
        initView();
    }

    public static AnimationSet b(float f2, float f3) {
        TranslateAnimation translateAnimation = new TranslateAnimation(1, f2, 1, f3, 1, 0.0f, 1, 0.0f);
        AlphaAnimation alphaAnimation = new AlphaAnimation(0.0f, 0.8f);
        AnimationSet animationSet = new AnimationSet(true);
        animationSet.addAnimation(translateAnimation);
        animationSet.addAnimation(alphaAnimation);
        animationSet.setDuration(800L);
        animationSet.setFillAfter(true);
        return animationSet;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void cm() {
        if (this.mAdTemplate.mAdScene != null) {
            c.ct().a(16, com.kwad.components.ad.interstitial.a.b.cF(), this.mAdTemplate.mAdScene, new c.b() { // from class: com.kwad.components.ad.interstitial.aggregate.b.6
                @Override // com.kwad.components.ad.interstitial.aggregate.c.b
                public final void onInterstitialAdLoad(@Nullable List<AdTemplate> list) {
                    if (list == null || list.size() <= 0) {
                        return;
                    }
                    b.this.mAdTemplateList.addAll(list);
                    b.this.hM.setAdTemplateList(b.this.mAdTemplateList);
                    b.this.hM.notifyDataSetChanged();
                    b.this.hL.setOffscreenPageLimit(b.this.mAdTemplateList.size() - 1);
                    b.this.hL.addOnPageChangeListener(b.this.hV);
                    b.this.cp();
                    b.this.hN.setViewPager(b.this.hL);
                    b.this.hN.setVisibility(0);
                    b.this.bG.a(b.this.cV);
                    com.kwad.components.ad.interstitial.b.a.J(b.this.mContext);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void cp() {
        this.hN.setPlayProgressListener(new ViewPagerIndicator.a() { // from class: com.kwad.components.ad.interstitial.aggregate.b.7
            @Override // com.kwad.components.ad.interstitial.aggregate.ViewPagerIndicator.a
            public final void cs() {
                b.this.hU = true;
                if (b.this.hH) {
                    b.this.cr();
                } else {
                    b.this.cq();
                }
                b.this.hL.setScrollable(true);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void cq() {
        if (this.hT) {
            this.hS.a(this.mAdTemplate, this.hL);
        }
        ValueAnimator ofInt = ValueAnimator.ofInt(0, 120, 0);
        this.hQ = ofInt;
        ofInt.setDuration(1200L);
        this.hQ.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.kwad.components.ad.interstitial.aggregate.b.8
            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
            public final void onAnimationUpdate(ValueAnimator valueAnimator) {
                float f2;
                b.this.hL.scrollTo(com.kwad.sdk.d.a.a.a(b.this.mContext, ((Integer) valueAnimator.getAnimatedValue()).intValue()), 0);
                b.this.hL.onPageScrolled(0, com.kwad.sdk.d.a.a.a(b.this.mContext, f2) / b.this.getWidth(), 0);
            }
        });
        this.hQ.addListener(new AnimatorListenerAdapter() { // from class: com.kwad.components.ad.interstitial.aggregate.b.9
            @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
            public final void onAnimationEnd(Animator animator) {
                if (b.this.hT) {
                    AlphaAnimation alphaAnimation = new AlphaAnimation(0.0f, 1.0f);
                    alphaAnimation.setDuration(200L);
                    alphaAnimation.setFillAfter(true);
                    b.this.hS.startAnimation(alphaAnimation);
                    b.this.hS.setVisibility(0);
                }
                b.this.hO.setVisibility(0);
                b bVar = b.this;
                b.this.hO.startAnimation(b.b(0.5f, 0.1f));
            }
        });
        this.hQ.start();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void cr() {
        ValueAnimator ofInt = ValueAnimator.ofInt(0, getWidth());
        this.hQ = ofInt;
        ofInt.setDuration(800L);
        this.hQ.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.kwad.components.ad.interstitial.aggregate.b.10
            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
            public final void onAnimationUpdate(ValueAnimator valueAnimator) {
                int intValue = ((Integer) valueAnimator.getAnimatedValue()).intValue();
                b.this.hL.scrollTo(intValue, 0);
                b.this.hL.onPageScrolled(0, intValue / b.this.getWidth(), 0);
            }
        });
        this.hQ.addListener(new AnimatorListenerAdapter() { // from class: com.kwad.components.ad.interstitial.aggregate.b.11
            @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
            public final void onAnimationEnd(Animator animator) {
                b.this.hL.setCurrentItem(1);
                b.this.hP.setVisibility(0);
                b bVar = b.this;
                b.this.hP.startAnimation(b.b(-0.5f, -0.1f));
            }
        });
        this.hQ.start();
    }

    private void initView() {
        this.hL = (TransViewPager) this.mRootView.findViewById(R.id.ksad_multi_ad_container);
        this.hN = (ViewPagerIndicator) this.mRootView.findViewById(R.id.ksad_multi_ad_indicator);
        this.hO = (SlideTipsView) this.mRootView.findViewById(R.id.ksad_left_slide);
        this.hP = (SlideTipsView) this.mRootView.findViewById(R.id.ksad_right_slide);
        this.hS = (InterstitialAggregateManualTipsView) this.mRootView.findViewById(R.id.ksad_manual_tips_view);
        this.bG = new com.kwad.components.core.widget.a.b(this.mRootView, 100);
    }

    @Override // com.kwad.components.ad.interstitial.f.a
    public final void a(@NonNull AdTemplate adTemplate, com.kwad.components.ad.interstitial.d dVar, @NonNull KsAdVideoPlayConfig ksAdVideoPlayConfig, KsInterstitialAd.AdInteractionListener adInteractionListener) {
        float f2;
        this.mAdTemplate = adTemplate;
        AdInfo cg = com.kwad.sdk.core.response.b.d.cg(adTemplate);
        this.mAdInfo = cg;
        this.hH = com.kwad.sdk.core.response.b.a.cd(cg) == 1;
        this.mAdTemplateList.clear();
        this.mAdTemplateList.add(this.mAdTemplate);
        this.hz = adInteractionListener;
        a aVar = new a(adTemplate, dVar, ksAdVideoPlayConfig, adInteractionListener);
        this.hM = aVar;
        aVar.a(new a.b() { // from class: com.kwad.components.ad.interstitial.aggregate.b.1
            @Override // com.kwad.components.ad.interstitial.aggregate.a.b
            public final void a(com.kwad.components.ad.interstitial.f.c cVar, int i2) {
                b.this.hL.a(i2, cVar);
            }
        });
        this.hM.a(new a.InterfaceC0065a() { // from class: com.kwad.components.ad.interstitial.aggregate.b.4
            @Override // com.kwad.components.ad.interstitial.aggregate.a.InterfaceC0065a
            public final void cl() {
                if (b.this.hU) {
                    return;
                }
                if (b.this.hQ != null) {
                    b.this.hQ.cancel();
                }
                b.this.hN.setPlayProgressListener(null);
                b.this.hN.setVisibility(8);
                b.this.hL.setScrollable(false);
            }
        });
        this.hL.setAdapter(this.hM);
        this.hM.setAdTemplateList(this.mAdTemplateList);
        this.hM.notifyDataSetChanged();
        this.bG.sy();
        ViewPagerIndicator viewPagerIndicator = this.hN;
        if (viewPagerIndicator == null) {
            return;
        }
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) viewPagerIndicator.getLayoutParams();
        if (marginLayoutParams != null) {
            boolean IN = ai.IN();
            this.hT = IN;
            Context context = this.mContext;
            if (IN) {
                f2 = this.hH ? 12 : 4;
            } else {
                f2 = 6.0f;
            }
            marginLayoutParams.bottomMargin = com.kwad.sdk.d.a.a.a(context, f2);
            this.hN.setLayoutParams(marginLayoutParams);
        }
        this.hN.setFirstAdShowTime(com.kwad.sdk.core.response.b.a.ce(this.mAdInfo));
        post(new Runnable() { // from class: com.kwad.components.ad.interstitial.aggregate.b.5
            @Override // java.lang.Runnable
            public final void run() {
                b.this.cm();
            }
        });
    }

    @Override // com.kwad.components.ad.interstitial.f.a
    public final void cn() {
    }

    @Override // com.kwad.components.ad.interstitial.f.a
    public final void co() {
    }

    @Override // android.view.ViewGroup, android.view.View
    public final void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.bG.b(this.cV);
        this.bG.sz();
        this.mAdTemplateList.clear();
        this.hL.clearOnPageChangeListeners();
        c.ct().release();
    }

    @Override // com.kwad.components.ad.interstitial.f.a
    public final void setAdInteractionListener(KsInterstitialAd.AdInteractionListener adInteractionListener) {
        this.hz = adInteractionListener;
    }
}
