package com.kwad.components.ad.reward.m;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Interpolator;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.TooltipCompatHandler;
import androidx.constraintlayout.motion.widget.Key;
import androidx.core.view.animation.PathInterpolatorCompat;
import com.bytedance.android.live.base.api.push.model.PushUIConfig;
import com.kwad.components.ad.widget.KsPriceView;
import com.kwad.components.core.widget.KSCornerImageView;
import com.kwad.components.core.widget.KsLogoView;
import com.kwad.components.core.widget.KsStyledTextButton;
import com.kwad.sdk.R;
import com.kwad.sdk.core.imageloader.KSImageLoader;
import com.kwad.sdk.core.response.model.AdInfo;
import com.kwad.sdk.core.response.model.AdProductInfo;
import com.kwad.sdk.core.response.model.AdTemplate;
import com.kwad.sdk.core.response.model.CouponInfo;
import com.kwad.sdk.utils.ai;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public final class i extends d implements View.OnClickListener {
    @Nullable
    public TextView gQ;
    @Nullable
    public KSCornerImageView lB;
    @Nullable
    public TextView lC;
    @Nullable
    public KsLogoView mLogoView;
    public com.kwad.components.ad.reward.j qx;
    public ViewGroup sw;
    public ViewGroup yV;
    @Nullable
    public KsPriceView yW;
    @Nullable
    public TextView yX;
    @Nullable
    public KsStyledTextButton yY;
    @Nullable
    public TextView yZ;
    @Nullable
    public TextView za;
    @Nullable
    public View zb;
    @Nullable
    public ImageView zc;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class a {
        public String ln;
        public String ql;
        public String qm;
        public String rO;
        public String rating;
        public String title;
        public String zm;
        @Nullable
        public String zn;
        public String zo;
        public String zp;

        public static a B(AdTemplate adTemplate) {
            CouponInfo firstCouponList;
            AdInfo cg = com.kwad.sdk.core.response.b.d.cg(adTemplate);
            AdProductInfo cy = com.kwad.sdk.core.response.b.a.cy(cg);
            a aVar = new a();
            String name = cy.getName();
            aVar.title = name;
            if (TextUtils.isEmpty(name)) {
                aVar.title = com.kwad.sdk.core.response.b.a.ap(cg);
            }
            aVar.zo = com.kwad.sdk.core.response.b.a.aw(cg);
            aVar.ql = cy.getIcon();
            aVar.qm = com.kwad.sdk.core.response.b.a.an(cg);
            aVar.zm = cy.getPrice();
            aVar.ln = cy.getOriginPrice();
            aVar.zp = cy.getVolume();
            aVar.rating = cy.getRating();
            if (!cy.isCouponListEmpty() && (firstCouponList = cy.getFirstCouponList()) != null) {
                aVar.zn = CouponInfo.jinniuFormatCoupon(firstCouponList);
                aVar.P(firstCouponList.getFormattedJinniuPrefix());
            }
            return aVar;
        }

        private void P(String str) {
            this.rO = str;
        }

        public final String ef() {
            return this.ln;
        }

        public final String getRating() {
            return this.rating;
        }

        public final String getTitle() {
            return this.title;
        }

        public final String gu() {
            return this.ql;
        }

        public final String gv() {
            return this.qm;
        }

        public final String hg() {
            return this.rO;
        }

        public final String ka() {
            return this.zm;
        }

        public final String kb() {
            return this.zn;
        }

        public final String kc() {
            return this.zo;
        }

        public final String kd() {
            return this.zp;
        }
    }

    public i(com.kwad.components.ad.reward.j jVar, ViewGroup viewGroup, KsLogoView ksLogoView) {
        this.qx = jVar;
        this.mLogoView = ksLogoView;
        this.yV = viewGroup;
        initView();
    }

    @Nullable
    public static Animator a(View view, float f2) {
        if (view == null || view.getWidth() <= 0) {
            return null;
        }
        ObjectAnimator duration = ObjectAnimator.ofFloat(view, Key.TRANSLATION_X, view.getResources().getDimension(R.dimen.ksad_jinniu_light_sweep_width) + f2).setDuration(1000L);
        duration.setInterpolator(PathInterpolatorCompat.create(0.42f, 0.0f, 1.0f, 1.0f));
        ObjectAnimator duration2 = ObjectAnimator.ofFloat(view, Key.ALPHA, 1.0f, 1.0f).setDuration(1000L);
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.playSequentially(duration, duration2);
        return animatorSet;
    }

    /* JADX INFO: Access modifiers changed from: private */
    @Nullable
    public Animator a(final View view, View view2, final View view3) {
        final int height = view.getHeight();
        if (height <= 0 || view.getLayoutParams() == null) {
            return null;
        }
        Interpolator create = PathInterpolatorCompat.create(0.51f, 0.0f, 0.67f, 1.0f);
        ValueAnimator duration = ValueAnimator.ofInt(height, view.getResources().getDimensionPixelSize(R.dimen.ksad_reward_jinniu_card_height_full)).setDuration(500L);
        duration.setInterpolator(create);
        view.getContext();
        if (ai.IN() && view3 != null && (view3.getLayoutParams() instanceof ViewGroup.MarginLayoutParams)) {
            final ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view3.getLayoutParams();
            final int i2 = marginLayoutParams.bottomMargin;
            duration.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.kwad.components.ad.reward.m.i.3
                @Override // android.animation.ValueAnimator.AnimatorUpdateListener
                public final void onAnimationUpdate(ValueAnimator valueAnimator) {
                    int intValue = ((Integer) valueAnimator.getAnimatedValue()).intValue();
                    ViewGroup.MarginLayoutParams marginLayoutParams2 = marginLayoutParams;
                    marginLayoutParams2.bottomMargin = i2 + (intValue - height);
                    view3.setLayoutParams(marginLayoutParams2);
                    ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
                    if (layoutParams != null) {
                        layoutParams.height = intValue;
                        view.setLayoutParams(layoutParams);
                    }
                }
            });
        }
        AnimatorSet animatorSet = new AnimatorSet();
        ObjectAnimator duration2 = ObjectAnimator.ofFloat(view2, Key.ALPHA, 0.0f, 0.0f).setDuration(200L);
        Interpolator create2 = PathInterpolatorCompat.create(0.86f, 0.0f, 0.83f, 1.0f);
        ObjectAnimator duration3 = ObjectAnimator.ofFloat(view2, Key.ALPHA, 0.0f, 1.0f).setDuration(300L);
        duration3.setInterpolator(create2);
        animatorSet.playSequentially(duration2, duration3);
        AnimatorSet animatorSet2 = new AnimatorSet();
        animatorSet2.playTogether(duration, animatorSet);
        return animatorSet2;
    }

    private void a(AdTemplate adTemplate, a aVar) {
        TextView textView;
        String rating;
        if (aVar == null) {
            return;
        }
        KSImageLoader.loadAppIcon(this.lB, aVar.gu(), adTemplate, 4);
        TextView textView2 = this.gQ;
        if (textView2 != null) {
            textView2.setText(aVar.getTitle());
        }
        TextView textView3 = this.lC;
        if (textView3 != null) {
            textView3.setText(aVar.gv());
        }
        KsPriceView ksPriceView = this.yW;
        if (ksPriceView != null) {
            int dimensionPixelSize = ksPriceView.getResources().getDimensionPixelSize(R.dimen.ksad_reward_jinniu_end_origin_text_size);
            this.yW.getConfig().ag(dimensionPixelSize).ai(dimensionPixelSize).ah(this.yW.getResources().getColor(R.color.ksad_jinniu_end_origin_color));
            this.yW.d(aVar.ka(), aVar.ef(), true);
        }
        if (this.yX != null) {
            if (!TextUtils.isEmpty(aVar.kd())) {
                textView = this.yX;
                rating = aVar.kd();
            } else if (TextUtils.isEmpty(aVar.getRating())) {
                this.yX.setVisibility(8);
            } else {
                textView = this.yX;
                rating = aVar.getRating();
            }
            textView.setText(rating);
        }
        if (this.yZ != null && !TextUtils.isEmpty(aVar.kb())) {
            this.yZ.setText(aVar.kb());
        }
        if (this.yY != null && !TextUtils.isEmpty(aVar.kc())) {
            this.yY.setText(aVar.kc());
        }
        int i2 = TextUtils.isEmpty(aVar.kb()) ? 8 : 0;
        View view = this.zb;
        if (view != null) {
            view.setVisibility(i2);
        }
        if (this.za == null || TextUtils.isEmpty(aVar.hg())) {
            return;
        }
        this.za.setText(aVar.hg());
    }

    private void initView() {
        this.sw = (ViewGroup) this.yV.findViewById(R.id.ksad_reward_jinniu_root);
        this.lB = (KSCornerImageView) this.yV.findViewById(R.id.ksad_reward_jinniu_icon);
        this.gQ = (TextView) this.yV.findViewById(R.id.ksad_reward_jinniu_title);
        this.lC = (TextView) this.yV.findViewById(R.id.ksad_reward_jinniu_desc);
        this.yW = (KsPriceView) this.yV.findViewById(R.id.ksad_reward_jinniu_price);
        this.yX = (TextView) this.yV.findViewById(R.id.ksad_reward_jinniu_right_label);
        this.yY = (KsStyledTextButton) this.yV.findViewById(R.id.ksad_reward_jinniu_btn_buy);
        this.zc = (ImageView) this.yV.findViewById(R.id.ksad_reward_jinniu_light_sweep);
        this.zb = this.yV.findViewById(R.id.ksad_reward_jinniu_coupon_layout);
        this.yZ = (TextView) this.yV.findViewById(R.id.ksad_reward_jinniu_coupon);
        this.za = (TextView) this.yV.findViewById(R.id.ksad_reward_jinniu_coupon_prefix);
        this.sw.setOnClickListener(this);
        KsStyledTextButton ksStyledTextButton = this.yY;
        if (ksStyledTextButton != null) {
            ksStyledTextButton.setOnClickListener(this);
        }
        Context context = this.sw.getContext();
        if (ai.IN()) {
            return;
        }
        ViewGroup.LayoutParams layoutParams = this.sw.getLayoutParams();
        if (layoutParams instanceof FrameLayout.LayoutParams) {
            FrameLayout.LayoutParams layoutParams2 = (FrameLayout.LayoutParams) layoutParams;
            layoutParams2.width = context.getResources().getDimensionPixelSize(R.dimen.ksad_reward_follow_card_width_horizontal);
            this.sw.setLayoutParams(layoutParams2);
        }
    }

    @Override // com.kwad.components.ad.reward.m.d
    public final void a(r rVar) {
        super.a(rVar);
        if (rVar == null) {
            return;
        }
        a(rVar.getAdTemplate(), a.B(rVar.getAdTemplate()));
        ViewGroup viewGroup = this.sw;
        if (viewGroup != null) {
            viewGroup.postDelayed(new Runnable() { // from class: com.kwad.components.ad.reward.m.i.1
                @Override // java.lang.Runnable
                public final void run() {
                    i iVar = i.this;
                    Animator a2 = iVar.a(iVar.sw, i.this.yY, i.this.mLogoView);
                    if (a2 != null) {
                        a2.start();
                    }
                }
            }, TooltipCompatHandler.HOVER_HIDE_TIMEOUT_SHORT_MS);
            this.sw.postDelayed(new Runnable() { // from class: com.kwad.components.ad.reward.m.i.2
                @Override // java.lang.Runnable
                public final void run() {
                    if (i.this.yY == null || i.this.yY.getWidth() == 0) {
                        return;
                    }
                    final Animator a2 = i.a(i.this.zc, i.this.yY.getWidth());
                    if (a2 != null) {
                        a2.addListener(new AnimatorListenerAdapter() { // from class: com.kwad.components.ad.reward.m.i.2.1
                            public int ze = 1;

                            @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                            public final void onAnimationEnd(Animator animator) {
                                super.onAnimationEnd(animator);
                                if (this.ze >= 3) {
                                    return;
                                }
                                a2.start();
                                this.ze++;
                            }
                        });
                        a2.start();
                    }
                }
            }, PushUIConfig.dismissTime);
        }
    }

    @Override // com.kwad.components.ad.reward.m.d
    public final ViewGroup gQ() {
        return this.sw;
    }

    @Override // android.view.View.OnClickListener
    public final void onClick(View view) {
        if (view.equals(this.sw)) {
            this.qx.a(1, view.getContext(), 118, 2);
        } else if (view.equals(this.yY)) {
            this.qx.a(1, view.getContext(), 1, 1);
        }
    }
}
