package com.kwad.components.ad.reward.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.LinearGradient;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.util.AttributeSet;
import android.view.View;
import android.widget.LinearLayout;
import androidx.annotation.ColorInt;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import com.kwad.sdk.R;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class JinniuCouponLayout extends LinearLayout {
    public float Ap;
    public Rect Aq;
    public RectF Ar;
    public RectF As;
    public RectF At;
    public RectF Au;
    public Path Av;
    @ColorInt
    public int endColor;
    public Paint mPaint;
    public float mRadius;
    @ColorInt
    public int startColor;

    public JinniuCouponLayout(Context context) {
        super(context);
        this.mPaint = new Paint();
        this.Ap = 4.0f;
        this.mRadius = 10.0f;
        this.Aq = new Rect();
        this.Ar = new RectF();
        this.As = new RectF();
        this.At = new RectF();
        this.Au = new RectF();
        this.Av = new Path();
        this.startColor = Color.parseColor("#FFFE3666");
        this.endColor = Color.parseColor("#FFFD7200");
        a(context, null, 0);
    }

    public JinniuCouponLayout(Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        this.mPaint = new Paint();
        this.Ap = 4.0f;
        this.mRadius = 10.0f;
        this.Aq = new Rect();
        this.Ar = new RectF();
        this.As = new RectF();
        this.At = new RectF();
        this.Au = new RectF();
        this.Av = new Path();
        this.startColor = Color.parseColor("#FFFE3666");
        this.endColor = Color.parseColor("#FFFD7200");
        a(context, attributeSet, 0);
    }

    public JinniuCouponLayout(Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.mPaint = new Paint();
        this.Ap = 4.0f;
        this.mRadius = 10.0f;
        this.Aq = new Rect();
        this.Ar = new RectF();
        this.As = new RectF();
        this.At = new RectF();
        this.Au = new RectF();
        this.Av = new Path();
        this.startColor = Color.parseColor("#FFFE3666");
        this.endColor = Color.parseColor("#FFFD7200");
        a(context, attributeSet, i2);
    }

    @RequiresApi(api = 21)
    public JinniuCouponLayout(Context context, AttributeSet attributeSet, int i2, int i3) {
        super(context, attributeSet, i2, i3);
        this.mPaint = new Paint();
        this.Ap = 4.0f;
        this.mRadius = 10.0f;
        this.Aq = new Rect();
        this.Ar = new RectF();
        this.As = new RectF();
        this.At = new RectF();
        this.Au = new RectF();
        this.Av = new Path();
        this.startColor = Color.parseColor("#FFFE3666");
        this.endColor = Color.parseColor("#FFFD7200");
        a(context, attributeSet, i2);
    }

    private void a(Context context, @Nullable AttributeSet attributeSet, int i2) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ksad_JinniuCouponLayout, i2, 0);
        this.mRadius = obtainStyledAttributes.getDimension(R.styleable.ksad_JinniuCouponLayout_ksad_outerRadius, 4.0f);
        this.Ap = obtainStyledAttributes.getDimension(R.styleable.ksad_JinniuCouponLayout_ksad_verticalRadius, 10.0f);
        obtainStyledAttributes.recycle();
        this.mPaint.setAntiAlias(true);
    }

    private void a(Path path, RectF rectF, RectF rectF2, RectF rectF3) {
        path.reset();
        RectF rectF4 = this.Ar;
        path.moveTo(rectF4.left, rectF4.top + this.mRadius);
        this.Au.set(rectF);
        RectF rectF5 = this.Au;
        float f2 = rectF5.top;
        float f3 = this.mRadius;
        rectF5.bottom = f2 + (f3 * 2.0f);
        rectF5.right = rectF5.left + (f3 * 2.0f);
        path.arcTo(rectF5, 180.0f, 90.0f);
        path.lineTo(rectF2.left, rectF2.top);
        path.arcTo(rectF2, -180.0f, -180.0f);
        path.lineTo(rectF.width() - this.mRadius, rectF.top);
        this.Au.set(rectF);
        RectF rectF6 = this.Au;
        float f4 = rectF6.right;
        float f5 = this.mRadius;
        rectF6.left = f4 - (f5 * 2.0f);
        rectF6.bottom = rectF6.top + (f5 * 2.0f);
        path.arcTo(rectF6, 270.0f, 90.0f);
        this.Au.set(rectF);
        RectF rectF7 = this.Au;
        float f6 = rectF7.right;
        float f7 = this.mRadius;
        rectF7.left = f6 - (f7 * 2.0f);
        rectF7.top = rectF7.bottom - (f7 * 2.0f);
        path.arcTo(rectF7, 0.0f, 90.0f);
        path.lineTo(rectF3.right, rectF3.bottom);
        path.arcTo(rectF3, 0.0f, -180.0f);
        path.lineTo(rectF.left + this.mRadius, rectF.bottom);
        this.Au.set(rectF);
        RectF rectF8 = this.Au;
        float f8 = rectF8.left;
        float f9 = this.mRadius;
        rectF8.right = f8 + (f9 * 2.0f);
        rectF8.top = rectF8.bottom - (f9 * 2.0f);
        path.arcTo(rectF8, 90.0f, 90.0f);
    }

    private void setGradientPaint(RectF rectF) {
        this.mPaint.setShader(new LinearGradient(rectF.left, rectF.top, rectF.right, rectF.bottom, this.startColor, this.endColor, Shader.TileMode.CLAMP));
    }

    @Override // android.view.ViewGroup, android.view.View
    public void dispatchDraw(Canvas canvas) {
        this.Aq.setEmpty();
        getDrawingRect(this.Aq);
        this.Ar.set(this.Aq);
        if (getChildCount() > 1) {
            View childAt = getChildAt(0);
            RectF rectF = this.As;
            if (rectF == null) {
                this.As = new RectF();
            } else {
                rectF.setEmpty();
            }
            RectF rectF2 = this.At;
            if (rectF2 == null) {
                this.At = new RectF();
            } else {
                rectF2.setEmpty();
            }
            Rect rect = this.Aq;
            float measuredWidth = rect.left + childAt.getMeasuredWidth();
            RectF rectF3 = this.As;
            int i2 = rect.top;
            float f2 = this.Ap;
            rectF3.set(measuredWidth, i2 - f2, (2.0f * f2) + measuredWidth, i2 + f2);
            RectF rectF4 = this.At;
            RectF rectF5 = this.As;
            float f3 = rectF5.left;
            int i3 = this.Aq.bottom;
            float f4 = this.Ap;
            rectF4.set(f3, i3 - f4, rectF5.right, i3 + f4);
            a(this.Av, this.Ar, this.As, this.At);
            setGradientPaint(this.Ar);
            canvas.drawPath(this.Av, this.mPaint);
        }
        super.dispatchDraw(canvas);
    }
}
