package com.kwad.components.ad.reward.widget;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.os.Message;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Interpolator;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.constraintlayout.motion.widget.Key;
import androidx.core.view.animation.PathInterpolatorCompat;
import com.kwad.components.core.t.g;
import com.kwad.components.core.widget.KSCornerImageView;
import com.kwad.components.core.widget.e;
import com.kwad.sdk.R;
import com.kwad.sdk.core.e.c;
import com.kwad.sdk.core.imageloader.KSImageLoader;
import com.kwad.sdk.core.response.b.a;
import com.kwad.sdk.core.response.b.d;
import com.kwad.sdk.core.response.model.AdInfo;
import com.kwad.sdk.core.response.model.AdTemplate;
import com.kwad.sdk.m.l;
import com.kwad.sdk.utils.bn;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class KsAuthorIconView extends FrameLayout implements bn.a {
    public ViewGroup AG;
    public KSCornerImageView AH;
    public KSCornerImageView AI;
    public KSCornerImageView AJ;
    public TextView AK;
    public View AL;
    public View AM;
    public ImageView AN;
    public View AO;
    public View AP;
    public View AQ;
    public View AR;
    public final bn gx;
    public KSCornerImageView zO;

    public KsAuthorIconView(@NonNull Context context) {
        super(context);
        this.gx = new bn(this);
        R(context);
    }

    public KsAuthorIconView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        this.gx = new bn(this);
        R(context);
    }

    public KsAuthorIconView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.gx = new bn(this);
        R(context);
    }

    @RequiresApi(api = 21)
    public KsAuthorIconView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i2, int i3) {
        super(context, attributeSet, i2, i3);
        this.gx = new bn(this);
        R(context);
    }

    private void R(@NonNull Context context) {
        l.inflate(context, R.layout.ksad_author_icon, this);
        this.AG = (ViewGroup) findViewById(R.id.ksad_author_icon_frame);
        this.zO = (KSCornerImageView) findViewById(R.id.ksad_author_icon);
        this.AH = (KSCornerImageView) findViewById(R.id.ksad_author_icon_outer);
        this.AI = (KSCornerImageView) findViewById(R.id.ksad_author_animator);
        this.AJ = (KSCornerImageView) findViewById(R.id.ksad_author_animator2);
        this.AK = (TextView) findViewById(R.id.ksad_fans_count);
        this.AM = findViewById(R.id.ksad_fans_hot_icon);
        this.AL = findViewById(R.id.ksad_author_btn_follow);
        this.AN = (ImageView) findViewById(R.id.ksad_author_arrow_down);
        this.AP = findViewById(R.id.ksad_origin_live_bottom_layout);
        this.AO = findViewById(R.id.ksad_top_layout);
        this.AR = findViewById(R.id.ksad_author_icon_layout);
        this.AQ = findViewById(R.id.ksad_top_flag_layout);
    }

    private void a(e eVar, Drawable drawable) {
        if (drawable instanceof GradientDrawable) {
            ((GradientDrawable) drawable).setStroke(getResources().getDimensionPixelSize(R.dimen.ksad_reward_author_icon_stroke_width), eVar.sv());
        }
    }

    private Animator c(View view, long j2) {
        if (view == null || view.getWidth() == 0 || view.getHeight() == 0) {
            return null;
        }
        ValueAnimator ofFloat = ValueAnimator.ofFloat(view.getWidth(), getResources().getDimension(R.dimen.ksad_reward_author_icon_width));
        ofFloat.addUpdateListener(f(view, false));
        ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(view, Key.ALPHA, 1.0f, 0.0f);
        Interpolator create = PathInterpolatorCompat.create(0.42f, 0.0f, 1.0f, 1.0f);
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.setDuration(j2);
        animatorSet.setInterpolator(create);
        animatorSet.playTogether(ofFloat, ofFloat2);
        return animatorSet;
    }

    public static Animator e(View view, boolean z) {
        float width = view.getWidth();
        if (width <= 0.0f) {
            return null;
        }
        float f2 = 0.9f * width;
        c.d("KsAuthorIconView", "getIconScaleAnimator size: " + width + ", endSize: " + f2);
        ValueAnimator ofFloat = ValueAnimator.ofFloat(width, f2);
        ofFloat.addUpdateListener(f(view, false));
        Interpolator create = PathInterpolatorCompat.create(0.42f, 0.0f, 1.0f, 1.0f);
        ofFloat.setDuration(500L);
        ofFloat.setInterpolator(create);
        ValueAnimator ofFloat2 = ValueAnimator.ofFloat(f2, width);
        ofFloat2.addUpdateListener(f(view, false));
        Interpolator create2 = PathInterpolatorCompat.create(0.0f, 0.0f, 0.58f, 1.0f);
        ofFloat2.setDuration(500L);
        ofFloat2.setInterpolator(create2);
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.playSequentially(ofFloat, ofFloat2);
        return animatorSet;
    }

    public static ValueAnimator.AnimatorUpdateListener f(final View view, final boolean z) {
        return new ValueAnimator.AnimatorUpdateListener() { // from class: com.kwad.components.ad.reward.widget.KsAuthorIconView.1
            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
            public final void onAnimationUpdate(ValueAnimator valueAnimator) {
                float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
                ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
                if (layoutParams != null) {
                    int i2 = (int) floatValue;
                    layoutParams.width = i2;
                    if (!z) {
                        layoutParams.height = i2;
                    }
                    view.setLayoutParams(layoutParams);
                }
            }
        };
    }

    public static Animator i(View view, int i2) {
        if (view == null) {
            return null;
        }
        int width = view.getWidth();
        int height = view.getHeight();
        view.setPivotX(width / 2.0f);
        view.setPivotY(height);
        AnimatorSet animatorSet = new AnimatorSet();
        Interpolator create = PathInterpolatorCompat.create(0.42f, 0.0f, 1.0f, 1.0f);
        animatorSet.playTogether(ObjectAnimator.ofFloat(view, Key.SCALE_X, 1.0f, 1.1f, 1.0f), ObjectAnimator.ofFloat(view, Key.SCALE_Y, 1.0f, 1.1f, 1.0f));
        animatorSet.setInterpolator(create);
        animatorSet.setDuration(250L);
        AnimatorSet animatorSet2 = new AnimatorSet();
        Interpolator create2 = PathInterpolatorCompat.create(0.0f, 0.0f, 0.58f, 1.0f);
        animatorSet2.playTogether(ObjectAnimator.ofFloat(view, Key.SCALE_X, 1.0f, 1.1f, 1.0f), ObjectAnimator.ofFloat(view, Key.SCALE_Y, 1.0f, 1.1f, 1.0f));
        animatorSet2.setInterpolator(create2);
        animatorSet2.setDuration(250L);
        AnimatorSet animatorSet3 = new AnimatorSet();
        animatorSet3.playSequentially(animatorSet, animatorSet2);
        animatorSet3.setDuration(500L);
        return animatorSet3;
    }

    @Override // com.kwad.sdk.utils.bn.a
    public final void a(Message message) {
        if (message.what != 1) {
            return;
        }
        c.d("KsAuthorIconView", "handleMsg MSG_CHECKING");
        final Animator c2 = c(this.AI, 900L);
        final Animator c3 = c(this.AJ, 1000L);
        final Animator e2 = e(this.zO, false);
        final Animator i2 = i(this.AO, 500);
        if (i2 == null || c2 == null || c3 == null || e2 == null) {
            this.gx.sendEmptyMessageDelayed(1, 500L);
            return;
        }
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.playTogether(e2, c2, c3);
        animatorSet.start();
        e2.addListener(new AnimatorListenerAdapter() { // from class: com.kwad.components.ad.reward.widget.KsAuthorIconView.2
            @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
            public final void onAnimationEnd(Animator animator) {
                super.onAnimationEnd(animator);
                c2.start();
                c3.start();
                e2.start();
                i2.start();
            }
        });
    }

    public final void a(e eVar) {
        g.a(eVar, this);
        this.AN.setImageResource(R.drawable.ksad_reward_follow_arrow_down);
        a(eVar, this.AI.getBackground());
        a(eVar, this.AH.getBackground());
        a(eVar, this.AJ.getBackground());
        a(eVar, this.AG.getBackground());
    }

    public final void b(AdTemplate adTemplate) {
        AdInfo cg = d.cg(adTemplate);
        String bQ = a.bQ(cg);
        if (!TextUtils.isEmpty(bQ)) {
            KSImageLoader.loadImage(this.zO, bQ, adTemplate);
        }
        int aX = a.aX(cg);
        if (a.cw(d.cg(adTemplate))) {
            this.AK.setText("直播中");
            this.AM.setVisibility(8);
            this.AL.setVisibility(8);
            if (aX == 8) {
                this.AQ.setVisibility(8);
                this.AN.setVisibility(8);
                this.AP.setVisibility(0);
            } else {
                this.AP.setVisibility(8);
                this.AN.setVisibility(0);
                this.AP.setVisibility(8);
            }
        } else {
            this.AK.setText(a.cr(cg));
        }
        this.gx.sendEmptyMessageAtTime(1, 500L);
    }
}
