package com.kwad.components.ad.reward.widget.actionbar;

import android.content.Context;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.kwad.components.ad.widget.AppScoreView;
import com.kwad.components.core.e.d.a;
import com.kwad.components.core.page.widget.TextProgressBar;
import com.kwad.sdk.R;
import com.kwad.sdk.api.KsAppDownloadListener;
import com.kwad.sdk.core.imageloader.KSImageLoader;
import com.kwad.sdk.core.response.b.d;
import com.kwad.sdk.core.response.model.AdInfo;
import com.kwad.sdk.core.response.model.AdTemplate;
import com.kwad.sdk.m.l;
import com.kwad.sdk.widget.c;
import com.kwad.sdk.widget.f;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class ActionBarAppPortrait extends LinearLayout implements c {
    public AppScoreView Bd;
    public TextProgressBar Be;
    public View Bf;
    public a Bi;
    public KsAppDownloadListener cn;
    public ImageView du;
    public TextView dv;
    public TextView dx;
    public TextView eo;
    public AdInfo mAdInfo;
    public AdTemplate mAdTemplate;
    public com.kwad.components.core.e.d.c mApkDownloadHelper;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface a {
        void P(boolean z);
    }

    public ActionBarAppPortrait(Context context) {
        this(context, null);
    }

    public ActionBarAppPortrait(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ActionBarAppPortrait(Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        initView();
    }

    private void b(View view, final boolean z) {
        int i2 = view == this.Bf ? 1 : 2;
        com.kwad.components.core.e.d.a.a(new a.C0109a(view.getContext()).P(this.mAdTemplate).b(this.mApkDownloadHelper).am(1).an(i2).am(view == this.Be).ao(i2).a(new a.b() { // from class: com.kwad.components.ad.reward.widget.actionbar.ActionBarAppPortrait.2
            @Override // com.kwad.components.core.e.d.a.b
            public final void onAdClicked() {
                if (ActionBarAppPortrait.this.Bi != null) {
                    ActionBarAppPortrait.this.Bi.P(z);
                }
            }
        }));
    }

    private KsAppDownloadListener getAppDownloadListener() {
        if (this.cn == null) {
            this.cn = new com.kwad.sdk.core.download.a.a() { // from class: com.kwad.components.ad.reward.widget.actionbar.ActionBarAppPortrait.1
                @Override // com.kwad.sdk.api.KsAppDownloadListener
                public final void onDownloadFailed() {
                    ActionBarAppPortrait.this.Be.e(com.kwad.sdk.core.response.b.a.aw(ActionBarAppPortrait.this.mAdInfo), 0);
                    ActionBarAppPortrait.this.Bf.setVisibility(0);
                }

                @Override // com.kwad.sdk.api.KsAppDownloadListener
                public final void onDownloadFinished() {
                    ActionBarAppPortrait.this.Be.e(com.kwad.sdk.core.response.b.a.aM(ActionBarAppPortrait.this.mAdTemplate), 0);
                    ActionBarAppPortrait.this.Bf.setVisibility(0);
                }

                @Override // com.kwad.sdk.api.KsAppDownloadListener
                public final void onIdle() {
                    ActionBarAppPortrait.this.Be.e(com.kwad.sdk.core.response.b.a.aw(ActionBarAppPortrait.this.mAdInfo), 0);
                    ActionBarAppPortrait.this.Bf.setVisibility(0);
                }

                @Override // com.kwad.sdk.api.KsAppDownloadListener
                public final void onInstalled() {
                    ActionBarAppPortrait.this.Be.e(com.kwad.sdk.core.response.b.a.U(ActionBarAppPortrait.this.mAdInfo), 0);
                    ActionBarAppPortrait.this.Bf.setVisibility(0);
                }

                @Override // com.kwad.sdk.core.download.a.a
                public final void onPaused(int i2) {
                    ActionBarAppPortrait.this.Be.e(com.kwad.sdk.core.response.b.a.cw(i2), i2);
                    ActionBarAppPortrait.this.Bf.setVisibility(8);
                }

                @Override // com.kwad.sdk.api.KsAppDownloadListener
                public final void onProgressUpdate(int i2) {
                    ActionBarAppPortrait.this.Be.e(com.kwad.sdk.core.response.b.a.cv(i2), i2);
                    ActionBarAppPortrait.this.Bf.setVisibility(8);
                }
            };
        }
        return this.cn;
    }

    private void initView() {
        l.inflate(getContext(), R.layout.ksad_video_actionbar_app_portrait, this);
        this.du = (ImageView) findViewById(R.id.ksad_app_icon);
        this.dv = (TextView) findViewById(R.id.ksad_app_title);
        this.eo = (TextView) findViewById(R.id.ksad_app_desc);
        this.Bd = (AppScoreView) findViewById(R.id.ksad_app_score);
        this.dx = (TextView) findViewById(R.id.ksad_app_download_count);
        TextProgressBar textProgressBar = (TextProgressBar) findViewById(R.id.ksad_app_download_btn);
        this.Be = textProgressBar;
        textProgressBar.setTextDimen(com.kwad.sdk.d.a.a.a(getContext(), 16.0f));
        this.Be.setTextColor(-1);
        this.Bf = findViewById(R.id.ksad_download_bar_cover);
    }

    private void kl() {
        String ar = com.kwad.sdk.core.response.b.a.ar(this.mAdInfo);
        boolean z = !TextUtils.isEmpty(ar);
        float as = com.kwad.sdk.core.response.b.a.as(this.mAdInfo);
        boolean z2 = as >= 3.0f;
        if (z && z2) {
            ((LinearLayout.LayoutParams) this.dv.getLayoutParams()).bottomMargin = com.kwad.sdk.d.a.a.a(getContext(), 1.0f);
            ((LinearLayout.LayoutParams) this.Bd.getLayoutParams()).bottomMargin = com.kwad.sdk.d.a.a.a(getContext(), 1.0f);
            this.dx.setText(ar);
            this.dx.setVisibility(0);
            this.Bd.setVisibility(0);
            this.Bd.setScore(as);
            this.eo.setVisibility(8);
        } else if (z) {
            this.dx.setText(ar);
            this.dx.setVisibility(0);
            this.Bd.setVisibility(8);
            this.eo.setVisibility(8);
        } else if (z2) {
            this.dx.setVisibility(8);
            this.Bd.setScore(as);
            this.Bd.setVisibility(0);
            this.eo.setVisibility(8);
        } else {
            this.eo.setText(com.kwad.sdk.core.response.b.a.an(this.mAdInfo));
            this.dx.setVisibility(8);
            this.Bd.setVisibility(8);
            this.eo.setVisibility(0);
        }
    }

    @Override // com.kwad.sdk.widget.c
    public final void a(View view) {
        b(view, true);
    }

    public final void a(@NonNull AdTemplate adTemplate, @Nullable com.kwad.components.core.e.d.c cVar, a aVar) {
        this.mAdTemplate = adTemplate;
        AdInfo cg = d.cg(adTemplate);
        this.mAdInfo = cg;
        this.Bi = aVar;
        this.mApkDownloadHelper = cVar;
        KSImageLoader.loadAppIcon(this.du, com.kwad.sdk.core.response.b.a.bQ(cg), adTemplate, 12);
        this.dv.setText(com.kwad.sdk.core.response.b.a.bO(this.mAdInfo));
        kl();
        this.Be.e(com.kwad.sdk.core.response.b.a.aw(this.mAdInfo), 0);
        com.kwad.components.core.e.d.c cVar2 = this.mApkDownloadHelper;
        if (cVar2 != null) {
            cVar2.b(getAppDownloadListener());
        }
        setClickable(true);
        new f(this, this);
        new f(this.Bf, this);
    }

    @Override // com.kwad.sdk.widget.c
    public final void b(View view) {
        if (com.kwad.sdk.core.response.b.c.bV(this.mAdTemplate)) {
            b(view, false);
        }
    }
}
