package com.kwad.components.ad.splashscreen;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.SystemClock;
import android.text.TextUtils;
import androidx.annotation.AnyThread;
import com.ksad.json.annotation.KsJson;
import com.kwad.components.ad.splashscreen.monitor.SplashMonitorInfo;
import com.kwad.components.core.response.model.AdResultData;
import com.kwad.components.core.video.j;
import com.kwad.sdk.KsAdSDKImpl;
import com.kwad.sdk.core.network.a.a;
import com.kwad.sdk.core.response.model.AdInfo;
import com.kwad.sdk.core.response.model.AdTemplate;
import com.kwad.sdk.utils.ag;
import com.kwad.sdk.utils.i;
import java.io.File;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class SplashPreloadManager {
    public HashMap<String, PreLoadItem> BZ;
    public List<String> Ca;
    public volatile SharedPreferences Cb;
    public final Object mLock;

    /* compiled from: AAA */
    @KsJson
    /* loaded from: classes3.dex */
    public static class PreLoadItem extends com.kwad.sdk.core.response.a.a implements Serializable {
        public long cacheTime;
        public long expiredTime;
        public String preloadId;
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class a {
        public static final SplashPreloadManager Cc = new SplashPreloadManager((byte) 0);
    }

    public SplashPreloadManager() {
        this.mLock = new Object();
        this.BZ = new HashMap<>();
        this.Ca = new ArrayList();
        init();
    }

    public /* synthetic */ SplashPreloadManager(byte b) {
        this();
    }

    @AnyThread
    public static boolean W(String str) {
        if (str != null) {
            File bR = com.kwad.sdk.core.diskcache.b.a.Au().bR(str);
            StringBuilder sb = new StringBuilder("check preloadId ");
            sb.append(str);
            sb.append(" file exists ");
            sb.append(bR == null ? "null" : Boolean.valueOf(bR.exists()));
            com.kwad.sdk.core.e.c.d("PreloadManager", sb.toString());
            if (bR != null && bR.exists()) {
                return true;
            }
        }
        return false;
    }

    public static File X(String str) {
        if (str != null) {
            com.kwad.sdk.core.e.c.d("PreloadManager", "getVideoFile preloadId " + str + "  url " + str);
            File bR = com.kwad.sdk.core.diskcache.b.a.Au().bR(str);
            if (bR == null || !bR.exists()) {
                return null;
            }
            return bR;
        }
        return null;
    }

    @AnyThread
    public static boolean d(AdResultData adResultData) {
        if (!adResultData.getAdTemplateList().isEmpty()) {
            AdTemplate adTemplate = adResultData.getAdTemplateList().get(0);
            if (!adTemplate.adInfoList.isEmpty()) {
                return com.kwad.sdk.core.response.b.a.aV(adTemplate.adInfoList.get(0));
            }
        }
        return false;
    }

    private void init() {
        Context context = KsAdSDKImpl.get().getContext();
        if (context != null) {
            this.Cb = context.getSharedPreferences("ksadsdk_splash_preload_id_list", 0);
            initData();
        }
    }

    private void initData() {
        Map<String, ?> all = this.Cb.getAll();
        ArrayList<String> arrayList = new ArrayList();
        for (String str : all.keySet()) {
            PreLoadItem preLoadItem = new PreLoadItem();
            try {
                Object obj = all.get(str);
                if (obj instanceof String) {
                    String str2 = (String) obj;
                    if (!TextUtils.isEmpty(str2)) {
                        preLoadItem.parseJson(new JSONObject(str2));
                        if (!TextUtils.isEmpty(preLoadItem.preloadId)) {
                            File bR = com.kwad.sdk.core.diskcache.b.a.Au().bR(preLoadItem.preloadId);
                            if (bR == null || !bR.exists()) {
                                arrayList.add(preLoadItem.preloadId);
                                com.kwad.sdk.core.e.c.d("PreloadManager", "Remove null file list " + preLoadItem.preloadId);
                            } else {
                                synchronized (this.mLock) {
                                    this.BZ.put(str, preLoadItem);
                                    if (!this.Ca.contains(str)) {
                                        this.Ca.add(str);
                                    }
                                }
                            }
                        }
                    }
                }
            } catch (Exception e2) {
                com.kwad.sdk.core.e.c.printStackTrace(e2);
            }
        }
        SharedPreferences.Editor edit = this.Cb.edit();
        for (String str3 : arrayList) {
            edit.remove(str3);
        }
        edit.apply();
    }

    private void kA() {
        int size;
        String str;
        long currentTimeMillis = System.currentTimeMillis();
        synchronized (this.mLock) {
            ArrayList<String> arrayList = new ArrayList();
            for (String str2 : this.BZ.keySet()) {
                PreLoadItem preLoadItem = this.BZ.get(str2);
                if (preLoadItem != null && preLoadItem.expiredTime < currentTimeMillis) {
                    arrayList.add(str2);
                }
            }
            SharedPreferences.Editor edit = this.Cb.edit();
            for (String str3 : arrayList) {
                this.Ca.remove(str3);
                this.BZ.remove(str3);
                edit.remove(str3);
                com.kwad.sdk.core.diskcache.b.a.Au().remove(str3);
            }
            edit.apply();
            size = this.Ca.size();
        }
        if (size > 30) {
            com.kwad.sdk.core.e.c.d("PreloadManager", "大于 30 按失效日期远近顺序移除");
            int i2 = size - 15;
            for (int i3 = 0; i3 < i2; i3++) {
                long j2 = Long.MAX_VALUE;
                synchronized (this.mLock) {
                    str = "";
                    for (PreLoadItem preLoadItem2 : this.BZ.values()) {
                        if (preLoadItem2.expiredTime < j2) {
                            j2 = preLoadItem2.expiredTime;
                            str = preLoadItem2.preloadId;
                        }
                    }
                    if (!TextUtils.isEmpty(str)) {
                        this.Ca.remove(str);
                        this.BZ.remove(str);
                        this.Cb.edit().remove(str).apply();
                        com.kwad.sdk.core.e.c.d("PreloadManager", "移除 preloadId = " + str + " expiredTime =  " + j2);
                    }
                }
                if (!TextUtils.isEmpty(str)) {
                    com.kwad.sdk.core.diskcache.b.a.Au().remove(str);
                }
            }
        }
    }

    @AnyThread
    public static SplashPreloadManager kB() {
        SplashPreloadManager splashPreloadManager = a.Cc;
        if (splashPreloadManager.Cb == null) {
            splashPreloadManager.init();
        }
        return splashPreloadManager;
    }

    @AnyThread
    private void n(AdInfo adInfo) {
        PreLoadItem preLoadItem = new PreLoadItem();
        preLoadItem.cacheTime = System.currentTimeMillis();
        preLoadItem.expiredTime = System.currentTimeMillis() + (adInfo.adPreloadInfo.validityPeriod * 1000);
        preLoadItem.preloadId = com.kwad.sdk.core.response.b.a.aS(adInfo);
        synchronized (this.mLock) {
            this.BZ.put(adInfo.adPreloadInfo.preloadId, preLoadItem);
            if (!this.Ca.contains(adInfo.adPreloadInfo.preloadId)) {
                this.Ca.add(adInfo.adPreloadInfo.preloadId);
            }
        }
        if (this.Cb != null) {
            SharedPreferences.Editor edit = this.Cb.edit();
            edit.putString(adInfo.adPreloadInfo.preloadId, preLoadItem.toJson().toString());
            edit.apply();
        }
    }

    public final List<String> R() {
        ArrayList arrayList = new ArrayList();
        synchronized (this.mLock) {
            com.kwad.sdk.core.e.c.d("PreloadManager", "getPreloadIdList start ");
            for (int i2 = 0; i2 < this.Ca.size(); i2++) {
                String str = this.Ca.get(i2);
                File bR = com.kwad.sdk.core.diskcache.b.a.Au().bR(str);
                if (bR != null && bR.exists()) {
                    arrayList.add(str);
                }
            }
            com.kwad.sdk.core.e.c.d("PreloadManager", "getPreloadIdList end ");
        }
        com.kwad.sdk.core.e.c.d("PreloadManager", "getPreloadIdList " + this.Ca.size());
        return arrayList;
    }

    @AnyThread
    public final int b(AdResultData adResultData, boolean z) {
        int i2;
        long j2;
        String str;
        Iterator<AdTemplate> it = adResultData.getAdTemplateList().iterator();
        com.kwad.components.ad.splashscreen.monitor.a.kN();
        com.kwad.components.ad.splashscreen.monitor.a.e(adResultData);
        int i3 = 0;
        while (true) {
            if (!it.hasNext()) {
                break;
            }
            AdTemplate next = it.next();
            if (next != null) {
                for (AdInfo adInfo : next.adInfoList) {
                    if (adInfo.adPreloadInfo == null || this.Cb == null) {
                        com.kwad.components.ad.splashscreen.monitor.a.kN();
                        i2 = 3;
                        j2 = next.posId;
                        str = SplashMonitorInfo.ERROR_PRELOAD_ID_INVALID_MSG;
                    } else {
                        long elapsedRealtime = SystemClock.elapsedRealtime();
                        if (W(adInfo.adPreloadInfo.preloadId)) {
                            com.kwad.components.ad.splashscreen.monitor.a.kN();
                            com.kwad.components.ad.splashscreen.monitor.a.a(adInfo, SystemClock.elapsedRealtime() - elapsedRealtime, 2, next.posId);
                            n(adInfo);
                            i3++;
                        } else {
                            String F = com.kwad.sdk.core.response.b.a.aU(adInfo) ? com.kwad.sdk.core.response.b.a.F(adInfo) : com.kwad.sdk.core.response.b.a.aV(adInfo) ? com.kwad.sdk.core.response.b.a.aM(adInfo).materialUrl : null;
                            if (TextUtils.isEmpty(F)) {
                                com.kwad.components.ad.splashscreen.monitor.a.kN();
                                i2 = 2;
                                j2 = next.posId;
                                str = SplashMonitorInfo.ERROR_URL_INVALID_MSG;
                            } else {
                                String aS = com.kwad.sdk.core.response.b.a.aS(adInfo);
                                if (adInfo.adPreloadInfo.preloadType != 1 || ag.isWifiConnected(KsAdSDKImpl.get().getContext()) || z) {
                                    com.kwad.sdk.core.e.c.d("PreloadManager", "start Download preloadId " + aS + " true url " + F);
                                    kA();
                                    a.C0171a c0171a = new a.C0171a();
                                    if (j.a(F, aS, c0171a)) {
                                        n(adInfo);
                                        i3++;
                                        com.kwad.components.ad.splashscreen.monitor.a.kN();
                                        com.kwad.components.ad.splashscreen.monitor.a.a(adInfo, SystemClock.elapsedRealtime() - elapsedRealtime, 1, next.posId);
                                    } else {
                                        com.kwad.components.ad.splashscreen.monitor.a.kN();
                                        com.kwad.components.ad.splashscreen.monitor.a.a(adInfo, 4, c0171a.msg, next.posId);
                                        com.kwad.components.core.o.a.pA().c(next, 1, c0171a.msg);
                                    }
                                } else {
                                    com.kwad.components.ad.splashscreen.monitor.a.kN();
                                    com.kwad.components.ad.splashscreen.monitor.a.a(adInfo, 1, SplashMonitorInfo.ERROR_NET_MSG, next.posId);
                                }
                            }
                        }
                    }
                    com.kwad.components.ad.splashscreen.monitor.a.a(adInfo, i2, str, j2);
                }
            }
        }
        AdTemplate adTemplate = adResultData.getAdTemplateList().size() > 0 ? adResultData.getAdTemplateList().get(0) : null;
        if (i3 > 0) {
            i.am("splashAd_", "onSplashVideoAdCacheSuccess");
            com.kwad.components.core.o.a.pA().f(adTemplate, i3);
        } else {
            i.am("splashAd_", "onSplashVideoAdCacheFailed");
        }
        return i3;
    }

    @AnyThread
    public final boolean c(AdResultData adResultData) {
        if (!adResultData.getAdTemplateList().isEmpty()) {
            AdTemplate adTemplate = adResultData.getAdTemplateList().get(0);
            if (!adTemplate.adInfoList.isEmpty()) {
                AdInfo adInfo = adTemplate.adInfoList.get(0);
                if (adInfo.adPreloadInfo != null) {
                    return W(com.kwad.sdk.core.response.b.a.aS(adInfo));
                }
            }
        }
        return false;
    }
}
