package com.kwad.components.ad.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.TextView;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.kwad.components.core.page.widget.TextProgressBar;
import com.kwad.sdk.R;
import com.kwad.sdk.api.KsAppDownloadListener;
import com.kwad.sdk.core.response.b.d;
import com.kwad.sdk.core.response.model.AdInfo;
import com.kwad.sdk.core.response.model.AdTemplate;
import com.kwad.sdk.m.l;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class DownloadProgressView extends FrameLayout {
    public TextView Hm;
    @ColorInt
    public int Hn;
    @ColorInt
    public int Ho;
    @ColorInt
    public int Hp;
    public int Hq;
    public Drawable Hr;
    public Drawable Hs;
    public String Ht;
    public TextProgressBar cX;
    public final KsAppDownloadListener cn;
    public AdInfo mAdInfo;
    public AdTemplate mAdTemplate;

    public DownloadProgressView(@NonNull Context context) {
        this(context, null);
    }

    public DownloadProgressView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public DownloadProgressView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(l.wrapContextIfNeed(context), attributeSet, i2);
        this.cn = new com.kwad.sdk.core.download.a.a() { // from class: com.kwad.components.ad.widget.DownloadProgressView.2
            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public final void onDownloadFailed() {
                DownloadProgressView downloadProgressView = DownloadProgressView.this;
                downloadProgressView.Hm.setText(com.kwad.sdk.core.response.b.a.aw(downloadProgressView.mAdInfo));
                DownloadProgressView.this.Hm.setVisibility(0);
                DownloadProgressView.this.cX.setVisibility(8);
            }

            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public final void onDownloadFinished() {
                DownloadProgressView.this.Hm.setVisibility(8);
                DownloadProgressView.this.cX.setVisibility(0);
                DownloadProgressView downloadProgressView = DownloadProgressView.this;
                downloadProgressView.cX.e(com.kwad.sdk.core.response.b.a.aM(downloadProgressView.mAdTemplate), DownloadProgressView.this.cX.getMax());
            }

            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public final void onIdle() {
                DownloadProgressView downloadProgressView = DownloadProgressView.this;
                downloadProgressView.Hm.setText(com.kwad.sdk.core.response.b.a.aw(downloadProgressView.mAdInfo));
            }

            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public final void onInstalled() {
                DownloadProgressView.this.Hm.setVisibility(8);
                DownloadProgressView.this.cX.setVisibility(0);
                DownloadProgressView downloadProgressView = DownloadProgressView.this;
                downloadProgressView.cX.e(com.kwad.sdk.core.response.b.a.U(downloadProgressView.mAdInfo), DownloadProgressView.this.cX.getMax());
            }

            @Override // com.kwad.sdk.core.download.a.a
            public final void onPaused(int i3) {
                DownloadProgressView.this.Hm.setVisibility(8);
                DownloadProgressView.this.cX.setVisibility(0);
                DownloadProgressView.this.cX.e(com.kwad.sdk.core.response.b.a.Cz(), i3);
            }

            @Override // com.kwad.sdk.api.KsAppDownloadListener
            public final void onProgressUpdate(int i3) {
                DownloadProgressView.this.Hm.setVisibility(8);
                DownloadProgressView.this.cX.setVisibility(0);
                DownloadProgressView downloadProgressView = DownloadProgressView.this;
                downloadProgressView.cX.e(com.kwad.sdk.core.response.b.a.l(i3, downloadProgressView.Ht), i3);
            }
        };
        initAttrs(context, attributeSet);
        initView();
    }

    @SuppressLint({"CustomViewStyleable"})
    private void initAttrs(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ksad_DownloadProgressView);
        this.Hn = obtainStyledAttributes.getColor(R.styleable.ksad_DownloadProgressView_ksad_downloadTextColor, -117146);
        this.Ho = obtainStyledAttributes.getColor(R.styleable.ksad_DownloadProgressView_ksad_downloadLeftTextColor, -1);
        this.Hp = obtainStyledAttributes.getColor(R.styleable.ksad_DownloadProgressView_ksad_downloadRightTextColor, -117146);
        this.Hq = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ksad_DownloadProgressView_ksad_downloadTextSize, com.kwad.sdk.d.a.a.a(getContext(), 11.0f));
        Drawable drawable = obtainStyledAttributes.getDrawable(R.styleable.ksad_DownloadProgressView_ksad_progressDrawable);
        this.Hr = drawable;
        if (drawable == null) {
            this.Hr = getResources().getDrawable(R.drawable.ksad_feed_download_progress);
        }
        Drawable drawable2 = obtainStyledAttributes.getDrawable(R.styleable.ksad_DownloadProgressView_ksad_backgroundDrawable);
        this.Hs = drawable2;
        if (drawable2 == null) {
            this.Hs = getResources().getDrawable(R.drawable.ksad_feed_app_download_before_bg);
        }
        String string = obtainStyledAttributes.getString(R.styleable.ksad_DownloadProgressView_ksad_downloadingFormat);
        this.Ht = string;
        if (string == null) {
            this.Ht = "下载中  %s%%";
        }
        obtainStyledAttributes.recycle();
    }

    private void initView() {
        l.inflate(getContext(), R.layout.ksad_download_progress_layout, this);
        TextProgressBar textProgressBar = (TextProgressBar) findViewById(R.id.ksad_progress_bar);
        this.cX = textProgressBar;
        textProgressBar.setTextDimen(this.Hq);
        this.cX.setTextColor(this.Ho, this.Hp);
        this.cX.setProgressDrawable(this.Hr);
        TextView textView = (TextView) findViewById(R.id.ksad_normal_text);
        this.Hm = textView;
        textView.setTextColor(this.Hn);
        this.Hm.setTextSize(0, this.Hq);
        this.Hm.setVisibility(0);
        this.Hm.setBackground(this.Hs);
        findViewById(R.id.ksad_foreground_cover).setOnClickListener(new View.OnClickListener() { // from class: com.kwad.components.ad.widget.DownloadProgressView.1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                DownloadProgressView.this.performClick();
            }
        });
    }

    public final void H(AdTemplate adTemplate) {
        this.mAdTemplate = adTemplate;
        AdInfo cg = d.cg(adTemplate);
        this.mAdInfo = cg;
        this.Hm.setText(com.kwad.sdk.core.response.b.a.aw(cg));
        this.cX.setVisibility(8);
        this.Hm.setVisibility(0);
    }

    public KsAppDownloadListener getAppDownloadListener() {
        return this.cn;
    }
}
