package com.kwad.components.ad.widget.tailframe.appbar;

import android.animation.ValueAnimator;
import android.content.Context;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.kwad.components.ad.widget.AppScoreView;
import com.kwad.components.ad.widget.KsAppTagsView;
import com.kwad.components.core.page.widget.TextProgressBar;
import com.kwad.sdk.R;
import com.kwad.sdk.core.imageloader.KSImageLoader;
import com.kwad.sdk.core.response.b.c;
import com.kwad.sdk.core.response.b.d;
import com.kwad.sdk.core.response.model.AdInfo;
import com.kwad.sdk.core.response.model.AdTemplate;
import com.kwad.sdk.m.l;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public abstract class a extends LinearLayout {
    public AppScoreView Bd;
    public TextProgressBar Bt;
    public View GA;
    public TextView HJ;
    public TextView dx;
    public ValueAnimator iI;
    public ImageView lh;
    public TextView li;
    public com.kwad.components.ad.i.a yA;
    public Runnable yB;
    public View yp;
    public Button yq;
    public Button yr;
    public KsAppTagsView yx;

    public a(Context context) {
        this(context, null);
    }

    public a(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public a(Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(l.wrapContextIfNeed(context), attributeSet, i2);
        initView();
    }

    private void initView() {
        this.GA = l.inflate(getContext(), getLayoutId(), this);
        this.lh = (ImageView) findViewById(R.id.ksad_app_icon);
        this.li = (TextView) findViewById(R.id.ksad_app_name);
        this.Bd = (AppScoreView) findViewById(R.id.ksad_app_score);
        this.dx = (TextView) findViewById(R.id.ksad_app_download_count);
        this.HJ = (TextView) findViewById(R.id.ksad_app_introduce);
        TextProgressBar textProgressBar = (TextProgressBar) findViewById(R.id.ksad_download_bar);
        this.Bt = textProgressBar;
        textProgressBar.setTextDimen(com.kwad.sdk.d.a.a.a(getContext(), 16.0f));
        this.Bt.setTextColor(-1);
        this.yx = (KsAppTagsView) findViewById(R.id.ksad_reward_apk_info_tags);
        this.yq = (Button) findViewById(R.id.ksad_reward_apk_info_install_action);
        this.yr = (Button) findViewById(R.id.ksad_reward_apk_info_install_start);
        this.yp = findViewById(R.id.ksad_reward_apk_info_install_container);
        this.yA = new com.kwad.components.ad.i.a(this.GA);
    }

    private void mc() {
        ValueAnimator valueAnimator = this.iI;
        if (valueAnimator == null || !valueAnimator.isRunning()) {
            ValueAnimator ofFloat = ValueAnimator.ofFloat(1.0f, 1.2f, 1.0f);
            this.iI = ofFloat;
            ofFloat.setDuration(1200L);
            this.iI.setRepeatCount(-1);
            this.iI.setRepeatMode(1);
            this.iI.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.kwad.components.ad.widget.tailframe.appbar.a.2
                @Override // android.animation.ValueAnimator.AnimatorUpdateListener
                public final void onAnimationUpdate(ValueAnimator valueAnimator2) {
                    float floatValue = ((Float) valueAnimator2.getAnimatedValue()).floatValue();
                    a.this.Bt.setScaleY(floatValue);
                    a.this.Bt.setScaleX(floatValue);
                }
            });
            this.iI.start();
        }
    }

    public void b(@NonNull AdTemplate adTemplate) {
        ImageView imageView;
        String bQ;
        AdInfo cg = d.cg(adTemplate);
        if (d.s(adTemplate)) {
            imageView = this.lh;
            bQ = com.kwad.sdk.core.response.b.a.ct(cg);
        } else {
            imageView = this.lh;
            bQ = com.kwad.sdk.core.response.b.a.bQ(cg);
        }
        KSImageLoader.loadAppIcon(imageView, bQ, adTemplate, 12);
        this.li.setText(com.kwad.sdk.core.response.b.a.bO(cg));
        if (!d.s(adTemplate)) {
            float as = com.kwad.sdk.core.response.b.a.as(cg);
            if (as >= 3.0f) {
                this.Bd.setScore(as);
                this.Bd.setVisibility(0);
            } else {
                this.Bd.setVisibility(8);
            }
            String ar = com.kwad.sdk.core.response.b.a.ar(cg);
            if (TextUtils.isEmpty(ar)) {
                this.dx.setVisibility(8);
            } else {
                this.dx.setText(ar);
                this.dx.setVisibility(0);
            }
        }
        this.HJ.setText(com.kwad.sdk.core.response.b.a.an(cg));
        if (d.s(adTemplate)) {
            this.Bt.setVisibility(8);
            this.yp.setVisibility(0);
            this.yr.setText("查看详情");
            Button button = this.yq;
            StringBuilder sb = new StringBuilder();
            sb.append(com.kwad.sdk.core.config.d.zC());
            button.setText(String.format("浏览详情页%s秒，领取奖励", sb.toString()));
            if (!adTemplate.mRewardVerifyCalled) {
                if (this.yB == null) {
                    this.yB = new Runnable() { // from class: com.kwad.components.ad.widget.tailframe.appbar.a.1
                        @Override // java.lang.Runnable
                        public final void run() {
                            a.this.yA.ia();
                        }
                    };
                }
                this.yp.postDelayed(this.yB, 1600L);
            }
        } else {
            this.Bt.setVisibility(0);
            this.yp.setVisibility(8);
            Runnable runnable = this.yB;
            if (runnable != null) {
                this.yp.removeCallbacks(runnable);
                this.yB = null;
            }
            z(d.cg(adTemplate));
        }
        if (d.s(adTemplate)) {
            List<String> bX = c.bX(adTemplate);
            if (bX.size() > 0) {
                this.yx.setVisibility(0);
            } else {
                this.yx.setVisibility(8);
            }
            this.yx.setAppTags(bX);
        }
    }

    public View getBtnInstallContainer() {
        return this.yp;
    }

    @LayoutRes
    public abstract int getLayoutId();

    public TextProgressBar getTextProgressBar() {
        return this.Bt;
    }

    public final void kq() {
        ValueAnimator valueAnimator = this.iI;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            this.iI.cancel();
            this.iI.end();
        }
        Runnable runnable = this.yB;
        if (runnable != null) {
            this.yp.removeCallbacks(runnable);
            this.yB = null;
        }
        this.yA.lN();
    }

    public final void z(@NonNull AdInfo adInfo) {
        int i2 = adInfo.status;
        if (i2 == 1 || i2 == 2 || i2 == 3) {
            kq();
        } else {
            mc();
        }
    }
}
