package com.kwad.components.core.page.recycle;

import android.app.Activity;
import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import androidx.core.view.MotionEventCompat;
import androidx.core.view.NestedScrollingChild;
import androidx.core.view.NestedScrollingChildHelper;
import androidx.core.view.VelocityTrackerCompat;
import com.kwad.sdk.core.webview.KsAdWebView;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class NestedScrollWebView extends KsAdWebView implements NestedScrollingChild {
    public int NX;
    public int NY;
    public final int[] NZ;
    public final int[] Oa;
    public int Ob;
    public boolean Oc;
    public int Od;
    public int Oe;
    public NestedScrollingChildHelper Of;
    public VelocityTracker Og;
    public int Oh;

    public NestedScrollWebView(Context context) {
        super(context);
        this.NZ = new int[2];
        this.Oa = new int[2];
        pk();
    }

    public NestedScrollWebView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.NZ = new int[2];
        this.Oa = new int[2];
        pk();
    }

    public NestedScrollWebView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.NZ = new int[2];
        this.Oa = new int[2];
        pk();
    }

    private void pk() {
        this.Oh = 0;
        ViewConfiguration viewConfiguration = ViewConfiguration.get(getContext());
        this.Of = new NestedScrollingChildHelper(this);
        setNestedScrollingEnabled(true);
        this.Oe = viewConfiguration.getScaledMaximumFlingVelocity();
        this.Od = viewConfiguration.getScaledMinimumFlingVelocity();
    }

    @Override // android.view.View, androidx.core.view.NestedScrollingChild
    public boolean dispatchNestedFling(float f2, float f3, boolean z) {
        return this.Of.dispatchNestedFling(f2, f3, z);
    }

    @Override // android.view.View, androidx.core.view.NestedScrollingChild
    public boolean dispatchNestedPreFling(float f2, float f3) {
        return this.Of.dispatchNestedPreFling(f2, f3);
    }

    @Override // android.view.View, androidx.core.view.NestedScrollingChild
    public boolean dispatchNestedPreScroll(int i2, int i3, int[] iArr, int[] iArr2) {
        return this.Of.dispatchNestedPreScroll(i2, i3, iArr, iArr2);
    }

    @Override // android.view.View, androidx.core.view.NestedScrollingChild
    public boolean dispatchNestedScroll(int i2, int i3, int i4, int i5, int[] iArr) {
        return this.Of.dispatchNestedScroll(i2, i3, i4, i5, iArr);
    }

    @Override // android.view.View, androidx.core.view.NestedScrollingChild
    public boolean hasNestedScrollingParent() {
        return this.Of.hasNestedScrollingParent();
    }

    @Override // android.view.View, androidx.core.view.NestedScrollingChild
    public boolean isNestedScrollingEnabled() {
        return this.Of.isNestedScrollingEnabled();
    }

    @Override // android.webkit.WebView, android.widget.AbsoluteLayout, android.view.View
    public void onMeasure(int i2, int i3) {
        if (this.Oh != 0) {
            i3 = View.MeasureSpec.makeMeasureSpec(((getContext() instanceof Activity ? com.kwad.sdk.d.a.a.e((Activity) getContext()) : com.kwad.sdk.d.a.a.getScreenHeight(getContext())) - (com.kwad.components.core.t.d.qn() ? com.kwad.sdk.d.a.a.getStatusBarHeight(getContext()) : 0)) - this.Oh, 1073741824);
        }
        super.onMeasure(i2, i3);
    }

    @Override // com.kwad.sdk.core.webview.KsAdWebView, android.webkit.WebView, android.view.View
    public void onScrollChanged(int i2, int i3, int i4, int i5) {
        super.onScrollChanged(i2, i3, i4, i5);
        if (hasFocus()) {
            return;
        }
        requestFocus();
    }

    @Override // android.webkit.WebView, android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean onTouchEvent;
        int[] iArr;
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        int actionMasked = MotionEventCompat.getActionMasked(motionEvent);
        boolean z = false;
        if (actionMasked == 0) {
            this.Ob = 0;
        }
        if (this.Og == null) {
            this.Og = VelocityTracker.obtain();
        }
        int actionIndex = MotionEventCompat.getActionIndex(motionEvent);
        int y = (int) motionEvent.getY();
        motionEvent.offsetLocation(0.0f, this.Ob);
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    int i2 = this.NX - y;
                    if (dispatchNestedPreScroll(0, i2, this.Oa, this.NZ)) {
                        i2 -= this.Oa[1];
                        obtain.offsetLocation(0.0f, this.NZ[1]);
                        this.Ob += this.NZ[1];
                    }
                    int scrollY = getScrollY();
                    this.NX = y - this.NZ[1];
                    int max = Math.max(0, scrollY + i2);
                    int i3 = i2 - (max - scrollY);
                    if (dispatchNestedScroll(0, max - i3, 0, i3, this.NZ)) {
                        this.NX = this.NX - this.NZ[1];
                        obtain.offsetLocation(0.0f, iArr[1]);
                        this.Ob += this.NZ[1];
                    }
                    if (Math.abs(this.Oa[1]) >= 5 || Math.abs(this.NZ[1]) >= 5) {
                        if (!this.Oc) {
                            this.Oc = true;
                            super.onTouchEvent(MotionEvent.obtain(0L, 0L, 3, 0.0f, 0.0f, 0));
                        }
                        onTouchEvent = false;
                    } else {
                        if (this.Oc) {
                            this.Oc = false;
                            onTouchEvent = false;
                        } else {
                            onTouchEvent = super.onTouchEvent(obtain);
                        }
                        obtain.recycle();
                    }
                } else if (actionMasked != 3) {
                    if (actionMasked == 5) {
                        stopNestedScroll();
                        onTouchEvent = super.onTouchEvent(motionEvent);
                    }
                    onTouchEvent = false;
                }
            }
            this.Og.addMovement(motionEvent);
            this.Og.computeCurrentVelocity(1000, this.Oe);
            float f2 = -VelocityTrackerCompat.getYVelocity(this.Og, MotionEventCompat.getPointerId(motionEvent, actionIndex));
            if (Math.abs(f2) > this.Od && !dispatchNestedPreFling(0.0f, f2) && hasNestedScrollingParent()) {
                dispatchNestedFling(0.0f, f2, true);
            }
            boolean onTouchEvent2 = super.onTouchEvent(motionEvent);
            stopNestedScroll();
            if (Math.abs(motionEvent.getY() - this.NX) < 10.0f) {
                Math.abs(motionEvent.getX() - this.NY);
            }
            onTouchEvent = onTouchEvent2;
            z = true;
        } else {
            this.NX = y;
            this.NY = (int) motionEvent.getX();
            startNestedScroll(2);
            int[] iArr2 = this.Oa;
            iArr2[0] = 0;
            iArr2[1] = 0;
            int[] iArr3 = this.NZ;
            iArr3[0] = 0;
            iArr3[1] = 0;
            onTouchEvent = super.onTouchEvent(motionEvent);
            this.Oc = false;
        }
        if (!z) {
            this.Og.addMovement(motionEvent);
        }
        return onTouchEvent;
    }

    @Override // android.view.View, androidx.core.view.NestedScrollingChild
    public void setNestedScrollingEnabled(boolean z) {
        this.Of.setNestedScrollingEnabled(z);
    }

    @Override // android.view.View, androidx.core.view.NestedScrollingChild
    public boolean startNestedScroll(int i2) {
        return this.Of.startNestedScroll(i2);
    }

    @Override // android.view.View, androidx.core.view.NestedScrollingChild
    public void stopNestedScroll() {
        this.Of.stopNestedScroll();
    }
}
