package com.kwad.components.core.page.recycle;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import androidx.annotation.Nullable;
import androidx.recyclerview.widget.RecyclerView;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class b extends g {
    public Rect NF;
    public int NG;
    public int NH;
    public boolean NI;
    public int NJ;
    public a NK;
    public boolean NL;
    public boolean NM;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface a {
        boolean pi();
    }

    public b(Context context) {
        this(context, null);
    }

    public b(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public b(Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.NJ = Integer.MIN_VALUE;
        this.NM = false;
    }

    private void a(int i2, int i3, int i4) {
        while (true) {
            if (this.NJ == Integer.MIN_VALUE) {
                int[] iArr = new int[2];
                getLocationOnScreen(iArr);
                this.NJ = iArr[1];
            }
            int findFirstVisibleItemPosition = f.b(this).findFirstVisibleItemPosition();
            int findLastVisibleItemPosition = f.b(this).findLastVisibleItemPosition();
            if (findFirstVisibleItemPosition == -1 || findLastVisibleItemPosition == -1) {
                return;
            }
            if (i2 >= findFirstVisibleItemPosition && i2 <= findLastVisibleItemPosition) {
                int i5 = i2 - findFirstVisibleItemPosition;
                if (getChildCount() > i5) {
                    int[] iArr2 = new int[2];
                    getChildAt(i5).getLocationOnScreen(iArr2);
                    scrollBy(0, (iArr2[1] - this.NJ) - i4);
                    return;
                }
                return;
            } else if (i2 > findLastVisibleItemPosition) {
                scrollBy(0, i3);
                a(i2, i3, i4);
                return;
            } else {
                scrollBy(0, -i3);
            }
        }
    }

    private void pg() {
        Rect rect = this.NF;
        if (rect == null) {
            this.NF = new Rect();
        } else {
            rect.setEmpty();
        }
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if (childAt.getVisibility() == 0) {
                this.NF.union(childAt.getLeft(), childAt.getTop(), childAt.getRight(), childAt.getBottom());
            }
        }
    }

    private void ph() {
        RecyclerView.Adapter adapter = getAdapter();
        if (adapter instanceof d) {
            ((d) adapter).pl();
        }
    }

    private void scrollToPositionWithOffset(int i2, int i3) {
        a(i2, getHeight(), 0);
    }

    @Override // androidx.recyclerview.widget.RecyclerView, android.view.ViewGroup, android.view.View
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        ph();
    }

    @Override // androidx.recyclerview.widget.RecyclerView, android.view.View
    public void onDraw(Canvas canvas) {
        if (this.NG != 0) {
            pg();
            Rect rect = this.NF;
            if (rect != null && !rect.isEmpty()) {
                canvas.save();
                canvas.clipRect(this.NF);
                canvas.drawColor(this.NG);
                canvas.restore();
            }
        }
        super.onDraw(canvas);
    }

    @Override // androidx.recyclerview.widget.RecyclerView, android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        if (this.NL) {
            return false;
        }
        if (motionEvent.getAction() == 0 && this.NM) {
            stopScroll();
        }
        a aVar = this.NK;
        if (aVar == null || !aVar.pi()) {
            return super.onInterceptTouchEvent(motionEvent);
        }
        return false;
    }

    @Override // androidx.recyclerview.widget.RecyclerView, android.view.View
    public void onMeasure(int i2, int i3) {
        int size = View.MeasureSpec.getSize(i3);
        int i4 = this.NH;
        if (i4 > 0 && i4 < size) {
            i3 = View.MeasureSpec.makeMeasureSpec(this.NH, View.MeasureSpec.getMode(i3));
        }
        super.onMeasure(i2, i3);
    }

    @Override // androidx.recyclerview.widget.RecyclerView, android.view.View
    @SuppressLint({"ClickableViewAccessibility"})
    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (this.NL) {
            return false;
        }
        return super.onTouchEvent(motionEvent);
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void scrollToPosition(int i2) {
        if (this.NI) {
            scrollToPositionWithOffset(i2, 0);
        } else {
            super.scrollToPosition(i2);
        }
    }

    public void setDisableScroll(boolean z) {
        this.NL = z;
    }

    public void setDownStop(boolean z) {
        this.NM = z;
    }

    public void setIgnoreTouchSwipeHandler(a aVar) {
        this.NK = aVar;
    }

    public void setUnderneathColor(int i2) {
        this.NG = i2;
        pg();
        invalidate();
    }

    public void setUseCustomScrollToPosition(boolean z) {
        this.NI = z;
    }
}
