package com.kwad.components.core.page.widget;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.LinearGradient;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ProgressBar;
import androidx.annotation.ColorInt;
import androidx.annotation.Nullable;
import com.kwad.sdk.m.l;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class TextProgressBar extends ProgressBar {
    @Nullable
    public String OM;
    public LinearGradient ON;
    public Matrix OO;
    public boolean OP;
    public boolean OQ;
    public boolean OR;
    public int OS;
    public int OT;
    public Drawable OU;
    public int OV;
    public Rect OW;
    public int[] OX;
    public int OY;
    public int OZ;
    public boolean Pa;
    public Paint mPaint;
    public RectF mRectF;

    public TextProgressBar(Context context) {
        this(context, null);
    }

    public TextProgressBar(Context context, AttributeSet attributeSet) {
        super(l.wrapContextIfNeed(context), attributeSet);
        this.OQ = false;
        this.OR = true;
        this.OW = new Rect();
        pu();
    }

    private void pu() {
        Paint paint = new Paint();
        this.mPaint = paint;
        paint.setAntiAlias(true);
        this.mPaint.setColor(-1);
        this.mPaint.setTextSize(com.kwad.sdk.d.a.a.a(getContext(), 12.0f));
        this.OV = com.kwad.sdk.d.a.a.a(getContext(), 2.0f);
        this.mRectF = new RectF();
        this.OY = -1;
        this.OZ = -117146;
    }

    private void setProgressText(int i2) {
        this.OM = String.valueOf((int) (((i2 * 1.0f) / getMax()) * 100.0f)) + "%";
    }

    public final void e(String str, int i2) {
        this.OM = str;
        this.OP = true;
        setProgress(i2);
        invalidate();
    }

    @Override // android.widget.ProgressBar, android.view.View
    public synchronized void onDraw(Canvas canvas) {
        int width;
        if (this.OQ) {
            canvas.save();
            canvas.rotate(90.0f);
            canvas.translate(0.0f, -getWidth());
            super.onDraw(canvas);
            canvas.restore();
        } else {
            super.onDraw(canvas);
        }
        if (!TextUtils.isEmpty(this.OM)) {
            this.mPaint.getTextBounds(this.OM, 0, this.OM.length(), this.OW);
        }
        int height = (getHeight() / 2) - this.OW.centerY();
        if (this.OU != null) {
            int intrinsicWidth = this.OU.getIntrinsicWidth();
            int intrinsicHeight = this.OU.getIntrinsicHeight();
            int width2 = (((getWidth() - this.OW.width()) - intrinsicWidth) - this.OV) / 2;
            int i2 = intrinsicWidth + width2;
            this.OU.setBounds(width2, (getHeight() - intrinsicHeight) / 2, i2, (getHeight() + intrinsicHeight) / 2);
            this.OU.draw(canvas);
            width = i2 + this.OV;
        } else {
            width = (getWidth() / 2) - this.OW.centerX();
        }
        if (this.OX != null) {
            float progress = ((getProgress() * 1.0f) / getMax()) * getWidth();
            float f2 = width;
            if (progress >= f2) {
                if (this.ON == null) {
                    this.ON = new LinearGradient(f2, 0.0f, width + this.OW.width(), 0.0f, this.OX, (float[]) null, Shader.TileMode.CLAMP);
                    Matrix matrix = new Matrix();
                    this.OO = matrix;
                    this.ON.setLocalMatrix(matrix);
                }
                this.mPaint.setShader(this.ON);
                this.OO.setScale(((progress - f2) * 1.0f) / this.OW.width(), 1.0f, f2, 0.0f);
                this.ON.setLocalMatrix(this.OO);
            } else {
                this.mPaint.setShader(null);
            }
            canvas.drawText(this.OM, f2, height, this.mPaint);
            return;
        }
        if (!isIndeterminate() && !this.Pa) {
            this.mPaint.setColor(this.OY);
            if (this.OM != null) {
                canvas.drawText(this.OM, width, height, this.mPaint);
            }
            return;
        }
        float width3 = (getWidth() * getProgress()) / getMax();
        int save = canvas.save();
        this.mRectF.set(width3, 0.0f, getWidth(), getHeight());
        canvas.clipRect(this.mRectF);
        this.mPaint.setColor(this.OZ);
        if (this.OM != null) {
            canvas.drawText(this.OM, width, height, this.mPaint);
        }
        canvas.restoreToCount(save);
        int save2 = canvas.save();
        this.mRectF.set(0.0f, 0.0f, width3, getHeight());
        canvas.clipRect(this.mRectF);
        this.mPaint.setColor(this.OY);
        if (this.OM != null) {
            canvas.drawText(this.OM, width, height, this.mPaint);
        }
        canvas.restoreToCount(save2);
    }

    @Override // android.widget.ProgressBar, android.view.View
    public synchronized void onMeasure(int i2, int i3) {
        ViewGroup.LayoutParams layoutParams = getLayoutParams();
        if (layoutParams != null && !TextUtils.isEmpty(this.OM)) {
            Rect rect = new Rect();
            this.mPaint.getTextBounds(this.OM, 0, this.OM.length(), rect);
            if (layoutParams.width == -2) {
                int width = rect.width() + this.OS + this.OT;
                layoutParams.width = width;
                i2 = View.MeasureSpec.makeMeasureSpec(width, 1073741824);
            }
            if (layoutParams.height == -2) {
                int height = rect.height();
                layoutParams.height = height;
                i3 = View.MeasureSpec.makeMeasureSpec(height, 1073741824);
            }
        }
        if (!this.OQ) {
            super.onMeasure(i2, i3);
            return;
        }
        super.onMeasure(i3, i2);
        setMeasuredDimension(getMeasuredHeight(), getMeasuredWidth());
    }

    @Override // android.widget.ProgressBar, android.view.View
    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        if (this.OQ) {
            super.onSizeChanged(i3, i2, i4, i5);
        } else {
            super.onSizeChanged(i2, i3, i4, i5);
        }
    }

    public void setDrawableLeft(Drawable drawable) {
        this.OU = drawable;
    }

    public void setDrawablePadding(int i2) {
        this.OV = i2;
    }

    public void setHasProgress(boolean z) {
        this.OR = z;
    }

    @Override // android.view.View
    public void setPadding(int i2, int i3, int i4, int i5) {
        this.OS = i2;
        this.OT = i4;
    }

    @Override // android.widget.ProgressBar
    public void setProgress(int i2) {
        if (this.OR) {
            super.setProgress(i2);
        } else {
            super.setProgress(0);
        }
    }

    public void setTextColor(int i2) {
        this.Pa = false;
        this.OY = i2;
        postInvalidate();
    }

    public final void setTextColor(@ColorInt int i2, @ColorInt int i3) {
        this.Pa = true;
        this.OY = i2;
        this.OZ = i3;
        postInvalidate();
    }

    public void setTextDimen(float f2) {
        this.mPaint.setTextSize(f2);
    }

    public void setTextDimenSp(int i2) {
        this.mPaint.setTextSize(TypedValue.applyDimension(2, i2, getResources().getDisplayMetrics()));
    }

    public void setVertical(boolean z) {
        this.OQ = z;
    }
}
