package com.kwad.components.core.webview.jshandler;

import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.lifecycle.SavedStateHandle;
import com.kwad.components.core.t.l;
import java.util.ArrayList;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class j implements SensorEventListener, com.kwad.sdk.core.webview.c.a {
    public Map<Integer, com.kwad.sdk.core.webview.c.c> TC = new ConcurrentHashMap();

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class a extends com.kwad.sdk.core.response.a.a {
        public int TF;
        public ArrayList<Float> TG;
        public int accuracy;
        public long timestamp;
        public int type;

        @Override // com.kwad.sdk.core.response.a.a, com.kwad.sdk.core.b
        public final void parseJson(@Nullable JSONObject jSONObject) {
            if (jSONObject == null || jSONObject == null) {
                return;
            }
            this.type = jSONObject.optInt("type");
            this.TF = jSONObject.optInt(com.umeng.analytics.pro.am.aU);
            this.timestamp = jSONObject.optLong("timestamp");
            this.accuracy = jSONObject.optInt("accuracy");
            JSONArray optJSONArray = jSONObject.optJSONArray(SavedStateHandle.VALUES);
            ArrayList<Float> arrayList = new ArrayList<>();
            if (optJSONArray == null) {
                this.TG = arrayList;
                return;
            }
            for (int i2 = 0; i2 < optJSONArray.length(); i2++) {
                try {
                    Object obj = optJSONArray.get(i2);
                    if (obj != null) {
                        arrayList.add((Float) obj);
                    }
                } catch (Throwable unused) {
                }
            }
            this.TG = arrayList;
        }

        @Override // com.kwad.sdk.core.response.a.a, com.kwad.sdk.core.b
        public final JSONObject toJson() {
            JSONObject jSONObject = new JSONObject();
            int i2 = this.type;
            if (i2 != 0) {
                com.kwad.sdk.utils.t.putValue(jSONObject, "type", i2);
            }
            int i3 = this.TF;
            if (i3 != 0) {
                com.kwad.sdk.utils.t.putValue(jSONObject, com.umeng.analytics.pro.am.aU, i3);
            }
            long j2 = this.timestamp;
            if (j2 != 0) {
                com.kwad.sdk.utils.t.putValue(jSONObject, "timestamp", j2);
            }
            int i4 = this.accuracy;
            if (i4 != 0) {
                com.kwad.sdk.utils.t.putValue(jSONObject, "accuracy", i4);
            }
            if (!this.TG.isEmpty()) {
                com.kwad.sdk.utils.t.putValue(jSONObject, SavedStateHandle.VALUES, this.TG);
            }
            return jSONObject;
        }
    }

    private void a(int i2, int i3, final com.kwad.sdk.core.webview.c.c cVar) {
        com.kwad.components.core.t.l.qr().a(i2, i3, this, new l.b() { // from class: com.kwad.components.core.webview.jshandler.j.1
            @Override // com.kwad.components.core.t.l.b
            public final void onFailed() {
                cVar.onError(-1, "sensor is not support");
            }
        });
    }

    private void a(SensorEvent sensorEvent) {
        int type = sensorEvent.sensor.getType();
        if (type == 4) {
            type = 2;
        } else if (type == 10) {
            type = 1;
        }
        com.kwad.sdk.core.webview.c.c cVar = this.TC.get(Integer.valueOf(type));
        if (cVar == null) {
            return;
        }
        ArrayList<Float> arrayList = new ArrayList<>();
        int i2 = 0;
        while (true) {
            float[] fArr = sensorEvent.values;
            if (i2 >= fArr.length) {
                a aVar = new a();
                aVar.TG = arrayList;
                aVar.timestamp = sensorEvent.timestamp;
                aVar.accuracy = sensorEvent.accuracy;
                cVar.a(aVar);
                return;
            }
            arrayList.add(Float.valueOf(fArr[i2]));
            i2++;
        }
    }

    @Override // com.kwad.sdk.core.webview.c.a
    public final void a(String str, @NonNull com.kwad.sdk.core.webview.c.c cVar) {
        if (TextUtils.isEmpty(str)) {
            cVar.onError(-1, "data is empty");
            return;
        }
        a aVar = new a();
        try {
            aVar.parseJson(new JSONObject(str));
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        this.TC.put(Integer.valueOf(aVar.type), cVar);
        a(aVar.type, aVar.TF, cVar);
    }

    @Override // com.kwad.sdk.core.webview.c.a
    @NonNull
    public final String getKey() {
        return "registerSensorListener";
    }

    @Override // android.hardware.SensorEventListener
    public final void onAccuracyChanged(Sensor sensor, int i2) {
    }

    @Override // com.kwad.sdk.core.webview.c.a
    public final void onDestroy() {
        com.kwad.components.core.t.l.qr().a(this);
    }

    @Override // android.hardware.SensorEventListener
    public final void onSensorChanged(SensorEvent sensorEvent) {
        a(sensorEvent);
    }
}
