package com.kwad.framework.filedownloader.f;

import android.app.ActivityManager;
import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Environment;
import android.text.TextUtils;
import com.kwad.components.offline.api.BuildConfig;
import com.kwad.framework.filedownloader.exception.FileDownloadGiveUpRetryException;
import com.kwad.framework.filedownloader.services.FileDownloadServiceProxy;
import com.kwad.sdk.core.imageloader.utils.MemoryCacheUtils;
import com.kwad.sdk.utils.ap;
import com.ss.android.socialbase.downloader.utils.DownloadUtils;
import j.l0;
import java.io.File;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Locale;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class f {
    public static int aeR = 65536;
    public static long aeS = 2000;
    public static String aeT;
    public static Boolean aeU;
    public static Boolean aeV;
    public static final Pattern aeW = Pattern.compile("attachment;\\s*filename\\s*=\\s*\"([^\"]*)\"");

    public static void O(long j2) {
        if (!aq(c.vM())) {
            throw new IllegalAccessException("This value is used in the :filedownloader process, so set this value in your process is without effect. You can add 'process.non-separate=true' in 'filedownloader.properties' to share the main process to FileDownloadService. Or you can configure this value in 'filedownloader.properties' by 'download.min-progress-time'.");
        }
        aeS = j2;
    }

    public static String a(int i2, com.kwad.framework.filedownloader.a.b bVar) {
        if (bVar != null) {
            String aY = bVar.aY(DownloadUtils.ETAG);
            if (d.aeI) {
                d.c(f.class, "etag find %s for task(%d)", aY, Integer.valueOf(i2));
            }
            return aY;
        }
        throw new RuntimeException("connection is null when findEtag");
    }

    public static String a(com.kwad.framework.filedownloader.a.b bVar, String str) {
        String bq = bq(bVar.aY("Content-Disposition"));
        if (TextUtils.isEmpty(bq)) {
            bq = bn(str);
        }
        return bq.replaceAll("\\/", MemoryCacheUtils.URI_AND_SIZE_SEPARATOR);
    }

    public static String a(String str, boolean z, String str2) {
        if (str == null) {
            return null;
        }
        if (z) {
            if (str2 == null) {
                return null;
            }
            return q(str, str2);
        }
        return str;
    }

    public static boolean a(int i2, com.kwad.framework.filedownloader.d.c cVar, Boolean bool) {
        if (cVar == null) {
            if (d.aeI) {
                d.c(f.class, "can't continue %d model == null", Integer.valueOf(i2));
            }
            return false;
        } else if (cVar.uE() == null) {
            if (d.aeI) {
                d.c(f.class, "can't continue %d temp path == null", Integer.valueOf(i2));
            }
            return false;
        } else {
            return a(i2, cVar, cVar.uE(), null);
        }
    }

    public static boolean a(int i2, com.kwad.framework.filedownloader.d.c cVar, String str, Boolean bool) {
        if (str == null) {
            if (d.aeI) {
                d.c(f.class, "can't continue %d path = null", Integer.valueOf(i2));
                return false;
            }
            return false;
        }
        File file = new File(str);
        boolean exists = file.exists();
        boolean isDirectory = file.isDirectory();
        if (!exists || isDirectory) {
            if (d.aeI) {
                d.c(f.class, "can't continue %d file not suit, exists[%B], directory[%B]", Integer.valueOf(i2), Boolean.valueOf(exists), Boolean.valueOf(isDirectory));
                return false;
            }
            return false;
        }
        long length = file.length();
        long vm = cVar.vm();
        if (cVar.vp() <= 1 && vm == 0) {
            if (d.aeI) {
                d.c(f.class, "can't continue %d the downloaded-record is zero.", Integer.valueOf(i2));
                return false;
            }
            return false;
        }
        long total = cVar.getTotal();
        if (length < vm || (total != -1 && (length > total || vm >= total))) {
            if (d.aeI) {
                d.c(f.class, "can't continue %d dirty data fileLength[%d] sofar[%d] total[%d]", Integer.valueOf(i2), Long.valueOf(length), Long.valueOf(vm), Long.valueOf(total));
                return false;
            }
            return false;
        } else if (bool == null || bool.booleanValue() || total != length) {
            return true;
        } else {
            if (d.aeI) {
                d.c(f.class, "can't continue %d, because of the output stream doesn't support seek, but the task has already pre-allocated, so we only can download it from the very beginning.", Integer.valueOf(i2));
                return false;
            }
            return false;
        }
    }

    public static boolean aq(Context context) {
        boolean endsWith;
        Boolean bool = aeU;
        if (bool != null) {
            return bool.booleanValue();
        }
        if (e.vO().aeM) {
            endsWith = true;
        } else if (((ActivityManager) context.getSystemService("activity")) == null) {
            d.d(f.class, "fail to get the activity manager!", new Object[0]);
            return false;
        } else {
            endsWith = ap.getProcessName(context).endsWith(":filedownloader");
        }
        Boolean valueOf = Boolean.valueOf(endsWith);
        aeU = valueOf;
        return valueOf.booleanValue();
    }

    public static void ar(Context context) {
        File as = as(context);
        try {
            as.getParentFile().mkdirs();
            as.createNewFile();
        } catch (IOException e2) {
            e2.printStackTrace();
        }
    }

    public static File as(Context context) {
        return new File(context.getFilesDir().getAbsolutePath() + File.separator + FileDownloadServiceProxy.TAG, ".old_file_converted");
    }

    public static long b(int i2, com.kwad.framework.filedownloader.a.b bVar) {
        long bu = bu(bVar.aY("Content-Length"));
        String aY = bVar.aY(DownloadUtils.TRANSFER_ENCODING);
        if (bu < 0) {
            if (!(aY != null && aY.equals(DownloadUtils.VALUE_CHUNKED))) {
                if (!e.vO().aeL) {
                    throw new FileDownloadGiveUpRetryException("can't know the size of the download file, and its Transfer-Encoding is not Chunked either.\nyou can ignore such exception by add http.lenient=true to the filedownloader.properties");
                }
                if (d.aeI) {
                    d.c(f.class, "%d response header is not legal but HTTP lenient is true, so handle as the case of transfer encoding chunk", Integer.valueOf(i2));
                }
            }
            return -1L;
        }
        return bu;
    }

    public static String b(String str, Object... objArr) {
        return String.format(Locale.ENGLISH, str, objArr);
    }

    public static boolean b(int i2, com.kwad.framework.filedownloader.d.c cVar) {
        return a(i2, cVar, (Boolean) null);
    }

    public static void bH(int i2) {
        if (!aq(c.vM())) {
            throw new IllegalAccessException("This value is used in the :filedownloader process, so set this value in your process is without effect. You can add 'process.non-separate=true' in 'filedownloader.properties' to share the main process to FileDownloadService. Or you can configure this value in 'filedownloader.properties' by 'download.min-progress-step'.");
        }
        aeR = i2;
    }

    public static String bm(String str) {
        return q(vS(), bn(str));
    }

    public static String bn(String str) {
        return bp(str);
    }

    public static String bo(String str) {
        return b("%s.temp", str);
    }

    public static String bp(String str) {
        try {
            byte[] digest = MessageDigest.getInstance("MD5").digest(str.getBytes("UTF-8"));
            StringBuilder sb = new StringBuilder(digest.length * 2);
            for (byte b : digest) {
                int i2 = b & l0.MAX_VALUE;
                if (i2 < 16) {
                    sb.append("0");
                }
                sb.append(Integer.toHexString(i2));
            }
            return sb.toString();
        } catch (UnsupportedEncodingException e2) {
            throw new RuntimeException("Huh, UTF-8 should be supported?", e2);
        } catch (NoSuchAlgorithmException e3) {
            throw new RuntimeException("Huh, MD5 should be supported?", e3);
        }
    }

    public static String bq(String str) {
        if (str == null) {
            return null;
        }
        try {
            Matcher matcher = aeW.matcher(str);
            if (matcher.find()) {
                return matcher.group(1);
            }
        } catch (IllegalStateException unused) {
        }
        return null;
    }

    public static String br(String str) {
        int length = str.length();
        int i2 = 2;
        int i3 = (File.separatorChar == '\\' && length > 2 && str.charAt(1) == ':') ? 2 : 0;
        int lastIndexOf = str.lastIndexOf(File.separatorChar);
        if (lastIndexOf != -1 || i3 <= 0) {
            i2 = lastIndexOf;
        }
        if (i2 != -1) {
            char charAt = str.charAt(length - 1);
            char c2 = File.separatorChar;
            if (charAt == c2) {
                return null;
            }
            return (str.indexOf(c2) == i2 && str.charAt(i3) == File.separatorChar) ? str.substring(0, i2 + 1) : str.substring(0, i2);
        }
        return null;
    }

    public static String bs(String str) {
        return "FileDownloader-" + str;
    }

    public static boolean bt(String str) {
        return c.vM().checkCallingOrSelfPermission(str) == 0;
    }

    public static long bu(String str) {
        if (str == null) {
            return -1L;
        }
        try {
            return Long.parseLong(str);
        } catch (NumberFormatException unused) {
            return -1L;
        }
    }

    public static com.kwad.framework.filedownloader.e.a bv(String str) {
        if (TextUtils.isEmpty(str)) {
            throw new RuntimeException("found invalid internal destination path, empty");
        }
        File file = new File(str);
        if (file.exists() && file.isDirectory()) {
            file.delete();
            if (!file.createNewFile()) {
                throw new RuntimeException(b("found invalid internal destination path[%s], & path is directory[%B]", str, Boolean.valueOf(file.isDirectory())));
            }
        }
        if (file.exists() || file.createNewFile()) {
            return com.kwad.framework.filedownloader.download.b.up().b(file);
        }
        throw new IOException(b("create new file error  %s", file.getAbsolutePath()));
    }

    public static void bw(String str) {
        if (str != null) {
            File file = new File(str);
            if (file.exists()) {
                file.delete();
            }
        }
    }

    public static void bx(String str) {
        if (str != null) {
            File file = new File(str);
            if (file.exists()) {
                file.delete();
            }
        }
    }

    public static int g(String str, String str2, boolean z) {
        return com.kwad.framework.filedownloader.download.b.up().uq().g(str, str2, z);
    }

    public static boolean g(long j2, long j3) {
        return j2 > ((long) vQ()) && j3 > vR();
    }

    public static String q(String str, String str2) {
        if (str2 != null) {
            if (str != null) {
                return b("%s%s%s", str, File.separator, str2);
            }
            throw new IllegalStateException("can't generate real path, the directory is null");
        }
        throw new IllegalStateException("can't generate real path, the file name is null");
    }

    public static int r(String str, String str2) {
        return com.kwad.framework.filedownloader.download.b.up().uq().g(str, str2, false);
    }

    public static void s(String str, String str2) {
        bw(str2);
        bx(str);
    }

    public static int vQ() {
        return aeR;
    }

    public static long vR() {
        return aeS;
    }

    public static String vS() {
        if (TextUtils.isEmpty(aeT)) {
            return (c.vM().getExternalCacheDir() == null ? Environment.getDownloadCacheDirectory() : c.vM().getExternalCacheDir()).getAbsolutePath();
        }
        return aeT;
    }

    public static boolean vT() {
        ConnectivityManager connectivityManager = (ConnectivityManager) c.vM().getSystemService("connectivity");
        if (connectivityManager == null) {
            d.d(f.class, "failed to get connectivity manager!", new Object[0]);
            return true;
        }
        NetworkInfo activeNetworkInfo = connectivityManager.getActiveNetworkInfo();
        return activeNetworkInfo == null || activeNetworkInfo.getType() != 1;
    }

    public static String vU() {
        return b("FileDownloader/%s", BuildConfig.VERSION_NAME);
    }
}
