package com.kwad.library.b.a;

import android.os.Build;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.Nullable;
import com.bytedance.pangle.PluginClassLoader;
import dalvik.system.BaseDexClassLoader;
import java.io.File;
import java.util.Iterator;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class b extends BaseDexClassLoader {
    public final List<String> afb;
    public final List<String> afc;
    public final ClassLoader afd;

    public b(ClassLoader classLoader, String str, @Nullable File file, String str2, List<String> list, List<String> list2) {
        super(str, file, str2, classLoader);
        this.afd = classLoader;
        this.afb = list;
        this.afc = list2;
        while (classLoader.getParent() != null) {
            classLoader = classLoader.getParent();
        }
        Log.i(PluginClassLoader.TAG, "mParent is " + classLoader.getClass().getName());
    }

    @Override // dalvik.system.BaseDexClassLoader, java.lang.ClassLoader
    public final String findLibrary(String str) {
        String findLibrary = super.findLibrary(str);
        if (TextUtils.isEmpty(findLibrary) && (this.afd instanceof BaseDexClassLoader)) {
            StringBuilder sb = new StringBuilder("load so ");
            sb.append(str);
            sb.append(" from parent");
            return ((BaseDexClassLoader) this.afd).findLibrary(str);
        }
        return findLibrary;
    }

    @Override // java.lang.ClassLoader
    public final Class<?> loadClass(String str, boolean z) {
        List<String> list = this.afb;
        if (list != null && list.contains(str)) {
            Log.i(PluginClassLoader.TAG, "loadClass " + str + " from host by interface");
            return super.loadClass(str, z);
        }
        List<String> list2 = this.afc;
        if (list2 != null) {
            Iterator<String> it = list2.iterator();
            while (it.hasNext()) {
                if (str.startsWith(it.next() + e.b.a.a.f.b.DOT)) {
                    return super.loadClass(str, z);
                }
            }
        }
        Class<?> findLoadedClass = findLoadedClass(str);
        if (findLoadedClass != null) {
            return findLoadedClass;
        }
        try {
            return findClass(str);
        } catch (ClassNotFoundException e2) {
            try {
                return getParent().loadClass(str);
            } catch (ClassNotFoundException e3) {
                if (Build.VERSION.SDK_INT >= 19) {
                    e3.addSuppressed(e2);
                }
                throw e3;
            }
        }
    }
}
