package com.kwad.sdk.api.loader;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.text.TextUtils;
import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import com.kwad.components.offline.api.BuildConfig;
import com.kwad.sdk.api.KsAdSDK;
import com.kwad.sdk.api.SdkConfig;
import com.kwad.sdk.api.core.IKsAdSDK;
import com.kwad.sdk.api.core.KSLifecycleObserver;
import com.kwad.sdk.api.core.KsAdSdkDynamicApi;
import com.kwad.sdk.api.proxy.IComponentProxy;
import java.util.concurrent.atomic.AtomicBoolean;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class Loader {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    @SuppressLint({"StaticFieldLeak"})
    public static Context mContext;
    public final AtomicBoolean IP;
    public IKsAdSDK aiL;
    public k aiM;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class a {
        public static final Loader aiN = new Loader((byte) 0);
    }

    public Loader() {
        this.aiM = null;
        this.IP = new AtomicBoolean(false);
    }

    public /* synthetic */ Loader(byte b) {
        this();
    }

    @NonNull
    @MainThread
    public static synchronized IKsAdSDK a(ClassLoader classLoader) {
        IKsAdSDK iKsAdSDK;
        synchronized (Loader.class) {
            try {
                Object invoke = Class.forName(((KsAdSdkDynamicApi) IKsAdSDK.class.getAnnotation(KsAdSdkDynamicApi.class)).value(), true, classLoader).getDeclaredMethod("get", new Class[0]).invoke(null, new Object[0]);
                if (invoke == null) {
                    throw new RuntimeException("Can not get sdk form " + classLoader);
                }
                iKsAdSDK = (IKsAdSDK) invoke;
            } catch (Exception e2) {
                throw new RuntimeException(e2);
            }
        }
        return iKsAdSDK;
    }

    private boolean aC(Context context) {
        String ay = g.ay(context);
        String az = g.az(context);
        if (TextUtils.isEmpty(ay) && TextUtils.isEmpty(az)) {
            return false;
        }
        if (!TextUtils.isEmpty(az) && g.F(az, ay)) {
            g.k(context, az);
            u(context, ay);
            g.l(context, "");
            ay = az;
        }
        return !TextUtils.isEmpty(ay);
    }

    public static void aD(Context context) {
        String aA = g.aA(context);
        boolean b = t.b(context, g.air, false);
        if (TextUtils.isEmpty(aA) || !aA.equals(BuildConfig.VERSION_NAME) || b) {
            String ay = g.ay(context);
            g.k(context, "");
            g.l(context, "");
            t.a(context, g.air, false);
            h.j(h.p(context, ay));
            g.m(context, BuildConfig.VERSION_NAME);
        }
    }

    public static Loader get() {
        return a.aiN;
    }

    public static void u(Context context, String str) {
        h.t(context, str);
    }

    public static void yu() {
        try {
            int ym = com.kwad.sdk.api.c.ym();
            if (ym > 0) {
                d.ax(mContext).setDefaultUncaughtExceptionHandler(Thread.getDefaultUncaughtExceptionHandler());
                Thread.setDefaultUncaughtExceptionHandler(d.ax(mContext));
                d.ax(mContext).bP(ym);
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public Context getContext() {
        return mContext;
    }

    @MainThread
    public ClassLoader getExternalClassLoader() {
        k kVar = this.aiM;
        if (kVar != null) {
            return kVar.getClassLoader();
        }
        return null;
    }

    @MainThread
    public Resources getExternalResource() {
        k kVar = this.aiM;
        if (kVar != null) {
            return kVar.yr();
        }
        return null;
    }

    public ClassLoader getRealClassLoader() {
        k kVar = this.aiM;
        return kVar != null ? kVar.getClassLoader() : Loader.class.getClassLoader();
    }

    public IKsAdSDK init(@NonNull Context context, ClassLoader classLoader) {
        if (this.IP.get()) {
            return this.aiL;
        }
        mContext = context.getApplicationContext();
        aD(context);
        if (aC(context)) {
            this.aiM = k.a(context, classLoader, g.ay(context));
        }
        k kVar = this.aiM;
        if (kVar == null) {
            IKsAdSDK a2 = a(Loader.class.getClassLoader());
            this.aiL = a2;
            a2.setIsExternal(false);
        } else {
            IKsAdSDK ys = kVar.ys();
            this.aiL = ys;
            ys.setIsExternal(true);
        }
        com.kwad.sdk.api.c.a(this.aiL);
        if (this.aiM != null) {
            yu();
        }
        this.IP.set(true);
        return this.aiL;
    }

    public boolean isExternalLoaded() {
        return this.aiM != null;
    }

    @MainThread
    public <T extends IComponentProxy> T newComponentProxy(Context context, Class<?> cls, Object obj) {
        if (!KsAdSDK.sHasInit.get()) {
            KsAdSDK.init(context, SdkConfig.create(t.getString(context, "sdkconfig")));
        }
        return (T) this.aiL.newComponentProxy(cls, obj);
    }

    @MainThread
    public <T> T newInstance(Class<T> cls) {
        if (!KsAdSDK.sHasInit.get()) {
            Context context = mContext;
            if (context == null) {
                context = KSLifecycleObserver.getInstance().getApplication();
            }
            KsAdSDK.init(context, SdkConfig.create(t.getString(context, "sdkconfig")));
        }
        return (T) this.aiL.newInstance(cls);
    }

    public void rest() {
        this.IP.set(false);
        mContext = null;
        this.aiL = null;
        this.aiM = null;
    }
}
