package com.kwad.sdk.b;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.net.Uri;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import com.kwad.sdk.core.e.c;
import com.kwad.sdk.service.ServiceProvider;
import com.kwad.sdk.utils.InstalledAppInfoManager;
import com.kwad.sdk.utils.k;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.concurrent.atomic.AtomicBoolean;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class b {
    public static final Map<String, String> ajA = new HashMap();
    public final AtomicBoolean ajB;
    public final AtomicBoolean ajC;
    public final BroadcastReceiver ajD;
    public final List<com.kwad.sdk.b.a> mListeners;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class a {
        public static final b ajF = new b((byte) 0);
    }

    public b() {
        this.ajB = new AtomicBoolean();
        this.ajC = new AtomicBoolean();
        this.mListeners = new CopyOnWriteArrayList();
        this.ajD = new BroadcastReceiver() { // from class: com.kwad.sdk.b.b.1
            @Override // android.content.BroadcastReceiver
            public final void onReceive(Context context, Intent intent) {
                Uri data;
                if (intent == null) {
                    return;
                }
                try {
                    String action = intent.getAction();
                    if (TextUtils.isEmpty(action) || (data = intent.getData()) == null) {
                        return;
                    }
                    String schemeSpecificPart = data.getSchemeSpecificPart();
                    if (TextUtils.isEmpty(schemeSpecificPart)) {
                        return;
                    }
                    if (TextUtils.equals("android.intent.action.PACKAGE_ADDED", action)) {
                        b.this.w(context, schemeSpecificPart);
                    } else if (TextUtils.equals("android.intent.action.PACKAGE_REMOVED", action)) {
                        b.this.ce(schemeSpecificPart);
                    }
                } catch (Throwable th) {
                    c.printStackTrace(th);
                }
            }
        };
    }

    public /* synthetic */ b(byte b) {
        this();
    }

    private synchronized void aF(Context context) {
        if (this.ajB.get()) {
            return;
        }
        y(context, "com.smile.gifmaker");
        y(context, "com.kuaishou.nebula");
        y(context, "com.tencent.mm");
        this.ajB.set(true);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void ce(@NonNull String str) {
        c.d("AppInstallManager", "unInstallApp packageName: " + str);
        ci(str);
        cf(str);
        ch(str);
    }

    public static void cf(@NonNull String str) {
        try {
            InstalledAppInfoManager.AppPackageInfo appPackageInfo = new InstalledAppInfoManager.AppPackageInfo();
            appPackageInfo.packageName = str;
            ((com.kwad.sdk.service.a.b) ServiceProvider.get(com.kwad.sdk.service.a.b.class)).e(InstalledAppInfoManager.a(appPackageInfo), 2);
        } catch (Throwable th) {
            c.printStackTrace(th);
        }
    }

    private void cg(String str) {
        for (com.kwad.sdk.b.a aVar : this.mListeners) {
            try {
                aVar.S(str);
            } catch (Throwable th) {
                c.printStackTrace(th);
            }
        }
    }

    private void ch(String str) {
        Iterator<com.kwad.sdk.b.a> it = this.mListeners.iterator();
        while (it.hasNext()) {
            it.next();
        }
    }

    public static void ci(String str) {
        char c2;
        int hashCode = str.hashCode();
        if (hashCode == -973170826) {
            if (str.equals("com.tencent.mm")) {
                c2 = 2;
            }
            c2 = 65535;
        } else if (hashCode != 473713875) {
            if (hashCode == 1659293491 && str.equals("com.smile.gifmaker")) {
                c2 = 0;
            }
            c2 = 65535;
        } else {
            if (str.equals("com.kuaishou.nebula")) {
                c2 = 1;
            }
            c2 = 65535;
        }
        if (c2 == 0) {
            ajA.put("com.smile.gifmaker", "");
        } else if (c2 == 1) {
            ajA.put("com.kuaishou.nebula", "");
        } else if (c2 != 2) {
        } else {
            ajA.put("com.tencent.mm", "");
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void w(Context context, @NonNull String str) {
        c.d("AppInstallManager", "installApp packageName: " + str);
        y(context, str);
        x(context, str);
        cg(str);
    }

    public static void x(Context context, @NonNull String str) {
        try {
            PackageManager packageManager = context.getPackageManager();
            PackageInfo packageInfo = packageManager.getPackageInfo(str, 0);
            if (packageInfo != null) {
                ((com.kwad.sdk.service.a.b) ServiceProvider.get(com.kwad.sdk.service.a.b.class)).e(InstalledAppInfoManager.a(InstalledAppInfoManager.a(packageInfo, packageManager)), 1);
            }
        } catch (Throwable th) {
            c.printStackTrace(th);
        }
    }

    public static void y(Context context, String str) {
        char c2;
        int hashCode = str.hashCode();
        if (hashCode == -973170826) {
            if (str.equals("com.tencent.mm")) {
                c2 = 2;
            }
            c2 = 65535;
        } else if (hashCode != 473713875) {
            if (hashCode == 1659293491 && str.equals("com.smile.gifmaker")) {
                c2 = 0;
            }
            c2 = 65535;
        } else {
            if (str.equals("com.kuaishou.nebula")) {
                c2 = 1;
            }
            c2 = 65535;
        }
        if (c2 == 0) {
            ajA.put("com.smile.gifmaker", k.J(context, "com.smile.gifmaker"));
        } else if (c2 == 1) {
            ajA.put("com.kuaishou.nebula", k.J(context, "com.kuaishou.nebula"));
        } else if (c2 != 2) {
        } else {
            ajA.put("com.tencent.mm", k.J(context, "com.tencent.mm"));
        }
    }

    public static b yB() {
        return a.ajF;
    }

    public final void a(com.kwad.sdk.b.a aVar) {
        if (aVar == null) {
            return;
        }
        checkInit();
        this.mListeners.add(aVar);
    }

    public final void b(com.kwad.sdk.b.a aVar) {
        if (aVar == null) {
            return;
        }
        checkInit();
        this.mListeners.remove(aVar);
    }

    public final synchronized void checkInit() {
        try {
            if (this.ajC.get()) {
                return;
            }
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("android.intent.action.PACKAGE_ADDED");
            intentFilter.addAction("android.intent.action.PACKAGE_REMOVED");
            intentFilter.addDataScheme("package");
            ServiceProvider.HD().registerReceiver(this.ajD, intentFilter);
            this.ajC.set(true);
        } catch (Throwable th) {
            c.printStackTraceOnly(th);
        }
    }

    public final String getVersion(Context context, String str) {
        if (TextUtils.isEmpty(str)) {
            return "";
        }
        aF(context);
        return ajA.get(str);
    }
}
