package com.kwad.sdk.core;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import androidx.annotation.NonNull;
import androidx.core.content.ContextCompat;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class NetworkMonitor {
    public static volatile boolean ake = false;
    public final List<a> akf;
    public boolean akg;
    public final BroadcastReceiver akh;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public enum Holder {
        INSTANCE;
        
        public final NetworkMonitor mInstance = new NetworkMonitor((byte) 0);

        Holder() {
        }

        public final NetworkMonitor getInstance() {
            return this.mInstance;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public enum NetworkState {
        NETWORK_NONE,
        NETWORK_MOBILE,
        NETWORK_WIFI
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface a {
        void a(NetworkState networkState);
    }

    public NetworkMonitor() {
        this.akf = new CopyOnWriteArrayList();
        this.akg = false;
        this.akh = new BroadcastReceiver() { // from class: com.kwad.sdk.core.NetworkMonitor.1
            @Override // android.content.BroadcastReceiver
            public final void onReceive(@NonNull Context context, Intent intent) {
                ConnectivityManager connectivityManager;
                NetworkMonitor networkMonitor;
                NetworkState networkState;
                try {
                    if ((ContextCompat.checkSelfPermission(context, "android.permission.ACCESS_NETWORK_STATE") == 0) && (connectivityManager = (ConnectivityManager) context.getSystemService("connectivity")) != null) {
                        NetworkInfo activeNetworkInfo = connectivityManager.getActiveNetworkInfo();
                        if (activeNetworkInfo == null || !activeNetworkInfo.isConnected()) {
                            NetworkMonitor.this.b(NetworkState.NETWORK_NONE);
                            return;
                        }
                        if (1 == activeNetworkInfo.getType()) {
                            networkMonitor = NetworkMonitor.this;
                            networkState = NetworkState.NETWORK_WIFI;
                        } else if (activeNetworkInfo.getType() == 0) {
                            networkMonitor = NetworkMonitor.this;
                            networkState = NetworkState.NETWORK_MOBILE;
                        } else {
                            networkMonitor = NetworkMonitor.this;
                            networkState = NetworkState.NETWORK_NONE;
                        }
                        networkMonitor.b(networkState);
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
    }

    public /* synthetic */ NetworkMonitor(byte b) {
        this();
    }

    private synchronized void aN(Context context) {
        if (ake || context == null) {
            return;
        }
        context.getApplicationContext().registerReceiver(this.akh, new IntentFilter("android.net.conn.CONNECTIVITY_CHANGE"));
        ake = true;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b(NetworkState networkState) {
        for (a aVar : this.akf) {
            aVar.a(networkState);
        }
    }

    public static NetworkMonitor getInstance() {
        return Holder.INSTANCE.getInstance();
    }

    public final void a(Context context, @NonNull a aVar) {
        aN(context);
        this.akf.add(aVar);
    }

    public final void a(a aVar) {
        this.akf.remove(aVar);
    }
}
