package com.kwad.sdk.core.diskcache;

import androidx.annotation.NonNull;
import com.kwad.sdk.core.threads.GlobalThreadPools;
import com.kwad.sdk.service.ServiceProvider;
import com.kwad.sdk.service.a.e;
import com.kwad.sdk.utils.av;
import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Future;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class ApkCacheManager {
    public Future afI;
    public File amQ;
    public final ExecutorService amR;
    public final Callable<Void> amS;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public enum Holder {
        INSTANCE;
        
        public ApkCacheManager mInstance = new ApkCacheManager((byte) 0);

        Holder() {
        }

        public final ApkCacheManager getInstance() {
            return this.mInstance;
        }
    }

    public ApkCacheManager() {
        this.amR = GlobalThreadPools.CZ();
        this.amS = new Callable<Void>() { // from class: com.kwad.sdk.core.diskcache.ApkCacheManager.1
            /* JADX INFO: Access modifiers changed from: private */
            @Override // java.util.concurrent.Callable
            /* renamed from: Ak */
            public Void call() {
                synchronized (ApkCacheManager.class) {
                    if (ApkCacheManager.this.amQ != null && ApkCacheManager.this.amQ.exists() && !ApkCacheManager.this.Ai()) {
                        for (File file : ApkCacheManager.this.n(ApkCacheManager.this.amQ)) {
                            if (file.getName().endsWith(".apk")) {
                                ApkCacheManager.this.h(file);
                                if (ApkCacheManager.this.Ai()) {
                                    return null;
                                }
                            }
                        }
                        return null;
                    }
                    return null;
                }
            }
        };
        if (((e) ServiceProvider.get(e.class)).getContext() == null) {
            return;
        }
        try {
            this.amQ = av.cK(((e) ServiceProvider.get(e.class)).getContext());
        } catch (Throwable unused) {
        }
    }

    public /* synthetic */ ApkCacheManager(byte b) {
        this();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean Ai() {
        File file = this.amQ;
        if (file == null || !file.exists()) {
            return false;
        }
        File[] listFiles = this.amQ.listFiles();
        if (listFiles.length > 5) {
            return listFiles.length <= 10 && l(this.amQ) <= 400;
        }
        return true;
    }

    public static ApkCacheManager getInstance() {
        return Holder.INSTANCE.getInstance();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void h(File file) {
        if (file != null && file.exists()) {
            try {
                if (file.isDirectory()) {
                    for (File file2 : file.listFiles()) {
                        h(file2);
                    }
                    file.delete();
                } else if (file.exists()) {
                    file.delete();
                }
            } catch (Exception unused) {
            }
        }
    }

    private int l(File file) {
        return (int) ((((float) m(file)) / 1000.0f) / 1000.0f);
    }

    private long m(File file) {
        File[] listFiles = file.listFiles();
        long j2 = 0;
        if (listFiles != null) {
            int length = listFiles.length;
            for (int i2 = 0; i2 < length; i2++) {
                j2 += listFiles[i2].isDirectory() ? m(listFiles[i2]) : listFiles[i2].length();
            }
        }
        return j2;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public List<File> n(@NonNull File file) {
        ArrayList arrayList = new ArrayList();
        File[] listFiles = file.listFiles();
        if (listFiles == null) {
            return arrayList;
        }
        arrayList.addAll(Arrays.asList(listFiles));
        r(arrayList);
        return arrayList;
    }

    private void r(List<File> list) {
        Collections.sort(list, new Comparator<File>() { // from class: com.kwad.sdk.core.diskcache.ApkCacheManager.2
            public static int c(File file, File file2) {
                if (file.lastModified() >= file2.lastModified()) {
                    return file.lastModified() == file2.lastModified() ? 0 : 1;
                }
                return -1;
            }

            @Override // java.util.Comparator
            public final /* synthetic */ int compare(File file, File file2) {
                return c(file, file2);
            }
        });
    }

    public final void Aj() {
        File file = this.amQ;
        if (file == null || !file.exists()) {
            return;
        }
        Future future = this.afI;
        if (future == null || future.isDone()) {
            this.afI = this.amR.submit(this.amS);
        }
    }
}
