package com.kwad.sdk.core.download;

import android.annotation.SuppressLint;
import android.content.Context;
import android.text.TextUtils;
import android.webkit.URLUtil;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.app.NotificationCompat;
import com.kwad.sdk.DownloadTask;
import com.kwad.sdk.core.network.q;
import com.kwad.sdk.core.network.s;
import com.kwad.sdk.core.response.model.AdInfo;
import com.kwad.sdk.core.response.model.AdTemplate;
import com.kwad.sdk.service.ServiceProvider;
import com.kwad.sdk.utils.ad;
import com.kwad.sdk.utils.ag;
import com.kwad.sdk.utils.av;
import com.kwad.sdk.utils.v;
import com.kwad.sdk.utils.w;
import java.io.BufferedInputStream;
import java.io.Closeable;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Random;
import java.util.zip.GZIPInputStream;
import okhttp3.internal.http2.Http2ExchangeCodec;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class a {
    @SuppressLint({"StaticFieldLeak"})
    public static Context mContext;
    public static volatile boolean mHasInit;

    /* compiled from: AAA */
    /* renamed from: com.kwad.sdk.core.download.a$a  reason: collision with other inner class name */
    /* loaded from: classes3.dex */
    public static class C0167a implements c {
        public final OutputStream anC;

        public C0167a(File file, boolean z) {
            this.anC = new FileOutputStream(file, z);
        }

        @Override // java.io.Closeable, java.lang.AutoCloseable
        public final void close() {
            this.anC.close();
        }

        @Override // com.kwad.sdk.core.download.a.c
        public final void write(byte[] bArr, int i2, int i3) {
            this.anC.write(bArr, 0, i3);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface b {
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface c extends Closeable {
        void write(byte[] bArr, int i2, int i3);
    }

    @Nullable
    public static String B(AdInfo adInfo) {
        if (mContext == null) {
            return "";
        }
        DownloadParams transform = DownloadParams.transform(adInfo);
        if (TextUtils.isEmpty(transform.mFileUrl)) {
            return null;
        }
        return av.cK(mContext) + File.separator + cG(transform.mFileUrl);
    }

    public static void C(@NonNull AdInfo adInfo) {
        a(adInfo, false);
    }

    public static InputStream a(Map<String, List<String>> map, InputStream inputStream) {
        List<String> value;
        for (Map.Entry<String, List<String>> entry : map.entrySet()) {
            if (e.b.b.a.a.f.h.c.CONTENT_ENCODING.equalsIgnoreCase(entry.getKey()) && (value = entry.getValue()) != null && !value.isEmpty()) {
                boolean z = false;
                Iterator<String> it = value.iterator();
                while (true) {
                    if (it.hasNext()) {
                        if ("gzip".equalsIgnoreCase(it.next())) {
                            z = true;
                            break;
                        }
                    } else {
                        break;
                    }
                }
                if (z) {
                    try {
                        return new GZIPInputStream(inputStream);
                    } catch (IOException unused) {
                    }
                } else {
                    continue;
                }
            }
        }
        return inputStream;
    }

    public static URLConnection a(String str, int i2, int i3, boolean z) {
        try {
            URLConnection openConnection = new URL(str).openConnection();
            s.wrapHttpURLConnection(openConnection);
            openConnection.setRequestProperty("Accept-Language", "zh-CN");
            openConnection.setConnectTimeout(10000);
            if (i3 > 0) {
                openConnection.setReadTimeout(i3);
            }
            openConnection.setUseCaches(false);
            openConnection.setDoInput(true);
            openConnection.setRequestProperty("Connection", Http2ExchangeCodec.KEEP_ALIVE);
            openConnection.setRequestProperty("Charset", "UTF-8");
            return openConnection;
        } catch (MalformedURLException e2) {
            com.kwad.sdk.core.e.c.printStackTrace(e2);
            return null;
        }
    }

    public static void a(@NonNull AdInfo adInfo, boolean z) {
        Context context = mContext;
        if (context == null) {
            return;
        }
        if (!ag.isNetworkConnected(context)) {
            Context context2 = mContext;
            v.L(context2, w.bW(context2));
            return;
        }
        DownloadParams transform = DownloadParams.transform(adInfo);
        int i2 = 0;
        transform.requestInstallPermission = false;
        String str = transform.mFileUrl;
        if (TextUtils.isEmpty(str) || !URLUtil.isNetworkUrl(str)) {
            return;
        }
        DownloadTask.DownloadRequest downloadRequest = new DownloadTask.DownloadRequest(transform.mFileUrl);
        downloadRequest.setDestinationFileName(cG(str));
        downloadRequest.setTag(transform);
        downloadRequest.setDownloadEnablePause(transform.downloadEnablePause);
        if (ServiceProvider.HE().showNotification && aU(mContext)) {
            i2 = 3;
        }
        downloadRequest.setNotificationVisibility(i2);
        com.kwad.sdk.e.a.a(mContext, transform.mDownloadid, downloadRequest);
    }

    public static boolean a(String str, File file, b bVar, int i2) {
        C0167a c0167a;
        C0167a c0167a2 = null;
        try {
            c0167a = new C0167a(file, false);
        } catch (Throwable th) {
            th = th;
        }
        try {
            boolean a = a(str, (String) null, c0167a, (b) null, 0);
            com.kwad.sdk.crash.utils.b.closeQuietly(c0167a);
            return a;
        } catch (Throwable th2) {
            th = th2;
            c0167a2 = c0167a;
            com.kwad.sdk.crash.utils.b.closeQuietly(c0167a2);
            throw th;
        }
    }

    public static boolean a(String str, File file, b bVar, int i2, boolean z) {
        C0167a c0167a = null;
        try {
            C0167a c0167a2 = new C0167a(file, true);
            try {
                boolean a = a(str, (String) null, (c) c0167a2, (b) null, -1, file.length(), -1L, true);
                com.kwad.sdk.crash.utils.b.closeQuietly(c0167a2);
                return a;
            } catch (Throwable th) {
                th = th;
                c0167a = c0167a2;
                com.kwad.sdk.crash.utils.b.closeQuietly(c0167a);
                throw th;
            }
        } catch (Throwable th2) {
            th = th2;
        }
    }

    public static boolean a(String str, String str2, c cVar, b bVar, int i2) {
        return a(str, (String) null, cVar, bVar, i2, -1L, -1L, false);
    }

    public static boolean a(String str, String str2, c cVar, b bVar, int i2, long j2, long j3, boolean z) {
        HttpURLConnection httpURLConnection;
        HttpURLConnection httpURLConnection2 = null;
        try {
            httpURLConnection = (HttpURLConnection) a(str, 10000, i2 > 0 ? i2 : 120000, false);
        } catch (Throwable th) {
            th = th;
        }
        try {
            if (httpURLConnection != null) {
                boolean a = a(httpURLConnection, str2, cVar, bVar, i2, j2, -1L, z);
                com.kwad.sdk.crash.utils.b.closeQuietly(cVar);
                if (httpURLConnection != null) {
                    httpURLConnection.disconnect();
                }
                return a;
            }
            throw new IOException("Fail to createUrlConnection");
        } catch (Throwable th2) {
            th = th2;
            httpURLConnection2 = httpURLConnection;
            com.kwad.sdk.crash.utils.b.closeQuietly(cVar);
            if (httpURLConnection2 != null) {
                httpURLConnection2.disconnect();
            }
            throw th;
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:65:0x0139 A[Catch: all -> 0x0163, TryCatch #1 {all -> 0x0163, blocks: (B:63:0x0135, B:65:0x0139, B:67:0x0162, B:66:0x013c), top: B:79:0x0135 }] */
    /* JADX WARN: Removed duplicated region for block: B:66:0x013c A[Catch: all -> 0x0163, TryCatch #1 {all -> 0x0163, blocks: (B:63:0x0135, B:65:0x0139, B:67:0x0162, B:66:0x013c), top: B:79:0x0135 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static boolean a(HttpURLConnection httpURLConnection, String str, c cVar, b bVar, int i2, long j2, long j3, boolean z) {
        FileOutputStream fileOutputStream;
        File file;
        InputStream inputStream = null;
        if (j2 > 0 && z) {
            try {
                Object[] objArr = new Object[2];
                objArr[0] = Long.valueOf(j2);
                objArr[1] = j3 > 0 ? Long.valueOf(j3) : "";
                httpURLConnection.setRequestProperty(e.b.b.a.a.f.h.c.RANGE, String.format("bytes=%s-%s", objArr));
            } catch (Throwable th) {
                th = th;
                fileOutputStream = null;
                file = null;
                try {
                    if (th instanceof IOException) {
                        throw th;
                    }
                    throw new IOException(th.getClass().getName() + ":" + th.getMessage(), th);
                } finally {
                    com.kwad.sdk.crash.utils.b.closeQuietly(cVar);
                    com.kwad.sdk.crash.utils.b.closeQuietly(inputStream);
                    if (httpURLConnection != null) {
                        httpURLConnection.disconnect();
                    }
                    com.kwad.sdk.crash.utils.b.closeQuietly(fileOutputStream);
                    if (file != null) {
                        file.delete();
                    }
                }
            }
        }
        q.b(httpURLConnection);
        httpURLConnection.setRequestProperty(e.h.a.d.HEADER_ACCEPT_ENCODING, "gzip");
        if (!TextUtils.isEmpty(str)) {
            httpURLConnection.setRequestProperty(e.b.b.a.a.f.h.c.HOST, str);
            httpURLConnection.setInstanceFollowRedirects(false);
            if (httpURLConnection.getResponseCode() == 302) {
                boolean a = a(httpURLConnection.getHeaderField(e.b.b.a.a.f.h.c.LOCATION), (String) null, cVar, bVar, i2);
                com.kwad.sdk.crash.utils.b.closeQuietly(cVar);
                com.kwad.sdk.crash.utils.b.closeQuietly((Closeable) null);
                if (httpURLConnection != null) {
                    httpURLConnection.disconnect();
                }
                com.kwad.sdk.crash.utils.b.closeQuietly((Closeable) null);
                return a;
            }
        }
        InputStream bufferedInputStream = new BufferedInputStream(httpURLConnection.getInputStream());
        try {
            int contentLength = httpURLConnection.getContentLength();
            HashMap hashMap = httpURLConnection.getHeaderFields() == null ? new HashMap() : new HashMap(httpURLConnection.getHeaderFields());
            InputStream bufferedInputStream2 = new BufferedInputStream(httpURLConnection.getInputStream());
            try {
                bufferedInputStream = a(hashMap, bufferedInputStream2);
                if (contentLength <= 0) {
                    Random random = new Random(System.currentTimeMillis());
                    file = new File(av.cL(mContext), random.nextInt() + ".tmp");
                    try {
                        fileOutputStream = new FileOutputStream(file);
                        try {
                            byte[] bArr = new byte[8192];
                            int i3 = 0;
                            while (true) {
                                int read = bufferedInputStream.read(bArr);
                                if (read == -1) {
                                    break;
                                }
                                i3 += read;
                                fileOutputStream.write(bArr, 0, read);
                            }
                            com.kwad.sdk.crash.utils.b.closeQuietly(bufferedInputStream);
                            com.kwad.sdk.crash.utils.b.closeQuietly(fileOutputStream);
                            inputStream = new BufferedInputStream(new FileInputStream(file));
                            try {
                                hashMap.put("Content-Length", Collections.singletonList(String.valueOf(i3)));
                            } catch (Throwable th2) {
                                th = th2;
                                if (th instanceof IOException) {
                                }
                            }
                        } catch (Throwable th3) {
                            th = th3;
                            inputStream = bufferedInputStream;
                            if (th instanceof IOException) {
                            }
                        }
                    } catch (Throwable th4) {
                        th = th4;
                        fileOutputStream = null;
                    }
                } else {
                    fileOutputStream = null;
                    file = null;
                    inputStream = bufferedInputStream;
                }
                httpURLConnection.getResponseCode();
                byte[] bArr2 = new byte[8192];
                while (true) {
                    int read2 = inputStream.read(bArr2);
                    if (read2 == -1) {
                        break;
                    }
                    cVar.write(bArr2, 0, read2);
                }
                return true;
            } catch (Throwable th5) {
                th = th5;
                fileOutputStream = null;
                file = null;
                inputStream = bufferedInputStream2;
            }
        } catch (Throwable th6) {
            th = th6;
            fileOutputStream = null;
            file = null;
        }
    }

    public static synchronized void aT(Context context) {
        synchronized (a.class) {
            if (context != null) {
                if (!mHasInit) {
                    mContext = context;
                    com.kwad.sdk.c.wP().init(context);
                    com.kwad.sdk.core.download.c.Aw().init(context);
                    mHasInit = true;
                }
            }
        }
    }

    public static boolean aU(Context context) {
        try {
            new NotificationCompat.Builder(context, "");
            return true;
        } catch (Throwable unused) {
            return false;
        }
    }

    public static void c(int i2, AdTemplate adTemplate) {
        com.kwad.sdk.core.download.b bVar = (com.kwad.sdk.core.download.b) ServiceProvider.get(com.kwad.sdk.core.download.b.class);
        if (bVar != null) {
            bVar.b(1, adTemplate);
        }
    }

    public static boolean c(String str, File file) {
        try {
            return a(str, file, (b) null, 0);
        } catch (Throwable th) {
            com.kwad.sdk.core.e.c.printStackTraceOnly(th);
            return false;
        }
    }

    public static String cG(String str) {
        return ad.bp(str) + ".apk";
    }

    public static void cH(String str) {
        if (mContext == null || TextUtils.isEmpty(str)) {
            return;
        }
        com.kwad.sdk.e.a.z(mContext, str);
    }
}
