package com.kwad.sdk.core.network;

import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import com.kwad.sdk.core.network.BaseResultData;
import com.kwad.sdk.core.network.g;
import com.kwad.sdk.core.network.idc.DomainException;
import com.kwad.sdk.export.proxy.AdHttpProxy;
import com.kwad.sdk.service.ServiceProvider;
import com.kwad.sdk.utils.ag;
import java.util.Map;
import org.json.JSONException;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public abstract class m<R extends g, T extends BaseResultData> extends a<R> {
    public static final String TAG = "Networking";
    @Nullable
    public h<R, T> mListener = null;
    public final com.kwad.sdk.core.network.b.b mMonitorRecorder = com.kwad.sdk.core.network.b.c.BA();

    private void checkAndSetHasData(BaseResultData baseResultData) {
        if (baseResultData.hasData()) {
            this.mMonitorRecorder.ca(1);
        }
    }

    private void checkIpDirect(c cVar) {
        com.kwad.sdk.service.a.e eVar;
        if (cVar == null || cVar.Bd() || (eVar = (com.kwad.sdk.service.a.e) ServiceProvider.get(com.kwad.sdk.service.a.e.class)) == null || !ag.isNetworkConnected(eVar.getContext())) {
            return;
        }
        com.kwad.sdk.ip.direct.a.FS();
    }

    private void notifyOnErrorListener(@NonNull R r, int i2, String str) {
        i.Bh().b(r, i2);
        h<R, T> hVar = this.mListener;
        if (hVar == null) {
            return;
        }
        hVar.onError(r, i2, str);
        this.mMonitorRecorder.Bz();
    }

    private void notifyOnErrorListener(@NonNull R r, c cVar, String str) {
        String url = r.getUrl();
        com.kwad.sdk.core.network.idc.a.Bo().a(url, url.contains("/rest/zt/emoticon/package/list") ? "zt" : "api", new DomainException(cVar.aoK, cVar.aoL));
        notifyOnErrorListener((m<R, T>) r, cVar.code, str);
    }

    private void notifyOnStartRequest(@NonNull R r) {
        h<R, T> hVar = this.mListener;
        if (hVar == null) {
            return;
        }
        hVar.onStartRequest(r);
    }

    private void notifyOnSuccess(@NonNull R r, T t) {
        h<R, T> hVar = this.mListener;
        if (hVar == null) {
            return;
        }
        hVar.onSuccess(r, t);
        this.mMonitorRecorder.Bz();
    }

    private void onRequest(@NonNull h<R, T> hVar) {
        this.mMonitorRecorder.Bt();
        this.mListener = hVar;
    }

    private void parseCommonData(String str, String str2) {
        try {
            r.Bk().N(str, new JSONObject(str2).optString("requestSessionData"));
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
    }

    private void setMonitorRequestId(@NonNull g gVar) {
        Map<String, String> header = gVar.getHeader();
        if (header != null) {
            String str = header.get(d.TRACK_ID_KEY);
            if (TextUtils.isEmpty(str)) {
                return;
            }
            this.mMonitorRecorder.dj(str);
        }
    }

    public void afterParseData(T t) {
    }

    @Override // com.kwad.sdk.core.network.a
    public void cancel() {
        super.cancel();
        this.mListener = null;
    }

    public boolean enableMonitorReport() {
        return true;
    }

    @Override // com.kwad.sdk.core.network.a
    @WorkerThread
    public void fetchImpl() {
        try {
            this.mMonitorRecorder.Bx();
            R createRequest = createRequest();
            notifyOnStartRequest(createRequest);
            this.mMonitorRecorder.df(createRequest.getUrl()).dg(createRequest.getUrl());
            setMonitorRequestId(createRequest);
            if (ag.isNetworkConnected(((com.kwad.sdk.service.a.e) ServiceProvider.get(com.kwad.sdk.service.a.e.class)).getContext())) {
                c cVar = null;
                try {
                    String url = createRequest.getUrl();
                    AdHttpProxy wX = com.kwad.sdk.g.wX();
                    (wX instanceof com.kwad.sdk.core.network.c.b ? this.mMonitorRecorder.di("ok_http") : this.mMonitorRecorder.di("http")).Bw();
                    cVar = isPostByJson() ? wX.doPost(url, createRequest.getHeader(), createRequest.getBody()) : wX.doPost(url, createRequest.getHeader(), createRequest.getBodyMap());
                } catch (Exception e2) {
                    com.kwad.sdk.core.e.c.printStackTraceOnly(e2);
                    com.kwad.sdk.core.network.b.b bVar = this.mMonitorRecorder;
                    bVar.dh("requestError:" + e2.getMessage());
                }
                this.mMonitorRecorder.Bu().Bv().cc(com.kwad.sdk.ip.direct.a.getType());
                try {
                    onResponse(createRequest, cVar);
                } catch (Exception e3) {
                    com.kwad.sdk.core.network.b.b bVar2 = this.mMonitorRecorder;
                    bVar2.dh("onResponseError:" + e3.getMessage());
                    com.kwad.sdk.core.e.c.printStackTraceOnly(e3);
                }
            } else {
                notifyOnErrorListener((m<R, T>) createRequest, f.aoS.errorCode, f.aoS.msg);
                this.mMonitorRecorder.bZ(f.aoS.errorCode).dh(f.aoS.msg);
            }
            try {
                if (enableMonitorReport()) {
                    this.mMonitorRecorder.report();
                }
            } catch (Exception unused) {
            }
        } catch (Throwable th) {
            try {
                try {
                    com.kwad.sdk.core.network.b.b bVar3 = this.mMonitorRecorder;
                    bVar3.dh("requestError:" + th.getMessage());
                } catch (Throwable th2) {
                    try {
                        if (enableMonitorReport()) {
                            this.mMonitorRecorder.report();
                        }
                    } catch (Exception unused2) {
                    }
                    throw th2;
                }
            } catch (Exception unused3) {
            }
            com.kwad.sdk.core.e.c.printStackTrace(th);
            try {
                if (enableMonitorReport()) {
                    this.mMonitorRecorder.report();
                }
            } catch (Exception unused4) {
            }
        }
    }

    public boolean isPostByJson() {
        return true;
    }

    @Override // com.kwad.sdk.core.network.a
    public void onResponse(R r, c cVar) {
        if (cVar == null) {
            f fVar = f.aoS;
            notifyOnErrorListener((m<R, T>) r, fVar.errorCode, fVar.msg);
            this.mMonitorRecorder.dh("responseBase is null");
            com.kwad.sdk.core.e.c.e(TAG, "request responseBase is null");
            return;
        }
        this.mMonitorRecorder.bZ(cVar.code);
        checkIpDirect(cVar);
        if (TextUtils.isEmpty(cVar.aoM) || !cVar.Bd()) {
            notifyOnErrorListener((m<R, T>) r, cVar, "网络错误");
            com.kwad.sdk.core.network.b.b bVar = this.mMonitorRecorder;
            bVar.dh("httpCodeError:" + cVar.code + ":" + cVar.aoM);
            StringBuilder sb = new StringBuilder("request responseBase httpCodeError:");
            sb.append(cVar.code);
            com.kwad.sdk.core.e.c.w(TAG, sb.toString());
            return;
        }
        try {
            parseCommonData(r.getUrl(), cVar.aoM);
            T parseData = parseData(cVar.aoM);
            afterParseData(parseData);
            String str = cVar.aoM;
            if (str != null) {
                this.mMonitorRecorder.Y(str.length()).By().cb(parseData.result);
            }
            if (!parseData.isResultOk()) {
                com.kwad.sdk.core.network.b.b bVar2 = this.mMonitorRecorder;
                bVar2.dh("serverCodeError:" + parseData.result + ":" + parseData.errorMsg);
                if (parseData.notifyFailOnResultError()) {
                    notifyOnErrorListener((m<R, T>) r, parseData.result, parseData.errorMsg);
                    return;
                }
            }
            if (parseData.isDataEmpty()) {
                notifyOnErrorListener((m<R, T>) r, f.aoU.errorCode, !TextUtils.isEmpty(parseData.testErrorMsg) ? parseData.testErrorMsg : f.aoU.msg);
                return;
            }
            checkAndSetHasData(parseData);
            notifyOnSuccess(r, parseData);
        } catch (Exception e2) {
            f fVar2 = f.aoT;
            notifyOnErrorListener((m<R, T>) r, fVar2.errorCode, fVar2.msg);
            com.kwad.sdk.core.e.c.printStackTraceOnly(e2);
            com.kwad.sdk.core.network.b.b bVar3 = this.mMonitorRecorder;
            bVar3.dh("parseDataError:" + e2.getMessage());
        }
    }

    @NonNull
    public abstract T parseData(String str);

    public void request(@NonNull h<R, T> hVar) {
        onRequest(hVar);
        fetch();
    }
}
