package com.kwad.sdk.core.page.widget;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Path;
import android.graphics.RectF;
import android.os.Build;
import android.util.AttributeSet;
import android.widget.ImageView;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class RoundAngleImageView extends ImageView {
    public float[] aqv;
    public Path mPath;
    public RectF mRectF;

    public RoundAngleImageView(Context context) {
        this(context, null);
    }

    public RoundAngleImageView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public RoundAngleImageView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.mPath = new Path();
        this.mRectF = new RectF();
    }

    @Override // android.widget.ImageView, android.view.View
    public void onDraw(Canvas canvas) {
        float[] fArr = this.aqv;
        if (fArr == null || fArr.length != 8) {
            super.onDraw(canvas);
            return;
        }
        if (Build.VERSION.SDK_INT < 18) {
            setLayerType(1, null);
        }
        int measuredWidth = getMeasuredWidth();
        int measuredHeight = getMeasuredHeight();
        float[] fArr2 = this.aqv;
        float f2 = fArr2[1] + fArr2[7];
        this.mPath.rewind();
        float f3 = measuredWidth;
        if (f3 >= fArr2[0] + fArr2[3]) {
            float f4 = measuredHeight;
            if (f4 > f2) {
                this.mRectF.set(0.0f, 0.0f, f3, f4);
                this.mPath.addRoundRect(this.mRectF, this.aqv, Path.Direction.CW);
                canvas.clipPath(this.mPath);
            }
        }
        super.onDraw(canvas);
    }

    public void setRadius(float f2) {
        this.aqv = new float[8];
        int i2 = 0;
        while (true) {
            float[] fArr = this.aqv;
            if (i2 >= fArr.length) {
                return;
            }
            fArr[i2] = f2;
            i2++;
        }
    }

    public void setRadius(float[] fArr) {
        this.aqv = new float[8];
        int i2 = 0;
        while (true) {
            float[] fArr2 = this.aqv;
            if (i2 >= fArr2.length) {
                return;
            }
            fArr2[i2] = fArr[i2];
            i2++;
        }
    }
}
