package com.kwad.sdk.core.report;

import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.kwad.sdk.core.report.KSLoggerReporter;
import com.kwad.sdk.core.response.model.AdTemplate;
import com.kwad.sdk.core.response.model.ReportResultData;
import com.kwad.sdk.service.ServiceProvider;
import com.kwad.sdk.utils.ag;
import java.net.URI;
import java.net.URISyntaxException;
import java.util.List;
import java.util.Map;
import org.json.JSONException;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public abstract class y extends com.kwad.sdk.core.network.a<z> {
    public ReportResultData asF;

    @NonNull
    private ReportResultData a(com.kwad.sdk.core.network.c cVar) {
        if (this.asF == null) {
            this.asF = new ReportResultData() { // from class: com.kwad.sdk.core.report.ReportNetwork$1
                @Override // com.kwad.sdk.core.network.BaseResultData, com.kwad.sdk.core.b
                public void parseJson(@Nullable JSONObject jSONObject) {
                    super.parseJson(jSONObject);
                }
            };
        }
        if (cVar != null) {
            try {
                this.asF.parseJson(new JSONObject(cVar.aoM));
            } catch (JSONException e2) {
                e2.printStackTrace();
            }
        }
        return this.asF;
    }

    private void a(z zVar) {
        try {
            List<String> Cp = zVar.Cp();
            for (String str : Cp) {
                com.kwad.sdk.core.network.c doGetWithoutResponse = com.kwad.sdk.g.wX().doGetWithoutResponse(str, null);
                if (!isValidUrl(str) || doGetWithoutResponse.code != 200) {
                    KSLoggerReporter.ReportClient.RESPONE_MONITOR.buildNormalApmReporter().dx("response_biz_error_track").W("trackUrlError", str).aK(zVar.getAdTemplate()).report();
                }
            }
            a(zVar.getAdTemplate(), Cp);
        } catch (Exception e2) {
            com.kwad.sdk.core.e.c.printStackTrace(e2);
        }
    }

    public static void a(@NonNull AdTemplate adTemplate, List<String> list) {
        if (adTemplate.mTrackUrlReported || list == null || list.isEmpty()) {
            return;
        }
        adTemplate.mTrackUrlReported = true;
        r rVar = new r(10217L, adTemplate);
        rVar.ash = com.kwad.sdk.utils.t.toJsonArray(list);
        i.a2(rVar);
    }

    public static void a(String str, int i2, AdTemplate adTemplate, @NonNull com.kwad.sdk.core.network.c cVar) {
        if (TextUtils.isEmpty(str) || str.contains(" ") || !str.startsWith("http") || cVar.code != 200) {
            KSLoggerReporter.ReportClient.RESPONE_MONITOR.buildNormalApmReporter().dx("response_biz_error_track").W(i2 == 1 ? "showUrlError" : i2 == 2 ? "clickUrlError" : "convertUrlError", str).aK(adTemplate).report();
        }
    }

    public static boolean isValidUrl(String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        try {
            URI uri = new URI(str);
            if (uri.getHost() == null) {
                return false;
            }
            return uri.getScheme().equalsIgnoreCase("http") || uri.getScheme().equalsIgnoreCase("https");
        } catch (URISyntaxException unused) {
            return false;
        }
    }

    @Override // com.kwad.sdk.core.network.a
    public void fetch() {
        super.fetch();
    }

    /* JADX WARN: Removed duplicated region for block: B:23:0x0061  */
    /* JADX WARN: Removed duplicated region for block: B:26:0x0074  */
    @Override // com.kwad.sdk.core.network.a
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void fetchImpl() {
        String str;
        ReportResultData a;
        String str2;
        if (!ag.isNetworkConnected(((com.kwad.sdk.service.a.e) ServiceProvider.get(com.kwad.sdk.service.a.e.class)).getContext())) {
            com.kwad.sdk.core.e.c.w("ReportNetwork", "no network while report log");
            return;
        }
        z createRequest = createRequest();
        com.kwad.sdk.core.network.c cVar = null;
        try {
            str = createRequest.getUrl();
            try {
                cVar = com.kwad.sdk.g.wX().doPost(str, (Map<String, String>) null, createRequest.getBody());
                if (cVar == null || cVar.code != 200) {
                    str2 = "report fail result is null";
                } else {
                    str2 = "report success actionType:" + createRequest.asG;
                }
                com.kwad.sdk.core.e.c.d("ReportNetwork", str2);
            } catch (Exception e2) {
                e = e2;
                com.kwad.sdk.core.e.c.printStackTrace(e);
                a = a(cVar);
                if (a.isCheatingFlow()) {
                }
                if (!createRequest.getAdTemplate().mCheatingFlow) {
                }
                a(str, createRequest.getActionType(), createRequest.getAdTemplate(), cVar);
                if (com.kwad.framework.a.a.ml.booleanValue()) {
                    return;
                }
                return;
            }
        } catch (Exception e3) {
            e = e3;
            str = null;
        }
        a = a(cVar);
        if (a.isCheatingFlow()) {
            createRequest.getAdTemplate().setCheatingFlow(a.isCheatingFlow());
        }
        if (!createRequest.getAdTemplate().mCheatingFlow) {
            a(createRequest);
        }
        a(str, createRequest.getActionType(), createRequest.getAdTemplate(), cVar);
        if (com.kwad.framework.a.a.ml.booleanValue() || a.isResultOk()) {
            return;
        }
        throw new RuntimeException("请求返回失败 code:" + a.result + ", errorMsg:" + a.errorMsg + "\n url=" + str);
    }

    @Override // com.kwad.sdk.core.network.a
    public /* bridge */ /* synthetic */ void onResponse(z zVar, com.kwad.sdk.core.network.c cVar) {
    }
}
