package com.kwad.sdk.core.response.b;

import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.kwad.sdk.core.report.KSLoggerReporter;
import com.kwad.sdk.core.response.model.AdInfo;
import com.kwad.sdk.core.response.model.AdMatrixInfo;
import com.kwad.sdk.core.response.model.AdTemplate;
import com.kwad.sdk.core.response.model.FeedSlideConf;
import com.kwad.sdk.service.ServiceProvider;
import com.kwad.sdk.utils.ai;
import com.kwad.sdk.utils.bc;
import com.kwai.adclient.kscommerciallogger.model.BusinessType;
import java.util.Random;
import org.json.JSONArray;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class b {
    public static Random auz = new Random();

    @NonNull
    public static AdMatrixInfo aO(@NonNull AdTemplate adTemplate) {
        return d.bY(adTemplate) ? d.cg(adTemplate).adMatrixInfo : new AdMatrixInfo();
    }

    @NonNull
    public static AdMatrixInfo.AdDataV2 aP(@NonNull AdTemplate adTemplate) {
        return d.cg(adTemplate).adMatrixInfo.adDataV2;
    }

    public static FeedSlideConf aQ(@NonNull AdTemplate adTemplate) {
        JSONArray optJSONArray;
        AdMatrixInfo.TemplateData d2 = d(adTemplate, bn(adTemplate).templateId);
        try {
            JSONObject optJSONObject = new JSONObject(d2 != null ? d2.data : "").optJSONObject("slideInfo");
            if (optJSONObject != null && (optJSONArray = optJSONObject.optJSONArray("angle")) != null && optJSONArray.length() > 1) {
                FeedSlideConf feedSlideConf = new FeedSlideConf();
                feedSlideConf.minRange = ((Integer) optJSONArray.get(0)).intValue();
                feedSlideConf.maxRange = ((Integer) optJSONArray.get(1)).intValue();
                return feedSlideConf;
            }
        } catch (Throwable unused) {
        }
        return null;
    }

    public static boolean aR(@NonNull AdTemplate adTemplate) {
        return f(adTemplate, aS(adTemplate).templateId);
    }

    @NonNull
    public static AdMatrixInfo.InterstitialCardInfo aS(@NonNull AdTemplate adTemplate) {
        return aO(adTemplate).adDataV2.interstitialCardInfo;
    }

    @Nullable
    public static String aT(@NonNull AdTemplate adTemplate) {
        AdMatrixInfo.MatrixTemplate b = b(adTemplate, aO(adTemplate).adDataV2.splashActionBarInfo.templateId);
        return b != null ? b.templateUrl : "";
    }

    @NonNull
    public static AdMatrixInfo.ActionBarInfoNew aU(@NonNull AdTemplate adTemplate) {
        return aO(adTemplate).adDataV2.actionBarInfo;
    }

    @Nullable
    public static String aV(@NonNull AdTemplate adTemplate) {
        AdInfo cg = d.cg(adTemplate);
        int ca = d.ca(adTemplate);
        boolean z = ca == 3 || ca == 2;
        if (a.cw(cg)) {
            return "";
        }
        if (z && a.aN(adTemplate)) {
            AdMatrixInfo.MatrixTemplate b = b(adTemplate, bL(adTemplate).templateId);
            return b != null ? b.templateUrl : "";
        }
        AdMatrixInfo.MatrixTemplate b2 = b(adTemplate, aU(adTemplate).templateId);
        return b2 != null ? b2.templateUrl : "";
    }

    public static long aW(@NonNull AdTemplate adTemplate) {
        return aU(adTemplate).maxTimeOut;
    }

    public static boolean aX(@NonNull AdTemplate adTemplate) {
        return !TextUtils.isEmpty(aV(adTemplate));
    }

    @NonNull
    public static AdMatrixInfo.AggregationCardInfo aY(@NonNull AdTemplate adTemplate) {
        return aO(adTemplate).adDataV2.aggregationCardInfo;
    }

    @Nullable
    public static String aZ(@NonNull AdTemplate adTemplate) {
        AdMatrixInfo.MatrixTemplate b = b(adTemplate, aY(adTemplate).templateId);
        return b != null ? b.templateUrl : "";
    }

    @Nullable
    public static AdMatrixInfo.MatrixTemplate b(@NonNull AdTemplate adTemplate, String str) {
        for (AdMatrixInfo.MatrixTemplate matrixTemplate : aO(adTemplate).styles.templateList) {
            if (bc.isEquals(str, matrixTemplate.templateId)) {
                return matrixTemplate;
            }
        }
        KSLoggerReporter.ReportClient.RESPONE_MONITOR.buildNormalApmReporter().dx("response_biz_error_tk").aK(adTemplate).a(BusinessType.TACHIKOMA).W("TkTemplateDataLost", str).report();
        return null;
    }

    public static boolean bA(@NonNull AdTemplate adTemplate) {
        try {
            return d.cg(adTemplate).adMatrixInfo.adDataV2.interstitialCardInfo.renderType == 1;
        } catch (Exception e2) {
            com.kwad.sdk.core.e.c.printStackTraceOnly(e2);
            return false;
        }
    }

    public static int bB(@NonNull AdTemplate adTemplate) {
        return d.cg(adTemplate).adMatrixInfo.adDataV2.interstitialCardInfo.renderType;
    }

    @Nullable
    public static String bC(@NonNull AdTemplate adTemplate) {
        AdMatrixInfo.MatrixTemplate b = b(adTemplate, by(adTemplate).templateId);
        return b != null ? b.templateUrl : "";
    }

    public static float bD(@NonNull AdTemplate adTemplate) {
        int i2;
        try {
            i2 = d.cg(adTemplate).adMatrixInfo.adDataV2.splashInfo.interactionInfo.shakeInfo.acceleration;
        } catch (Exception e2) {
            com.kwad.sdk.core.e.c.printStackTraceOnly(e2);
            i2 = 7;
        }
        return i2;
    }

    public static AdMatrixInfo.RotateInfo bE(@NonNull AdTemplate adTemplate) {
        try {
            return d.cg(adTemplate).adMatrixInfo.adDataV2.splashInfo.interactionInfo.rotateInfo;
        } catch (Exception e2) {
            com.kwad.sdk.core.e.c.printStackTraceOnly(e2);
            return null;
        }
    }

    @NonNull
    public static AdMatrixInfo.BaseMatrixTemplate bF(@NonNull AdTemplate adTemplate) {
        return aO(adTemplate).adDataV2.complianceCardInfo;
    }

    @Nullable
    public static String bG(@NonNull AdTemplate adTemplate) {
        AdMatrixInfo.MatrixTemplate b = b(adTemplate, bF(adTemplate).templateId);
        return b != null ? b.templateUrl : "";
    }

    public static boolean bH(@NonNull AdTemplate adTemplate) {
        return !TextUtils.isEmpty(bG(adTemplate));
    }

    @NonNull
    public static AdMatrixInfo.BaseMatrixTemplate bI(@NonNull AdTemplate adTemplate) {
        return aO(adTemplate).adDataV2.downloadConfirmCardInfo;
    }

    @Nullable
    public static String bJ(@NonNull AdTemplate adTemplate) {
        AdMatrixInfo.MatrixTemplate b = b(adTemplate, bI(adTemplate).templateId);
        return b != null ? b.templateUrl : "";
    }

    public static boolean bK(@NonNull AdTemplate adTemplate) {
        return !TextUtils.isEmpty(bJ(adTemplate));
    }

    public static AdMatrixInfo.MerchantLiveReservationInfo bL(@NonNull AdTemplate adTemplate) {
        return aO(adTemplate).adDataV2.merchantLiveReservationInfo;
    }

    public static AdMatrixInfo.FullScreenInfo bM(@NonNull AdTemplate adTemplate) {
        return aO(adTemplate).adDataV2.fullScreenInfo;
    }

    public static boolean bN(AdTemplate adTemplate) {
        AdInfo cg = d.cg(adTemplate);
        if (g(cg) || d.ct(adTemplate)) {
            return false;
        }
        return !(aU(adTemplate).cardType == 4) && d.cg(adTemplate).adStyleInfo2.playDetailInfo.detailCommonInfo.rewardInteractionType <= 0 && cg.adMatrixInfo.adDataV2.fullScreenInfo.interactionInfo.interactiveStyle == 2;
    }

    public static boolean bO(AdTemplate adTemplate) {
        AdInfo cg = d.cg(adTemplate);
        if (g(cg) || d.ct(adTemplate)) {
            return false;
        }
        return ((aU(adTemplate).cardType == 4) || d.cg(adTemplate).adStyleInfo2.playDetailInfo.detailWebCardInfo.cardType == 4 || cg.adMatrixInfo.adDataV2.neoVideoInfo.interactionInfo.interactiveStyle != 2) ? false : true;
    }

    @Nullable
    public static AdMatrixInfo.PreLandingPageTKInfo bP(@NonNull AdTemplate adTemplate) {
        return d.cg(adTemplate).adMatrixInfo.adDataV2.preLandingPageTKInfo;
    }

    public static boolean bQ(@NonNull AdTemplate adTemplate) {
        return aP(adTemplate).installedActivateInfo.cardSwitch;
    }

    public static long bR(@NonNull AdTemplate adTemplate) {
        long j2 = aP(adTemplate).installedActivateInfo.showTime;
        if (j2 > 0) {
            return j2;
        }
        return 0L;
    }

    public static long ba(@NonNull AdTemplate adTemplate) {
        return e(adTemplate, aY(adTemplate).templateId);
    }

    public static long bb(@NonNull AdTemplate adTemplate) {
        return aY(adTemplate).changeTime * 1000;
    }

    public static int bc(@NonNull AdTemplate adTemplate) {
        return aY(adTemplate).maxTimesPerDay;
    }

    public static long bd(@NonNull AdTemplate adTemplate) {
        return aY(adTemplate).intervalTime;
    }

    public static boolean be(@NonNull AdTemplate adTemplate) {
        AdInfo cg = d.cg(adTemplate);
        return !a.ax(cg) && a.al(cg);
    }

    public static boolean bf(@NonNull AdTemplate adTemplate) {
        if (!TextUtils.isEmpty(aZ(adTemplate)) && ba(adTemplate) > 0) {
            return ai.IO();
        }
        return false;
    }

    @NonNull
    public static AdMatrixInfo.BaseMatrixTemplate bg(@NonNull AdTemplate adTemplate) {
        return aO(adTemplate).adDataV2.halfCardInfo;
    }

    @Nullable
    public static String bh(@NonNull AdTemplate adTemplate) {
        AdMatrixInfo.MatrixTemplate b = b(adTemplate, bg(adTemplate).templateId);
        return b != null ? b.templateUrl : "";
    }

    @NonNull
    public static AdMatrixInfo.EndCardInfo bi(@NonNull AdTemplate adTemplate) {
        return aO(adTemplate).adDataV2.endCardInfo;
    }

    @Nullable
    public static String bj(@NonNull AdTemplate adTemplate) {
        AdMatrixInfo.MatrixTemplate b = b(adTemplate, bi(adTemplate).templateId);
        return b != null ? b.templateUrl : "";
    }

    public static boolean bk(@NonNull AdTemplate adTemplate) {
        return !TextUtils.isEmpty(bj(adTemplate));
    }

    @Nullable
    public static String bl(@NonNull AdTemplate adTemplate) {
        AdMatrixInfo.MatrixTemplate b = b(adTemplate, d.cg(adTemplate).adMatrixInfo.adDataV2.activityMiddlePageInfo.templateId);
        return b != null ? b.templateUrl : "";
    }

    public static String bm(@NonNull AdTemplate adTemplate) {
        return (adTemplate.mIsForceJumpLandingPage || !cP(d.cg(adTemplate))) ? a.aK(d.cg(adTemplate)) : bl(adTemplate);
    }

    @NonNull
    public static AdMatrixInfo.FeedInfo bn(@NonNull AdTemplate adTemplate) {
        boolean bo = bo(adTemplate);
        AdMatrixInfo.AdDataV2 adDataV2 = aO(adTemplate).adDataV2;
        return bo ? adDataV2.adUnionFeedLiveTemplateInfo : adDataV2.feedInfo;
    }

    public static boolean bo(@NonNull AdTemplate adTemplate) {
        return a.cw(d.cg(adTemplate));
    }

    @NonNull
    public static AdMatrixInfo.FeedInfo bp(@NonNull AdTemplate adTemplate) {
        return aO(adTemplate).adDataV2.adUnionFeedLiveMediaInfo;
    }

    @Nullable
    public static String bq(@NonNull AdTemplate adTemplate) {
        AdMatrixInfo.MatrixTemplate b = b(adTemplate, bn(adTemplate).templateId);
        return b != null ? b.templateUrl : "";
    }

    @Nullable
    public static String br(@NonNull AdTemplate adTemplate) {
        AdMatrixInfo.MatrixTemplate b = b(adTemplate, bp(adTemplate).templateId);
        return b != null ? b.templateUrl : "";
    }

    @Nullable
    public static boolean bs(@NonNull AdTemplate adTemplate) {
        return bn(adTemplate).interactionInfo.interactiveStyle == 2;
    }

    @Nullable
    public static boolean bt(@NonNull AdTemplate adTemplate) {
        return bn(adTemplate).interactionInfo.shakeInfo.clickDisabled;
    }

    @Nullable
    public static int bu(@NonNull AdTemplate adTemplate) {
        AdMatrixInfo.ShakeInfo shakeInfo;
        AdMatrixInfo.AdInteractionInfo adInteractionInfo = bn(adTemplate).interactionInfo;
        if (adInteractionInfo == null || (shakeInfo = adInteractionInfo.shakeInfo) == null) {
            return 0;
        }
        return shakeInfo.acceleration;
    }

    public static double bv(@NonNull AdTemplate adTemplate) {
        return d.cg(adTemplate).adStyleInfo.feedAdInfo.heightRatio;
    }

    public static boolean bw(@NonNull AdTemplate adTemplate) {
        return !TextUtils.isEmpty(bq(adTemplate));
    }

    public static boolean bx(@NonNull AdTemplate adTemplate) {
        return !TextUtils.isEmpty(br(adTemplate));
    }

    @NonNull
    public static AdMatrixInfo.InterstitialCardInfo by(@NonNull AdTemplate adTemplate) {
        return aO(adTemplate).adDataV2.interstitialCardInfo;
    }

    public static float bz(@NonNull AdTemplate adTemplate) {
        int i2;
        try {
            i2 = d.cg(adTemplate).adMatrixInfo.adDataV2.interstitialCardInfo.interactionInfo.shakeInfo.acceleration;
        } catch (Exception e2) {
            com.kwad.sdk.core.e.c.printStackTraceOnly(e2);
            i2 = 7;
        }
        if (i2 > 0) {
            return i2;
        }
        return 7.0f;
    }

    @Nullable
    public static AdMatrixInfo.MatrixTemplate c(@NonNull AdTemplate adTemplate, String str) {
        return b(adTemplate, str);
    }

    public static boolean cK(@NonNull AdInfo adInfo) {
        return !TextUtils.isEmpty(adInfo.adMatrixInfo.adDataV2.splashEndCardTKInfo.templateId);
    }

    public static boolean cL(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashEndCardTKInfo.endCardFullScreenClick;
    }

    public static boolean cM(@NonNull AdInfo adInfo) {
        return !TextUtils.isEmpty(adInfo.adMatrixInfo.adDataV2.topFloorTKInfo.templateId);
    }

    public static boolean cN(@NonNull AdInfo adInfo) {
        return !TextUtils.isEmpty(adInfo.adMatrixInfo.adDataV2.splashPlayCardTKInfo.templateId);
    }

    public static boolean cO(@NonNull AdInfo adInfo) {
        if (cP(adInfo)) {
            return adInfo.adMatrixInfo.adDataV2.activityMiddlePageInfo.showHeaderBar;
        }
        return true;
    }

    public static boolean cP(@NonNull AdInfo adInfo) {
        return !TextUtils.isEmpty(adInfo.adMatrixInfo.adDataV2.activityMiddlePageInfo.templateId);
    }

    public static AdMatrixInfo.DownloadTexts cQ(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.rotateInfo.downloadTexts;
    }

    public static AdMatrixInfo.DownloadTexts cR(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.slideInfo.downloadTexts;
    }

    public static String cS(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.rotateInfo.title;
    }

    public static long cT(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.tkDefaultTimeout;
    }

    public static String cU(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.rotateInfo.subTitle;
    }

    public static AdMatrixInfo.DownloadTexts cV(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.splashActionBarInfo.downloadTexts;
    }

    public static String cW(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.splashActionBarInfo.title;
    }

    public static boolean cX(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.interstitialCardInfo.interactionInfo.interactiveStyle == 2;
    }

    public static String cY(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.interstitialCardInfo.cycleAggregateInfo.cutIconUrl;
    }

    public static String cZ(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.interstitialCardInfo.cycleAggregateInfo.refreshIconUrl;
    }

    @Nullable
    public static AdMatrixInfo.TemplateData d(@NonNull AdTemplate adTemplate, String str) {
        for (AdMatrixInfo.TemplateData templateData : aO(adTemplate).adDataV2.templateDataList) {
            if (bc.isEquals(str, templateData.templateId)) {
                return templateData;
            }
        }
        return null;
    }

    public static boolean dA(@NonNull AdInfo adInfo) {
        for (AdMatrixInfo.MatrixTag matrixTag : adInfo.adMatrixInfo.tag) {
            if ("playEndClose".equals(matrixTag.type)) {
                return matrixTag.isHide;
            }
        }
        return false;
    }

    public static boolean dB(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.neoTKInfo.renderType == 1;
    }

    public static boolean dC(@NonNull AdInfo adInfo) {
        return (a.bv(adInfo) || TextUtils.isEmpty(adInfo.adMatrixInfo.adDataV2.preLandingPageTKInfo.templateId)) ? false : true;
    }

    public static int dD(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.preLandingPageTKInfo.preLandingPageShowType;
    }

    public static boolean dD(String str) {
        try {
            return ((com.kwad.sdk.service.a.f) ServiceProvider.get(com.kwad.sdk.service.a.f.class)).bS(str);
        } catch (Exception unused) {
            return false;
        }
    }

    public static String dE(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.videoLiveTKInfo.templateId;
    }

    public static boolean dF(@NonNull AdInfo adInfo) {
        return a.aV(adInfo) && !TextUtils.isEmpty(adInfo.adMatrixInfo.adDataV2.videoImageTKInfo.templateId);
    }

    public static String da(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.interstitialCardInfo.cycleAggregateInfo.convertIconUrl;
    }

    public static int db(@NonNull AdInfo adInfo) {
        try {
            int i2 = adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.shakeInfo.componentIndex;
            if (i2 != 2) {
                return 1;
            }
            return i2;
        } catch (Exception e2) {
            com.kwad.sdk.core.e.c.printStackTraceOnly(e2);
            return 1;
        }
    }

    public static boolean dc(@NonNull AdInfo adInfo) {
        AdMatrixInfo.AdInteractionInfo adInteractionInfo = adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo;
        return adInteractionInfo.isMediaDisable && adInteractionInfo.interactiveStyle == 4;
    }

    public static boolean dd(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.interactiveStyle == 2;
    }

    public static int de(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.interactiveStyle;
    }

    public static int df(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.interactivityDefaultStyle;
    }

    public static boolean dg(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.interactivityDefaultStyle == 2;
    }

    public static boolean dh(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.interactiveStyle == 1;
    }

    public static boolean di(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.interactivityDefaultStyle == 1;
    }

    public static boolean dj(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.interactiveStyle == 3;
    }

    public static boolean dk(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.interactiveStyle == 10;
    }

    public static boolean dl(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.interactivityDefaultStyle == 3;
    }

    public static boolean dm(@NonNull AdInfo adInfo) {
        try {
            if (adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.interactiveStyle != 4) {
                return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.interactiveStyle == 9;
            }
            return true;
        } catch (Exception unused) {
            return false;
        }
    }

    public static boolean dn(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.interactiveStyle == 0;
    }

    /* renamed from: do  reason: not valid java name */
    public static boolean m130do(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.interactiveStyle == 4;
    }

    public static boolean dp(@NonNull AdInfo adInfo) {
        return !adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.shakeInfo.clickDisabled;
    }

    public static long dq(@NonNull AdInfo adInfo) {
        try {
            long j2 = adInfo.adMatrixInfo.adDataV2.splashInfo.interactionInfo.switchDefaultTime;
            if (j2 <= 0) {
                return 1500L;
            }
            return j2;
        } catch (Exception unused) {
            return 1500L;
        }
    }

    public static boolean dr(@NonNull AdInfo adInfo) {
        return !adInfo.adMatrixInfo.adDataV2.neoVideoInfo.interactionInfo.shakeInfo.clickDisabled;
    }

    public static float ds(@NonNull AdInfo adInfo) {
        int i2;
        try {
            i2 = adInfo.adMatrixInfo.adDataV2.fullScreenInfo.interactionInfo.shakeInfo.acceleration;
        } catch (Exception e2) {
            com.kwad.sdk.core.e.c.printStackTraceOnly(e2);
            i2 = 7;
        }
        return i2;
    }

    public static float dt(@NonNull AdInfo adInfo) {
        int i2;
        try {
            i2 = adInfo.adMatrixInfo.adDataV2.neoVideoInfo.interactionInfo.shakeInfo.acceleration;
        } catch (Exception e2) {
            com.kwad.sdk.core.e.c.printStackTraceOnly(e2);
            i2 = 7;
        }
        return i2;
    }

    public static String du(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.fullScreenInfo.interactionInfo.shakeInfo.title;
    }

    public static String dv(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.neoVideoInfo.interactionInfo.shakeInfo.title;
    }

    public static String dw(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.fullScreenInfo.interactionInfo.shakeInfo.subtitle;
    }

    public static String dx(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.neoVideoInfo.interactionInfo.shakeInfo.subtitle;
    }

    public static AdMatrixInfo.DownloadTexts dy(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.fullScreenInfo.interactionInfo.splashActionBarInfo.downloadTexts;
    }

    public static AdMatrixInfo.DownloadTexts dz(@NonNull AdInfo adInfo) {
        return adInfo.adMatrixInfo.adDataV2.neoVideoInfo.interactionInfo.splashActionBarInfo.downloadTexts;
    }

    public static long e(@NonNull AdTemplate adTemplate, String str) {
        AdMatrixInfo.TemplateData d2 = d(adTemplate, str);
        if (d2 != null) {
            return d2.templateDelayTime;
        }
        return 0L;
    }

    public static boolean f(@NonNull AdTemplate adTemplate, String str) {
        AdMatrixInfo.TemplateData d2 = d(adTemplate, str);
        try {
            JSONObject optJSONObject = new JSONObject(d2 != null ? d2.data : "").optJSONObject("autoCallAppInfo");
            if (optJSONObject != null) {
                return !TextUtils.isEmpty(optJSONObject.optString("adTitle"));
            }
            return false;
        } catch (Throwable unused) {
            return false;
        }
    }

    public static boolean g(@NonNull AdInfo adInfo) {
        return (!adInfo.adRewardInfo.recommendAggregateSwitch || a.cA(adInfo) || a.bv(adInfo)) ? false : true;
    }
}
