package com.kwad.sdk.core.threads.a;

import android.os.SystemClock;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.RejectedExecutionHandler;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class b extends ThreadPoolExecutor implements c {
    public static volatile boolean avy = false;
    public long avA;
    public int avB;
    public final ConcurrentHashMap<Runnable, Long> avz;

    public b(int i2, int i3, long j2, TimeUnit timeUnit, BlockingQueue<Runnable> blockingQueue, ThreadFactory threadFactory) {
        super(i2, i3, j2, timeUnit, blockingQueue, threadFactory);
        this.avz = new ConcurrentHashMap<>();
        this.avA = 0L;
        this.avB = 0;
    }

    public b(int i2, int i3, long j2, TimeUnit timeUnit, BlockingQueue<Runnable> blockingQueue, ThreadFactory threadFactory, RejectedExecutionHandler rejectedExecutionHandler) {
        super(i2, i3, j2, timeUnit, blockingQueue, threadFactory, rejectedExecutionHandler);
        this.avz = new ConcurrentHashMap<>();
        this.avA = 0L;
        this.avB = 0;
    }

    @Override // com.kwad.sdk.core.threads.a.c
    public final long Dl() {
        return this.avA;
    }

    @Override // java.util.concurrent.ThreadPoolExecutor
    public final void beforeExecute(Thread thread, Runnable runnable) {
        super.beforeExecute(thread, runnable);
        if (avy && this.avz.containsKey(runnable) && this.avz.get(runnable) != null) {
            long elapsedRealtime = SystemClock.elapsedRealtime() - this.avz.get(runnable).longValue();
            if (elapsedRealtime >= 0 && elapsedRealtime < 1800000) {
                long j2 = this.avA;
                int i2 = this.avB;
                this.avA = ((j2 * i2) + elapsedRealtime) / (i2 + 1);
                this.avB = i2 + 1;
            }
            this.avz.remove(runnable);
        }
    }

    @Override // java.util.concurrent.ThreadPoolExecutor, java.util.concurrent.Executor
    public final void execute(Runnable runnable) {
        if (avy) {
            this.avz.put(runnable, Long.valueOf(SystemClock.elapsedRealtime()));
        }
        super.execute(runnable);
    }
}
