package com.kwad.sdk.core.view;

import android.animation.ValueAnimator;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewParent;
import android.view.animation.Interpolator;
import android.view.animation.LinearInterpolator;
import androidx.annotation.ColorInt;
import java.lang.ref.WeakReference;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class ScaleAnimSeekBar extends View {
    public int axA;
    public int axB;
    public int axC;
    public GradientDrawable axD;
    public GradientDrawable axE;
    public GradientDrawable axF;
    public Rect axG;
    public Rect axH;
    public Rect axI;
    public Rect axJ;
    public Drawable axK;
    public boolean axL;
    public boolean axM;
    public boolean axN;
    public boolean axO;
    public boolean axP;
    public WeakReference<a> axQ;
    public boolean axR;
    public boolean axS;
    public ValueAnimator axT;
    public ValueAnimator axU;
    public ValueAnimator axV;
    public float axW;
    public float axX;
    public float axY;
    public float axZ;
    public Paint axm;
    public int axn;
    public int axo;
    public int axp;
    public int axq;
    public int axr;
    public int axs;
    public int axt;
    public int axu;
    public boolean axv;
    public int axw;
    public int axx;
    public int axy;
    public int axz;
    public int aya;
    public boolean ayb;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface a {
        void a(ScaleAnimSeekBar scaleAnimSeekBar);

        void a(ScaleAnimSeekBar scaleAnimSeekBar, boolean z);

        void st();
    }

    public ScaleAnimSeekBar(Context context) {
        this(context, null);
    }

    public ScaleAnimSeekBar(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ScaleAnimSeekBar(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.axs = 100;
        this.axv = false;
        this.axK = null;
        this.axL = false;
        this.axM = false;
        this.axN = false;
        this.axO = true;
        this.axR = true;
        this.axS = false;
        this.axW = 1.0f;
        this.axX = 1.34f;
        this.axY = 1.0f;
        this.axZ = 2.0f;
        init(context, attributeSet);
    }

    private void a(int i2, boolean z, boolean z2) {
        int i3 = this.axr;
        if (i2 <= i3 || i2 >= (i3 = this.axs)) {
            i2 = i3;
        }
        h(z, i2);
        a onSeekBarChangedListener = getOnSeekBarChangedListener();
        if (onSeekBarChangedListener != null && this.axz != this.axy) {
            this.axN = z2;
            onSeekBarChangedListener.a(this, z2);
            this.axN = false;
        }
        this.axz = this.axy;
    }

    private void a(Canvas canvas, Rect rect, GradientDrawable gradientDrawable) {
        canvas.save();
        Rect rect2 = new Rect();
        float f2 = this.axY;
        rect2.top = (int) (rect.top * f2);
        rect2.bottom = (int) (rect.bottom * f2);
        rect2.left = rect.left;
        rect2.right = rect.right;
        gradientDrawable.setBounds(rect2);
        gradientDrawable.setCornerRadius(this.axt * this.axY);
        gradientDrawable.draw(canvas);
        canvas.restore();
    }

    private void bh(boolean z) {
        if (this.axR) {
            boolean z2 = z;
            bi(z2);
            bj(z2);
        }
    }

    private void bi(boolean z) {
        float f2 = this.axW;
        float f3 = z ? this.axX : 1.0f;
        ValueAnimator valueAnimator = this.axT;
        if (valueAnimator == null) {
            ValueAnimator valueAnimator2 = new ValueAnimator();
            this.axT = valueAnimator2;
            valueAnimator2.setDuration(250L);
            this.axT.setInterpolator(new LinearInterpolator());
            this.axT.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.kwad.sdk.core.view.ScaleAnimSeekBar.3
                @Override // android.animation.ValueAnimator.AnimatorUpdateListener
                public final void onAnimationUpdate(ValueAnimator valueAnimator3) {
                    ScaleAnimSeekBar.this.axW = ((Float) valueAnimator3.getAnimatedValue()).floatValue();
                    ScaleAnimSeekBar.this.requestLayout();
                }
            });
        } else {
            valueAnimator.cancel();
        }
        this.axT.setFloatValues(f2, f3);
        this.axT.start();
    }

    private void bj(boolean z) {
        float f2 = this.axY;
        float f3 = z ? this.axZ : 1.0f;
        ValueAnimator valueAnimator = this.axU;
        if (valueAnimator == null) {
            ValueAnimator valueAnimator2 = new ValueAnimator();
            this.axU = valueAnimator2;
            valueAnimator2.setDuration(250L);
            this.axU.setInterpolator(new LinearInterpolator());
            this.axU.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.kwad.sdk.core.view.ScaleAnimSeekBar.4
                @Override // android.animation.ValueAnimator.AnimatorUpdateListener
                public final void onAnimationUpdate(ValueAnimator valueAnimator3) {
                    ScaleAnimSeekBar.this.axY = ((Float) valueAnimator3.getAnimatedValue()).floatValue();
                    ScaleAnimSeekBar.this.requestLayout();
                }
            });
        } else {
            valueAnimator.cancel();
        }
        this.axU.setFloatValues(f2, f3);
        this.axU.start();
    }

    private void bm(Context context) {
        this.axR = true;
        this.aya = com.kwad.sdk.d.a.a.a(context, 10.0f);
        this.axq = com.kwad.sdk.d.a.a.a(context, 3.0f);
        this.axx = com.kwad.sdk.d.a.a.a(context, 20.0f);
        this.axK = null;
        this.axS = false;
        this.axu = com.kwad.sdk.d.a.a.a(context, 0.3f);
        this.axt = com.kwad.sdk.d.a.a.a(context, 1.0f);
        this.axn = 654311423;
        this.axo = -1;
        this.axp = 1090519039;
        this.axr = 0;
        this.axs = 100;
        this.axv = false;
    }

    private void c(Canvas canvas) {
        canvas.save();
        Drawable drawable = this.axK;
        if (drawable != null) {
            drawable.setBounds(this.axJ);
            this.axK.draw(canvas);
        } else {
            this.axm.setColor(this.axo);
            canvas.drawCircle(this.axJ.centerX(), this.axJ.centerY(), (this.axJ.width() * this.axW) / 2.0f, this.axm);
        }
        canvas.restore();
    }

    private float cA(int i2) {
        int i3 = this.axw;
        int i4 = this.axr;
        return ((i3 * (i2 - i4)) / (this.axs - i4)) - (i3 / 2.0f);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public int cB(int i2) {
        int i3 = this.axw;
        return i2 > i3 / 2 ? this.axs : i2 < (-i3) / 2 ? this.axr : Math.round(((i2 + (i3 / 2.0f)) * (this.axs - this.axr)) / i3) + this.axr;
    }

    private boolean d(float f2, float f3) {
        int i2;
        int i3;
        Rect rect = this.axJ;
        int i4 = rect.left;
        int i5 = rect.right;
        if (i4 >= i5 || (i2 = rect.top) >= (i3 = rect.bottom)) {
            return false;
        }
        float f4 = this.axW;
        int i6 = this.axx;
        return f2 >= (((float) i4) * f4) - ((float) i6) && f2 <= (((float) i5) * f4) + ((float) i6) && f3 >= (((float) i2) * f4) - ((float) i6) && f3 <= (((float) i3) * f4) + ((float) i6);
    }

    private boolean e(float f2, float f3) {
        int i2;
        int i3;
        Rect rect = this.axG;
        int i4 = rect.left;
        int i5 = rect.right;
        if (i4 >= i5 || (i2 = rect.top) >= (i3 = rect.bottom)) {
            return false;
        }
        float f4 = this.axY;
        int i6 = this.axx;
        return f2 >= (((float) i4) * f4) - ((float) i6) && f2 <= (((float) i5) * f4) + ((float) i6) && f3 >= (((float) i2) * f4) - ((float) i6) && f3 <= (((float) i3) * f4) + ((float) i6);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void g(float f2) {
        Rect rect = this.axJ;
        int i2 = this.axq;
        rect.left = (int) (f2 - i2);
        rect.right = (int) (i2 + f2);
        this.axH.right = (int) f2;
        invalidate();
    }

    private a getOnSeekBarChangedListener() {
        WeakReference<a> weakReference = this.axQ;
        if (weakReference != null) {
            return weakReference.get();
        }
        return null;
    }

    private float h(float f2) {
        float f3 = this.axw / 2;
        if (f2 > f3) {
            return f3;
        }
        float f4 = -f3;
        return f2 < f4 ? f4 : f2;
    }

    private void h(boolean z, int i2) {
        if (!z) {
            this.axy = i2;
            g(h(cA(i2)));
            return;
        }
        float h2 = h(cA(this.axy));
        float h3 = h(cA(i2));
        ValueAnimator valueAnimator = this.axV;
        if (valueAnimator == null) {
            ValueAnimator valueAnimator2 = new ValueAnimator();
            this.axV = valueAnimator2;
            valueAnimator2.setDuration(300L);
            this.axV.setInterpolator(new Interpolator() { // from class: com.kwad.sdk.core.view.ScaleAnimSeekBar.1
                @Override // android.animation.TimeInterpolator
                public final float getInterpolation(float f2) {
                    float f3 = f2 - 1.0f;
                    return (f3 * f3 * f3) + 1.0f;
                }
            });
            this.axV.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.kwad.sdk.core.view.ScaleAnimSeekBar.2
                @Override // android.animation.ValueAnimator.AnimatorUpdateListener
                public final void onAnimationUpdate(ValueAnimator valueAnimator3) {
                    float floatValue = ((Float) valueAnimator3.getAnimatedValue()).floatValue();
                    ScaleAnimSeekBar scaleAnimSeekBar = ScaleAnimSeekBar.this;
                    scaleAnimSeekBar.axy = scaleAnimSeekBar.cB((int) floatValue);
                    ScaleAnimSeekBar.this.g(floatValue);
                }
            });
        } else {
            valueAnimator.cancel();
        }
        this.axV.setFloatValues(h2, h3);
        this.axV.start();
    }

    private void init(Context context, AttributeSet attributeSet) {
        if (attributeSet != null) {
            bm(context);
        }
        Paint paint = new Paint();
        this.axm = paint;
        paint.setStyle(Paint.Style.FILL);
        this.axm.setAntiAlias(true);
        GradientDrawable gradientDrawable = new GradientDrawable();
        this.axD = gradientDrawable;
        gradientDrawable.setShape(0);
        this.axD.setColor(this.axn);
        GradientDrawable gradientDrawable2 = new GradientDrawable();
        this.axE = gradientDrawable2;
        gradientDrawable2.setShape(0);
        this.axE.setColor(this.axo);
        GradientDrawable gradientDrawable3 = new GradientDrawable();
        this.axF = gradientDrawable3;
        gradientDrawable3.setShape(0);
        this.axF.setColor(this.axp);
        this.axG = new Rect();
        this.axH = new Rect();
        this.axJ = new Rect();
        this.axI = new Rect();
        this.axy = this.axr;
    }

    private void v(int i2, int i3) {
        if (i2 <= 0 || i3 <= 0) {
            return;
        }
        this.axw = this.axR ? (int) (i2 - ((this.aya * 2) * (this.axX - this.axW))) : i2 - (this.aya * 2);
        Rect rect = this.axG;
        int i4 = -this.axu;
        rect.top = i4;
        rect.bottom = -i4;
        rect.left = (this.axv ? -i2 : -this.axw) / 2;
        this.axG.right = this.axv ? i2 / 2 : this.axw / 2;
        Rect rect2 = this.axH;
        int i5 = -this.axu;
        rect2.top = i5;
        rect2.bottom = -i5;
        rect2.left = (this.axv ? -i2 : -this.axw) / 2;
        Rect rect3 = this.axH;
        int i6 = this.axw;
        rect3.right = (-i6) / 2;
        Rect rect4 = this.axI;
        rect4.top = -this.axu;
        rect4.bottom = -rect3.top;
        rect4.left = (this.axv ? -i2 : -i6) / 2;
        Rect rect5 = this.axI;
        int i7 = this.axw;
        rect5.right = (-i7) / 2;
        Rect rect6 = this.axJ;
        int i8 = this.axq;
        rect6.top = -i8;
        rect6.bottom = i8;
        rect6.left = ((-i7) / 2) - i8;
        rect6.right = ((-i7) / 2) + i8;
        setThumbDrawable(this.axK);
        setProgress(this.axy);
        setSecondaryProgress(this.axA);
    }

    public final void bg(boolean z) {
        this.ayb = z;
        bh(z);
    }

    public int getMaxProgress() {
        return this.axs;
    }

    public int getProgress() {
        return this.axy;
    }

    public int getProgressLength() {
        return this.axw;
    }

    public int getProgressX() {
        return (int) (getX() + (this.axq * this.axX));
    }

    public int getSecondaryProgress() {
        return this.axA;
    }

    @Override // android.view.View
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        canvas.save();
        canvas.translate(this.axC / 2, this.axB / 2);
        a(canvas, this.axG, this.axD);
        a(canvas, this.axI, this.axF);
        a(canvas, this.axH, this.axE);
        if (this.ayb) {
            c(canvas);
        }
        canvas.restore();
    }

    @Override // android.view.View
    public void onMeasure(int i2, int i3) {
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size2 = View.MeasureSpec.getSize(i3);
        if (mode != 1073741824) {
            size = getWidth();
        }
        this.axC = size;
        if (mode2 == 1073741824) {
            this.axB = size2;
        } else {
            this.axB = getHeight();
        }
        v(this.axC, this.axB);
        setMeasuredDimension(this.axC, this.axB);
    }

    /* JADX WARN: Code restructure failed: missing block: B:31:0x0078, code lost:
        if (r3 != null) goto L32;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x007a, code lost:
        r3.requestDisallowInterceptTouchEvent(true);
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x008e, code lost:
        if (r3 != null) goto L32;
     */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        float x = motionEvent.getX() - (this.axC / 2);
        float y = motionEvent.getY() - (this.axB / 2);
        ViewParent parent = getParent();
        a onSeekBarChangedListener = getOnSeekBarChangedListener();
        int action = motionEvent.getAction();
        if (action != 0) {
            if (action == 1) {
                this.axP = false;
                if (this.axM || this.axL) {
                    this.axM = false;
                    this.axL = false;
                    a(cB((int) x), this.axS, true);
                    if (onSeekBarChangedListener != null) {
                        onSeekBarChangedListener.a(this);
                    }
                }
                if (parent != null) {
                    parent.requestDisallowInterceptTouchEvent(false);
                }
            } else if (action == 2 && (this.axL || this.axM)) {
                a(cB((int) x), false, true);
            }
        } else if (!this.axO) {
            return super.onTouchEvent(motionEvent);
        } else {
            if (d(x, y)) {
                bh(true);
                this.axL = true;
                this.axP = true;
                if (onSeekBarChangedListener != null) {
                    onSeekBarChangedListener.st();
                }
            } else if (e(x, y)) {
                bh(true);
                this.axM = true;
                if (onSeekBarChangedListener != null) {
                    onSeekBarChangedListener.st();
                }
            }
        }
        return true;
    }

    public void setMaxProgress(int i2) {
        this.axs = i2;
    }

    public void setMinProgress(int i2) {
        this.axr = i2;
        if (this.axy < i2) {
            this.axy = i2;
        }
    }

    public void setOnSeekBarChangeListener(a aVar) {
        this.axQ = new WeakReference<>(aVar);
    }

    public void setProgress(int i2) {
        a(i2, false, false);
    }

    public void setProgressBackgroundColor(@ColorInt int i2) {
        this.axn = i2;
        this.axD.setColor(i2);
    }

    public void setProgressColor(@ColorInt int i2) {
        this.axo = i2;
        this.axE.setColor(i2);
    }

    public void setSecondaryProgress(int i2) {
        int i3 = this.axr;
        if (i2 <= i3 || i2 >= (i3 = this.axs)) {
            i2 = i3;
        }
        this.axA = i2;
        this.axI.right = (int) h(cA(i2));
        invalidate();
    }

    public void setSecondaryProgressColor(@ColorInt int i2) {
        this.axp = i2;
        this.axF.setColor(i2);
    }

    public void setThumbDrawable(Drawable drawable) {
        if (drawable == null) {
            return;
        }
        this.axK = drawable;
    }

    public void setThumbEnable(boolean z) {
        this.axO = z;
    }

    public void setThumbScale(float f2) {
        this.axW = f2;
    }

    public void setThumbTouchOffset(int i2) {
        this.axx = i2;
        invalidate();
    }
}
