package com.kwad.sdk.core.webview.b;

import android.content.Context;
import android.net.Uri;
import android.os.Build;
import android.text.TextUtils;
import android.util.Log;
import android.webkit.WebResourceResponse;
import androidx.annotation.Nullable;
import com.baidu.mobads.sdk.internal.bw;
import com.kwad.sdk.core.e.c;
import com.kwad.sdk.core.webview.b.c.b;
import com.kwad.sdk.crash.utils.h;
import com.kwad.sdk.utils.q;
import java.io.BufferedInputStream;
import java.io.Closeable;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.URLConnection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class b {
    public static final Map<String, com.kwad.sdk.core.webview.b.a.b> ayF = new ConcurrentHashMap();
    public static final Map<String, String> ayG = new ConcurrentHashMap();

    public static String Z(String str, String str2) {
        return str + Uri.parse(str2).getPath();
    }

    @Nullable
    public static WebResourceResponse a(Context context, String str, com.kwad.sdk.h.a.b bVar, b.a aVar, boolean z) {
        com.kwad.sdk.core.webview.b.a.b bVar2;
        StringBuilder sb;
        String sb2;
        try {
            bVar2 = a(context, bVar, str, aVar);
        } catch (Exception e2) {
            c.printStackTraceOnly(e2);
            aVar.msg = "获取配置文件失败 崩溃" + Log.getStackTraceString(e2);
            bVar2 = null;
        }
        if (bVar2 == null) {
            b(z, aVar.msg);
            if (TextUtils.isEmpty(aVar.msg)) {
                aVar.msg = "获取配置文件失败";
            }
            return null;
        }
        if (TextUtils.isEmpty(bVar2.ayN)) {
            b(z, "getResource [" + str + "] getFilePath from url fail");
            sb2 = "getFilePath from url fail";
        } else {
            if (com.kwad.sdk.core.webview.b.c.c.ej(bVar2.ayJ)) {
                BufferedInputStream fp = q.fp(bVar2.ayN);
                if (fp != null) {
                    return a(fp, bVar2);
                }
                b(z, "getResource [" + str + "] inputStream is null");
                sb = new StringBuilder("inputStream is null,本地加载路径：");
                sb.append(bVar2.ayN);
            } else {
                b(z, "mimetype为: " + bVar2.ayJ + "不在拦截范围的文件");
                sb = new StringBuilder("mimetype为: ");
                sb.append(bVar2.ayJ);
                sb.append("不在拦截范围的文件");
            }
            sb2 = sb.toString();
        }
        aVar.msg = sb2;
        return null;
    }

    public static WebResourceResponse a(InputStream inputStream, com.kwad.sdk.core.webview.b.a.b bVar) {
        String str = bVar.ayJ;
        if (Build.VERSION.SDK_INT >= 21) {
            HashMap hashMap = new HashMap();
            hashMap.put(e.b.b.a.a.f.c.ACCESS_CONTROL_ALLOW_ORIGIN, bVar.ayM.ayH);
            hashMap.put("Access-Control-Allow-Credentials", "true");
            hashMap.put("Timing-Allow-Origin", bVar.ayM.ayI);
            hashMap.put("content-type", str);
            hashMap.put(e.b.b.a.a.f.h.c.DATE, bVar.ayM.ayK);
            hashMap.put("union-cache ", "1");
            return new WebResourceResponse(bVar.ayJ, "", bVar.status, bw.f203k, hashMap, inputStream);
        }
        return new WebResourceResponse(str, "UTF-8", inputStream);
    }

    public static com.kwad.sdk.core.webview.b.a.b a(Context context, com.kwad.sdk.h.a.b bVar, String str, b.a aVar) {
        InputStreamReader inputStreamReader;
        FileInputStream fileInputStream = null;
        try {
            String ec = ec(bVar.aCb);
            com.kwad.sdk.core.webview.b.a.b eb = !TextUtils.isEmpty(ec) ? eb(Z(ec, str)) : null;
            if (eb != null) {
                com.kwad.sdk.crash.utils.b.closeQuietly((Closeable) null);
                com.kwad.sdk.crash.utils.b.closeQuietly((Closeable) null);
                return eb;
            }
            String E = com.kwad.sdk.core.webview.b.c.a.E(context, bVar.aCc);
            if (E == null) {
                aVar.msg = "获取配置文件失败 offlinepackage 为空";
                com.kwad.sdk.crash.utils.b.closeQuietly((Closeable) null);
                com.kwad.sdk.crash.utils.b.closeQuietly((Closeable) null);
                return null;
            }
            File file = new File(E);
            if (!file.exists()) {
                aVar.msg = "获取配置文件失败 下载文件路径不存在 " + E;
                com.kwad.sdk.crash.utils.b.closeQuietly((Closeable) null);
                com.kwad.sdk.crash.utils.b.closeQuietly((Closeable) null);
                return null;
            }
            FileInputStream fileInputStream2 = new FileInputStream(file);
            try {
                inputStreamReader = new InputStreamReader(fileInputStream2);
                try {
                    String b = h.b(inputStreamReader);
                    if (TextUtils.isEmpty(b)) {
                        aVar.msg = "获取配置文件失败 mainfest文件不存在";
                        com.kwad.sdk.crash.utils.b.closeQuietly(fileInputStream2);
                        com.kwad.sdk.crash.utils.b.closeQuietly(inputStreamReader);
                        return null;
                    }
                    JSONObject jSONObject = new JSONObject(b);
                    Iterator<String> keys = jSONObject.keys();
                    while (keys.hasNext()) {
                        String next = keys.next();
                        JSONObject jSONObject2 = jSONObject.getJSONObject(next);
                        com.kwad.sdk.core.webview.b.a.b bVar2 = new com.kwad.sdk.core.webview.b.a.b();
                        bVar2.parseJson(jSONObject2);
                        String host = Uri.parse("https://" + next).getHost();
                        bVar2.ayO = host;
                        bVar2.ayN = com.kwad.sdk.core.webview.b.c.a.D(context, bVar.aCc) + "/" + next;
                        if (TextUtils.isEmpty(bVar2.ayJ)) {
                            bVar2.ayJ = URLConnection.getFileNameMap().getContentTypeFor(bVar2.ayN);
                        }
                        a(next, bVar2);
                        ec = host;
                    }
                    aa(bVar.aCb, ec);
                    com.kwad.sdk.core.webview.b.a.b eb2 = eb(Z(ec, str));
                    com.kwad.sdk.crash.utils.b.closeQuietly(fileInputStream2);
                    com.kwad.sdk.crash.utils.b.closeQuietly(inputStreamReader);
                    return eb2;
                } catch (Throwable th) {
                    th = th;
                    fileInputStream = fileInputStream2;
                    com.kwad.sdk.crash.utils.b.closeQuietly(fileInputStream);
                    com.kwad.sdk.crash.utils.b.closeQuietly(inputStreamReader);
                    throw th;
                }
            } catch (Throwable th2) {
                th = th2;
                inputStreamReader = null;
            }
        } catch (Throwable th3) {
            th = th3;
            inputStreamReader = null;
        }
    }

    public static void a(String str, com.kwad.sdk.core.webview.b.a.b bVar) {
        ayF.put(String.valueOf(str.hashCode()), bVar);
    }

    public static void aa(String str, String str2) {
        if (TextUtils.isEmpty(str2) || TextUtils.isEmpty(str)) {
            return;
        }
        ayG.put(str, str2);
    }

    public static void b(boolean z, String str) {
        if (z) {
            return;
        }
        c.d("HybridResourceManager", str);
    }

    public static com.kwad.sdk.core.webview.b.a.b eb(String str) {
        return ayF.get(String.valueOf(str.hashCode()));
    }

    public static String ec(String str) {
        return ayG.get(str);
    }
}
