package com.kwad.sdk.m;

import android.app.Activity;
import android.app.Application;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.Resources;
import android.text.TextUtils;
import android.util.Log;
import android.view.ContextThemeWrapper;
import androidx.annotation.NonNull;
import com.kwad.sdk.api.loader.Wrapper;
import com.kwad.sdk.service.ServiceProvider;
import java.lang.ref.WeakReference;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.WeakHashMap;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.concurrent.atomic.AtomicBoolean;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class i {
    public static final String CLAZZ_NAME = "com.kwad.sdk.m.i";
    public static final ThreadLocal<a> sAutoUnWrapModelTL = new ThreadLocal<>();
    public static final List<String> sAutoUnWrapStackList = new CopyOnWriteArrayList();
    public static final Map<Context, Context> sResContextCache = new WeakHashMap();
    public static final AtomicBoolean aMJ = new AtomicBoolean(false);

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class a {
        public WeakReference<Context> afg;
        public int afh;
        public StackTraceElement[] afi;
        public int afj;
        public long afk;

        public a() {
            this.afg = new WeakReference<>(null);
            this.afh = 0;
            this.afi = null;
            this.afj = 0;
        }

        public /* synthetic */ a(byte b) {
            this();
        }

        public static /* synthetic */ int c(a aVar) {
            int i2 = aVar.afh;
            aVar.afh = i2 + 1;
            return i2;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void clear() {
            this.afg = new WeakReference<>(null);
            this.afh = 0;
            this.afi = null;
            this.afj = 0;
            this.afk = 0L;
        }

        public static /* synthetic */ int g(a aVar) {
            int i2 = aVar.afj;
            aVar.afj = i2 + 1;
            return i2;
        }
    }

    public static boolean KR() {
        return aMJ.get();
    }

    public static void a(final Context context, Context context2) {
        sResContextCache.put(context, context2);
        if (context instanceof Activity) {
            com.kwad.sdk.core.c.b.AU();
            com.kwad.sdk.core.c.b.a(new com.kwad.sdk.core.c.d() { // from class: com.kwad.sdk.m.i.1
                @Override // com.kwad.sdk.core.c.d, com.kwad.sdk.core.c.c
                /* renamed from: onActivityDestroyed */
                public final void d(@NonNull Activity activity) {
                    if (activity == context) {
                        com.kwad.sdk.core.c.b.AU();
                        com.kwad.sdk.core.c.b.b((com.kwad.sdk.core.c.c) this);
                        i.onDestroy(context);
                    }
                }
            });
        }
    }

    public static boolean a(Context context, a aVar) {
        String str;
        Context context2 = sResContextCache.get(context);
        String name = context2 != null ? context2.getClass().getName() : "";
        StackTraceElement[] stackTrace = Thread.currentThread().getStackTrace();
        if (!Arrays.equals(stackTrace, aVar.afi)) {
            if (aVar.afi != null) {
                aVar.clear();
                return false;
            }
            aVar.afi = stackTrace;
            int i2 = 0;
            int i3 = 0;
            while (i2 < stackTrace.length) {
                StackTraceElement stackTraceElement = stackTrace[i2];
                String className = stackTraceElement.getClassName();
                for (String str2 : getAutoUnWrapStackList()) {
                    if (!TextUtils.isEmpty(str2) && className.contains(str2)) {
                        str = "needAutoUnWrap true 命中白名单";
                    }
                }
                String methodName = stackTraceElement.getMethodName();
                i2++;
                if (i2 < stackTrace.length && CLAZZ_NAME.equals(className) && Wrapper.METHOD_WRAP_CONTEXT.equals(methodName)) {
                    StackTraceElement stackTraceElement2 = stackTrace[i2];
                    if (TextUtils.equals(name, stackTraceElement2.getClassName()) && Wrapper.METHOD_GET_BASE_CONTEXT.equals(stackTraceElement2.getMethodName()) && (i3 = i3 + 1) >= 5) {
                        return true;
                    }
                }
            }
            return false;
        }
        a.g(aVar);
        aVar.afi = stackTrace;
        if (aVar.afj < 5) {
            return false;
        }
        str = "needAutoUnWrap true 连续相同堆栈";
        Log.d(Wrapper.TAG, str);
        return true;
    }

    public static void bW(boolean z) {
        aMJ.set(z);
    }

    public static Context dn(Context context) {
        if (context instanceof com.kwad.sdk.m.a) {
            context = ((com.kwad.sdk.m.a) context).getDelegatedContext();
        }
        if (l.dw(context)) {
            return context;
        }
        RuntimeException runtimeException = null;
        for (int i2 = 0; i2 < 10; i2++) {
            if (runtimeException == null) {
                boolean hasInitFinish = ((com.kwad.sdk.service.a.e) ServiceProvider.get(com.kwad.sdk.service.a.e.class)).hasInitFinish();
                RuntimeException runtimeException2 = new RuntimeException("expect normalContext --context:" + context.getClass().getName() + "--initFinish:" + hasInitFinish);
                ((com.kwad.sdk.service.a.d) ServiceProvider.get(com.kwad.sdk.service.a.d.class)).gatherException(runtimeException2);
                runtimeException = runtimeException2;
            }
            if (j.au(context)) {
                context = j.at(context);
            }
            if (context instanceof com.kwad.sdk.m.a) {
                context = ((com.kwad.sdk.m.a) context).getDelegatedContext();
            }
            if (l.dw(context)) {
                return context;
            }
        }
        return context;
    }

    /* renamed from: do  reason: not valid java name */
    public static Context m132do(Context context) {
        if (context instanceof Application) {
            return context;
        }
        Context applicationContext = dn(context).getApplicationContext();
        if (applicationContext instanceof Application) {
            return applicationContext;
        }
        for (int i2 = 0; i2 < 10; i2++) {
            applicationContext = applicationContext.getApplicationContext();
            if (applicationContext instanceof Application) {
                return applicationContext;
            }
            if (applicationContext instanceof com.kwad.sdk.m.a) {
                applicationContext = ((com.kwad.sdk.m.a) applicationContext).getDelegatedContext();
            }
        }
        return applicationContext;
    }

    public static List<String> getAutoUnWrapStackList() {
        if (sAutoUnWrapStackList.isEmpty()) {
            sAutoUnWrapStackList.add("com.sensorsdata.analytics.android.sdk");
        }
        return sAutoUnWrapStackList;
    }

    public static void onDestroy(Context context) {
        sResContextCache.remove(context);
    }

    public static ClassLoader replaceExternalClassLoader(ClassLoader classLoader) {
        ClassLoader classLoader2 = e.KO().getClassLoader();
        return classLoader2 != null ? classLoader2 : classLoader;
    }

    public static Resources.Theme replaceTheme(Resources.Theme theme, Resources.Theme theme2, int i2) {
        Resources resources = e.KO().getResources();
        if (resources != null) {
            if (theme2 == null) {
                Resources.Theme newTheme = resources.newTheme();
                newTheme.applyStyle(i2, true);
                return newTheme;
            }
            return theme2;
        }
        return theme;
    }

    public static boolean returnUnWrappedContext(Context context) {
        a aVar = sAutoUnWrapModelTL.get();
        if (aVar == null) {
            sAutoUnWrapModelTL.set(new a((byte) 0));
        } else if (aVar.afg.get() != context || Math.abs(System.currentTimeMillis() - aVar.afk) >= 150) {
            aVar.clear();
            aVar.afg = new WeakReference(context);
            aVar.afk = System.currentTimeMillis();
        } else {
            a.c(aVar);
            if (aVar.afh >= (context instanceof Application ? 15 : 5) && a(context, aVar)) {
                aVar.clear();
                return true;
            }
        }
        return false;
    }

    public static Context wrapContextIfNeed(Context context) {
        Context context2;
        if (context == null) {
            ((com.kwad.sdk.service.a.d) ServiceProvider.get(com.kwad.sdk.service.a.d.class)).gatherException(new RuntimeException("KSWrapper wrapContextIfNeed context is null"));
            return null;
        } else if (((com.kwad.sdk.service.a.e) ServiceProvider.get(com.kwad.sdk.service.a.e.class)).getIsExternal() && !(context instanceof com.kwad.sdk.m.a)) {
            if (j.au(context)) {
                context = j.unwrapContextIfNeed(context);
                if (j.au(context)) {
                    ((com.kwad.sdk.service.a.d) ServiceProvider.get(com.kwad.sdk.service.a.d.class)).gatherException(new RuntimeException("KSWrapper unwrapContextIfNeed fail"));
                    return context;
                }
            }
            Context context3 = sResContextCache.get(context);
            if (context3 instanceof com.kwad.sdk.m.a) {
                return context3;
            }
            if (k.dp(context)) {
                return context;
            }
            if (returnUnWrappedContext(context)) {
                ((com.kwad.sdk.service.a.d) ServiceProvider.get(com.kwad.sdk.service.a.d.class)).gatherException(new RuntimeException("KSWrapper returnUnWrappedContext context: " + context.getClass().getName()));
                return context;
            }
            if (context instanceof Application) {
                try {
                    f fVar = new f((Application) context, new g(context, e.KO()));
                    l.a(fVar);
                    context2 = fVar;
                } catch (Throwable unused) {
                    boolean hasInitFinish = ((com.kwad.sdk.service.a.e) ServiceProvider.get(com.kwad.sdk.service.a.e.class)).hasInitFinish();
                    ((com.kwad.sdk.service.a.d) ServiceProvider.get(com.kwad.sdk.service.a.d.class)).gatherException(new RuntimeException("wrapper Application fail --context:" + context.getClass().getName() + "--initFinish:" + hasInitFinish));
                    return context;
                }
            } else {
                context2 = context instanceof ContextThemeWrapper ? new b((ContextThemeWrapper) context) : context instanceof androidx.appcompat.view.ContextThemeWrapper ? new c((androidx.appcompat.view.ContextThemeWrapper) context) : context instanceof ContextWrapper ? new d(context) : new d(context);
            }
            a(context, context2);
            return context2;
        } else {
            return context;
        }
    }
}
