package com.kwad.sdk.mvp;

import android.app.Activity;
import android.content.Context;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.UiThread;
import com.kwad.sdk.m.l;
import com.kwad.sdk.service.c;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class Presenter {
    public Object aDg;
    public View mRootView;
    public final List<Presenter> aDf = new CopyOnWriteArrayList();
    public PresenterState aDh = PresenterState.INIT;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public enum PresenterState {
        INIT(0) { // from class: com.kwad.sdk.mvp.Presenter.PresenterState.1
            @Override // com.kwad.sdk.mvp.Presenter.PresenterState
            public final void performCallState(Presenter presenter) {
            }
        },
        CREATE(1) { // from class: com.kwad.sdk.mvp.Presenter.PresenterState.2
            @Override // com.kwad.sdk.mvp.Presenter.PresenterState
            public final void performCallState(Presenter presenter) {
                for (Presenter presenter2 : presenter.aDf) {
                    try {
                        presenter2.F(presenter.mRootView);
                    } catch (Exception e2) {
                        c.gatherException(e2);
                        com.kwad.sdk.core.e.c.printStackTrace(e2);
                    }
                }
            }
        },
        BIND(2) { // from class: com.kwad.sdk.mvp.Presenter.PresenterState.3
            @Override // com.kwad.sdk.mvp.Presenter.PresenterState
            public final void performCallState(Presenter presenter) {
                for (Presenter presenter2 : presenter.aDf) {
                    try {
                        presenter2.k(presenter.aDg);
                    } catch (Throwable th) {
                        c.gatherException(th);
                        com.kwad.sdk.core.e.c.printStackTrace(th);
                    }
                }
            }
        },
        UNBIND(3) { // from class: com.kwad.sdk.mvp.Presenter.PresenterState.4
            @Override // com.kwad.sdk.mvp.Presenter.PresenterState
            public final void performCallState(Presenter presenter) {
                for (Presenter presenter2 : presenter.aDf) {
                    try {
                        presenter2.lI();
                    } catch (Exception e2) {
                        c.gatherException(e2);
                        com.kwad.sdk.core.e.c.printStackTrace(e2);
                    }
                }
            }
        },
        DESTROY(4) { // from class: com.kwad.sdk.mvp.Presenter.PresenterState.5
            @Override // com.kwad.sdk.mvp.Presenter.PresenterState
            public final void performCallState(Presenter presenter) {
                for (Presenter presenter2 : presenter.aDf) {
                    try {
                        presenter2.destroy();
                    } catch (Exception e2) {
                        c.gatherException(e2);
                        com.kwad.sdk.core.e.c.printStackTrace(e2);
                    }
                }
            }
        };
        
        public int mIndex;

        PresenterState(int i2) {
            this.mIndex = i2;
        }

        public int index() {
            return this.mIndex;
        }

        public abstract void performCallState(Presenter presenter);
    }

    private boolean Gi() {
        return this.aDh.index() >= PresenterState.CREATE.index();
    }

    private void b(Presenter presenter) {
        Object obj;
        View view;
        if (this.aDh.index() >= PresenterState.UNBIND.index() || presenter.aDh.index() >= PresenterState.UNBIND.index()) {
            return;
        }
        if (Gi() && !presenter.Gi() && (view = this.mRootView) != null) {
            presenter.F(view);
        }
        if (!isBound() || !presenter.Gi() || presenter.isBound() || (obj = this.aDg) == null) {
            return;
        }
        presenter.k(obj);
    }

    private boolean isBound() {
        return this.aDh == PresenterState.BIND;
    }

    @UiThread
    public final void F(View view) {
        this.aDh = PresenterState.CREATE;
        this.mRootView = view;
        onCreate();
        this.aDh.performCallState(this);
    }

    public final List<Presenter> Gj() {
        return this.aDf;
    }

    public final Object Gk() {
        return this.aDg;
    }

    public final void a(Presenter presenter) {
        this.aDf.add(presenter);
        if (!Gi() || presenter.Gi()) {
            return;
        }
        F(this.mRootView);
    }

    public final void a(Presenter presenter, boolean z) {
        this.aDf.add(presenter);
        try {
            b(presenter);
        } catch (Throwable th) {
            c.gatherException(th);
            com.kwad.sdk.core.e.c.printStackTrace(th);
        }
    }

    public void ah() {
    }

    @UiThread
    public final void destroy() {
        if (this.aDh == PresenterState.BIND) {
            lI();
        }
        this.aDh = PresenterState.DESTROY;
        onDestroy();
        this.aDh.performCallState(this);
    }

    public final <T extends View> T findViewById(int i2) {
        return (T) this.mRootView.findViewById(i2);
    }

    @Nullable
    @UiThread
    public final Activity getActivity() {
        return l.dr(getContext());
    }

    public final Context getContext() {
        View view = this.mRootView;
        if (view == null) {
            return null;
        }
        return view.getContext();
    }

    public final View getRootView() {
        return this.mRootView;
    }

    @UiThread
    public final void k(@NonNull Object obj) {
        if (this.aDh != PresenterState.INIT) {
            PresenterState presenterState = PresenterState.DESTROY;
        }
        if (this.aDh == PresenterState.BIND) {
            lI();
        }
        this.aDh = PresenterState.BIND;
        this.aDg = obj;
        ah();
        this.aDh.performCallState(this);
    }

    @UiThread
    public final void lI() {
        this.aDh = PresenterState.UNBIND;
        onUnbind();
        this.aDh.performCallState(this);
    }

    public void onCreate() {
    }

    public void onDestroy() {
    }

    public void onUnbind() {
    }
}
