package com.kwad.sdk.utils;

import android.content.Context;
import android.os.Build;
import android.os.Process;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class AbiUtil {
    public static Abi aHH;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public enum Abi {
        UNKNOWN,
        ARMEABI_V7A,
        ARM64_V8A
    }

    public static String bD(Context context) {
        return isArm64(context) ? "arm64-v8a" : "armeabi-v7a";
    }

    public static Abi bE(Context context) {
        Abi abi;
        Abi abi2 = aHH;
        if (abi2 != null) {
            return abi2;
        }
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 21) {
            if (i2 < 23) {
                if (i2 >= 21) {
                    try {
                        aHH = ((Boolean) s.f(s.a("dalvik.system.VMRuntime", "getRuntime", new Object[0]), "is64Bit", new Object[0])).booleanValue() ? Abi.ARM64_V8A : Abi.ARMEABI_V7A;
                    } catch (Throwable th) {
                        th.printStackTrace();
                        try {
                            aHH = context.getApplicationInfo().nativeLibraryDir.contains("arm64") ? Abi.ARM64_V8A : Abi.UNKNOWN;
                        } catch (Throwable th2) {
                            th2.printStackTrace();
                            abi = Abi.UNKNOWN;
                        }
                    }
                }
                return aHH;
            } else if (Process.is64Bit()) {
                abi = Abi.ARM64_V8A;
            }
            aHH = abi;
            return aHH;
        }
        abi = Abi.ARMEABI_V7A;
        aHH = abi;
        return aHH;
    }

    public static boolean isArm64(Context context) {
        return bE(context) == Abi.ARM64_V8A;
    }
}
