package com.kwad.sdk.utils;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.Message;
import android.os.Messenger;
import android.os.RemoteException;
import android.support.v4.media.session.PlaybackStateCompat;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresPermission;
import androidx.annotation.WorkerThread;
import com.kwad.sdk.collector.AppStatusRules;
import com.kwad.sdk.collector.c;
import com.kwad.sdk.core.threads.GlobalThreadPools;
import com.kwad.sdk.service.ServiceProvider;
import com.ss.android.socialbase.downloader.constants.DBDefinition;
import java.io.File;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.ThreadPoolExecutor;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class f {
    public static Handler VH;
    public static Messenger aHL;
    public static volatile ExecutorService aHM;
    public static volatile AppStatusRules aHN;
    public static WeakReference<Context> aHO;
    public static com.kwad.sdk.collector.h aHP;
    public static ServiceConnection aql = new ServiceConnection() { // from class: com.kwad.sdk.utils.f.1
        @Override // android.content.ServiceConnection
        public final void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            try {
                Messenger messenger = new Messenger(iBinder);
                Message obtain = Message.obtain();
                obtain.what = 100;
                if (!f.HH()) {
                    com.kwad.sdk.core.e.c.w("AppStatusHelper", "clientMessenger init error");
                    return;
                }
                obtain.replyTo = f.aHL;
                try {
                    messenger.send(obtain);
                } catch (RemoteException unused) {
                }
            } catch (SecurityException e2) {
                com.kwad.sdk.core.e.c.printStackTraceOnly(e2);
                com.kwad.sdk.service.c.gatherException(e2);
            }
        }

        @Override // android.content.ServiceConnection
        public final void onServiceDisconnected(ComponentName componentName) {
        }
    };

    /* compiled from: AAA */
    /* renamed from: com.kwad.sdk.utils.f$2  reason: invalid class name */
    /* loaded from: classes3.dex */
    public static class AnonymousClass2 implements Runnable {
        public final /* synthetic */ Context jz;

        public AnonymousClass2(Context context) {
            this.jz = context;
        }

        @Override // java.lang.Runnable
        public final void run() {
            com.kwad.sdk.collector.c.a(this.jz, new c.a() { // from class: com.kwad.sdk.utils.f.2.1
                @Override // com.kwad.sdk.collector.c.a
                public final void b(AppStatusRules appStatusRules) {
                    appStatusRules.initStatus(AnonymousClass2.this.jz);
                    AppStatusRules unused = f.aHN = appStatusRules;
                    f.b(AnonymousClass2.this.jz, f.aHN);
                    f.bH(AnonymousClass2.this.jz);
                    boolean dl = be.dl(AnonymousClass2.this.jz);
                    boolean isAppStatusTargetNotEmpty = AppStatusRules.isAppStatusTargetNotEmpty(f.aHN);
                    com.kwad.sdk.core.e.c.d("AppStatusHelper", "appStatusTargetNotEmpty: " + isAppStatusTargetNotEmpty + ", permissionGranted: " + dl);
                    if (dl && isAppStatusTargetNotEmpty) {
                        long obtainDefaultScanInterval = f.aHN.obtainDefaultScanInterval();
                        if (obtainDefaultScanInterval > 0) {
                            f.c(AnonymousClass2.this.jz, obtainDefaultScanInterval);
                        } else {
                            f.bJ(AnonymousClass2.this.jz);
                        }
                    }
                    boolean isUploadTargetNotEmpty = AppStatusRules.isUploadTargetNotEmpty(f.aHN);
                    boolean z = f.aHN.obtainUploadConfigFileMaxSize() > 0;
                    com.kwad.sdk.core.e.c.d("AppStatusHelper", "uploadTargetNotEmpty: " + isUploadTargetNotEmpty + ", enableUpload: " + z);
                    if (isUploadTargetNotEmpty && z && dl) {
                        f.HI();
                        f.aHM.submit(new Runnable() { // from class: com.kwad.sdk.utils.f.2.1.1
                            @Override // java.lang.Runnable
                            public final void run() {
                                try {
                                    com.kwad.sdk.collector.j.a(AnonymousClass2.this.jz, f.aHN);
                                } catch (Throwable th) {
                                    com.kwad.sdk.service.c.gatherException(th);
                                    com.kwad.sdk.core.e.c.printStackTraceOnly(th);
                                }
                            }
                        });
                    }
                }

                @Override // com.kwad.sdk.collector.c.a
                public final void k(int i2, String str) {
                    com.kwad.sdk.core.e.c.e("AppStatusHelper", "fetchAppStatusConfig onFetchError: " + str + ", code: " + i2);
                }
            });
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class a implements com.kwad.sdk.core.b {
        public List<Long> aHV = new ArrayList();
        public String appName;
        public String packageName;

        public a() {
        }

        public a(String str, String str2) {
            this.appName = str;
            this.packageName = str2;
        }

        @Nullable
        public static JSONArray F(List<com.kwad.sdk.collector.model.b> list) {
            List<a> list2;
            try {
                list2 = G(list);
            } catch (Exception e2) {
                com.kwad.sdk.service.c.gatherException(e2);
                list2 = null;
            }
            if (list2 == null) {
                return null;
            }
            JSONArray jSONArray = new JSONArray();
            for (a aVar : list2) {
                jSONArray.put(aVar.toJson());
            }
            return jSONArray;
        }

        @Nullable
        public static List<a> G(List<com.kwad.sdk.collector.model.b> list) {
            a aVar;
            if (list != null && list.size() != 0) {
                HashMap hashMap = new HashMap();
                try {
                    for (com.kwad.sdk.collector.model.b bVar : list) {
                        String b = com.kwad.sdk.collector.model.c.b(bVar);
                        if (hashMap.containsKey(b)) {
                            aVar = (a) hashMap.get(b);
                        } else {
                            a aVar2 = new a(com.kwad.sdk.collector.model.c.a(bVar), com.kwad.sdk.collector.model.c.b(bVar));
                            hashMap.put(b, aVar2);
                            aVar = aVar2;
                        }
                        long c2 = com.kwad.sdk.collector.model.c.c(bVar) / 1000;
                        if (aVar != null) {
                            aVar.as(c2);
                        }
                    }
                    return new ArrayList(hashMap.values());
                } catch (ClassCastException e2) {
                    com.kwad.sdk.core.e.c.printStackTraceOnly(e2);
                }
            }
            return null;
        }

        private void as(long j2) {
            this.aHV.add(Long.valueOf(j2));
        }

        @Override // com.kwad.sdk.core.b
        public final void parseJson(@Nullable JSONObject jSONObject) {
            if (jSONObject == null) {
                return;
            }
            this.appName = jSONObject.optString("appName");
            this.packageName = jSONObject.optString(DBDefinition.PACKAGE_NAME);
            JSONArray optJSONArray = jSONObject.optJSONArray("runningTimes");
            if (optJSONArray != null) {
                this.aHV.clear();
                int length = optJSONArray.length();
                for (int i2 = 0; i2 < length; i2++) {
                    try {
                        this.aHV.add(Long.valueOf(optJSONArray.getLong(i2)));
                    } catch (JSONException e2) {
                        com.kwad.sdk.core.e.c.printStackTraceOnly(e2);
                    }
                }
            }
        }

        @Override // com.kwad.sdk.core.b
        public final JSONObject toJson() {
            JSONObject jSONObject = new JSONObject();
            t.putValue(jSONObject, "appName", this.appName);
            t.putValue(jSONObject, DBDefinition.PACKAGE_NAME, this.packageName);
            JSONArray jSONArray = new JSONArray();
            for (Long l2 : this.aHV) {
                jSONArray.put(l2.longValue());
            }
            t.putValue(jSONObject, "runningTimes", jSONArray);
            return jSONObject;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface b {
        void q(List<com.kwad.sdk.collector.model.b> list);
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class c extends Handler {
        public c(@NonNull Looper looper) {
            super(looper);
        }

        public static void H(List<a> list) {
            if (list == null) {
                return;
            }
            f.aHP.c(t.I(list));
        }

        public static void b(ArrayList<com.kwad.sdk.collector.model.b> arrayList) {
            JSONArray F;
            if (arrayList == null || (F = a.F(arrayList)) == null) {
                return;
            }
            f.aHP.c(F);
        }

        private void c(Message message) {
            ArrayList arrayList;
            List list;
            Bundle data = message.getData();
            List<AppStatusRules.Strategy> list2 = null;
            if (data != null) {
                try {
                    if (data.containsKey("resultJson")) {
                        list = t.a(data.getString("resultJson"), new com.kwad.sdk.core.c<a>() { // from class: com.kwad.sdk.utils.f.c.1
                            public static a HR() {
                                return new a();
                            }

                            @Override // com.kwad.sdk.core.c
                            public final /* synthetic */ a yV() {
                                return HR();
                            }
                        });
                        arrayList = null;
                    } else {
                        arrayList = (ArrayList) data.getSerializable("data");
                        list = null;
                    }
                } catch (Throwable unused) {
                    arrayList = null;
                    list = null;
                }
                if (arrayList != null) {
                    com.kwad.sdk.core.e.c.d("AppStatusHelper", "ClientHandler: handleMessage data size: " + arrayList.size());
                    b(arrayList);
                }
                if (list != null) {
                    H(list);
                }
            }
            if (f.aHO != null && f.aHO.get() != null && data != null) {
                if (data.containsKey("allStrategyJson")) {
                    String string = data.getString("allStrategyJson");
                    if (string != null) {
                        list2 = t.a(string, new com.kwad.sdk.core.c<AppStatusRules.Strategy>() { // from class: com.kwad.sdk.utils.f.c.2
                            public static AppStatusRules.Strategy HS() {
                                return new AppStatusRules.Strategy();
                            }

                            @Override // com.kwad.sdk.core.c
                            public final /* synthetic */ AppStatusRules.Strategy yV() {
                                return HS();
                            }
                        });
                    }
                } else {
                    list2 = (ArrayList) data.getSerializable("allStrategy");
                }
                if (list2 != null) {
                    for (AppStatusRules.Strategy strategy : list2) {
                        long needSaveLaunchTime = strategy.getNeedSaveLaunchTime();
                        if (needSaveLaunchTime >= 0) {
                            com.kwad.sdk.collector.i.a((Context) f.aHO.get(), strategy, needSaveLaunchTime);
                        }
                    }
                }
            }
            if (f.aHO == null || f.aql == null) {
                return;
            }
            com.kwad.sdk.core.e.c.d("AppStatusHelper", "unbindASService");
            com.kwad.sdk.collector.b.a.b((Context) f.aHO.get(), f.aql);
        }

        @Override // android.os.Handler
        public final void handleMessage(@NonNull Message message) {
            super.handleMessage(message);
            if (message.what != 101) {
                return;
            }
            try {
                c(message);
            } catch (Throwable th) {
                com.kwad.sdk.core.e.c.printStackTraceOnly(th);
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class d implements b {
        public b aHX = null;

        public d(b bVar) {
        }

        @Override // com.kwad.sdk.utils.f.b
        public final void q(List<com.kwad.sdk.collector.model.b> list) {
            JSONArray F = a.F(list);
            if (F != null) {
                f.aHP.c(F);
            }
            b bVar = this.aHX;
            if (bVar != null) {
                bVar.q(list);
            }
        }
    }

    public static List<com.kwad.sdk.collector.model.b> E(List<com.kwad.sdk.collector.model.b> list) {
        return list.isEmpty() ? list : new ArrayList(new LinkedHashSet(list));
    }

    public static AppStatusRules HG() {
        return aHN;
    }

    public static boolean HH() {
        if (aHL == null) {
            try {
                aHL = new Messenger(new c(Looper.getMainLooper()));
            } catch (Throwable unused) {
            }
        }
        return aHL != null;
    }

    public static void HI() {
        if (aHM == null) {
            synchronized (f.class) {
                if (aHM == null) {
                    ExecutorService CY = GlobalThreadPools.CY();
                    aHM = CY;
                    com.kwad.sdk.core.threads.c.a((ThreadPoolExecutor) CY, "appStatusHelper");
                }
            }
        }
    }

    public static boolean HJ() {
        try {
            Class<?> cls = Class.forName("com.kwad.sdk.api.proxy.app.ServiceProxyRemote");
            if (cls != null) {
                Context context = ServiceProvider.getContext();
                return context.getPackageManager().queryIntentServices(new Intent(context, cls), 65536).size() > 0;
            }
        } catch (ClassNotFoundException e2) {
            com.kwad.sdk.core.e.c.printStackTraceOnly(e2);
        }
        return false;
    }

    @NonNull
    public static List<com.kwad.sdk.collector.model.b> a(AppStatusRules.Strategy strategy) {
        boolean isNeedLaunch = strategy.isNeedLaunch();
        com.kwad.sdk.core.e.c.d("AppStatusHelper", "analysisByFile, strategy: " + strategy.getName() + ", needLaunch: " + isNeedLaunch);
        return !isNeedLaunch ? new ArrayList() : com.kwad.sdk.collector.b.yE().a(strategy);
    }

    public static void a(Context context, long j2, com.kwad.sdk.collector.h hVar) {
        if (at.Jh() || com.kwad.sdk.core.config.d.R(PlaybackStateCompat.ACTION_PLAY_FROM_URI) || context == null || com.kwad.sdk.utils.c.bF(context)) {
            return;
        }
        aHP = hVar;
        boolean isInMainProcess = SystemUtil.isInMainProcess(context);
        com.kwad.sdk.core.e.c.d("AppStatusHelper", "isMainProcess: " + isInMainProcess);
        if (isInMainProcess) {
            aHO = new WeakReference<>(context);
            if (VH == null) {
                VH = new Handler(Looper.getMainLooper());
            }
            VH.postDelayed(new AnonymousClass2(context), 30000L);
        }
    }

    public static void a(final Context context, final b bVar) {
        if (context == null || at.Jh() || com.kwad.sdk.core.config.d.R(PlaybackStateCompat.ACTION_PLAY_FROM_URI) || com.kwad.sdk.utils.c.bF(context)) {
            return;
        }
        HI();
        aHM.submit(new Runnable() { // from class: com.kwad.sdk.utils.f.4
            @Override // java.lang.Runnable
            public final void run() {
                List bK;
                try {
                    HashSet hashSet = new HashSet();
                    if (!be.dl(context) || (bK = f.bK(context)) == null) {
                        return;
                    }
                    Iterator it = bK.iterator();
                    while (it.hasNext()) {
                        com.kwad.sdk.core.e.c.d("AppStatusHelper", "AppRunningInfo: " + ((com.kwad.sdk.collector.model.b) it.next()));
                    }
                    hashSet.addAll(bK);
                    if (bVar != null) {
                        bVar.q(new ArrayList(hashSet));
                    }
                } catch (Throwable th) {
                    com.kwad.sdk.core.e.c.printStackTraceOnly(th);
                    com.kwad.sdk.service.c.gatherException(th);
                }
            }
        });
    }

    @WorkerThread
    public static void b(Context context, AppStatusRules appStatusRules) {
        File file = new File(context.getFilesDir(), "LOCAL_APP_STATUS_RULES_JSON");
        String jSONObject = appStatusRules.toJson().toString();
        if (TextUtils.isEmpty(jSONObject)) {
            return;
        }
        com.kwad.sdk.crash.utils.h.k(file.getAbsolutePath(), com.kwad.sdk.core.a.c.cR(jSONObject), false);
    }

    @WorkerThread
    public static void bH(Context context) {
        if (aHN == null) {
            aHN = bI(context);
        }
    }

    @Nullable
    @WorkerThread
    public static AppStatusRules bI(Context context) {
        File file = new File(context.getFilesDir(), "LOCAL_APP_STATUS_RULES_JSON");
        if (file.exists()) {
            try {
                String I = com.kwad.sdk.crash.utils.h.I(file);
                if (TextUtils.isEmpty(I)) {
                    return null;
                }
                if (com.kwad.sdk.core.a.c.cT(I)) {
                    I = com.kwad.sdk.core.a.c.cS(I);
                }
                JSONObject jSONObject = new JSONObject(I);
                AppStatusRules appStatusRules = new AppStatusRules();
                appStatusRules.parseJson(jSONObject);
                return appStatusRules;
            } catch (Throwable unused) {
                return null;
            }
        }
        return null;
    }

    public static void bJ(Context context) {
        if (context == null) {
            return;
        }
        boolean HJ = HJ();
        com.kwad.sdk.core.e.c.d("AppStatusHelper", "isServiceAvailable: " + HJ);
        if (HJ) {
            com.kwad.sdk.collector.b.a.a(context, aql);
        } else {
            a(context, new d(null));
        }
    }

    @WorkerThread
    public static List<com.kwad.sdk.collector.model.b> bK(Context context) {
        if (be.dl(context)) {
            if (aHN == null) {
                aHN = bI(context);
            }
            return bL(context);
        }
        return new ArrayList();
    }

    @RequiresPermission("android.permission.WRITE_EXTERNAL_STORAGE")
    public static List<com.kwad.sdk.collector.model.b> bL(Context context) {
        ArrayList arrayList = new ArrayList();
        if (at.Jh() || com.kwad.sdk.core.config.d.R(PlaybackStateCompat.ACTION_PLAY_FROM_URI) || com.kwad.sdk.utils.c.bF(context)) {
            return arrayList;
        }
        AppStatusRules HG = HG();
        for (AppStatusRules.Strategy strategy : com.kwad.sdk.collector.i.c(HG)) {
            arrayList.addAll(a(strategy));
            strategy.setNeedSaveLaunchTime(System.currentTimeMillis());
        }
        AppStatusRules.Strategy d2 = com.kwad.sdk.collector.i.d(HG);
        arrayList.addAll(a(d2));
        d2.setNeedSaveLaunchTime(System.currentTimeMillis());
        return E(arrayList);
    }

    public static void c(final Context context, final long j2) {
        if (VH == null) {
            VH = new Handler(Looper.getMainLooper());
        }
        VH.post(new Runnable() { // from class: com.kwad.sdk.utils.f.3
            @Override // java.lang.Runnable
            public final void run() {
                f.bJ(context);
                f.VH.postDelayed(this, j2);
            }
        });
    }
}
