package com.kwad.sdk.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import com.kwad.sdk.R;
import java.math.BigDecimal;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class KSRatingBar extends LinearLayout {
    public boolean aLT;
    public boolean aLU;
    public int aLV;
    public int aLW;
    public a aLX;
    public float aLY;
    public float aLZ;
    public float aMa;
    public Drawable aMb;
    public Drawable aMc;
    public Drawable aMd;
    public boolean aMe;
    public int y;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface a {
    }

    public KSRatingBar(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.y = 1;
        this.aMe = false;
        setOrientation(0);
        setDividerDrawable(getResources().getDrawable(R.drawable.ksad_reward_apk_stars_divider));
        setShowDividers(2);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ksad_KSRatingBar);
        this.aMd = obtainStyledAttributes.getDrawable(R.styleable.ksad_KSRatingBar_ksad_starHalf);
        this.aMb = obtainStyledAttributes.getDrawable(R.styleable.ksad_KSRatingBar_ksad_starEmpty);
        this.aMc = obtainStyledAttributes.getDrawable(R.styleable.ksad_KSRatingBar_ksad_starFill);
        this.aLY = obtainStyledAttributes.getDimension(R.styleable.ksad_KSRatingBar_ksad_starImageWidth, 60.0f);
        this.aLZ = obtainStyledAttributes.getDimension(R.styleable.ksad_KSRatingBar_ksad_starImageHeight, 120.0f);
        this.aMa = obtainStyledAttributes.getDimension(R.styleable.ksad_KSRatingBar_ksad_starImagePadding, 15.0f);
        this.aLV = obtainStyledAttributes.getInteger(R.styleable.ksad_KSRatingBar_ksad_totalStarCount, 5);
        this.aLW = obtainStyledAttributes.getInteger(R.styleable.ksad_KSRatingBar_ksad_starCount, 5);
        this.aLT = obtainStyledAttributes.getBoolean(R.styleable.ksad_KSRatingBar_ksad_clickable, true);
        this.aLU = obtainStyledAttributes.getBoolean(R.styleable.ksad_KSRatingBar_ksad_halfstart, false);
        for (int i2 = 0; i2 < this.aLV; i2++) {
            ImageView w = w(context, this.aMe);
            w.setOnClickListener(new View.OnClickListener() { // from class: com.kwad.sdk.widget.KSRatingBar.1
                @Override // android.view.View.OnClickListener
                public final void onClick(View view) {
                    if (KSRatingBar.this.aLT) {
                        if (!KSRatingBar.this.aLU) {
                            KSRatingBar kSRatingBar = KSRatingBar.this;
                            kSRatingBar.setStar(kSRatingBar.indexOfChild(view) + 1.0f);
                            if (KSRatingBar.this.aLX != null) {
                                a unused = KSRatingBar.this.aLX;
                                KSRatingBar.this.indexOfChild(view);
                                return;
                            }
                            return;
                        }
                        if (KSRatingBar.this.y % 2 == 0) {
                            KSRatingBar kSRatingBar2 = KSRatingBar.this;
                            kSRatingBar2.setStar(kSRatingBar2.indexOfChild(view) + 1.0f);
                        } else {
                            KSRatingBar kSRatingBar3 = KSRatingBar.this;
                            kSRatingBar3.setStar(kSRatingBar3.indexOfChild(view) + 0.5f);
                        }
                        if (KSRatingBar.this.aLX != null) {
                            int i3 = KSRatingBar.this.y % 2;
                            a unused2 = KSRatingBar.this.aLX;
                            KSRatingBar.this.indexOfChild(view);
                            KSRatingBar.e(KSRatingBar.this);
                        }
                    }
                }
            });
            addView(w);
        }
        setStar(this.aLW);
    }

    public static /* synthetic */ int e(KSRatingBar kSRatingBar) {
        int i2 = kSRatingBar.y;
        kSRatingBar.y = i2 + 1;
        return i2;
    }

    private ImageView w(Context context, boolean z) {
        ImageView imageView = new ImageView(context);
        imageView.setLayoutParams(new ViewGroup.LayoutParams(Math.round(this.aLY), Math.round(this.aLZ)));
        imageView.setPadding(0, 0, Math.round(this.aMa), 0);
        imageView.setImageDrawable(z ? this.aMb : this.aMc);
        return imageView;
    }

    public void setImagePadding(float f2) {
        this.aMa = f2;
    }

    public void setOnRatingChangeListener(a aVar) {
        this.aLX = aVar;
    }

    public void setStar(float f2) {
        int i2 = (int) f2;
        float floatValue = new BigDecimal(Float.toString(f2)).subtract(new BigDecimal(Integer.toString(i2))).floatValue();
        int i3 = this.aLV;
        float f3 = i2 > i3 ? i3 : i2;
        if (f3 < 0.0f) {
            f3 = 0.0f;
        }
        for (int i4 = 0; i4 < f3; i4++) {
            ((ImageView) getChildAt(i4)).setImageDrawable(this.aMc);
        }
        if (floatValue > 0.0f) {
            ((ImageView) getChildAt(i2)).setImageDrawable(this.aMd);
            int i5 = this.aLV;
            while (true) {
                i5--;
                if (i5 < 1.0f + f3) {
                    return;
                }
                ((ImageView) getChildAt(i5)).setImageDrawable(this.aMb);
            }
        } else {
            int i6 = this.aLV;
            while (true) {
                i6--;
                if (i6 < f3) {
                    return;
                }
                ((ImageView) getChildAt(i6)).setImageDrawable(this.aMb);
            }
        }
    }

    public void setStarEmptyDrawable(Drawable drawable) {
        this.aMb = drawable;
    }

    public void setStarFillDrawable(Drawable drawable) {
        this.aMc = drawable;
    }

    public void setStarHalfDrawable(Drawable drawable) {
        this.aMd = drawable;
    }

    public void setStarImageHeight(float f2) {
        this.aLZ = f2;
    }

    public void setStarImageWidth(float f2) {
        this.aLY = f2;
    }

    public void setTotalStarCount(int i2) {
        this.aLV = i2;
    }

    public void setmClickable(boolean z) {
        this.aLT = z;
    }
}
