package com.kwad.sdk.widget.swipe;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.ViewConfiguration;
import android.view.ViewParent;
import android.widget.FrameLayout;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.kwad.sdk.core.e.c;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class HorizontalSwipeLayout extends FrameLayout {
    public int aMr;
    public int aMs;
    public com.kwad.sdk.widget.swipe.a aMt;
    public List<a> aMu;
    public float fx;
    public float fy;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface a {
        void dC();

        void dD();
    }

    public HorizontalSwipeLayout(@NonNull Context context) {
        super(context);
        this.aMs = 0;
        this.aMu = new CopyOnWriteArrayList();
        init(context);
    }

    public HorizontalSwipeLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        this.aMs = 0;
        this.aMu = new CopyOnWriteArrayList();
        init(context);
    }

    public HorizontalSwipeLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.aMs = 0;
        this.aMu = new CopyOnWriteArrayList();
        init(context);
    }

    private synchronized void KI() {
        for (a aVar : this.aMu) {
            aVar.dD();
        }
    }

    private synchronized void KJ() {
        for (a aVar : this.aMu) {
            aVar.dC();
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:26:0x007d A[RETURN] */
    /* JADX WARN: Removed duplicated region for block: B:27:0x007e A[RETURN] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean c(MotionEvent motionEvent) {
        StringBuilder sb;
        float f2;
        String str;
        int action = motionEvent.getAction();
        if (action == 0) {
            this.fx = motionEvent.getX();
            this.fy = motionEvent.getY();
            this.aMs = 0;
            sb = new StringBuilder("onInterceptTouchEvent ACTION_DOWN mInitialMotionX=");
            f2 = this.fx;
        } else if (action == 1) {
            this.aMs = 0;
            str = "onInterceptTouchEvent ACTION_UP";
            c.d("HorizontalSwipeLayout", str);
            if (this.aMs != 0) {
            }
        } else if (action != 2) {
            if (action == 3) {
                this.aMs = 0;
            }
            return this.aMs != 0;
        } else {
            f2 = motionEvent.getX() - this.fx;
            float abs = Math.abs(f2);
            float abs2 = Math.abs(motionEvent.getY() - this.fy);
            if (abs > this.aMr && abs > abs2) {
                if (f2 > 0.0f) {
                    this.aMs = 1;
                } else {
                    this.aMs = 2;
                }
            }
            sb = new StringBuilder("onInterceptTouchEvent ACTION_MOVE mDragState=");
            sb.append(this.aMs);
            sb.append("--dx=");
        }
        sb.append(f2);
        str = sb.toString();
        c.d("HorizontalSwipeLayout", str);
        if (this.aMs != 0) {
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:8:0x0010, code lost:
        if (r0 != 3) goto L9;
     */
    /* JADX WARN: Removed duplicated region for block: B:36:0x009d A[RETURN] */
    /* JADX WARN: Removed duplicated region for block: B:37:0x009e A[RETURN] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean d(MotionEvent motionEvent) {
        StringBuilder sb;
        float f2;
        int i2;
        int action = motionEvent.getAction();
        if (action != 0) {
            if (action == 1) {
                c.d("HorizontalSwipeLayout", "onTouchEvent ACTION_UP mDragState=" + this.aMs);
                List<a> list = this.aMu;
                if (list != null && !list.isEmpty() && (i2 = this.aMs) != 0) {
                    if (i2 == 1) {
                        KJ();
                    } else if (i2 == 2) {
                        KI();
                    }
                }
            } else if (action == 2) {
                f2 = motionEvent.getX() - this.fx;
                float abs = Math.abs(f2);
                float abs2 = Math.abs(motionEvent.getY() - this.fy);
                if (this.aMs == 0 && abs > this.aMr && abs > abs2) {
                    if (f2 > 0.0f) {
                        this.aMs = 1;
                    } else {
                        this.aMs = 2;
                    }
                }
                sb = new StringBuilder("onTouchEvent ACTION_MOVE mDragState=");
                sb.append(this.aMs);
                sb.append("--dx=");
            }
            this.aMs = 0;
            return this.aMs == 0;
        }
        sb = new StringBuilder("onTouchEvent ACTION_DOWN mInitialMotionX=");
        f2 = this.fx;
        sb.append(f2);
        c.d("HorizontalSwipeLayout", sb.toString());
        if (this.aMs == 0) {
        }
    }

    private void init(Context context) {
        this.aMr = ViewConfiguration.get(context).getScaledPagingTouchSlop();
    }

    public final synchronized void a(@NonNull a aVar) {
        this.aMu.add(aVar);
    }

    public final synchronized void b(a aVar) {
        this.aMu.remove(aVar);
    }

    @Override // android.view.ViewGroup, android.view.View
    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        ViewParent parent;
        List<a> list = this.aMu;
        if (list != null && !list.isEmpty()) {
            int action = motionEvent.getAction();
            boolean z = true;
            if (action == 0) {
                parent = getParent();
            } else if (action == 1 || action == 3) {
                parent = getParent();
                z = false;
            }
            parent.requestDisallowInterceptTouchEvent(z);
        }
        return super.dispatchTouchEvent(motionEvent);
    }

    public synchronized List<a> getOnSwipedListeners() {
        return this.aMu;
    }

    @Override // android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        com.kwad.sdk.widget.swipe.a aVar = this.aMt;
        if (aVar != null && aVar.b(this, motionEvent)) {
            c.d("HorizontalSwipeLayout", "onInterceptTouchEvent true");
            return true;
        }
        List<a> list = this.aMu;
        if (list == null || list.isEmpty() || !c(motionEvent)) {
            return super.onInterceptTouchEvent(motionEvent);
        }
        return true;
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        com.kwad.sdk.widget.swipe.a aVar = this.aMt;
        if (aVar != null && aVar.c(this, motionEvent)) {
            c.d("HorizontalSwipeLayout", "handlerTouchEvent true");
            return true;
        }
        List<a> list = this.aMu;
        if (list == null || list.isEmpty() || !d(motionEvent)) {
            return super.onTouchEvent(motionEvent);
        }
        return true;
    }

    public void setTouchDetector(com.kwad.sdk.widget.swipe.a aVar) {
        this.aMt = aVar;
    }
}
