package com.lidroid.xutils.cache;

import java.util.concurrent.ConcurrentHashMap;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class KeyExpiryMap<K, V> extends ConcurrentHashMap<K, Long> {
    public static final int DEFAULT_CONCURRENCY_LEVEL = 16;
    public static final long serialVersionUID = 1;

    public KeyExpiryMap(int i2, float f2, int i3) {
        super(i2, f2, i3);
    }

    @Override // java.util.concurrent.ConcurrentHashMap, java.util.AbstractMap, java.util.Map
    public synchronized void clear() {
        super.clear();
    }

    @Override // java.util.concurrent.ConcurrentHashMap, java.util.AbstractMap, java.util.Map
    public synchronized boolean containsKey(Object obj) {
        boolean z;
        z = false;
        Long l2 = (Long) super.get(obj);
        if (l2 == null || System.currentTimeMillis() >= l2.longValue()) {
            remove(obj);
        } else {
            z = true;
        }
        return z;
    }

    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.concurrent.ConcurrentHashMap, java.util.AbstractMap, java.util.Map
    public /* bridge */ /* synthetic */ Object put(Object obj, Object obj2) {
        return put((KeyExpiryMap<K, V>) obj, (Long) obj2);
    }

    public KeyExpiryMap(int i2, float f2) {
        super(i2, f2, 16);
    }

    @Override // java.util.concurrent.ConcurrentHashMap, java.util.AbstractMap, java.util.Map
    public synchronized Long get(Object obj) {
        if (containsKey(obj)) {
            return (Long) super.get(obj);
        }
        return null;
    }

    /* JADX WARN: Multi-variable type inference failed */
    public synchronized Long put(K k2, Long l2) {
        if (containsKey(k2)) {
            remove((Object) k2);
        }
        return (Long) super.put((KeyExpiryMap<K, V>) k2, (K) l2);
    }

    @Override // java.util.concurrent.ConcurrentHashMap, java.util.AbstractMap, java.util.Map
    public synchronized Long remove(Object obj) {
        return (Long) super.remove(obj);
    }

    public KeyExpiryMap(int i2) {
        super(i2);
    }

    public KeyExpiryMap() {
    }
}
