package com.lidroid.xutils.http;

import android.os.SystemClock;
import com.lidroid.xutils.exception.HttpException;
import e.h.a.j.f.c;
import e.h.a.j.f.d;
import e.h.a.j.f.e;
import e.h.a.l.f;
import java.io.File;
import java.io.IOException;
import java.net.URI;
import java.net.UnknownHostException;
import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.ProtocolException;
import org.apache.http.StatusLine;
import org.apache.http.client.HttpRequestRetryHandler;
import org.apache.http.client.RedirectHandler;
import org.apache.http.client.methods.HttpRequestBase;
import org.apache.http.impl.client.AbstractHttpClient;
import org.apache.http.protocol.HttpContext;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class HttpHandler<T> extends e.h.a.k.b<Object, Object, Void> implements e {
    public static final int UPDATE_FAILURE = 3;
    public static final int UPDATE_LOADING = 2;
    public static final int UPDATE_START = 1;
    public static final int UPDATE_SUCCESS = 4;
    public static final b notUseApacheRedirectHandler = new b();
    public d<T> callback;
    public String charset;
    public final AbstractHttpClient client;
    public final HttpContext context;
    public c httpRedirectHandler;
    public long lastUpdateTime;
    public HttpRequestBase request;
    public String requestMethod;
    public String requestUrl;
    public boolean isUploading = true;
    public int retriedCount = 0;
    public String fileSavePath = null;
    public boolean isDownloadingFile = false;
    public boolean autoResume = false;
    public boolean autoRename = false;
    public State state = State.WAITING;
    public long expiry = e.h.a.j.a.getDefaultExpiryTime();

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public enum State {
        WAITING(0),
        STARTED(1),
        LOADING(2),
        FAILURE(3),
        CANCELLED(4),
        SUCCESS(5);
        
        public int value;

        State(int i2) {
            this.value = 0;
            this.value = i2;
        }

        public int value() {
            return this.value;
        }

        public static State valueOf(int i2) {
            if (i2 != 0) {
                if (i2 != 1) {
                    if (i2 != 2) {
                        if (i2 != 3) {
                            if (i2 != 4) {
                                if (i2 != 5) {
                                    return FAILURE;
                                }
                                return SUCCESS;
                            }
                            return CANCELLED;
                        }
                        return FAILURE;
                    }
                    return LOADING;
                }
                return STARTED;
            }
            return WAITING;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static final class b implements RedirectHandler {
        public b() {
        }

        public URI getLocationURI(HttpResponse httpResponse, HttpContext httpContext) throws ProtocolException {
            return null;
        }

        public boolean isRedirectRequested(HttpResponse httpResponse, HttpContext httpContext) {
            return false;
        }
    }

    public HttpHandler(AbstractHttpClient abstractHttpClient, HttpContext httpContext, String str, d<T> dVar) {
        this.client = abstractHttpClient;
        this.context = httpContext;
        this.callback = dVar;
        this.charset = str;
        abstractHttpClient.setRedirectHandler(notUseApacheRedirectHandler);
    }

    private e.h.a.j.c<T> handleResponse(HttpResponse httpResponse) throws HttpException, IOException {
        if (httpResponse != null) {
            File file = null;
            if (isCancelled()) {
                return null;
            }
            StatusLine statusLine = httpResponse.getStatusLine();
            int statusCode = statusLine.getStatusCode();
            if (statusCode >= 300) {
                if (statusCode != 301 && statusCode != 302) {
                    if (statusCode == 416) {
                        throw new HttpException(statusCode, "maybe the file has downloaded completely");
                    }
                    throw new HttpException(statusCode, statusLine.getReasonPhrase());
                }
                if (this.httpRedirectHandler == null) {
                    this.httpRedirectHandler = new e.h.a.j.f.a();
                }
                HttpRequestBase directRequest = this.httpRedirectHandler.getDirectRequest(httpResponse);
                if (directRequest != null) {
                    return sendRequest(directRequest);
                }
                return null;
            }
            HttpEntity entity = httpResponse.getEntity();
            if (entity != null) {
                this.isUploading = false;
                if (this.isDownloadingFile) {
                    this.autoResume = this.autoResume && f.isSupportRange(httpResponse);
                    file = new e.h.a.j.f.b().handleEntity(entity, this, this.fileSavePath, this.autoResume, this.autoRename ? f.getFileNameFromHttpResponse(httpResponse) : null);
                } else {
                    String handleEntity = new e.h.a.j.f.f().handleEntity(entity, this, this.charset);
                    file = handleEntity;
                    if (e.h.a.d.sHttpCache.isEnabled(this.requestMethod)) {
                        e.h.a.d.sHttpCache.put(this.requestUrl, handleEntity, this.expiry);
                        file = handleEntity;
                    }
                }
            }
            return new e.h.a.j.c<>(httpResponse, file, false);
        }
        throw new HttpException("response is null");
    }

    /* JADX WARN: Removed duplicated region for block: B:44:0x00cd A[SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private e.h.a.j.c<T> sendRequest(HttpRequestBase httpRequestBase) throws HttpException {
        IOException iOException;
        boolean retryRequest;
        String str;
        HttpRequestRetryHandler httpRequestRetryHandler = this.client.getHttpRequestRetryHandler();
        do {
            if (this.autoResume && this.isDownloadingFile) {
                File file = new File(this.fileSavePath);
                long length = (file.isFile() && file.exists()) ? file.length() : 0L;
                if (length > 0) {
                    httpRequestBase.setHeader("RANGE", "bytes=" + length + "-");
                }
            }
            try {
                String method = httpRequestBase.getMethod();
                this.requestMethod = method;
                if (e.h.a.d.sHttpCache.isEnabled(method) && (str = e.h.a.d.sHttpCache.get(this.requestUrl)) != null) {
                    return new e.h.a.j.c<>(null, str, true);
                }
                if (isCancelled()) {
                    return null;
                }
                return handleResponse(this.client.execute(httpRequestBase, this.context));
            } catch (HttpException e2) {
                throw e2;
            } catch (UnknownHostException e3) {
                e = e3;
                int i2 = this.retriedCount + 1;
                this.retriedCount = i2;
                retryRequest = httpRequestRetryHandler.retryRequest(e, i2, this.context);
                iOException = e;
                continue;
                if (!retryRequest) {
                    throw new HttpException(iOException);
                }
            } catch (IOException e4) {
                e = e4;
                int i3 = this.retriedCount + 1;
                this.retriedCount = i3;
                retryRequest = httpRequestRetryHandler.retryRequest(e, i3, this.context);
                iOException = e;
                continue;
                if (!retryRequest) {
                }
            } catch (NullPointerException e5) {
                iOException = new IOException(e5.getMessage());
                iOException.initCause(e5);
                int i4 = this.retriedCount + 1;
                this.retriedCount = i4;
                retryRequest = httpRequestRetryHandler.retryRequest(iOException, i4, this.context);
                continue;
            } catch (Throwable th) {
                iOException = new IOException(th.getMessage());
                iOException.initCause(th);
                int i5 = this.retriedCount + 1;
                this.retriedCount = i5;
                retryRequest = httpRequestRetryHandler.retryRequest(iOException, i5, this.context);
                continue;
            }
        } while (!retryRequest);
        throw new HttpException(iOException);
    }

    @Override // e.h.a.k.b, e.h.a.k.f
    public void cancel() {
        this.state = State.CANCELLED;
        HttpRequestBase httpRequestBase = this.request;
        if (httpRequestBase != null && !httpRequestBase.isAborted()) {
            try {
                this.request.abort();
            } catch (Throwable unused) {
            }
        }
        if (!isCancelled()) {
            try {
                cancel(true);
            } catch (Throwable unused2) {
            }
        }
        d<T> dVar = this.callback;
        if (dVar != null) {
            dVar.onCancelled();
        }
    }

    public d<T> getRequestCallBack() {
        return this.callback;
    }

    public State getState() {
        return this.state;
    }

    @Override // e.h.a.k.b
    public void onProgressUpdate(Object... objArr) {
        if (this.state == State.CANCELLED || objArr == null || objArr.length == 0 || this.callback == null) {
            return;
        }
        int intValue = ((Integer) objArr[0]).intValue();
        if (intValue == 1) {
            this.state = State.STARTED;
            this.callback.onStart();
        } else if (intValue == 2) {
            if (objArr.length != 3) {
                return;
            }
            this.state = State.LOADING;
            this.callback.onLoading(Long.valueOf(String.valueOf(objArr[1])).longValue(), Long.valueOf(String.valueOf(objArr[2])).longValue(), this.isUploading);
        } else if (intValue != 3) {
            if (intValue == 4 && objArr.length == 2) {
                this.state = State.SUCCESS;
                this.callback.onSuccess((e.h.a.j.c) objArr[1]);
            }
        } else if (objArr.length != 3) {
        } else {
            this.state = State.FAILURE;
            this.callback.onFailure((HttpException) objArr[1], (String) objArr[2]);
        }
    }

    public void setExpiry(long j2) {
        this.expiry = j2;
    }

    public void setHttpRedirectHandler(c cVar) {
        if (cVar != null) {
            this.httpRedirectHandler = cVar;
        }
    }

    public void setRequestCallBack(d<T> dVar) {
        this.callback = dVar;
    }

    @Override // e.h.a.j.f.e
    public boolean updateProgress(long j2, long j3, boolean z) {
        if (this.callback != null && this.state != State.CANCELLED) {
            if (z) {
                publishProgress(2, Long.valueOf(j2), Long.valueOf(j3));
            } else {
                long uptimeMillis = SystemClock.uptimeMillis();
                if (uptimeMillis - this.lastUpdateTime >= this.callback.getRate()) {
                    this.lastUpdateTime = uptimeMillis;
                    publishProgress(2, Long.valueOf(j2), Long.valueOf(j3));
                }
            }
        }
        return this.state != State.CANCELLED;
    }

    @Override // e.h.a.k.b
    public Void doInBackground(Object... objArr) {
        if (this.state != State.CANCELLED && objArr != null && objArr.length != 0) {
            if (objArr.length > 3) {
                String valueOf = String.valueOf(objArr[1]);
                this.fileSavePath = valueOf;
                this.isDownloadingFile = valueOf != null;
                this.autoResume = ((Boolean) objArr[2]).booleanValue();
                this.autoRename = ((Boolean) objArr[3]).booleanValue();
            }
            try {
                if (this.state == State.CANCELLED) {
                    return null;
                }
                HttpRequestBase httpRequestBase = (HttpRequestBase) objArr[0];
                this.request = httpRequestBase;
                String uri = httpRequestBase.getURI().toString();
                this.requestUrl = uri;
                if (this.callback != null) {
                    this.callback.setRequestUrl(uri);
                }
                publishProgress(1);
                this.lastUpdateTime = SystemClock.uptimeMillis();
                e.h.a.j.c<T> sendRequest = sendRequest(this.request);
                if (sendRequest != null) {
                    publishProgress(4, sendRequest);
                    return null;
                }
            } catch (HttpException e2) {
                publishProgress(3, e2, e2.getMessage());
            }
        }
        return null;
    }
}
