package com.lxj.xpermission;

import android.annotation.SuppressLint;
import android.os.Build;
import e.f.a.n;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
/* compiled from: AAA */
@SuppressLint({"InlinedApi"})
/* loaded from: classes3.dex */
public final class PermissionConstants {
    public static final String CALENDAR = "android.permission-group.CALENDAR";
    public static final String CAMERA = "android.permission-group.CAMERA";
    public static final String CONTACTS = "android.permission-group.CONTACTS";
    public static final String[] GROUP_CALENDAR = {n.READ_CALENDAR, n.WRITE_CALENDAR};
    public static final String[] GROUP_CAMERA = {n.CAMERA};
    public static final String[] GROUP_CONTACTS = {n.READ_CONTACTS, n.WRITE_CONTACTS, "android.permission.GET_ACCOUNTS"};
    public static final String[] GROUP_LOCATION = {"android.permission.ACCESS_FINE_LOCATION", "android.permission.ACCESS_COARSE_LOCATION"};
    public static final String[] GROUP_MICROPHONE = {n.RECORD_AUDIO};
    public static final String[] GROUP_PHONE = {"android.permission.READ_PHONE_STATE", n.READ_PHONE_NUMBERS, n.CALL_PHONE, n.READ_CALL_LOG, n.WRITE_CALL_LOG, n.ADD_VOICEMAIL, n.USE_SIP, n.PROCESS_OUTGOING_CALLS, n.ANSWER_PHONE_CALLS};
    public static final String[] GROUP_PHONE_BELOW_O = {"android.permission.READ_PHONE_STATE", n.READ_PHONE_NUMBERS, n.CALL_PHONE, n.READ_CALL_LOG, n.WRITE_CALL_LOG, n.ADD_VOICEMAIL, n.USE_SIP, n.PROCESS_OUTGOING_CALLS};
    public static final String[] GROUP_SENSORS = {n.BODY_SENSORS};
    public static final String[] GROUP_SMS = {n.SEND_SMS, n.RECEIVE_SMS, n.READ_SMS, n.RECEIVE_WAP_PUSH, n.RECEIVE_MMS};
    public static final String[] GROUP_STORAGE = {"android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"};
    public static final String LOCATION = "android.permission-group.LOCATION";
    public static final String MICROPHONE = "android.permission-group.MICROPHONE";
    public static final String PHONE = "android.permission-group.PHONE";
    public static final String SENSORS = "android.permission-group.SENSORS";
    public static final String SMS = "android.permission-group.SMS";
    public static final String STORAGE = "android.permission-group.STORAGE";

    /* compiled from: AAA */
    @Retention(RetentionPolicy.SOURCE)
    /* loaded from: classes.dex */
    public @interface Permission {
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    public static String[] getPermissions(String str) {
        char c2;
        switch (str.hashCode()) {
            case -1639857183:
                if (str.equals(CONTACTS)) {
                    c2 = 2;
                    break;
                }
                c2 = 65535;
                break;
            case -1410061184:
                if (str.equals(PHONE)) {
                    c2 = 5;
                    break;
                }
                c2 = 65535;
                break;
            case -1250730292:
                if (str.equals(CALENDAR)) {
                    c2 = 0;
                    break;
                }
                c2 = 65535;
                break;
            case -1140935117:
                if (str.equals(CAMERA)) {
                    c2 = 1;
                    break;
                }
                c2 = 65535;
                break;
            case 421761675:
                if (str.equals(SENSORS)) {
                    c2 = 6;
                    break;
                }
                c2 = 65535;
                break;
            case 828638019:
                if (str.equals(LOCATION)) {
                    c2 = 3;
                    break;
                }
                c2 = 65535;
                break;
            case 852078861:
                if (str.equals(STORAGE)) {
                    c2 = '\b';
                    break;
                }
                c2 = 65535;
                break;
            case 1581272376:
                if (str.equals(MICROPHONE)) {
                    c2 = 4;
                    break;
                }
                c2 = 65535;
                break;
            case 1795181803:
                if (str.equals(SMS)) {
                    c2 = 7;
                    break;
                }
                c2 = 65535;
                break;
            default:
                c2 = 65535;
                break;
        }
        switch (c2) {
            case 0:
                return GROUP_CALENDAR;
            case 1:
                return GROUP_CAMERA;
            case 2:
                return GROUP_CONTACTS;
            case 3:
                return GROUP_LOCATION;
            case 4:
                return GROUP_MICROPHONE;
            case 5:
                if (Build.VERSION.SDK_INT < 26) {
                    return GROUP_PHONE_BELOW_O;
                }
                return GROUP_PHONE;
            case 6:
                return GROUP_SENSORS;
            case 7:
                return GROUP_SMS;
            case '\b':
                return GROUP_STORAGE;
            default:
                return new String[]{str};
        }
    }
}
