package com.lxj.xpopup.core;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ArgbEvaluator;
import android.animation.TimeInterpolator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.graphics.Color;
import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.LinearInterpolator;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.annotation.NonNull;
import androidx.interpolator.view.animation.FastOutSlowInInterpolator;
import androidx.transition.ChangeBounds;
import androidx.transition.ChangeImageTransform;
import androidx.transition.ChangeTransform;
import androidx.transition.Transition;
import androidx.transition.TransitionListenerAdapter;
import androidx.transition.TransitionManager;
import androidx.transition.TransitionSet;
import androidx.viewpager.widget.PagerAdapter;
import androidx.viewpager.widget.ViewPager;
import com.lxj.xpermission.PermissionConstants;
import com.lxj.xpermission.XPermission;
import com.lxj.xpopup.R;
import com.lxj.xpopup.enums.PopupStatus;
import com.lxj.xpopup.photoview.PhotoView;
import com.lxj.xpopup.widget.BlankView;
import com.lxj.xpopup.widget.HackyViewPager;
import com.lxj.xpopup.widget.PhotoViewContainer;
import e.i.c.f.g;
import e.i.c.f.j;
import java.util.ArrayList;
import java.util.List;
import k.a.t3.v;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class ImageViewerPopupView extends BasePopupView implements e.i.c.f.d, View.OnClickListener {
    public ArgbEvaluator argbEvaluator;
    public int bgColor;
    public FrameLayout container;
    public View customView;
    public j imageLoader;
    public boolean isInfinite;
    public boolean isShowIndicator;
    public boolean isShowPlaceholder;
    public boolean isShowSaveBtn;
    public HackyViewPager pager;
    public PhotoViewContainer photoViewContainer;
    public int placeholderColor;
    public int placeholderRadius;
    public int placeholderStrokeColor;
    public BlankView placeholderView;
    public int position;
    public Rect rect;
    public PhotoView snapshotView;
    public ImageView srcView;
    public g srcViewUpdateListener;
    public TextView tv_pager_indicator;
    public TextView tv_save;
    public List<Object> urls;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class PhotoViewAdapter extends PagerAdapter {

        /* compiled from: AAA */
        /* loaded from: classes3.dex */
        public class a implements View.OnClickListener {
            public a() {
            }

            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                ImageViewerPopupView.this.dismiss();
            }
        }

        public PhotoViewAdapter() {
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public void destroyItem(@NonNull ViewGroup viewGroup, int i2, @NonNull Object obj) {
            viewGroup.removeView((View) obj);
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public int getCount() {
            ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
            return imageViewerPopupView.isInfinite ? v.MAX_CAPACITY_MASK : imageViewerPopupView.urls.size();
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        @NonNull
        public Object instantiateItem(@NonNull ViewGroup viewGroup, int i2) {
            PhotoView photoView = new PhotoView(viewGroup.getContext());
            ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
            j jVar = imageViewerPopupView.imageLoader;
            if (jVar != null) {
                List<Object> list = imageViewerPopupView.urls;
                jVar.loadImage(i2, list.get(imageViewerPopupView.isInfinite ? i2 % list.size() : i2), photoView);
            }
            viewGroup.addView(photoView);
            photoView.setOnClickListener(new a());
            return photoView;
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public boolean isViewFromObject(@NonNull View view, @NonNull Object obj) {
            return obj == view;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class a extends ViewPager.SimpleOnPageChangeListener {
        public a() {
        }

        @Override // androidx.viewpager.widget.ViewPager.SimpleOnPageChangeListener, androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageSelected(int i2) {
            ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
            imageViewerPopupView.position = i2;
            imageViewerPopupView.showPagerIndicator();
            ImageViewerPopupView imageViewerPopupView2 = ImageViewerPopupView.this;
            g gVar = imageViewerPopupView2.srcViewUpdateListener;
            if (gVar != null) {
                gVar.onSrcViewUpdate(imageViewerPopupView2, i2);
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class b implements Runnable {

        /* compiled from: AAA */
        /* loaded from: classes3.dex */
        public class a extends TransitionListenerAdapter {
            public a() {
            }

            @Override // androidx.transition.TransitionListenerAdapter, androidx.transition.Transition.TransitionListener
            public void onTransitionEnd(@NonNull Transition transition) {
                ImageViewerPopupView.this.pager.setVisibility(0);
                ImageViewerPopupView.this.snapshotView.setVisibility(4);
                ImageViewerPopupView.this.showPagerIndicator();
                ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
                imageViewerPopupView.photoViewContainer.isReleasing = false;
                ImageViewerPopupView.super.doAfterShow();
            }
        }

        public b() {
        }

        @Override // java.lang.Runnable
        public void run() {
            TransitionManager.beginDelayedTransition((ViewGroup) ImageViewerPopupView.this.snapshotView.getParent(), new TransitionSet().setDuration(e.i.c.b.getAnimationDuration()).addTransition(new ChangeBounds()).addTransition(new ChangeTransform()).addTransition(new ChangeImageTransform()).setInterpolator((TimeInterpolator) new FastOutSlowInInterpolator()).addListener((Transition.TransitionListener) new a()));
            ImageViewerPopupView.this.snapshotView.setTranslationY(0.0f);
            ImageViewerPopupView.this.snapshotView.setTranslationX(0.0f);
            ImageViewerPopupView.this.snapshotView.setScaleType(ImageView.ScaleType.FIT_CENTER);
            ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
            e.i.c.h.c.setWidthHeight(imageViewerPopupView.snapshotView, imageViewerPopupView.photoViewContainer.getWidth(), ImageViewerPopupView.this.photoViewContainer.getHeight());
            ImageViewerPopupView imageViewerPopupView2 = ImageViewerPopupView.this;
            imageViewerPopupView2.animateShadowBg(imageViewerPopupView2.bgColor);
            View view = ImageViewerPopupView.this.customView;
            if (view != null) {
                view.animate().alpha(1.0f).setDuration(e.i.c.b.getAnimationDuration()).start();
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class c implements ValueAnimator.AnimatorUpdateListener {
        public final /* synthetic */ int val$endColor;
        public final /* synthetic */ int val$start;

        public c(int i2, int i3) {
            this.val$start = i2;
            this.val$endColor = i3;
        }

        @Override // android.animation.ValueAnimator.AnimatorUpdateListener
        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
            imageViewerPopupView.photoViewContainer.setBackgroundColor(((Integer) imageViewerPopupView.argbEvaluator.evaluate(valueAnimator.getAnimatedFraction(), Integer.valueOf(this.val$start), Integer.valueOf(this.val$endColor))).intValue());
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class d extends TransitionListenerAdapter {
        public d() {
        }

        @Override // androidx.transition.TransitionListenerAdapter, androidx.transition.Transition.TransitionListener
        public void onTransitionEnd(@NonNull Transition transition) {
            ImageViewerPopupView.this.doAfterDismiss();
            ImageViewerPopupView.this.pager.setVisibility(4);
            ImageViewerPopupView.this.snapshotView.setVisibility(0);
            ImageViewerPopupView.this.pager.setScaleX(1.0f);
            ImageViewerPopupView.this.pager.setScaleY(1.0f);
            ImageViewerPopupView.this.snapshotView.setScaleX(1.0f);
            ImageViewerPopupView.this.snapshotView.setScaleY(1.0f);
            ImageViewerPopupView.this.placeholderView.setVisibility(4);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class e extends AnimatorListenerAdapter {
        public e() {
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            super.onAnimationEnd(animator);
            View view = ImageViewerPopupView.this.customView;
            if (view != null) {
                view.setVisibility(4);
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class f implements XPermission.d {
        public f() {
        }

        @Override // com.lxj.xpermission.XPermission.d
        public void onDenied() {
            Toast.makeText(ImageViewerPopupView.this.getContext(), "没有保存权限，保存功能无法使用！", 0).show();
        }

        @Override // com.lxj.xpermission.XPermission.d
        public void onGranted() {
            Context context = ImageViewerPopupView.this.getContext();
            ImageViewerPopupView imageViewerPopupView = ImageViewerPopupView.this;
            j jVar = imageViewerPopupView.imageLoader;
            List<Object> list = imageViewerPopupView.urls;
            boolean z = imageViewerPopupView.isInfinite;
            int i2 = imageViewerPopupView.position;
            if (z) {
                i2 %= list.size();
            }
            e.i.c.h.c.saveBmpToAlbum(context, jVar, list.get(i2));
        }
    }

    public ImageViewerPopupView(@NonNull Context context) {
        super(context);
        this.argbEvaluator = new ArgbEvaluator();
        this.urls = new ArrayList();
        this.rect = null;
        this.isShowPlaceholder = false;
        this.placeholderColor = -1;
        this.placeholderStrokeColor = -1;
        this.placeholderRadius = -1;
        this.isShowSaveBtn = true;
        this.isShowIndicator = true;
        this.isInfinite = false;
        this.bgColor = Color.rgb(32, 36, 46);
        this.container = (FrameLayout) findViewById(R.id.container);
        if (getImplLayoutId() > 0) {
            View inflate = LayoutInflater.from(getContext()).inflate(getImplLayoutId(), (ViewGroup) this.container, false);
            this.customView = inflate;
            inflate.setVisibility(4);
            this.customView.setAlpha(0.0f);
            this.container.addView(this.customView);
        }
    }

    private void addOrUpdateSnapshot() {
        if (this.srcView == null) {
            return;
        }
        if (this.snapshotView == null) {
            PhotoView photoView = new PhotoView(getContext());
            this.snapshotView = photoView;
            this.photoViewContainer.addView(photoView);
            this.snapshotView.setScaleType(this.srcView.getScaleType());
            this.snapshotView.setTranslationX(this.rect.left);
            this.snapshotView.setTranslationY(this.rect.top);
            e.i.c.h.c.setWidthHeight(this.snapshotView, this.rect.width(), this.rect.height());
        }
        setupPlaceholder();
        this.snapshotView.setImageDrawable(this.srcView.getDrawable());
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void animateShadowBg(int i2) {
        int color = ((ColorDrawable) this.photoViewContainer.getBackground()).getColor();
        ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
        ofFloat.addUpdateListener(new c(color, i2));
        ofFloat.setDuration(e.i.c.b.getAnimationDuration()).setInterpolator(new LinearInterpolator());
        ofFloat.start();
    }

    private void setupPlaceholder() {
        this.placeholderView.setVisibility(this.isShowPlaceholder ? 0 : 4);
        if (this.isShowPlaceholder) {
            int i2 = this.placeholderColor;
            if (i2 != -1) {
                this.placeholderView.color = i2;
            }
            int i3 = this.placeholderRadius;
            if (i3 != -1) {
                this.placeholderView.radius = i3;
            }
            int i4 = this.placeholderStrokeColor;
            if (i4 != -1) {
                this.placeholderView.strokeColor = i4;
            }
            e.i.c.h.c.setWidthHeight(this.placeholderView, this.rect.width(), this.rect.height());
            this.placeholderView.setTranslationX(this.rect.left);
            this.placeholderView.setTranslationY(this.rect.top);
            this.placeholderView.invalidate();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void showPagerIndicator() {
        if (this.urls.size() > 1) {
            int size = this.isInfinite ? this.position % this.urls.size() : this.position;
            TextView textView = this.tv_pager_indicator;
            textView.setText((size + 1) + "/" + this.urls.size());
        }
        if (this.isShowSaveBtn) {
            this.tv_save.setVisibility(0);
        }
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public void dismiss() {
        if (this.popupStatus != PopupStatus.Show) {
            return;
        }
        this.popupStatus = PopupStatus.Dismissing;
        if (this.srcView != null) {
            HackyViewPager hackyViewPager = this.pager;
            PhotoView photoView = (PhotoView) hackyViewPager.getChildAt(hackyViewPager.getCurrentItem());
            if (photoView != null) {
                Matrix matrix = new Matrix();
                photoView.getSuppMatrix(matrix);
                this.snapshotView.setSuppMatrix(matrix);
            }
        }
        doDismissAnimation();
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public void doAfterShow() {
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public void doDismissAnimation() {
        if (this.srcView == null) {
            this.photoViewContainer.setBackgroundColor(0);
            doAfterDismiss();
            this.pager.setVisibility(4);
            this.placeholderView.setVisibility(4);
            return;
        }
        this.tv_pager_indicator.setVisibility(4);
        this.tv_save.setVisibility(4);
        this.pager.setVisibility(4);
        this.snapshotView.setVisibility(0);
        this.photoViewContainer.isReleasing = true;
        TransitionManager.beginDelayedTransition((ViewGroup) this.snapshotView.getParent(), new TransitionSet().setDuration(e.i.c.b.getAnimationDuration()).addTransition(new ChangeBounds()).addTransition(new ChangeTransform()).addTransition(new ChangeImageTransform()).setInterpolator((TimeInterpolator) new FastOutSlowInInterpolator()).addListener((Transition.TransitionListener) new d()));
        this.snapshotView.setTranslationY(this.rect.top);
        this.snapshotView.setTranslationX(this.rect.left);
        this.snapshotView.setScaleX(1.0f);
        this.snapshotView.setScaleY(1.0f);
        this.snapshotView.setScaleType(this.srcView.getScaleType());
        e.i.c.h.c.setWidthHeight(this.snapshotView, this.rect.width(), this.rect.height());
        animateShadowBg(0);
        View view = this.customView;
        if (view != null) {
            view.animate().alpha(0.0f).setDuration(e.i.c.b.getAnimationDuration()).setListener(new e()).start();
        }
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public void doShowAnimation() {
        if (this.srcView == null) {
            this.photoViewContainer.setBackgroundColor(this.bgColor);
            this.pager.setVisibility(0);
            showPagerIndicator();
            this.photoViewContainer.isReleasing = false;
            super.doAfterShow();
            return;
        }
        this.photoViewContainer.isReleasing = true;
        this.snapshotView.setVisibility(0);
        View view = this.customView;
        if (view != null) {
            view.setVisibility(0);
        }
        this.snapshotView.post(new b());
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public int getAnimationDuration() {
        return 0;
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public int getPopupLayoutId() {
        return R.layout._xpopup_image_viewer_popup_view;
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public void initPopupContent() {
        super.initPopupContent();
        this.tv_pager_indicator = (TextView) findViewById(R.id.tv_pager_indicator);
        this.tv_save = (TextView) findViewById(R.id.tv_save);
        this.placeholderView = (BlankView) findViewById(R.id.placeholderView);
        PhotoViewContainer photoViewContainer = (PhotoViewContainer) findViewById(R.id.photoViewContainer);
        this.photoViewContainer = photoViewContainer;
        photoViewContainer.setOnDragChangeListener(this);
        HackyViewPager hackyViewPager = (HackyViewPager) findViewById(R.id.pager);
        this.pager = hackyViewPager;
        hackyViewPager.setAdapter(new PhotoViewAdapter());
        this.pager.setOffscreenPageLimit(this.urls.size());
        this.pager.setCurrentItem(this.position);
        this.pager.setVisibility(4);
        addOrUpdateSnapshot();
        if (this.isInfinite) {
            this.pager.setOffscreenPageLimit(this.urls.size() / 2);
        }
        this.pager.addOnPageChangeListener(new a());
        if (!this.isShowIndicator) {
            this.tv_pager_indicator.setVisibility(8);
        }
        if (!this.isShowSaveBtn) {
            this.tv_save.setVisibility(8);
        } else {
            this.tv_save.setOnClickListener(this);
        }
    }

    public ImageViewerPopupView isInfinite(boolean z) {
        this.isInfinite = z;
        return this;
    }

    public ImageViewerPopupView isShowIndicator(boolean z) {
        this.isShowIndicator = z;
        return this;
    }

    public ImageViewerPopupView isShowPlaceholder(boolean z) {
        this.isShowPlaceholder = z;
        return this;
    }

    public ImageViewerPopupView isShowSaveButton(boolean z) {
        this.isShowSaveBtn = z;
        return this;
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View view) {
        if (view == this.tv_save) {
            save();
        }
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public void onDismiss() {
        super.onDismiss();
        this.srcView = null;
    }

    @Override // e.i.c.f.d
    public void onDragChange(int i2, float f2, float f3) {
        float f4 = 1.0f - f3;
        this.tv_pager_indicator.setAlpha(f4);
        View view = this.customView;
        if (view != null) {
            view.setAlpha(f4);
        }
        if (this.isShowSaveBtn) {
            this.tv_save.setAlpha(f4);
        }
        this.photoViewContainer.setBackgroundColor(((Integer) this.argbEvaluator.evaluate(f3 * 0.8f, Integer.valueOf(this.bgColor), 0)).intValue());
    }

    @Override // e.i.c.f.d
    public void onRelease() {
        dismiss();
    }

    public void save() {
        XPermission.create(getContext(), PermissionConstants.STORAGE).callback(new f()).request();
    }

    public ImageViewerPopupView setImageUrls(List<Object> list) {
        this.urls = list;
        return this;
    }

    public ImageViewerPopupView setPlaceholderColor(int i2) {
        this.placeholderColor = i2;
        return this;
    }

    public ImageViewerPopupView setPlaceholderRadius(int i2) {
        this.placeholderRadius = i2;
        return this;
    }

    public ImageViewerPopupView setPlaceholderStrokeColor(int i2) {
        this.placeholderStrokeColor = i2;
        return this;
    }

    public ImageViewerPopupView setSingleSrcView(ImageView imageView, Object obj) {
        if (this.urls == null) {
            this.urls = new ArrayList();
        }
        this.urls.clear();
        this.urls.add(obj);
        setSrcView(imageView, 0);
        return this;
    }

    public ImageViewerPopupView setSrcView(ImageView imageView, int i2) {
        this.srcView = imageView;
        this.position = i2;
        if (imageView != null) {
            int[] iArr = new int[2];
            imageView.getLocationInWindow(iArr);
            this.rect = new Rect(iArr[0], iArr[1], iArr[0] + imageView.getWidth(), iArr[1] + imageView.getHeight());
        }
        return this;
    }

    public ImageViewerPopupView setSrcViewUpdateListener(g gVar) {
        this.srcViewUpdateListener = gVar;
        return this;
    }

    public ImageViewerPopupView setXPopupImageLoader(j jVar) {
        this.imageLoader = jVar;
        return this;
    }

    public void updateSrcView(ImageView imageView) {
        setSrcView(imageView, this.position);
        addOrUpdateSnapshot();
    }
}
