package com.lxj.xpopup.widget;

import android.animation.ArgbEvaluator;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;
import e.i.c.h.c;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class LoadingView extends View {
    public ArgbEvaluator argbEvaluator;
    public float avgAngle;
    public float centerX;
    public float centerY;
    public int endColor;
    public Runnable increaseTask;
    public int lineCount;
    public Paint paint;
    public float radius;
    public float radiusOffset;
    public int startColor;
    public float stokeWidth;
    public int time;

    public LoadingView(Context context) {
        this(context, null);
    }

    @Override // android.view.View
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        removeCallbacks(this.increaseTask);
    }

    @Override // android.view.View
    public void onDraw(Canvas canvas) {
        int i2;
        for (int i3 = this.lineCount - 1; i3 >= 0; i3--) {
            int abs = Math.abs(this.time + i3);
            this.paint.setColor(((Integer) this.argbEvaluator.evaluate((((abs % i2) + 1) * 1.0f) / this.lineCount, Integer.valueOf(this.startColor), Integer.valueOf(this.endColor))).intValue());
            float f2 = this.centerX + this.radiusOffset;
            float f3 = (this.radius / 3.0f) + f2;
            float f4 = this.centerY;
            canvas.drawLine(f2, f4, f3, f4, this.paint);
            canvas.drawCircle(f2, this.centerY, this.stokeWidth / 2.0f, this.paint);
            canvas.drawCircle(f3, this.centerY, this.stokeWidth / 2.0f, this.paint);
            canvas.rotate(this.avgAngle, this.centerX, this.centerY);
        }
        postDelayed(this.increaseTask, 80L);
    }

    @Override // android.view.View
    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        float measuredWidth = getMeasuredWidth() / 2;
        this.radius = measuredWidth;
        this.radiusOffset = measuredWidth / 2.5f;
        this.centerX = getMeasuredWidth() / 2;
        this.centerY = getMeasuredHeight() / 2;
        float measuredWidth2 = this.stokeWidth * ((getMeasuredWidth() * 1.0f) / c.dp2px(getContext(), 30.0f));
        this.stokeWidth = measuredWidth2;
        this.paint.setStrokeWidth(measuredWidth2);
    }

    public LoadingView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public LoadingView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.stokeWidth = 2.0f;
        this.argbEvaluator = new ArgbEvaluator();
        this.startColor = Color.parseColor("#CCCCCC");
        this.endColor = Color.parseColor("#333333");
        this.lineCount = 12;
        this.avgAngle = 360.0f / 12;
        this.time = 0;
        this.increaseTask = new Runnable() { // from class: com.lxj.xpopup.widget.LoadingView.1
            @Override // java.lang.Runnable
            public void run() {
                LoadingView loadingView = LoadingView.this;
                loadingView.time++;
                loadingView.invalidate();
            }
        };
        this.paint = new Paint(1);
        float dp2px = c.dp2px(context, this.stokeWidth);
        this.stokeWidth = dp2px;
        this.paint.setStrokeWidth(dp2px);
    }
}
