package com.modifier.aidl;

import android.annotation.SuppressLint;
import android.app.ActivityManager;
import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.Build;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.RemoteException;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.Nullable;
import androidx.lifecycle.Observer;
import com.gf.p.bean.CloudArchiveShareVosBean;
import com.gf.p.bean.MyCloudFileEntity;
import com.google.gson.Gson;
import com.joke.chongya.basecommons.bean.AppInfoEntity;
import com.joke.chongya.download.utils.BmNetWorkUtils;
import com.joke.chongya.sandbox.bean.StartedAppInfo;
import com.joke.chongya.sandbox.bean.event.CheckGameStyleEvent;
import com.joke.chongya.sandbox.bean.event.IntentModActivityEvent;
import com.joke.chongya.sandbox.bean.event.ModDeleteCloudFileEvent;
import com.joke.chongya.sandbox.bean.event.ModMyCloudFileEvent;
import com.joke.chongya.sandbox.bean.event.ModPlayerCloudFileEvent;
import com.joke.chongya.sandbox.utils.FloatCommonStart;
import com.joke.chongya.sandbox.utils.MODInstalledAppUtils;
import com.joke.chongya.sandbox.utils.ModHttpUtil;
import com.joke.chongya.sandbox.utils.PermissionUtil;
import com.joke.chongya.sandbox.utils.SpeedTimeReport;
import com.joke.chongya.sandbox.vm.SandboxReportVM;
import com.joke.chongya.sandbox.vm.SandboxServiceVM;
import com.joke.downframework.data.entity.AppInfo;
import com.modifier.aidl.IMainAppService;
import com.modifier.aidl.IMyMotifierAidlInterface;
import com.modifier.aidl.IVAProcessX;
import com.modifier.aidl.PluginModifierService;
import com.ss.android.socialbase.downloader.constants.DBDefinition;
import e.g.a.f.i.b0;
import e.g.a.f.i.q;
import e.g.a.f.i.v0;
import e.g.a.f.i.y;
import e.g.a.g.b;
import e.g.a.g.e.j;
import e.g.a.g.e.k;
import e.g.a.h.i.l;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicReference;
import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.FormBody;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import okhttp3.ResponseBody;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import org.json.JSONException;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class PluginModifierService extends Service {
    public static final int APP_DELETE = 6;
    public static final int GG_JF_UPTATE = 119;
    public static final String GUAGUA_LOG = "janus_test_guagua";
    public static final int NETDATA_STYLE_CANBACKGROUNDSTART = 120;
    public static final int NETDATA_STYLE_CLOUD = 109;
    public static final int NETDATA_STYLE_DELETE_CLOUD_FILE = 116;
    public static final int NETDATA_STYLE_DOWN_MY_CLOUD_FILE = 117;
    public static final int NETDATA_STYLE_DOWN_PLAYER_CLOUD_FILE = 118;
    public static final int NETDATA_STYLE_GAME_FINISH = 112;
    public static final int NETDATA_STYLE_GETBMAPPMSG = 121;
    public static final int NETDATA_STYLE_GET_MY_CLOUD_FILE = 113;
    public static final int NETDATA_STYLE_GET_PLAYER_CLOUD_FILE = 114;
    public static final int NETDATA_STYLE_GET_RECENT_DOWN_CLOUD_FILE = 115;
    public static final int NETDATA_STYLE_ISSHOWCLOUND = 110;
    public static final int NETDATA_STYLE_JIASUINIT = 104;
    public static final int NETDATA_STYLE_JIA_START = 105;
    public static final int NETDATA_STYLE_MODBLACKLIST = 102;
    public static final int NETDATA_STYLE_MODLIST = 101;
    public static final int NETDATA_STYLE_MOD_JIASU_BLACKLIST = 122;
    public static final int NETDATA_STYLE_MOD_JIASU_TIPS = 123;
    public static final int NETDATA_STYLE_S33 = 103;
    public static final int NETDATA_STYLE_TD = 111;
    public static final int NETDATA_STYLE_TOOLBMAPPDETAIL = 107;
    public static final int NETDATA_STYLE_TOOLDOWNLOAD = 108;
    public static final int NETDATA_STYLE_TOOLMODLIST = 106;
    public static final int PROGRESS_EXCEPTION = 5;
    public static final int PROGRESS_UPDATE = 4;
    public static IResultListener mod64Resluttener;
    public static final AtomicReference<PluginModifierService> pService = new AtomicReference<>();
    public int id;
    public IResultListener resultListener;
    public SpeedTimeReport speedTimeReport;
    public long startTime;
    public long usageTime;
    public Map<Long, Boolean> downloadMap = new HashMap();
    public Map<String, StartedAppInfo> procMaps = new HashMap();
    public final IBinder mIBinder_VAProcessX = new a();
    public final IBinder mIBinder_GGORJF_ADD = new b();
    @SuppressLint({"HandlerLeak"})
    public Handler handler = new c();
    public final IBinder mIBinder_CACULATE_ADD = new d();
    public Handler downloadhandler = new Handler(new Handler.Callback() { // from class: e.j.a.b
        @Override // android.os.Handler.Callback
        public final boolean handleMessage(Message message) {
            return PluginModifierService.this.a(message);
        }
    });

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class a extends IVAProcessX.Stub {
        public a() {
        }

        @Override // com.modifier.aidl.IVAProcessX
        public void callback(String str) throws RemoteException {
        }

        @Override // com.modifier.aidl.IVAProcessX
        public void processDead(String str) throws RemoteException {
            Log.i(PluginModifierService.GUAGUA_LOG, "main process processDead: " + str);
            StartedAppInfo startedAppInfo = new StartedAppInfo();
            String[] split = str.split(":");
            if (split.length >= 1) {
                startedAppInfo.setProcessName(split[0]);
            }
            if (split.length >= 2) {
                startedAppInfo.setPid(Integer.parseInt(split[1]));
            }
            if (split.length >= 3) {
                startedAppInfo.setVpid(Integer.parseInt(split[2]));
            }
            if (split.length >= 4) {
                startedAppInfo.setAccelerator(Integer.parseInt(split[3]));
            }
            if (split.length >= 5) {
                startedAppInfo.setPackageName(split[4]);
            }
            if (split.length >= 6) {
                startedAppInfo.setIs64Apk(Boolean.parseBoolean(split[5]));
            }
            PluginModifierService.this.procMaps.remove(startedAppInfo.getProcessName());
        }

        @Override // com.modifier.aidl.IVAProcessX
        public void processStart(String str) throws RemoteException {
            Log.i(PluginModifierService.GUAGUA_LOG, "main process processStart: " + str);
            StartedAppInfo startedAppInfo = new StartedAppInfo();
            String[] split = str.split(":");
            if (split.length >= 1) {
                startedAppInfo.setProcessName(split[0]);
            }
            if (split.length >= 2) {
                startedAppInfo.setPid(Integer.parseInt(split[1]));
            }
            if (split.length >= 3) {
                startedAppInfo.setVpid(Integer.parseInt(split[2]));
            }
            if (split.length >= 4) {
                startedAppInfo.setAccelerator(Integer.parseInt(split[3]));
            }
            if (split.length >= 5) {
                startedAppInfo.setPackageName(split[4]);
            }
            if (split.length >= 6) {
                startedAppInfo.setIs64Apk(Boolean.parseBoolean(split[5]));
            }
            if (startedAppInfo.getProcessName().startsWith("com.google.android.gms") || TextUtils.equals(startedAppInfo.getProcessName(), "com.google.process.gservices") || TextUtils.equals(startedAppInfo.getProcessName(), "com.google.process.gapps") || TextUtils.equals(startedAppInfo.getProcessName(), "com.android.vending")) {
                return;
            }
            PluginModifierService.this.procMaps.put(startedAppInfo.getProcessName(), startedAppInfo);
            EventBus.getDefault().post(new CheckGameStyleEvent(startedAppInfo.isAccelerator(), startedAppInfo.isIs64Apk()));
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class b extends IMyMotifierAidlInterface.Stub {
        public b() {
        }

        @Override // com.modifier.aidl.IMyMotifierAidlInterface
        public void onClickCallback(String str) {
            String[] split;
            if (TextUtils.isEmpty(str) || !str.contains("&&") || (split = str.split("&&")) == null || split.length < 3) {
                return;
            }
            Message message = new Message();
            message.obj = str;
            message.what = 119;
            PluginModifierService.this.handler.sendMessage(message);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class c extends Handler {
        public c() {
        }

        /* JADX WARN: Removed duplicated region for block: B:60:0x0104 A[EXC_TOP_SPLITTER, SYNTHETIC] */
        /* JADX WARN: Removed duplicated region for block: B:64:0x010e A[EXC_TOP_SPLITTER, SYNTHETIC] */
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public /* synthetic */ void a(String str) {
            InputStream inputStream;
            InputStream inputStream2;
            String[] split = str.split("##");
            if (split.length < 3) {
                return;
            }
            FileOutputStream fileOutputStream = null;
            r3 = null;
            InputStream inputStream3 = null;
            FileOutputStream fileOutputStream2 = null;
            fileOutputStream = null;
            try {
                try {
                    HttpURLConnection httpURLConnection = (HttpURLConnection) new URL(split[1]).openConnection();
                    httpURLConnection.getContentLength();
                    PluginModifierService.this.resultBack("modListAppDownload", split[0] + "##1##" + split[2]);
                    if (httpURLConnection.getResponseCode() == 200) {
                        FileOutputStream fileOutputStream3 = new FileOutputStream(split[2]);
                        try {
                            byte[] bArr = new byte[1024];
                            inputStream3 = httpURLConnection.getInputStream();
                            while (true) {
                                int read = inputStream3.read(bArr);
                                if (read == -1) {
                                    break;
                                }
                                fileOutputStream3.write(bArr, 0, read);
                            }
                            fileOutputStream3.flush();
                            PluginModifierService.this.resultBack("modListAppDownload", split[0] + "##200##" + split[2]);
                            inputStream2 = inputStream3;
                            fileOutputStream2 = fileOutputStream3;
                        } catch (Exception unused) {
                            inputStream = inputStream3;
                            fileOutputStream = fileOutputStream3;
                            try {
                                PluginModifierService.this.resultBack("modListAppDownload", split[0] + "##400##" + split[2]);
                                if (fileOutputStream != null) {
                                    try {
                                        fileOutputStream.close();
                                    } catch (IOException e2) {
                                        e2.printStackTrace();
                                    }
                                }
                                if (inputStream != null) {
                                    inputStream.close();
                                }
                                return;
                            } catch (Throwable th) {
                                th = th;
                                if (fileOutputStream != null) {
                                    try {
                                        fileOutputStream.close();
                                    } catch (IOException e3) {
                                        e3.printStackTrace();
                                    }
                                }
                                if (inputStream != null) {
                                    try {
                                        inputStream.close();
                                    } catch (IOException e4) {
                                        e4.printStackTrace();
                                    }
                                }
                                throw th;
                            }
                        } catch (Throwable th2) {
                            th = th2;
                            inputStream = inputStream3;
                            fileOutputStream = fileOutputStream3;
                            if (fileOutputStream != null) {
                            }
                            if (inputStream != null) {
                            }
                            throw th;
                        }
                    } else {
                        PluginModifierService.this.resultBack("modListAppDownload", split[0] + "##400##" + split[2]);
                        inputStream2 = null;
                    }
                    if (fileOutputStream2 != null) {
                        try {
                            fileOutputStream2.close();
                        } catch (IOException e5) {
                            e5.printStackTrace();
                        }
                    }
                } catch (IOException e6) {
                    e6.printStackTrace();
                    return;
                }
            } catch (Exception unused2) {
                inputStream = null;
            } catch (Throwable th3) {
                th = th3;
                inputStream = null;
            }
            if (inputStream2 != null) {
                inputStream2.close();
            }
        }

        @Override // android.os.Handler
        public void handleMessage(Message message) {
            switch (message.what) {
                case 102:
                    PluginModifierService.this.rebackModBlackList(false);
                    return;
                case 103:
                    final String str = (String) message.obj;
                    new Thread(new Runnable() { // from class: e.j.a.a
                        @Override // java.lang.Runnable
                        public final void run() {
                            PluginModifierService.c.this.a(str);
                        }
                    }).start();
                    return;
                case 104:
                case 109:
                case 110:
                case 111:
                case 117:
                case 118:
                default:
                    return;
                case 105:
                    PluginModifierService.this.ReportTime();
                    return;
                case 106:
                    PluginModifierService.this.toolListHttp((String) message.obj);
                    return;
                case 107:
                    EventBus.getDefault().post(new IntentModActivityEvent((String) message.obj));
                    return;
                case 108:
                    PluginModifierService.this.toolAppDownload(message.obj);
                    return;
                case 112:
                    Log.i("lxy", "bm_finish");
                    PluginModifierService pluginModifierService = PluginModifierService.this;
                    pluginModifierService.isAppOnForeground(pluginModifierService);
                    return;
                case 113:
                    SandboxServiceVM.INSTANCE.queryDowloadCloudInfo(PluginModifierService.this.getApplicationContext(), (String) message.obj);
                    return;
                case 114:
                    SandboxServiceVM.INSTANCE.getPlayerCloudFile(PluginModifierService.this.getApplicationContext(), (String) message.obj);
                    return;
                case 115:
                    Context applicationContext = PluginModifierService.this.getApplicationContext();
                    j jVar = j.INSTANCE;
                    PluginModifierService.this.resultBack("getRecentDownFile", (String) jVar.get(applicationContext, e.g.a.g.a.FLAG_CLOUD_FILE_SAVE + ((String) j.INSTANCE.get(applicationContext, e.g.a.g.a.RENCENT_START_APPPID, "")), ""));
                    return;
                case 116:
                    SandboxServiceVM.INSTANCE.deleteCloudFile((String) message.obj);
                    return;
                case 119:
                    PluginModifierService.this.reportUpdate((String) message.obj);
                    return;
                case 120:
                    PluginModifierService.this.resultBack("canBackgroundStart", String.valueOf(PermissionUtil.canBackgroundStart(PluginModifierService.this.getApplicationContext())));
                    return;
                case 121:
                    PluginModifierService.this.resultBack("getBmAppMsg", String.format("%s##%s", l.getAppName(PluginModifierService.this.getApplicationContext()), PluginModifierService.this.getPackageName()));
                    return;
                case 122:
                    PluginModifierService.this.rebackModBlackList(true);
                    return;
                case 123:
                    ModHttpUtil.INSTANCE.getSpeedTips(PluginModifierService.this.resultListener);
                    return;
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class d extends IMainAppService.Stub {
        public d() {
        }

        private void uploadTC(String str) {
            long j2;
            try {
                j2 = Integer.parseInt((String) j.INSTANCE.get(PluginModifierService.this.getApplicationContext(), e.g.a.g.a.RENCENT_START_APPPID, ""));
            } catch (Exception unused) {
                j2 = 0;
            }
            AppInfo appInfoById = e.g.b.c.a.getAppInfoById(j2);
            if (appInfoById != null) {
                v0.onEvent(PluginModifierService.this.getApplicationContext(), str, appInfoById.getAppname());
            }
        }

        /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
        /* JADX WARN: Code restructure failed: missing block: B:97:0x02e3, code lost:
            if (r9.equals("modList") != false) goto L115;
         */
        @Override // com.modifier.aidl.IMainAppService
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public void getNetData(String str, IResultListener iResultListener) {
            PluginModifierService.this.resultListener = iResultListener;
            char c2 = 0;
            if (str.startsWith("tool")) {
                String[] split = str.split("&&");
                if ("toolModList".equals(split[0]) && split.length == 2) {
                    Message message = new Message();
                    message.obj = split[1];
                    message.what = 106;
                    PluginModifierService.this.handler.sendMessage(message);
                } else if ("toolBmAppDetail".equals(split[0]) && split.length == 2) {
                    Message message2 = new Message();
                    message2.obj = split[1];
                    message2.what = 107;
                    PluginModifierService.this.handler.sendMessage(message2);
                } else if (!"toolDownload".equals(split[0]) || split.length <= 2) {
                } else {
                    Message message3 = new Message();
                    message3.obj = str;
                    message3.what = 108;
                    PluginModifierService.this.handler.sendMessage(message3);
                }
            } else if (str.startsWith("sendStartSuccess")) {
                String[] split2 = str.split("_bm_");
                Log.i(PluginModifierService.GUAGUA_LOG, "getNetData: sendStartSuccess");
                if (split2.length > 1) {
                    String str2 = split2[1];
                    if (PluginModifierService.get() == null || PluginModifierService.get().procMaps == null) {
                        return;
                    }
                    StartedAppInfo startedAppInfo = PluginModifierService.get().procMaps.get(str2);
                    Log.i(PluginModifierService.GUAGUA_LOG, "sendStartSuccess: processName " + str2 + " " + startedAppInfo.isAccelerator());
                    EventBus.getDefault().post(new CheckGameStyleEvent(startedAppInfo.isAccelerator(), startedAppInfo.isIs64Apk()));
                }
            } else if (str.startsWith("reportModUse")) {
                try {
                    String[] split3 = str.split("\\*\\*");
                    if (split3.length <= 1) {
                        return;
                    }
                    SandboxReportVM.Companion.reportModUse(new JSONObject(split3[1]));
                } catch (JSONException e2) {
                    e2.printStackTrace();
                }
            } else if (str.startsWith("cloud")) {
                String[] split4 = str.split("\\*\\*");
                Message message4 = new Message();
                message4.what = 109;
                ArrayList arrayList = new ArrayList();
                if (split4.length == 2) {
                    arrayList.add(split4[1]);
                    message4.obj = arrayList;
                    PluginModifierService.this.handler.sendMessage(message4);
                } else if (split4.length == 4) {
                    arrayList.add(split4[1]);
                    arrayList.add(split4[2]);
                    arrayList.add(split4[3]);
                    message4.obj = arrayList;
                    PluginModifierService.this.handler.sendMessage(message4);
                }
                uploadTC("沙盒悬浮球云存档上传");
                Log.i("PluginModifierService", "上传云存档");
            } else if (str.startsWith("getMyCloudFile")) {
                String[] split5 = str.split("\\*\\*");
                if (split5.length == 2) {
                    Message message5 = new Message();
                    message5.what = 113;
                    message5.obj = split5[1];
                    PluginModifierService.this.handler.sendMessage(message5);
                    Log.i("PluginModifierService", "获取我的存档列表");
                }
            } else if (str.startsWith("getPlayerCloudFile")) {
                String[] split6 = str.split("\\*\\*");
                if (split6.length == 2) {
                    Message message6 = new Message();
                    message6.what = 114;
                    message6.obj = split6[1];
                    PluginModifierService.this.handler.sendMessage(message6);
                    Log.i("PluginModifierService", "获取玩家存档列表");
                }
            } else if (str.startsWith("getRecentDownFile")) {
                Message message7 = new Message();
                message7.what = 115;
                PluginModifierService.this.handler.sendMessage(message7);
                Log.i("PluginModifierService", "最近下载存档链接");
            } else if (str.startsWith("deleteCloudFile")) {
                String[] split7 = str.split("\\*\\*");
                if (split7.length == 2) {
                    Message message8 = new Message();
                    message8.what = 116;
                    message8.obj = split7[1];
                    PluginModifierService.this.handler.sendMessage(message8);
                    Log.i("PluginModifierService", "删除存档");
                }
            } else if (str.startsWith("downMyCloudFile")) {
                String[] split8 = str.split("\\*\\*");
                if (split8.length == 2) {
                    try {
                        Message message9 = new Message();
                        message9.what = 117;
                        message9.arg1 = Integer.parseInt(split8[1]);
                        PluginModifierService.this.handler.sendMessage(message9);
                    } catch (NumberFormatException unused) {
                    }
                    Log.i("PluginModifierService", "下载我的存档");
                }
                uploadTC("沙盒悬浮球云存档下载");
            } else if (str.startsWith("downPlayerCloudFile")) {
                String[] split9 = str.split("\\*\\*");
                if (split9.length == 3) {
                    try {
                        Message message10 = new Message();
                        message10.what = 118;
                        message10.obj = split9[1];
                        message10.arg1 = Integer.parseInt(split9[2]);
                        PluginModifierService.this.handler.sendMessage(message10);
                        Log.i("PluginModifierService", "下载玩家存档");
                    } catch (NumberFormatException unused2) {
                    }
                }
                uploadTC("沙盒悬浮球分享存档下载");
            } else if (str.startsWith("TD")) {
                String[] split10 = str.split("\\*\\*");
                if (split10.length == 2) {
                    Message message11 = new Message();
                    message11.obj = split10[1];
                    message11.what = 111;
                    PluginModifierService.this.handler.sendMessage(message11);
                }
            } else if (str.contains("##")) {
                Message message12 = new Message();
                message12.obj = str;
                message12.what = 103;
                PluginModifierService.this.handler.sendMessage(message12);
            } else if (str.contains("&&")) {
                Message message13 = new Message();
                message13.obj = str;
                message13.what = 119;
                PluginModifierService.this.handler.sendMessage(message13);
            } else {
                switch (str.hashCode()) {
                    case -1846459301:
                        if (str.equals("modblacklist")) {
                            c2 = 3;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -1818023452:
                        if (str.equals("canBackgroundStart")) {
                            c2 = 1;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -1806123988:
                        if (str.equals("isShowClound")) {
                            c2 = 11;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -1652114071:
                        if (str.equals("getSpeedTips")) {
                            c2 = 5;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -1610288668:
                        if (str.equals("jia_add")) {
                            c2 = '\b';
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -1610270845:
                        if (str.equals("jia_sub")) {
                            c2 = '\t';
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -1282082587:
                        if (str.equals("jia_start")) {
                            c2 = '\n';
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -707968012:
                        if (str.equals("jiasuinit")) {
                            c2 = 6;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -364164736:
                        if (str.equals("game_finish")) {
                            c2 = '\f';
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 463730873:
                        if (str.equals("jiasublacklist")) {
                            c2 = 4;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 996017985:
                        if (str.equals("getBmAppMsg")) {
                            c2 = 2;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 1226209984:
                        break;
                    case 1621210911:
                        if (str.equals("jia_stop")) {
                            c2 = 7;
                            break;
                        }
                        c2 = 65535;
                        break;
                    default:
                        c2 = 65535;
                        break;
                }
                switch (c2) {
                    case 0:
                        PluginModifierService.this.handler.sendEmptyMessage(101);
                        return;
                    case 1:
                        PluginModifierService.this.handler.sendEmptyMessage(120);
                        return;
                    case 2:
                        PluginModifierService.this.handler.sendEmptyMessage(121);
                        return;
                    case 3:
                        PluginModifierService.this.handler.sendEmptyMessage(102);
                        return;
                    case 4:
                        PluginModifierService.this.handler.sendEmptyMessage(122);
                        return;
                    case 5:
                        PluginModifierService.this.handler.sendEmptyMessage(123);
                        return;
                    case 6:
                    default:
                        return;
                    case 7:
                        Log.i(e.g.a.g.a.LOG_TAG, "2222222222222");
                        if (PluginModifierService.this.speedTimeReport != null) {
                            Log.i(e.g.a.g.a.LOG_TAG, "2222222222222" + PluginModifierService.this.speedTimeReport);
                            PluginModifierService.this.speedTimeReport.stopTime();
                            PluginModifierService.this.speedTimeReport = null;
                            return;
                        }
                        return;
                    case '\b':
                    case '\t':
                    case '\n':
                        Log.i(e.g.a.g.a.LOG_TAG, "1111111111111");
                        if (PluginModifierService.this.speedTimeReport == null) {
                            Log.i(e.g.a.g.a.LOG_TAG, "1111111111111" + PluginModifierService.this.speedTimeReport);
                            PluginModifierService pluginModifierService = PluginModifierService.this;
                            pluginModifierService.speedTimeReport = new SpeedTimeReport(pluginModifierService.resultListener);
                            PluginModifierService.this.speedTimeReport.startTime();
                            return;
                        }
                        return;
                    case 11:
                        PluginModifierService.this.handler.sendEmptyMessage(110);
                        return;
                    case '\f':
                        PluginModifierService.this.handler.sendEmptyMessage(112);
                        return;
                }
            }
        }

        @Override // com.modifier.aidl.IMainAppService
        public String onClickCallback(String str) {
            char c2;
            int hashCode = str.hashCode();
            if (hashCode != 1427818632) {
                if (hashCode == 1849706483 && str.equals("startService")) {
                    c2 = 1;
                }
                c2 = 65535;
            } else {
                if (str.equals("download")) {
                    c2 = 0;
                }
                c2 = 65535;
            }
            if (c2 != 1) {
                return null;
            }
            return k.getSystemUserCache().token;
        }

        @Override // com.modifier.aidl.IMainAppService
        public void sendStartSuccess(String str) {
            if (PluginModifierService.get() == null || PluginModifierService.get().procMaps == null) {
                return;
            }
            StartedAppInfo startedAppInfo = PluginModifierService.get().procMaps.get(str);
            Log.i(PluginModifierService.GUAGUA_LOG, "sendStartSuccess: " + str);
            Log.i(PluginModifierService.GUAGUA_LOG, "sendStartSuccess: " + startedAppInfo.isAccelerator());
            EventBus.getDefault().post(new CheckGameStyleEvent(startedAppInfo.isAccelerator(), startedAppInfo.isIs64Apk()));
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class e implements Callback {
        public e() {
        }

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
        }

        @Override // okhttp3.Callback
        public void onResponse(Call call, Response response) throws IOException {
            ResponseBody body = response.body();
            if (body == null) {
                return;
            }
            String string = body.string();
            if (TextUtils.isEmpty(string)) {
                return;
            }
            try {
                JSONObject jSONObject = new JSONObject(string);
                if (jSONObject.has("status") && jSONObject.getInt("status") == 1) {
                    JSONObject jSONObject2 = jSONObject.getJSONObject("content");
                    if (jSONObject2.has("id")) {
                        PluginModifierService.this.id = jSONObject2.getInt("id");
                    }
                }
            } catch (Exception unused) {
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class f implements Callback {
        public f() {
        }

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
        }

        @Override // okhttp3.Callback
        public void onResponse(Call call, Response response) throws IOException {
            PluginModifierService.this.startTime = 0L;
        }
    }

    private void ReportOpen() {
        if (this.id != 0) {
            return;
        }
        String string = b0.getString(FloatCommonStart.SH_PACKAGE);
        String string2 = b0.getString(FloatCommonStart.SH_APPNAME);
        OkHttpClient build = new OkHttpClient.Builder().addInterceptor(new e.g.a.h.d()).build();
        FormBody build2 = new FormBody.Builder().add("platformId", String.valueOf(1)).add("productId", String.valueOf(34)).add("statisticsNo", y.INSTANCE.getStatistical(this)).add("terminal", "android").add(e.g.a.g.a.EXTRA_JUMP_APP_ID, TextUtils.isEmpty(b0.getString("shaheAppId")) ? "0" : b0.getString("shaheAppId")).add(DBDefinition.PACKAGE_NAME, string).add("appName", string2).build();
        Request.Builder builder = new Request.Builder();
        build.newCall(builder.url(e.g.e.b.getProperty(e.g.e.c.API_DOMAIN) + "api/platform/v1/speed-float-ball/save-app").post(build2).build()).enqueue(new e());
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void ReportTime() {
        if (this.id == 0 || this.usageTime == 0) {
            return;
        }
        String string = b0.getString(FloatCommonStart.SH_PACKAGE);
        String string2 = b0.getString(FloatCommonStart.SH_APPNAME);
        OkHttpClient build = new OkHttpClient.Builder().addInterceptor(new e.g.a.h.d()).build();
        FormBody build2 = new FormBody.Builder().add("platformId", String.valueOf(1)).add("productId", String.valueOf(34)).add("statisticsNo", y.INSTANCE.getStatistical(this)).add("terminal", "android").add("id", String.valueOf(this.id)).add("usageTime", String.valueOf(this.usageTime)).add(DBDefinition.PACKAGE_NAME, string).add("appName", string2).build();
        Request.Builder builder = new Request.Builder();
        build.newCall(builder.url(e.g.e.b.getProperty(e.g.e.c.API_DOMAIN) + "api/platform/v1/speed-float-ball/keep").post(build2).build()).enqueue(new f());
    }

    public static PluginModifierService get() {
        return pService.get();
    }

    private void onMyCloudFile(List<MyCloudFileEntity> list) {
        IResultListener iResultListener = this.resultListener;
        if (iResultListener != null) {
            try {
                iResultListener.onMyCloudFile(list);
            } catch (RemoteException e2) {
                e2.printStackTrace();
            }
        }
    }

    private void onPlayerCloudFile(List<CloudArchiveShareVosBean> list, int i2) {
        if (list != null && list.size() > 0) {
            list.get(0).setUserId(i2);
        }
        IResultListener iResultListener = this.resultListener;
        if (iResultListener != null) {
            try {
                iResultListener.onPlayerCloudFile(list, i2);
            } catch (RemoteException e2) {
                e2.printStackTrace();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    @SuppressLint({"CheckResult"})
    public void rebackModBlackList(boolean z) {
        int i2;
        String str;
        if (z) {
            i2 = 2;
            str = "jiasublacklist";
        } else {
            i2 = 1;
            str = "modblacklist";
        }
        ModHttpUtil.INSTANCE.getBlackList(str, i2, this.resultListener);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void reportUpdate(String str) {
        String[] split;
        int i2;
        int i3;
        if (TextUtils.isEmpty(str) || !str.contains("&&") || (split = str.split("&&")) == null || split.length < 3) {
            return;
        }
        String str2 = split[0];
        String str3 = split[1];
        if (!"open".equals(str3) && !"download".equals(str3)) {
            i3 = Integer.parseInt(str3);
            i2 = 1;
        } else {
            i2 = "open".equals(str3) ? 1 : 2;
            i3 = 3;
        }
        SandboxReportVM.Companion.reportModUse(5, "GG".equals(str2) ? 1 : 2, i3, i2, 0);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void resultBack(String str, String str2) {
        IResultListener iResultListener = this.resultListener;
        if (iResultListener != null) {
            try {
                iResultListener.netDataCallBack(str, str2);
            } catch (RemoteException e2) {
                e2.printStackTrace();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Removed duplicated region for block: B:17:0x0072  */
    /* JADX WARN: Removed duplicated region for block: B:30:0x0048 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void toolAppDownload(Object obj) {
        AppInfo appInfo;
        long j2;
        String str = (String) obj;
        if (!TextUtils.isEmpty(str) && str.contains("&&")) {
            String[] split = str.split("&&");
            if (split.length == 7) {
                j2 = e.g.a.g.e.d.getStringToLong(split[1], -1L);
                appInfo = e.g.b.j.f.initAppInfo(0L, split[4], split[2], split[3], j2, split[6], split[5], "", "");
                if (appInfo != null) {
                    try {
                        resultBack("toolListAppDownload", j2 + "##-1##0##0");
                        return;
                    } catch (Exception e2) {
                        e2.printStackTrace();
                        return;
                    }
                } else if (BmNetWorkUtils.Companion.isMobileData() && !appInfo.isRestartDownload()) {
                    e.g.b.c.a.updateAppInfoDownStatus(appInfo);
                    EventBus.getDefault().post(new IntentModActivityEvent());
                    return;
                } else if (appInfo.getAppstatus() == 2) {
                    boolean isInstalled = e.g.b.j.d.isInstalled(this, appInfo.getApppackagename());
                    boolean isAppInstalled = MODInstalledAppUtils.isAppInstalled(appInfo.getApppackagename());
                    if (isInstalled || isAppInstalled) {
                        return;
                    }
                    q.show(this, b.d.PACKAGE_NOT_FOUND);
                    appInfo.setAppstatus(0);
                    EventBus.getDefault().postSticky(new e.g.a.h.g.b(appInfo));
                    return;
                } else {
                    return;
                }
            }
        }
        appInfo = null;
        j2 = 0;
        if (appInfo != null) {
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void toolListHttp(String str) {
        SandboxServiceVM.INSTANCE.getCommonList(str);
        SandboxServiceVM.INSTANCE.getMSandboxCommonListDatas().observeForever(new Observer() { // from class: e.j.a.c
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                PluginModifierService.this.a((List) obj);
            }
        });
    }

    public /* synthetic */ boolean a(Message message) {
        Object obj;
        int i2 = message.what;
        if (i2 == 4) {
            Object obj2 = message.obj;
            if (obj2 != null) {
                updateProgress(obj2);
                return false;
            }
            return false;
        } else if (i2 != 5) {
            if (i2 == 6 && (obj = message.obj) != null) {
                handleAppDelete(obj);
                return false;
            }
            return false;
        } else {
            Object obj3 = message.obj;
            if (obj3 != null) {
                handleExcption(obj3);
                return false;
            }
            return false;
        }
    }

    public void handleAppDelete(Object obj) {
    }

    public void handleExcption(Object obj) {
    }

    @SuppressLint({"WrongConstant"})
    public boolean isAppOnForeground(Context context) {
        ActivityManager activityManager = (ActivityManager) context.getSystemService("activity");
        String packageName = context.getPackageName();
        List<ActivityManager.RunningAppProcessInfo> runningAppProcesses = activityManager.getRunningAppProcesses();
        boolean z = false;
        if (runningAppProcesses == null) {
            return false;
        }
        Iterator<ActivityManager.RunningAppProcessInfo> it = runningAppProcesses.iterator();
        while (true) {
            if (!it.hasNext()) {
                break;
            } else if (it.next().processName.equals(packageName)) {
                Iterator<ActivityManager.RunningTaskInfo> it2 = activityManager.getRunningTasks(100).iterator();
                while (true) {
                    z = true;
                    if (!it2.hasNext()) {
                        break;
                    }
                    ActivityManager.RunningTaskInfo next = it2.next();
                    if (next != null && next.baseActivity != null && context.getPackageName() != null && context.getPackageName().equals(next.baseActivity.getPackageName()) && Build.VERSION.SDK_INT >= 11) {
                        activityManager.moveTaskToFront(next.id, 1);
                    }
                }
            }
        }
        return z;
    }

    @Override // android.app.Service
    @Nullable
    public IBinder onBind(Intent intent) {
        if (intent.getAction() == null) {
            return null;
        }
        String action = intent.getAction();
        char c2 = 65535;
        int hashCode = action.hashCode();
        if (hashCode != -1359500796) {
            if (hashCode != -1097052680) {
                if (hashCode == -26421287 && action.equals("com.joke.motifier.vaprocessx")) {
                    c2 = 2;
                }
            } else if (action.equals("com.joke.motifier.plugin")) {
                c2 = 0;
            }
        } else if (action.equals("com.joke.motifier.ggorjf")) {
            c2 = 1;
        }
        if (c2 != 0) {
            if (c2 != 1) {
                if (c2 != 2) {
                    return null;
                }
                return this.mIBinder_VAProcessX;
            }
            return this.mIBinder_GGORJF_ADD;
        }
        return this.mIBinder_CACULATE_ADD;
    }

    @Override // android.app.Service
    public void onCreate() {
        pService.set(this);
        EventBus.getDefault().register(this);
        super.onCreate();
    }

    @Override // android.app.Service
    public void onDestroy() {
        EventBus.getDefault().unregister(this);
        super.onDestroy();
    }

    @Subscribe
    public void onEvent(e.g.a.h.g.c cVar) {
        Object obj = cVar.object;
        Message message = new Message();
        message.what = 4;
        message.obj = obj;
        this.downloadhandler.sendMessage(message);
    }

    @Override // android.app.Service
    public boolean onUnbind(Intent intent) {
        return super.onUnbind(intent);
    }

    public int updateProgress(Object obj) {
        AppInfo appInfo = (AppInfo) obj;
        if (this.downloadMap.containsKey(Long.valueOf(appInfo.getAppid()))) {
            if (appInfo.getAppstatus() == 2) {
                resultBack("toolListAppDownload", appInfo.getAppid() + "##0##4##100");
            } else if (appInfo.getState() == 5) {
                resultBack("toolListAppDownload", appInfo.getAppid() + "##200##2##100");
            } else if (appInfo.getState() == 2) {
                resultBack("toolListAppDownload", appInfo.getAppid() + "##0##1##" + appInfo.getProgress());
            } else if (appInfo.getState() != 4 && appInfo.getState() != 3) {
                resultBack("toolListAppDownload", appInfo.getAppid() + "##-1##0##" + appInfo.getProgress());
            } else {
                resultBack("toolListAppDownload", appInfo.getAppid() + "##-1##3##" + appInfo.getProgress());
            }
            return 0;
        }
        return 0;
    }

    @Subscribe
    public void onEvent(e.g.a.h.g.b bVar) {
        Message message = new Message();
        message.what = 5;
        message.obj = bVar.object;
        this.downloadhandler.sendMessage(message);
    }

    public /* synthetic */ void a(List list) {
        String str;
        try {
            if (list == null) {
                resultBack("toolList", null);
                return;
            }
            if (list != null && list.size() != 0) {
                ArrayList arrayList = new ArrayList();
                for (int i2 = 0; i2 < list.size(); i2++) {
                    AppInfoEntity appInfoEntity = (AppInfoEntity) list.get(i2);
                    if (appInfoEntity.getApp() != null && appInfoEntity.getAppCount() != null && appInfoEntity.getAndroidPackage() != null) {
                        ModPluginDataEntity modPluginDataEntity = new ModPluginDataEntity();
                        modPluginDataEntity.setAppId(String.valueOf(appInfoEntity.getApp().getId()));
                        modPluginDataEntity.setAppName(appInfoEntity.getApp().getName());
                        modPluginDataEntity.setName(appInfoEntity.getApp().getName());
                        modPluginDataEntity.setIcon(appInfoEntity.getApp().getIcon());
                        modPluginDataEntity.setCode(String.valueOf(list.size()));
                        int downloadNum = appInfoEntity.getAppCount().getDownloadNum();
                        if (downloadNum >= 10000) {
                            DecimalFormat decimalFormat = new DecimalFormat("0.0");
                            StringBuilder sb = new StringBuilder();
                            double d2 = downloadNum;
                            Double.isNaN(d2);
                            sb.append(decimalFormat.format((d2 * 1.0d) / 10000.0d));
                            sb.append("万下载");
                            str = sb.toString();
                        } else {
                            str = downloadNum + "次下载";
                        }
                        modPluginDataEntity.setVersionCode(str + "   " + appInfoEntity.getAndroidPackage().getSizeStr());
                        modPluginDataEntity.setDownloadUrl(appInfoEntity.getAndroidPackage().getDownloadUrl());
                        modPluginDataEntity.setPackageName(appInfoEntity.getAndroidPackage().getPackageName());
                        modPluginDataEntity.setRemark(appInfoEntity.getAndroidPackage().getVersionCode());
                        AppInfo initAppInfo = e.g.b.j.f.initAppInfo(appInfoEntity.getAndroidPackage(), appInfoEntity.getApp().getName(), appInfoEntity.getApp().getIcon(), appInfoEntity.getApp().getStartMode());
                        e.g.b.j.j.installUpdate(this, initAppInfo, MODInstalledAppUtils.isAppInstalled(initAppInfo.getApppackagename()));
                        if (initAppInfo.getAppstatus() == 2) {
                            modPluginDataEntity.setStatus(4);
                        } else if (initAppInfo.getState() == 2) {
                            modPluginDataEntity.setStatus(1);
                        } else {
                            if (initAppInfo.getState() != 4 && initAppInfo.getState() != 3) {
                                if (initAppInfo.getState() == 5) {
                                    modPluginDataEntity.setStatus(2);
                                } else {
                                    modPluginDataEntity.setStatus(0);
                                }
                            }
                            modPluginDataEntity.setStatus(3);
                        }
                        arrayList.add(modPluginDataEntity);
                    }
                    resultBack("toolList", new Gson().toJson(arrayList));
                }
                return;
            }
            resultBack("toolList", null);
        } catch (Exception unused) {
        }
    }

    @Subscribe
    public void onEvent(e.g.a.h.g.a aVar) {
        Message message = new Message();
        message.what = 6;
        message.obj = aVar.object;
        this.downloadhandler.sendMessage(message);
    }

    /* JADX WARN: Multi-variable type inference failed */
    @Subscribe
    public void onEvent(ModMyCloudFileEvent modMyCloudFileEvent) {
        List<? extends MyCloudFileEntity> list;
        if (modMyCloudFileEvent.status == 1 && (list = modMyCloudFileEvent.list) != null && list.size() > 0) {
            onMyCloudFile(modMyCloudFileEvent.list);
        } else if (TextUtils.isEmpty(modMyCloudFileEvent.msg)) {
            resultBack("getMyCloudFileList", "暂无数据");
        } else {
            resultBack("getMyCloudFileList", modMyCloudFileEvent.msg);
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    @Subscribe
    public void onEvent(ModPlayerCloudFileEvent modPlayerCloudFileEvent) {
        List<? extends CloudArchiveShareVosBean> list;
        if (modPlayerCloudFileEvent.status == 1 && (list = modPlayerCloudFileEvent.list) != null && list.size() > 0) {
            onPlayerCloudFile(modPlayerCloudFileEvent.list, modPlayerCloudFileEvent.sum);
        } else if (TextUtils.isEmpty(modPlayerCloudFileEvent.msg)) {
            resultBack("getPlayerCloudFileList", "暂无数据");
        } else {
            resultBack("getPlayerCloudFileList", modPlayerCloudFileEvent.msg);
        }
    }

    @Subscribe
    public void onEvent(ModDeleteCloudFileEvent modDeleteCloudFileEvent) {
        if (modDeleteCloudFileEvent.status == 1) {
            resultBack("deleteCloudFileSuccess", "");
        } else {
            resultBack("deleteCloudFileFail", modDeleteCloudFileEvent.msg);
        }
    }
}
