package com.qq.e.ads.cfg;

import com.qq.e.comm.util.GDTLogger;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class VideoOption {
    public final boolean a;
    public final int b;

    /* renamed from: c  reason: collision with root package name */
    public final boolean f1577c;

    /* renamed from: d  reason: collision with root package name */
    public final boolean f1578d;

    /* renamed from: e  reason: collision with root package name */
    public final boolean f1579e;

    /* renamed from: f  reason: collision with root package name */
    public final boolean f1580f;

    /* renamed from: g  reason: collision with root package name */
    public final boolean f1581g;

    /* renamed from: h  reason: collision with root package name */
    public final int f1582h;

    /* renamed from: i  reason: collision with root package name */
    public final int f1583i;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static final class AutoPlayPolicy {
        public static final int ALWAYS = 1;
        public static final int NEVER = 2;
        public static final int WIFI = 0;
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static final class Builder {
        public boolean a = true;
        public int b = 1;

        /* renamed from: c  reason: collision with root package name */
        public boolean f1584c = true;

        /* renamed from: d  reason: collision with root package name */
        public boolean f1585d = true;

        /* renamed from: e  reason: collision with root package name */
        public boolean f1586e = true;

        /* renamed from: f  reason: collision with root package name */
        public boolean f1587f = false;

        /* renamed from: g  reason: collision with root package name */
        public boolean f1588g = false;

        /* renamed from: h  reason: collision with root package name */
        public int f1589h;

        /* renamed from: i  reason: collision with root package name */
        public int f1590i;

        public VideoOption build() {
            return new VideoOption(this);
        }

        public Builder setAutoPlayMuted(boolean z) {
            this.a = z;
            return this;
        }

        public Builder setAutoPlayPolicy(int i2) {
            if (i2 < 0 || i2 > 2) {
                i2 = 1;
                GDTLogger.e("setAutoPlayPolicy 设置失败，值只能为0到2之间的数值, 重置为 : 1");
            }
            this.b = i2;
            return this;
        }

        public Builder setDetailPageMuted(boolean z) {
            this.f1588g = z;
            return this;
        }

        public Builder setEnableDetailPage(boolean z) {
            this.f1586e = z;
            return this;
        }

        public Builder setEnableUserControl(boolean z) {
            this.f1587f = z;
            return this;
        }

        public Builder setMaxVideoDuration(int i2) {
            this.f1589h = i2;
            return this;
        }

        public Builder setMinVideoDuration(int i2) {
            this.f1590i = i2;
            return this;
        }

        public Builder setNeedCoverImage(boolean z) {
            this.f1585d = z;
            return this;
        }

        public Builder setNeedProgressBar(boolean z) {
            this.f1584c = z;
            return this;
        }
    }

    public VideoOption(Builder builder) {
        this.a = builder.a;
        this.b = builder.b;
        this.f1577c = builder.f1584c;
        this.f1578d = builder.f1585d;
        this.f1579e = builder.f1586e;
        this.f1580f = builder.f1587f;
        this.f1581g = builder.f1588g;
        this.f1582h = builder.f1589h;
        this.f1583i = builder.f1590i;
    }

    public boolean getAutoPlayMuted() {
        return this.a;
    }

    public int getAutoPlayPolicy() {
        return this.b;
    }

    public int getMaxVideoDuration() {
        return this.f1582h;
    }

    public int getMinVideoDuration() {
        return this.f1583i;
    }

    public JSONObject getOptions() {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.putOpt("autoPlayMuted", Boolean.valueOf(this.a));
            jSONObject.putOpt("autoPlayPolicy", Integer.valueOf(this.b));
            jSONObject.putOpt("detailPageMuted", Boolean.valueOf(this.f1581g));
        } catch (Exception e2) {
            GDTLogger.d("Get video options error: " + e2.getMessage());
        }
        return jSONObject;
    }

    public boolean isDetailPageMuted() {
        return this.f1581g;
    }

    public boolean isEnableDetailPage() {
        return this.f1579e;
    }

    public boolean isEnableUserControl() {
        return this.f1580f;
    }

    public boolean isNeedCoverImage() {
        return this.f1578d;
    }

    public boolean isNeedProgressBar() {
        return this.f1577c;
    }
}
