package com.qq.e.ads.splash;

import android.content.Context;
import android.graphics.Bitmap;
import android.view.View;
import android.view.ViewGroup;
import com.qq.e.ads.LiteAbstractAD;
import com.qq.e.ads.rewardvideo.ServerSideVerificationOptions;
import com.qq.e.comm.adevent.ADEvent;
import com.qq.e.comm.adevent.ADListener;
import com.qq.e.comm.constants.LoadAdParams;
import com.qq.e.comm.listeners.ADRewardListener;
import com.qq.e.comm.pi.IReward;
import com.qq.e.comm.pi.NSPVI;
import com.qq.e.comm.pi.POFactory;
import com.qq.e.comm.util.AdErrorConvertor;
import com.qq.e.comm.util.GDTLogger;
import java.util.HashMap;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class SplashAD extends LiteAbstractAD<NSPVI> implements IReward {

    /* renamed from: g  reason: collision with root package name */
    public volatile ViewGroup f1649g;

    /* renamed from: h  reason: collision with root package name */
    public volatile SplashADListener f1650h;

    /* renamed from: i  reason: collision with root package name */
    public volatile ADRewardListener f1651i;

    /* renamed from: j  reason: collision with root package name */
    public volatile LoadAdParams f1652j;

    /* renamed from: k  reason: collision with root package name */
    public volatile boolean f1653k;

    /* renamed from: l  reason: collision with root package name */
    public volatile boolean f1654l;

    /* renamed from: m  reason: collision with root package name */
    public volatile boolean f1655m;

    /* renamed from: n  reason: collision with root package name */
    public volatile int f1656n;

    /* renamed from: o  reason: collision with root package name */
    public volatile byte[] f1657o;

    /* renamed from: p  reason: collision with root package name */
    public volatile ServerSideVerificationOptions f1658p;
    public int q;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class ADListenerAdapter implements ADListener {
        public ADListenerAdapter() {
        }

        @Override // com.qq.e.comm.adevent.ADListener
        public void onADEvent(ADEvent aDEvent) {
            String str;
            if (SplashAD.this.f1650h == null) {
                GDTLogger.d("SplashADListener == null");
                return;
            }
            int type = aDEvent.getType();
            switch (type) {
                case 100:
                    Long l2 = (Long) aDEvent.getParam(Long.class);
                    if (l2 != null) {
                        SplashAD.this.f1650h.onADLoaded(l2.longValue());
                        return;
                    }
                    return;
                case 101:
                    Integer num = (Integer) aDEvent.getParam(Integer.class);
                    if (num != null) {
                        SplashAD.this.f1650h.onNoAD(AdErrorConvertor.formatErrorCode(num.intValue()));
                        return;
                    }
                    return;
                case 102:
                    SplashAD.this.f1650h.onADPresent();
                    return;
                case 103:
                    SplashAD.this.f1650h.onADExposure();
                    return;
                case 104:
                    if (SplashAD.this.f1651i == null || (str = (String) aDEvent.getParam(String.class)) == null) {
                        return;
                    }
                    HashMap hashMap = new HashMap();
                    hashMap.put("transId", str);
                    SplashAD.this.f1651i.onReward(hashMap);
                    return;
                case 105:
                    SplashAD.this.f1650h.onADClicked();
                    return;
                case 106:
                    SplashAD.this.f1650h.onADDismissed();
                    return;
                default:
                    switch (type) {
                        case 112:
                            Long l3 = (Long) aDEvent.getParam(Long.class);
                            if (l3 != null) {
                                SplashAD.this.f1650h.onADTick(l3.longValue());
                                return;
                            }
                            return;
                        case 113:
                            if (SplashAD.this.f1650h instanceof SplashADZoomOutListener) {
                                ((SplashADZoomOutListener) SplashAD.this.f1650h).onZoomOut();
                                return;
                            }
                            return;
                        case 114:
                            if (SplashAD.this.f1650h instanceof SplashADZoomOutListener) {
                                ((SplashADZoomOutListener) SplashAD.this.f1650h).onZoomOutPlayFinish();
                                return;
                            }
                            return;
                        default:
                            return;
                    }
            }
        }
    }

    public SplashAD(Context context, String str, SplashADListener splashADListener) {
        this(context, str, splashADListener, 0);
    }

    public SplashAD(Context context, String str, SplashADListener splashADListener, int i2) {
        this.f1653k = false;
        this.f1650h = splashADListener;
        this.q = i2;
        a(context, str);
    }

    public SplashAD(Context context, String str, SplashADListener splashADListener, int i2, String str2) {
        this.f1653k = false;
        this.f1650h = splashADListener;
        this.q = i2;
        a(context, str, str2);
    }

    private void a(ViewGroup viewGroup, boolean z) {
        if (viewGroup == null) {
            GDTLogger.e("传入参数有误：传入container参数为空");
            a(4001);
            return;
        }
        T t = this.a;
        if (t == 0) {
            this.f1655m = z;
            this.f1649g = viewGroup;
            return;
        }
        NSPVI nspvi = (NSPVI) t;
        if (z) {
            nspvi.fetchFullScreenAndShowIn(viewGroup);
        } else {
            nspvi.fetchAndShowIn(viewGroup);
        }
    }

    private void a(boolean z) {
        if (a()) {
            if (!b()) {
                this.f1655m = z;
                this.f1654l = true;
                return;
            }
            T t = this.a;
            if (t == 0) {
                a("fetchAdInner");
                return;
            }
            NSPVI nspvi = (NSPVI) t;
            if (z) {
                nspvi.fetchFullScreenAdOnly();
            } else {
                nspvi.fetchAdOnly();
            }
        }
    }

    private void b(ViewGroup viewGroup, boolean z) {
        if (viewGroup == null) {
            GDTLogger.e("传入参数错误，container参数为空");
            a(4001);
            return;
        }
        T t = this.a;
        if (t == 0) {
            this.f1649g = viewGroup;
            return;
        }
        NSPVI nspvi = (NSPVI) t;
        if (z) {
            nspvi.showFullScreenAd(viewGroup);
        } else {
            nspvi.showAd(viewGroup);
        }
    }

    @Override // com.qq.e.ads.AbstractAD
    public Object a(Context context, POFactory pOFactory, String str, String str2, String str3) {
        return pOFactory.getNativeSplashAdView(context, str, str2, str3);
    }

    @Override // com.qq.e.ads.AbstractAD
    public void b(int i2) {
        if (this.f1650h != null) {
            this.f1650h.onNoAD(AdErrorConvertor.formatErrorCode(i2));
        }
    }

    public void fetchAdOnly() {
        a(false);
    }

    public void fetchAndShowIn(ViewGroup viewGroup) {
        a(viewGroup, false);
    }

    public void fetchFullScreenAdOnly() {
        a(true);
    }

    public void fetchFullScreenAndShowIn(ViewGroup viewGroup) {
        a(viewGroup, true);
    }

    public String getAdNetWorkName() {
        T t = this.a;
        if (t != 0) {
            return ((NSPVI) t).getAdNetWorkName();
        }
        a("getAdNetWorkName");
        return null;
    }

    public Bitmap getZoomOutBitmap() {
        T t = this.a;
        if (t != 0) {
            return ((NSPVI) t).getZoomOutBitmap();
        }
        a("getZoomOutBitmap");
        return null;
    }

    public void preLoad() {
        if (a()) {
            if (!b()) {
                this.f1653k = true;
                return;
            }
            T t = this.a;
            if (t != 0) {
                ((NSPVI) t).preload();
            } else {
                a("preLoad");
            }
        }
    }

    @Deprecated
    public void setAdLogoMargin(int i2, int i3) {
    }

    public void setDeveloperLogo(int i2) {
        T t = this.a;
        if (t == 0) {
            this.f1656n = i2;
        } else {
            ((NSPVI) t).setDeveloperLogo(i2);
        }
    }

    public void setDeveloperLogo(byte[] bArr) {
        T t = this.a;
        if (t == 0) {
            this.f1657o = bArr;
        } else {
            ((NSPVI) t).setDeveloperLogo(bArr);
        }
    }

    public void setLoadAdParams(LoadAdParams loadAdParams) {
        T t = this.a;
        if (t != 0) {
            ((NSPVI) t).setLoadAdParams(loadAdParams);
        } else {
            this.f1652j = loadAdParams;
        }
    }

    @Deprecated
    public void setPreloadView(View view) {
    }

    @Override // com.qq.e.comm.pi.IReward
    public void setRewardListener(ADRewardListener aDRewardListener) {
        this.f1651i = aDRewardListener;
    }

    @Override // com.qq.e.comm.pi.IReward
    public void setServerSideVerificationOptions(ServerSideVerificationOptions serverSideVerificationOptions) {
        this.f1658p = serverSideVerificationOptions;
        T t = this.a;
        if (t != 0) {
            ((NSPVI) t).setServerSideVerificationOptions(serverSideVerificationOptions);
        }
    }

    public void showAd(ViewGroup viewGroup) {
        b(viewGroup, false);
    }

    public void showFullScreenAd(ViewGroup viewGroup) {
        b(viewGroup, true);
    }

    public void zoomOutAnimationFinish() {
        T t = this.a;
        if (t != 0) {
            ((NSPVI) t).zoomOutAnimationFinish();
        } else {
            a("zoomOutAnimationFinish");
        }
    }

    @Override // com.qq.e.ads.AbstractAD
    public void a(Object obj) {
        NSPVI nspvi = (NSPVI) obj;
        if (this.f1652j != null) {
            nspvi.setLoadAdParams(this.f1652j);
        }
        if (this.f1656n != 0) {
            nspvi.setDeveloperLogo(this.f1656n);
        }
        if (this.f1657o != null) {
            nspvi.setDeveloperLogo(this.f1657o);
        }
        nspvi.setFetchDelay(this.q);
        nspvi.setAdListener(new ADListenerAdapter());
        nspvi.setServerSideVerificationOptions(this.f1658p);
        if ((this.f1650h instanceof SplashADZoomOutListener) && ((SplashADZoomOutListener) this.f1650h).isSupportZoomOut()) {
            nspvi.setSupportZoomOut(true);
        }
        if (this.f1649g != null) {
            if (this.f1655m) {
                fetchFullScreenAndShowIn(this.f1649g);
            } else {
                fetchAndShowIn(this.f1649g);
            }
        }
        if (this.f1653k) {
            nspvi.preload();
            this.f1653k = false;
        }
        if (this.f1654l) {
            if (this.f1655m) {
                nspvi.fetchFullScreenAdOnly();
            } else {
                nspvi.fetchAdOnly();
            }
            this.f1654l = false;
        }
    }
}
