package com.qq.e.comm.managers.setting;

import android.text.TextUtils;
import com.qq.e.comm.util.GDTLogger;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import org.json.JSONException;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class GlobalSetting {
    public static final String ADMOB_SDK_WRAPPER = "ADMOB";
    public static final String AGREE_PRIVACY_KEY = "agree_privacy";
    public static final String AGREE_READ_AAID = "allow_read_aaid";
    public static final String APPLOVIN_SDK_WRAPPER = "APPLOVIN";
    public static final String BD_SDK_WRAPPER = "BD";
    public static final String CCPA = "ccpa";
    public static final String COPPA = "coppa";
    public static final String FACEBOOK_SDK_WRAPPER = "FACEBOOK";
    public static final String GDPR = "gdpr";
    public static final String KS_SDK_WRAPPER = "KS";
    public static final String OVERSEA_PRIVACY_INFO = "oversea_privacy_info";
    public static final String PAG_SDK_WRAPPER = "PAG";
    public static final String TT_SDK_WRAPPER = "TT";
    public static volatile Integer a = null;
    public static volatile boolean b = false;

    /* renamed from: c  reason: collision with root package name */
    public static volatile boolean f1693c = true;

    /* renamed from: d  reason: collision with root package name */
    public static volatile Integer f1694d;

    /* renamed from: e  reason: collision with root package name */
    public static volatile Boolean f1695e;

    /* renamed from: f  reason: collision with root package name */
    public static volatile Boolean f1696f;

    /* renamed from: g  reason: collision with root package name */
    public static volatile Boolean f1697g;

    /* renamed from: h  reason: collision with root package name */
    public static volatile Map<String, String> f1698h = new HashMap();

    /* renamed from: i  reason: collision with root package name */
    public static volatile Map<String, String> f1699i = new HashMap();

    /* renamed from: j  reason: collision with root package name */
    public static final Map<String, String> f1700j = new HashMap();

    /* renamed from: k  reason: collision with root package name */
    public static final JSONObject f1701k = new JSONObject();

    /* renamed from: l  reason: collision with root package name */
    public static volatile String f1702l = null;

    /* renamed from: m  reason: collision with root package name */
    public static volatile String f1703m = null;

    /* renamed from: n  reason: collision with root package name */
    public static volatile String f1704n = null;

    /* renamed from: o  reason: collision with root package name */
    public static volatile String f1705o = null;

    /* renamed from: p  reason: collision with root package name */
    public static volatile String f1706p = null;

    public static Boolean getAgreeReadAndroidId() {
        return f1697g;
    }

    public static Boolean getAgreeReadDeviceId() {
        return f1696f;
    }

    public static Integer getChannel() {
        return a;
    }

    public static String getCustomADActivityClassName() {
        return f1702l;
    }

    public static String getCustomLandscapeActivityClassName() {
        return f1705o;
    }

    public static String getCustomPortraitActivityClassName() {
        return f1703m;
    }

    public static String getCustomRewardvideoLandscapeActivityClassName() {
        return f1706p;
    }

    public static String getCustomRewardvideoPortraitActivityClassName() {
        return f1704n;
    }

    public static Map<String, String> getExtraUserData() {
        return Collections.unmodifiableMap(f1698h);
    }

    public static Integer getPersonalizedState() {
        return f1694d;
    }

    public static Map<String, String> getPreloadAdapterMaps() {
        return f1700j;
    }

    public static JSONObject getSettings() {
        return f1701k;
    }

    public static boolean isAgreePrivacyStrategy() {
        return f1695e == null || f1695e.booleanValue();
    }

    public static boolean isAgreeReadAndroidId() {
        if (f1697g == null) {
            return true;
        }
        return f1697g.booleanValue();
    }

    public static boolean isAgreeReadDeviceId() {
        if (f1696f == null) {
            return true;
        }
        return f1696f.booleanValue();
    }

    public static boolean isEnableMediationTool() {
        return b;
    }

    public static boolean isEnableVideoDownloadingCache() {
        return f1693c;
    }

    public static void setAgreePrivacyStrategy(boolean z) {
        if (f1695e == null) {
            f1695e = Boolean.valueOf(z);
        }
    }

    @Deprecated
    public static void setAgreeReadAndroidId(boolean z) {
        f1697g = Boolean.valueOf(z);
    }

    @Deprecated
    public static void setAgreeReadDeviceId(boolean z) {
        f1696f = Boolean.valueOf(z);
    }

    public static void setAgreeReadPrivacyInfo(Map<String, Boolean> map) {
        if (map == null || map.size() == 0) {
            return;
        }
        try {
            f1701k.putOpt(AGREE_PRIVACY_KEY, new JSONObject(map));
        } catch (Exception e2) {
            GDTLogger.e("setAgreeReadPrivacyInfo错误：" + e2.toString());
        }
    }

    public static void setChannel(int i2) {
        if (a == null) {
            a = Integer.valueOf(i2);
        }
    }

    public static void setCustomADActivityClassName(String str) {
        f1702l = str;
    }

    public static void setCustomLandscapeActivityClassName(String str) {
        f1705o = str;
    }

    public static void setCustomPortraitActivityClassName(String str) {
        f1703m = str;
    }

    public static void setCustomRewardvideoLandscapeActivityClassName(String str) {
        f1706p = str;
    }

    public static void setCustomRewardvideoPortraitActivityClassName(String str) {
        f1704n = str;
    }

    public static void setEnableCollectAppInstallStatus(boolean z) {
        try {
            f1701k.putOpt("ecais", Boolean.valueOf(z));
        } catch (JSONException unused) {
        }
    }

    public static void setEnableMediationTool(boolean z) {
        b = z;
    }

    public static void setEnableVideoDownloadingCache(boolean z) {
        f1693c = z;
    }

    /* JADX WARN: Removed duplicated region for block: B:7:0x0011  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static void setExtraUserData(Map<String, String> map) {
        if (map == null) {
            return;
        }
        for (Map.Entry<String, String> entry : map.entrySet()) {
            if (TextUtils.isEmpty(entry.getKey()) || TextUtils.isEmpty(entry.getValue())) {
                GDTLogger.e("参数key和value不能为空！");
                return;
            }
            while (r0.hasNext()) {
            }
        }
        f1698h = map;
    }

    public static void setMediaExtData(Map<String, String> map, boolean z) {
        if (map == null) {
            return;
        }
        if (z) {
            f1699i = new HashMap();
        }
        for (Map.Entry<String, String> entry : map.entrySet()) {
            if (!TextUtils.isEmpty(entry.getKey()) && !TextUtils.isEmpty(entry.getValue())) {
                f1699i.put(entry.getKey(), entry.getValue());
            }
        }
        try {
            f1701k.putOpt("media_ext", new JSONObject(f1699i));
        } catch (JSONException unused) {
            GDTLogger.e("setMediaExtData失败，请检查");
        }
    }

    public static void setPersonalizedState(int i2) {
        f1694d = Integer.valueOf(i2);
    }

    public static void setPreloadAdapters(Map<String, String> map) {
        if (map == null) {
            return;
        }
        f1700j.putAll(map);
    }
}
