package com.ss.android.downloadlib.addownload;

import android.content.Context;
import android.os.Environment;
import android.os.Message;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.ss.android.download.api.config.i;
import com.ss.android.download.api.download.DownloadModel;
import com.ss.android.download.api.download.DownloadStatusChangeListener;
import com.ss.android.download.api.model.DownloadShortInfo;
import com.ss.android.downloadad.api.constant.AdBaseConstants;
import com.ss.android.downloadlib.constants.EventConstants;
import com.ss.android.downloadlib.event.AdEventHandler;
import com.ss.android.downloadlib.utils.wy;
import com.ss.android.downloadlib.utils.x;
import com.ss.android.socialbase.downloader.constants.MonitorConstants;
import com.ss.android.socialbase.downloader.depend.AbsDownloadExtListener;
import com.ss.android.socialbase.downloader.depend.IDownloadListener;
import com.ss.android.socialbase.downloader.downloader.DownloadComponentManager;
import com.ss.android.socialbase.downloader.downloader.Downloader;
import com.ss.android.socialbase.downloader.exception.BaseException;
import com.ss.android.socialbase.downloader.model.DownloadInfo;
import com.ss.android.socialbase.downloader.model.HttpHeader;
import com.ss.android.socialbase.downloader.notification.DownloadNotificationManager;
import com.ss.android.socialbase.downloader.setting.DownloadSetting;
import com.ss.android.socialbase.downloader.setting.DownloadSettingKeys;
import com.ss.android.socialbase.downloader.utils.DownloadUtils;
import java.io.File;
import java.lang.ref.SoftReference;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class om implements x.zj {

    /* renamed from: k  reason: collision with root package name */
    public com.ss.android.downloadlib.addownload.model.u f1786k;
    public boolean q = false;
    public k u;
    public u yo;
    public long zj;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface k {
        void zj(DownloadInfo downloadInfo);
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class zj extends AbsDownloadExtListener {
        public com.ss.android.downloadlib.utils.x zj;

        public zj(com.ss.android.downloadlib.utils.x xVar) {
            this.zj = xVar;
        }

        private void zj(DownloadInfo downloadInfo, int i2) {
            Message obtain = Message.obtain();
            obtain.what = 3;
            obtain.obj = downloadInfo;
            obtain.arg1 = i2;
            this.zj.sendMessage(obtain);
        }

        @Override // com.ss.android.socialbase.downloader.depend.AbsDownloadListener, com.ss.android.socialbase.downloader.depend.IDownloadListener
        public void onCanceled(DownloadInfo downloadInfo) {
            zj(downloadInfo, -4);
        }

        @Override // com.ss.android.socialbase.downloader.depend.AbsDownloadListener, com.ss.android.socialbase.downloader.depend.IDownloadListener
        public void onFailed(DownloadInfo downloadInfo, BaseException baseException) {
            zj(downloadInfo, -1);
        }

        @Override // com.ss.android.socialbase.downloader.depend.AbsDownloadListener, com.ss.android.socialbase.downloader.depend.IDownloadListener
        public void onPause(DownloadInfo downloadInfo) {
            zj(downloadInfo, -2);
        }

        @Override // com.ss.android.socialbase.downloader.depend.AbsDownloadListener, com.ss.android.socialbase.downloader.depend.IDownloadListener
        public void onPrepare(DownloadInfo downloadInfo) {
            zj(downloadInfo, 1);
        }

        @Override // com.ss.android.socialbase.downloader.depend.AbsDownloadListener, com.ss.android.socialbase.downloader.depend.IDownloadListener
        public void onProgress(DownloadInfo downloadInfo) {
            zj(downloadInfo, 4);
        }

        @Override // com.ss.android.socialbase.downloader.depend.AbsDownloadListener, com.ss.android.socialbase.downloader.depend.IDownloadListener
        public void onStart(DownloadInfo downloadInfo) {
            zj(downloadInfo, 2);
        }

        @Override // com.ss.android.socialbase.downloader.depend.AbsDownloadListener, com.ss.android.socialbase.downloader.depend.IDownloadListener
        public void onSuccessed(DownloadInfo downloadInfo) {
            zj(downloadInfo, -3);
        }

        @Override // com.ss.android.socialbase.downloader.depend.AbsDownloadExtListener, com.ss.android.socialbase.downloader.depend.IDownloadExtListener
        public void onWaitingDownloadCompleteHandler(DownloadInfo downloadInfo) {
            zj(downloadInfo, 11);
        }
    }

    public om(u uVar) {
        this.yo = uVar;
    }

    private boolean d() {
        return com.ss.android.downloadlib.utils.n.zj(this.f1786k.f1781k) && kp.zj(this.f1786k.yo.getLinkMode());
    }

    private boolean q() {
        return yo() && u();
    }

    private boolean u() {
        return this.f1786k.yo.isAddToDownloadManage();
    }

    private boolean yo() {
        DownloadModel downloadModel = this.f1786k.f1781k;
        return (downloadModel == null || TextUtils.isEmpty(downloadModel.getPackageName()) || TextUtils.isEmpty(this.f1786k.f1781k.getDownloadUrl())) ? false : true;
    }

    @Override // com.ss.android.downloadlib.utils.x.zj
    public void zj(Message message) {
    }

    private boolean d(DownloadInfo downloadInfo) {
        return downloadInfo != null && downloadInfo.getStatus() == -3 && DownloadUtils.isFileExist(downloadInfo.getSavePath(), downloadInfo.getName());
    }

    private boolean u(DownloadInfo downloadInfo) {
        return !com.ss.android.downloadlib.utils.n.zj(this.f1786k.f1781k) && d(downloadInfo);
    }

    public void k(@Nullable DownloadInfo downloadInfo) {
        k kVar = this.u;
        if (kVar != null) {
            kVar.zj(downloadInfo);
            this.u = null;
        }
    }

    public void q(DownloadInfo downloadInfo) {
        if (!kp.zj(this.f1786k.f1781k) || this.q) {
            return;
        }
        AdEventHandler.zj().zj(EventConstants.Label.FILE_STATUS, (downloadInfo == null || !com.ss.android.downloadlib.utils.n.k(downloadInfo.getTargetFilePath())) ? 2 : 1, this.f1786k);
        this.q = true;
    }

    public void zj(long j2) {
        this.zj = j2;
        com.ss.android.downloadlib.addownload.model.u u = com.ss.android.downloadlib.addownload.model.d.zj().u(j2);
        this.f1786k = u;
        if (u.iu()) {
            com.ss.android.downloadlib.exception.q.zj().zj("setAdId ModelBox notValid");
        }
    }

    public boolean yo(DownloadInfo downloadInfo) {
        return d() || u(downloadInfo);
    }

    private void k(final i iVar) {
        if (!com.ss.android.downloadlib.utils.wy.k("android.permission.WRITE_EXTERNAL_STORAGE")) {
            com.ss.android.downloadlib.utils.wy.zj(new String[]{"android.permission.WRITE_EXTERNAL_STORAGE"}, new wy.zj() { // from class: com.ss.android.downloadlib.addownload.om.2
                @Override // com.ss.android.downloadlib.utils.wy.zj
                public void zj() {
                    i iVar2 = iVar;
                    if (iVar2 != null) {
                        iVar2.zj();
                    }
                }

                @Override // com.ss.android.downloadlib.utils.wy.zj
                public void zj(String str) {
                    i iVar2 = iVar;
                    if (iVar2 != null) {
                        iVar2.zj(str);
                    }
                }
            });
        } else if (iVar != null) {
            iVar.zj();
        }
    }

    public void zj(DownloadInfo downloadInfo) {
        this.q = false;
        k(downloadInfo);
    }

    @Nullable
    public String k() {
        File externalFilesDir = e.getContext().getExternalFilesDir(Environment.DIRECTORY_DOWNLOADS);
        if (externalFilesDir != null) {
            if (!externalFilesDir.exists()) {
                externalFilesDir.mkdirs();
            }
            if (externalFilesDir.exists()) {
                return externalFilesDir.getAbsolutePath();
            }
            return null;
        }
        return null;
    }

    public boolean zj(Context context, int i2, boolean z) {
        if (com.ss.android.downloadlib.utils.n.zj(this.f1786k.f1781k)) {
            com.ss.android.downloadad.api.zj.k yo = com.ss.android.downloadlib.addownload.model.d.zj().yo(this.f1786k.zj);
            if (yo != null) {
                DownloadNotificationManager.getInstance().cancelNotification(yo.s());
            }
            return com.ss.android.downloadlib.k.zj.zj(this.f1786k);
        } else if (zj(i2) && !TextUtils.isEmpty(this.f1786k.f1781k.getPackageName()) && e.wy().optInt("disable_market") != 1) {
            if (com.ss.android.downloadlib.k.zj.zj(this.f1786k, i2)) {
                return true;
            }
            return this.yo.wy() && this.yo.yo(true);
        } else if (z && this.f1786k.yo.getDownloadMode() == 4 && !this.yo.u()) {
            this.yo.q(true);
            return true;
        } else {
            return false;
        }
    }

    @NonNull
    public static List<com.ss.android.download.api.download.zj> k(Map<Integer, Object> map) {
        ArrayList arrayList = new ArrayList();
        if (map != null && !map.isEmpty()) {
            for (Object obj : map.values()) {
                if (obj instanceof com.ss.android.download.api.download.zj) {
                    arrayList.add((com.ss.android.download.api.download.zj) obj);
                } else if (obj instanceof SoftReference) {
                    SoftReference softReference = (SoftReference) obj;
                    if (softReference.get() instanceof com.ss.android.download.api.download.zj) {
                        arrayList.add((com.ss.android.download.api.download.zj) softReference.get());
                    }
                }
            }
        }
        return arrayList;
    }

    private boolean zj(int i2) {
        if (this.f1786k.yo.getDownloadMode() == 2 && i2 == 2) {
            return true;
        }
        return this.f1786k.yo.getDownloadMode() == 2 && i2 == 1 && e.wy().optInt("disable_lp_if_market", 0) == 1;
    }

    public boolean zj(boolean z) {
        return !z && this.f1786k.yo.getDownloadMode() == 1;
    }

    public void zj(@NonNull final i iVar) {
        if (!TextUtils.isEmpty(this.f1786k.f1781k.getFilePath())) {
            String filePath = this.f1786k.f1781k.getFilePath();
            if (filePath.startsWith(Environment.getDataDirectory().getAbsolutePath())) {
                iVar.zj();
                return;
            }
            try {
                if (filePath.startsWith(e.getContext().getExternalCacheDir().getParent())) {
                    iVar.zj();
                    return;
                }
            } catch (Exception unused) {
            }
        }
        k(new i() { // from class: com.ss.android.downloadlib.addownload.om.1
            @Override // com.ss.android.download.api.config.i
            public void zj() {
                iVar.zj();
            }

            @Override // com.ss.android.download.api.config.i
            public void zj(String str) {
                e.q().zj(1, e.getContext(), om.this.f1786k.f1781k, "您已禁止使用存储权限，请授权后再下载", null, 1);
                AdEventHandler.zj().k(om.this.zj, 1);
                iVar.zj(str);
            }
        });
    }

    public void zj(Message message, DownloadShortInfo downloadShortInfo, Map<Integer, Object> map) {
        k kVar;
        if (message == null || message.what != 3) {
            return;
        }
        DownloadInfo downloadInfo = (DownloadInfo) message.obj;
        int i2 = message.arg1;
        if (i2 != 1 && i2 != 6 && i2 == 2) {
            if (downloadInfo.getIsFirstDownload()) {
                com.ss.android.downloadlib.om zj2 = com.ss.android.downloadlib.om.zj();
                com.ss.android.downloadlib.addownload.model.u uVar = this.f1786k;
                zj2.zj(uVar.f1781k, uVar.yo, uVar.q);
                downloadInfo.setFirstDownload(false);
            }
            AdEventHandler.zj().zj(downloadInfo);
        }
        downloadShortInfo.updateFromNewDownloadInfo(downloadInfo);
        wy.zj(downloadShortInfo);
        int zj3 = com.ss.android.socialbase.appdownloader.q.zj(downloadInfo.getStatus());
        long totalBytes = downloadInfo.getTotalBytes();
        int curBytes = totalBytes > 0 ? (int) ((downloadInfo.getCurBytes() * 100) / totalBytes) : 0;
        if ((totalBytes > 0 || DownloadSetting.obtainGlobal().optBugFix("fix_click_start")) && (kVar = this.u) != null) {
            kVar.zj(downloadInfo);
            this.u = null;
        }
        for (DownloadStatusChangeListener downloadStatusChangeListener : zj(map)) {
            if (zj3 != 1) {
                if (zj3 == 2) {
                    downloadStatusChangeListener.onDownloadPaused(downloadShortInfo, wy.zj(downloadInfo.getId(), curBytes));
                } else if (zj3 == 3) {
                    if (downloadInfo.getStatus() == -4) {
                        downloadStatusChangeListener.onIdle();
                    } else if (downloadInfo.getStatus() == -1) {
                        downloadStatusChangeListener.onDownloadFailed(downloadShortInfo);
                    } else if (downloadInfo.getStatus() == -3) {
                        if (com.ss.android.downloadlib.utils.n.zj(this.f1786k.f1781k)) {
                            downloadStatusChangeListener.onInstalled(downloadShortInfo);
                        } else {
                            downloadStatusChangeListener.onDownloadFinished(downloadShortInfo);
                        }
                    }
                }
            } else if (downloadInfo.getStatus() != 11) {
                downloadStatusChangeListener.onDownloadActive(downloadShortInfo, wy.zj(downloadInfo.getId(), curBytes));
            } else {
                for (com.ss.android.download.api.download.zj zjVar : k(map)) {
                    zjVar.zj(downloadInfo);
                }
            }
        }
    }

    public void zj() {
        if (this.u == null) {
            this.u = new k() { // from class: com.ss.android.downloadlib.addownload.om.3
                @Override // com.ss.android.downloadlib.addownload.om.k
                public void zj(DownloadInfo downloadInfo) {
                    AdEventHandler.zj().zj(om.this.zj, 2, downloadInfo);
                }
            };
        }
    }

    public int zj(Context context, IDownloadListener iDownloadListener) {
        HttpHeader zj2;
        if (context == null) {
            return 0;
        }
        Map<String, String> headers = this.f1786k.f1781k.getHeaders();
        ArrayList arrayList = new ArrayList();
        if (e.wy().optInt("enable_send_click_id_in_apk", 1) == 1 && !TextUtils.isEmpty(this.f1786k.f1781k.getLogExtra()) && (zj2 = zj(this.f1786k.f1781k.getLogExtra())) != null) {
            arrayList.add(zj2);
        }
        if (headers != null) {
            for (Map.Entry<String, String> entry : headers.entrySet()) {
                if (entry != null) {
                    arrayList.add(new HttpHeader(entry.getKey(), entry.getValue()));
                }
            }
        }
        String zj3 = com.ss.android.downloadlib.utils.q.zj(String.valueOf(this.f1786k.f1781k.getId()), this.f1786k.f1781k.getNotificationJumpUrl(), this.f1786k.f1781k.isShowToast(), String.valueOf(this.f1786k.f1781k.getModelType()));
        DownloadSetting k2 = com.ss.android.downloadlib.utils.yo.k(this.f1786k.f1781k);
        JSONObject zj4 = com.ss.android.downloadlib.utils.yo.zj(this.f1786k.f1781k);
        if (!this.f1786k.yo.enableAH()) {
            zj4 = com.ss.android.downloadlib.utils.n.zj(zj4);
            com.ss.android.downloadlib.utils.n.zj(zj4, DownloadSettingKeys.KEY_AH_PLANS, new JSONArray());
        }
        this.f1786k.f1781k.getExecutorGroup();
        int i2 = (this.f1786k.f1781k.isAd() || kp.k(this.f1786k.f1781k)) ? 4 : 4;
        String zj5 = zj(k2);
        DownloadInfo downloadInfo = Downloader.getInstance(e.getContext()).getDownloadInfo(DownloadComponentManager.getDownloadId(this.f1786k.f1781k.getDownloadUrl(), zj5));
        if (downloadInfo != null && 3 == this.f1786k.f1781k.getModelType()) {
            downloadInfo.setFirstDownload(true);
        }
        com.ss.android.socialbase.appdownloader.d w = new com.ss.android.socialbase.appdownloader.d(context, this.f1786k.f1781k.getDownloadUrl()).k(this.f1786k.f1781k.getBackupUrls()).zj(this.f1786k.f1781k.getName()).yo(zj3).zj(arrayList).zj(this.f1786k.f1781k.isShowNotification()).q(this.f1786k.f1781k.isNeedWifi()).k(this.f1786k.f1781k.getFileName()).q(zj5).e(this.f1786k.f1781k.getAppIcon()).om(this.f1786k.f1781k.getMd5()).wy(this.f1786k.f1781k.getSdkMonitorScene()).zj(this.f1786k.f1781k.getExpectFileLength()).zj(iDownloadListener).x(this.f1786k.f1781k.needIndependentProcess() || k2.optInt(MonitorConstants.EXTRA_DOWNLOAD_NEED_INDEPENDENT_PROCESS, 0) == 1).zj(this.f1786k.f1781k.getDownloadFileUriProvider()).k(this.f1786k.f1781k.autoInstallWithoutNotification()).d(this.f1786k.f1781k.getPackageName()).yo(1000).u(100).zj(zj4).wy(true).e(true).k(k2.optInt(MonitorConstants.EXTRA_DOWNLOAD_RETRY_COUNT, 5)).q(k2.optInt("backup_url_retry_count", 0)).e(true).ja(k2.optInt("need_head_connection", 0) == 1).yo(k2.optInt("need_https_to_http_retry", 0) == 1).kp(k2.optInt(MonitorConstants.EXTRA_NEED_CHUNK_DOWNGRADE_RETRY, 1) == 1).om(k2.optInt(MonitorConstants.EXTRA_DOWNLOAD_NEED_RETRY_DELAY, 0) == 1).kp(k2.optString("retry_delay_time_array")).n(k2.optInt("need_reuse_runnable", 0) == 1).d(i2).pr(this.f1786k.f1781k.isAutoInstall()).w(this.f1786k.f1781k.distinctDir());
        if (!TextUtils.isEmpty(this.f1786k.f1781k.getMimeType())) {
            w.u(this.f1786k.f1781k.getMimeType());
        } else {
            w.u(AdBaseConstants.MIME_APK);
        }
        if (k2.optInt("notification_opt_2", 0) == 1) {
            w.zj(false);
            w.k(true);
        }
        com.ss.android.downloadlib.addownload.k.zj zjVar = null;
        if (k2.optInt("clear_space_use_disk_handler", 0) == 1) {
            zjVar = new com.ss.android.downloadlib.addownload.k.zj();
            w.zj(zjVar);
        }
        int zj6 = kp.zj(this.f1786k, q(), w);
        if (zjVar != null) {
            zjVar.zj(zj6);
        }
        return zj6;
    }

    private String zj(DownloadSetting downloadSetting) {
        if (!TextUtils.isEmpty(this.f1786k.f1781k.getFilePath())) {
            return this.f1786k.f1781k.getFilePath();
        }
        DownloadInfo zj2 = com.ss.android.socialbase.appdownloader.yo.e().zj(e.getContext(), this.f1786k.f1781k.getDownloadUrl());
        boolean k2 = com.ss.android.downloadlib.utils.wy.k("android.permission.WRITE_EXTERNAL_STORAGE");
        String k3 = k();
        if (zj2 != null && !TextUtils.isEmpty(zj2.getSavePath())) {
            String savePath = zj2.getSavePath();
            if (k2 || savePath.startsWith(Environment.getDataDirectory().getAbsolutePath())) {
                return savePath;
            }
            try {
                if (!TextUtils.isEmpty(k3)) {
                    if (savePath.startsWith(k3)) {
                        return savePath;
                    }
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
            Downloader.getInstance(DownloadComponentManager.getAppContext()).cancel(zj2.getId());
        }
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.putOpt(EventConstants.ExtraJson.KEY_CODE, Integer.valueOf(k2 ? 1 : 2));
        } catch (JSONException e3) {
            e3.printStackTrace();
        }
        AdEventHandler.zj().zj(EventConstants.UnityLabel.LABEL_EXTERNAL_PERMISSION, jSONObject, this.f1786k);
        String str = null;
        try {
            str = com.ss.android.socialbase.appdownloader.q.k();
        } catch (Exception unused) {
        }
        int zj3 = com.ss.android.downloadlib.utils.yo.zj(downloadSetting);
        if (zj3 != 0) {
            if (zj3 != 4 && (k2 || zj3 != 2)) {
                if ((zj3 == 3 || (!k2 && zj3 == 1)) && !TextUtils.isEmpty(k3)) {
                    return k3;
                }
            } else {
                File filesDir = e.getContext().getFilesDir();
                if (!filesDir.exists()) {
                    filesDir.mkdirs();
                }
                if (filesDir.exists()) {
                    return filesDir.getAbsolutePath();
                }
            }
        }
        return str;
    }

    public void zj(DownloadInfo downloadInfo, boolean z) {
        if (this.f1786k.f1781k == null || downloadInfo == null || downloadInfo.getId() == 0) {
            return;
        }
        int status = downloadInfo.getStatus();
        if (status != -1 && status != -4) {
            if (kp.zj(this.f1786k.f1781k)) {
                AdEventHandler.zj().zj(this.zj, 2);
            } else if (z && com.ss.android.downloadlib.event.k.zj().q() && (status == -2 || status == -3)) {
                AdEventHandler.zj().zj(this.zj, 2);
            }
        } else {
            AdEventHandler.zj().zj(this.zj, 2);
        }
        switch (status) {
            case -4:
            case -1:
                zj();
                com.ss.android.downloadlib.addownload.model.d zj2 = com.ss.android.downloadlib.addownload.model.d.zj();
                com.ss.android.downloadlib.addownload.model.u uVar = this.f1786k;
                zj2.zj(new com.ss.android.downloadad.api.zj.k(uVar.f1781k, uVar.q, uVar.yo, downloadInfo.getId()));
                return;
            case -3:
                if (com.ss.android.downloadlib.utils.n.zj(this.f1786k.f1781k)) {
                    com.ss.android.downloadlib.exception.q.zj().k("SUCCESSED isInstalledApp");
                    return;
                }
                AdEventHandler.zj().zj(this.zj, 5, downloadInfo);
                if (z && com.ss.android.downloadlib.event.k.zj().k() && !com.ss.android.downloadlib.event.k.zj().k(this.zj, this.f1786k.f1781k.getLogExtra())) {
                    AdEventHandler.zj().zj(this.zj, 2);
                    return;
                }
                return;
            case -2:
                AdEventHandler.zj().zj(this.zj, 4, downloadInfo);
                if (z && com.ss.android.downloadlib.event.k.zj().k() && !com.ss.android.downloadlib.event.k.zj().k(this.zj, this.f1786k.f1781k.getLogExtra())) {
                    AdEventHandler.zj().zj(this.zj, 2);
                    return;
                }
                return;
            case 0:
            case 6:
            default:
                return;
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
            case 7:
            case 8:
                AdEventHandler.zj().zj(this.zj, 3, downloadInfo);
                return;
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:18:0x002f  */
    /* JADX WARN: Removed duplicated region for block: B:22:0x0040  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void zj(DownloadInfo downloadInfo, DownloadShortInfo downloadShortInfo, List<DownloadStatusChangeListener> list) {
        int i2;
        if (list.isEmpty()) {
            return;
        }
        if (downloadInfo != null && downloadShortInfo != null) {
            try {
            } catch (Exception e2) {
                e2.printStackTrace();
            }
            if (downloadInfo.getTotalBytes() > 0) {
                i2 = (int) ((downloadInfo.getCurBytes() * 100) / downloadInfo.getTotalBytes());
                int i3 = i2 >= 0 ? i2 : 0;
                downloadShortInfo.updateFromNewDownloadInfo(downloadInfo);
                wy.zj(downloadShortInfo);
                for (DownloadStatusChangeListener downloadStatusChangeListener : list) {
                    switch (downloadInfo.getStatus()) {
                        case -4:
                        case 0:
                            if (com.ss.android.downloadlib.utils.n.zj(this.f1786k.f1781k)) {
                                downloadShortInfo.status = -3;
                                downloadStatusChangeListener.onInstalled(downloadShortInfo);
                                break;
                            } else {
                                downloadStatusChangeListener.onIdle();
                                break;
                            }
                        case -3:
                            if (com.ss.android.downloadlib.utils.n.zj(this.f1786k.f1781k)) {
                                downloadStatusChangeListener.onInstalled(downloadShortInfo);
                                break;
                            } else {
                                downloadStatusChangeListener.onDownloadFinished(downloadShortInfo);
                                break;
                            }
                        case -2:
                            downloadStatusChangeListener.onDownloadPaused(downloadShortInfo, wy.zj(downloadInfo.getId(), i3));
                            break;
                        case -1:
                            downloadStatusChangeListener.onDownloadFailed(downloadShortInfo);
                            break;
                        case 1:
                        case 2:
                        case 3:
                        case 4:
                        case 5:
                        case 7:
                        case 8:
                            downloadStatusChangeListener.onDownloadActive(downloadShortInfo, wy.zj(downloadInfo.getId(), i3));
                            break;
                        case 11:
                            if (downloadStatusChangeListener instanceof com.ss.android.download.api.download.zj) {
                                ((com.ss.android.download.api.download.zj) downloadStatusChangeListener).zj(downloadInfo);
                                break;
                            } else {
                                downloadStatusChangeListener.onDownloadActive(downloadShortInfo, wy.zj(downloadInfo.getId(), i3));
                                break;
                            }
                    }
                }
                return;
            }
            i2 = 0;
            if (i2 >= 0) {
            }
            downloadShortInfo.updateFromNewDownloadInfo(downloadInfo);
            wy.zj(downloadShortInfo);
            while (r9.hasNext()) {
            }
            return;
        }
        for (DownloadStatusChangeListener downloadStatusChangeListener2 : list) {
            downloadStatusChangeListener2.onIdle();
        }
    }

    @NonNull
    public static List<DownloadStatusChangeListener> zj(Map<Integer, Object> map) {
        ArrayList arrayList = new ArrayList();
        if (map != null && !map.isEmpty()) {
            for (Object obj : map.values()) {
                if (obj instanceof DownloadStatusChangeListener) {
                    arrayList.add((DownloadStatusChangeListener) obj);
                } else if (obj instanceof SoftReference) {
                    SoftReference softReference = (SoftReference) obj;
                    if (softReference.get() instanceof DownloadStatusChangeListener) {
                        arrayList.add((DownloadStatusChangeListener) softReference.get());
                    }
                }
            }
        }
        return arrayList;
    }

    private HttpHeader zj(String str) {
        try {
            if (TextUtils.isEmpty(str)) {
                return null;
            }
            return new HttpHeader("clickid", new JSONObject(str).optString("clickid"));
        } catch (JSONException e2) {
            e.s().zj(e2, "parseLogExtra Error");
            return null;
        }
    }
}
