package com.ss.android.downloadlib.addownload;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.AsyncTask;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import com.ss.android.download.api.config.IDownloadButtonClickListener;
import com.ss.android.download.api.config.OnItemClickListener;
import com.ss.android.download.api.config.i;
import com.ss.android.download.api.download.DownloadController;
import com.ss.android.download.api.download.DownloadEventConfig;
import com.ss.android.download.api.download.DownloadModel;
import com.ss.android.download.api.download.DownloadStatusChangeListener;
import com.ss.android.download.api.download.q;
import com.ss.android.download.api.model.DownloadShortInfo;
import com.ss.android.downloadad.api.download.AdDownloadModel;
import com.ss.android.downloadlib.addownload.om;
import com.ss.android.downloadlib.constants.EventConstants;
import com.ss.android.downloadlib.event.AdEventHandler;
import com.ss.android.downloadlib.utils.x;
import com.ss.android.socialbase.appdownloader.DownloadHandlerService;
import com.ss.android.socialbase.downloader.depend.IDownloadListener;
import com.ss.android.socialbase.downloader.downloader.DownloadComponentManager;
import com.ss.android.socialbase.downloader.downloader.DownloadProcessDispatcher;
import com.ss.android.socialbase.downloader.downloader.Downloader;
import com.ss.android.socialbase.downloader.exception.BaseException;
import com.ss.android.socialbase.downloader.model.DownloadInfo;
import com.ss.android.socialbase.downloader.notification.DownloadNotificationManager;
import com.ss.android.socialbase.downloader.setting.DownloadSetting;
import com.ss.android.socialbase.downloader.utils.DownloadUtils;
import java.lang.ref.SoftReference;
import java.lang.ref.WeakReference;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class u implements d, x.zj {
    public static final String zj = "u";
    public boolean cy;

    /* renamed from: i  reason: collision with root package name */
    public SoftReference<IDownloadButtonClickListener> f1796i;
    public DownloadInfo kp;

    /* renamed from: n  reason: collision with root package name */
    public boolean f1798n;
    public DownloadShortInfo om;
    public SoftReference<OnItemClickListener> t;
    public WeakReference<Context> u;
    public q wy;
    public long x;

    /* renamed from: k  reason: collision with root package name */
    public final com.ss.android.downloadlib.utils.x f1797k = new com.ss.android.downloadlib.utils.x(Looper.getMainLooper(), this);

    /* renamed from: d  reason: collision with root package name */
    public final Map<Integer, Object> f1794d = new ConcurrentHashMap();

    /* renamed from: e  reason: collision with root package name */
    public final IDownloadListener f1795e = new om.zj(this.f1797k);
    public long ja = -1;
    public DownloadModel a = null;
    public DownloadEventConfig w = null;
    public DownloadController pr = null;
    public om q = new om(this);
    public yo yo = new yo(this.f1797k);
    public final boolean s = DownloadSetting.obtainGlobal().optBugFix("ttdownloader_callback_twice");

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface k {
        void zj(long j2);
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface zj {
        void zj();
    }

    private void a() {
        com.ss.android.downloadlib.utils.e.zj(zj, "pICD", null);
        if (this.q.yo(this.kp)) {
            com.ss.android.downloadlib.utils.e.zj(zj, "pICD BC", null);
            d(false);
            return;
        }
        com.ss.android.downloadlib.utils.e.zj(zj, "pICD IC", null);
        n();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public Context getContext() {
        WeakReference<Context> weakReference = this.u;
        if (weakReference != null && weakReference.get() != null) {
            return this.u.get();
        }
        return e.getContext();
    }

    @NonNull
    private DownloadController ja() {
        if (this.pr == null) {
            this.pr = new com.ss.android.download.api.download.k();
        }
        return this.pr;
    }

    private void n() {
        SoftReference<OnItemClickListener> softReference = this.t;
        if (softReference != null && softReference.get() != null) {
            this.t.get().onItemClick(this.a, x(), ja());
            this.t = null;
            return;
        }
        e.k().zj(getContext(), this.a, ja(), x());
    }

    private void pr() {
        q qVar = this.wy;
        if (qVar != null && qVar.getStatus() != AsyncTask.Status.FINISHED) {
            this.wy.cancel(true);
        }
        q qVar2 = new q();
        this.wy = qVar2;
        com.ss.android.downloadlib.utils.k.zj(qVar2, this.a.getDownloadUrl(), this.a.getPackageName());
    }

    /* JADX INFO: Access modifiers changed from: private */
    public DownloadShortInfo t() {
        if (this.om == null) {
            this.om = new DownloadShortInfo();
        }
        return this.om;
    }

    private boolean w() {
        if (DownloadSetting.obtainGlobal().optBugFix("fix_click_start")) {
            DownloadInfo downloadInfo = this.kp;
            if (downloadInfo == null) {
                return true;
            }
            if ((downloadInfo.getStatus() == -3 && this.kp.getCurBytes() <= 0) || this.kp.getStatus() == 0 || this.kp.getStatus() == -4) {
                return true;
            }
            return DownloadUtils.isDownloadSuccessAndFileNotExist(this.kp.getStatus(), this.kp.getSavePath(), this.kp.getName());
        }
        DownloadInfo downloadInfo2 = this.kp;
        if (downloadInfo2 == null) {
            return true;
        }
        return !(downloadInfo2.getStatus() == -3 || Downloader.getInstance(e.getContext()).canResume(this.kp.getId())) || this.kp.getStatus() == 0;
    }

    @NonNull
    private DownloadEventConfig x() {
        DownloadEventConfig downloadEventConfig = this.w;
        return downloadEventConfig == null ? new q.zj().zj() : downloadEventConfig;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void kp(boolean z) {
        for (DownloadStatusChangeListener downloadStatusChangeListener : om.zj(this.f1794d)) {
            downloadStatusChangeListener.onDownloadStart(this.a, ja());
        }
        int zj2 = this.q.zj(e.getContext(), this.f1795e);
        String str = zj;
        com.ss.android.downloadlib.utils.e.zj(str, "beginDown id:" + zj2, null);
        if (zj2 != 0) {
            if (this.kp != null && !DownloadSetting.obtainGlobal().optBugFix("fix_click_start")) {
                this.q.zj(this.kp, false);
            } else if (z) {
                this.q.zj();
            }
        } else {
            DownloadInfo build = new DownloadInfo.Builder(this.a.getDownloadUrl()).build();
            build.setStatus(-1);
            zj(build);
            AdEventHandler.zj().zj(this.ja, new BaseException(2, "start download failed, id=0"));
            com.ss.android.downloadlib.exception.q.zj().k("beginDown");
        }
        if (this.q.zj(q())) {
            String str2 = zj;
            com.ss.android.downloadlib.utils.e.zj(str2, "beginDown IC id:" + zj2, null);
            n();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void om(final boolean z) {
        this.yo.zj(new com.ss.android.downloadlib.addownload.model.u(this.ja, this.a, x(), ja()));
        this.yo.zj(0, 0L, 0L, new zj() { // from class: com.ss.android.downloadlib.addownload.u.5
            @Override // com.ss.android.downloadlib.addownload.u.zj
            public void zj() {
                if (u.this.yo.zj()) {
                    return;
                }
                u.this.kp(z);
            }
        });
    }

    public void d() {
        this.f1797k.post(new Runnable() { // from class: com.ss.android.downloadlib.addownload.u.1
            @Override // java.lang.Runnable
            public void run() {
                for (DownloadStatusChangeListener downloadStatusChangeListener : om.zj(u.this.f1794d)) {
                    downloadStatusChangeListener.onInstalled(u.this.t());
                }
            }
        });
    }

    public boolean q() {
        DownloadInfo downloadInfo = this.kp;
        return (downloadInfo == null || downloadInfo.getStatus() == 0) ? false : true;
    }

    public boolean u() {
        return e.wy().optInt("quick_app_enable_switch", 0) == 0 && this.a.getQuickAppModel() != null && !TextUtils.isEmpty(this.a.getQuickAppModel().zj()) && com.ss.android.downloadlib.addownload.q.zj(this.kp) && com.ss.android.downloadlib.utils.n.zj(getContext(), new Intent("android.intent.action.VIEW", Uri.parse(this.a.getQuickAppModel().zj())));
    }

    public boolean wy() {
        SoftReference<IDownloadButtonClickListener> softReference = this.f1796i;
        if (softReference == null) {
            return false;
        }
        return kp.zj(this.a, softReference.get());
    }

    @Override // com.ss.android.downloadlib.addownload.d
    public long yo() {
        return this.x;
    }

    private void d(final boolean z) {
        DownloadModel downloadModel;
        DownloadController downloadController;
        DownloadController downloadController2;
        com.ss.android.downloadlib.utils.e.zj(zj, "pBCD", null);
        if (w()) {
            com.ss.android.downloadlib.addownload.model.u u = com.ss.android.downloadlib.addownload.model.d.zj().u(this.ja);
            if (this.cy) {
                if (wy()) {
                    if (yo(false) && (downloadController2 = u.yo) != null && downloadController2.isAutoDownloadOnCardShow()) {
                        zj(z, true);
                        return;
                    }
                    return;
                }
                zj(z, true);
                return;
            } else if (this.a.isAd() && (downloadController = u.yo) != null && downloadController.enableShowComplianceDialog() && u.f1781k != null && com.ss.android.downloadlib.addownload.compliance.k.zj().zj(u.f1781k) && com.ss.android.downloadlib.addownload.compliance.k.zj().zj(u)) {
                return;
            } else {
                zj(z, true);
                return;
            }
        }
        String str = zj;
        com.ss.android.downloadlib.utils.e.zj(str, "pBCD continue download, status:" + this.kp.getStatus(), null);
        DownloadInfo downloadInfo = this.kp;
        if (downloadInfo != null && (downloadModel = this.a) != null) {
            downloadInfo.setOnlyWifi(downloadModel.isNeedWifi());
        }
        final int status = this.kp.getStatus();
        final int id = this.kp.getId();
        final com.ss.android.downloadad.api.zj.k zj2 = com.ss.android.downloadlib.addownload.model.d.zj().zj(this.kp);
        if (status != -2 && status != -1) {
            if (x.zj(status)) {
                if (this.a.enablePause()) {
                    this.yo.zj(true);
                    com.ss.android.downloadlib.q.kp.zj().k(com.ss.android.downloadlib.addownload.model.d.zj().yo(this.ja));
                    com.ss.android.downloadlib.addownload.q.d.zj().zj(zj2, status, new com.ss.android.downloadlib.addownload.q.q() { // from class: com.ss.android.downloadlib.addownload.u.3
                        @Override // com.ss.android.downloadlib.addownload.q.q
                        public void zj(com.ss.android.downloadad.api.zj.k kVar) {
                            if (u.this.kp == null && DownloadSetting.obtainGlobal().optBugFix("fix_handle_pause")) {
                                u.this.kp = Downloader.getInstance(e.getContext()).getDownloadInfo(id);
                            }
                            u.this.q.zj(u.this.kp, z);
                            if (u.this.kp != null && DownloadUtils.isWifi(e.getContext()) && u.this.kp.isPauseReserveOnWifi()) {
                                u.this.kp.stopPauseReserveOnWifi();
                                AdEventHandler.zj().k(EventConstants.Label.PAUSE_RESERVE_WIFI_CANCEL_ON_WIFI, zj2);
                                return;
                            }
                            u uVar = u.this;
                            uVar.zj(id, status, uVar.kp);
                        }
                    });
                    return;
                }
                return;
            }
            this.q.zj(this.kp, z);
            zj(id, status, this.kp);
            return;
        }
        this.q.zj(this.kp, z);
        if (zj2 != null) {
            zj2.kp(System.currentTimeMillis());
            zj2.wy(this.kp.getCurBytes());
        }
        this.kp.setDownloadFromReserveWifi(false);
        this.yo.zj(new com.ss.android.downloadlib.addownload.model.u(this.ja, this.a, x(), ja()));
        this.yo.zj(id, this.kp.getCurBytes(), this.kp.getTotalBytes(), new zj() { // from class: com.ss.android.downloadlib.addownload.u.2
            @Override // com.ss.android.downloadlib.addownload.u.zj
            public void zj() {
                if (u.this.yo.zj()) {
                    return;
                }
                u uVar = u.this;
                uVar.zj(id, status, uVar.kp);
            }
        });
    }

    private boolean q(int i2) {
        if (u()) {
            int i3 = -1;
            String zj2 = this.a.getQuickAppModel().zj();
            if (i2 == 1) {
                i3 = 5;
            } else if (i2 == 2) {
                i3 = 4;
            }
            DownloadModel downloadModel = this.a;
            if (downloadModel instanceof AdDownloadModel) {
                ((AdDownloadModel) downloadModel).setFunnelType(3);
            }
            boolean q2 = com.ss.android.downloadlib.utils.kp.q(e.getContext(), zj2);
            if (q2) {
                AdEventHandler.zj().zj(this.ja, i2);
                Message obtain = Message.obtain();
                obtain.what = i3;
                obtain.obj = Long.valueOf(this.a.getId());
                com.ss.android.downloadlib.addownload.q.zj().zj(this, i3, this.a);
            } else {
                AdEventHandler.zj().zj(this.ja, false, 0);
            }
            return q2;
        }
        return false;
    }

    public boolean yo(boolean z) {
        SoftReference<IDownloadButtonClickListener> softReference = this.f1796i;
        if (softReference != null && softReference.get() != null) {
            try {
                if (!z) {
                    this.f1796i.get().handleComplianceDialog(true);
                } else {
                    this.f1796i.get().handleMarketFailedComplianceDialog();
                }
                this.f1796i = null;
                return true;
            } catch (Exception unused) {
                com.ss.android.downloadlib.exception.q.zj().k("mDownloadButtonClickListener has recycled");
                return false;
            }
        }
        com.ss.android.downloadlib.exception.q.zj().k("mDownloadButtonClickListener has recycled");
        return false;
    }

    public void om() {
        if (this.f1794d.size() == 0) {
            return;
        }
        for (DownloadStatusChangeListener downloadStatusChangeListener : om.zj(this.f1794d)) {
            downloadStatusChangeListener.onIdle();
        }
        DownloadInfo downloadInfo = this.kp;
        if (downloadInfo != null) {
            downloadInfo.setStatus(-4);
        }
    }

    @Override // com.ss.android.downloadlib.addownload.d
    /* renamed from: zj */
    public u k(Context context) {
        if (context != null) {
            this.u = new WeakReference<>(context);
        }
        e.k(context);
        return this;
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class q extends AsyncTask<String, Void, DownloadInfo> {
        public q() {
        }

        @Override // android.os.AsyncTask
        /* renamed from: zj */
        public DownloadInfo doInBackground(String... strArr) {
            DownloadInfo downloadInfo = null;
            if (strArr != null) {
                if (strArr.length < 1 || !TextUtils.isEmpty(strArr[0])) {
                    String str = strArr[0];
                    if (u.this.a != null && !TextUtils.isEmpty(u.this.a.getFilePath())) {
                        downloadInfo = Downloader.getInstance(e.getContext()).getDownloadInfo(str, u.this.a.getFilePath());
                    }
                    return downloadInfo == null ? com.ss.android.socialbase.appdownloader.yo.e().zj(e.getContext(), str) : downloadInfo;
                }
                return null;
            }
            return null;
        }

        @Override // android.os.AsyncTask
        /* renamed from: zj */
        public void onPostExecute(DownloadInfo downloadInfo) {
            super.onPostExecute(downloadInfo);
            if (isCancelled() || u.this.a == null) {
                return;
            }
            try {
                com.ss.android.downloadlib.addownload.model.q zj = com.ss.android.downloadlib.utils.n.zj(u.this.a.getPackageName(), u.this.a.getVersionCode(), u.this.a.getVersionName());
                com.ss.android.downloadlib.addownload.model.om.zj().zj(u.this.a.getVersionCode(), zj.k(), com.ss.android.downloadlib.addownload.model.d.zj().zj(downloadInfo));
                boolean zj2 = zj.zj();
                if (downloadInfo != null && downloadInfo.getId() != 0 && (zj2 || !Downloader.getInstance(e.getContext()).isDownloadSuccessAndFileNotExist(downloadInfo))) {
                    Downloader.getInstance(e.getContext()).removeTaskMainListener(downloadInfo.getId());
                    if (u.this.kp == null || u.this.kp.getStatus() != -4) {
                        u.this.kp = downloadInfo;
                        if (u.this.s) {
                            Downloader.getInstance(e.getContext()).setMainThreadListener(u.this.kp.getId(), u.this.f1795e, false);
                        } else {
                            Downloader.getInstance(e.getContext()).setMainThreadListener(u.this.kp.getId(), u.this.f1795e);
                        }
                    } else {
                        u.this.kp = null;
                    }
                    u.this.q.zj(u.this.kp, u.this.t(), om.zj(u.this.f1794d));
                } else {
                    if (downloadInfo != null && Downloader.getInstance(e.getContext()).isDownloadSuccessAndFileNotExist(downloadInfo)) {
                        DownloadNotificationManager.getInstance().cancelNotification(downloadInfo.getId());
                        u.this.kp = null;
                    }
                    if (u.this.kp != null) {
                        Downloader.getInstance(e.getContext()).removeTaskMainListener(u.this.kp.getId());
                        if (u.this.s) {
                            Downloader.getInstance(u.this.getContext()).setMainThreadListener(u.this.kp.getId(), u.this.f1795e, false);
                        } else {
                            Downloader.getInstance(u.this.getContext()).setMainThreadListener(u.this.kp.getId(), u.this.f1795e);
                        }
                    }
                    if (zj2) {
                        u.this.kp = new DownloadInfo.Builder(u.this.a.getDownloadUrl()).build();
                        u.this.kp.setStatus(-3);
                        u.this.q.zj(u.this.kp, u.this.t(), om.zj(u.this.f1794d));
                    } else {
                        for (DownloadStatusChangeListener downloadStatusChangeListener : om.zj(u.this.f1794d)) {
                            downloadStatusChangeListener.onIdle();
                        }
                        u.this.kp = null;
                    }
                }
                u.this.q.q(u.this.kp);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    private void u(boolean z) {
        if (com.ss.android.downloadlib.utils.yo.k(this.a).optInt("notification_opt_2") == 1 && this.kp != null) {
            DownloadNotificationManager.getInstance().cancelNotification(this.kp.getId());
        }
        d(z);
    }

    @Override // com.ss.android.downloadlib.addownload.d
    /* renamed from: zj */
    public u k(int i2, DownloadStatusChangeListener downloadStatusChangeListener) {
        if (downloadStatusChangeListener != null) {
            if (e.wy().optInt("back_use_softref_listener") == 1) {
                this.f1794d.put(Integer.valueOf(i2), downloadStatusChangeListener);
            } else {
                this.f1794d.put(Integer.valueOf(i2), new SoftReference(downloadStatusChangeListener));
            }
        }
        return this;
    }

    @Override // com.ss.android.downloadlib.addownload.d
    public boolean k() {
        return this.f1798n;
    }

    @Override // com.ss.android.downloadlib.addownload.d
    public void k(int i2) {
        if (i2 != 1 && i2 != 2) {
            throw new IllegalArgumentException("error actionType");
        }
        this.q.zj(this.ja);
        if (!com.ss.android.downloadlib.addownload.model.d.zj().u(this.ja).h()) {
            com.ss.android.downloadlib.exception.q.zj().zj("handleDownload ModelBox !isStrictValid");
        }
        if (this.q.zj(getContext(), i2, this.cy)) {
            return;
        }
        boolean q2 = q(i2);
        if (i2 == 1) {
            if (q2) {
                return;
            }
            String str = zj;
            com.ss.android.downloadlib.utils.e.zj(str, "handleDownload id:" + this.ja + ",pIC:", null);
            q(true);
        } else if (i2 == 2 && !q2) {
            String str2 = zj;
            com.ss.android.downloadlib.utils.e.zj(str2, "handleDownload id:" + this.ja + ",pBC:", null);
            k(true);
        }
    }

    @Override // com.ss.android.downloadlib.addownload.d
    /* renamed from: zj */
    public u k(DownloadModel downloadModel) {
        if (downloadModel != null) {
            if (downloadModel.isAd()) {
                if (downloadModel.getId() <= 0 || TextUtils.isEmpty(downloadModel.getLogExtra())) {
                    com.ss.android.downloadlib.exception.q.zj().zj("setDownloadModel ad error");
                }
            } else if (downloadModel.getId() == 0 && (downloadModel instanceof AdDownloadModel)) {
                com.ss.android.downloadlib.exception.q.zj().zj(false, "setDownloadModel id=0");
                if (DownloadSetting.obtainGlobal().optBugFix("fix_model_id")) {
                    ((AdDownloadModel) downloadModel).setId(downloadModel.getDownloadUrl().hashCode());
                }
            }
            com.ss.android.downloadlib.addownload.model.d.zj().zj(downloadModel);
            this.ja = downloadModel.getId();
            this.a = downloadModel;
            if (kp.zj(downloadModel)) {
                ((AdDownloadModel) downloadModel).setExtraValue(3L);
                com.ss.android.downloadad.api.zj.k yo = com.ss.android.downloadlib.addownload.model.d.zj().yo(this.ja);
                if (yo != null && yo.x() != 3) {
                    yo.u(3L);
                    com.ss.android.downloadlib.addownload.model.kp.zj().zj(yo);
                }
            }
        }
        return this;
    }

    public void q(boolean z) {
        if (z) {
            AdEventHandler.zj().zj(this.ja, 1);
        }
        a();
    }

    @Override // com.ss.android.downloadlib.addownload.d
    public void kp() {
        com.ss.android.downloadlib.addownload.model.d.zj().d(this.ja);
    }

    public void k(boolean z) {
        u(z);
    }

    @Override // com.ss.android.downloadlib.addownload.d
    /* renamed from: zj */
    public u k(DownloadController downloadController) {
        JSONObject extra;
        this.pr = downloadController;
        if (com.ss.android.downloadlib.utils.yo.k(this.a).optInt("force_auto_open") == 1) {
            ja().setLinkMode(1);
        }
        if (DownloadSetting.obtainGlobal().optBugFix("fix_show_dialog") && (extra = this.a.getExtra()) != null && extra.optInt("subprocess") > 0) {
            ja().setEnableNewActivity(false);
        }
        com.ss.android.downloadlib.addownload.model.d.zj().zj(this.ja, ja());
        return this;
    }

    @Override // com.ss.android.downloadlib.addownload.d
    /* renamed from: zj */
    public u k(DownloadEventConfig downloadEventConfig) {
        this.w = downloadEventConfig;
        this.cy = x().getDownloadScene() == 0;
        com.ss.android.downloadlib.addownload.model.d.zj().zj(this.ja, x());
        return this;
    }

    @Override // com.ss.android.downloadlib.addownload.d
    public d zj(OnItemClickListener onItemClickListener) {
        if (onItemClickListener == null) {
            this.t = null;
        } else {
            this.t = new SoftReference<>(onItemClickListener);
        }
        return this;
    }

    @Override // com.ss.android.downloadlib.addownload.d
    public void zj() {
        this.f1798n = true;
        com.ss.android.downloadlib.addownload.model.d.zj().zj(this.ja, x());
        com.ss.android.downloadlib.addownload.model.d.zj().zj(this.ja, ja());
        this.q.zj(this.ja);
        pr();
        if (e.wy().optInt("enable_empty_listener", 1) == 1 && this.f1794d.get(Integer.MIN_VALUE) == null) {
            k(Integer.MIN_VALUE, new com.ss.android.download.api.config.zj());
        }
    }

    @Override // com.ss.android.downloadlib.addownload.d
    public boolean zj(int i2) {
        if (i2 == 0) {
            this.f1794d.clear();
        } else {
            this.f1794d.remove(Integer.valueOf(i2));
        }
        if (this.f1794d.isEmpty()) {
            this.f1798n = false;
            this.x = System.currentTimeMillis();
            if (this.kp != null) {
                Downloader.getInstance(e.getContext()).removeTaskMainListener(this.kp.getId());
            }
            q qVar = this.wy;
            if (qVar != null && qVar.getStatus() != AsyncTask.Status.FINISHED) {
                this.wy.cancel(true);
            }
            this.q.zj(this.kp);
            String str = zj;
            StringBuilder sb = new StringBuilder();
            sb.append("onUnbind removeCallbacksAndMessages, downloadUrl:");
            DownloadInfo downloadInfo = this.kp;
            sb.append(downloadInfo == null ? "" : downloadInfo.getUrl());
            com.ss.android.downloadlib.utils.e.zj(str, sb.toString(), null);
            this.f1797k.removeCallbacksAndMessages(null);
            this.om = null;
            this.kp = null;
            return true;
        }
        if (this.f1794d.size() == 1 && this.f1794d.containsKey(Integer.MIN_VALUE)) {
            this.q.k(this.kp);
        }
        return false;
    }

    @Override // com.ss.android.downloadlib.addownload.d
    public void zj(boolean z) {
        if (this.kp != null) {
            if (z) {
                com.ss.android.socialbase.appdownloader.q.yo k2 = com.ss.android.socialbase.appdownloader.yo.e().k();
                if (k2 != null) {
                    k2.zj(this.kp);
                }
                Downloader.getInstance(DownloadComponentManager.getAppContext()).cancel(this.kp.getId(), true);
                return;
            }
            Intent intent = new Intent(e.getContext(), DownloadHandlerService.class);
            intent.setAction("android.ss.intent.action.DOWNLOAD_DELETE");
            intent.putExtra("extra_click_download_ids", this.kp.getId());
            e.getContext().startService(intent);
        }
    }

    @Override // com.ss.android.downloadlib.addownload.d
    public d zj(long j2) {
        if (j2 != 0) {
            DownloadModel zj2 = com.ss.android.downloadlib.addownload.model.d.zj().zj(j2);
            if (zj2 != null) {
                this.a = zj2;
                this.ja = j2;
                this.q.zj(j2);
            }
        } else {
            com.ss.android.downloadlib.exception.q.zj().zj(false, "setModelId");
        }
        return this;
    }

    @Override // com.ss.android.downloadlib.utils.x.zj
    public void zj(Message message) {
        if (message != null && this.f1798n && message.what == 3) {
            this.kp = (DownloadInfo) message.obj;
            this.q.zj(message, t(), this.f1794d);
        }
    }

    public void zj(boolean z, final boolean z2) {
        if (z) {
            AdEventHandler.zj().zj(this.ja, 2);
        }
        if (!com.ss.android.downloadlib.utils.wy.k("android.permission.WRITE_EXTERNAL_STORAGE") && !ja().enableNewActivity()) {
            this.a.setFilePath(this.q.k());
        }
        if (com.ss.android.downloadlib.utils.yo.q(this.a) == 0) {
            com.ss.android.downloadlib.utils.e.zj(zj, "pBCD not start", null);
            this.q.zj(new i() { // from class: com.ss.android.downloadlib.addownload.u.4
                @Override // com.ss.android.download.api.config.i
                public void zj() {
                    com.ss.android.downloadlib.utils.e.zj(u.zj, "pBCD start download", null);
                    u.this.om(z2);
                }

                @Override // com.ss.android.download.api.config.i
                public void zj(String str) {
                    com.ss.android.downloadlib.utils.e.zj(u.zj, "pBCD onDenied", null);
                }
            });
            return;
        }
        om(z2);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void zj(int i2, int i3, @NonNull DownloadInfo downloadInfo) {
        if (DownloadSetting.obtainGlobal().optBugFix("fix_click_start")) {
            if (i3 != -3 && !DownloadProcessDispatcher.getInstance().canResume(i2)) {
                zj(false, false);
                return;
            } else {
                com.ss.android.socialbase.appdownloader.yo.e().zj(e.getContext(), i2, i3);
                return;
            }
        }
        com.ss.android.socialbase.appdownloader.yo.e().zj(e.getContext(), i2, i3);
    }

    private void zj(DownloadInfo downloadInfo) {
        Message obtain = Message.obtain();
        obtain.what = 3;
        obtain.obj = downloadInfo;
        this.f1797k.sendMessage(obtain);
    }

    @Override // com.ss.android.downloadlib.addownload.d
    public d zj(IDownloadButtonClickListener iDownloadButtonClickListener) {
        if (iDownloadButtonClickListener == null) {
            this.f1796i = null;
        } else {
            this.f1796i = new SoftReference<>(iDownloadButtonClickListener);
        }
        return this;
    }
}
