package com.ss.android.downloadlib.event;

import android.os.Build;
import androidx.annotation.NonNull;
import com.ss.android.download.api.download.DownloadController;
import com.ss.android.download.api.download.DownloadEventConfig;
import com.ss.android.download.api.download.DownloadModel;
import com.ss.android.download.api.model.k;
import com.ss.android.downloadad.api.download.AdDownloadModel;
import com.ss.android.downloadlib.addownload.e;
import com.ss.android.downloadlib.addownload.model.d;
import com.ss.android.downloadlib.addownload.model.kp;
import com.ss.android.downloadlib.constants.EventConstants;
import com.ss.android.downloadlib.exception.q;
import com.ss.android.downloadlib.utils.n;
import com.ss.android.downloadlib.utils.u;
import com.ss.android.socialbase.appdownloader.u.yo;
import com.ss.android.socialbase.downloader.exception.BaseException;
import com.ss.android.socialbase.downloader.model.DownloadInfo;
import com.ss.android.socialbase.downloader.utils.DownloadUtils;
import org.json.JSONException;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class AdEventHandler {

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public @interface EventType {
        public static final int CLICK_CONTINUE = 4;
        public static final int CLICK_INSTALL = 5;
        public static final int CLICK_PAUSE = 3;
        public static final int CLICK_START = 2;
        public static final int STORAGE_DENY = 1;
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class zj {
        public static AdEventHandler zj = new AdEventHandler();
    }

    public static AdEventHandler zj() {
        return zj.zj;
    }

    public void k(long j2, @EventType int i2) {
        zj(j2, i2, (DownloadInfo) null);
    }

    public AdEventHandler() {
    }

    public void k(DownloadInfo downloadInfo, BaseException baseException) {
        if (downloadInfo == null) {
            return;
        }
        com.ss.android.downloadad.api.zj.k zj2 = d.zj().zj(downloadInfo);
        if (zj2 == null) {
            q.zj().zj("sendDownloadFailedEvent nativeModel null");
        } else if (zj2.q.get()) {
        } else {
            JSONObject jSONObject = new JSONObject();
            try {
                u.q(downloadInfo, jSONObject);
                com.ss.android.downloadlib.zj.zj(jSONObject, downloadInfo);
                if (baseException != null) {
                    jSONObject.putOpt(EventConstants.ExtraJson.FAIL_STATUS, Integer.valueOf(baseException.getErrorCode()));
                    jSONObject.putOpt(EventConstants.ExtraJson.FAIL_MSG, baseException.getErrorMessage());
                    zj2.yo(baseException.getErrorCode());
                    zj2.zj(baseException.getErrorMessage());
                }
                zj2.h();
                jSONObject.put(EventConstants.ExtraJson.KEY_DOWNLOAD_FAILED_TIMES, zj2.iu());
                if (downloadInfo.getTotalBytes() > 0) {
                    double curBytes = downloadInfo.getCurBytes();
                    double totalBytes = downloadInfo.getTotalBytes();
                    Double.isNaN(curBytes);
                    Double.isNaN(totalBytes);
                    jSONObject.put("download_percent", curBytes / totalBytes);
                }
                int i2 = 1;
                jSONObject.put(EventConstants.ExtraJson.KEY_HAS_SEND_DOWNLOAD_FAILED_FINALLY, zj2.yo.get() ? 1 : 2);
                u.zj(zj2, jSONObject);
                if (!zj2.oi()) {
                    i2 = 2;
                }
                jSONObject.put(EventConstants.ExtraJson.KEY_IS_UPDATE_DOWNLOAD, i2);
            } catch (JSONException e2) {
                e2.printStackTrace();
            }
            zj(zj2.e(), EventConstants.Label.DOWNLOAD_FAILED, jSONObject, zj2);
            kp.zj().zj(zj2);
        }
    }

    public void zj(long j2, int i2) {
        com.ss.android.downloadlib.addownload.model.u u = d.zj().u(j2);
        if (u.iu()) {
            q.zj().zj("sendClickEvent ModelBox notValid");
        } else if (u.q.isEnableClickEvent()) {
            int i3 = 1;
            DownloadEventConfig downloadEventConfig = u.q;
            String clickItemTag = i2 == 1 ? downloadEventConfig.getClickItemTag() : downloadEventConfig.getClickButtonTag();
            String zj2 = n.zj(u.q.getClickLabel(), EventConstants.Label.CLICK);
            JSONObject jSONObject = new JSONObject();
            try {
                jSONObject.putOpt(EventConstants.ExtraJson.CLICK_TYPE, Integer.valueOf(i2));
                jSONObject.putOpt(EventConstants.ExtraJson.PERMISSION_NOTIFICATION, Integer.valueOf(yo.zj() ? 1 : 2));
                if (!DownloadUtils.isNetworkConnected(e.getContext())) {
                    i3 = 2;
                }
                jSONObject.putOpt(EventConstants.ExtraJson.NETWORK_AVAILABLE, Integer.valueOf(i3));
            } catch (JSONException e2) {
                e2.printStackTrace();
            }
            zj(clickItemTag, zj2, jSONObject, u);
            if (!EventConstants.Label.CLICK.equals(zj2) || u.f1781k == null) {
                return;
            }
            k.zj().zj(j2, u.f1781k.getLogExtra());
        }
    }

    public void zj(long j2, @EventType int i2, DownloadInfo downloadInfo) {
        com.ss.android.downloadlib.addownload.model.u u = d.zj().u(j2);
        if (u.iu()) {
            q.zj().zj("sendEvent ModelBox notValid");
            return;
        }
        String str = null;
        JSONObject jSONObject = new JSONObject();
        n.zj(jSONObject, EventConstants.ExtraJson.DOWNLOAD_SCENE, Integer.valueOf(u.i()));
        if (i2 == 1) {
            str = n.zj(u.q.getStorageDenyLabel(), EventConstants.Label.STORAGE_DENY);
        } else if (i2 == 2) {
            str = n.zj(u.q.getClickStartLabel(), EventConstants.Label.CLICK_START);
            u.zj(downloadInfo, jSONObject);
        } else if (i2 == 3) {
            str = n.zj(u.q.getClickPauseLabel(), EventConstants.Label.CLICK_PAUSE);
            u.k(downloadInfo, jSONObject);
        } else if (i2 == 4) {
            str = n.zj(u.q.getClickContinueLabel(), EventConstants.Label.CLICK_CONTINUE);
            u.q(downloadInfo, jSONObject);
        } else if (i2 == 5) {
            if (downloadInfo != null) {
                try {
                    u.zj(jSONObject, downloadInfo.getId());
                    com.ss.android.downloadlib.zj.k(jSONObject, downloadInfo);
                } catch (Throwable unused) {
                }
            }
            str = n.zj(u.q.getClickInstallLabel(), EventConstants.Label.CLICK_INSTALL);
        }
        zj(null, str, jSONObject, 0L, 1, u);
    }

    public void k(String str, com.ss.android.downloadad.api.zj.zj zjVar) {
        zj((String) null, str, zjVar);
    }

    public void k(String str, JSONObject jSONObject, com.ss.android.downloadad.api.zj.zj zjVar) {
        zj((String) null, str, jSONObject, zjVar);
    }

    public void zj(String str, int i2, com.ss.android.downloadlib.addownload.model.u uVar) {
        zj(null, str, null, i2, 0, uVar);
    }

    public void zj(long j2, boolean z, int i2) {
        com.ss.android.downloadlib.addownload.model.u u = d.zj().u(j2);
        if (u.iu()) {
            q.zj().zj("sendQuickAppEvent ModelBox notValid");
        } else if (u.f1781k.getQuickAppModel() == null) {
        } else {
            DownloadModel downloadModel = u.f1781k;
            if (downloadModel instanceof AdDownloadModel) {
                ((AdDownloadModel) downloadModel).setFunnelType(3);
            }
            JSONObject jSONObject = new JSONObject();
            try {
                jSONObject.putOpt(EventConstants.ExtraJson.CLICK_TYPE, Integer.valueOf(i2));
            } catch (JSONException e2) {
                e2.printStackTrace();
            }
            k(z ? EventConstants.Label.DEEPLINK_QUICKAPP_SUCCESS : EventConstants.Label.DEEPLINK_QUICKAPP_FAILED, jSONObject, u);
        }
    }

    public void zj(long j2, BaseException baseException) {
        com.ss.android.downloadlib.addownload.model.u u = d.zj().u(j2);
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.putOpt("download_time", 0);
            if (baseException != null) {
                jSONObject.putOpt(EventConstants.ExtraJson.FAIL_STATUS, Integer.valueOf(baseException.getErrorCode()));
                jSONObject.putOpt(EventConstants.ExtraJson.FAIL_MSG, baseException.getErrorMessage());
            }
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        k(EventConstants.Label.DOWNLOAD_FAILED, jSONObject, u);
    }

    public void zj(DownloadInfo downloadInfo) {
        com.ss.android.downloadad.api.zj.k zj2 = d.zj().zj(downloadInfo);
        if (zj2 == null) {
            return;
        }
        try {
            JSONObject jSONObject = new JSONObject();
            u.q(downloadInfo, jSONObject);
            zj2.zj(System.currentTimeMillis());
            zj(zj2.e(), EventConstants.Label.DOWNLOAD_RESUME, jSONObject, zj2);
            kp.zj().zj(zj2);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public void zj(JSONObject jSONObject, @NonNull com.ss.android.downloadad.api.zj.k kVar) {
        zj(kVar.e(), EventConstants.Label.INSTALL_FINISH, jSONObject, kVar);
    }

    public void zj(DownloadInfo downloadInfo, BaseException baseException) {
        com.ss.android.downloadad.api.zj.k zj2;
        if (downloadInfo == null || (zj2 = d.zj().zj(downloadInfo)) == null || zj2.q.get()) {
            return;
        }
        JSONObject jSONObject = new JSONObject();
        try {
            com.ss.android.downloadlib.zj.zj(jSONObject, downloadInfo);
            jSONObject.putOpt(EventConstants.ExtraJson.FAIL_STATUS, Integer.valueOf(zj2.pt()));
            jSONObject.putOpt(EventConstants.ExtraJson.FAIL_MSG, zj2.o());
            jSONObject.put(EventConstants.ExtraJson.KEY_DOWNLOAD_FAILED_TIMES, zj2.iu());
            if (downloadInfo.getTotalBytes() > 0) {
                double curBytes = downloadInfo.getCurBytes();
                double totalBytes = downloadInfo.getTotalBytes();
                Double.isNaN(curBytes);
                Double.isNaN(totalBytes);
                jSONObject.put("download_percent", curBytes / totalBytes);
            }
            jSONObject.put("download_status", downloadInfo.getRealStatus());
            long currentTimeMillis = System.currentTimeMillis();
            if (zj2.ks() > 0) {
                jSONObject.put(EventConstants.ExtraJson.KEY_TIME_FROM_START_DOWNLOAD, currentTimeMillis - zj2.ks());
            }
            if (zj2.lj() > 0) {
                jSONObject.put(EventConstants.ExtraJson.KEY_TIME_FROM_DOWNLOAD_RESUME, currentTimeMillis - zj2.lj());
            }
            int i2 = 1;
            jSONObject.put(EventConstants.ExtraJson.KEY_IS_UPDATE_DOWNLOAD, zj2.oi() ? 1 : 2);
            jSONObject.put(EventConstants.ExtraJson.KEY_CAN_SHOW_NOTIFICATION, yo.zj() ? 1 : 2);
            if (!zj2.yo.get()) {
                i2 = 2;
            }
            jSONObject.put(EventConstants.ExtraJson.KEY_HAS_SEND_DOWNLOAD_FAILED_FINALLY, i2);
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        zj(zj2.e(), EventConstants.Label.DOWNLOAD_CANCEL, jSONObject, zj2);
    }

    public void zj(String str, com.ss.android.downloadad.api.zj.zj zjVar) {
        zj(str, (JSONObject) null, zjVar);
    }

    public void zj(String str, JSONObject jSONObject, long j2) {
        com.ss.android.downloadad.api.zj.zj yo = d.zj().yo(j2);
        if (yo != null) {
            zj(str, jSONObject, yo);
            return;
        }
        com.ss.android.downloadlib.addownload.model.u u = d.zj().u(j2);
        if (u.iu()) {
            q.zj().zj("sendUnityEvent ModelBox notValid");
        } else {
            zj(str, jSONObject, u);
        }
    }

    public void zj(String str, JSONObject jSONObject, com.ss.android.downloadad.api.zj.zj zjVar) {
        JSONObject jSONObject2 = new JSONObject();
        n.zj(jSONObject2, EventConstants.ExtraJson.UNITY_LABEL, str);
        zj(EventConstants.Tag.EMBEDED_AD, EventConstants.Label.UNITY, n.zj(jSONObject, jSONObject2), zjVar);
    }

    public void zj(String str, @NonNull DownloadModel downloadModel, @NonNull DownloadEventConfig downloadEventConfig, @NonNull DownloadController downloadController) {
        k(str, new com.ss.android.downloadlib.addownload.model.u(downloadModel.getId(), downloadModel, downloadEventConfig, downloadController));
    }

    public void zj(String str, long j2) {
        com.ss.android.downloadad.api.zj.k yo = d.zj().yo(j2);
        if (yo != null) {
            k(str, yo);
        } else {
            k(str, d.zj().u(j2));
        }
    }

    public void zj(String str, String str2, com.ss.android.downloadad.api.zj.zj zjVar) {
        zj(str, str2, (JSONObject) null, zjVar);
    }

    public void zj(String str, String str2, JSONObject jSONObject, com.ss.android.downloadad.api.zj.zj zjVar) {
        zj(str, str2, jSONObject, 0L, 0, zjVar);
    }

    private void zj(String str, String str2, JSONObject jSONObject, long j2, int i2, com.ss.android.downloadad.api.zj.zj zjVar) {
        if (zjVar == null) {
            q.zj().zj("onEvent data null");
        } else if ((zjVar instanceof com.ss.android.downloadlib.addownload.model.u) && ((com.ss.android.downloadlib.addownload.model.u) zjVar).iu()) {
            q.zj().zj("onEvent ModelBox notValid");
        } else {
            try {
                k.zj q = new k.zj().zj(n.zj(str, zjVar.e(), EventConstants.Tag.EMBEDED_AD)).k(str2).k(zjVar.q()).zj(zjVar.k()).q(zjVar.yo());
                if (j2 <= 0) {
                    j2 = zjVar.x();
                }
                k.zj zj2 = q.k(j2).yo(zjVar.wy()).zj(zjVar.a()).zj(n.zj(zj(zjVar), jSONObject)).k(zjVar.n()).zj(zjVar.w());
                if (i2 <= 0) {
                    i2 = 2;
                }
                zj(zj2.zj(i2).zj(zjVar.ja()).zj());
            } catch (Exception e2) {
                q.zj().zj(e2, "onEvent");
            }
        }
    }

    private JSONObject zj(com.ss.android.downloadad.api.zj.zj zjVar) {
        JSONObject jSONObject = new JSONObject();
        try {
            n.zj(zjVar.om(), jSONObject);
            n.zj(zjVar.pr(), jSONObject);
            jSONObject.putOpt(EventConstants.ExtraJson.DOWNLOAD_URL, zjVar.zj());
            jSONObject.putOpt("package_name", zjVar.u());
            jSONObject.putOpt(EventConstants.ExtraJson.ANDROID_INT, Integer.valueOf(Build.VERSION.SDK_INT));
            jSONObject.putOpt(EventConstants.ExtraJson.ROM_NAME, com.ss.android.socialbase.appdownloader.d.yo.om());
            jSONObject.putOpt(EventConstants.ExtraJson.ROM_VERSION, com.ss.android.socialbase.appdownloader.d.yo.kp());
            jSONObject.putOpt(EventConstants.ExtraJson.TTDOWNLOADER, 1);
            jSONObject.putOpt(EventConstants.ExtraJson.FUNNEL_TYPE, Integer.valueOf(zjVar.kp()));
            if (zjVar.kp() == 2) {
                u.k(jSONObject, zjVar);
            }
        } catch (Exception e2) {
            e.s().zj(e2, "getBaseJson");
        }
        return jSONObject;
    }

    private void zj(com.ss.android.download.api.model.k kVar) {
        if (e.zj() == null) {
            return;
        }
        if (kVar.ja()) {
            e.zj().zj(kVar);
        } else {
            e.zj().k(kVar);
        }
    }
}
