package com.ss.android.downloadlib.guide.install;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PaintFlagsDrawFilter;
import android.graphics.Path;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.widget.ImageView;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class ClipImageView extends ImageView {

    /* renamed from: k  reason: collision with root package name */
    public Path f1821k;
    public RectF q;
    public float[] u;
    public Paint yo;
    public boolean zj;

    public ClipImageView(Context context) {
        super(context);
        this.zj = true;
        zj(context);
    }

    @Override // android.widget.ImageView, android.view.View
    public void onDraw(Canvas canvas) {
        if (this.zj) {
            this.f1821k.reset();
            this.q.set(0.0f, 0.0f, getWidth(), getHeight());
            float[] fArr = this.u;
            if (fArr != null) {
                this.f1821k.addRoundRect(this.q, fArr, Path.Direction.CW);
            }
            canvas.setDrawFilter(new PaintFlagsDrawFilter(0, 3));
            canvas.clipPath(this.f1821k);
            Paint paint = this.yo;
            if (paint != null) {
                canvas.drawPath(this.f1821k, paint);
            }
        }
        super.onDraw(canvas);
    }

    @Override // android.view.View
    public void setBackgroundColor(int i2) {
        Paint paint = new Paint(1);
        this.yo = paint;
        paint.setStyle(Paint.Style.FILL);
        this.yo.setColor(i2);
    }

    public void setClip(boolean z) {
        this.zj = z;
    }

    public void setRadius(float[] fArr) {
        if (fArr == null || fArr.length != 8) {
            return;
        }
        this.u = fArr;
    }

    public void setRoundRadius(int i2) {
        if (i2 > 0) {
            float f2 = i2;
            setRadius(new float[]{f2, f2, f2, f2, f2, f2, f2, f2});
        }
    }

    public void zj(Context context) {
        this.f1821k = new Path();
        this.q = new RectF();
    }

    public ClipImageView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.zj = true;
        zj(context);
    }

    public ClipImageView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.zj = true;
        zj(context);
    }
}
