package com.ss.android.downloadlib;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.net.Uri;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import com.ss.android.download.api.config.IDownloadButtonClickListener;
import com.ss.android.download.api.constant.BaseConstants;
import com.ss.android.download.api.download.DownloadController;
import com.ss.android.download.api.download.DownloadEventConfig;
import com.ss.android.download.api.download.DownloadModel;
import com.ss.android.download.api.download.DownloadStatusChangeListener;
import com.ss.android.download.api.model.DownloadAlertDialogInfo;
import com.ss.android.downloadad.api.download.AdDownloadController;
import com.ss.android.downloadad.api.download.AdDownloadEventConfig;
import com.ss.android.downloadad.api.download.AdDownloadModel;
import com.ss.android.downloadlib.addownload.e;
import com.ss.android.downloadlib.addownload.model.OpenAppResult;
import com.ss.android.downloadlib.constants.EventConstants;
import com.ss.android.downloadlib.event.AdEventHandler;
import com.ss.android.downloadlib.exception.k;
import com.ss.android.downloadlib.utils.n;
import com.ss.android.socialbase.downloader.setting.DownloadSetting;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class k implements com.ss.android.downloadad.api.k {

    /* renamed from: k  reason: collision with root package name */
    public static volatile k f1822k = null;
    public static String zj = "k";
    public kp q = kp.zj(e.getContext());

    public static DownloadEventConfig q() {
        return new AdDownloadEventConfig.Builder().setClickButtonTag(EventConstants.Tag.LANDING_H5_DOWNLOAD_AD_BUTTON).setClickItemTag(EventConstants.Tag.LANDING_H5_DOWNLOAD_AD_BUTTON).setClickStartLabel("click_start_detail").setClickPauseLabel("click_pause_detail").setClickContinueLabel("click_continue_detail").setClickInstallLabel("click_install_detail").setClickOpenLabel("click_open_detail").setStorageDenyLabel("storage_deny_detail").setDownloadScene(1).setIsEnableClickEvent(false).setIsEnableNoChargeClickEvent(true).setIsEnableV3Event(false).build();
    }

    public Dialog k(Context context, String str, boolean z, final DownloadModel downloadModel, DownloadEventConfig downloadEventConfig, DownloadController downloadController, DownloadStatusChangeListener downloadStatusChangeListener, int i2, boolean z2, IDownloadButtonClickListener iDownloadButtonClickListener) {
        if (zj(downloadModel.getId())) {
            if (z2) {
                zj(downloadModel.getId(), downloadEventConfig, downloadController);
            } else {
                k(downloadModel.getId());
            }
            return null;
        } else if (context == null || TextUtils.isEmpty(downloadModel.getDownloadUrl())) {
            return null;
        } else {
            this.q.zj(context, i2, downloadStatusChangeListener, downloadModel);
            boolean z3 = true;
            final DownloadEventConfig downloadEventConfig2 = (DownloadEventConfig) n.zj(downloadEventConfig, q());
            final DownloadController downloadController2 = (DownloadController) n.zj(downloadController, k());
            downloadEventConfig2.setDownloadScene(1);
            boolean z4 = (e.wy().optInt("disable_lp_dialog", 0) == 1) | z;
            if (!downloadController2.enableShowComplianceDialog() || !com.ss.android.downloadlib.addownload.compliance.k.zj().zj(downloadModel)) {
                z3 = z4;
            }
            if (z3) {
                this.q.zj(downloadModel.getDownloadUrl(), downloadModel.getId(), 2, downloadEventConfig2, downloadController2, iDownloadButtonClickListener);
                return null;
            }
            String str2 = zj;
            com.ss.android.downloadlib.utils.e.zj(str2, "tryStartDownload show dialog appName:" + downloadModel.getDownloadUrl(), null);
            Dialog k2 = e.q().k(new DownloadAlertDialogInfo.zj(context).zj(downloadModel.getName()).k("确认要下载此应用吗？").q("确认").yo("取消").zj(new DownloadAlertDialogInfo.k() { // from class: com.ss.android.downloadlib.k.2
                @Override // com.ss.android.download.api.model.DownloadAlertDialogInfo.k
                public void k(DialogInterface dialogInterface) {
                    AdEventHandler.zj().zj(EventConstants.Label.LP_DOWNLOAD_DIALOG_CANCEL, downloadModel, downloadEventConfig2, downloadController2);
                    dialogInterface.dismiss();
                }

                @Override // com.ss.android.download.api.model.DownloadAlertDialogInfo.k
                public void q(DialogInterface dialogInterface) {
                    AdEventHandler.zj().zj(EventConstants.Label.LP_DOWNLOAD_DIALOG_CANCEL, downloadModel, downloadEventConfig2, downloadController2);
                }

                @Override // com.ss.android.download.api.model.DownloadAlertDialogInfo.k
                public void zj(DialogInterface dialogInterface) {
                    k.this.q.zj(downloadModel.getDownloadUrl(), downloadModel.getId(), 2, downloadEventConfig2, downloadController2);
                    AdEventHandler.zj().zj(EventConstants.Label.LP_DOWNLOAD_DIALOG_CONFIRM, downloadModel, downloadEventConfig2, downloadController2);
                    dialogInterface.dismiss();
                }
            }).zj(0).zj());
            AdEventHandler.zj().zj(EventConstants.Label.LP_DOWNLOAD_DIALOG_SHOW, downloadModel, downloadEventConfig2, downloadController2);
            return k2;
        }
    }

    public static k zj() {
        if (f1822k == null) {
            synchronized (k.class) {
                if (f1822k == null) {
                    f1822k = new k();
                }
            }
        }
        return f1822k;
    }

    @Override // com.ss.android.downloadad.api.k
    public Dialog zj(Context context, String str, boolean z, @NonNull DownloadModel downloadModel, DownloadEventConfig downloadEventConfig, DownloadController downloadController, DownloadStatusChangeListener downloadStatusChangeListener, int i2) {
        return zj(context, str, z, downloadModel, downloadEventConfig, downloadController, downloadStatusChangeListener, i2, false);
    }

    @Override // com.ss.android.downloadad.api.k
    public Dialog zj(Context context, String str, boolean z, @NonNull DownloadModel downloadModel, DownloadEventConfig downloadEventConfig, DownloadController downloadController, DownloadStatusChangeListener downloadStatusChangeListener, int i2, IDownloadButtonClickListener iDownloadButtonClickListener) {
        return zj(context, str, z, downloadModel, downloadEventConfig, downloadController, downloadStatusChangeListener, i2, false, iDownloadButtonClickListener);
    }

    public Dialog zj(Context context, String str, boolean z, @NonNull DownloadModel downloadModel, DownloadEventConfig downloadEventConfig, DownloadController downloadController, DownloadStatusChangeListener downloadStatusChangeListener, int i2, boolean z2) {
        return zj(context, str, z, downloadModel, downloadEventConfig, downloadController, downloadStatusChangeListener, i2, z2, null);
    }

    public Dialog zj(final Context context, final String str, final boolean z, @NonNull final DownloadModel downloadModel, final DownloadEventConfig downloadEventConfig, final DownloadController downloadController, final DownloadStatusChangeListener downloadStatusChangeListener, final int i2, final boolean z2, final IDownloadButtonClickListener iDownloadButtonClickListener) {
        return (Dialog) com.ss.android.downloadlib.exception.k.zj(new k.zj<Dialog>() { // from class: com.ss.android.downloadlib.k.1
            @Override // com.ss.android.downloadlib.exception.k.zj
            /* renamed from: zj */
            public Dialog k() {
                return k.this.k(context, str, z, downloadModel, downloadEventConfig, downloadController, downloadStatusChangeListener, i2, z2, iDownloadButtonClickListener);
            }
        });
    }

    @Override // com.ss.android.downloadad.api.k
    public boolean zj(Context context, long j2, String str, DownloadStatusChangeListener downloadStatusChangeListener, int i2) {
        com.ss.android.downloadad.api.zj.k yo = com.ss.android.downloadlib.addownload.model.d.zj().yo(j2);
        if (yo != null) {
            this.q.zj(context, i2, downloadStatusChangeListener, yo.nt());
            return true;
        }
        DownloadModel zj2 = com.ss.android.downloadlib.addownload.model.d.zj().zj(j2);
        if (zj2 != null) {
            this.q.zj(context, i2, downloadStatusChangeListener, zj2);
            return true;
        }
        return false;
    }

    @Override // com.ss.android.downloadad.api.k
    public boolean zj(long j2, int i2) {
        DownloadModel zj2 = com.ss.android.downloadlib.addownload.model.d.zj().zj(j2);
        if (zj2 != null) {
            this.q.zj(zj2.getDownloadUrl(), i2);
            return true;
        }
        return false;
    }

    public void zj(long j2, DownloadEventConfig downloadEventConfig, DownloadController downloadController) {
        DownloadModel zj2 = com.ss.android.downloadlib.addownload.model.d.zj().zj(j2);
        com.ss.android.downloadad.api.zj.k yo = com.ss.android.downloadlib.addownload.model.d.zj().yo(j2);
        if (zj2 == null && yo != null) {
            zj2 = yo.nt();
        }
        if (zj2 == null) {
            return;
        }
        if (downloadEventConfig != null && downloadController != null && !(downloadEventConfig instanceof com.ss.android.download.api.download.q) && !(downloadController instanceof com.ss.android.download.api.download.k)) {
            downloadEventConfig.setDownloadScene(1);
            this.q.zj(zj2.getDownloadUrl(), j2, 2, downloadEventConfig, downloadController);
            return;
        }
        k(j2);
    }

    public void k(long j2) {
        DownloadModel zj2 = com.ss.android.downloadlib.addownload.model.d.zj().zj(j2);
        com.ss.android.downloadad.api.zj.k yo = com.ss.android.downloadlib.addownload.model.d.zj().yo(j2);
        if (zj2 == null && yo != null) {
            zj2 = yo.nt();
        }
        if (zj2 == null) {
            return;
        }
        DownloadEventConfig k2 = com.ss.android.downloadlib.addownload.model.d.zj().k(j2);
        DownloadController q = com.ss.android.downloadlib.addownload.model.d.zj().q(j2);
        if (k2 instanceof com.ss.android.download.api.download.q) {
            k2 = null;
        }
        if (q instanceof com.ss.android.download.api.download.k) {
            q = null;
        }
        if (yo == null) {
            if (k2 == null) {
                k2 = q();
            }
            if (q == null) {
                q = k();
            }
        } else {
            if (k2 == null) {
                k2 = new AdDownloadEventConfig.Builder().setClickButtonTag(yo.e()).setRefer(yo.wy()).setIsEnableV3Event(yo.ja()).setIsEnableClickEvent(false).setClickStartLabel("click_start_detail").setClickPauseLabel("click_pause_detail").setClickContinueLabel("click_continue_detail").setClickInstallLabel("click_install_detail").setStorageDenyLabel("storage_deny_detail").build();
            }
            if (q == null) {
                q = yo.l();
            }
        }
        DownloadEventConfig downloadEventConfig = k2;
        downloadEventConfig.setDownloadScene(1);
        this.q.zj(zj2.getDownloadUrl(), j2, 2, downloadEventConfig, q);
    }

    @Override // com.ss.android.downloadad.api.k
    public boolean zj(long j2) {
        return (com.ss.android.downloadlib.addownload.model.d.zj().zj(j2) == null && com.ss.android.downloadlib.addownload.model.d.zj().yo(j2) == null) ? false : true;
    }

    @Override // com.ss.android.downloadad.api.k
    public boolean zj(Context context, Uri uri, DownloadModel downloadModel, DownloadEventConfig downloadEventConfig, DownloadController downloadController) {
        return zj(context, uri, downloadModel, downloadEventConfig, downloadController, null);
    }

    @Override // com.ss.android.downloadad.api.k
    public boolean zj(final Context context, final Uri uri, final DownloadModel downloadModel, final DownloadEventConfig downloadEventConfig, final DownloadController downloadController, final IDownloadButtonClickListener iDownloadButtonClickListener) {
        return ((Boolean) com.ss.android.downloadlib.exception.k.zj(new k.zj<Boolean>() { // from class: com.ss.android.downloadlib.k.3
            @Override // com.ss.android.downloadlib.exception.k.zj
            /* renamed from: zj */
            public Boolean k() {
                return Boolean.valueOf(k.this.k(context, uri, downloadModel, downloadEventConfig, downloadController, iDownloadButtonClickListener));
            }
        })).booleanValue();
    }

    public static DownloadController zj(boolean z) {
        AdDownloadController.Builder shouldUseNewWebView = new AdDownloadController.Builder().setLinkMode(0).setIsEnableBackDialog(true).setIsEnableMultipleDownload(false).setShouldUseNewWebView(false);
        if (z) {
            shouldUseNewWebView.setDownloadMode(2);
        } else {
            shouldUseNewWebView.setDownloadMode(0);
        }
        return shouldUseNewWebView.build();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean k(Context context, Uri uri, DownloadModel downloadModel, DownloadEventConfig downloadEventConfig, DownloadController downloadController, IDownloadButtonClickListener iDownloadButtonClickListener) {
        DownloadController downloadController2 = downloadController;
        if (com.ss.android.download.api.q.zj.zj(uri) && e.wy().optInt("disable_market") != 1) {
            Context context2 = context == null ? e.getContext() : context;
            String k2 = com.ss.android.download.api.q.zj.k(uri);
            if (downloadModel == null) {
                return com.ss.android.downloadlib.utils.kp.zj(context2, k2).getType() == 5;
            }
            if (!TextUtils.isEmpty(k2) && (downloadModel instanceof AdDownloadModel)) {
                ((AdDownloadModel) downloadModel).setPackageName(k2);
            }
            if (downloadController2 != null) {
                downloadController2.setDownloadMode(2);
            } else if ((downloadModel instanceof AdDownloadModel) && TextUtils.isEmpty(downloadModel.getDownloadUrl())) {
                ((AdDownloadModel) downloadModel).setDownloadUrl(uri.toString());
                downloadController2 = zj(true);
            } else if (downloadModel.getDownloadUrl().startsWith(BaseConstants.SCHEME_MARKET)) {
                downloadController2 = zj(true);
            } else {
                downloadController2 = k();
            }
            com.ss.android.downloadlib.addownload.model.u uVar = new com.ss.android.downloadlib.addownload.model.u(downloadModel.getId(), downloadModel, (DownloadEventConfig) n.zj(downloadEventConfig, q()), downloadController2);
            com.ss.android.downloadlib.addownload.model.d.zj().zj(uVar.f1781k);
            com.ss.android.downloadlib.addownload.model.d.zj().zj(uVar.zj, uVar.q);
            com.ss.android.downloadlib.addownload.model.d.zj().zj(uVar.zj, uVar.yo);
            if (n.zj(downloadModel) && DownloadSetting.obtainGlobal().optInt("app_link_opt") == 1 && com.ss.android.downloadlib.k.zj.zj(uVar)) {
                return true;
            }
            JSONObject jSONObject = new JSONObject();
            n.zj(jSONObject, EventConstants.ExtraJson.MARKET_URL, uri.toString());
            n.zj(jSONObject, EventConstants.ExtraJson.DOWNLOAD_SCENE, (Object) 1);
            AdEventHandler.zj().k(EventConstants.Label.MARKET_CLICK_OPEN, jSONObject, uVar);
            OpenAppResult zj2 = com.ss.android.downloadlib.utils.kp.zj(context2, uVar, k2);
            String zj3 = n.zj(zj2.k(), EventConstants.AppLinkSource.OPEN_MARKET);
            if (zj2.getType() == 5) {
                com.ss.android.downloadlib.k.zj.zj(zj3, jSONObject, uVar, true);
                return true;
            } else if (zj2.getType() == 6) {
                n.zj(jSONObject, "error_code", Integer.valueOf(zj2.zj()));
                AdEventHandler.zj().k(EventConstants.Label.MARKET_OPEN_FAILED, jSONObject, uVar);
                if (com.ss.android.downloadlib.addownload.kp.zj(downloadModel, iDownloadButtonClickListener)) {
                    iDownloadButtonClickListener.handleMarketFailedComplianceDialog();
                }
                return false;
            } else {
                return true;
            }
        }
        return false;
    }

    public static DownloadController k() {
        return zj(false);
    }
}
