package com.ss.android.downloadlib;

import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import androidx.annotation.Nullable;
import com.ss.android.download.api.config.IDownloadButtonClickListener;
import com.ss.android.download.api.config.OnItemClickListener;
import com.ss.android.download.api.download.DownloadController;
import com.ss.android.download.api.download.DownloadEventConfig;
import com.ss.android.download.api.download.DownloadModel;
import com.ss.android.download.api.download.DownloadStatusChangeListener;
import com.ss.android.socialbase.downloader.exception.BaseException;
import com.ss.android.socialbase.downloader.model.DownloadInfo;
import com.ss.android.socialbase.downloader.setting.DownloadSetting;
import java.lang.ref.SoftReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArrayList;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class om {
    public static volatile om zj;

    /* renamed from: d  reason: collision with root package name */
    public long f1849d;
    public final List<com.ss.android.downloadlib.addownload.d> q = new CopyOnWriteArrayList();
    public final Map<String, com.ss.android.downloadlib.addownload.d> yo = new ConcurrentHashMap();
    public final CopyOnWriteArrayList<Object> u = new CopyOnWriteArrayList<>();

    /* renamed from: k  reason: collision with root package name */
    public final Handler f1850k = new Handler(Looper.getMainLooper());

    private synchronized void k(Context context, int i2, DownloadStatusChangeListener downloadStatusChangeListener, DownloadModel downloadModel) {
        if (this.q.size() <= 0) {
            q(context, i2, downloadStatusChangeListener, downloadModel);
        } else {
            com.ss.android.downloadlib.addownload.d remove = this.q.remove(0);
            remove.k(context).k(i2, downloadStatusChangeListener).k(downloadModel).zj();
            this.yo.put(downloadModel.getDownloadUrl(), remove);
        }
    }

    private void q(Context context, int i2, DownloadStatusChangeListener downloadStatusChangeListener, DownloadModel downloadModel) {
        if (downloadModel == null) {
            return;
        }
        com.ss.android.downloadlib.addownload.u uVar = new com.ss.android.downloadlib.addownload.u();
        uVar.k(context).k(i2, downloadStatusChangeListener).k(downloadModel).zj();
        this.yo.put(downloadModel.getDownloadUrl(), uVar);
    }

    private void yo() {
        long currentTimeMillis = System.currentTimeMillis();
        ArrayList arrayList = new ArrayList();
        for (com.ss.android.downloadlib.addownload.d dVar : this.q) {
            if (!dVar.k() && currentTimeMillis - dVar.yo() > 300000) {
                dVar.kp();
                arrayList.add(dVar);
            }
        }
        if (arrayList.isEmpty()) {
            return;
        }
        this.q.removeAll(arrayList);
    }

    public static om zj() {
        if (zj == null) {
            synchronized (om.class) {
                if (zj == null) {
                    zj = new om();
                }
            }
        }
        return zj;
    }

    private void q() {
        long currentTimeMillis = System.currentTimeMillis();
        if (currentTimeMillis - this.f1849d < 300000) {
            return;
        }
        this.f1849d = currentTimeMillis;
        if (this.q.isEmpty()) {
            return;
        }
        yo();
    }

    public void zj(Context context, int i2, DownloadStatusChangeListener downloadStatusChangeListener, DownloadModel downloadModel) {
        if (downloadModel == null || TextUtils.isEmpty(downloadModel.getDownloadUrl())) {
            return;
        }
        com.ss.android.downloadlib.addownload.d dVar = this.yo.get(downloadModel.getDownloadUrl());
        if (dVar != null) {
            dVar.k(context).k(i2, downloadStatusChangeListener).k(downloadModel).zj();
        } else if (!this.q.isEmpty()) {
            k(context, i2, downloadStatusChangeListener, downloadModel);
        } else {
            q(context, i2, downloadStatusChangeListener, downloadModel);
        }
    }

    public void k(final DownloadInfo downloadInfo, final String str) {
        this.f1850k.post(new Runnable() { // from class: com.ss.android.downloadlib.om.4
            @Override // java.lang.Runnable
            public void run() {
                Iterator it = om.this.u.iterator();
                while (it.hasNext()) {
                    Object next = it.next();
                    if (next instanceof com.ss.android.download.api.download.zj.zj) {
                        ((com.ss.android.download.api.download.zj.zj) next).k(downloadInfo, str);
                    } else if (next instanceof SoftReference) {
                        SoftReference softReference = (SoftReference) next;
                        if (softReference.get() instanceof com.ss.android.download.api.download.zj.zj) {
                            ((com.ss.android.download.api.download.zj.zj) softReference.get()).k(downloadInfo, str);
                        }
                    }
                }
            }
        });
    }

    public Handler k() {
        return this.f1850k;
    }

    public com.ss.android.downloadlib.addownload.u zj(String str) {
        Map<String, com.ss.android.downloadlib.addownload.d> map = this.yo;
        if (map != null && map.size() != 0 && !TextUtils.isEmpty(str)) {
            com.ss.android.downloadlib.addownload.d dVar = this.yo.get(str);
            if (dVar instanceof com.ss.android.downloadlib.addownload.u) {
                return (com.ss.android.downloadlib.addownload.u) dVar;
            }
        }
        return null;
    }

    public void zj(String str, int i2) {
        com.ss.android.downloadlib.addownload.d dVar;
        if (TextUtils.isEmpty(str) || (dVar = this.yo.get(str)) == null) {
            return;
        }
        if (dVar.zj(i2)) {
            this.q.add(dVar);
            this.yo.remove(str);
        }
        q();
    }

    public void zj(String str, boolean z) {
        com.ss.android.downloadlib.addownload.d dVar;
        if (TextUtils.isEmpty(str) || (dVar = this.yo.get(str)) == null) {
            return;
        }
        dVar.zj(z);
    }

    public void zj(String str, long j2, int i2, DownloadEventConfig downloadEventConfig, DownloadController downloadController) {
        zj(str, j2, i2, downloadEventConfig, downloadController, null, null);
    }

    public void zj(String str, long j2, int i2, DownloadEventConfig downloadEventConfig, DownloadController downloadController, IDownloadButtonClickListener iDownloadButtonClickListener) {
        zj(str, j2, i2, downloadEventConfig, downloadController, null, iDownloadButtonClickListener);
    }

    public void zj(String str, long j2, int i2, DownloadEventConfig downloadEventConfig, DownloadController downloadController, OnItemClickListener onItemClickListener, IDownloadButtonClickListener iDownloadButtonClickListener) {
        com.ss.android.downloadlib.addownload.d dVar;
        if (TextUtils.isEmpty(str) || (dVar = this.yo.get(str)) == null) {
            return;
        }
        dVar.zj(j2).k(downloadEventConfig).k(downloadController).zj(onItemClickListener).zj(iDownloadButtonClickListener).k(i2);
    }

    public void zj(com.ss.android.download.api.download.zj.zj zjVar) {
        if (zjVar != null) {
            if (DownloadSetting.obtainGlobal().optBugFix("fix_listener_oom", false)) {
                this.u.add(new SoftReference(zjVar));
            } else {
                this.u.add(zjVar);
            }
        }
    }

    public void zj(final DownloadModel downloadModel, @Nullable final DownloadController downloadController, @Nullable final DownloadEventConfig downloadEventConfig) {
        this.f1850k.post(new Runnable() { // from class: com.ss.android.downloadlib.om.1
            @Override // java.lang.Runnable
            public void run() {
                Iterator it = om.this.u.iterator();
                while (it.hasNext()) {
                    Object next = it.next();
                    if (next instanceof com.ss.android.download.api.download.zj.zj) {
                        ((com.ss.android.download.api.download.zj.zj) next).zj(downloadModel, downloadController, downloadEventConfig);
                    } else if (next instanceof SoftReference) {
                        SoftReference softReference = (SoftReference) next;
                        if (softReference.get() instanceof com.ss.android.download.api.download.zj.zj) {
                            ((com.ss.android.download.api.download.zj.zj) softReference.get()).zj(downloadModel, downloadController, downloadEventConfig);
                        }
                    }
                }
            }
        });
    }

    public void zj(final DownloadInfo downloadInfo, final BaseException baseException, final String str) {
        this.f1850k.post(new Runnable() { // from class: com.ss.android.downloadlib.om.2
            @Override // java.lang.Runnable
            public void run() {
                Iterator it = om.this.u.iterator();
                while (it.hasNext()) {
                    Object next = it.next();
                    if (next instanceof com.ss.android.download.api.download.zj.zj) {
                        ((com.ss.android.download.api.download.zj.zj) next).zj(downloadInfo, baseException, str);
                    } else if (next instanceof SoftReference) {
                        SoftReference softReference = (SoftReference) next;
                        if (softReference.get() instanceof com.ss.android.download.api.download.zj.zj) {
                            ((com.ss.android.download.api.download.zj.zj) softReference.get()).zj(downloadInfo, baseException, str);
                        }
                    }
                }
            }
        });
    }

    public void zj(final DownloadInfo downloadInfo, final String str) {
        this.f1850k.post(new Runnable() { // from class: com.ss.android.downloadlib.om.3
            @Override // java.lang.Runnable
            public void run() {
                Iterator it = om.this.u.iterator();
                while (it.hasNext()) {
                    Object next = it.next();
                    if (next instanceof com.ss.android.download.api.download.zj.zj) {
                        ((com.ss.android.download.api.download.zj.zj) next).zj(downloadInfo, str);
                    } else if (next instanceof SoftReference) {
                        SoftReference softReference = (SoftReference) next;
                        if (softReference.get() instanceof com.ss.android.download.api.download.zj.zj) {
                            ((com.ss.android.download.api.download.zj.zj) softReference.get()).zj(downloadInfo, str);
                        }
                    }
                }
            }
        });
    }

    public void zj(final DownloadInfo downloadInfo) {
        this.f1850k.post(new Runnable() { // from class: com.ss.android.downloadlib.om.5
            @Override // java.lang.Runnable
            public void run() {
                Iterator it = om.this.u.iterator();
                while (it.hasNext()) {
                    Object next = it.next();
                    if (next instanceof com.ss.android.download.api.download.zj.zj) {
                        ((com.ss.android.download.api.download.zj.zj) next).zj(downloadInfo);
                    } else if (next instanceof SoftReference) {
                        SoftReference softReference = (SoftReference) next;
                        if (softReference.get() instanceof com.ss.android.download.api.download.zj.zj) {
                            ((com.ss.android.download.api.download.zj.zj) softReference.get()).zj(downloadInfo);
                        }
                    }
                }
            }
        });
    }
}
