package com.ss.android.downloadlib;

import android.os.Environment;
import android.os.Handler;
import android.os.Looper;
import androidx.annotation.NonNull;
import com.ss.android.download.api.download.DownloadModel;
import com.ss.android.downloadlib.constants.EventConstants;
import com.ss.android.downloadlib.event.AdEventHandler;
import com.ss.android.downloadlib.utils.e;
import com.ss.android.downloadlib.utils.n;
import com.ss.android.socialbase.downloader.common.AppStatusManager;
import com.ss.android.socialbase.downloader.exception.BaseException;
import com.ss.android.socialbase.downloader.model.DownloadInfo;
import com.ss.android.socialbase.downloader.setting.DownloadSetting;
import com.ss.android.socialbase.downloader.setting.DownloadSettingKeys;
import com.ss.android.socialbase.downloader.utils.DownloadUtils;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class q implements com.ss.android.socialbase.appdownloader.q.kp {
    public static String zj = "q";

    /* renamed from: k  reason: collision with root package name */
    public Handler f1856k = new Handler(Looper.getMainLooper());

    @Override // com.ss.android.socialbase.appdownloader.q.kp
    public void zj(DownloadInfo downloadInfo, BaseException baseException, int i2) {
        final DownloadModel zj2;
        if (downloadInfo == null) {
            return;
        }
        if (i2 == -1 && baseException != null) {
            JSONObject jSONObject = new JSONObject();
            com.ss.android.downloadlib.utils.u.q(downloadInfo, jSONObject);
            zj.zj(jSONObject, downloadInfo);
            e.zj(EventConstants.Label.DOWNLOAD_FAILED, jSONObject.toString());
        }
        com.ss.android.downloadad.api.zj.k zj3 = com.ss.android.downloadlib.addownload.model.d.zj().zj(downloadInfo);
        if (zj3 == null) {
            return;
        }
        try {
            if (i2 != -1) {
                if (i2 == -3) {
                    zj.zj(downloadInfo, zj3);
                    return;
                } else if (i2 == 2001) {
                    zj.zj().zj(downloadInfo, zj3, 2001);
                    return;
                } else if (i2 == 11) {
                    zj.zj().zj(downloadInfo, zj3, 2000);
                    if (zj3.ee()) {
                        return;
                    }
                    zj(downloadInfo, zj3);
                    return;
                } else {
                    return;
                }
            }
            BaseException baseException2 = null;
            if (baseException != null) {
                if (DownloadSetting.obtain(downloadInfo.getId()).optInt("toast_without_network", 0) == 1 && baseException.getErrorCode() == 1049) {
                    this.f1856k.post(new Runnable() { // from class: com.ss.android.downloadlib.q.1
                        @Override // java.lang.Runnable
                        public void run() {
                            com.ss.android.downloadlib.addownload.e.q().zj(5, com.ss.android.downloadlib.addownload.e.getContext(), null, "无网络，请检查网络设置", null, 0);
                        }
                    });
                }
                if (DownloadUtils.isInsufficientSpaceError(baseException)) {
                    if (com.ss.android.downloadlib.addownload.e.x() != null) {
                        com.ss.android.downloadlib.addownload.e.x().zj(zj3.k());
                    }
                    AdEventHandler.zj().zj(EventConstants.UnityLabel.DOWNLOAD_FAILED_FOR_SPACE, zj3);
                    if (!zj3.iq()) {
                        AdEventHandler.zj().zj(EventConstants.UnityLabel.DOWNLOAD_CAN_RESTART, zj3);
                        zj(downloadInfo);
                    }
                    if ((com.ss.android.downloadlib.addownload.e.x() == null || !com.ss.android.downloadlib.addownload.e.x().yo()) && (zj2 = com.ss.android.downloadlib.addownload.model.d.zj().zj(zj3.k())) != null && zj2.isShowToast()) {
                        final DownloadSetting obtain = DownloadSetting.obtain(downloadInfo.getId());
                        if (obtain.optInt("show_no_enough_space_toast", 0) == 1) {
                            this.f1856k.post(new Runnable() { // from class: com.ss.android.downloadlib.q.2
                                @Override // java.lang.Runnable
                                public void run() {
                                    com.ss.android.downloadlib.addownload.e.q().zj(2, com.ss.android.downloadlib.addownload.e.getContext(), zj2, obtain.optString("no_enough_space_toast_text", "您的存储空间不足，请清理后再试"), null, 0);
                                }
                            });
                        }
                    }
                }
                baseException2 = new BaseException(baseException.getErrorCode(), n.zj(baseException.getMessage(), com.ss.android.downloadlib.addownload.e.wy().optInt(DownloadSettingKeys.KEY_EXCEPTION_MSG_LENGTH, 500)));
            }
            AdEventHandler.zj().k(downloadInfo, baseException2);
            om.zj().zj(downloadInfo, baseException, "");
        } catch (Exception e2) {
            com.ss.android.downloadlib.addownload.e.s().zj(e2, "onAppDownloadMonitorSend");
        }
    }

    private void zj(final DownloadInfo downloadInfo, final com.ss.android.downloadad.api.zj.k kVar) {
        final long zj2 = n.zj(Environment.getDataDirectory(), -1L);
        long min = Math.min(524288000L, n.zj(Environment.getDataDirectory()) / 10);
        final long totalBytes = downloadInfo.getTotalBytes();
        double d2 = min;
        double d3 = totalBytes;
        Double.isNaN(d3);
        Double.isNaN(d2);
        final double d4 = (d3 * 2.5d) + d2;
        if (zj2 > -1 && totalBytes > -1) {
            double d5 = zj2;
            if (d5 < d4) {
                Double.isNaN(d5);
                if (d4 - d5 > com.ss.android.downloadlib.addownload.yo.k()) {
                    com.ss.android.downloadlib.addownload.yo.zj(downloadInfo.getId());
                }
            }
        }
        AppStatusManager.getInstance().registerAppSwitchListener(new AppStatusManager.AppStatusChangeListener() { // from class: com.ss.android.downloadlib.q.3
            @Override // com.ss.android.socialbase.downloader.common.AppStatusManager.AppStatusChangeListener
            public void onAppBackground() {
            }

            @Override // com.ss.android.socialbase.downloader.common.AppStatusManager.AppStatusChangeListener
            public void onAppForeground() {
                if (!n.k(kVar)) {
                    long j2 = zj2;
                    if (j2 <= -1 || totalBytes <= -1 || j2 >= d4) {
                        return;
                    }
                    AdEventHandler.zj().zj(EventConstants.UnityLabel.CLEAN_SPACE_INSTALL, com.ss.android.downloadlib.addownload.yo.zj("install_no_enough_space"), kVar);
                    if (com.ss.android.downloadlib.addownload.yo.zj(downloadInfo, ((long) d4) - zj2)) {
                        AppStatusManager.getInstance().unregisterAppSwitchListener(this);
                        kVar.om(true);
                        return;
                    }
                    return;
                }
                AppStatusManager.getInstance().unregisterAppSwitchListener(this);
            }
        });
    }

    private void zj(@NonNull DownloadInfo downloadInfo) {
        if (com.ss.android.downloadlib.utils.yo.d(downloadInfo.getId())) {
            yo.zj().k(new com.ss.android.downloadlib.addownload.k.k(downloadInfo));
        }
    }
}
