package com.ss.android.socialbase.appdownloader;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.provider.Settings;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.core.provider.FontsContractCompat;
import com.bumptech.glide.load.engine.GlideException;
import com.joke.chongya.basecommons.view.loading.util.VectorCommand;
import com.ss.android.download.api.constant.BaseConstants;
import com.ss.android.socialbase.appdownloader.view.JumpUnknownSourceActivity;
import com.ss.android.socialbase.downloader.common.AppStatusManager;
import com.ss.android.socialbase.downloader.constants.DbJsonConstants;
import com.ss.android.socialbase.downloader.constants.DownloadConstants;
import com.ss.android.socialbase.downloader.constants.MonitorConstants;
import com.ss.android.socialbase.downloader.constants.SpJsonConstants;
import com.ss.android.socialbase.downloader.downloader.DownloadComponentManager;
import com.ss.android.socialbase.downloader.downloader.Downloader;
import com.ss.android.socialbase.downloader.model.DownloadInfo;
import com.ss.android.socialbase.downloader.setting.DownloadSetting;
import com.ss.android.socialbase.downloader.setting.DownloadSettingKeys;
import com.ss.android.socialbase.downloader.thread.WeakDownloadHandler;
import com.ss.android.socialbase.downloader.utils.DownloadExpSwitchCode;
import io.reactivex.annotations.SchedulerSupport;
import java.io.File;
import java.io.IOException;
import java.util.concurrent.Callable;
import java.util.concurrent.Future;
import org.json.JSONArray;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class k {

    /* renamed from: k  reason: collision with root package name */
    public static q f1921k = null;
    public static zj q = null;
    public static final String zj = "k";

    /* compiled from: AAA */
    /* renamed from: com.ss.android.socialbase.appdownloader.k$k  reason: collision with other inner class name */
    /* loaded from: classes3.dex */
    public interface InterfaceC0211k {
        boolean zj(@NonNull Context context);
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface q {
        void zj(DownloadInfo downloadInfo, com.ss.android.socialbase.appdownloader.zj zjVar);
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class u implements WeakDownloadHandler.IHandler {

        /* renamed from: k  reason: collision with root package name */
        public static int f1922k;
        public static int zj;

        /* renamed from: d  reason: collision with root package name */
        public final Handler f1923d;
        public Future<Boolean> kp;
        public final long om;
        public final Context q;
        public final InterfaceC0211k u;
        public boolean wy = false;
        public final Intent yo;

        public u(Context context, Intent intent, int i2, InterfaceC0211k interfaceC0211k, long j2) {
            this.q = context;
            this.yo = intent;
            f1922k = i2;
            this.u = interfaceC0211k;
            this.f1923d = new WeakDownloadHandler(Looper.getMainLooper(), this);
            this.om = j2;
        }

        @Override // com.ss.android.socialbase.downloader.thread.WeakDownloadHandler.IHandler
        public void handleMsg(Message message) {
            if (message != null) {
                int i2 = message.what;
                if (i2 == 1) {
                    long j2 = this.om;
                    if (j2 <= 0 || j2 > 10000) {
                        return;
                    }
                    zj = 1;
                    this.kp = DownloadComponentManager.getCPUThreadExecutor().submit(new yo(this.f1923d, this.q, this.u, this.om));
                } else if (i2 == 2) {
                    zj = 2;
                    this.f1923d.removeMessages(2);
                    this.f1923d.removeMessages(1);
                    Future<Boolean> future = this.kp;
                    if (future != null) {
                        future.cancel(true);
                    }
                    if (!this.wy && (Build.VERSION.SDK_INT < 29 || AppStatusManager.getInstance().isAppForeground())) {
                        Intent intent = this.yo;
                        if (intent != null) {
                            k.k(this.q, intent);
                        } else {
                            DownloadInfo downloadInfo = Downloader.getInstance(this.q).getDownloadInfo(f1922k);
                            if (downloadInfo != null && downloadInfo.isDownloadOverStatus()) {
                                com.ss.android.socialbase.appdownloader.q.k(this.q, f1922k, false);
                            }
                        }
                        this.wy = true;
                    }
                    k.k(f1922k, this.yo == null, k.zj(this.q));
                }
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class yo implements Callable<Boolean> {

        /* renamed from: k  reason: collision with root package name */
        public final InterfaceC0211k f1924k;
        public final Handler q;
        public final long yo;
        public final Context zj;

        public yo(Handler handler, Context context, InterfaceC0211k interfaceC0211k, long j2) {
            this.zj = context;
            this.f1924k = interfaceC0211k;
            this.q = handler;
            this.yo = j2;
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // java.util.concurrent.Callable
        public Boolean call() throws Exception {
            if (this.f1924k != null && this.yo > 0 && this.yo <= 10000) {
                Context context = this.zj;
                boolean zj = context != null ? this.f1924k.zj(context) : false;
                Message obtain = Message.obtain();
                if (zj) {
                    obtain.what = 2;
                    this.q.sendMessage(obtain);
                } else {
                    obtain.what = 1;
                    this.q.sendMessageDelayed(obtain, this.yo);
                }
                return false;
            }
            return false;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class zj implements AppStatusManager.AppStatusChangeListener {

        /* renamed from: k  reason: collision with root package name */
        public final int f1925k;
        public JSONObject q;
        public final u zj;

        public zj(Context context, Intent intent, int i2, JSONObject jSONObject, InterfaceC0211k interfaceC0211k) {
            this.q = jSONObject;
            int optInt = jSONObject.optInt(DownloadSettingKeys.AhPlans.KEY_JUMP_UNKNWON_SOURCE_QUERY_INTERVAL, 1000);
            this.f1925k = optInt;
            this.zj = new u(context, intent, i2, interfaceC0211k, optInt);
        }

        @Override // com.ss.android.socialbase.downloader.common.AppStatusManager.AppStatusChangeListener
        public void onAppBackground() {
            int optInt = this.q.optInt(DownloadSettingKeys.AhPlans.KEY_JUMP_UNKNWON_SOURCE_WAIT_TIME_OUT, 20);
            Message obtain = Message.obtain();
            obtain.what = 1;
            this.zj.f1923d.sendMessage(obtain);
            if (optInt <= 0 || optInt >= 60) {
                return;
            }
            Message obtain2 = Message.obtain();
            obtain2.what = 2;
            this.zj.f1923d.sendMessageDelayed(obtain2, optInt * 1000);
        }

        @Override // com.ss.android.socialbase.downloader.common.AppStatusManager.AppStatusChangeListener
        public void onAppForeground() {
            if (!this.zj.wy) {
                Message obtain = Message.obtain();
                obtain.what = 2;
                this.zj.f1923d.sendMessage(obtain);
            }
            AppStatusManager.getInstance().unregisterAppSwitchListener(this);
            zj unused = k.q = null;
        }
    }

    @RequiresApi(api = 26)
    public static boolean u(Context context) {
        if (context == null) {
            return true;
        }
        try {
            return context.getPackageManager().canRequestPackageInstalls();
        } catch (Throwable unused) {
            return true;
        }
    }

    public static boolean yo(Context context) {
        if (context == null) {
            return true;
        }
        try {
            return Settings.Secure.getInt(context.getContentResolver(), "install_non_market_apps", 1) > 0;
        } catch (Throwable unused) {
            return true;
        }
    }

    public static boolean k(Context context, @NonNull DownloadInfo downloadInfo, JSONObject jSONObject, @NonNull com.ss.android.socialbase.appdownloader.zj zjVar) {
        if (context != null && jSONObject != null) {
            String savePath = downloadInfo.getSavePath();
            if (TextUtils.isEmpty(savePath)) {
                return false;
            }
            zjVar.yo = SchedulerSupport.CUSTOM;
            com.ss.android.socialbase.appdownloader.zj.zj zj2 = com.ss.android.socialbase.appdownloader.zj.yo.zj(context, SchedulerSupport.CUSTOM, jSONObject, downloadInfo);
            if (zj2 != null && zj2.zj()) {
                Intent k2 = zj2.k();
                if (k2 == null) {
                    return false;
                }
                if (zj(new File(savePath), downloadInfo, jSONObject)) {
                    if (k(context, k2)) {
                        zjVar.f1955k = 0;
                        return true;
                    }
                    zjVar.f1955k = 1;
                } else {
                    zjVar.f1955k = 6;
                }
                return false;
            }
            zjVar.f1955k = 3;
        }
        return false;
    }

    public static void q(int i2, JSONObject jSONObject) {
        int i3 = 1;
        boolean z = jSONObject.optInt(DownloadSettingKeys.AhPlans.KEY_ALLOW_UNKNOWN_SOURCE_ON_STARTUP) == 1;
        JSONObject jSONObject2 = new JSONObject();
        if (!z) {
            i3 = 2;
        }
        try {
            jSONObject2.put("scene", i3);
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        DownloadComponentManager.getEventListener().onUnityEvent(i2, MonitorConstants.UnityLabel.GUIDE_AUTH_OPEN_SETTING, jSONObject2);
    }

    public static void yo(int i2, JSONObject jSONObject) {
        int i3 = 1;
        boolean z = jSONObject.optInt(DownloadSettingKeys.AhPlans.KEY_ALLOW_UNKNOWN_SOURCE_ON_STARTUP) == 1;
        JSONObject jSONObject2 = new JSONObject();
        if (!z) {
            i3 = 2;
        }
        try {
            jSONObject2.put("scene", i3);
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        DownloadComponentManager.getEventListener().onUnityEvent(i2, MonitorConstants.UnityLabel.GUIDE_AUTH_DIALOG_SHOW, jSONObject2);
    }

    public static boolean zj(Context context, DownloadInfo downloadInfo, Intent intent, boolean z) {
        JSONArray optJSONArray = DownloadSetting.obtain(downloadInfo.getId()).optJSONArray(DownloadSettingKeys.KEY_AH_PLANS);
        if (optJSONArray != null) {
            int length = optJSONArray.length();
            for (int i2 = 0; i2 < length; i2++) {
                JSONObject optJSONObject = optJSONArray.optJSONObject(i2);
                if (com.ss.android.socialbase.appdownloader.d.zj.zj(optJSONObject) && zj(context, downloadInfo, intent, optJSONObject, z)) {
                    return true;
                }
            }
            return false;
        }
        return false;
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    public static boolean zj(Context context, DownloadInfo downloadInfo, Intent intent, JSONObject jSONObject, boolean z) {
        char c2;
        com.ss.android.socialbase.appdownloader.zj zj2;
        boolean zj3;
        boolean z2 = false;
        if (jSONObject != null && downloadInfo != null) {
            com.ss.android.socialbase.appdownloader.zj zjVar = new com.ss.android.socialbase.appdownloader.zj();
            String optString = jSONObject.optString("type");
            if (!TextUtils.isEmpty(optString)) {
                DownloadSetting obtain = DownloadSetting.obtain(downloadInfo);
                zjVar.zj = optString;
                switch (optString.hashCode()) {
                    case -985763637:
                        if (optString.equals("plan_a")) {
                            c2 = 0;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -985763636:
                        if (optString.equals("plan_b")) {
                            c2 = 3;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -985763635:
                        if (optString.equals("plan_c")) {
                            c2 = 7;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -985763634:
                        if (optString.equals("plan_d")) {
                            c2 = 4;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -985763633:
                        if (optString.equals("plan_e")) {
                            c2 = 1;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -985763632:
                        if (optString.equals("plan_f")) {
                            c2 = 2;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -985763631:
                        if (optString.equals("plan_g")) {
                            c2 = 5;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -985763630:
                        if (optString.equals("plan_h")) {
                            c2 = 6;
                            break;
                        }
                        c2 = 65535;
                        break;
                    default:
                        c2 = 65535;
                        break;
                }
                switch (c2) {
                    case 0:
                    case 1:
                        if (!downloadInfo.isSavePathRedirected()) {
                            zjVar.f1955k = downloadInfo.getAntiHijackErrorCode(-1);
                            break;
                        }
                    case 2:
                        zj2 = zj(jSONObject, obtain);
                        if (zj2.f1955k == 0) {
                            if (optString.equals("plan_f") && TextUtils.isEmpty(downloadInfo.getDBJsonString(DbJsonConstants.CONTENT_URI))) {
                                zjVar.f1955k = downloadInfo.getAntiHijackErrorCode(10);
                                break;
                            } else {
                                zj3 = zj(context, downloadInfo, jSONObject, zjVar);
                                z2 = zj3;
                                break;
                            }
                        }
                        zjVar = zj2;
                        break;
                    case 3:
                        zj2 = zj(jSONObject, obtain);
                        if (zj2.f1955k == 0) {
                            if (!downloadInfo.isSavePathRedirected()) {
                                zjVar.f1955k = downloadInfo.getAntiHijackErrorCode(-1);
                                break;
                            } else {
                                zj3 = k(context, downloadInfo, jSONObject, zjVar);
                                z2 = zj3;
                                break;
                            }
                        }
                        zjVar = zj2;
                        break;
                    case 4:
                        zjVar.zj = "plan_d";
                        if (!com.ss.android.socialbase.appdownloader.d.yo.q()) {
                            zjVar.f1955k = 2;
                            break;
                        } else {
                            try {
                                com.ss.android.socialbase.appdownloader.q.zj(context, intent);
                                zjVar.f1955k = 0;
                                z2 = true;
                                break;
                            } catch (Throwable th) {
                                zjVar.f1955k = 4;
                                zjVar.q = th.toString();
                                break;
                            }
                        }
                    case 5:
                        zj2 = k(jSONObject, obtain);
                        if (zj2.f1955k == 0) {
                            zj3 = zj(context, downloadInfo, jSONObject, zjVar, obtain);
                            z2 = zj3;
                            break;
                        }
                        zjVar = zj2;
                        break;
                    case 6:
                        String zj4 = com.ss.android.socialbase.appdownloader.d.q.zj(obtain.optString("bh"), obtain.optString("s"));
                        com.ss.android.socialbase.appdownloader.zj zj5 = zj(jSONObject, zj4, context, obtain);
                        if (zj5.f1955k == 0) {
                            String packageName = context.getPackageName();
                            if (com.ss.android.socialbase.appdownloader.d.zj.zj(DownloadSetting.getGlobalSettings(), context, zj4)) {
                                try {
                                    com.ss.android.socialbase.appdownloader.q.zj(context, intent);
                                    zjVar.f1955k = 0;
                                    z2 = true;
                                    break;
                                } catch (Throwable th2) {
                                    try {
                                        zjVar.f1955k = 1;
                                        zjVar.q = th2.toString();
                                        break;
                                    } finally {
                                        com.ss.android.socialbase.appdownloader.d.zj.zj(DownloadSetting.getGlobalSettings(), context, packageName);
                                    }
                                }
                            } else {
                                zjVar.f1955k = 11;
                                break;
                            }
                        } else {
                            zjVar = zj5;
                            break;
                        }
                    case 7:
                        if (Build.VERSION.SDK_INT >= 26 || com.ss.android.socialbase.appdownloader.d.yo.k()) {
                            if ((jSONObject.optInt(DownloadSettingKeys.AhPlans.KEY_JUMP_UNKNOWN_SOURCE_ENABLE_FOR_ALL, 0) == 1) || z) {
                                if (!(jSONObject.optInt(DownloadSettingKeys.AhPlans.KEY_ALLOW_UNKNOWN_SOURCE_ON_STARTUP) == 1)) {
                                    zj3 = zj(context, intent, jSONObject, downloadInfo.getId(), zjVar);
                                    z2 = zj3;
                                    break;
                                }
                            }
                        }
                        break;
                }
                if (z2) {
                    downloadInfo.getTempCacheData().put("ah_attempt", zjVar.zj());
                }
                if (f1921k != null) {
                    downloadInfo.getTempCacheData().put("intent", intent);
                    f1921k.zj(downloadInfo, zjVar);
                }
            }
        }
        return z2;
    }

    public static com.ss.android.socialbase.appdownloader.zj k(JSONObject jSONObject, DownloadSetting downloadSetting) {
        com.ss.android.socialbase.appdownloader.zj zjVar = new com.ss.android.socialbase.appdownloader.zj();
        if (jSONObject == null) {
            return zjVar;
        }
        zjVar.zj = jSONObject.optString("type");
        zjVar.u = "vbi";
        if (com.ss.android.socialbase.appdownloader.zj.yo.zj(DownloadComponentManager.getAppContext(), "vbi", jSONObject, downloadSetting)) {
            zjVar.f1955k = 0;
        } else {
            zj(zjVar, 3);
        }
        return zjVar;
    }

    public static void k(int i2, JSONObject jSONObject) {
        int i3 = 1;
        boolean z = jSONObject.optInt(DownloadSettingKeys.AhPlans.KEY_ALLOW_UNKNOWN_SOURCE_ON_STARTUP) == 1;
        JSONObject jSONObject2 = new JSONObject();
        if (!z) {
            i3 = 2;
        }
        try {
            jSONObject2.put("scene", i3);
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        DownloadComponentManager.getEventListener().onUnityEvent(i2, MonitorConstants.UnityLabel.GUIDE_AUTH_DIALOG_CANCEL, jSONObject2);
    }

    public static void k(int i2, boolean z, boolean z2) {
        JSONObject jSONObject = new JSONObject();
        int i3 = 1;
        try {
            jSONObject.put("scene", z ? 1 : 2);
            if (!z2) {
                i3 = 2;
            }
            jSONObject.put(FontsContractCompat.Columns.RESULT_CODE, i3);
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        DownloadComponentManager.getEventListener().onUnityEvent(i2, MonitorConstants.UnityLabel.GUIDE_AUTH_RESULT, jSONObject);
    }

    public static boolean k(Context context, Intent intent) {
        return zj(context, intent, true);
    }

    public static boolean zj(Context context, @NonNull DownloadInfo downloadInfo, JSONObject jSONObject, @NonNull com.ss.android.socialbase.appdownloader.zj zjVar, DownloadSetting downloadSetting) {
        boolean z;
        String optString = jSONObject.optString("type");
        zjVar.zj = optString;
        Intent k2 = com.ss.android.socialbase.appdownloader.zj.yo.zj(context, "vbi", jSONObject, downloadInfo).k();
        StringBuilder sb = new StringBuilder();
        try {
            z = k(context, k2);
        } catch (Throwable th) {
            sb.append(optString);
            sb.append(" startActivity failed : ");
            sb.append(zj(th));
            zj(zjVar, 1);
            z = false;
        }
        if (!z) {
            zjVar.q = sb.toString();
        } else {
            zjVar.f1955k = 0;
        }
        return true;
    }

    public static boolean zj(Context context, DownloadInfo downloadInfo, JSONObject jSONObject, com.ss.android.socialbase.appdownloader.zj zjVar) {
        boolean z;
        if (context != null && jSONObject != null) {
            String optString = jSONObject.optString(DownloadSettingKeys.AhPlans.KEY_AH_DEVICE_PLANS);
            zjVar.u = optString;
            if (!TextUtils.isEmpty(optString)) {
                String[] split = optString.split(VectorCommand.SVG_ARG_DELIMITER);
                String savePath = downloadInfo.getSavePath();
                if (TextUtils.isEmpty(savePath)) {
                    return false;
                }
                File file = new File(savePath);
                StringBuilder sb = new StringBuilder();
                String str = null;
                int length = split.length;
                int i2 = 0;
                while (true) {
                    z = true;
                    if (i2 >= length) {
                        z = false;
                        break;
                    }
                    String str2 = split[i2];
                    com.ss.android.socialbase.appdownloader.zj.zj zj2 = com.ss.android.socialbase.appdownloader.zj.yo.zj(context, str2, jSONObject, downloadInfo);
                    if (zj2 != null) {
                        Intent k2 = zj2.k();
                        if (k2 != null) {
                            if (zj(file, downloadInfo, jSONObject)) {
                                try {
                                    zj(context, k2, false);
                                    str = str2;
                                    break;
                                } catch (Throwable th) {
                                    sb.append(str2);
                                    sb.append(" startActivity failed : ");
                                    sb.append(zj(th));
                                    zj(zjVar, 1);
                                }
                            } else {
                                zj(zjVar, 6);
                                sb.append(str2);
                                sb.append(" createDescFile failed! ");
                            }
                        } else {
                            zj(zjVar, 3);
                            sb.append(str2);
                            sb.append(" resolveActivity failed! ");
                        }
                    }
                    sb.append(GlideException.IndentedAppendable.INDENT);
                    i2++;
                }
                if (!z) {
                    zjVar.q = sb.toString();
                } else {
                    zjVar.yo = str;
                    zjVar.f1955k = 0;
                }
                return z;
            }
        }
        return false;
    }

    public static int zj(@NonNull DownloadSetting downloadSetting) {
        JSONObject optJSONObject = downloadSetting.optJSONObject(DownloadSettingKeys.KEY_ANTI_HIJACK_DIR);
        if (optJSONObject != null ? !TextUtils.isEmpty(optJSONObject.optString(DownloadSettingKeys.AntiHijackDir.KEY_ANTI_HIJACK_DIR_NAME)) : false) {
            if (DownloadSetting.obtainGlobal().optBugFix(DownloadSettingKeys.BugFix.BUGFIX_GET_DOWNLOAD_INFO_BY_LIST)) {
                JSONArray optJSONArray = downloadSetting.optJSONArray(DownloadSettingKeys.KEY_AH_PLANS);
                int i2 = -1;
                if (optJSONArray != null) {
                    int length = optJSONArray.length();
                    for (int i3 = 0; i3 < length; i3++) {
                        JSONObject optJSONObject2 = optJSONArray.optJSONObject(i3);
                        if (com.ss.android.socialbase.appdownloader.d.zj.zj(optJSONObject2)) {
                            String optString = optJSONObject2.optString("type");
                            if (!"plan_a".equals(optString) && !"plan_b".equals(optString) && !"plan_e".equals(optString) && !"plan_f".equals(optString)) {
                                if ("plan_d".equalsIgnoreCase(optString) || "plan_h".equalsIgnoreCase(optString) || ("plan_g".equalsIgnoreCase(optString) && (i2 = k(optJSONObject2, downloadSetting).f1955k) == 0)) {
                                    return 0;
                                }
                            } else {
                                i2 = zj(optJSONObject2, downloadSetting).f1955k;
                                if (i2 == 0) {
                                    return 0;
                                }
                            }
                        }
                    }
                }
                return i2;
            }
            return 4;
        }
        return 5;
    }

    @NonNull
    public static com.ss.android.socialbase.appdownloader.zj zj(JSONObject jSONObject, DownloadSetting downloadSetting) {
        com.ss.android.socialbase.appdownloader.zj zjVar = new com.ss.android.socialbase.appdownloader.zj();
        if (jSONObject == null) {
            return zjVar;
        }
        String optString = jSONObject.optString("type");
        zjVar.zj = optString;
        if ("plan_b".equals(optString)) {
            zjVar.u = SchedulerSupport.CUSTOM;
            if (com.ss.android.socialbase.appdownloader.zj.yo.zj(DownloadComponentManager.getAppContext(), SchedulerSupport.CUSTOM, jSONObject, downloadSetting)) {
                zjVar.f1955k = 0;
                return zjVar;
            }
            zj(zjVar, 3);
        } else {
            String optString2 = jSONObject.optString(DownloadSettingKeys.AhPlans.KEY_AH_DEVICE_PLANS);
            zjVar.u = optString2;
            if (!TextUtils.isEmpty(optString2)) {
                for (String str : optString2.split(VectorCommand.SVG_ARG_DELIMITER)) {
                    if (com.ss.android.socialbase.appdownloader.zj.yo.zj(DownloadComponentManager.getAppContext(), str, jSONObject, downloadSetting)) {
                        zjVar.f1955k = 0;
                        return zjVar;
                    }
                    zj(zjVar, 3);
                }
            }
        }
        return zjVar;
    }

    public static com.ss.android.socialbase.appdownloader.zj zj(JSONObject jSONObject, String str, Context context, DownloadSetting downloadSetting) {
        com.ss.android.socialbase.appdownloader.zj zjVar = new com.ss.android.socialbase.appdownloader.zj();
        if (jSONObject != null && com.ss.android.socialbase.appdownloader.d.yo.k()) {
            zjVar.zj = jSONObject.optString("type");
            if (downloadSetting.optInt("bi", 0) == 1) {
                zjVar.f1955k = 0;
                return zjVar;
            } else if (zj(context)) {
                zjVar.f1955k = 2;
            } else if (com.ss.android.socialbase.appdownloader.d.zj.zj(str) != null) {
                zjVar.f1955k = 0;
            } else {
                zjVar.f1955k = 9;
            }
        }
        return zjVar;
    }

    public static void zj(com.ss.android.socialbase.appdownloader.zj zjVar, int i2) {
        int i3 = zjVar.f1955k;
        if (i3 != -1) {
            zjVar.f1955k = (i3 * 10) + i2;
        } else {
            zjVar.f1955k = i2;
        }
    }

    public static boolean zj(File file, DownloadInfo downloadInfo, @NonNull JSONObject jSONObject) {
        if (file == null) {
            return false;
        }
        String path = file.getPath();
        JSONObject optJSONObject = DownloadSetting.obtain(downloadInfo.getId()).optJSONObject(DownloadSettingKeys.KEY_ANTI_HIJACK_DIR);
        File file2 = null;
        String optString = optJSONObject != null ? optJSONObject.optString(DownloadSettingKeys.AntiHijackDir.KEY_ANTI_HIJACK_INSTALL_DESC) : null;
        if (!TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString)) {
            file2 = new File(path + File.separator + optString);
        }
        if (file2 != null) {
            try {
                if (file2.createNewFile()) {
                    file2.deleteOnExit();
                    return true;
                }
                return true;
            } catch (IOException unused) {
                return false;
            }
        }
        return true;
    }

    public static boolean zj(Context context, @Nullable Intent intent, JSONObject jSONObject, int i2, @Nullable com.ss.android.socialbase.appdownloader.zj zjVar) {
        if (context != null && jSONObject != null) {
            long optLong = jSONObject.optLong(DownloadSettingKeys.AhPlans.KEY_JUMP_INTERVAL, 0L);
            if (optLong <= 0) {
                return false;
            }
            SharedPreferences sharedPreferences = context.getSharedPreferences(DownloadConstants.SP_ANTI_HIJACK_CONFIG, 0);
            if ((System.currentTimeMillis() - sharedPreferences.getLong(SpJsonConstants.KEY_LAST_JUMP_UNKNOWN_SOURCE_TIME, 0L)) / 60000 >= optLong && !zj(context)) {
                sharedPreferences.edit().putLong(SpJsonConstants.KEY_LAST_JUMP_UNKNOWN_SOURCE_TIME, System.currentTimeMillis()).apply();
                if (jSONObject.optInt(DownloadSettingKeys.AhPlans.KEY_SHOW_UNKNOWN_SOURCE_DIALOG, 0) == 1) {
                    Intent intent2 = new Intent(context, JumpUnknownSourceActivity.class);
                    intent2.addFlags(DownloadExpSwitchCode.BUGFIX_GETPACKAGEINFO_BY_UNZIP);
                    intent2.putExtra("intent", intent);
                    intent2.putExtra("config", jSONObject.toString());
                    intent2.putExtra("id", i2);
                    try {
                        if (zj(context, intent2, false)) {
                            yo(i2, jSONObject);
                        }
                        return true;
                    } catch (Throwable th) {
                        if (zjVar != null) {
                            zjVar.f1955k = 1;
                            zjVar.q = "tryShowUnknownSourceDialog" + zj(th);
                        }
                        return false;
                    }
                }
                if (zj(context, intent, i2, jSONObject)) {
                    q(i2, jSONObject);
                }
                return true;
            }
        }
        return false;
    }

    public static boolean zj(Context context, @Nullable Intent intent, int i2, JSONObject jSONObject) {
        try {
            if (com.ss.android.socialbase.appdownloader.d.yo.k() && Build.VERSION.SDK_INT < 26 && !yo(context)) {
                com.ss.android.socialbase.appdownloader.zj.d dVar = new com.ss.android.socialbase.appdownloader.zj.d(context);
                if (dVar.zj()) {
                    zj(context, intent, i2, jSONObject, new InterfaceC0211k() { // from class: com.ss.android.socialbase.appdownloader.k.1
                        @Override // com.ss.android.socialbase.appdownloader.k.InterfaceC0211k
                        public boolean zj(@NonNull Context context2) {
                            return k.yo(context2);
                        }
                    });
                    return k(context, dVar.k());
                }
            } else if (Build.VERSION.SDK_INT >= 26 && context.getApplicationInfo().targetSdkVersion >= 26 && !u(context)) {
                com.ss.android.socialbase.appdownloader.zj.k kVar = new com.ss.android.socialbase.appdownloader.zj.k(context);
                if (kVar.zj()) {
                    zj(context, intent, i2, jSONObject, new InterfaceC0211k() { // from class: com.ss.android.socialbase.appdownloader.k.2
                        @Override // com.ss.android.socialbase.appdownloader.k.InterfaceC0211k
                        public boolean zj(@NonNull Context context2) {
                            return k.u(context2);
                        }
                    });
                    return k(context, kVar.k());
                }
            }
        } catch (Throwable unused) {
        }
        return false;
    }

    public static boolean zj(Context context) {
        if (context == null) {
            return true;
        }
        if (com.ss.android.socialbase.appdownloader.d.yo.k() && Build.VERSION.SDK_INT < 26) {
            return yo(context);
        }
        if (Build.VERSION.SDK_INT >= 26 && context.getApplicationInfo().targetSdkVersion >= 26) {
            return u(context);
        }
        return true;
    }

    public static boolean zj() {
        return u.zj == 1;
    }

    public static void zj(int i2, JSONObject jSONObject) {
        int i3 = 1;
        boolean z = jSONObject.optInt(DownloadSettingKeys.AhPlans.KEY_ALLOW_UNKNOWN_SOURCE_ON_STARTUP) == 1;
        JSONObject jSONObject2 = new JSONObject();
        if (!z) {
            i3 = 2;
        }
        try {
            jSONObject2.put("scene", i3);
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        DownloadComponentManager.getEventListener().onUnityEvent(i2, MonitorConstants.UnityLabel.GUIDE_AUTH_DIALOG_CONFIRM, jSONObject2);
    }

    public static void zj(Context context, Intent intent, int i2, JSONObject jSONObject, InterfaceC0211k interfaceC0211k) {
        if (q != null) {
            AppStatusManager.getInstance().unregisterAppSwitchListener(q);
            q = null;
        }
        q = new zj(context, intent, i2, jSONObject, interfaceC0211k);
        AppStatusManager.getInstance().registerAppSwitchListener(q);
    }

    public static boolean zj(Context context, Intent intent, boolean z) {
        if (context == null || intent == null) {
            return false;
        }
        if (z) {
            try {
                intent.putExtra(BaseConstants.START_ONLY_FOR_ANDROID, true);
                context.startActivity(intent);
                return true;
            } catch (Throwable unused) {
                return false;
            }
        }
        intent.putExtra(BaseConstants.START_ONLY_FOR_ANDROID, true);
        context.startActivity(intent);
        return true;
    }

    public static String zj(Throwable th) {
        String th2 = th.toString();
        return th2.length() > 800 ? th2.substring(0, 500) : th2;
    }

    public static void zj(q qVar) {
        f1921k = qVar;
    }
}
