package com.ss.android.socialbase.appdownloader;

import android.annotation.TargetApi;
import android.app.Activity;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.res.TypedArray;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Environment;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.core.content.FileProvider;
import com.ss.android.downloadad.api.constant.AdBaseConstants;
import com.ss.android.downloadlib.constants.EventConstants;
import com.ss.android.socialbase.appdownloader.q.e;
import com.ss.android.socialbase.downloader.constants.DownloadConstants;
import com.ss.android.socialbase.downloader.constants.DownloadStatus;
import com.ss.android.socialbase.downloader.constants.MonitorConstants;
import com.ss.android.socialbase.downloader.depend.IDownloadFileUriProvider;
import com.ss.android.socialbase.downloader.depend.IDownloadNotificationEventListener;
import com.ss.android.socialbase.downloader.downloader.DownloadComponentManager;
import com.ss.android.socialbase.downloader.downloader.Downloader;
import com.ss.android.socialbase.downloader.exception.BaseException;
import com.ss.android.socialbase.downloader.model.DownloadInfo;
import com.ss.android.socialbase.downloader.notification.DownloadNotificationManager;
import com.ss.android.socialbase.downloader.setting.DownloadSetting;
import com.ss.android.socialbase.downloader.setting.DownloadSettingKeys;
import com.ss.android.socialbase.downloader.utils.DownloadExpSwitchCode;
import com.ss.android.socialbase.downloader.utils.DownloadUtils;
import com.ss.android.socialbase.downloader.utils.SystemUtils;
import java.io.File;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONException;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class q {

    /* renamed from: k  reason: collision with root package name */
    public static NotificationChannel f1932k;
    public static int zj;

    public static int yo(Context context, int i2, boolean z) {
        if (DownloadSetting.obtain(i2).optInt("notification_opt_2") == 1) {
            DownloadNotificationManager.getInstance().cancelNotification(i2);
        }
        zj((Activity) kp.zj().k());
        if (DownloadSetting.obtain(i2).optInt("install_queue_enable", 0) == 1) {
            return kp.zj().zj(context, i2, z);
        }
        return k(context, i2, z);
    }

    public static String k(long j2) {
        long[] jArr = {DownloadConstants.TB, DownloadConstants.GB, 1048576, 1024, 1};
        String[] strArr = {"TB", "GB", "MB", "KB", "B"};
        if (j2 < 1) {
            return "0 " + strArr[4];
        }
        for (int i2 = 0; i2 < 5; i2++) {
            long j3 = jArr[i2];
            if (j2 >= j3) {
                return zj(j2, j3, strArr[i2]);
            }
        }
        return null;
    }

    public static boolean q(Context context, DownloadInfo downloadInfo) {
        if (context == null || downloadInfo == null || TextUtils.isEmpty(downloadInfo.getSavePath()) || TextUtils.isEmpty(downloadInfo.getName())) {
            return false;
        }
        return k(context, downloadInfo, zj(context, downloadInfo, downloadInfo.getSavePath(), downloadInfo.getName()));
    }

    public static String zj(long j2, long j3, String str, boolean z) {
        double d2 = j2;
        if (j3 > 1) {
            double d3 = j3;
            Double.isNaN(d2);
            Double.isNaN(d3);
            d2 /= d3;
        }
        if (!z && !"GB".equals(str) && !"TB".equals(str)) {
            return new DecimalFormat("#").format(d2) + " " + str;
        }
        return new DecimalFormat("#.##").format(d2) + " " + str;
    }

    public static boolean q(String str) {
        return !TextUtils.isEmpty(str) && str.equals(AdBaseConstants.MIME_APK);
    }

    public static List<String> q() {
        ArrayList arrayList = new ArrayList(2);
        arrayList.add(AdBaseConstants.MIME_APK);
        arrayList.add("application/ttpatch");
        return arrayList;
    }

    public static String zj(long j2) {
        return zj(j2, true);
    }

    public static int k(final Context context, final int i2, final boolean z) {
        final DownloadInfo downloadInfo = Downloader.getInstance(context).getDownloadInfo(i2);
        if (downloadInfo != null && AdBaseConstants.MIME_APK.equals(downloadInfo.getMimeType()) && !TextUtils.isEmpty(downloadInfo.getSavePath()) && !TextUtils.isEmpty(downloadInfo.getName())) {
            final File file = new File(downloadInfo.getSavePath(), downloadInfo.getName());
            if (file.exists()) {
                DownloadComponentManager.submitIOTask(new Runnable() { // from class: com.ss.android.socialbase.appdownloader.q.2
                    @Override // java.lang.Runnable
                    public void run() {
                        int zj2 = q.zj(context, i2, z, downloadInfo, file);
                        if (zj2 == 1 && yo.e().w() != null) {
                            yo.e().w().onOpenInstaller(downloadInfo, null);
                        }
                        q.k(downloadInfo, z, zj2);
                    }
                });
                return 1;
            }
        }
        k(downloadInfo, z, 2);
        return 2;
    }

    public static JSONObject yo(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        try {
            return new JSONObject(str);
        } catch (Throwable unused) {
            return null;
        }
    }

    public static String zj(long j2, boolean z) {
        long[] jArr = {DownloadConstants.TB, DownloadConstants.GB, 1048576, 1024, 1};
        String[] strArr = {"TB", "GB", "MB", "KB", "B"};
        if (j2 < 1) {
            return "0 " + strArr[4];
        }
        for (int i2 = 0; i2 < 5; i2++) {
            long j3 = jArr[i2];
            if (j2 >= j3) {
                return zj(j2, j3, strArr[i2], z);
            }
        }
        return null;
    }

    public static String zj(long j2, long j3, String str) {
        double d2 = j2;
        if (j3 > 1) {
            double d3 = j3;
            Double.isNaN(d2);
            Double.isNaN(d3);
            d2 /= d3;
        }
        if ("MB".equals(str)) {
            return new DecimalFormat("#").format(d2) + str;
        }
        return new DecimalFormat("#.##").format(d2) + str;
    }

    public static void k(DownloadInfo downloadInfo, boolean z, int i2) {
        if (downloadInfo == null) {
            return;
        }
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("by_user", z ? 1 : 2);
            jSONObject.put("view_result", i2);
            jSONObject.put(EventConstants.ExtraJson.REAL_PACKAGE_NAME, downloadInfo.getFilePackageName());
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        DownloadComponentManager.getEventListener().onEvent(downloadInfo.getId(), MonitorConstants.EventLabel.INSTALL_VIEW_RESULT, jSONObject);
    }

    public static int zj(final Context context, final int i2, final boolean z) {
        e om = yo.e().om();
        if (om == null) {
            return yo(context, i2, z);
        }
        DownloadInfo downloadInfo = Downloader.getInstance(context).getDownloadInfo(i2);
        zj = 1;
        om.zj(downloadInfo, new com.ss.android.socialbase.appdownloader.q.wy() { // from class: com.ss.android.socialbase.appdownloader.q.1
            @Override // com.ss.android.socialbase.appdownloader.q.wy
            public void zj() {
                int unused = q.zj = q.yo(context, i2, z);
            }
        });
        return zj;
    }

    public static boolean k(Context context, DownloadInfo downloadInfo, PackageInfo packageInfo) {
        return zj(context, downloadInfo, packageInfo, false);
    }

    public static int k(Context context, DownloadInfo downloadInfo) {
        if (context != null && downloadInfo != null && !TextUtils.isEmpty(downloadInfo.getSavePath()) && !TextUtils.isEmpty(downloadInfo.getName())) {
            int appVersionCode = downloadInfo.getAppVersionCode();
            if (appVersionCode > 0) {
                return appVersionCode;
            }
            try {
                PackageInfo zj2 = zj(context, downloadInfo, downloadInfo.getSavePath(), downloadInfo.getName());
                if (zj2 != null) {
                    int i2 = zj2.versionCode;
                    downloadInfo.setAppVersionCode(i2);
                    return i2;
                }
            } catch (Throwable unused) {
            }
        }
        return 0;
    }

    /* JADX WARN: Code restructure failed: missing block: B:13:0x003d, code lost:
        if (r0 == null) goto L23;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static int zj(Context context, int i2, boolean z, DownloadInfo downloadInfo, File file) {
        PackageInfo packageInfo;
        Intent zj2;
        Process process;
        if (file.getPath().startsWith(Environment.getDataDirectory().getAbsolutePath())) {
            try {
                process = Runtime.getRuntime().exec("chmod 555 " + file.getAbsolutePath());
                try {
                    process.waitFor();
                } catch (Throwable th) {
                    th = th;
                    try {
                        th.printStackTrace();
                    } finally {
                        if (process != null) {
                            process.destroy();
                        }
                    }
                }
            } catch (Throwable th2) {
                th = th2;
                process = null;
            }
        }
        try {
            packageInfo = zj(downloadInfo, file);
            if (packageInfo != null) {
                try {
                    downloadInfo.setFilePackageName(packageInfo.packageName);
                } catch (Throwable th3) {
                    th = th3;
                }
            }
            th = null;
        } catch (Throwable th4) {
            th = th4;
            packageInfo = null;
        }
        if (yo.e().q() != null) {
            if (packageInfo == null) {
                BaseException baseException = new BaseException(2001, th);
                yo.e().q().zj(downloadInfo, baseException, baseException.getErrorCode());
            } else {
                yo.e().q().zj(downloadInfo, null, 11);
            }
        }
        if (zj(context, downloadInfo, packageInfo)) {
            return 2;
        }
        if (packageInfo != null && DownloadSetting.obtain(downloadInfo.getId()).optBugFix("install_callback_error")) {
            downloadInfo.getTempCacheData().put("extra_apk_package_name", packageInfo.packageName);
            downloadInfo.getTempCacheData().put("extra_apk_version_code", Integer.valueOf(packageInfo.versionCode));
        }
        int[] iArr = new int[1];
        if (k(context, downloadInfo, packageInfo)) {
            zj2 = context.getPackageManager().getLaunchIntentForPackage(packageInfo.packageName);
        } else if (!z && zj(context, i2, file)) {
            downloadInfo.getTempCacheData().put("extra_silent_install_succeed", true);
            return 1;
        } else {
            zj2 = zj(context, downloadInfo, file, z, iArr);
        }
        if (zj2 == null) {
            return iArr[0] == 1 ? 2 : 0;
        }
        zj2.addFlags(DownloadExpSwitchCode.BUGFIX_GETPACKAGEINFO_BY_UNZIP);
        if (downloadInfo.getLinkMode() > 0 && DownloadSetting.obtain(downloadInfo.getId()).optInt(DownloadSettingKeys.KEY_APP_INSTALL_RETURN_RESULT, 0) == 1) {
            zj2.putExtra("android.intent.extra.RETURN_RESULT", true);
        }
        if (iArr[0] == 0 && k.zj(context, downloadInfo, zj2, z)) {
            return 1;
        }
        return zj(context, zj2);
    }

    public static String k() {
        return DownloadUtils.getDownloadPath();
    }

    public static boolean k(String str) {
        JSONObject jSONObject;
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        try {
            jSONObject = new JSONObject(str);
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        if (!jSONObject.optBoolean("bind_app", false)) {
            if (jSONObject.optBoolean("auto_install_with_notification", true)) {
                return false;
            }
        }
        return true;
    }

    @TargetApi(26)
    public static String k(@NonNull Context context) {
        try {
            if (f1932k == null) {
                NotificationChannel notificationChannel = new NotificationChannel("111111", "channel_appdownloader", 3);
                f1932k = notificationChannel;
                notificationChannel.setSound(null, null);
                f1932k.setShowBadge(false);
                ((NotificationManager) context.getSystemService("notification")).createNotificationChannel(f1932k);
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
        return "111111";
    }

    public static int zj(Context context, Intent intent) {
        try {
            if (yo.e().a() != null) {
                if (yo.e().a().installApp(intent)) {
                    return 1;
                }
            }
        } catch (Throwable unused) {
        }
        try {
            context.startActivity(intent);
            return 1;
        } catch (Throwable unused2) {
            return 0;
        }
    }

    public static boolean zj(Context context, DownloadInfo downloadInfo, PackageInfo packageInfo) {
        if (packageInfo == null || packageInfo.packageName.equals(downloadInfo.getPackageName())) {
            return false;
        }
        com.ss.android.socialbase.appdownloader.q.yo k2 = yo.e().k();
        if (k2 != null) {
            k2.zj(downloadInfo.getId(), 8, downloadInfo.getPackageName(), packageInfo.packageName, "");
            if (k2.zj()) {
                return true;
            }
        }
        IDownloadNotificationEventListener downloadNotificationEventListener = Downloader.getInstance(context).getDownloadNotificationEventListener(downloadInfo.getId());
        if (downloadNotificationEventListener != null) {
            downloadNotificationEventListener.onNotificationEvent(8, downloadInfo, packageInfo.packageName, "");
            com.ss.android.socialbase.appdownloader.q.q zj2 = yo.e().zj();
            return (zj2 instanceof com.ss.android.socialbase.appdownloader.q.zj) && ((com.ss.android.socialbase.appdownloader.q.zj) zj2).q();
        }
        return false;
    }

    public static boolean zj(Context context, int i2, File file) {
        if (DownloadSetting.obtain(i2).optInt("back_miui_silent_install", 1) == 1) {
            return false;
        }
        if ((com.ss.android.socialbase.appdownloader.d.yo.x() || com.ss.android.socialbase.appdownloader.d.yo.ja()) && SystemUtils.checkServiceExists(context, "com.miui.securitycore", "com.miui.enterprise.service.EntInstallService")) {
            Intent intent = new Intent();
            intent.setComponent(new ComponentName("com.miui.securitycore", "com.miui.enterprise.service.EntInstallService"));
            Bundle bundle = new Bundle();
            bundle.putInt("userId", 0);
            bundle.putInt("flag", 256);
            bundle.putString("apkPath", file.getPath());
            bundle.putString("installerPkg", "com.miui.securitycore");
            intent.putExtras(bundle);
            try {
                context.startService(intent);
                return true;
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return false;
    }

    public static int zj() {
        return yo.e().d() ? 16384 : 0;
    }

    /* JADX WARN: Removed duplicated region for block: B:23:0x0021 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static Uri zj(int i2, IDownloadFileUriProvider iDownloadFileUriProvider, Context context, String str, File file) {
        Uri uri;
        if (iDownloadFileUriProvider != null) {
            uri = iDownloadFileUriProvider.getUriForFile(str, file.getAbsolutePath());
        } else {
            com.ss.android.socialbase.appdownloader.q.d u = yo.e().u();
            if (u != null) {
                uri = u.zj(i2, str, file.getAbsolutePath());
            }
            uri = null;
            if (uri == null) {
                try {
                    if (Build.VERSION.SDK_INT >= 24 && !TextUtils.isEmpty(str)) {
                        uri = FileProvider.getUriForFile(context, str, file);
                    } else {
                        uri = Uri.fromFile(file);
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
            return uri;
        }
        if (uri == null) {
        }
        return uri;
    }

    public static Intent zj(Context context, DownloadInfo downloadInfo, @NonNull File file, boolean z, int[] iArr) {
        Uri zj2 = zj(downloadInfo.getId(), Downloader.getInstance(context).getDownloadFileUriProvider(downloadInfo.getId()), context, yo.e().yo(), file);
        if (zj2 == null) {
            return null;
        }
        Intent intent = new Intent("android.intent.action.VIEW");
        if (Build.VERSION.SDK_INT >= 24) {
            intent.addFlags(1);
        }
        intent.setDataAndType(zj2, AdBaseConstants.MIME_APK);
        com.ss.android.socialbase.appdownloader.q.yo k2 = yo.e().k();
        boolean zj3 = k2 != null ? k2.zj(downloadInfo.getId(), z) : 0;
        IDownloadNotificationEventListener downloadNotificationEventListener = Downloader.getInstance(context).getDownloadNotificationEventListener(downloadInfo.getId());
        int i2 = zj3;
        if (downloadNotificationEventListener != null) {
            i2 = downloadNotificationEventListener.interceptAfterNotificationSuccess(z);
        }
        iArr[0] = i2;
        if (i2 != 0) {
            return null;
        }
        return intent;
    }

    public static boolean zj(DownloadInfo downloadInfo, String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        if (TextUtils.isEmpty(downloadInfo.getPackageName()) || !str.equals(downloadInfo.getPackageName())) {
            return !TextUtils.isEmpty(downloadInfo.getName()) && zj(DownloadComponentManager.getAppContext(), downloadInfo, str);
        }
        return true;
    }

    public static boolean zj(Context context, DownloadInfo downloadInfo, String str) {
        if (context == null) {
            return false;
        }
        try {
            File file = new File(downloadInfo.getSavePath(), downloadInfo.getName());
            PackageInfo packageInfo = null;
            if (file.exists()) {
                Log.e("AppDownloadUtils", "isPackageNameEqualsWithApk fileName:" + downloadInfo.getName() + " apkFileSize：" + file.length() + " fileUrl：" + downloadInfo.getUrl());
                PackageInfo zj2 = zj(downloadInfo, file);
                if (zj2 == null || !zj2.packageName.equals(str)) {
                    return false;
                }
                int i2 = zj2.versionCode;
                try {
                    packageInfo = context.getPackageManager().getPackageInfo(str, zj());
                } catch (PackageManager.NameNotFoundException unused) {
                }
                if (packageInfo == null || i2 != packageInfo.versionCode) {
                    return false;
                }
            } else if (!DownloadSetting.obtain(downloadInfo.getId()).optBugFix("install_callback_error")) {
                return false;
            } else {
                String string = DownloadUtils.getString(downloadInfo.getTempCacheData().get("extra_apk_package_name"), null);
                int i3 = DownloadUtils.getInt(downloadInfo.getTempCacheData().get("extra_apk_version_code"), 0);
                if (string == null || TextUtils.isEmpty(string) || !string.equals(str)) {
                    return false;
                }
                try {
                    packageInfo = context.getPackageManager().getPackageInfo(str, zj());
                } catch (PackageManager.NameNotFoundException unused2) {
                }
                if (packageInfo == null || i3 != packageInfo.versionCode) {
                    return false;
                }
            }
            return true;
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public static boolean zj(Context context, DownloadInfo downloadInfo, PackageInfo packageInfo, boolean z) {
        PackageInfo packageInfo2;
        if (packageInfo == null) {
            return false;
        }
        String str = packageInfo.packageName;
        int i2 = packageInfo.versionCode;
        if (downloadInfo != null) {
            downloadInfo.setAppVersionCode(i2);
        }
        try {
            packageInfo2 = context.getPackageManager().getPackageInfo(str, zj());
        } catch (PackageManager.NameNotFoundException unused) {
            packageInfo2 = null;
        }
        if (packageInfo2 == null) {
            return false;
        }
        int i3 = packageInfo2.versionCode;
        return z ? i2 < i3 : (downloadInfo == null || DownloadSetting.obtain(downloadInfo.getId()).optInt("install_with_same_version_code", 0) != 1) ? i2 <= i3 : i2 < i3;
    }

    public static boolean zj(Context context, DownloadInfo downloadInfo) {
        return zj(context, downloadInfo, true);
    }

    public static boolean zj(Context context, DownloadInfo downloadInfo, boolean z) {
        if (downloadInfo == null) {
            return false;
        }
        String packageName = downloadInfo.getPackageName();
        int appVersionCode = downloadInfo.getAppVersionCode();
        if (appVersionCode <= 0 && z) {
            return q(context, downloadInfo);
        }
        PackageInfo packageInfo = null;
        try {
            packageInfo = context.getPackageManager().getPackageInfo(packageName, zj());
        } catch (PackageManager.NameNotFoundException unused) {
        }
        if (packageInfo == null) {
            return false;
        }
        return DownloadSetting.obtain(downloadInfo.getId()).optInt("install_with_same_version_code", 0) == 1 ? appVersionCode < packageInfo.versionCode : appVersionCode <= packageInfo.versionCode;
    }

    public static PackageInfo zj(Context context, DownloadInfo downloadInfo, String str, String str2) {
        if (TextUtils.isEmpty(str) || TextUtils.isEmpty(str2)) {
            return null;
        }
        File file = new File(str, str2);
        if (file.exists()) {
            Log.e("AppDownloadUtils", "isApkInstalled apkFileSize：fileName:" + file.getPath() + " apkFileSize" + file.length());
            return zj(downloadInfo, file);
        }
        return null;
    }

    /* JADX WARN: Code restructure failed: missing block: B:16:0x0034, code lost:
        if (android.text.TextUtils.isEmpty(r2) == false) goto L13;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static String zj(String str, String str2, String str3, boolean z) {
        if (TextUtils.isEmpty(str)) {
            return "";
        }
        Uri parse = Uri.parse(str);
        if (z) {
            if (TextUtils.isEmpty(str2)) {
                if (!TextUtils.isEmpty(parse.getLastPathSegment())) {
                    str2 = parse.getLastPathSegment();
                }
                str2 = "default.apk";
            }
            if (!q(str3) && !str2.endsWith(".apk")) {
                return str2 + ".apk";
            }
        }
        String lastPathSegment = parse.getLastPathSegment();
        if (!TextUtils.isEmpty(lastPathSegment)) {
            str2 = lastPathSegment;
        }
        return !q(str3) ? str2 : str2;
    }

    public static String zj(String str, DownloadSetting downloadSetting) {
        JSONObject optJSONObject;
        String format;
        if (downloadSetting == null || (optJSONObject = downloadSetting.optJSONObject(DownloadSettingKeys.KEY_ANTI_HIJACK_DIR)) == null) {
            return "";
        }
        String optString = optJSONObject.optString(DownloadSettingKeys.AntiHijackDir.KEY_ANTI_HIJACK_DIR_NAME);
        if (!TextUtils.isEmpty(optString) && optString.startsWith("/")) {
            optString = optString.substring(1);
        }
        if (TextUtils.isEmpty(optString)) {
            return optString;
        }
        if (!optString.contains("%s")) {
            format = optString + str;
        } else {
            try {
                format = String.format(optString, str);
            } catch (Throwable unused) {
            }
        }
        optString = format;
        return optString.length() > 255 ? optString.substring(optString.length() - 255) : optString;
    }

    public static boolean zj(String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        try {
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        return new JSONObject(str).optBoolean("bind_app", false);
    }

    public static int zj(int i2) {
        if (i2 == 0) {
            return 0;
        }
        if (i2 == -2) {
            return 2;
        }
        if (i2 == 1) {
            return 4;
        }
        if (DownloadStatus.isDownloading(i2) || i2 == 11) {
            return 1;
        }
        return DownloadStatus.isDownloadOver(i2) ? 3 : 0;
    }

    /* JADX WARN: Code restructure failed: missing block: B:12:0x003b, code lost:
        if (r0 != null) goto L16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x003d, code lost:
        r0.recycle();
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0041, code lost:
        if (r0 != null) goto L16;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static boolean zj(Context context) {
        if (Build.VERSION.SDK_INT > 20 && context != null) {
            TypedArray typedArray = null;
            try {
                int color = context.getResources().getColor(u.k());
                typedArray = context.obtainStyledAttributes(u.u(), new int[]{u.q(), u.yo()});
                if (color == typedArray.getColor(0, 0)) {
                    if (typedArray != null) {
                        try {
                            typedArray.recycle();
                        } catch (Throwable unused) {
                        }
                    }
                    return true;
                }
            } catch (Throwable unused2) {
            }
        }
        return false;
    }

    public static void zj(DownloadInfo downloadInfo, boolean z, boolean z2) {
        yo.e().zj(new d(DownloadComponentManager.getAppContext(), downloadInfo.getUrl()).zj(downloadInfo.getTitle()).k(downloadInfo.getName()).q(downloadInfo.getSavePath()).zj(downloadInfo.isShowNotification()).k(downloadInfo.isAutoInstallWithoutNotification()).q(downloadInfo.isOnlyWifi() || z2).yo(downloadInfo.getExtra()).u(downloadInfo.getMimeType()).zj(downloadInfo.getExtraHeaders()).u(true).k(downloadInfo.getRetryCount()).q(downloadInfo.getBackUpUrlRetryCount()).k(downloadInfo.getBackUpUrls()).yo(downloadInfo.getMinProgressTimeMsInterval()).u(downloadInfo.getMaxProgressCount()).d(z).yo(downloadInfo.isNeedHttpsToHttpRetry()).d(downloadInfo.getPackageName()).om(downloadInfo.getMd5()).zj(downloadInfo.getExpectFileLength()).wy(downloadInfo.isNeedDefaultHttpServiceBackUp()).e(downloadInfo.isNeedReuseFirstConnection()).x(downloadInfo.isNeedIndependentProcess()).zj(downloadInfo.getEnqueueType()).a(downloadInfo.isForce()).ja(downloadInfo.isHeadConnectionAvailable()).om(downloadInfo.isNeedRetryDelay()).kp(downloadInfo.getRetryDelayTimeArray()).zj(yo(downloadInfo.getDownloadSettingString())).e(downloadInfo.getIconUrl()).d(downloadInfo.getExecutorGroup()).pr(downloadInfo.isAutoInstall()));
    }

    public static void zj(Activity activity) {
        if (activity != null) {
            try {
                if (activity.isFinishing()) {
                    return;
                }
                activity.finish();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public static PackageInfo zj(DownloadInfo downloadInfo, File file) {
        if (downloadInfo == null) {
            return com.ss.android.socialbase.appdownloader.d.zj.u.zj(DownloadComponentManager.getAppContext(), file, zj());
        }
        PackageInfo packageInfo = downloadInfo.getPackageInfo();
        if (packageInfo == null) {
            PackageInfo zj2 = com.ss.android.socialbase.appdownloader.d.zj.u.zj(DownloadComponentManager.getAppContext(), file, zj());
            downloadInfo.setPackageInfo(zj2);
            return zj2;
        }
        return packageInfo;
    }

    public static int zj(Context context, float f2) {
        return (int) ((f2 * context.getResources().getDisplayMetrics().density) + 0.5f);
    }
}
