package com.ss.android.socialbase.appdownloader;

import android.content.Context;
import android.content.IntentFilter;
import android.os.Build;
import android.os.Environment;
import android.text.TextUtils;
import com.ss.android.downloadad.api.constant.AdBaseConstants;
import com.ss.android.socialbase.appdownloader.q.a;
import com.ss.android.socialbase.appdownloader.q.e;
import com.ss.android.socialbase.appdownloader.q.ja;
import com.ss.android.socialbase.downloader.constants.DownloadConstants;
import com.ss.android.socialbase.downloader.depend.IDownloadCompleteHandler;
import com.ss.android.socialbase.downloader.depend.IDownloadDepend;
import com.ss.android.socialbase.downloader.depend.IDownloadNotificationEventListener;
import com.ss.android.socialbase.downloader.depend.IInstallAppHandler;
import com.ss.android.socialbase.downloader.depend.IOpenInstallerListener;
import com.ss.android.socialbase.downloader.downloader.BaseDownloader;
import com.ss.android.socialbase.downloader.downloader.DownloadComponentManager;
import com.ss.android.socialbase.downloader.downloader.Downloader;
import com.ss.android.socialbase.downloader.downloader.IReserveWifiStatusListener;
import com.ss.android.socialbase.downloader.exception.BaseException;
import com.ss.android.socialbase.downloader.impls.RetryScheduler;
import com.ss.android.socialbase.downloader.logger.Logger;
import com.ss.android.socialbase.downloader.model.DownloadInfo;
import com.ss.android.socialbase.downloader.model.DownloadTask;
import com.ss.android.socialbase.downloader.model.HttpHeader;
import com.ss.android.socialbase.downloader.monitor.DownloadMonitorHelper;
import com.ss.android.socialbase.downloader.setting.DownloadSetting;
import com.ss.android.socialbase.downloader.setting.DownloadSettingKeys;
import com.ss.android.socialbase.downloader.utils.DownloadUtils;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class yo {

    /* renamed from: d  reason: collision with root package name */
    public static boolean f1946d = false;

    /* renamed from: k  reason: collision with root package name */
    public static volatile yo f1947k = null;
    public static boolean om = false;
    public static final String zj = "yo";
    public com.ss.android.socialbase.appdownloader.q.d a;

    /* renamed from: e  reason: collision with root package name */
    public com.ss.android.socialbase.appdownloader.q.yo f1948e;
    public ja ja;
    public boolean kp = false;

    /* renamed from: n  reason: collision with root package name */
    public com.ss.android.socialbase.appdownloader.q.kp f1949n;
    public IInstallAppHandler pr;
    public String q;
    public IOpenInstallerListener t;
    public DownloadReceiver u;
    public e w;
    public com.ss.android.socialbase.appdownloader.q.q wy;
    public com.ss.android.socialbase.appdownloader.q.om x;
    public String yo;

    private void cy() {
        if (Build.VERSION.SDK_INT >= 21) {
            RetryScheduler.setRetryScheduleHandler(new RetryScheduler.RetryScheduleHandler() { // from class: com.ss.android.socialbase.appdownloader.yo.1
                @Override // com.ss.android.socialbase.downloader.impls.RetryScheduler.RetryScheduleHandler
                public void cancelRetry(int i2) {
                    RetryJobSchedulerService.zj(i2);
                }

                @Override // com.ss.android.socialbase.downloader.impls.RetryScheduler.RetryScheduleHandler
                public void scheduleRetry(DownloadInfo downloadInfo, long j2, boolean z, int i2) {
                    RetryJobSchedulerService.zj(downloadInfo, j2, z, i2);
                }
            });
        }
    }

    public static yo e() {
        if (f1947k == null) {
            synchronized (yo.class) {
                if (f1947k == null) {
                    f1947k = new yo();
                }
            }
        }
        return f1947k;
    }

    private void t() {
        if (om) {
            return;
        }
        if (this.u == null) {
            this.u = new DownloadReceiver();
        }
        try {
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
            intentFilter.addAction("android.intent.action.BOOT_COMPLETED");
            intentFilter.addAction("android.ss.intent.action.DOWNLOAD_COMPLETE");
            IntentFilter intentFilter2 = new IntentFilter();
            intentFilter2.addAction("android.intent.action.PACKAGE_ADDED");
            intentFilter2.addAction("android.intent.action.PACKAGE_REPLACED");
            intentFilter2.addDataScheme("package");
            IntentFilter intentFilter3 = new IntentFilter();
            intentFilter3.addAction("android.intent.action.MEDIA_MOUNTED");
            intentFilter3.addDataScheme("file");
            DownloadComponentManager.getAppContext().registerReceiver(this.u, intentFilter);
            DownloadComponentManager.getAppContext().registerReceiver(this.u, intentFilter2);
            DownloadComponentManager.getAppContext().registerReceiver(this.u, intentFilter3);
            om = true;
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public IInstallAppHandler a() {
        return this.pr;
    }

    public boolean d() {
        return DownloadSetting.getGlobalSettings().optInt(DownloadSettingKeys.PACKAGE_FLAG_CONFIG, 1) == 1;
    }

    public IReserveWifiStatusListener ja() {
        return Downloader.getInstance(DownloadComponentManager.getAppContext()).getReserveWifiStatusListener();
    }

    public com.ss.android.socialbase.appdownloader.q.yo k() {
        return this.f1948e;
    }

    public File kp() {
        return Downloader.getInstance(DownloadComponentManager.getAppContext()).getGlobalSaveDir();
    }

    public ja n() {
        return this.ja;
    }

    public e om() {
        return this.w;
    }

    public com.ss.android.socialbase.appdownloader.q.kp q() {
        return this.f1949n;
    }

    public com.ss.android.socialbase.appdownloader.q.d u() {
        return this.a;
    }

    public IOpenInstallerListener w() {
        return this.t;
    }

    public String wy() {
        return this.q;
    }

    public com.ss.android.socialbase.appdownloader.q.om x() {
        return this.x;
    }

    public String yo() {
        return this.yo;
    }

    private void q(Context context) {
        if (context == null || f1946d) {
            return;
        }
        DownloadConstants.setMimeApk(AdBaseConstants.MIME_APK);
        DownloadComponentManager.setAppContext(context);
        DownloadComponentManager.setDownloadLaunchHandler(new com.ss.android.socialbase.appdownloader.yo.k());
        t();
        cy();
        f1946d = true;
    }

    public void k(String str) {
        Downloader.getInstance(DownloadComponentManager.getAppContext()).setDefaultSavePath(str);
    }

    private DownloadInfo k(Context context, String str) {
        List<DownloadInfo> downloadInfoList = Downloader.getInstance(context).getDownloadInfoList(str);
        if (downloadInfoList != null) {
            for (DownloadInfo downloadInfo : downloadInfoList) {
                if (downloadInfo != null && downloadInfo.isSavePathRedirected()) {
                    return downloadInfo;
                }
            }
            return null;
        }
        return null;
    }

    public com.ss.android.socialbase.appdownloader.q.q zj() {
        return this.wy;
    }

    public void zj(String str) {
        if (TextUtils.isEmpty(str)) {
            return;
        }
        this.yo = str;
    }

    public List<DownloadInfo> k(Context context) {
        return Downloader.getInstance(context).getDownloadingDownloadInfosWithMimeType(AdBaseConstants.MIME_APK);
    }

    public void zj(e eVar) {
        this.w = eVar;
    }

    @Deprecated
    public void zj(Context context, String str, com.ss.android.socialbase.appdownloader.q.q qVar, com.ss.android.socialbase.appdownloader.q.yo yoVar, com.ss.android.socialbase.appdownloader.q.kp kpVar) {
        if (qVar != null) {
            this.wy = qVar;
        }
        if (yoVar != null) {
            this.f1948e = yoVar;
        }
        if (kpVar != null) {
            this.f1949n = kpVar;
        }
        q(context);
    }

    public static boolean zj(Context context, int i2) {
        return q.zj(context, i2, true) == 1;
    }

    public void zj(Context context, int i2, int i3) {
        try {
            switch (i3) {
                case -4:
                case -1:
                    Downloader.getInstance(context).restart(i2);
                    break;
                case -3:
                    q.zj(context, i2, true);
                    break;
                case -2:
                    Downloader.getInstance(context).resume(i2);
                    break;
                case 0:
                case 6:
                default:
                    return;
                case 1:
                case 2:
                case 3:
                case 4:
                case 5:
                case 7:
                case 8:
                    Downloader.getInstance(context).pause(i2);
                    break;
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    /* JADX WARN: Can't wrap try/catch for region: R(25:37|(2:41|42)|45|(1:113)(1:52)|53|(2:59|(1:61)(19:62|63|(1:65)|66|(3:68|(2:71|69)|72)|73|74|75|(1:77)(1:110)|78|79|(6:84|(1:107)(1:88)|89|(1:93)|(1:(1:105)(1:104))|106)|108|(1:86)|107|89|(2:91|93)|(0)|106))|112|63|(0)|66|(0)|73|74|75|(0)(0)|78|79|(8:81|84|(0)|107|89|(0)|(0)|106)|108|(0)|107|89|(0)|(0)|106) */
    /* JADX WARN: Removed duplicated region for block: B:64:0x0137 A[Catch: all -> 0x0388, TryCatch #2 {all -> 0x0388, blocks: (B:8:0x0010, B:11:0x0023, B:15:0x002c, B:17:0x003a, B:18:0x0042, B:20:0x004a, B:21:0x0053, B:24:0x005a, B:26:0x0066, B:29:0x0072, B:31:0x0080, B:32:0x0084, B:34:0x008b, B:37:0x0093, B:39:0x00a7, B:42:0x00c1, B:45:0x00da, B:47:0x00e0, B:51:0x00f1, B:53:0x00f7, B:55:0x00fd, B:57:0x0103, B:59:0x0109, B:61:0x0117, B:62:0x0131, B:64:0x0137, B:65:0x013c, B:67:0x0146, B:68:0x014a, B:70:0x0150, B:71:0x015a, B:77:0x0185, B:79:0x018b, B:85:0x0197, B:87:0x01a4, B:89:0x01b4, B:91:0x0328, B:93:0x0332, B:96:0x033d, B:98:0x0343, B:100:0x0349, B:102:0x0353, B:104:0x0359, B:105:0x0369), top: B:120:0x0010 }] */
    /* JADX WARN: Removed duplicated region for block: B:67:0x0146 A[Catch: all -> 0x0388, TryCatch #2 {all -> 0x0388, blocks: (B:8:0x0010, B:11:0x0023, B:15:0x002c, B:17:0x003a, B:18:0x0042, B:20:0x004a, B:21:0x0053, B:24:0x005a, B:26:0x0066, B:29:0x0072, B:31:0x0080, B:32:0x0084, B:34:0x008b, B:37:0x0093, B:39:0x00a7, B:42:0x00c1, B:45:0x00da, B:47:0x00e0, B:51:0x00f1, B:53:0x00f7, B:55:0x00fd, B:57:0x0103, B:59:0x0109, B:61:0x0117, B:62:0x0131, B:64:0x0137, B:65:0x013c, B:67:0x0146, B:68:0x014a, B:70:0x0150, B:71:0x015a, B:77:0x0185, B:79:0x018b, B:85:0x0197, B:87:0x01a4, B:89:0x01b4, B:91:0x0328, B:93:0x0332, B:96:0x033d, B:98:0x0343, B:100:0x0349, B:102:0x0353, B:104:0x0359, B:105:0x0369), top: B:120:0x0010 }] */
    /* JADX WARN: Removed duplicated region for block: B:74:0x0164 A[Catch: all -> 0x0185, TryCatch #1 {all -> 0x0185, blocks: (B:72:0x015e, B:74:0x0164, B:76:0x016f, B:75:0x016a), top: B:118:0x015e }] */
    /* JADX WARN: Removed duplicated region for block: B:75:0x016a A[Catch: all -> 0x0185, TryCatch #1 {all -> 0x0185, blocks: (B:72:0x015e, B:74:0x0164, B:76:0x016f, B:75:0x016a), top: B:118:0x015e }] */
    /* JADX WARN: Removed duplicated region for block: B:85:0x0197 A[Catch: all -> 0x0388, TryCatch #2 {all -> 0x0388, blocks: (B:8:0x0010, B:11:0x0023, B:15:0x002c, B:17:0x003a, B:18:0x0042, B:20:0x004a, B:21:0x0053, B:24:0x005a, B:26:0x0066, B:29:0x0072, B:31:0x0080, B:32:0x0084, B:34:0x008b, B:37:0x0093, B:39:0x00a7, B:42:0x00c1, B:45:0x00da, B:47:0x00e0, B:51:0x00f1, B:53:0x00f7, B:55:0x00fd, B:57:0x0103, B:59:0x0109, B:61:0x0117, B:62:0x0131, B:64:0x0137, B:65:0x013c, B:67:0x0146, B:68:0x014a, B:70:0x0150, B:71:0x015a, B:77:0x0185, B:79:0x018b, B:85:0x0197, B:87:0x01a4, B:89:0x01b4, B:91:0x0328, B:93:0x0332, B:96:0x033d, B:98:0x0343, B:100:0x0349, B:102:0x0353, B:104:0x0359, B:105:0x0369), top: B:120:0x0010 }] */
    /* JADX WARN: Removed duplicated region for block: B:91:0x0328 A[Catch: all -> 0x0388, TryCatch #2 {all -> 0x0388, blocks: (B:8:0x0010, B:11:0x0023, B:15:0x002c, B:17:0x003a, B:18:0x0042, B:20:0x004a, B:21:0x0053, B:24:0x005a, B:26:0x0066, B:29:0x0072, B:31:0x0080, B:32:0x0084, B:34:0x008b, B:37:0x0093, B:39:0x00a7, B:42:0x00c1, B:45:0x00da, B:47:0x00e0, B:51:0x00f1, B:53:0x00f7, B:55:0x00fd, B:57:0x0103, B:59:0x0109, B:61:0x0117, B:62:0x0131, B:64:0x0137, B:65:0x013c, B:67:0x0146, B:68:0x014a, B:70:0x0150, B:71:0x015a, B:77:0x0185, B:79:0x018b, B:85:0x0197, B:87:0x01a4, B:89:0x01b4, B:91:0x0328, B:93:0x0332, B:96:0x033d, B:98:0x0343, B:100:0x0349, B:102:0x0353, B:104:0x0359, B:105:0x0369), top: B:120:0x0010 }] */
    /* JADX WARN: Removed duplicated region for block: B:95:0x033b  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public int zj(d dVar) {
        int i2;
        String str;
        IDownloadDepend vx;
        List<IDownloadCompleteHandler> downloadCompleteHandlers;
        String n2;
        boolean z;
        int i3;
        final DownloadTask autoInstall;
        JSONObject jSONObject;
        DownloadInfo downloadInfo;
        if (dVar == null || dVar.getContext() == null) {
            return 0;
        }
        try {
            List<HttpHeader> zj2 = zj(dVar.yo());
            String zj3 = dVar.zj();
            if (TextUtils.isEmpty(zj3)) {
                return 0;
            }
            final int s = dVar.s();
            final boolean z2 = s == 0;
            String yl = dVar.yl();
            final String k2 = dVar.k();
            if (TextUtils.isEmpty(yl)) {
                yl = q.zj(zj3, k2, dVar.x(), z2);
            }
            if (yl.length() > 255) {
                yl = yl.substring(yl.length() - 255);
            }
            if (TextUtils.isEmpty(k2)) {
                k2 = yl;
            }
            String x = dVar.x();
            if (yl.endsWith(".apk") && !q.q(dVar.x())) {
                x = AdBaseConstants.MIME_APK;
            }
            String q = dVar.q();
            if (TextUtils.isEmpty(dVar.q())) {
                q = q.k();
            }
            String str2 = q;
            if (!TextUtils.isEmpty(str2) && !TextUtils.isEmpty(yl)) {
                int downloadId = DownloadComponentManager.getDownloadId(zj3, str2);
                if (DownloadSetting.obtain(dVar.dv()).optBugFix(DownloadSettingKeys.BugFix.FIX_RESUME_TASK_OVERRIDE_SETTINGS) && (downloadInfo = Downloader.getInstance(DownloadComponentManager.getAppContext()).getDownloadInfo(downloadId)) != null) {
                    try {
                        dVar.zj(new JSONObject(downloadInfo.getDownloadSettingString()));
                    } catch (Throwable unused) {
                    }
                }
                DownloadSetting.addTaskDownloadSetting(downloadId, dVar.dv());
                boolean z3 = dVar.z();
                boolean z4 = (DownloadSetting.obtain(downloadId).optInt("modify_force", 1) == 1 && !z3 && DownloadUtils.isFileExist(str2, yl) && Downloader.getInstance(dVar.getContext()).getDownloadInfo(downloadId) == null) ? true : z3;
                com.ss.android.socialbase.appdownloader.u.k e2 = dVar.e();
                if (e2 == null && (dVar.u() || dVar.d())) {
                    if (dVar.a() != null) {
                        e2 = new com.ss.android.socialbase.appdownloader.u.k(dVar.a());
                    } else {
                        i2 = downloadId;
                        str = str2;
                        e2 = new com.ss.android.socialbase.appdownloader.u.k(dVar.getContext(), downloadId, k2, str, yl, dVar.n());
                        vx = dVar.vx();
                        if (vx == null) {
                            vx = new IDownloadDepend() { // from class: com.ss.android.socialbase.appdownloader.yo.2
                                @Override // com.ss.android.socialbase.downloader.depend.IDownloadDepend
                                public void monitorLogSend(DownloadInfo downloadInfo2, BaseException baseException, int i4) {
                                    if (yo.this.f1949n != null) {
                                        yo.this.f1949n.zj(downloadInfo2, baseException, i4);
                                    }
                                }
                            };
                        }
                        downloadCompleteHandlers = DownloadComponentManager.getDownloadCompleteHandlers();
                        if (!downloadCompleteHandlers.isEmpty()) {
                            for (IDownloadCompleteHandler iDownloadCompleteHandler : downloadCompleteHandlers) {
                                dVar.zj(iDownloadCompleteHandler);
                            }
                        }
                        n2 = dVar.n();
                        if (TextUtils.isEmpty(n2)) {
                            jSONObject = new JSONObject(n2);
                        } else {
                            jSONObject = new JSONObject();
                        }
                        jSONObject.put("auto_install_with_notification", dVar.om());
                        jSONObject.put(DownloadConstants.AUTO_INSTALL_WITHOUT_NOTIFICATION, dVar.d());
                        String jSONObject2 = jSONObject.toString();
                        if (!dVar.u() && !dVar.d()) {
                            z = false;
                            if (z || DownloadSetting.obtain(i2).optInt(DownloadSettingKeys.OPT_NOTIFICATION_UI) < 1) {
                                i3 = i2;
                            } else {
                                i3 = i2;
                                com.ss.android.socialbase.appdownloader.u.q.zj().zj(i3, dVar.yi());
                            }
                            autoInstall = BaseDownloader.with(dVar.getContext()).url(zj3).backUpUrls(dVar.mt()).name(yl).title(k2).savePath(str).onlyWifi(dVar.kp()).extraHeaders(zj2).depend(vx).retryCount(dVar.ky()).backUpUrlRetryCount(dVar.iu()).showNotification(z).extra(jSONObject2).mimeType(x).minProgressTimeMsInterval(dVar.wl()).maxProgressCount(dVar.pt()).mainThreadListener(dVar.wy()).notificationListener(e2).notificationEventListener(zj(dVar.hm())).force(z4).autoResumed(dVar.t()).showNotificationForAutoResumed(dVar.cy()).chunkStategy(dVar.w()).chunkAdjustCalculator(dVar.pr()).needHttpsToHttpRetry(dVar.ja()).packageName(dVar.i()).md5(dVar.b()).expectFileLength(dVar.fe()).needRetryDelay(dVar.h()).retryDelayTimeArray(dVar.jr()).needDefaultHttpServiceBackUp(dVar.v()).needReuseFirstConnection(dVar.lj()).needReuseChunkRunnable(dVar.o()).needIndependentProcess(dVar.qx()).enqueueType(dVar.jy()).monitorDepend(dVar.gi()).retryDelayTimeCalculator(dVar.j()).headConnectionAvailable(dVar.ks()).fileUriProvider(dVar.r()).diskSpaceHandler(dVar.gl()).needChunkDowngradeRetry(dVar.m()).notificationClickCallback(dVar.iq()).downloadSetting(dVar.dv()).iconUrl(dVar.yi()).needSDKMonitor(dVar.oi()).monitorScene(dVar.pp()).extraMonitorStatus(dVar.sq()).executorGroup(dVar.dt()).throttleNetSpeed(dVar.ob()).distinctDirectory(dVar.ib()).setAutoInstall(dVar.wn());
                            if (autoInstall != null && !dVar.y().isEmpty()) {
                                autoInstall.setDownloadCompleteHandlers(dVar.y());
                            }
                            if (autoInstall != null) {
                                if (z && dVar.ee() && dVar.getActivity() != null && !dVar.getActivity().isFinishing() && !com.ss.android.socialbase.appdownloader.u.yo.zj()) {
                                    com.ss.android.socialbase.appdownloader.u.yo.zj(dVar.getActivity(), new a() { // from class: com.ss.android.socialbase.appdownloader.yo.3
                                        @Override // com.ss.android.socialbase.appdownloader.q.a
                                        public void k() {
                                            String str3 = yo.zj;
                                            Logger.d(str3, "notification permission denied, start download :" + k2);
                                            yo.this.zj(autoInstall, s, z2);
                                        }

                                        @Override // com.ss.android.socialbase.appdownloader.q.a
                                        public void zj() {
                                            String str3 = yo.zj;
                                            Logger.d(str3, "notification permission granted, start download :" + k2);
                                            yo.this.zj(autoInstall, s, z2);
                                        }
                                    });
                                } else {
                                    String str3 = zj;
                                    Logger.d(str3, "notification permission need not request, start download :" + k2);
                                    zj(autoInstall, s, z2);
                                    autoInstall.getDownloadInfo();
                                }
                            }
                            return i3;
                        }
                        z = true;
                        if (z) {
                        }
                        i3 = i2;
                        autoInstall = BaseDownloader.with(dVar.getContext()).url(zj3).backUpUrls(dVar.mt()).name(yl).title(k2).savePath(str).onlyWifi(dVar.kp()).extraHeaders(zj2).depend(vx).retryCount(dVar.ky()).backUpUrlRetryCount(dVar.iu()).showNotification(z).extra(jSONObject2).mimeType(x).minProgressTimeMsInterval(dVar.wl()).maxProgressCount(dVar.pt()).mainThreadListener(dVar.wy()).notificationListener(e2).notificationEventListener(zj(dVar.hm())).force(z4).autoResumed(dVar.t()).showNotificationForAutoResumed(dVar.cy()).chunkStategy(dVar.w()).chunkAdjustCalculator(dVar.pr()).needHttpsToHttpRetry(dVar.ja()).packageName(dVar.i()).md5(dVar.b()).expectFileLength(dVar.fe()).needRetryDelay(dVar.h()).retryDelayTimeArray(dVar.jr()).needDefaultHttpServiceBackUp(dVar.v()).needReuseFirstConnection(dVar.lj()).needReuseChunkRunnable(dVar.o()).needIndependentProcess(dVar.qx()).enqueueType(dVar.jy()).monitorDepend(dVar.gi()).retryDelayTimeCalculator(dVar.j()).headConnectionAvailable(dVar.ks()).fileUriProvider(dVar.r()).diskSpaceHandler(dVar.gl()).needChunkDowngradeRetry(dVar.m()).notificationClickCallback(dVar.iq()).downloadSetting(dVar.dv()).iconUrl(dVar.yi()).needSDKMonitor(dVar.oi()).monitorScene(dVar.pp()).extraMonitorStatus(dVar.sq()).executorGroup(dVar.dt()).throttleNetSpeed(dVar.ob()).distinctDirectory(dVar.ib()).setAutoInstall(dVar.wn());
                        if (autoInstall != null) {
                            autoInstall.setDownloadCompleteHandlers(dVar.y());
                        }
                        if (autoInstall != null) {
                        }
                        return i3;
                    }
                }
                i2 = downloadId;
                str = str2;
                vx = dVar.vx();
                if (vx == null) {
                }
                downloadCompleteHandlers = DownloadComponentManager.getDownloadCompleteHandlers();
                if (!downloadCompleteHandlers.isEmpty()) {
                }
                n2 = dVar.n();
                if (TextUtils.isEmpty(n2)) {
                }
                jSONObject.put("auto_install_with_notification", dVar.om());
                jSONObject.put(DownloadConstants.AUTO_INSTALL_WITHOUT_NOTIFICATION, dVar.d());
                String jSONObject22 = jSONObject.toString();
                if (!dVar.u()) {
                    z = false;
                    if (z) {
                    }
                    i3 = i2;
                    autoInstall = BaseDownloader.with(dVar.getContext()).url(zj3).backUpUrls(dVar.mt()).name(yl).title(k2).savePath(str).onlyWifi(dVar.kp()).extraHeaders(zj2).depend(vx).retryCount(dVar.ky()).backUpUrlRetryCount(dVar.iu()).showNotification(z).extra(jSONObject22).mimeType(x).minProgressTimeMsInterval(dVar.wl()).maxProgressCount(dVar.pt()).mainThreadListener(dVar.wy()).notificationListener(e2).notificationEventListener(zj(dVar.hm())).force(z4).autoResumed(dVar.t()).showNotificationForAutoResumed(dVar.cy()).chunkStategy(dVar.w()).chunkAdjustCalculator(dVar.pr()).needHttpsToHttpRetry(dVar.ja()).packageName(dVar.i()).md5(dVar.b()).expectFileLength(dVar.fe()).needRetryDelay(dVar.h()).retryDelayTimeArray(dVar.jr()).needDefaultHttpServiceBackUp(dVar.v()).needReuseFirstConnection(dVar.lj()).needReuseChunkRunnable(dVar.o()).needIndependentProcess(dVar.qx()).enqueueType(dVar.jy()).monitorDepend(dVar.gi()).retryDelayTimeCalculator(dVar.j()).headConnectionAvailable(dVar.ks()).fileUriProvider(dVar.r()).diskSpaceHandler(dVar.gl()).needChunkDowngradeRetry(dVar.m()).notificationClickCallback(dVar.iq()).downloadSetting(dVar.dv()).iconUrl(dVar.yi()).needSDKMonitor(dVar.oi()).monitorScene(dVar.pp()).extraMonitorStatus(dVar.sq()).executorGroup(dVar.dt()).throttleNetSpeed(dVar.ob()).distinctDirectory(dVar.ib()).setAutoInstall(dVar.wn());
                    if (autoInstall != null) {
                    }
                    if (autoInstall != null) {
                    }
                    return i3;
                }
                z = true;
                if (z) {
                }
                i3 = i2;
                autoInstall = BaseDownloader.with(dVar.getContext()).url(zj3).backUpUrls(dVar.mt()).name(yl).title(k2).savePath(str).onlyWifi(dVar.kp()).extraHeaders(zj2).depend(vx).retryCount(dVar.ky()).backUpUrlRetryCount(dVar.iu()).showNotification(z).extra(jSONObject22).mimeType(x).minProgressTimeMsInterval(dVar.wl()).maxProgressCount(dVar.pt()).mainThreadListener(dVar.wy()).notificationListener(e2).notificationEventListener(zj(dVar.hm())).force(z4).autoResumed(dVar.t()).showNotificationForAutoResumed(dVar.cy()).chunkStategy(dVar.w()).chunkAdjustCalculator(dVar.pr()).needHttpsToHttpRetry(dVar.ja()).packageName(dVar.i()).md5(dVar.b()).expectFileLength(dVar.fe()).needRetryDelay(dVar.h()).retryDelayTimeArray(dVar.jr()).needDefaultHttpServiceBackUp(dVar.v()).needReuseFirstConnection(dVar.lj()).needReuseChunkRunnable(dVar.o()).needIndependentProcess(dVar.qx()).enqueueType(dVar.jy()).monitorDepend(dVar.gi()).retryDelayTimeCalculator(dVar.j()).headConnectionAvailable(dVar.ks()).fileUriProvider(dVar.r()).diskSpaceHandler(dVar.gl()).needChunkDowngradeRetry(dVar.m()).notificationClickCallback(dVar.iq()).downloadSetting(dVar.dv()).iconUrl(dVar.yi()).needSDKMonitor(dVar.oi()).monitorScene(dVar.pp()).extraMonitorStatus(dVar.sq()).executorGroup(dVar.dt()).throttleNetSpeed(dVar.ob()).distinctDirectory(dVar.ib()).setAutoInstall(dVar.wn());
                if (autoInstall != null) {
                }
                if (autoInstall != null) {
                }
                return i3;
            }
            return 0;
        } catch (Throwable th) {
            DownloadMonitorHelper.monitorSendWithTaskMonitor(dVar.gi(), null, new BaseException(1003, DownloadUtils.getErrorMsgWithTagPrefix(th, "addDownloadTask")), 0);
            Logger.e(zj, String.format("add download task error:%s", th));
            return 0;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void zj(DownloadTask downloadTask, int i2, boolean z) {
        if (downloadTask == null) {
            return;
        }
        downloadTask.download();
        DownloadInfo downloadInfo = downloadTask.getDownloadInfo();
        if (downloadInfo != null) {
            downloadInfo.setAntiHijackErrorCode(i2);
        }
        if (downloadInfo == null || !z) {
            return;
        }
        downloadInfo.setSavePathRedirected(z);
    }

    private List<HttpHeader> zj(List<HttpHeader> list) {
        ArrayList arrayList = new ArrayList();
        boolean z = false;
        if (list != null && list.size() > 0) {
            for (HttpHeader httpHeader : list) {
                if (httpHeader != null && !TextUtils.isEmpty(httpHeader.getName()) && !TextUtils.isEmpty(httpHeader.getValue())) {
                    if (httpHeader.getName().equals("User-Agent")) {
                        z = true;
                    }
                    arrayList.add(new HttpHeader(httpHeader.getName(), httpHeader.getValue()));
                }
            }
        }
        if (!z) {
            arrayList.add(new HttpHeader("User-Agent", com.ss.android.socialbase.appdownloader.k.zj.zj));
        }
        return arrayList;
    }

    public String zj(String str, String str2) {
        return (TextUtils.isEmpty(str) || !str.endsWith(".apk") || q.q(str2)) ? str2 : AdBaseConstants.MIME_APK;
    }

    private IDownloadNotificationEventListener zj(final com.ss.android.socialbase.appdownloader.q.u uVar) {
        if (uVar == null) {
            return null;
        }
        return new IDownloadNotificationEventListener() { // from class: com.ss.android.socialbase.appdownloader.yo.4
            @Override // com.ss.android.socialbase.downloader.depend.IDownloadNotificationEventListener
            public String getNotifyProcessName() {
                return uVar.zj();
            }

            @Override // com.ss.android.socialbase.downloader.depend.IDownloadNotificationEventListener
            public boolean interceptAfterNotificationSuccess(boolean z) {
                return uVar.zj(z);
            }

            @Override // com.ss.android.socialbase.downloader.depend.IDownloadNotificationEventListener
            public void onNotificationEvent(int i2, DownloadInfo downloadInfo, String str, String str2) {
                if (i2 != 1 && i2 != 3) {
                    switch (i2) {
                        case 5:
                        case 6:
                        case 7:
                            break;
                        case 8:
                            uVar.zj(i2, downloadInfo.getPackageName(), str, str2);
                            return;
                        case 9:
                            uVar.zj(DownloadComponentManager.getAppContext(), str);
                            return;
                        case 10:
                            uVar.zj(downloadInfo);
                            return;
                        default:
                            return;
                    }
                }
                uVar.zj(i2, str, downloadInfo.getStatus(), downloadInfo.getDownloadTime());
            }
        };
    }

    public DownloadInfo zj(Context context, String str) {
        if (!TextUtils.isEmpty(str) && context != null) {
            try {
                DownloadInfo zj2 = zj(context, str, kp());
                if (zj2 == null) {
                    zj2 = zj(context, str, context.getExternalFilesDir(Environment.DIRECTORY_DOWNLOADS));
                }
                if (zj2 == null) {
                    zj2 = zj(context, str, Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DOWNLOADS));
                }
                if (zj2 == null) {
                    zj2 = zj(context, str, context.getFilesDir());
                }
                return (zj2 == null && DownloadSetting.obtainGlobal().optBugFix(DownloadSettingKeys.BugFix.BUGFIX_GET_DOWNLOAD_INFO_BY_LIST)) ? k(context, str) : zj2;
            } catch (Throwable th) {
                Logger.d(zj, String.format("getAppDownloadInfo error:%s", th.getMessage()));
            }
        }
        return null;
    }

    private DownloadInfo zj(Context context, String str, File file) {
        if (context == null || TextUtils.isEmpty(str) || file == null) {
            return null;
        }
        return Downloader.getInstance(context).getDownloadInfo(str, file.getAbsolutePath());
    }

    public List<DownloadInfo> zj(Context context) {
        return Downloader.getInstance(context).getUnCompletedDownloadInfosWithMimeType(AdBaseConstants.MIME_APK);
    }

    public void zj(com.ss.android.socialbase.appdownloader.q.om omVar) {
        this.x = omVar;
    }

    public void zj(IReserveWifiStatusListener iReserveWifiStatusListener) {
        Downloader.getInstance(DownloadComponentManager.getAppContext()).setReserveWifiStatusListener(iReserveWifiStatusListener);
    }

    public void zj(IInstallAppHandler iInstallAppHandler) {
        this.pr = iInstallAppHandler;
    }

    public void zj(IOpenInstallerListener iOpenInstallerListener) {
        this.t = iOpenInstallerListener;
    }
}
