package com.ss.android.socialbase.appdownloader.yo;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.ss.android.socialbase.appdownloader.q;
import com.ss.android.socialbase.appdownloader.q.om;
import com.ss.android.socialbase.appdownloader.yo;
import com.ss.android.socialbase.downloader.downloader.DownloadComponentManager;
import com.ss.android.socialbase.downloader.downloader.Downloader;
import com.ss.android.socialbase.downloader.downloader.IDownloadLaunchHandler;
import com.ss.android.socialbase.downloader.downloader.IReserveWifiStatusListener;
import com.ss.android.socialbase.downloader.impls.RetryScheduler;
import com.ss.android.socialbase.downloader.logger.Logger;
import com.ss.android.socialbase.downloader.model.DownloadInfo;
import com.ss.android.socialbase.downloader.notification.AbsNotificationItem;
import com.ss.android.socialbase.downloader.notification.DownloadNotificationManager;
import com.ss.android.socialbase.downloader.setting.DownloadSetting;
import com.ss.android.socialbase.downloader.utils.DownloadUtils;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class k implements IDownloadLaunchHandler {

    /* renamed from: k  reason: collision with root package name */
    public BroadcastReceiver f1952k;
    public List<Integer> zj;

    @Override // com.ss.android.socialbase.downloader.downloader.IDownloadLaunchHandler
    public List<String> getResumeMimeTypes() {
        return q.q();
    }

    @Override // com.ss.android.socialbase.downloader.downloader.IDownloadLaunchHandler
    public void onLaunchResume(final List<DownloadInfo> list, final int i2) {
        if (DownloadUtils.isMainThread()) {
            DownloadComponentManager.getCPUThreadExecutor().execute(new Runnable() { // from class: com.ss.android.socialbase.appdownloader.yo.k.1
                @Override // java.lang.Runnable
                public void run() {
                    try {
                        k.this.zj(list, i2);
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
            });
        } else {
            zj(list, i2);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void zj(List<DownloadInfo> list, int i2) {
        if (list == null || list.isEmpty()) {
            return;
        }
        om x = yo.e().x();
        if (x != null) {
            x.zj(list);
        }
        Context appContext = DownloadComponentManager.getAppContext();
        if (appContext == null) {
            return;
        }
        boolean isWifi = DownloadUtils.isWifi(appContext);
        for (DownloadInfo downloadInfo : list) {
            zj(appContext, downloadInfo, isWifi, i2);
        }
        List<Integer> list2 = this.zj;
        if (list2 == null || list2.isEmpty() || this.f1952k != null) {
            return;
        }
        this.f1952k = new BroadcastReceiver() { // from class: com.ss.android.socialbase.appdownloader.yo.k.2
            @Override // android.content.BroadcastReceiver
            public void onReceive(Context context, Intent intent) {
                final Context applicationContext = context.getApplicationContext();
                if (DownloadUtils.isWifi(applicationContext)) {
                    Logger.d("LaunchResume", "onReceive : wifi connected !!!");
                    DownloadComponentManager.getCPUThreadExecutor().execute(new Runnable() { // from class: com.ss.android.socialbase.appdownloader.yo.k.2.1
                        @Override // java.lang.Runnable
                        public void run() {
                            try {
                                if (k.this.zj != null && !k.this.zj.isEmpty()) {
                                    int size = k.this.zj.size();
                                    Integer[] numArr = new Integer[size];
                                    k.this.zj.toArray(numArr);
                                    k.this.zj.clear();
                                    for (int i3 = 0; i3 < size; i3++) {
                                        DownloadInfo downloadInfo2 = Downloader.getInstance(applicationContext).getDownloadInfo(numArr[i3].intValue());
                                        if (downloadInfo2 != null && (downloadInfo2.getRealStatus() == -5 || (downloadInfo2.getRealStatus() == -2 && downloadInfo2.isPauseReserveOnWifi()))) {
                                            k.this.zj(applicationContext, downloadInfo2, true, 2);
                                        }
                                    }
                                }
                            } catch (Exception e2) {
                                e2.printStackTrace();
                            }
                        }
                    });
                    try {
                        applicationContext.unregisterReceiver(k.this.f1952k);
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                    k.this.f1952k = null;
                }
            }
        };
        try {
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
            appContext.registerReceiver(this.f1952k, intentFilter);
        } catch (Throwable th) {
            th.printStackTrace();
            this.f1952k = null;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Removed duplicated region for block: B:100:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:102:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:27:0x008b  */
    /* JADX WARN: Removed duplicated region for block: B:55:0x013a  */
    /* JADX WARN: Removed duplicated region for block: B:74:0x01bf  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void zj(Context context, DownloadInfo downloadInfo, boolean z, int i2) {
        String str;
        boolean z2;
        int i3;
        String str2;
        String str3;
        boolean z3;
        boolean z4;
        om x;
        if (downloadInfo == null || !downloadInfo.isShowNotification()) {
            return;
        }
        int realStatus = downloadInfo.getRealStatus();
        if (realStatus == -5 && ("application/ttpatch".equalsIgnoreCase(downloadInfo.getMimeType()) || !downloadInfo.isDownloaded())) {
            DownloadSetting obtain = DownloadSetting.obtain(downloadInfo.getId());
            int optInt = obtain.optInt("failed_resume_max_count", 0);
            double optDouble = obtain.optDouble("failed_resume_max_hours", 72.0d);
            double optDouble2 = obtain.optDouble("failed_resume_min_hours", 12.0d);
            long currentTimeMillis = System.currentTimeMillis();
            if (downloadInfo.getFailedResumeCount() < optInt) {
                str2 = ", canShowNotification = ";
                str3 = "LaunchResume";
                if (currentTimeMillis - downloadInfo.getLastDownloadTime() < optDouble * 3600000.0d && currentTimeMillis - downloadInfo.getLastFailedResumeTime() > optDouble2 * 3600000.0d) {
                    z3 = true;
                    if (downloadInfo.isPauseReserveOnWifi() && z) {
                        z3 = true;
                    }
                    if (z3) {
                        boolean z5 = obtain.optInt("failed_resume_need_wifi", 1) == 1;
                        boolean z6 = obtain.optInt("failed_resume_need_wait_wifi", 0) == 1;
                        if (!z && z5 && z6) {
                            if (this.zj == null) {
                                this.zj = new ArrayList();
                            }
                            int id = downloadInfo.getId();
                            if (!this.zj.contains(Integer.valueOf(id))) {
                                this.zj.add(Integer.valueOf(id));
                            }
                            downloadInfo.setOnlyWifi(true);
                            RetryScheduler.getInstance().tryStartScheduleRetry(downloadInfo);
                        } else {
                            z4 = true;
                            q.zj(downloadInfo, true, z5);
                            downloadInfo.setLastFailedResumeTime(currentTimeMillis);
                            downloadInfo.setFailedResumeCount(downloadInfo.getFailedResumeCount() + 1);
                            downloadInfo.updateSpData();
                            if (downloadInfo.isPauseReserveOnWifi() && z) {
                                downloadInfo.setDownloadFromReserveWifi(true);
                                IReserveWifiStatusListener ja = yo.e().ja();
                                if (ja != null) {
                                    ja.onStatusChanged(downloadInfo, 5, i2);
                                }
                            }
                            Logger.i(str3, "launchResume, name = " + downloadInfo.getTitle() + str2 + z3 + ", downloadResumed = " + z4);
                            x = yo.e().x();
                            if (x != null) {
                                x.zj(downloadInfo, z4);
                                return;
                            }
                            return;
                        }
                    }
                    z4 = false;
                    Logger.i(str3, "launchResume, name = " + downloadInfo.getTitle() + str2 + z3 + ", downloadResumed = " + z4);
                    x = yo.e().x();
                    if (x != null) {
                    }
                }
            } else {
                str2 = ", canShowNotification = ";
                str3 = "LaunchResume";
            }
            z3 = false;
            if (downloadInfo.isPauseReserveOnWifi()) {
                z3 = true;
            }
            if (z3) {
            }
            z4 = false;
            Logger.i(str3, "launchResume, name = " + downloadInfo.getTitle() + str2 + z3 + ", downloadResumed = " + z4);
            x = yo.e().x();
            if (x != null) {
            }
        } else if (realStatus != -3 || !zj(downloadInfo)) {
            if (realStatus == -2) {
                if (!downloadInfo.isPauseReserveOnWifi()) {
                    zj(downloadInfo, context);
                } else if (z) {
                    q.zj(downloadInfo, true, true);
                    downloadInfo.updateSpData();
                    downloadInfo.setDownloadFromReserveWifi(true);
                    om x2 = yo.e().x();
                    if (x2 != null) {
                        x2.zj(downloadInfo, true);
                    }
                    IReserveWifiStatusListener ja2 = yo.e().ja();
                    if (ja2 != null) {
                        ja2.onStatusChanged(downloadInfo, 5, i2);
                    }
                } else {
                    if (this.zj == null) {
                        this.zj = new ArrayList();
                    }
                    int id2 = downloadInfo.getId();
                    if (!this.zj.contains(Integer.valueOf(id2))) {
                        this.zj.add(Integer.valueOf(id2));
                    }
                    RetryScheduler.getInstance().tryStartScheduleRetry(downloadInfo);
                    zj(downloadInfo, context);
                }
            }
        } else {
            DownloadSetting obtain2 = DownloadSetting.obtain(downloadInfo.getId());
            if (q.zj(context, downloadInfo)) {
                return;
            }
            int optInt2 = obtain2.optInt("uninstall_resume_max_count", 0);
            double optDouble3 = obtain2.optDouble("uninstall_resume_max_hours", 72.0d);
            double optDouble4 = obtain2.optDouble("uninstall_resume_min_hours", 12.0d);
            long currentTimeMillis2 = System.currentTimeMillis();
            if (downloadInfo.getUninstallResumeCount() < optInt2) {
                str = "LaunchResume";
                if (currentTimeMillis2 - downloadInfo.getLastDownloadTime() < optDouble3 * 3600000.0d && currentTimeMillis2 - downloadInfo.getLastUninstallResumeTime() > optDouble4 * 3600000.0d) {
                    z2 = true;
                    Logger.i(str, "uninstallResume, name = " + downloadInfo.getTitle() + ", canShowNotification = " + z2);
                    if (z2) {
                        return;
                    }
                    AbsNotificationItem notificationItem = DownloadNotificationManager.getInstance().getNotificationItem(downloadInfo.getId());
                    if (notificationItem == null) {
                        i3 = 1;
                        com.ss.android.socialbase.appdownloader.u.zj zjVar = new com.ss.android.socialbase.appdownloader.u.zj(context, downloadInfo.getId(), downloadInfo.getTitle(), downloadInfo.getSavePath(), downloadInfo.getName(), downloadInfo.getExtra());
                        DownloadNotificationManager.getInstance().addNotification(zjVar);
                        notificationItem = zjVar;
                    } else {
                        i3 = 1;
                        notificationItem.updateNotificationItem(downloadInfo);
                    }
                    notificationItem.setTotalBytes(downloadInfo.getTotalBytes());
                    notificationItem.setCurBytes(downloadInfo.getTotalBytes());
                    notificationItem.refreshStatus(downloadInfo.getStatus(), null, false, false);
                    downloadInfo.setLastUninstallResumeTime(currentTimeMillis2);
                    downloadInfo.setUninstallResumeCount(downloadInfo.getUninstallResumeCount() + i3);
                    downloadInfo.updateSpData();
                    return;
                }
            } else {
                str = "LaunchResume";
            }
            z2 = false;
            Logger.i(str, "uninstallResume, name = " + downloadInfo.getTitle() + ", canShowNotification = " + z2);
            if (z2) {
            }
        }
    }

    private void zj(DownloadInfo downloadInfo, Context context) {
        DownloadSetting obtain = DownloadSetting.obtain(downloadInfo.getId());
        int optInt = obtain.optInt("paused_resume_max_count", 0);
        double optDouble = obtain.optDouble("paused_resume_max_hours", 72.0d);
        int pausedResumeCount = downloadInfo.getPausedResumeCount();
        if (pausedResumeCount < optInt && ((double) (System.currentTimeMillis() - downloadInfo.getLastDownloadTime())) < optDouble * 3600000.0d) {
            AbsNotificationItem notificationItem = DownloadNotificationManager.getInstance().getNotificationItem(downloadInfo.getId());
            if (notificationItem == null) {
                notificationItem = new com.ss.android.socialbase.appdownloader.u.zj(context, downloadInfo.getId(), downloadInfo.getTitle(), downloadInfo.getSavePath(), downloadInfo.getName(), downloadInfo.getExtra());
                DownloadNotificationManager.getInstance().addNotification(notificationItem);
            } else {
                notificationItem.updateNotificationItem(downloadInfo);
            }
            notificationItem.setTotalBytes(downloadInfo.getTotalBytes());
            notificationItem.setCurBytes(downloadInfo.getCurBytes());
            notificationItem.refreshStatus(downloadInfo.getStatus(), null, false, false);
            downloadInfo.setPausedResumeCount(pausedResumeCount + 1);
            downloadInfo.updateSpData();
        }
    }

    private boolean zj(DownloadInfo downloadInfo) {
        if (DownloadSetting.obtain(downloadInfo.getId()).optBugFix("uninstall_can_not_resume_for_force_task", false)) {
            return DownloadUtils.isFileDownloaded(downloadInfo, false, downloadInfo.getMd5());
        }
        return downloadInfo.isDownloaded();
    }
}
