package com.ss.android.socialbase.downloader.impls;

import android.text.TextUtils;
import com.joke.chongya.basecommons.view.loading.util.VectorCommand;
import com.ss.android.socialbase.downloader.downloader.IRetryDelayTimeCalculator;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class RetryDelayTimeParamCalculator implements IRetryDelayTimeCalculator {
    public final long[] mTimeArray;

    public RetryDelayTimeParamCalculator(String str) {
        this.mTimeArray = parseTimeArray(str);
    }

    private long[] parseTimeArray(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        try {
            String[] split = str.split(VectorCommand.SVG_ARG_DELIMITER);
            if (split.length == 0) {
                return null;
            }
            long[] jArr = new long[split.length];
            for (int i2 = 0; i2 < split.length; i2++) {
                jArr[i2] = Long.parseLong(split[i2]);
            }
            return jArr;
        } catch (Throwable th) {
            th.printStackTrace();
            return null;
        }
    }

    @Override // com.ss.android.socialbase.downloader.downloader.IRetryDelayTimeCalculator
    public long calculateRetryDelayTime(int i2, int i3) {
        long[] jArr = this.mTimeArray;
        if (jArr == null || jArr.length <= 0) {
            return 0L;
        }
        int i4 = i2 - 1;
        if (i4 < 0) {
            i4 = 0;
        }
        long[] jArr2 = this.mTimeArray;
        if (i4 > jArr2.length - 1) {
            i4 = jArr2.length - 1;
        }
        return this.mTimeArray[i4];
    }
}
