package com.ss.android.socialbase.downloader.thread;

import android.os.Handler;
import android.os.HandlerThread;
import android.os.Looper;
import java.util.Queue;
import java.util.concurrent.ConcurrentLinkedQueue;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class ThreadWithHandler {
    public InnerThread handlerThread;
    public Object lock = new Object();
    public Queue<MessageEntity> mCacheQueue = new ConcurrentLinkedQueue();
    public Handler mHandler;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class InnerThread extends HandlerThread {
        public InnerThread(String str) {
            super(str);
        }

        @Override // android.os.HandlerThread
        public void onLooperPrepared() {
            super.onLooperPrepared();
            Looper looper = getLooper();
            synchronized (ThreadWithHandler.this.lock) {
                ThreadWithHandler.this.mHandler = new Handler(looper);
            }
            while (!ThreadWithHandler.this.mCacheQueue.isEmpty()) {
                MessageEntity messageEntity = (MessageEntity) ThreadWithHandler.this.mCacheQueue.poll();
                ThreadWithHandler.this.mHandler.postDelayed(messageEntity.target, messageEntity.delayMillis);
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class MessageEntity {
        public long delayMillis;
        public Runnable target;

        public MessageEntity(Runnable runnable, long j2) {
            this.target = runnable;
            this.delayMillis = j2;
        }
    }

    public ThreadWithHandler(String str) {
        this.handlerThread = new InnerThread(str);
    }

    public void post(Runnable runnable) {
        postDelayed(runnable, 0L);
    }

    public void postDelayed(Runnable runnable, long j2) {
        if (this.mHandler == null) {
            synchronized (this.lock) {
                if (this.mHandler == null) {
                    this.mCacheQueue.add(new MessageEntity(runnable, j2));
                    return;
                }
            }
        }
        this.mHandler.postDelayed(runnable, j2);
    }

    public void quit() {
        this.handlerThread.quit();
    }

    public void start() {
        this.handlerThread.start();
    }
}
