package com.ss.android.socialbase.downloader.utils;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class DownloadStenographer {
    public static final int MAX_NODE_COUNT = 20;
    public static final int SECONDS_TO_MILLS = 1000;
    public int count;
    public Node head;
    public int maxCount;
    public Node tail;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class Node {
        public long curBytes;
        public Node next;
        public Node prev;
        public long when;

        public Node() {
        }
    }

    public DownloadStenographer() {
        this.maxCount = 10;
    }

    private Node findFirstNodeNearWhen(long j2) {
        Node node = this.head;
        Node node2 = null;
        while (node != null && node.when > j2) {
            node2 = node;
            node = node.next;
        }
        return (node == null || node2 == null || node == node2 || j2 - node.when >= node2.when - j2) ? node2 : node;
    }

    private Node obtainNode() {
        Node node;
        if (this.count >= this.maxCount && (node = this.tail) != null) {
            Node node2 = node.prev;
            node.prev = null;
            this.tail = node2;
            if (node2 != null) {
                node2.next = null;
            }
            return node;
        }
        this.count++;
        return new Node();
    }

    public long getRecentDownloadSpeed(long j2, long j3) {
        synchronized (this) {
            Node node = this.head;
            if (node == null) {
                return -1L;
            }
            Node findFirstNodeNearWhen = findFirstNodeNearWhen(j2);
            if (findFirstNodeNearWhen == null) {
                return -1L;
            }
            long j4 = node.curBytes - findFirstNodeNearWhen.curBytes;
            long j5 = j3 - findFirstNodeNearWhen.when;
            if (j4 < 0 || j5 <= 0) {
                return -1L;
            }
            return j4 / j5;
        }
    }

    public boolean markProgress(long j2, long j3) {
        synchronized (this) {
            Node node = this.head;
            if (node != null) {
                if (j2 >= node.curBytes && j3 >= node.when) {
                    Node node2 = node.next;
                    if (node2 != null && j3 - node2.when < 1000) {
                        node.curBytes = j2;
                        node.when = j3;
                        return true;
                    }
                }
                return false;
            }
            Node obtainNode = obtainNode();
            obtainNode.curBytes = j2;
            obtainNode.when = j3;
            if (node != null) {
                obtainNode.next = node;
                node.prev = obtainNode;
            }
            this.head = obtainNode;
            return true;
        }
    }

    public DownloadStenographer(int i2) {
        this.maxCount = i2 > 20 ? 20 : i2;
    }
}
