package com.umeng.commonsdk.framework;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.FileObserver;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import com.umeng.commonsdk.debug.UMRTLog;
import com.umeng.commonsdk.internal.b;
import com.umeng.commonsdk.internal.crash.UMCrashManager;
import com.umeng.commonsdk.service.UMGlobalContext;
import com.umeng.commonsdk.statistics.c;
import com.umeng.commonsdk.statistics.common.DeviceConfig;
import com.umeng.commonsdk.statistics.common.ULog;
import com.umeng.commonsdk.statistics.idtracking.ImprintHandler;
import com.umeng.commonsdk.statistics.internal.UMImprintChangeCallback;
import java.io.File;
import java.util.ArrayList;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.ReentrantLock;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class a implements UMImprintChangeCallback {
    public static HandlerThread a = null;
    public static Handler b = null;

    /* renamed from: c  reason: collision with root package name */
    public static Handler f2527c = null;

    /* renamed from: d  reason: collision with root package name */
    public static final int f2528d = 200;

    /* renamed from: e  reason: collision with root package name */
    public static final int f2529e = 273;

    /* renamed from: f  reason: collision with root package name */
    public static final int f2530f = 274;

    /* renamed from: g  reason: collision with root package name */
    public static final int f2531g = 512;

    /* renamed from: h  reason: collision with root package name */
    public static final int f2532h = 769;

    /* renamed from: i  reason: collision with root package name */
    public static FileObserverC0224a f2533i = null;

    /* renamed from: j  reason: collision with root package name */
    public static ConnectivityManager f2534j = null;

    /* renamed from: k  reason: collision with root package name */
    public static NetworkInfo f2535k = null;

    /* renamed from: l  reason: collision with root package name */
    public static IntentFilter f2536l = null;

    /* renamed from: m  reason: collision with root package name */
    public static boolean f2537m = false;

    /* renamed from: n  reason: collision with root package name */
    public static ArrayList<UMSenderStateNotify> f2538n = null;
    public static final String q = "report_policy";
    public static final String r = "report_interval";
    public static final int t = 15;
    public static final int u = 3;
    public static final int v = 90;
    public static BroadcastReceiver y;

    /* renamed from: o  reason: collision with root package name */
    public static Object f2539o = new Object();

    /* renamed from: p  reason: collision with root package name */
    public static ReentrantLock f2540p = new ReentrantLock();
    public static boolean s = false;
    public static int w = 15;
    public static Object x = new Object();

    /* compiled from: AAA */
    /* renamed from: com.umeng.commonsdk.framework.a$a  reason: collision with other inner class name */
    /* loaded from: classes3.dex */
    public static class FileObserverC0224a extends FileObserver {
        public FileObserverC0224a(String str) {
            super(str);
        }

        @Override // android.os.FileObserver
        public void onEvent(int i2, String str) {
            if ((i2 & 8) != 8) {
                return;
            }
            ULog.d("--->>> envelope file created >>> " + str);
            UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> envelope file created >>> " + str);
            a.c(273);
        }
    }

    static {
        Context appContext = UMGlobalContext.getAppContext();
        if (appContext != null) {
            f2534j = (ConnectivityManager) appContext.getSystemService("connectivity");
        }
        y = new BroadcastReceiver() { // from class: com.umeng.commonsdk.framework.a.1
            @Override // android.content.BroadcastReceiver
            public void onReceive(Context context, Intent intent) {
                int size;
                if (intent.getAction().equals("android.net.conn.CONNECTIVITY_CHANGE")) {
                    Context appContext2 = UMModuleRegister.getAppContext();
                    try {
                        if (a.f2534j != null) {
                            NetworkInfo unused = a.f2535k = a.f2534j.getActiveNetworkInfo();
                            if (a.f2535k != null && a.f2535k.isAvailable()) {
                                UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> network isAvailable");
                                boolean unused2 = a.f2537m = true;
                                synchronized (a.f2539o) {
                                    if (a.f2538n != null && (size = a.f2538n.size()) > 0) {
                                        for (int i2 = 0; i2 < size; i2++) {
                                            ((UMSenderStateNotify) a.f2538n.get(i2)).onConnectionAvailable();
                                        }
                                    }
                                }
                                UMRTLog.e(UMRTLog.RTLOG_TAG, "网络状态通知：尝试发送 MSG_PROCESS_NEXT");
                                a.d();
                                if (a.f2535k.getType() != 1 || context == null) {
                                    return;
                                }
                                try {
                                    if (UMWorkDispatch.eventHasExist(com.umeng.commonsdk.internal.a.f2549k)) {
                                        return;
                                    }
                                    UMWorkDispatch.sendEvent(context, com.umeng.commonsdk.internal.a.f2549k, b.a(context).a(), null);
                                    return;
                                } catch (Throwable unused3) {
                                    return;
                                }
                            }
                            ULog.i("--->>> network disconnected.");
                            boolean unused4 = a.f2537m = false;
                        }
                    } catch (Throwable th) {
                        UMCrashManager.reportCrash(appContext2, th);
                    }
                }
            }
        };
    }

    public a(Context context, Handler handler) {
        if (f2534j == null) {
            Context appContext = UMGlobalContext.getAppContext();
            if (f2534j != null) {
                f2534j = (ConnectivityManager) appContext.getSystemService("connectivity");
            }
        }
        f2527c = handler;
        try {
            if (a == null) {
                HandlerThread handlerThread = new HandlerThread("NetWorkSender");
                a = handlerThread;
                handlerThread.start();
                if (f2533i == null) {
                    FileObserverC0224a fileObserverC0224a = new FileObserverC0224a(UMFrUtils.getEnvelopeDirPath(context));
                    f2533i = fileObserverC0224a;
                    fileObserverC0224a.startWatching();
                    ULog.d("--->>> FileMonitor has already started!");
                }
                n();
                if (b == null) {
                    b = new Handler(a.getLooper()) { // from class: com.umeng.commonsdk.framework.a.2
                        @Override // android.os.Handler
                        public void handleMessage(Message message) {
                            int i2 = message.what;
                            if (i2 == 273) {
                                ULog.d("--->>> handleMessage: recv MSG_PROCESS_NEXT msg.");
                                try {
                                    a.f2540p.tryLock(1L, TimeUnit.SECONDS);
                                    try {
                                        a.r();
                                    } catch (Throwable unused) {
                                    }
                                    a.f2540p.unlock();
                                } catch (Throwable unused2) {
                                }
                            } else if (i2 == 274) {
                                a.p();
                            } else if (i2 != 512) {
                            } else {
                                a.q();
                            }
                        }
                    };
                }
                ImprintHandler.getImprintService(context).registImprintCallback(q, this);
                ImprintHandler.getImprintService(context).registImprintCallback(r, this);
            }
        } catch (Throwable th) {
            UMCrashManager.reportCrash(context, th);
        }
    }

    public static int b() {
        int i2;
        synchronized (x) {
            i2 = w;
        }
        return i2;
    }

    public static void c() {
    }

    public static void c(int i2) {
        Handler handler;
        if (!f2537m || (handler = b) == null) {
            return;
        }
        Message obtainMessage = handler.obtainMessage();
        obtainMessage.what = i2;
        b.sendMessage(obtainMessage);
    }

    public static void d() {
        if (f2540p.tryLock()) {
            try {
                b(273);
            } finally {
                f2540p.unlock();
            }
        }
    }

    public static void e() {
        a(274, 3000);
    }

    private void n() {
        synchronized (x) {
            if ("11".equals(UMEnvelopeBuild.imprintProperty(UMModuleRegister.getAppContext(), q, ""))) {
                UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> switch to report_policy 11");
                s = true;
                w = 15;
                int intValue = Integer.valueOf(UMEnvelopeBuild.imprintProperty(UMModuleRegister.getAppContext(), r, "15")).intValue();
                UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> set report_interval value to: " + intValue);
                if (intValue >= 3 && intValue <= 90) {
                    w = intValue * 1000;
                }
                w = 15;
            } else {
                s = false;
            }
        }
    }

    public static void o() {
        if (a != null) {
            a = null;
        }
        if (b != null) {
            b = null;
        }
        if (f2527c != null) {
            f2527c = null;
        }
    }

    public static void p() {
        int size;
        synchronized (f2539o) {
            if (f2538n != null && (size = f2538n.size()) > 0) {
                for (int i2 = 0; i2 < size; i2++) {
                    f2538n.get(i2).onSenderIdle();
                }
            }
        }
    }

    public static void q() {
    }

    public static void r() {
        ULog.d("--->>> handleProcessNext: Enter...");
        if (f2537m) {
            Context appContext = UMModuleRegister.getAppContext();
            try {
                if (UMFrUtils.envelopeFileNumber(appContext) > 0) {
                    ULog.d("--->>> The envelope file exists.");
                    if (UMFrUtils.envelopeFileNumber(appContext) > 200) {
                        ULog.d("--->>> Number of envelope files is greater than 200, remove old files first.");
                        UMFrUtils.removeRedundantEnvelopeFiles(appContext, 200);
                    }
                    File envelopeFile = UMFrUtils.getEnvelopeFile(appContext);
                    if (envelopeFile != null) {
                        String path = envelopeFile.getPath();
                        ULog.d("--->>> Ready to send envelope file [" + path + "].");
                        UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> send envelope file [ " + path + "].");
                        if (new c(appContext).a(envelopeFile)) {
                            ULog.d("--->>> Send envelope file success, delete it.");
                            if (!UMFrUtils.removeEnvelopeFile(envelopeFile)) {
                                ULog.d("--->>> Failed to delete already processed file. We try again after delete failed.");
                                UMFrUtils.removeEnvelopeFile(envelopeFile);
                            }
                            c(273);
                            return;
                        }
                        ULog.d("--->>> Send envelope file failed, abandon and wait next trigger!");
                        return;
                    }
                }
                e();
            } catch (Throwable th) {
                UMCrashManager.reportCrash(appContext, th);
            }
        }
    }

    @Override // com.umeng.commonsdk.statistics.internal.UMImprintChangeCallback
    public void onImprintValueChanged(String str, String str2) {
        synchronized (x) {
            if (q.equals(str)) {
                if ("11".equals(str2)) {
                    UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> switch to report_policy 11");
                    s = true;
                } else {
                    s = false;
                }
            }
            if (r.equals(str)) {
                int intValue = Integer.valueOf(str2).intValue();
                UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> set report_interval value to: " + intValue);
                if (intValue >= 3 && intValue <= 90) {
                    w = intValue * 1000;
                    UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> really set report_interval value to: " + w);
                }
                w = 15000;
                UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> really set report_interval value to: " + w);
            }
        }
    }

    public static void a(Context context) {
        if (f2534j != null || context == null) {
            return;
        }
        ConnectivityManager connectivityManager = (ConnectivityManager) context.getSystemService("connectivity");
        f2534j = connectivityManager;
        if (connectivityManager != null) {
            UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> createCMIfNeeded:注册网络状态监听器。");
            b(context);
        }
    }

    public static void b(Context context) {
        if (DeviceConfig.checkPermission(context, "android.permission.ACCESS_NETWORK_STATE") && f2534j != null && f2536l == null) {
            IntentFilter intentFilter = new IntentFilter();
            f2536l = intentFilter;
            intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
            if (y != null) {
                UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> 注册网络状态监听器。");
                context.registerReceiver(y, f2536l);
            }
        }
    }

    public static void a(UMSenderStateNotify uMSenderStateNotify) {
        synchronized (f2539o) {
            if (f2538n == null) {
                f2538n = new ArrayList<>();
            }
            if (uMSenderStateNotify != null) {
                for (int i2 = 0; i2 < f2538n.size(); i2++) {
                    if (uMSenderStateNotify == f2538n.get(i2)) {
                        UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> addConnStateObserver: input item has exist.");
                        return;
                    }
                }
                f2538n.add(uMSenderStateNotify);
            }
        }
    }

    public static void b(int i2) {
        Handler handler;
        if (!f2537m || (handler = b) == null || handler.hasMessages(i2)) {
            return;
        }
        Message obtainMessage = b.obtainMessage();
        obtainMessage.what = i2;
        b.sendMessage(obtainMessage);
    }

    public static boolean a() {
        boolean z;
        synchronized (x) {
            z = s;
        }
        return z;
    }

    public static void a(int i2, long j2) {
        Handler handler;
        if (!f2537m || (handler = b) == null) {
            return;
        }
        Message obtainMessage = handler.obtainMessage();
        obtainMessage.what = i2;
        UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> sendMsgDelayed: " + j2);
        b.sendMessageDelayed(obtainMessage, j2);
    }

    public static void a(int i2, int i3) {
        Handler handler;
        if (!f2537m || (handler = b) == null) {
            return;
        }
        handler.removeMessages(i2);
        Message obtainMessage = b.obtainMessage();
        obtainMessage.what = i2;
        b.sendMessageDelayed(obtainMessage, i3);
    }
}
