package com.umeng.commonsdk.service;

import android.content.Context;
import android.text.TextUtils;
import com.joke.chongya.basecommons.view.loading.util.VectorCommand;
import com.umeng.commonsdk.UMConfigure;
import com.umeng.commonsdk.framework.UMFrUtils;
import com.umeng.commonsdk.utils.UMUtils;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class UMGlobalContext {
    public static final String TAG = "UMGlobalContext";
    public String mAppVersion;
    public String mAppkey;
    public Context mApplicationContext;
    public String mChannel;
    public String mProcessName;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class a {
        public static final UMGlobalContext a = new UMGlobalContext();
    }

    public static Context getAppContext(Context context) {
        if (a.a.mApplicationContext == null && context != null) {
            a.a.mApplicationContext = context.getApplicationContext();
        }
        return a.a.mApplicationContext;
    }

    public static UMGlobalContext getInstance(Context context) {
        if (a.a.mApplicationContext == null && context != null) {
            a.a.mApplicationContext = context;
        }
        return a.a;
    }

    public String getAppVersion() {
        if (TextUtils.isEmpty(this.mAppVersion)) {
            this.mAppVersion = UMUtils.getAppVersionName(this.mApplicationContext);
        }
        return this.mAppVersion;
    }

    public String getAppkey() {
        if (TextUtils.isEmpty(this.mAppkey)) {
            this.mAppkey = UMConfigure.sAppkey;
        }
        return this.mAppkey;
    }

    public String getChannel() {
        if (TextUtils.isEmpty(this.mChannel)) {
            this.mChannel = UMConfigure.sChannel;
        }
        return this.mChannel;
    }

    public String getProcessName(Context context) {
        if (TextUtils.isEmpty(this.mProcessName)) {
            if (context != null) {
                Context context2 = a.a.mApplicationContext;
                if (context2 != null) {
                    this.mProcessName = UMFrUtils.getCurrentProcessName(context2);
                } else {
                    this.mProcessName = UMFrUtils.getCurrentProcessName(context);
                }
            } else {
                this.mProcessName = UMFrUtils.getCurrentProcessName(a.a.mApplicationContext);
            }
        }
        return this.mProcessName;
    }

    public boolean isMainProcess(Context context) {
        return UMUtils.isMainProgress(context);
    }

    public String toString() {
        if (a.a.mApplicationContext != null) {
            StringBuilder sb = new StringBuilder("[");
            sb.append("appkey:" + this.mAppkey + VectorCommand.SVG_ARG_DELIMITER);
            sb.append("channel:" + this.mChannel + VectorCommand.SVG_ARG_DELIMITER);
            sb.append("procName:" + this.mProcessName + "]");
            return sb.toString();
        }
        return "uninitialized.";
    }

    public UMGlobalContext() {
        this.mProcessName = "";
    }

    public static Context getAppContext() {
        return a.a.mApplicationContext;
    }
}
