package com.umeng.pagesdk;

import android.content.Context;
import android.content.SharedPreferences;
import android.util.Log;
import com.efs.sdk.base.EfsReporter;
import com.efs.sdk.base.observer.IConfigCallback;
import com.efs.sdk.pa.config.ConfigManager;
import java.util.Map;
import java.util.Random;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class PageConfigManger {
    public static final String APM_FPSPERF_COLLECT_INTERVAL = "apm_pageperf_collect_interval";
    public static final String APM_FPSPERF_COLLECT_INTERVAL_TOGETHER = "apm_pageperf_collect_interval_together";
    public static final String APM_FPSPERF_COLLECT_MAX_PERIOD_SEC = "apm_pageperf_collect_max_period_sec";
    public Context b;

    /* renamed from: c  reason: collision with root package name */
    public EfsReporter f2796c;

    /* renamed from: d  reason: collision with root package name */
    public int f2797d;

    /* renamed from: f  reason: collision with root package name */
    public int f2799f;

    /* renamed from: g  reason: collision with root package name */
    public boolean f2800g;
    public final String a = "PageConfigManager";

    /* renamed from: e  reason: collision with root package name */
    public final int f2798e = 0;

    public PageConfigManger(Context context, EfsReporter efsReporter) {
        SharedPreferences.Editor edit;
        SharedPreferences.Editor edit2;
        SharedPreferences sharedPreferences;
        SharedPreferences.Editor edit3;
        SharedPreferences.Editor edit4;
        SharedPreferences.Editor edit5;
        this.f2797d = 100;
        this.f2800g = false;
        Context applicationContext = context.getApplicationContext();
        this.b = applicationContext;
        this.f2796c = efsReporter;
        SharedPreferences sharedPreferences2 = applicationContext.getSharedPreferences("efs_page", 0);
        if (sharedPreferences2 != null) {
            this.f2799f = sharedPreferences2.getInt("apm_pageperf_sampling_rate_last", 0);
        }
        SharedPreferences sharedPreferences3 = this.b.getSharedPreferences("efs_page", 0);
        int i2 = sharedPreferences3 != null ? sharedPreferences3.getInt("apm_pageperf_sampling_rate", -1) : -1;
        this.f2796c.getAllSdkConfig(new String[]{"apm_pageperf_sampling_rate", APM_FPSPERF_COLLECT_INTERVAL, APM_FPSPERF_COLLECT_INTERVAL_TOGETHER, APM_FPSPERF_COLLECT_MAX_PERIOD_SEC}, new IConfigCallback() { // from class: com.umeng.pagesdk.PageConfigManger.1
            @Override // com.efs.sdk.base.observer.IConfigCallback
            public final void onChange(Map<String, Object> map) {
                SharedPreferences.Editor edit6;
                try {
                    SharedPreferences sharedPreferences4 = PageConfigManger.this.b.getSharedPreferences("efs_page", 0);
                    if (sharedPreferences4 == null || (edit6 = sharedPreferences4.edit()) == null || map == null) {
                        return;
                    }
                    Object obj = map.get("apm_pageperf_sampling_rate");
                    if (obj != null) {
                        edit6.putInt("apm_pageperf_sampling_rate", Integer.parseInt(obj.toString()));
                    }
                    Object obj2 = map.get(PageConfigManger.APM_FPSPERF_COLLECT_INTERVAL);
                    if (obj2 != null) {
                        edit6.putFloat(PageConfigManger.APM_FPSPERF_COLLECT_INTERVAL, Float.parseFloat(obj2.toString()) * 1000.0f);
                    }
                    Object obj3 = map.get(PageConfigManger.APM_FPSPERF_COLLECT_INTERVAL_TOGETHER);
                    if (obj3 != null) {
                        edit6.putInt(PageConfigManger.APM_FPSPERF_COLLECT_INTERVAL_TOGETHER, Integer.parseInt(obj3.toString()));
                    }
                    Object obj4 = map.get(PageConfigManger.APM_FPSPERF_COLLECT_MAX_PERIOD_SEC);
                    if (obj4 != null) {
                        edit6.putLong(PageConfigManger.APM_FPSPERF_COLLECT_MAX_PERIOD_SEC, Long.parseLong(obj4.toString()) * 1000);
                    }
                    edit6.commit();
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        });
        if (i2 != -1) {
            this.f2797d = i2;
        }
        SharedPreferences sharedPreferences4 = this.b.getSharedPreferences("efs_page", 0);
        long j2 = sharedPreferences4 != null ? sharedPreferences4.getLong(ConfigManager.FLAG_PA_FORE_CHECK_TIME, 0L) : 0L;
        boolean z = sharedPreferences4 != null ? sharedPreferences4.getBoolean(ConfigManager.FLAG_PA_CHECK_IN_STATE, false) : false;
        int i3 = this.f2797d;
        boolean z2 = true;
        if (i3 != 0) {
            boolean z3 = i3 != this.f2799f;
            Long valueOf = Long.valueOf(j2);
            int i4 = this.f2797d;
            Long valueOf2 = Long.valueOf(System.currentTimeMillis());
            Long valueOf3 = Long.valueOf(valueOf2.longValue() - valueOf.longValue());
            if (!z || valueOf3.longValue() >= 86400000 || z3) {
                if (valueOf3.longValue() >= 86400000 || z3) {
                    if (!(i4 != 0 && (i4 == 100 || new Random().nextInt(100) <= i4))) {
                        if (PageManger.isDebug) {
                            Log.d("PageConfigManager", "check in page rate. random not check in!");
                        }
                        z2 = false;
                    } else if (PageManger.isDebug) {
                        Log.d("PageConfigManager", "check in page rate. random check in");
                    }
                    SharedPreferences sharedPreferences5 = this.b.getSharedPreferences("efs_page", 0);
                    if (sharedPreferences5 != null && (edit2 = sharedPreferences5.edit()) != null) {
                        edit2.putBoolean(ConfigManager.FLAG_PA_CHECK_IN_STATE, z2);
                        edit2.commit();
                    }
                    if (sharedPreferences5 != null && (edit = sharedPreferences5.edit()) != null) {
                        edit.putLong(ConfigManager.FLAG_PA_FORE_CHECK_TIME, valueOf2.longValue());
                        edit.commit();
                    }
                } else if (PageManger.isDebug) {
                    Log.d("PageConfigManager", "check in page rate. un repeat check in 24 hour!");
                }
            } else if (PageManger.isDebug) {
                Log.d("PageConfigManager", "check in page rate. check in allready.");
            }
            this.f2800g = z2;
            sharedPreferences = this.b.getSharedPreferences("efs_page", 0);
            if (sharedPreferences != null || (edit3 = sharedPreferences.edit()) == null) {
            }
            edit3.putInt("apm_pageperf_sampling_rate_last", this.f2797d);
            edit3.commit();
            return;
        }
        if (z && sharedPreferences4 != null && (edit5 = sharedPreferences4.edit()) != null) {
            edit5.putBoolean(ConfigManager.FLAG_PA_CHECK_IN_STATE, false);
            edit5.commit();
        }
        if (j2 != 0 && sharedPreferences4 != null && (edit4 = sharedPreferences4.edit()) != null) {
            edit4.putLong(ConfigManager.FLAG_PA_FORE_CHECK_TIME, 0L);
            edit4.commit();
        }
        z2 = false;
        this.f2800g = z2;
        sharedPreferences = this.b.getSharedPreferences("efs_page", 0);
        if (sharedPreferences != null) {
        }
    }

    public boolean enableTracer() {
        return this.f2800g;
    }
}
