package com.umeng.pagesdk;

import android.app.Activity;
import android.content.Context;
import android.text.TextUtils;
import android.util.Log;
import com.efs.sdk.base.EfsReporter;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class PageManger {
    public static final String TAG = "PageManger";
    public static Context a = null;
    public static boolean b = false;

    /* renamed from: c  reason: collision with root package name */
    public static EfsReporter f2801c = null;

    /* renamed from: d  reason: collision with root package name */
    public static PageConfigManger f2802d = null;

    /* renamed from: e  reason: collision with root package name */
    public static boolean f2803e = true;
    public static boolean isDebug = true;

    public static Context getApplicationContext() {
        return a;
    }

    public static PageConfigManger getPageConfigManger() {
        return f2802d;
    }

    public static EfsReporter getReporter() {
        return f2801c;
    }

    public static void init(Context context, EfsReporter efsReporter) {
        if (context == null || efsReporter == null) {
            try {
                if (isDebug) {
                    Log.e(TAG, "init page manager error! parameter is null!");
                    return;
                }
            } catch (Throwable th) {
                th.printStackTrace();
                return;
            }
        }
        if (isInit()) {
            if (isDebug) {
                Log.e(TAG, "invalid init ！");
                return;
            }
            return;
        }
        a = context.getApplicationContext();
        f2801c = efsReporter;
        f2802d = new PageConfigManger(context, efsReporter);
        b = true;
    }

    public static boolean isControlMainThread() {
        return f2803e;
    }

    public static boolean isInit() {
        return b;
    }

    public static void onTracePageBegin(Activity activity, String str) {
        try {
            onTracePageBegin(activity, str, false);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public static void onTracePageBegin(Activity activity, String str, boolean z) {
        if (activity != null) {
            try {
                if (activity.getClass() != null && activity.getClass().getName() != null && !TextUtils.isEmpty(str)) {
                    if (!z && (str.equals("onCreate") || str.equals("onStart") || str.equals("onResume") || str.equals("onPause"))) {
                        if (isDebug) {
                            Log.e(TAG, "tracePageBegin. parameter illegality!");
                            return;
                        }
                        return;
                    } else if (str.length() <= 10) {
                        if (f2803e && !c.a(activity.getApplicationContext()) && isDebug) {
                            Log.e(TAG, "tracePageBegin. Non main process !");
                        }
                        b.a(activity.getClass().getName(), str, z);
                        return;
                    } else if (isDebug) {
                        Log.e(TAG, "tracePageBegin. method name is " + str + "method name over length !");
                        return;
                    } else {
                        return;
                    }
                }
            } catch (Throwable th) {
                th.printStackTrace();
                return;
            }
        }
        if (isDebug) {
            Log.e(TAG, "tracePageBegin. parameter null!");
        }
    }

    public static void onTracePageEnd(Activity activity, String str) {
        try {
            onTracePageEnd(activity, str, false);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public static void onTracePageEnd(Activity activity, String str, boolean z) {
        if (activity != null) {
            try {
                if (activity.getClass() != null && activity.getClass().getName() != null && !TextUtils.isEmpty(str)) {
                    if (!z && (str.equals("onCreate") || str.equals("onStart") || str.equals("onResume") || str.equals("onPause"))) {
                        if (isDebug) {
                            Log.e(TAG, "tracePageEnd. parameter illegality!");
                            return;
                        }
                        return;
                    } else if (str.length() <= 10) {
                        if (f2803e && !c.a(activity.getApplicationContext()) && isDebug) {
                            Log.e(TAG, "tracePageBegin. Non main process !");
                        }
                        b.b(activity.getClass().getName(), str, z);
                        return;
                    } else if (isDebug) {
                        Log.e(TAG, "tracePageEnd. method name is " + str + "method name over length !");
                        return;
                    } else {
                        return;
                    }
                }
            } catch (Throwable th) {
                th.printStackTrace();
                return;
            }
        }
        if (isDebug) {
            Log.e(TAG, "tracePageEnd. parameter null!");
        }
    }

    public static void setControlMainThread(boolean z) {
        f2803e = z;
    }
}
