package com.zhangkong.virtualbox_core.bean;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.graphics.drawable.Drawable;
import java.io.Serializable;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class PackageAppData implements Serializable {
    public static final transient int TYPE_ADDHTTP = 2;
    public static final transient int TYPE_ADDLOCAL = 1;
    public static final transient int TYPE_INSTALL = 0;
    public static final transient int TYPE_SPEED_UNINSTALL = 3;
    public int accelerateSize;
    public String apkPath;
    public long appId;
    public boolean canAccelerate;
    public transient Drawable icon;
    public boolean isOpenState;
    public boolean isRemotApk;
    public String name;
    public String packageName;
    public int type;

    public PackageAppData(String str) {
        this.canAccelerate = false;
        this.type = 0;
        this.packageName = str;
    }

    private void loadData(Context context, ApplicationInfo applicationInfo) {
        if (applicationInfo == null) {
            return;
        }
        PackageManager packageManager = context.getPackageManager();
        try {
            CharSequence loadLabel = applicationInfo.loadLabel(packageManager);
            if (loadLabel != null) {
                this.name = loadLabel.toString();
            }
            this.icon = applicationInfo.loadIcon(packageManager);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public int getUserId() {
        return 0;
    }

    public String toString() {
        return "PackageAppData{packageName='" + this.packageName + "', name='" + this.name + "', icon=" + this.icon + ", isRemotApk=" + this.isRemotApk + ", appId=" + this.appId + '}';
    }

    public PackageAppData(Context context, ApplicationInfo applicationInfo) {
        this.canAccelerate = false;
        this.type = 0;
        this.packageName = applicationInfo.packageName;
        this.isRemotApk = false;
        loadData(context, applicationInfo);
    }
}
