package de.robv.android.xposed;

import android.annotation.SuppressLint;
import android.content.SharedPreferences;
import android.os.StrictMode;
import android.util.Log;
import com.android.internal.util.XmlUtils;
import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.lang.reflect.Method;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: AAA */
@Deprecated
/* loaded from: classes3.dex */
public final class XSharedPreferences implements SharedPreferences {
    public static final String TAG = "XSharedPreferences";
    public final File mFile;
    public long mFileSize;
    public long mLastModified;
    public boolean mLoaded;
    public Map<String, Object> mMap;

    public XSharedPreferences(File file) {
        this.mLoaded = false;
        this.mFile = file;
        startLoadFromDisk();
    }

    private void awaitLoadedLocked() {
        while (!this.mLoaded) {
            try {
                wait();
            } catch (InterruptedException unused) {
            }
        }
    }

    public static File getXSharedPreferences(String str, String str2) {
        try {
            Method declaredMethod = XSharedPreferences.class.getClassLoader().loadClass("chongya.haiwai.sandbox.d.env.BEnvironment").getDeclaredMethod("getXSharedPreferences", String.class, String.class);
            declaredMethod.setAccessible(true);
            return (File) declaredMethod.invoke(null, str, str2);
        } catch (Throwable unused) {
            return null;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0044, code lost:
        if (r3 != null) goto L28;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x0046, code lost:
        r3.close();
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0055, code lost:
        if (r3 == null) goto L15;
     */
    /* JADX WARN: Not initialized variable reg: 3, insn: 0x004d: MOVE  (r2 I:??[OBJECT, ARRAY]) = (r3 I:??[OBJECT, ARRAY]), block:B:32:0x004d */
    /* JADX WARN: Removed duplicated region for block: B:51:0x0050 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void loadFromDiskLocked() {
        BufferedInputStream bufferedInputStream;
        BufferedInputStream bufferedInputStream2;
        Map<String, Object> map;
        if (this.mLoaded) {
            return;
        }
        long lastModified = this.mFile.lastModified();
        BufferedInputStream bufferedInputStream3 = null;
        r2 = null;
        r2 = null;
        r2 = null;
        Map<String, Object> map2 = null;
        BufferedInputStream bufferedInputStream4 = null;
        try {
            try {
                if (lastModified != this.mLastModified) {
                    bufferedInputStream = new BufferedInputStream(new FileInputStream(this.mFile), 4096);
                    try {
                        map = XmlUtils.readMapXml(bufferedInputStream);
                        bufferedInputStream4 = bufferedInputStream;
                    } catch (FileNotFoundException unused) {
                    } catch (IOException e2) {
                        e = e2;
                        Log.w(TAG, "getSharedPreferences", e);
                    } catch (XmlPullParserException e3) {
                        e = e3;
                        Log.w(TAG, "getSharedPreferences", e);
                    }
                } else {
                    map = this.mMap;
                }
                if (bufferedInputStream4 != null) {
                    try {
                        bufferedInputStream4.close();
                    } catch (IOException unused2) {
                    }
                }
                map2 = map;
            } catch (Throwable th) {
                th = th;
                bufferedInputStream3 = bufferedInputStream2;
                if (bufferedInputStream3 != null) {
                    try {
                        bufferedInputStream3.close();
                    } catch (IOException unused3) {
                    }
                }
                throw th;
            }
        } catch (FileNotFoundException unused4) {
            bufferedInputStream = null;
        } catch (IOException e4) {
            e = e4;
            bufferedInputStream = null;
            Log.w(TAG, "getSharedPreferences", e);
        } catch (XmlPullParserException e5) {
            e = e5;
            bufferedInputStream = null;
            Log.w(TAG, "getSharedPreferences", e);
        } catch (Throwable th2) {
            th = th2;
            if (bufferedInputStream3 != null) {
            }
            throw th;
        }
        this.mLoaded = true;
        if (map2 != null) {
            this.mMap = map2;
            this.mLastModified = lastModified;
            this.mFileSize = this.mFile.length();
        } else {
            this.mMap = new HashMap();
        }
        notifyAll();
    }

    private void startLoadFromDisk() {
        synchronized (this) {
            this.mLoaded = false;
        }
        new Thread("XSharedPreferences-load") { // from class: de.robv.android.xposed.XSharedPreferences.1
            @Override // java.lang.Thread, java.lang.Runnable
            public void run() {
                synchronized (XSharedPreferences.this) {
                    XSharedPreferences.this.loadFromDiskLocked();
                }
            }
        }.start();
    }

    @Override // android.content.SharedPreferences
    public boolean contains(String str) {
        boolean containsKey;
        synchronized (this) {
            awaitLoadedLocked();
            containsKey = this.mMap.containsKey(str);
        }
        return containsKey;
    }

    @Override // android.content.SharedPreferences
    @Deprecated
    public SharedPreferences.Editor edit() {
        throw new UnsupportedOperationException("read-only implementation");
    }

    @Override // android.content.SharedPreferences
    public Map<String, ?> getAll() {
        HashMap hashMap;
        synchronized (this) {
            awaitLoadedLocked();
            hashMap = new HashMap(this.mMap);
        }
        return hashMap;
    }

    @Override // android.content.SharedPreferences
    public boolean getBoolean(String str, boolean z) {
        synchronized (this) {
            awaitLoadedLocked();
            Boolean bool = (Boolean) this.mMap.get(str);
            if (bool != null) {
                z = bool.booleanValue();
            }
        }
        return z;
    }

    public File getFile() {
        return this.mFile;
    }

    @Override // android.content.SharedPreferences
    public float getFloat(String str, float f2) {
        synchronized (this) {
            awaitLoadedLocked();
            Float f3 = (Float) this.mMap.get(str);
            if (f3 != null) {
                f2 = f3.floatValue();
            }
        }
        return f2;
    }

    @Override // android.content.SharedPreferences
    public int getInt(String str, int i2) {
        synchronized (this) {
            awaitLoadedLocked();
            Integer num = (Integer) this.mMap.get(str);
            if (num != null) {
                i2 = num.intValue();
            }
        }
        return i2;
    }

    @Override // android.content.SharedPreferences
    public long getLong(String str, long j2) {
        synchronized (this) {
            awaitLoadedLocked();
            Long l2 = (Long) this.mMap.get(str);
            if (l2 != null) {
                j2 = l2.longValue();
            }
        }
        return j2;
    }

    @Override // android.content.SharedPreferences
    public String getString(String str, String str2) {
        synchronized (this) {
            awaitLoadedLocked();
            String str3 = (String) this.mMap.get(str);
            if (str3 != null) {
                str2 = str3;
            }
        }
        return str2;
    }

    @Override // android.content.SharedPreferences
    public Set<String> getStringSet(String str, Set<String> set) {
        synchronized (this) {
            awaitLoadedLocked();
            Set<String> set2 = (Set) this.mMap.get(str);
            if (set2 != null) {
                set = set2;
            }
        }
        return set;
    }

    public synchronized boolean hasFileChanged() {
        StrictMode.ThreadPolicy allowThreadDiskReads = StrictMode.allowThreadDiskReads();
        boolean z = true;
        if (!this.mFile.exists()) {
            StrictMode.setThreadPolicy(allowThreadDiskReads);
            return true;
        }
        if (this.mFile.lastModified() == this.mLastModified && this.mFile.length() == this.mFileSize) {
            z = false;
        }
        StrictMode.setThreadPolicy(allowThreadDiskReads);
        return z;
    }

    @SuppressLint({"SetWorldReadable"})
    public boolean makeWorldReadable() {
        if (this.mFile.exists()) {
            return this.mFile.setReadable(true, false);
        }
        return false;
    }

    @Override // android.content.SharedPreferences
    @Deprecated
    public void registerOnSharedPreferenceChangeListener(SharedPreferences.OnSharedPreferenceChangeListener onSharedPreferenceChangeListener) {
        throw new UnsupportedOperationException("listeners are not supported in this implementation");
    }

    public synchronized void reload() {
        if (hasFileChanged()) {
            startLoadFromDisk();
        }
    }

    @Override // android.content.SharedPreferences
    @Deprecated
    public void unregisterOnSharedPreferenceChangeListener(SharedPreferences.OnSharedPreferenceChangeListener onSharedPreferenceChangeListener) {
        throw new UnsupportedOperationException("listeners are not supported in this implementation");
    }

    public XSharedPreferences(String str) {
        this(str, str + "_preferences");
    }

    public XSharedPreferences(String str, String str2) {
        this.mLoaded = false;
        this.mFile = getXSharedPreferences(str, str2);
        startLoadFromDisk();
    }
}
