package de.robv.android.xposed.services;

import java.io.ByteArrayInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public abstract class BaseService {
    public static final int F_OK = 0;
    public static final int R_OK = 4;
    public static final int W_OK = 2;
    public static final int X_OK = 1;

    public static void ensureAbsolutePath(String str) {
        if (str.startsWith("/")) {
            return;
        }
        throw new IllegalArgumentException("Only absolute filenames are allowed: " + str);
    }

    public static void throwCommonIOException(int i2, String str, String str2, String str3) throws IOException {
        if (i2 != 1) {
            if (i2 == 2) {
                if (str == null) {
                    str = "No such file or directory: " + str2;
                }
                throw new FileNotFoundException(str);
            } else if (i2 == 12) {
                throw new OutOfMemoryError(str);
            } else {
                if (i2 != 13) {
                    if (i2 != 21) {
                        if (str == null) {
                            str = "Error " + i2 + str3 + str2;
                        }
                        throw new IOException(str);
                    }
                    if (str == null) {
                        str = "Is a directory: " + str2;
                    }
                    throw new FileNotFoundException(str);
                }
            }
        }
        if (str == null) {
            str = "Permission denied: " + str2;
        }
        throw new FileNotFoundException(str);
    }

    public abstract boolean checkFileAccess(String str, int i2);

    public boolean checkFileExists(String str) {
        return checkFileAccess(str, 0);
    }

    public InputStream getFileInputStream(String str) throws IOException {
        return new ByteArrayInputStream(readFile(str));
    }

    public long getFileModificationTime(String str) throws IOException {
        return statFile(str).mtime;
    }

    public long getFileSize(String str) throws IOException {
        return statFile(str).size;
    }

    public boolean hasDirectFileAccess() {
        return false;
    }

    public abstract FileResult readFile(String str, int i2, int i3, long j2, long j3) throws IOException;

    public abstract FileResult readFile(String str, long j2, long j3) throws IOException;

    public abstract byte[] readFile(String str) throws IOException;

    public abstract FileResult statFile(String str) throws IOException;

    public FileResult getFileInputStream(String str, long j2, long j3) throws IOException {
        FileResult readFile = readFile(str, j2, j3);
        return readFile.content == null ? readFile : new FileResult(new ByteArrayInputStream(readFile.content), readFile.size, readFile.mtime);
    }
}
