package e.a.a;

import android.util.Log;
import androidx.collection.ArraySet;
import androidx.core.util.Pair;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class r {
    public boolean enabled = false;
    public final Set<b> frameListeners = new ArraySet();
    public final Map<String, e.a.a.z.f> layerRenderTimes = new HashMap();
    public final Comparator<Pair<String, Float>> floatComparator = new a();

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class a implements Comparator<Pair<String, Float>> {
        public a() {
        }

        @Override // java.util.Comparator
        public int compare(Pair<String, Float> pair, Pair<String, Float> pair2) {
            float floatValue = pair.second.floatValue();
            float floatValue2 = pair2.second.floatValue();
            if (floatValue2 > floatValue) {
                return 1;
            }
            return floatValue > floatValue2 ? -1 : 0;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface b {
        void onFrameRendered(float f2);
    }

    public void addFrameListener(b bVar) {
        this.frameListeners.add(bVar);
    }

    public void clearRenderTimes() {
        this.layerRenderTimes.clear();
    }

    public List<Pair<String, Float>> getSortedRenderTimes() {
        if (!this.enabled) {
            return Collections.emptyList();
        }
        ArrayList arrayList = new ArrayList(this.layerRenderTimes.size());
        for (Map.Entry<String, e.a.a.z.f> entry : this.layerRenderTimes.entrySet()) {
            arrayList.add(new Pair(entry.getKey(), Float.valueOf(entry.getValue().getMean())));
        }
        Collections.sort(arrayList, this.floatComparator);
        return arrayList;
    }

    public void logRenderTimes() {
        if (this.enabled) {
            List<Pair<String, Float>> sortedRenderTimes = getSortedRenderTimes();
            Log.d(e.TAG, "Render times:");
            for (int i2 = 0; i2 < sortedRenderTimes.size(); i2++) {
                Pair<String, Float> pair = sortedRenderTimes.get(i2);
                Log.d(e.TAG, String.format("\t\t%30s:%.2f", pair.first, pair.second));
            }
        }
    }

    public void recordRenderTime(String str, float f2) {
        if (this.enabled) {
            e.a.a.z.f fVar = this.layerRenderTimes.get(str);
            if (fVar == null) {
                fVar = new e.a.a.z.f();
                this.layerRenderTimes.put(str, fVar);
            }
            fVar.add(f2);
            if (str.equals("__container")) {
                for (b bVar : this.frameListeners) {
                    bVar.onFrameRendered(f2);
                }
            }
        }
    }

    public void removeFrameListener(b bVar) {
        this.frameListeners.remove(bVar);
    }

    public void setEnabled(boolean z) {
        this.enabled = z;
    }
}
