package e.a.a.u.b;

import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.DashPathEffect;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.graphics.RectF;
import androidx.annotation.CallSuper;
import androidx.annotation.Nullable;
import com.airbnb.lottie.LottieDrawable;
import com.airbnb.lottie.model.content.ShapeTrimPath;
import e.a.a.u.c.a;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public abstract class a implements a.b, k, e {
    @Nullable
    public e.a.a.u.c.a<ColorFilter, ColorFilter> colorFilterAnimation;
    public final List<e.a.a.u.c.a<?, Float>> dashPatternAnimations;
    @Nullable
    public final e.a.a.u.c.a<?, Float> dashPatternOffsetAnimation;
    public final float[] dashPatternValues;
    public final e.a.a.w.k.a layer;
    public final LottieDrawable lottieDrawable;
    public final e.a.a.u.c.a<?, Integer> opacityAnimation;
    public final Paint paint;
    public final e.a.a.u.c.a<?, Float> widthAnimation;
    public final PathMeasure pm = new PathMeasure();
    public final Path path = new Path();
    public final Path trimPathPath = new Path();
    public final RectF rect = new RectF();
    public final List<b> pathGroups = new ArrayList();

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class b {
        public final List<n> paths;
        @Nullable
        public final t trimPath;

        public b(@Nullable t tVar) {
            this.paths = new ArrayList();
            this.trimPath = tVar;
        }
    }

    public a(LottieDrawable lottieDrawable, e.a.a.w.k.a aVar, Paint.Cap cap, Paint.Join join, float f2, e.a.a.w.i.d dVar, e.a.a.w.i.b bVar, List<e.a.a.w.i.b> list, e.a.a.w.i.b bVar2) {
        e.a.a.u.a aVar2 = new e.a.a.u.a(1);
        this.paint = aVar2;
        this.lottieDrawable = lottieDrawable;
        this.layer = aVar;
        aVar2.setStyle(Paint.Style.STROKE);
        this.paint.setStrokeCap(cap);
        this.paint.setStrokeJoin(join);
        this.paint.setStrokeMiter(f2);
        this.opacityAnimation = dVar.createAnimation();
        this.widthAnimation = bVar.createAnimation();
        if (bVar2 == null) {
            this.dashPatternOffsetAnimation = null;
        } else {
            this.dashPatternOffsetAnimation = bVar2.createAnimation();
        }
        this.dashPatternAnimations = new ArrayList(list.size());
        this.dashPatternValues = new float[list.size()];
        for (int i2 = 0; i2 < list.size(); i2++) {
            this.dashPatternAnimations.add(list.get(i2).createAnimation());
        }
        aVar.addAnimation(this.opacityAnimation);
        aVar.addAnimation(this.widthAnimation);
        for (int i3 = 0; i3 < this.dashPatternAnimations.size(); i3++) {
            aVar.addAnimation(this.dashPatternAnimations.get(i3));
        }
        e.a.a.u.c.a<?, Float> aVar3 = this.dashPatternOffsetAnimation;
        if (aVar3 != null) {
            aVar.addAnimation(aVar3);
        }
        this.opacityAnimation.addUpdateListener(this);
        this.widthAnimation.addUpdateListener(this);
        for (int i4 = 0; i4 < list.size(); i4++) {
            this.dashPatternAnimations.get(i4).addUpdateListener(this);
        }
        e.a.a.u.c.a<?, Float> aVar4 = this.dashPatternOffsetAnimation;
        if (aVar4 != null) {
            aVar4.addUpdateListener(this);
        }
    }

    private void applyDashPatternIfNeeded(Matrix matrix) {
        e.a.a.e.beginSection("StrokeContent#applyDashPattern");
        if (this.dashPatternAnimations.isEmpty()) {
            e.a.a.e.endSection("StrokeContent#applyDashPattern");
            return;
        }
        float scale = e.a.a.z.h.getScale(matrix);
        for (int i2 = 0; i2 < this.dashPatternAnimations.size(); i2++) {
            this.dashPatternValues[i2] = this.dashPatternAnimations.get(i2).getValue().floatValue();
            if (i2 % 2 == 0) {
                float[] fArr = this.dashPatternValues;
                if (fArr[i2] < 1.0f) {
                    fArr[i2] = 1.0f;
                }
            } else {
                float[] fArr2 = this.dashPatternValues;
                if (fArr2[i2] < 0.1f) {
                    fArr2[i2] = 0.1f;
                }
            }
            float[] fArr3 = this.dashPatternValues;
            fArr3[i2] = fArr3[i2] * scale;
        }
        e.a.a.u.c.a<?, Float> aVar = this.dashPatternOffsetAnimation;
        this.paint.setPathEffect(new DashPathEffect(this.dashPatternValues, aVar == null ? 0.0f : scale * aVar.getValue().floatValue()));
        e.a.a.e.endSection("StrokeContent#applyDashPattern");
    }

    private void applyTrimPath(Canvas canvas, b bVar, Matrix matrix) {
        e.a.a.e.beginSection("StrokeContent#applyTrimPath");
        if (bVar.trimPath == null) {
            e.a.a.e.endSection("StrokeContent#applyTrimPath");
            return;
        }
        this.path.reset();
        for (int size = bVar.paths.size() - 1; size >= 0; size--) {
            this.path.addPath(((n) bVar.paths.get(size)).getPath(), matrix);
        }
        this.pm.setPath(this.path, false);
        float length = this.pm.getLength();
        while (this.pm.nextContour()) {
            length += this.pm.getLength();
        }
        float floatValue = (bVar.trimPath.getOffset().getValue().floatValue() * length) / 360.0f;
        float floatValue2 = ((bVar.trimPath.getStart().getValue().floatValue() * length) / 100.0f) + floatValue;
        float floatValue3 = ((bVar.trimPath.getEnd().getValue().floatValue() * length) / 100.0f) + floatValue;
        float f2 = 0.0f;
        for (int size2 = bVar.paths.size() - 1; size2 >= 0; size2--) {
            this.trimPathPath.set(((n) bVar.paths.get(size2)).getPath());
            this.trimPathPath.transform(matrix);
            this.pm.setPath(this.trimPathPath, false);
            float length2 = this.pm.getLength();
            if (floatValue3 > length) {
                float f3 = floatValue3 - length;
                if (f3 < f2 + length2 && f2 < f3) {
                    e.a.a.z.h.applyTrimPathIfNeeded(this.trimPathPath, floatValue2 > length ? (floatValue2 - length) / length2 : 0.0f, Math.min(f3 / length2, 1.0f), 0.0f);
                    canvas.drawPath(this.trimPathPath, this.paint);
                    f2 += length2;
                }
            }
            float f4 = f2 + length2;
            if (f4 >= floatValue2 && f2 <= floatValue3) {
                if (f4 <= floatValue3 && floatValue2 < f2) {
                    canvas.drawPath(this.trimPathPath, this.paint);
                } else {
                    e.a.a.z.h.applyTrimPathIfNeeded(this.trimPathPath, floatValue2 < f2 ? 0.0f : (floatValue2 - f2) / length2, floatValue3 <= f4 ? (floatValue3 - f2) / length2 : 1.0f, 0.0f);
                    canvas.drawPath(this.trimPathPath, this.paint);
                }
            }
            f2 += length2;
        }
        e.a.a.e.endSection("StrokeContent#applyTrimPath");
    }

    @Override // e.a.a.w.e
    @CallSuper
    public <T> void addValueCallback(T t, @Nullable e.a.a.a0.j<T> jVar) {
        if (t == e.a.a.n.OPACITY) {
            this.opacityAnimation.setValueCallback(jVar);
        } else if (t == e.a.a.n.STROKE_WIDTH) {
            this.widthAnimation.setValueCallback(jVar);
        } else if (t == e.a.a.n.COLOR_FILTER) {
            e.a.a.u.c.a<ColorFilter, ColorFilter> aVar = this.colorFilterAnimation;
            if (aVar != null) {
                this.layer.removeAnimation(aVar);
            }
            if (jVar == null) {
                this.colorFilterAnimation = null;
                return;
            }
            e.a.a.u.c.p pVar = new e.a.a.u.c.p(jVar);
            this.colorFilterAnimation = pVar;
            pVar.addUpdateListener(this);
            this.layer.addAnimation(this.colorFilterAnimation);
        }
    }

    @Override // e.a.a.u.b.e
    public void draw(Canvas canvas, Matrix matrix, int i2) {
        e.a.a.e.beginSection("StrokeContent#draw");
        if (e.a.a.z.h.hasZeroScaleAxis(matrix)) {
            e.a.a.e.endSection("StrokeContent#draw");
            return;
        }
        this.paint.setAlpha(e.a.a.z.g.clamp((int) ((((i2 / 255.0f) * ((e.a.a.u.c.e) this.opacityAnimation).getIntValue()) / 100.0f) * 255.0f), 0, 255));
        this.paint.setStrokeWidth(((e.a.a.u.c.c) this.widthAnimation).getFloatValue() * e.a.a.z.h.getScale(matrix));
        if (this.paint.getStrokeWidth() <= 0.0f) {
            e.a.a.e.endSection("StrokeContent#draw");
            return;
        }
        applyDashPatternIfNeeded(matrix);
        e.a.a.u.c.a<ColorFilter, ColorFilter> aVar = this.colorFilterAnimation;
        if (aVar != null) {
            this.paint.setColorFilter(aVar.getValue());
        }
        for (int i3 = 0; i3 < this.pathGroups.size(); i3++) {
            b bVar = this.pathGroups.get(i3);
            if (bVar.trimPath != null) {
                applyTrimPath(canvas, bVar, matrix);
            } else {
                e.a.a.e.beginSection("StrokeContent#buildPath");
                this.path.reset();
                for (int size = bVar.paths.size() - 1; size >= 0; size--) {
                    this.path.addPath(((n) bVar.paths.get(size)).getPath(), matrix);
                }
                e.a.a.e.endSection("StrokeContent#buildPath");
                e.a.a.e.beginSection("StrokeContent#drawPath");
                canvas.drawPath(this.path, this.paint);
                e.a.a.e.endSection("StrokeContent#drawPath");
            }
        }
        e.a.a.e.endSection("StrokeContent#draw");
    }

    @Override // e.a.a.u.b.e
    public void getBounds(RectF rectF, Matrix matrix, boolean z) {
        e.a.a.e.beginSection("StrokeContent#getBounds");
        this.path.reset();
        for (int i2 = 0; i2 < this.pathGroups.size(); i2++) {
            b bVar = this.pathGroups.get(i2);
            for (int i3 = 0; i3 < bVar.paths.size(); i3++) {
                this.path.addPath(((n) bVar.paths.get(i3)).getPath(), matrix);
            }
        }
        this.path.computeBounds(this.rect, false);
        float floatValue = ((e.a.a.u.c.c) this.widthAnimation).getFloatValue();
        RectF rectF2 = this.rect;
        float f2 = floatValue / 2.0f;
        rectF2.set(rectF2.left - f2, rectF2.top - f2, rectF2.right + f2, rectF2.bottom + f2);
        rectF.set(this.rect);
        rectF.set(rectF.left - 1.0f, rectF.top - 1.0f, rectF.right + 1.0f, rectF.bottom + 1.0f);
        e.a.a.e.endSection("StrokeContent#getBounds");
    }

    @Override // e.a.a.u.c.a.b
    public void onValueChanged() {
        this.lottieDrawable.invalidateSelf();
    }

    @Override // e.a.a.w.e
    public void resolveKeyPath(e.a.a.w.d dVar, int i2, List<e.a.a.w.d> list, e.a.a.w.d dVar2) {
        e.a.a.z.g.resolveKeyPath(dVar, i2, list, dVar2, this);
    }

    @Override // e.a.a.u.b.c
    public void setContents(List<c> list, List<c> list2) {
        t tVar = null;
        for (int size = list.size() - 1; size >= 0; size--) {
            c cVar = list.get(size);
            if (cVar instanceof t) {
                t tVar2 = (t) cVar;
                if (tVar2.getType() == ShapeTrimPath.Type.INDIVIDUALLY) {
                    tVar = tVar2;
                }
            }
        }
        if (tVar != null) {
            tVar.addListener(this);
        }
        b bVar = null;
        for (int size2 = list2.size() - 1; size2 >= 0; size2--) {
            c cVar2 = list2.get(size2);
            if (cVar2 instanceof t) {
                t tVar3 = (t) cVar2;
                if (tVar3.getType() == ShapeTrimPath.Type.INDIVIDUALLY) {
                    if (bVar != null) {
                        this.pathGroups.add(bVar);
                    }
                    bVar = new b(tVar3);
                    tVar3.addListener(this);
                }
            }
            if (cVar2 instanceof n) {
                if (bVar == null) {
                    bVar = new b(tVar);
                }
                bVar.paths.add((n) cVar2);
            }
        }
        if (bVar != null) {
            this.pathGroups.add(bVar);
        }
    }
}
