package e.a.a.u.b;

import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.RectF;
import androidx.annotation.Nullable;
import com.airbnb.lottie.LottieDrawable;
import e.a.a.u.c.a;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class d implements e, n, a.b, e.a.a.w.e {
    public final List<c> contents;
    public final boolean hidden;
    public final LottieDrawable lottieDrawable;
    public final Matrix matrix;
    public final String name;
    public Paint offScreenPaint;
    public RectF offScreenRectF;
    public final Path path;
    @Nullable
    public List<n> pathContents;
    public final RectF rect;
    @Nullable
    public e.a.a.u.c.o transformAnimation;

    public d(LottieDrawable lottieDrawable, e.a.a.w.k.a aVar, e.a.a.w.j.j jVar) {
        this(lottieDrawable, aVar, jVar.getName(), jVar.isHidden(), contentsFromModels(lottieDrawable, aVar, jVar.getItems()), findTransform(jVar.getItems()));
    }

    public static List<c> contentsFromModels(LottieDrawable lottieDrawable, e.a.a.w.k.a aVar, List<e.a.a.w.j.b> list) {
        ArrayList arrayList = new ArrayList(list.size());
        for (int i2 = 0; i2 < list.size(); i2++) {
            c content = list.get(i2).toContent(lottieDrawable, aVar);
            if (content != null) {
                arrayList.add(content);
            }
        }
        return arrayList;
    }

    @Nullable
    public static e.a.a.w.i.l findTransform(List<e.a.a.w.j.b> list) {
        for (int i2 = 0; i2 < list.size(); i2++) {
            e.a.a.w.j.b bVar = list.get(i2);
            if (bVar instanceof e.a.a.w.i.l) {
                return (e.a.a.w.i.l) bVar;
            }
        }
        return null;
    }

    private boolean hasTwoOrMoreDrawableContent() {
        int i2 = 0;
        for (int i3 = 0; i3 < this.contents.size(); i3++) {
            if ((this.contents.get(i3) instanceof e) && (i2 = i2 + 1) >= 2) {
                return true;
            }
        }
        return false;
    }

    @Override // e.a.a.w.e
    public <T> void addValueCallback(T t, @Nullable e.a.a.a0.j<T> jVar) {
        e.a.a.u.c.o oVar = this.transformAnimation;
        if (oVar != null) {
            oVar.applyValueCallback(t, jVar);
        }
    }

    @Override // e.a.a.u.b.e
    public void draw(Canvas canvas, Matrix matrix, int i2) {
        if (this.hidden) {
            return;
        }
        this.matrix.set(matrix);
        e.a.a.u.c.o oVar = this.transformAnimation;
        if (oVar != null) {
            this.matrix.preConcat(oVar.getMatrix());
            i2 = (int) (((((this.transformAnimation.getOpacity() == null ? 100 : this.transformAnimation.getOpacity().getValue().intValue()) / 100.0f) * i2) / 255.0f) * 255.0f);
        }
        boolean z = this.lottieDrawable.isApplyingOpacityToLayersEnabled() && hasTwoOrMoreDrawableContent() && i2 != 255;
        if (z) {
            this.offScreenRectF.set(0.0f, 0.0f, 0.0f, 0.0f);
            getBounds(this.offScreenRectF, this.matrix, true);
            this.offScreenPaint.setAlpha(i2);
            e.a.a.z.h.saveLayerCompat(canvas, this.offScreenRectF, this.offScreenPaint);
        }
        if (z) {
            i2 = 255;
        }
        for (int size = this.contents.size() - 1; size >= 0; size--) {
            c cVar = this.contents.get(size);
            if (cVar instanceof e) {
                ((e) cVar).draw(canvas, this.matrix, i2);
            }
        }
        if (z) {
            canvas.restore();
        }
    }

    @Override // e.a.a.u.b.e
    public void getBounds(RectF rectF, Matrix matrix, boolean z) {
        this.matrix.set(matrix);
        e.a.a.u.c.o oVar = this.transformAnimation;
        if (oVar != null) {
            this.matrix.preConcat(oVar.getMatrix());
        }
        this.rect.set(0.0f, 0.0f, 0.0f, 0.0f);
        for (int size = this.contents.size() - 1; size >= 0; size--) {
            c cVar = this.contents.get(size);
            if (cVar instanceof e) {
                ((e) cVar).getBounds(this.rect, this.matrix, z);
                rectF.union(this.rect);
            }
        }
    }

    @Override // e.a.a.u.b.c
    public String getName() {
        return this.name;
    }

    @Override // e.a.a.u.b.n
    public Path getPath() {
        this.matrix.reset();
        e.a.a.u.c.o oVar = this.transformAnimation;
        if (oVar != null) {
            this.matrix.set(oVar.getMatrix());
        }
        this.path.reset();
        if (this.hidden) {
            return this.path;
        }
        for (int size = this.contents.size() - 1; size >= 0; size--) {
            c cVar = this.contents.get(size);
            if (cVar instanceof n) {
                this.path.addPath(((n) cVar).getPath(), this.matrix);
            }
        }
        return this.path;
    }

    public List<n> getPathList() {
        if (this.pathContents == null) {
            this.pathContents = new ArrayList();
            for (int i2 = 0; i2 < this.contents.size(); i2++) {
                c cVar = this.contents.get(i2);
                if (cVar instanceof n) {
                    this.pathContents.add((n) cVar);
                }
            }
        }
        return this.pathContents;
    }

    public Matrix getTransformationMatrix() {
        e.a.a.u.c.o oVar = this.transformAnimation;
        if (oVar != null) {
            return oVar.getMatrix();
        }
        this.matrix.reset();
        return this.matrix;
    }

    @Override // e.a.a.u.c.a.b
    public void onValueChanged() {
        this.lottieDrawable.invalidateSelf();
    }

    @Override // e.a.a.w.e
    public void resolveKeyPath(e.a.a.w.d dVar, int i2, List<e.a.a.w.d> list, e.a.a.w.d dVar2) {
        if (dVar.matches(getName(), i2) || "__container".equals(getName())) {
            if (!"__container".equals(getName())) {
                dVar2 = dVar2.addKey(getName());
                if (dVar.fullyResolvesTo(getName(), i2)) {
                    list.add(dVar2.resolve(this));
                }
            }
            if (dVar.propagateToChildren(getName(), i2)) {
                int incrementDepthBy = i2 + dVar.incrementDepthBy(getName(), i2);
                for (int i3 = 0; i3 < this.contents.size(); i3++) {
                    c cVar = this.contents.get(i3);
                    if (cVar instanceof e.a.a.w.e) {
                        ((e.a.a.w.e) cVar).resolveKeyPath(dVar, incrementDepthBy, list, dVar2);
                    }
                }
            }
        }
    }

    @Override // e.a.a.u.b.c
    public void setContents(List<c> list, List<c> list2) {
        ArrayList arrayList = new ArrayList(list.size() + this.contents.size());
        arrayList.addAll(list);
        for (int size = this.contents.size() - 1; size >= 0; size--) {
            c cVar = this.contents.get(size);
            cVar.setContents(arrayList, this.contents.subList(0, size));
            arrayList.add(cVar);
        }
    }

    public d(LottieDrawable lottieDrawable, e.a.a.w.k.a aVar, String str, boolean z, List<c> list, @Nullable e.a.a.w.i.l lVar) {
        this.offScreenPaint = new e.a.a.u.a();
        this.offScreenRectF = new RectF();
        this.matrix = new Matrix();
        this.path = new Path();
        this.rect = new RectF();
        this.name = str;
        this.lottieDrawable = lottieDrawable;
        this.hidden = z;
        this.contents = list;
        if (lVar != null) {
            e.a.a.u.c.o createAnimation = lVar.createAnimation();
            this.transformAnimation = createAnimation;
            createAnimation.addAnimationsToLayer(aVar);
            this.transformAnimation.addListener(this);
        }
        ArrayList arrayList = new ArrayList();
        for (int size = list.size() - 1; size >= 0; size--) {
            c cVar = list.get(size);
            if (cVar instanceof j) {
                arrayList.add((j) cVar);
            }
        }
        for (int size2 = arrayList.size() - 1; size2 >= 0; size2--) {
            ((j) arrayList.get(size2)).absorbContent(list.listIterator(list.size()));
        }
    }
}
