package e.a.a.u.b;

import android.graphics.Path;
import android.graphics.PointF;
import androidx.annotation.Nullable;
import com.airbnb.lottie.LottieDrawable;
import com.airbnb.lottie.model.content.ShapeTrimPath;
import e.a.a.u.c.a;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class f implements n, a.b, k {
    public static final float ELLIPSE_CONTROL_POINT_PERCENTAGE = 0.55228f;
    public final e.a.a.w.j.a circleShape;
    public boolean isPathValid;
    public final LottieDrawable lottieDrawable;
    public final String name;
    public final e.a.a.u.c.a<?, PointF> positionAnimation;
    public final e.a.a.u.c.a<?, PointF> sizeAnimation;
    public final Path path = new Path();
    public b trimPaths = new b();

    public f(LottieDrawable lottieDrawable, e.a.a.w.k.a aVar, e.a.a.w.j.a aVar2) {
        this.name = aVar2.getName();
        this.lottieDrawable = lottieDrawable;
        this.sizeAnimation = aVar2.getSize().createAnimation();
        this.positionAnimation = aVar2.getPosition().createAnimation();
        this.circleShape = aVar2;
        aVar.addAnimation(this.sizeAnimation);
        aVar.addAnimation(this.positionAnimation);
        this.sizeAnimation.addUpdateListener(this);
        this.positionAnimation.addUpdateListener(this);
    }

    private void invalidate() {
        this.isPathValid = false;
        this.lottieDrawable.invalidateSelf();
    }

    @Override // e.a.a.w.e
    public <T> void addValueCallback(T t, @Nullable e.a.a.a0.j<T> jVar) {
        if (t == e.a.a.n.ELLIPSE_SIZE) {
            this.sizeAnimation.setValueCallback(jVar);
        } else if (t == e.a.a.n.POSITION) {
            this.positionAnimation.setValueCallback(jVar);
        }
    }

    @Override // e.a.a.u.b.c
    public String getName() {
        return this.name;
    }

    @Override // e.a.a.u.b.n
    public Path getPath() {
        if (this.isPathValid) {
            return this.path;
        }
        this.path.reset();
        if (this.circleShape.isHidden()) {
            this.isPathValid = true;
            return this.path;
        }
        PointF value = this.sizeAnimation.getValue();
        float f2 = value.x / 2.0f;
        float f3 = value.y / 2.0f;
        float f4 = f2 * 0.55228f;
        float f5 = 0.55228f * f3;
        this.path.reset();
        if (this.circleShape.isReversed()) {
            float f6 = -f3;
            this.path.moveTo(0.0f, f6);
            float f7 = 0.0f - f4;
            float f8 = -f2;
            float f9 = 0.0f - f5;
            this.path.cubicTo(f7, f6, f8, f9, f8, 0.0f);
            float f10 = f5 + 0.0f;
            this.path.cubicTo(f8, f10, f7, f3, 0.0f, f3);
            float f11 = f4 + 0.0f;
            this.path.cubicTo(f11, f3, f2, f10, f2, 0.0f);
            this.path.cubicTo(f2, f9, f11, f6, 0.0f, f6);
        } else {
            float f12 = -f3;
            this.path.moveTo(0.0f, f12);
            float f13 = f4 + 0.0f;
            float f14 = 0.0f - f5;
            this.path.cubicTo(f13, f12, f2, f14, f2, 0.0f);
            float f15 = f5 + 0.0f;
            this.path.cubicTo(f2, f15, f13, f3, 0.0f, f3);
            float f16 = 0.0f - f4;
            float f17 = -f2;
            this.path.cubicTo(f16, f3, f17, f15, f17, 0.0f);
            this.path.cubicTo(f17, f14, f16, f12, 0.0f, f12);
        }
        PointF value2 = this.positionAnimation.getValue();
        this.path.offset(value2.x, value2.y);
        this.path.close();
        this.trimPaths.apply(this.path);
        this.isPathValid = true;
        return this.path;
    }

    @Override // e.a.a.u.c.a.b
    public void onValueChanged() {
        invalidate();
    }

    @Override // e.a.a.w.e
    public void resolveKeyPath(e.a.a.w.d dVar, int i2, List<e.a.a.w.d> list, e.a.a.w.d dVar2) {
        e.a.a.z.g.resolveKeyPath(dVar, i2, list, dVar2, this);
    }

    @Override // e.a.a.u.b.c
    public void setContents(List<c> list, List<c> list2) {
        for (int i2 = 0; i2 < list.size(); i2++) {
            c cVar = list.get(i2);
            if (cVar instanceof t) {
                t tVar = (t) cVar;
                if (tVar.getType() == ShapeTrimPath.Type.SIMULTANEOUSLY) {
                    this.trimPaths.addTrimPath(tVar);
                    tVar.addListener(this);
                }
            }
        }
    }
}
