package e.a.a.u.b;

import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.RectF;
import androidx.annotation.Nullable;
import com.airbnb.lottie.LottieDrawable;
import e.a.a.u.c.a;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class g implements e, a.b, k {
    public final e.a.a.u.c.a<Integer, Integer> colorAnimation;
    @Nullable
    public e.a.a.u.c.a<ColorFilter, ColorFilter> colorFilterAnimation;
    public final boolean hidden;
    public final e.a.a.w.k.a layer;
    public final LottieDrawable lottieDrawable;
    public final String name;
    public final e.a.a.u.c.a<Integer, Integer> opacityAnimation;
    public final Path path = new Path();
    public final Paint paint = new e.a.a.u.a(1);
    public final List<n> paths = new ArrayList();

    public g(LottieDrawable lottieDrawable, e.a.a.w.k.a aVar, e.a.a.w.j.i iVar) {
        this.layer = aVar;
        this.name = iVar.getName();
        this.hidden = iVar.isHidden();
        this.lottieDrawable = lottieDrawable;
        if (iVar.getColor() != null && iVar.getOpacity() != null) {
            this.path.setFillType(iVar.getFillType());
            e.a.a.u.c.a<Integer, Integer> createAnimation = iVar.getColor().createAnimation();
            this.colorAnimation = createAnimation;
            createAnimation.addUpdateListener(this);
            aVar.addAnimation(this.colorAnimation);
            e.a.a.u.c.a<Integer, Integer> createAnimation2 = iVar.getOpacity().createAnimation();
            this.opacityAnimation = createAnimation2;
            createAnimation2.addUpdateListener(this);
            aVar.addAnimation(this.opacityAnimation);
            return;
        }
        this.colorAnimation = null;
        this.opacityAnimation = null;
    }

    @Override // e.a.a.w.e
    public <T> void addValueCallback(T t, @Nullable e.a.a.a0.j<T> jVar) {
        if (t == e.a.a.n.COLOR) {
            this.colorAnimation.setValueCallback(jVar);
        } else if (t == e.a.a.n.OPACITY) {
            this.opacityAnimation.setValueCallback(jVar);
        } else if (t == e.a.a.n.COLOR_FILTER) {
            e.a.a.u.c.a<ColorFilter, ColorFilter> aVar = this.colorFilterAnimation;
            if (aVar != null) {
                this.layer.removeAnimation(aVar);
            }
            if (jVar == null) {
                this.colorFilterAnimation = null;
                return;
            }
            e.a.a.u.c.p pVar = new e.a.a.u.c.p(jVar);
            this.colorFilterAnimation = pVar;
            pVar.addUpdateListener(this);
            this.layer.addAnimation(this.colorFilterAnimation);
        }
    }

    @Override // e.a.a.u.b.e
    public void draw(Canvas canvas, Matrix matrix, int i2) {
        if (this.hidden) {
            return;
        }
        e.a.a.e.beginSection("FillContent#draw");
        this.paint.setColor(((e.a.a.u.c.b) this.colorAnimation).getIntValue());
        this.paint.setAlpha(e.a.a.z.g.clamp((int) ((((i2 / 255.0f) * this.opacityAnimation.getValue().intValue()) / 100.0f) * 255.0f), 0, 255));
        e.a.a.u.c.a<ColorFilter, ColorFilter> aVar = this.colorFilterAnimation;
        if (aVar != null) {
            this.paint.setColorFilter(aVar.getValue());
        }
        this.path.reset();
        for (int i3 = 0; i3 < this.paths.size(); i3++) {
            this.path.addPath(this.paths.get(i3).getPath(), matrix);
        }
        canvas.drawPath(this.path, this.paint);
        e.a.a.e.endSection("FillContent#draw");
    }

    @Override // e.a.a.u.b.e
    public void getBounds(RectF rectF, Matrix matrix, boolean z) {
        this.path.reset();
        for (int i2 = 0; i2 < this.paths.size(); i2++) {
            this.path.addPath(this.paths.get(i2).getPath(), matrix);
        }
        this.path.computeBounds(rectF, false);
        rectF.set(rectF.left - 1.0f, rectF.top - 1.0f, rectF.right + 1.0f, rectF.bottom + 1.0f);
    }

    @Override // e.a.a.u.b.c
    public String getName() {
        return this.name;
    }

    @Override // e.a.a.u.c.a.b
    public void onValueChanged() {
        this.lottieDrawable.invalidateSelf();
    }

    @Override // e.a.a.w.e
    public void resolveKeyPath(e.a.a.w.d dVar, int i2, List<e.a.a.w.d> list, e.a.a.w.d dVar2) {
        e.a.a.z.g.resolveKeyPath(dVar, i2, list, dVar2, this);
    }

    @Override // e.a.a.u.b.c
    public void setContents(List<c> list, List<c> list2) {
        for (int i2 = 0; i2 < list2.size(); i2++) {
            c cVar = list2.get(i2);
            if (cVar instanceof n) {
                this.paths.add((n) cVar);
            }
        }
    }
}
