package e.a.a.u.b;

import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.LinearGradient;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PointF;
import android.graphics.RadialGradient;
import android.graphics.RectF;
import android.graphics.Shader;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.collection.LongSparseArray;
import com.airbnb.lottie.LottieDrawable;
import com.airbnb.lottie.model.content.GradientType;
import e.a.a.u.c.a;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class h implements e, a.b, k {
    public static final int CACHE_STEPS_MS = 32;
    public final int cacheSteps;
    public final e.a.a.u.c.a<e.a.a.w.j.c, e.a.a.w.j.c> colorAnimation;
    @Nullable
    public e.a.a.u.c.p colorCallbackAnimation;
    @Nullable
    public e.a.a.u.c.a<ColorFilter, ColorFilter> colorFilterAnimation;
    public final e.a.a.u.c.a<PointF, PointF> endPointAnimation;
    public final boolean hidden;
    public final e.a.a.w.k.a layer;
    public final LottieDrawable lottieDrawable;
    @NonNull
    public final String name;
    public final e.a.a.u.c.a<Integer, Integer> opacityAnimation;
    public final e.a.a.u.c.a<PointF, PointF> startPointAnimation;
    public final GradientType type;
    public final LongSparseArray<LinearGradient> linearGradientCache = new LongSparseArray<>();
    public final LongSparseArray<RadialGradient> radialGradientCache = new LongSparseArray<>();
    public final Path path = new Path();
    public final Paint paint = new e.a.a.u.a(1);
    public final RectF boundsRect = new RectF();
    public final List<n> paths = new ArrayList();

    public h(LottieDrawable lottieDrawable, e.a.a.w.k.a aVar, e.a.a.w.j.d dVar) {
        this.layer = aVar;
        this.name = dVar.getName();
        this.hidden = dVar.isHidden();
        this.lottieDrawable = lottieDrawable;
        this.type = dVar.getGradientType();
        this.path.setFillType(dVar.getFillType());
        this.cacheSteps = (int) (lottieDrawable.getComposition().getDuration() / 32.0f);
        e.a.a.u.c.a<e.a.a.w.j.c, e.a.a.w.j.c> createAnimation = dVar.getGradientColor().createAnimation();
        this.colorAnimation = createAnimation;
        createAnimation.addUpdateListener(this);
        aVar.addAnimation(this.colorAnimation);
        e.a.a.u.c.a<Integer, Integer> createAnimation2 = dVar.getOpacity().createAnimation();
        this.opacityAnimation = createAnimation2;
        createAnimation2.addUpdateListener(this);
        aVar.addAnimation(this.opacityAnimation);
        e.a.a.u.c.a<PointF, PointF> createAnimation3 = dVar.getStartPoint().createAnimation();
        this.startPointAnimation = createAnimation3;
        createAnimation3.addUpdateListener(this);
        aVar.addAnimation(this.startPointAnimation);
        e.a.a.u.c.a<PointF, PointF> createAnimation4 = dVar.getEndPoint().createAnimation();
        this.endPointAnimation = createAnimation4;
        createAnimation4.addUpdateListener(this);
        aVar.addAnimation(this.endPointAnimation);
    }

    private int[] applyDynamicColorsIfNeeded(int[] iArr) {
        e.a.a.u.c.p pVar = this.colorCallbackAnimation;
        if (pVar != null) {
            Integer[] numArr = (Integer[]) pVar.getValue();
            int i2 = 0;
            if (iArr.length == numArr.length) {
                while (i2 < iArr.length) {
                    iArr[i2] = numArr[i2].intValue();
                    i2++;
                }
            } else {
                iArr = new int[numArr.length];
                while (i2 < numArr.length) {
                    iArr[i2] = numArr[i2].intValue();
                    i2++;
                }
            }
        }
        return iArr;
    }

    private int getGradientHash() {
        int round = Math.round(this.startPointAnimation.getProgress() * this.cacheSteps);
        int round2 = Math.round(this.endPointAnimation.getProgress() * this.cacheSteps);
        int round3 = Math.round(this.colorAnimation.getProgress() * this.cacheSteps);
        int i2 = round != 0 ? 527 * round : 17;
        if (round2 != 0) {
            i2 = i2 * 31 * round2;
        }
        return round3 != 0 ? i2 * 31 * round3 : i2;
    }

    private LinearGradient getLinearGradient() {
        long gradientHash = getGradientHash();
        LinearGradient linearGradient = this.linearGradientCache.get(gradientHash);
        if (linearGradient != null) {
            return linearGradient;
        }
        PointF value = this.startPointAnimation.getValue();
        PointF value2 = this.endPointAnimation.getValue();
        e.a.a.w.j.c value3 = this.colorAnimation.getValue();
        LinearGradient linearGradient2 = new LinearGradient(value.x, value.y, value2.x, value2.y, applyDynamicColorsIfNeeded(value3.getColors()), value3.getPositions(), Shader.TileMode.CLAMP);
        this.linearGradientCache.put(gradientHash, linearGradient2);
        return linearGradient2;
    }

    private RadialGradient getRadialGradient() {
        long gradientHash = getGradientHash();
        RadialGradient radialGradient = this.radialGradientCache.get(gradientHash);
        if (radialGradient != null) {
            return radialGradient;
        }
        PointF value = this.startPointAnimation.getValue();
        PointF value2 = this.endPointAnimation.getValue();
        e.a.a.w.j.c value3 = this.colorAnimation.getValue();
        int[] applyDynamicColorsIfNeeded = applyDynamicColorsIfNeeded(value3.getColors());
        float[] positions = value3.getPositions();
        float f2 = value.x;
        float f3 = value.y;
        float hypot = (float) Math.hypot(value2.x - f2, value2.y - f3);
        RadialGradient radialGradient2 = new RadialGradient(f2, f3, hypot <= 0.0f ? 0.001f : hypot, applyDynamicColorsIfNeeded, positions, Shader.TileMode.CLAMP);
        this.radialGradientCache.put(gradientHash, radialGradient2);
        return radialGradient2;
    }

    /* JADX WARN: Multi-variable type inference failed */
    @Override // e.a.a.w.e
    public <T> void addValueCallback(T t, @Nullable e.a.a.a0.j<T> jVar) {
        if (t == e.a.a.n.OPACITY) {
            this.opacityAnimation.setValueCallback(jVar);
        } else if (t == e.a.a.n.COLOR_FILTER) {
            e.a.a.u.c.a<ColorFilter, ColorFilter> aVar = this.colorFilterAnimation;
            if (aVar != null) {
                this.layer.removeAnimation(aVar);
            }
            if (jVar == null) {
                this.colorFilterAnimation = null;
                return;
            }
            e.a.a.u.c.p pVar = new e.a.a.u.c.p(jVar);
            this.colorFilterAnimation = pVar;
            pVar.addUpdateListener(this);
            this.layer.addAnimation(this.colorFilterAnimation);
        } else if (t == e.a.a.n.GRADIENT_COLOR) {
            e.a.a.u.c.p pVar2 = this.colorCallbackAnimation;
            if (pVar2 != null) {
                this.layer.removeAnimation(pVar2);
            }
            if (jVar == null) {
                this.colorCallbackAnimation = null;
                return;
            }
            this.linearGradientCache.clear();
            this.radialGradientCache.clear();
            e.a.a.u.c.p pVar3 = new e.a.a.u.c.p(jVar);
            this.colorCallbackAnimation = pVar3;
            pVar3.addUpdateListener(this);
            this.layer.addAnimation(this.colorCallbackAnimation);
        }
    }

    @Override // e.a.a.u.b.e
    public void draw(Canvas canvas, Matrix matrix, int i2) {
        Shader radialGradient;
        if (this.hidden) {
            return;
        }
        e.a.a.e.beginSection("GradientFillContent#draw");
        this.path.reset();
        for (int i3 = 0; i3 < this.paths.size(); i3++) {
            this.path.addPath(this.paths.get(i3).getPath(), matrix);
        }
        this.path.computeBounds(this.boundsRect, false);
        if (this.type == GradientType.LINEAR) {
            radialGradient = getLinearGradient();
        } else {
            radialGradient = getRadialGradient();
        }
        radialGradient.setLocalMatrix(matrix);
        this.paint.setShader(radialGradient);
        e.a.a.u.c.a<ColorFilter, ColorFilter> aVar = this.colorFilterAnimation;
        if (aVar != null) {
            this.paint.setColorFilter(aVar.getValue());
        }
        this.paint.setAlpha(e.a.a.z.g.clamp((int) ((((i2 / 255.0f) * this.opacityAnimation.getValue().intValue()) / 100.0f) * 255.0f), 0, 255));
        canvas.drawPath(this.path, this.paint);
        e.a.a.e.endSection("GradientFillContent#draw");
    }

    @Override // e.a.a.u.b.e
    public void getBounds(RectF rectF, Matrix matrix, boolean z) {
        this.path.reset();
        for (int i2 = 0; i2 < this.paths.size(); i2++) {
            this.path.addPath(this.paths.get(i2).getPath(), matrix);
        }
        this.path.computeBounds(rectF, false);
        rectF.set(rectF.left - 1.0f, rectF.top - 1.0f, rectF.right + 1.0f, rectF.bottom + 1.0f);
    }

    @Override // e.a.a.u.b.c
    public String getName() {
        return this.name;
    }

    @Override // e.a.a.u.c.a.b
    public void onValueChanged() {
        this.lottieDrawable.invalidateSelf();
    }

    @Override // e.a.a.w.e
    public void resolveKeyPath(e.a.a.w.d dVar, int i2, List<e.a.a.w.d> list, e.a.a.w.d dVar2) {
        e.a.a.z.g.resolveKeyPath(dVar, i2, list, dVar2, this);
    }

    @Override // e.a.a.u.b.c
    public void setContents(List<c> list, List<c> list2) {
        for (int i2 = 0; i2 < list2.size(); i2++) {
            c cVar = list2.get(i2);
            if (cVar instanceof n) {
                this.paths.add((n) cVar);
            }
        }
    }
}
