package e.a.a.u.b;

import android.graphics.Canvas;
import android.graphics.LinearGradient;
import android.graphics.Matrix;
import android.graphics.PointF;
import android.graphics.RadialGradient;
import android.graphics.RectF;
import android.graphics.Shader;
import androidx.annotation.Nullable;
import androidx.collection.LongSparseArray;
import com.airbnb.lottie.LottieDrawable;
import com.airbnb.lottie.model.content.GradientType;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class i extends a {
    public static final int CACHE_STEPS_MS = 32;
    public final RectF boundsRect;
    public final int cacheSteps;
    public final e.a.a.u.c.a<e.a.a.w.j.c, e.a.a.w.j.c> colorAnimation;
    @Nullable
    public e.a.a.u.c.p colorCallbackAnimation;
    public final e.a.a.u.c.a<PointF, PointF> endPointAnimation;
    public final boolean hidden;
    public final LongSparseArray<LinearGradient> linearGradientCache;
    public final String name;
    public final LongSparseArray<RadialGradient> radialGradientCache;
    public final e.a.a.u.c.a<PointF, PointF> startPointAnimation;
    public final GradientType type;

    public i(LottieDrawable lottieDrawable, e.a.a.w.k.a aVar, e.a.a.w.j.e eVar) {
        super(lottieDrawable, aVar, eVar.getCapType().toPaintCap(), eVar.getJoinType().toPaintJoin(), eVar.getMiterLimit(), eVar.getOpacity(), eVar.getWidth(), eVar.getLineDashPattern(), eVar.getDashOffset());
        this.linearGradientCache = new LongSparseArray<>();
        this.radialGradientCache = new LongSparseArray<>();
        this.boundsRect = new RectF();
        this.name = eVar.getName();
        this.type = eVar.getGradientType();
        this.hidden = eVar.isHidden();
        this.cacheSteps = (int) (lottieDrawable.getComposition().getDuration() / 32.0f);
        e.a.a.u.c.a<e.a.a.w.j.c, e.a.a.w.j.c> createAnimation = eVar.getGradientColor().createAnimation();
        this.colorAnimation = createAnimation;
        createAnimation.addUpdateListener(this);
        aVar.addAnimation(this.colorAnimation);
        e.a.a.u.c.a<PointF, PointF> createAnimation2 = eVar.getStartPoint().createAnimation();
        this.startPointAnimation = createAnimation2;
        createAnimation2.addUpdateListener(this);
        aVar.addAnimation(this.startPointAnimation);
        e.a.a.u.c.a<PointF, PointF> createAnimation3 = eVar.getEndPoint().createAnimation();
        this.endPointAnimation = createAnimation3;
        createAnimation3.addUpdateListener(this);
        aVar.addAnimation(this.endPointAnimation);
    }

    private int[] applyDynamicColorsIfNeeded(int[] iArr) {
        e.a.a.u.c.p pVar = this.colorCallbackAnimation;
        if (pVar != null) {
            Integer[] numArr = (Integer[]) pVar.getValue();
            int i2 = 0;
            if (iArr.length == numArr.length) {
                while (i2 < iArr.length) {
                    iArr[i2] = numArr[i2].intValue();
                    i2++;
                }
            } else {
                iArr = new int[numArr.length];
                while (i2 < numArr.length) {
                    iArr[i2] = numArr[i2].intValue();
                    i2++;
                }
            }
        }
        return iArr;
    }

    private int getGradientHash() {
        int round = Math.round(this.startPointAnimation.getProgress() * this.cacheSteps);
        int round2 = Math.round(this.endPointAnimation.getProgress() * this.cacheSteps);
        int round3 = Math.round(this.colorAnimation.getProgress() * this.cacheSteps);
        int i2 = round != 0 ? 527 * round : 17;
        if (round2 != 0) {
            i2 = i2 * 31 * round2;
        }
        return round3 != 0 ? i2 * 31 * round3 : i2;
    }

    private LinearGradient getLinearGradient() {
        long gradientHash = getGradientHash();
        LinearGradient linearGradient = this.linearGradientCache.get(gradientHash);
        if (linearGradient != null) {
            return linearGradient;
        }
        PointF value = this.startPointAnimation.getValue();
        PointF value2 = this.endPointAnimation.getValue();
        e.a.a.w.j.c value3 = this.colorAnimation.getValue();
        LinearGradient linearGradient2 = new LinearGradient(value.x, value.y, value2.x, value2.y, applyDynamicColorsIfNeeded(value3.getColors()), value3.getPositions(), Shader.TileMode.CLAMP);
        this.linearGradientCache.put(gradientHash, linearGradient2);
        return linearGradient2;
    }

    private RadialGradient getRadialGradient() {
        float f2;
        float f3;
        long gradientHash = getGradientHash();
        RadialGradient radialGradient = this.radialGradientCache.get(gradientHash);
        if (radialGradient != null) {
            return radialGradient;
        }
        PointF value = this.startPointAnimation.getValue();
        PointF value2 = this.endPointAnimation.getValue();
        e.a.a.w.j.c value3 = this.colorAnimation.getValue();
        int[] applyDynamicColorsIfNeeded = applyDynamicColorsIfNeeded(value3.getColors());
        float[] positions = value3.getPositions();
        RadialGradient radialGradient2 = new RadialGradient(value.x, value.y, (float) Math.hypot(value2.x - f2, value2.y - f3), applyDynamicColorsIfNeeded, positions, Shader.TileMode.CLAMP);
        this.radialGradientCache.put(gradientHash, radialGradient2);
        return radialGradient2;
    }

    /* JADX WARN: Multi-variable type inference failed */
    @Override // e.a.a.u.b.a, e.a.a.w.e
    public <T> void addValueCallback(T t, @Nullable e.a.a.a0.j<T> jVar) {
        super.addValueCallback(t, jVar);
        if (t == e.a.a.n.GRADIENT_COLOR) {
            e.a.a.u.c.p pVar = this.colorCallbackAnimation;
            if (pVar != null) {
                this.layer.removeAnimation(pVar);
            }
            if (jVar == null) {
                this.colorCallbackAnimation = null;
                return;
            }
            e.a.a.u.c.p pVar2 = new e.a.a.u.c.p(jVar);
            this.colorCallbackAnimation = pVar2;
            pVar2.addUpdateListener(this);
            this.layer.addAnimation(this.colorCallbackAnimation);
        }
    }

    @Override // e.a.a.u.b.a, e.a.a.u.b.e
    public void draw(Canvas canvas, Matrix matrix, int i2) {
        Shader radialGradient;
        if (this.hidden) {
            return;
        }
        getBounds(this.boundsRect, matrix, false);
        if (this.type == GradientType.LINEAR) {
            radialGradient = getLinearGradient();
        } else {
            radialGradient = getRadialGradient();
        }
        radialGradient.setLocalMatrix(matrix);
        this.paint.setShader(radialGradient);
        super.draw(canvas, matrix, i2);
    }

    @Override // e.a.a.u.b.c
    public String getName() {
        return this.name;
    }
}
