package e.a.a.u.b;

import android.graphics.Path;
import android.graphics.PointF;
import androidx.annotation.Nullable;
import com.airbnb.lottie.LottieDrawable;
import com.airbnb.lottie.model.content.PolystarShape;
import com.airbnb.lottie.model.content.ShapeTrimPath;
import e.a.a.u.c.a;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class o implements n, a.b, k {
    public static final float POLYGON_MAGIC_NUMBER = 0.25f;
    public static final float POLYSTAR_MAGIC_NUMBER = 0.47829f;
    public final boolean hidden;
    @Nullable
    public final e.a.a.u.c.a<?, Float> innerRadiusAnimation;
    @Nullable
    public final e.a.a.u.c.a<?, Float> innerRoundednessAnimation;
    public boolean isPathValid;
    public final LottieDrawable lottieDrawable;
    public final String name;
    public final e.a.a.u.c.a<?, Float> outerRadiusAnimation;
    public final e.a.a.u.c.a<?, Float> outerRoundednessAnimation;
    public final e.a.a.u.c.a<?, Float> pointsAnimation;
    public final e.a.a.u.c.a<?, PointF> positionAnimation;
    public final e.a.a.u.c.a<?, Float> rotationAnimation;
    public final PolystarShape.Type type;
    public final Path path = new Path();
    public b trimPaths = new b();

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static /* synthetic */ class a {
        public static final /* synthetic */ int[] $SwitchMap$com$airbnb$lottie$model$content$PolystarShape$Type;

        static {
            int[] iArr = new int[PolystarShape.Type.values().length];
            $SwitchMap$com$airbnb$lottie$model$content$PolystarShape$Type = iArr;
            try {
                iArr[PolystarShape.Type.STAR.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                $SwitchMap$com$airbnb$lottie$model$content$PolystarShape$Type[PolystarShape.Type.POLYGON.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
        }
    }

    public o(LottieDrawable lottieDrawable, e.a.a.w.k.a aVar, PolystarShape polystarShape) {
        this.lottieDrawable = lottieDrawable;
        this.name = polystarShape.getName();
        this.type = polystarShape.getType();
        this.hidden = polystarShape.isHidden();
        this.pointsAnimation = polystarShape.getPoints().createAnimation();
        this.positionAnimation = polystarShape.getPosition().createAnimation();
        this.rotationAnimation = polystarShape.getRotation().createAnimation();
        this.outerRadiusAnimation = polystarShape.getOuterRadius().createAnimation();
        this.outerRoundednessAnimation = polystarShape.getOuterRoundedness().createAnimation();
        if (this.type == PolystarShape.Type.STAR) {
            this.innerRadiusAnimation = polystarShape.getInnerRadius().createAnimation();
            this.innerRoundednessAnimation = polystarShape.getInnerRoundedness().createAnimation();
        } else {
            this.innerRadiusAnimation = null;
            this.innerRoundednessAnimation = null;
        }
        aVar.addAnimation(this.pointsAnimation);
        aVar.addAnimation(this.positionAnimation);
        aVar.addAnimation(this.rotationAnimation);
        aVar.addAnimation(this.outerRadiusAnimation);
        aVar.addAnimation(this.outerRoundednessAnimation);
        if (this.type == PolystarShape.Type.STAR) {
            aVar.addAnimation(this.innerRadiusAnimation);
            aVar.addAnimation(this.innerRoundednessAnimation);
        }
        this.pointsAnimation.addUpdateListener(this);
        this.positionAnimation.addUpdateListener(this);
        this.rotationAnimation.addUpdateListener(this);
        this.outerRadiusAnimation.addUpdateListener(this);
        this.outerRoundednessAnimation.addUpdateListener(this);
        if (this.type == PolystarShape.Type.STAR) {
            this.innerRadiusAnimation.addUpdateListener(this);
            this.innerRoundednessAnimation.addUpdateListener(this);
        }
    }

    private void createPolygonPath() {
        e.a.a.u.c.a<?, Float> aVar;
        double d2;
        double d3;
        double d4;
        int i2;
        int floor = (int) Math.floor(this.pointsAnimation.getValue().floatValue());
        double radians = Math.toRadians((this.rotationAnimation == null ? 0.0d : aVar.getValue().floatValue()) - 90.0d);
        double d5 = floor;
        Double.isNaN(d5);
        float floatValue = this.outerRoundednessAnimation.getValue().floatValue() / 100.0f;
        float floatValue2 = this.outerRadiusAnimation.getValue().floatValue();
        double d6 = floatValue2;
        double cos = Math.cos(radians);
        Double.isNaN(d6);
        float f2 = (float) (cos * d6);
        double sin = Math.sin(radians);
        Double.isNaN(d6);
        float f3 = (float) (sin * d6);
        this.path.moveTo(f2, f3);
        double d7 = (float) (6.283185307179586d / d5);
        Double.isNaN(d7);
        double d8 = radians + d7;
        double ceil = Math.ceil(d5);
        int i3 = 0;
        while (i3 < ceil) {
            double cos2 = Math.cos(d8);
            Double.isNaN(d6);
            float f4 = (float) (cos2 * d6);
            double sin2 = Math.sin(d8);
            Double.isNaN(d6);
            double d9 = ceil;
            float f5 = (float) (d6 * sin2);
            if (floatValue != 0.0f) {
                d3 = d6;
                i2 = i3;
                d2 = d8;
                double atan2 = (float) (Math.atan2(f3, f2) - 1.5707963267948966d);
                float cos3 = (float) Math.cos(atan2);
                d4 = d7;
                double atan22 = (float) (Math.atan2(f5, f4) - 1.5707963267948966d);
                float f6 = floatValue2 * floatValue * 0.25f;
                this.path.cubicTo(f2 - (cos3 * f6), f3 - (((float) Math.sin(atan2)) * f6), f4 + (((float) Math.cos(atan22)) * f6), f5 + (f6 * ((float) Math.sin(atan22))), f4, f5);
            } else {
                d2 = d8;
                d3 = d6;
                d4 = d7;
                i2 = i3;
                this.path.lineTo(f4, f5);
            }
            Double.isNaN(d4);
            d8 = d2 + d4;
            i3 = i2 + 1;
            f3 = f5;
            f2 = f4;
            ceil = d9;
            d6 = d3;
            d7 = d4;
        }
        PointF value = this.positionAnimation.getValue();
        this.path.offset(value.x, value.y);
        this.path.close();
    }

    private void createStarPath() {
        e.a.a.u.c.a<?, Float> aVar;
        double d2;
        float f2;
        float f3;
        float f4;
        float f5;
        double d3;
        float f6;
        float f7;
        float f8;
        float f9;
        float f10;
        float f11;
        double d4;
        float f12;
        float f13;
        float floatValue = this.pointsAnimation.getValue().floatValue();
        double radians = Math.toRadians((this.rotationAnimation == null ? 0.0d : aVar.getValue().floatValue()) - 90.0d);
        double d5 = floatValue;
        Double.isNaN(d5);
        float f14 = (float) (6.283185307179586d / d5);
        float f15 = f14 / 2.0f;
        float f16 = floatValue - ((int) floatValue);
        if (f16 != 0.0f) {
            double d6 = (1.0f - f16) * f15;
            Double.isNaN(d6);
            radians += d6;
        }
        float floatValue2 = this.outerRadiusAnimation.getValue().floatValue();
        float floatValue3 = this.innerRadiusAnimation.getValue().floatValue();
        e.a.a.u.c.a<?, Float> aVar2 = this.innerRoundednessAnimation;
        float floatValue4 = aVar2 != null ? aVar2.getValue().floatValue() / 100.0f : 0.0f;
        e.a.a.u.c.a<?, Float> aVar3 = this.outerRoundednessAnimation;
        float floatValue5 = aVar3 != null ? aVar3.getValue().floatValue() / 100.0f : 0.0f;
        if (f16 != 0.0f) {
            float f17 = ((floatValue2 - floatValue3) * f16) + floatValue3;
            double d7 = f17;
            double cos = Math.cos(radians);
            Double.isNaN(d7);
            d2 = d5;
            float f18 = (float) (d7 * cos);
            double sin = Math.sin(radians);
            Double.isNaN(d7);
            float f19 = (float) (d7 * sin);
            this.path.moveTo(f18, f19);
            double d8 = (f14 * f16) / 2.0f;
            Double.isNaN(d8);
            d3 = radians + d8;
            f4 = f18;
            f6 = f17;
            f2 = floatValue2;
            f5 = f19;
            f3 = f15;
        } else {
            d2 = d5;
            f2 = floatValue2;
            double d9 = f2;
            double cos2 = Math.cos(radians);
            Double.isNaN(d9);
            f3 = f15;
            f4 = (float) (d9 * cos2);
            double sin2 = Math.sin(radians);
            Double.isNaN(d9);
            f5 = (float) (d9 * sin2);
            this.path.moveTo(f4, f5);
            double d10 = f3;
            Double.isNaN(d10);
            d3 = radians + d10;
            f6 = 0.0f;
        }
        double ceil = Math.ceil(d2) * 2.0d;
        int i2 = 0;
        float f20 = floatValue5;
        boolean z = false;
        while (true) {
            double d11 = i2;
            if (d11 < ceil) {
                float f21 = z ? f2 : floatValue3;
                float f22 = (f6 == 0.0f || d11 != ceil - 2.0d) ? f3 : (f14 * f16) / 2.0f;
                if (f6 == 0.0f || d11 != ceil - 1.0d) {
                    f7 = f14;
                    f8 = f21;
                    f9 = f2;
                } else {
                    f7 = f14;
                    f9 = f2;
                    f8 = f6;
                }
                double d12 = f8;
                double cos3 = Math.cos(d3);
                Double.isNaN(d12);
                float f23 = (float) (d12 * cos3);
                double sin3 = Math.sin(d3);
                Double.isNaN(d12);
                float f24 = (float) (d12 * sin3);
                if (floatValue4 == 0.0f && f20 == 0.0f) {
                    this.path.lineTo(f23, f24);
                    d4 = d3;
                    f10 = floatValue3;
                    f11 = floatValue4;
                    f12 = f3;
                    f13 = f22;
                } else {
                    f10 = floatValue3;
                    f11 = floatValue4;
                    double atan2 = (float) (Math.atan2(f5, f4) - 1.5707963267948966d);
                    float cos4 = (float) Math.cos(atan2);
                    float sin4 = (float) Math.sin(atan2);
                    d4 = d3;
                    f12 = f3;
                    f13 = f22;
                    double atan22 = (float) (Math.atan2(f24, f23) - 1.5707963267948966d);
                    float cos5 = (float) Math.cos(atan22);
                    float sin5 = (float) Math.sin(atan22);
                    float f25 = z ? f11 : f20;
                    float f26 = z ? f20 : f11;
                    float f27 = (z ? f10 : f9) * f25 * 0.47829f;
                    float f28 = cos4 * f27;
                    float f29 = f27 * sin4;
                    float f30 = (z ? f9 : f10) * f26 * 0.47829f;
                    float f31 = cos5 * f30;
                    float f32 = f30 * sin5;
                    if (f16 != 0.0f) {
                        if (i2 == 0) {
                            f28 *= f16;
                            f29 *= f16;
                        } else if (d11 == ceil - 1.0d) {
                            f31 *= f16;
                            f32 *= f16;
                        }
                    }
                    this.path.cubicTo(f4 - f28, f5 - f29, f23 + f31, f24 + f32, f23, f24);
                }
                double d13 = f13;
                Double.isNaN(d13);
                z = !z;
                i2++;
                f5 = f24;
                d3 = d4 + d13;
                f3 = f12;
                f4 = f23;
                f2 = f9;
                f14 = f7;
                floatValue3 = f10;
                floatValue4 = f11;
            } else {
                PointF value = this.positionAnimation.getValue();
                this.path.offset(value.x, value.y);
                this.path.close();
                return;
            }
        }
    }

    private void invalidate() {
        this.isPathValid = false;
        this.lottieDrawable.invalidateSelf();
    }

    @Override // e.a.a.w.e
    public <T> void addValueCallback(T t, @Nullable e.a.a.a0.j<T> jVar) {
        e.a.a.u.c.a<?, Float> aVar;
        e.a.a.u.c.a<?, Float> aVar2;
        if (t == e.a.a.n.POLYSTAR_POINTS) {
            this.pointsAnimation.setValueCallback(jVar);
        } else if (t == e.a.a.n.POLYSTAR_ROTATION) {
            this.rotationAnimation.setValueCallback(jVar);
        } else if (t == e.a.a.n.POSITION) {
            this.positionAnimation.setValueCallback(jVar);
        } else if (t == e.a.a.n.POLYSTAR_INNER_RADIUS && (aVar2 = this.innerRadiusAnimation) != null) {
            aVar2.setValueCallback(jVar);
        } else if (t == e.a.a.n.POLYSTAR_OUTER_RADIUS) {
            this.outerRadiusAnimation.setValueCallback(jVar);
        } else if (t == e.a.a.n.POLYSTAR_INNER_ROUNDEDNESS && (aVar = this.innerRoundednessAnimation) != null) {
            aVar.setValueCallback(jVar);
        } else if (t == e.a.a.n.POLYSTAR_OUTER_ROUNDEDNESS) {
            this.outerRoundednessAnimation.setValueCallback(jVar);
        }
    }

    @Override // e.a.a.u.b.c
    public String getName() {
        return this.name;
    }

    @Override // e.a.a.u.b.n
    public Path getPath() {
        if (this.isPathValid) {
            return this.path;
        }
        this.path.reset();
        if (this.hidden) {
            this.isPathValid = true;
            return this.path;
        }
        int i2 = a.$SwitchMap$com$airbnb$lottie$model$content$PolystarShape$Type[this.type.ordinal()];
        if (i2 == 1) {
            createStarPath();
        } else if (i2 == 2) {
            createPolygonPath();
        }
        this.path.close();
        this.trimPaths.apply(this.path);
        this.isPathValid = true;
        return this.path;
    }

    @Override // e.a.a.u.c.a.b
    public void onValueChanged() {
        invalidate();
    }

    @Override // e.a.a.w.e
    public void resolveKeyPath(e.a.a.w.d dVar, int i2, List<e.a.a.w.d> list, e.a.a.w.d dVar2) {
        e.a.a.z.g.resolveKeyPath(dVar, i2, list, dVar2, this);
    }

    @Override // e.a.a.u.b.c
    public void setContents(List<c> list, List<c> list2) {
        for (int i2 = 0; i2 < list.size(); i2++) {
            c cVar = list.get(i2);
            if (cVar instanceof t) {
                t tVar = (t) cVar;
                if (tVar.getType() == ShapeTrimPath.Type.SIMULTANEOUSLY) {
                    this.trimPaths.addTrimPath(tVar);
                    tVar.addListener(this);
                }
            }
        }
    }
}
