package e.a.a.u.b;

import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Path;
import android.graphics.RectF;
import androidx.annotation.Nullable;
import com.airbnb.lottie.LottieDrawable;
import e.a.a.u.c.a;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.ListIterator;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class q implements e, n, j, a.b, k {
    public d contentGroup;
    public final e.a.a.u.c.a<Float, Float> copies;
    public final boolean hidden;
    public final e.a.a.w.k.a layer;
    public final LottieDrawable lottieDrawable;
    public final String name;
    public final e.a.a.u.c.a<Float, Float> offset;
    public final e.a.a.u.c.o transform;
    public final Matrix matrix = new Matrix();
    public final Path path = new Path();

    public q(LottieDrawable lottieDrawable, e.a.a.w.k.a aVar, e.a.a.w.j.g gVar) {
        this.lottieDrawable = lottieDrawable;
        this.layer = aVar;
        this.name = gVar.getName();
        this.hidden = gVar.isHidden();
        e.a.a.u.c.a<Float, Float> createAnimation = gVar.getCopies().createAnimation();
        this.copies = createAnimation;
        aVar.addAnimation(createAnimation);
        this.copies.addUpdateListener(this);
        e.a.a.u.c.a<Float, Float> createAnimation2 = gVar.getOffset().createAnimation();
        this.offset = createAnimation2;
        aVar.addAnimation(createAnimation2);
        this.offset.addUpdateListener(this);
        e.a.a.u.c.o createAnimation3 = gVar.getTransform().createAnimation();
        this.transform = createAnimation3;
        createAnimation3.addAnimationsToLayer(aVar);
        this.transform.addListener(this);
    }

    @Override // e.a.a.u.b.j
    public void absorbContent(ListIterator<c> listIterator) {
        if (this.contentGroup != null) {
            return;
        }
        while (listIterator.hasPrevious() && listIterator.previous() != this) {
        }
        ArrayList arrayList = new ArrayList();
        while (listIterator.hasPrevious()) {
            arrayList.add(listIterator.previous());
            listIterator.remove();
        }
        Collections.reverse(arrayList);
        this.contentGroup = new d(this.lottieDrawable, this.layer, "Repeater", this.hidden, arrayList, null);
    }

    @Override // e.a.a.w.e
    public <T> void addValueCallback(T t, @Nullable e.a.a.a0.j<T> jVar) {
        if (this.transform.applyValueCallback(t, jVar)) {
            return;
        }
        if (t == e.a.a.n.REPEATER_COPIES) {
            this.copies.setValueCallback(jVar);
        } else if (t == e.a.a.n.REPEATER_OFFSET) {
            this.offset.setValueCallback(jVar);
        }
    }

    @Override // e.a.a.u.b.e
    public void draw(Canvas canvas, Matrix matrix, int i2) {
        float floatValue = this.copies.getValue().floatValue();
        float floatValue2 = this.offset.getValue().floatValue();
        float floatValue3 = this.transform.getStartOpacity().getValue().floatValue() / 100.0f;
        float floatValue4 = this.transform.getEndOpacity().getValue().floatValue() / 100.0f;
        for (int i3 = ((int) floatValue) - 1; i3 >= 0; i3--) {
            this.matrix.set(matrix);
            float f2 = i3;
            this.matrix.preConcat(this.transform.getMatrixForRepeater(f2 + floatValue2));
            this.contentGroup.draw(canvas, this.matrix, (int) (i2 * e.a.a.z.g.lerp(floatValue3, floatValue4, f2 / floatValue)));
        }
    }

    @Override // e.a.a.u.b.e
    public void getBounds(RectF rectF, Matrix matrix, boolean z) {
        this.contentGroup.getBounds(rectF, matrix, z);
    }

    @Override // e.a.a.u.b.c
    public String getName() {
        return this.name;
    }

    @Override // e.a.a.u.b.n
    public Path getPath() {
        Path path = this.contentGroup.getPath();
        this.path.reset();
        float floatValue = this.copies.getValue().floatValue();
        float floatValue2 = this.offset.getValue().floatValue();
        for (int i2 = ((int) floatValue) - 1; i2 >= 0; i2--) {
            this.matrix.set(this.transform.getMatrixForRepeater(i2 + floatValue2));
            this.path.addPath(path, this.matrix);
        }
        return this.path;
    }

    @Override // e.a.a.u.c.a.b
    public void onValueChanged() {
        this.lottieDrawable.invalidateSelf();
    }

    @Override // e.a.a.w.e
    public void resolveKeyPath(e.a.a.w.d dVar, int i2, List<e.a.a.w.d> list, e.a.a.w.d dVar2) {
        e.a.a.z.g.resolveKeyPath(dVar, i2, list, dVar2, this);
    }

    @Override // e.a.a.u.b.c
    public void setContents(List<c> list, List<c> list2) {
        this.contentGroup.setContents(list, list2);
    }
}
