package e.a.a.u.c;

import android.view.animation.Interpolator;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public abstract class a<K, A> {
    public final d<K> keyframesWrapper;
    @Nullable
    public e.a.a.a0.j<A> valueCallback;
    public final List<b> listeners = new ArrayList(1);
    public boolean isDiscrete = false;
    public float progress = 0.0f;
    @Nullable
    public A cachedGetValue = null;
    public float cachedStartDelayProgress = -1.0f;
    public float cachedEndProgress = -1.0f;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface b {
        void onValueChanged();
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class c<T> implements d<T> {
        public c() {
        }

        @Override // e.a.a.u.c.a.d
        public e.a.a.a0.a<T> getCurrentKeyframe() {
            throw new IllegalStateException("not implemented");
        }

        @Override // e.a.a.u.c.a.d
        public float getEndProgress() {
            return 1.0f;
        }

        @Override // e.a.a.u.c.a.d
        public float getStartDelayProgress() {
            return 0.0f;
        }

        @Override // e.a.a.u.c.a.d
        public boolean isCachedValueEnabled(float f2) {
            throw new IllegalStateException("not implemented");
        }

        @Override // e.a.a.u.c.a.d
        public boolean isEmpty() {
            return true;
        }

        @Override // e.a.a.u.c.a.d
        public boolean isValueChanged(float f2) {
            return false;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public interface d<T> {
        e.a.a.a0.a<T> getCurrentKeyframe();

        @FloatRange(from = 0.0d, to = 1.0d)
        float getEndProgress();

        @FloatRange(from = 0.0d, to = 1.0d)
        float getStartDelayProgress();

        boolean isCachedValueEnabled(float f2);

        boolean isEmpty();

        boolean isValueChanged(float f2);
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class e<T> implements d<T> {
        public e.a.a.a0.a<T> cachedCurrentKeyframe = null;
        public float cachedInterpolatedProgress = -1.0f;
        @NonNull
        public e.a.a.a0.a<T> currentKeyframe = findKeyframe(0.0f);
        public final List<? extends e.a.a.a0.a<T>> keyframes;

        public e(List<? extends e.a.a.a0.a<T>> list) {
            this.keyframes = list;
        }

        private e.a.a.a0.a<T> findKeyframe(float f2) {
            List<? extends e.a.a.a0.a<T>> list = this.keyframes;
            e.a.a.a0.a<T> aVar = list.get(list.size() - 1);
            if (f2 >= aVar.getStartProgress()) {
                return aVar;
            }
            for (int size = this.keyframes.size() - 2; size >= 1; size--) {
                e.a.a.a0.a<T> aVar2 = this.keyframes.get(size);
                if (this.currentKeyframe != aVar2 && aVar2.containsProgress(f2)) {
                    return aVar2;
                }
            }
            return this.keyframes.get(0);
        }

        @Override // e.a.a.u.c.a.d
        @NonNull
        public e.a.a.a0.a<T> getCurrentKeyframe() {
            return this.currentKeyframe;
        }

        @Override // e.a.a.u.c.a.d
        public float getEndProgress() {
            List<? extends e.a.a.a0.a<T>> list = this.keyframes;
            return list.get(list.size() - 1).getEndProgress();
        }

        @Override // e.a.a.u.c.a.d
        public float getStartDelayProgress() {
            return this.keyframes.get(0).getStartProgress();
        }

        @Override // e.a.a.u.c.a.d
        public boolean isCachedValueEnabled(float f2) {
            if (this.cachedCurrentKeyframe == this.currentKeyframe && this.cachedInterpolatedProgress == f2) {
                return true;
            }
            this.cachedCurrentKeyframe = this.currentKeyframe;
            this.cachedInterpolatedProgress = f2;
            return false;
        }

        @Override // e.a.a.u.c.a.d
        public boolean isEmpty() {
            return false;
        }

        @Override // e.a.a.u.c.a.d
        public boolean isValueChanged(float f2) {
            if (this.currentKeyframe.containsProgress(f2)) {
                return !this.currentKeyframe.isStatic();
            }
            this.currentKeyframe = findKeyframe(f2);
            return true;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static final class f<T> implements d<T> {
        public float cachedInterpolatedProgress = -1.0f;
        @NonNull
        public final e.a.a.a0.a<T> keyframe;

        public f(List<? extends e.a.a.a0.a<T>> list) {
            this.keyframe = list.get(0);
        }

        @Override // e.a.a.u.c.a.d
        public e.a.a.a0.a<T> getCurrentKeyframe() {
            return this.keyframe;
        }

        @Override // e.a.a.u.c.a.d
        public float getEndProgress() {
            return this.keyframe.getEndProgress();
        }

        @Override // e.a.a.u.c.a.d
        public float getStartDelayProgress() {
            return this.keyframe.getStartProgress();
        }

        @Override // e.a.a.u.c.a.d
        public boolean isCachedValueEnabled(float f2) {
            if (this.cachedInterpolatedProgress == f2) {
                return true;
            }
            this.cachedInterpolatedProgress = f2;
            return false;
        }

        @Override // e.a.a.u.c.a.d
        public boolean isEmpty() {
            return false;
        }

        @Override // e.a.a.u.c.a.d
        public boolean isValueChanged(float f2) {
            return !this.keyframe.isStatic();
        }
    }

    public a(List<? extends e.a.a.a0.a<K>> list) {
        this.keyframesWrapper = wrap(list);
    }

    @FloatRange(from = 0.0d, to = 1.0d)
    private float getStartDelayProgress() {
        if (this.cachedStartDelayProgress == -1.0f) {
            this.cachedStartDelayProgress = this.keyframesWrapper.getStartDelayProgress();
        }
        return this.cachedStartDelayProgress;
    }

    public static <T> d<T> wrap(List<? extends e.a.a.a0.a<T>> list) {
        if (list.isEmpty()) {
            return new c();
        }
        if (list.size() == 1) {
            return new f(list);
        }
        return new e(list);
    }

    public void addUpdateListener(b bVar) {
        this.listeners.add(bVar);
    }

    public e.a.a.a0.a<K> getCurrentKeyframe() {
        e.a.a.e.beginSection("BaseKeyframeAnimation#getCurrentKeyframe");
        e.a.a.a0.a<K> currentKeyframe = this.keyframesWrapper.getCurrentKeyframe();
        e.a.a.e.endSection("BaseKeyframeAnimation#getCurrentKeyframe");
        return currentKeyframe;
    }

    @FloatRange(from = 0.0d, to = 1.0d)
    public float getEndProgress() {
        if (this.cachedEndProgress == -1.0f) {
            this.cachedEndProgress = this.keyframesWrapper.getEndProgress();
        }
        return this.cachedEndProgress;
    }

    public float getInterpolatedCurrentKeyframeProgress() {
        e.a.a.a0.a<K> currentKeyframe = getCurrentKeyframe();
        if (currentKeyframe.isStatic()) {
            return 0.0f;
        }
        return currentKeyframe.interpolator.getInterpolation(getLinearCurrentKeyframeProgress());
    }

    public float getLinearCurrentKeyframeProgress() {
        if (this.isDiscrete) {
            return 0.0f;
        }
        e.a.a.a0.a<K> currentKeyframe = getCurrentKeyframe();
        if (currentKeyframe.isStatic()) {
            return 0.0f;
        }
        return (this.progress - currentKeyframe.getStartProgress()) / (currentKeyframe.getEndProgress() - currentKeyframe.getStartProgress());
    }

    public float getProgress() {
        return this.progress;
    }

    public A getValue() {
        A value;
        float linearCurrentKeyframeProgress = getLinearCurrentKeyframeProgress();
        if (this.valueCallback == null && this.keyframesWrapper.isCachedValueEnabled(linearCurrentKeyframeProgress)) {
            return this.cachedGetValue;
        }
        e.a.a.a0.a<K> currentKeyframe = getCurrentKeyframe();
        Interpolator interpolator = currentKeyframe.xInterpolator;
        if (interpolator != null && currentKeyframe.yInterpolator != null) {
            value = getValue(currentKeyframe, linearCurrentKeyframeProgress, interpolator.getInterpolation(linearCurrentKeyframeProgress), currentKeyframe.yInterpolator.getInterpolation(linearCurrentKeyframeProgress));
        } else {
            value = getValue(currentKeyframe, getInterpolatedCurrentKeyframeProgress());
        }
        this.cachedGetValue = value;
        return value;
    }

    public abstract A getValue(e.a.a.a0.a<K> aVar, float f2);

    public void notifyListeners() {
        for (int i2 = 0; i2 < this.listeners.size(); i2++) {
            this.listeners.get(i2).onValueChanged();
        }
    }

    public void setIsDiscrete() {
        this.isDiscrete = true;
    }

    public void setProgress(@FloatRange(from = 0.0d, to = 1.0d) float f2) {
        if (this.keyframesWrapper.isEmpty()) {
            return;
        }
        if (f2 < getStartDelayProgress()) {
            f2 = getStartDelayProgress();
        } else if (f2 > getEndProgress()) {
            f2 = getEndProgress();
        }
        if (f2 == this.progress) {
            return;
        }
        this.progress = f2;
        if (this.keyframesWrapper.isValueChanged(f2)) {
            notifyListeners();
        }
    }

    public void setValueCallback(@Nullable e.a.a.a0.j<A> jVar) {
        e.a.a.a0.j<A> jVar2 = this.valueCallback;
        if (jVar2 != null) {
            jVar2.setAnimation(null);
        }
        this.valueCallback = jVar;
        if (jVar != null) {
            jVar.setAnimation(this);
        }
    }

    public A getValue(e.a.a.a0.a<K> aVar, float f2, float f3, float f4) {
        throw new UnsupportedOperationException("This animation does not support split dimensions!");
    }
}
