package e.a.a.u.c;

import android.graphics.Matrix;
import android.graphics.PointF;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import e.a.a.u.c.a;
import java.util.Collections;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class o {
    @NonNull
    public a<PointF, PointF> anchorPoint;
    @Nullable
    public a<?, Float> endOpacity;
    public final Matrix matrix = new Matrix();
    @NonNull
    public a<Integer, Integer> opacity;
    @NonNull
    public a<?, PointF> position;
    @NonNull
    public a<Float, Float> rotation;
    @NonNull
    public a<e.a.a.a0.k, e.a.a.a0.k> scale;
    @Nullable
    public c skew;
    @Nullable
    public c skewAngle;
    public final Matrix skewMatrix1;
    public final Matrix skewMatrix2;
    public final Matrix skewMatrix3;
    public final float[] skewValues;
    @Nullable
    public a<?, Float> startOpacity;

    public o(e.a.a.w.i.l lVar) {
        this.anchorPoint = lVar.getAnchorPoint() == null ? null : lVar.getAnchorPoint().createAnimation();
        this.position = lVar.getPosition() == null ? null : lVar.getPosition().createAnimation();
        this.scale = lVar.getScale() == null ? null : lVar.getScale().createAnimation();
        this.rotation = lVar.getRotation() == null ? null : lVar.getRotation().createAnimation();
        c cVar = lVar.getSkew() == null ? null : (c) lVar.getSkew().createAnimation();
        this.skew = cVar;
        if (cVar != null) {
            this.skewMatrix1 = new Matrix();
            this.skewMatrix2 = new Matrix();
            this.skewMatrix3 = new Matrix();
            this.skewValues = new float[9];
        } else {
            this.skewMatrix1 = null;
            this.skewMatrix2 = null;
            this.skewMatrix3 = null;
            this.skewValues = null;
        }
        this.skewAngle = lVar.getSkewAngle() == null ? null : (c) lVar.getSkewAngle().createAnimation();
        if (lVar.getOpacity() != null) {
            this.opacity = lVar.getOpacity().createAnimation();
        }
        if (lVar.getStartOpacity() != null) {
            this.startOpacity = lVar.getStartOpacity().createAnimation();
        } else {
            this.startOpacity = null;
        }
        if (lVar.getEndOpacity() != null) {
            this.endOpacity = lVar.getEndOpacity().createAnimation();
        } else {
            this.endOpacity = null;
        }
    }

    private void clearSkewValues() {
        for (int i2 = 0; i2 < 9; i2++) {
            this.skewValues[i2] = 0.0f;
        }
    }

    public void addAnimationsToLayer(e.a.a.w.k.a aVar) {
        aVar.addAnimation(this.opacity);
        aVar.addAnimation(this.startOpacity);
        aVar.addAnimation(this.endOpacity);
        aVar.addAnimation(this.anchorPoint);
        aVar.addAnimation(this.position);
        aVar.addAnimation(this.scale);
        aVar.addAnimation(this.rotation);
        aVar.addAnimation(this.skew);
        aVar.addAnimation(this.skewAngle);
    }

    public void addListener(a.b bVar) {
        a<Integer, Integer> aVar = this.opacity;
        if (aVar != null) {
            aVar.addUpdateListener(bVar);
        }
        a<?, Float> aVar2 = this.startOpacity;
        if (aVar2 != null) {
            aVar2.addUpdateListener(bVar);
        }
        a<?, Float> aVar3 = this.endOpacity;
        if (aVar3 != null) {
            aVar3.addUpdateListener(bVar);
        }
        a<PointF, PointF> aVar4 = this.anchorPoint;
        if (aVar4 != null) {
            aVar4.addUpdateListener(bVar);
        }
        a<?, PointF> aVar5 = this.position;
        if (aVar5 != null) {
            aVar5.addUpdateListener(bVar);
        }
        a<e.a.a.a0.k, e.a.a.a0.k> aVar6 = this.scale;
        if (aVar6 != null) {
            aVar6.addUpdateListener(bVar);
        }
        a<Float, Float> aVar7 = this.rotation;
        if (aVar7 != null) {
            aVar7.addUpdateListener(bVar);
        }
        c cVar = this.skew;
        if (cVar != null) {
            cVar.addUpdateListener(bVar);
        }
        c cVar2 = this.skewAngle;
        if (cVar2 != null) {
            cVar2.addUpdateListener(bVar);
        }
    }

    public <T> boolean applyValueCallback(T t, @Nullable e.a.a.a0.j<T> jVar) {
        c cVar;
        c cVar2;
        a<?, Float> aVar;
        a<?, Float> aVar2;
        if (t == e.a.a.n.TRANSFORM_ANCHOR_POINT) {
            a<PointF, PointF> aVar3 = this.anchorPoint;
            if (aVar3 == null) {
                this.anchorPoint = new p(jVar, new PointF());
                return true;
            }
            aVar3.setValueCallback(jVar);
            return true;
        } else if (t == e.a.a.n.TRANSFORM_POSITION) {
            a<?, PointF> aVar4 = this.position;
            if (aVar4 == null) {
                this.position = new p(jVar, new PointF());
                return true;
            }
            aVar4.setValueCallback(jVar);
            return true;
        } else {
            if (t == e.a.a.n.TRANSFORM_POSITION_X) {
                a<?, PointF> aVar5 = this.position;
                if (aVar5 instanceof m) {
                    ((m) aVar5).setXValueCallback(jVar);
                    return true;
                }
            }
            if (t == e.a.a.n.TRANSFORM_POSITION_Y) {
                a<?, PointF> aVar6 = this.position;
                if (aVar6 instanceof m) {
                    ((m) aVar6).setYValueCallback(jVar);
                    return true;
                }
            }
            if (t == e.a.a.n.TRANSFORM_SCALE) {
                a<e.a.a.a0.k, e.a.a.a0.k> aVar7 = this.scale;
                if (aVar7 == null) {
                    this.scale = new p(jVar, new e.a.a.a0.k());
                    return true;
                }
                aVar7.setValueCallback(jVar);
                return true;
            } else if (t == e.a.a.n.TRANSFORM_ROTATION) {
                a<Float, Float> aVar8 = this.rotation;
                if (aVar8 == null) {
                    this.rotation = new p(jVar, Float.valueOf(0.0f));
                    return true;
                }
                aVar8.setValueCallback(jVar);
                return true;
            } else if (t == e.a.a.n.TRANSFORM_OPACITY) {
                a<Integer, Integer> aVar9 = this.opacity;
                if (aVar9 == null) {
                    this.opacity = new p(jVar, 100);
                    return true;
                }
                aVar9.setValueCallback(jVar);
                return true;
            } else if (t == e.a.a.n.TRANSFORM_START_OPACITY && (aVar2 = this.startOpacity) != null) {
                if (aVar2 == null) {
                    this.startOpacity = new p(jVar, 100);
                    return true;
                }
                aVar2.setValueCallback(jVar);
                return true;
            } else if (t == e.a.a.n.TRANSFORM_END_OPACITY && (aVar = this.endOpacity) != null) {
                if (aVar == null) {
                    this.endOpacity = new p(jVar, 100);
                    return true;
                }
                aVar.setValueCallback(jVar);
                return true;
            } else if (t == e.a.a.n.TRANSFORM_SKEW && (cVar2 = this.skew) != null) {
                if (cVar2 == null) {
                    this.skew = new c(Collections.singletonList(new e.a.a.a0.a(Float.valueOf(0.0f))));
                }
                this.skew.setValueCallback(jVar);
                return true;
            } else if (t != e.a.a.n.TRANSFORM_SKEW_ANGLE || (cVar = this.skewAngle) == null) {
                return false;
            } else {
                if (cVar == null) {
                    this.skewAngle = new c(Collections.singletonList(new e.a.a.a0.a(Float.valueOf(0.0f))));
                }
                this.skewAngle.setValueCallback(jVar);
                return true;
            }
        }
    }

    @Nullable
    public a<?, Float> getEndOpacity() {
        return this.endOpacity;
    }

    public Matrix getMatrix() {
        float floatValue;
        this.matrix.reset();
        a<?, PointF> aVar = this.position;
        if (aVar != null) {
            PointF value = aVar.getValue();
            if (value.x != 0.0f || value.y != 0.0f) {
                this.matrix.preTranslate(value.x, value.y);
            }
        }
        a<Float, Float> aVar2 = this.rotation;
        if (aVar2 != null) {
            if (aVar2 instanceof p) {
                floatValue = aVar2.getValue().floatValue();
            } else {
                floatValue = ((c) aVar2).getFloatValue();
            }
            if (floatValue != 0.0f) {
                this.matrix.preRotate(floatValue);
            }
        }
        if (this.skew != null) {
            c cVar = this.skewAngle;
            float cos = cVar == null ? 0.0f : (float) Math.cos(Math.toRadians((-cVar.getFloatValue()) + 90.0f));
            c cVar2 = this.skewAngle;
            float sin = cVar2 == null ? 1.0f : (float) Math.sin(Math.toRadians((-cVar2.getFloatValue()) + 90.0f));
            clearSkewValues();
            float[] fArr = this.skewValues;
            fArr[0] = cos;
            fArr[1] = sin;
            float f2 = -sin;
            fArr[3] = f2;
            fArr[4] = cos;
            fArr[8] = 1.0f;
            this.skewMatrix1.setValues(fArr);
            clearSkewValues();
            float[] fArr2 = this.skewValues;
            fArr2[0] = 1.0f;
            fArr2[3] = (float) Math.tan(Math.toRadians(this.skew.getFloatValue()));
            fArr2[4] = 1.0f;
            fArr2[8] = 1.0f;
            this.skewMatrix2.setValues(fArr2);
            clearSkewValues();
            float[] fArr3 = this.skewValues;
            fArr3[0] = cos;
            fArr3[1] = f2;
            fArr3[3] = sin;
            fArr3[4] = cos;
            fArr3[8] = 1.0f;
            this.skewMatrix3.setValues(fArr3);
            this.skewMatrix2.preConcat(this.skewMatrix1);
            this.skewMatrix3.preConcat(this.skewMatrix2);
            this.matrix.preConcat(this.skewMatrix3);
        }
        a<e.a.a.a0.k, e.a.a.a0.k> aVar3 = this.scale;
        if (aVar3 != null) {
            e.a.a.a0.k value2 = aVar3.getValue();
            if (value2.getScaleX() != 1.0f || value2.getScaleY() != 1.0f) {
                this.matrix.preScale(value2.getScaleX(), value2.getScaleY());
            }
        }
        a<PointF, PointF> aVar4 = this.anchorPoint;
        if (aVar4 != null) {
            PointF value3 = aVar4.getValue();
            if (value3.x != 0.0f || value3.y != 0.0f) {
                this.matrix.preTranslate(-value3.x, -value3.y);
            }
        }
        return this.matrix;
    }

    public Matrix getMatrixForRepeater(float f2) {
        a<?, PointF> aVar = this.position;
        PointF value = aVar == null ? null : aVar.getValue();
        a<e.a.a.a0.k, e.a.a.a0.k> aVar2 = this.scale;
        e.a.a.a0.k value2 = aVar2 == null ? null : aVar2.getValue();
        this.matrix.reset();
        if (value != null) {
            this.matrix.preTranslate(value.x * f2, value.y * f2);
        }
        if (value2 != null) {
            double d2 = f2;
            this.matrix.preScale((float) Math.pow(value2.getScaleX(), d2), (float) Math.pow(value2.getScaleY(), d2));
        }
        a<Float, Float> aVar3 = this.rotation;
        if (aVar3 != null) {
            float floatValue = aVar3.getValue().floatValue();
            a<PointF, PointF> aVar4 = this.anchorPoint;
            PointF value3 = aVar4 != null ? aVar4.getValue() : null;
            this.matrix.preRotate(floatValue * f2, value3 == null ? 0.0f : value3.x, value3 != null ? value3.y : 0.0f);
        }
        return this.matrix;
    }

    @Nullable
    public a<?, Integer> getOpacity() {
        return this.opacity;
    }

    @Nullable
    public a<?, Float> getStartOpacity() {
        return this.startOpacity;
    }

    public void setProgress(float f2) {
        a<Integer, Integer> aVar = this.opacity;
        if (aVar != null) {
            aVar.setProgress(f2);
        }
        a<?, Float> aVar2 = this.startOpacity;
        if (aVar2 != null) {
            aVar2.setProgress(f2);
        }
        a<?, Float> aVar3 = this.endOpacity;
        if (aVar3 != null) {
            aVar3.setProgress(f2);
        }
        a<PointF, PointF> aVar4 = this.anchorPoint;
        if (aVar4 != null) {
            aVar4.setProgress(f2);
        }
        a<?, PointF> aVar5 = this.position;
        if (aVar5 != null) {
            aVar5.setProgress(f2);
        }
        a<e.a.a.a0.k, e.a.a.a0.k> aVar6 = this.scale;
        if (aVar6 != null) {
            aVar6.setProgress(f2);
        }
        a<Float, Float> aVar7 = this.rotation;
        if (aVar7 != null) {
            aVar7.setProgress(f2);
        }
        c cVar = this.skew;
        if (cVar != null) {
            cVar.setProgress(f2);
        }
        c cVar2 = this.skewAngle;
        if (cVar2 != null) {
            cVar2.setProgress(f2);
        }
    }
}
