package e.a.a.v;

import android.content.Context;
import android.content.res.AssetManager;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.util.Base64;
import android.view.View;
import androidx.annotation.Nullable;
import e.a.a.d;
import e.a.a.j;
import e.a.a.z.h;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class b {
    public static final Object bitmapHashLock = new Object();
    public final Context context;
    @Nullable
    public d delegate;
    public final Map<String, j> imageAssets;
    public final String imagesFolder;

    public b(Drawable.Callback callback, String str, d dVar, Map<String, j> map) {
        if (!TextUtils.isEmpty(str) && str.charAt(str.length() - 1) != '/') {
            this.imagesFolder = str + '/';
        } else {
            this.imagesFolder = str;
        }
        if (!(callback instanceof View)) {
            e.a.a.z.d.warning("LottieDrawable must be inside of a view for images to work.");
            this.imageAssets = new HashMap();
            this.context = null;
            return;
        }
        this.context = ((View) callback).getContext();
        this.imageAssets = map;
        setDelegate(dVar);
    }

    private Bitmap putBitmap(String str, @Nullable Bitmap bitmap) {
        synchronized (bitmapHashLock) {
            this.imageAssets.get(str).setBitmap(bitmap);
        }
        return bitmap;
    }

    @Nullable
    public Bitmap bitmapForId(String str) {
        j jVar = this.imageAssets.get(str);
        if (jVar == null) {
            return null;
        }
        Bitmap bitmap = jVar.getBitmap();
        if (bitmap != null) {
            return bitmap;
        }
        d dVar = this.delegate;
        if (dVar != null) {
            Bitmap fetchBitmap = dVar.fetchBitmap(jVar);
            if (fetchBitmap != null) {
                putBitmap(str, fetchBitmap);
            }
            return fetchBitmap;
        }
        String fileName = jVar.getFileName();
        BitmapFactory.Options options = new BitmapFactory.Options();
        options.inScaled = true;
        options.inDensity = 160;
        if (fileName.startsWith("data:") && fileName.indexOf("base64,") > 0) {
            try {
                byte[] decode = Base64.decode(fileName.substring(fileName.indexOf(44) + 1), 0);
                return putBitmap(str, BitmapFactory.decodeByteArray(decode, 0, decode.length, options));
            } catch (IllegalArgumentException e2) {
                e.a.a.z.d.warning("data URL did not have correct base64 format.", e2);
                return null;
            }
        }
        try {
            if (!TextUtils.isEmpty(this.imagesFolder)) {
                AssetManager assets = this.context.getAssets();
                try {
                    return putBitmap(str, h.resizeBitmapIfNeeded(BitmapFactory.decodeStream(assets.open(this.imagesFolder + fileName), null, options), jVar.getWidth(), jVar.getHeight()));
                } catch (IllegalArgumentException e3) {
                    e.a.a.z.d.warning("Unable to decode image.", e3);
                    return null;
                }
            }
            throw new IllegalStateException("You must set an images folder before loading an image. Set it with LottieComposition#setImagesFolder or LottieDrawable#setImagesFolder");
        } catch (IOException e4) {
            e.a.a.z.d.warning("Unable to open asset.", e4);
            return null;
        }
    }

    public boolean hasSameContext(Context context) {
        return (context == null && this.context == null) || this.context.equals(context);
    }

    public void setDelegate(@Nullable d dVar) {
        this.delegate = dVar;
    }

    @Nullable
    public Bitmap updateBitmap(String str, @Nullable Bitmap bitmap) {
        if (bitmap == null) {
            j jVar = this.imageAssets.get(str);
            Bitmap bitmap2 = jVar.getBitmap();
            jVar.setBitmap(null);
            return bitmap2;
        }
        Bitmap bitmap3 = this.imageAssets.get(str).getBitmap();
        putBitmap(str, bitmap);
        return bitmap3;
    }

    public b(Context context, String str, d dVar, Map<String, j> map) {
        this.context = context;
        if (!TextUtils.isEmpty(str) && str.charAt(str.length() - 1) != '/') {
            this.imagesFolder = str + '/';
        } else {
            this.imagesFolder = str;
        }
        this.imageAssets = map;
        setDelegate(dVar);
    }
}
