package e.a.a.w.j;

import android.graphics.PointF;
import androidx.annotation.FloatRange;
import java.util.ArrayList;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class h {
    public boolean closed;
    public final List<e.a.a.w.a> curves;
    public PointF initialPoint;

    public h(PointF pointF, boolean z, List<e.a.a.w.a> list) {
        this.initialPoint = pointF;
        this.closed = z;
        this.curves = new ArrayList(list);
    }

    private void setInitialPoint(float f2, float f3) {
        if (this.initialPoint == null) {
            this.initialPoint = new PointF();
        }
        this.initialPoint.set(f2, f3);
    }

    public List<e.a.a.w.a> getCurves() {
        return this.curves;
    }

    public PointF getInitialPoint() {
        return this.initialPoint;
    }

    public void interpolateBetween(h hVar, h hVar2, @FloatRange(from = 0.0d, to = 1.0d) float f2) {
        if (this.initialPoint == null) {
            this.initialPoint = new PointF();
        }
        this.closed = hVar.isClosed() || hVar2.isClosed();
        if (hVar.getCurves().size() != hVar2.getCurves().size()) {
            e.a.a.z.d.warning("Curves must have the same number of control points. Shape 1: " + hVar.getCurves().size() + "\tShape 2: " + hVar2.getCurves().size());
        }
        int min = Math.min(hVar.getCurves().size(), hVar2.getCurves().size());
        if (this.curves.size() < min) {
            for (int size = this.curves.size(); size < min; size++) {
                this.curves.add(new e.a.a.w.a());
            }
        } else if (this.curves.size() > min) {
            for (int size2 = this.curves.size() - 1; size2 >= min; size2--) {
                List<e.a.a.w.a> list = this.curves;
                list.remove(list.size() - 1);
            }
        }
        PointF initialPoint = hVar.getInitialPoint();
        PointF initialPoint2 = hVar2.getInitialPoint();
        setInitialPoint(e.a.a.z.g.lerp(initialPoint.x, initialPoint2.x, f2), e.a.a.z.g.lerp(initialPoint.y, initialPoint2.y, f2));
        for (int size3 = this.curves.size() - 1; size3 >= 0; size3--) {
            e.a.a.w.a aVar = hVar.getCurves().get(size3);
            e.a.a.w.a aVar2 = hVar2.getCurves().get(size3);
            PointF controlPoint1 = aVar.getControlPoint1();
            PointF controlPoint2 = aVar.getControlPoint2();
            PointF vertex = aVar.getVertex();
            PointF controlPoint12 = aVar2.getControlPoint1();
            PointF controlPoint22 = aVar2.getControlPoint2();
            PointF vertex2 = aVar2.getVertex();
            this.curves.get(size3).setControlPoint1(e.a.a.z.g.lerp(controlPoint1.x, controlPoint12.x, f2), e.a.a.z.g.lerp(controlPoint1.y, controlPoint12.y, f2));
            this.curves.get(size3).setControlPoint2(e.a.a.z.g.lerp(controlPoint2.x, controlPoint22.x, f2), e.a.a.z.g.lerp(controlPoint2.y, controlPoint22.y, f2));
            this.curves.get(size3).setVertex(e.a.a.z.g.lerp(vertex.x, vertex2.x, f2), e.a.a.z.g.lerp(vertex.y, vertex2.y, f2));
        }
    }

    public boolean isClosed() {
        return this.closed;
    }

    public String toString() {
        return "ShapeData{numCurves=" + this.curves.size() + "closed=" + this.closed + '}';
    }

    public h() {
        this.curves = new ArrayList();
    }
}
