package e.a.a.w.k;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.airbnb.lottie.LottieDrawable;
import com.airbnb.lottie.model.layer.Layer;
import e.a.a.a0.j;
import e.a.a.n;
import e.a.a.u.c.p;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class c extends a {
    @Nullable
    public e.a.a.u.c.a<ColorFilter, ColorFilter> colorFilterAnimation;
    public final Rect dst;
    public final Paint paint;
    public final Rect src;

    public c(LottieDrawable lottieDrawable, Layer layer) {
        super(lottieDrawable, layer);
        this.paint = new e.a.a.u.a(3);
        this.src = new Rect();
        this.dst = new Rect();
    }

    @Nullable
    private Bitmap getBitmap() {
        return this.lottieDrawable.getImageAsset(this.layerModel.getRefId());
    }

    @Override // e.a.a.w.k.a, e.a.a.w.e
    public <T> void addValueCallback(T t, @Nullable j<T> jVar) {
        super.addValueCallback(t, jVar);
        if (t == n.COLOR_FILTER) {
            if (jVar == null) {
                this.colorFilterAnimation = null;
            } else {
                this.colorFilterAnimation = new p(jVar);
            }
        }
    }

    @Override // e.a.a.w.k.a
    public void drawLayer(@NonNull Canvas canvas, Matrix matrix, int i2) {
        Bitmap bitmap = getBitmap();
        if (bitmap == null || bitmap.isRecycled()) {
            return;
        }
        float dpScale = e.a.a.z.h.dpScale();
        this.paint.setAlpha(i2);
        e.a.a.u.c.a<ColorFilter, ColorFilter> aVar = this.colorFilterAnimation;
        if (aVar != null) {
            this.paint.setColorFilter(aVar.getValue());
        }
        canvas.save();
        canvas.concat(matrix);
        this.src.set(0, 0, bitmap.getWidth(), bitmap.getHeight());
        this.dst.set(0, 0, (int) (bitmap.getWidth() * dpScale), (int) (bitmap.getHeight() * dpScale));
        canvas.drawBitmap(bitmap, this.src, this.dst, this.paint);
        canvas.restore();
    }

    @Override // e.a.a.w.k.a, e.a.a.u.b.e
    public void getBounds(RectF rectF, Matrix matrix, boolean z) {
        super.getBounds(rectF, matrix, z);
        Bitmap bitmap = getBitmap();
        if (bitmap != null) {
            rectF.set(0.0f, 0.0f, bitmap.getWidth() * e.a.a.z.h.dpScale(), bitmap.getHeight() * e.a.a.z.h.dpScale());
            this.boundsMatrix.mapRect(rectF);
        }
    }
}
