package e.a.a.w.k;

import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.RectF;
import android.graphics.Typeface;
import androidx.annotation.Nullable;
import androidx.collection.LongSparseArray;
import com.airbnb.lottie.LottieDrawable;
import com.airbnb.lottie.model.DocumentData;
import com.airbnb.lottie.model.layer.Layer;
import e.a.a.t;
import e.a.a.u.c.n;
import e.a.a.u.c.p;
import e.a.a.w.i.k;
import e.a.a.w.j.j;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class g extends e.a.a.w.k.a {
    public final LongSparseArray<String> codePointCache;
    @Nullable
    public e.a.a.u.c.a<Integer, Integer> colorAnimation;
    @Nullable
    public e.a.a.u.c.a<Integer, Integer> colorCallbackAnimation;
    public final e.a.a.g composition;
    public final Map<e.a.a.w.c, List<e.a.a.u.b.d>> contentsForCharacter;
    public final Paint fillPaint;
    public final LottieDrawable lottieDrawable;
    public final Matrix matrix;
    public final RectF rectF;
    public final StringBuilder stringBuilder;
    @Nullable
    public e.a.a.u.c.a<Integer, Integer> strokeColorAnimation;
    @Nullable
    public e.a.a.u.c.a<Integer, Integer> strokeColorCallbackAnimation;
    public final Paint strokePaint;
    @Nullable
    public e.a.a.u.c.a<Float, Float> strokeWidthAnimation;
    @Nullable
    public e.a.a.u.c.a<Float, Float> strokeWidthCallbackAnimation;
    public final n textAnimation;
    @Nullable
    public e.a.a.u.c.a<Float, Float> textSizeAnimation;
    @Nullable
    public e.a.a.u.c.a<Float, Float> textSizeCallbackAnimation;
    @Nullable
    public e.a.a.u.c.a<Float, Float> trackingAnimation;
    @Nullable
    public e.a.a.u.c.a<Float, Float> trackingCallbackAnimation;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class a extends Paint {
        public a(int i2) {
            super(i2);
            setStyle(Paint.Style.FILL);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public class b extends Paint {
        public b(int i2) {
            super(i2);
            setStyle(Paint.Style.STROKE);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static /* synthetic */ class c {
        public static final /* synthetic */ int[] $SwitchMap$com$airbnb$lottie$model$DocumentData$Justification;

        static {
            int[] iArr = new int[DocumentData.Justification.values().length];
            $SwitchMap$com$airbnb$lottie$model$DocumentData$Justification = iArr;
            try {
                iArr[DocumentData.Justification.LEFT_ALIGN.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                $SwitchMap$com$airbnb$lottie$model$DocumentData$Justification[DocumentData.Justification.RIGHT_ALIGN.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                $SwitchMap$com$airbnb$lottie$model$DocumentData$Justification[DocumentData.Justification.CENTER.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
        }
    }

    public g(LottieDrawable lottieDrawable, Layer layer) {
        super(lottieDrawable, layer);
        e.a.a.w.i.b bVar;
        e.a.a.w.i.b bVar2;
        e.a.a.w.i.a aVar;
        e.a.a.w.i.a aVar2;
        this.stringBuilder = new StringBuilder(2);
        this.rectF = new RectF();
        this.matrix = new Matrix();
        this.fillPaint = new a(1);
        this.strokePaint = new b(1);
        this.contentsForCharacter = new HashMap();
        this.codePointCache = new LongSparseArray<>();
        this.lottieDrawable = lottieDrawable;
        this.composition = layer.getComposition();
        n createAnimation = layer.getText().createAnimation();
        this.textAnimation = createAnimation;
        createAnimation.addUpdateListener(this);
        addAnimation(this.textAnimation);
        k textProperties = layer.getTextProperties();
        if (textProperties != null && (aVar2 = textProperties.color) != null) {
            e.a.a.u.c.a<Integer, Integer> createAnimation2 = aVar2.createAnimation();
            this.colorAnimation = createAnimation2;
            createAnimation2.addUpdateListener(this);
            addAnimation(this.colorAnimation);
        }
        if (textProperties != null && (aVar = textProperties.stroke) != null) {
            e.a.a.u.c.a<Integer, Integer> createAnimation3 = aVar.createAnimation();
            this.strokeColorAnimation = createAnimation3;
            createAnimation3.addUpdateListener(this);
            addAnimation(this.strokeColorAnimation);
        }
        if (textProperties != null && (bVar2 = textProperties.strokeWidth) != null) {
            e.a.a.u.c.a<Float, Float> createAnimation4 = bVar2.createAnimation();
            this.strokeWidthAnimation = createAnimation4;
            createAnimation4.addUpdateListener(this);
            addAnimation(this.strokeWidthAnimation);
        }
        if (textProperties == null || (bVar = textProperties.tracking) == null) {
            return;
        }
        e.a.a.u.c.a<Float, Float> createAnimation5 = bVar.createAnimation();
        this.trackingAnimation = createAnimation5;
        createAnimation5.addUpdateListener(this);
        addAnimation(this.trackingAnimation);
    }

    private void applyJustification(DocumentData.Justification justification, Canvas canvas, float f2) {
        int i2 = c.$SwitchMap$com$airbnb$lottie$model$DocumentData$Justification[justification.ordinal()];
        if (i2 == 2) {
            canvas.translate(-f2, 0.0f);
        } else if (i2 != 3) {
        } else {
            canvas.translate((-f2) / 2.0f, 0.0f);
        }
    }

    private String codePointToString(String str, int i2) {
        int codePointAt = str.codePointAt(i2);
        int charCount = Character.charCount(codePointAt) + i2;
        while (charCount < str.length()) {
            int codePointAt2 = str.codePointAt(charCount);
            if (!isModifier(codePointAt2)) {
                break;
            }
            charCount += Character.charCount(codePointAt2);
            codePointAt = (codePointAt * 31) + codePointAt2;
        }
        long j2 = codePointAt;
        if (this.codePointCache.containsKey(j2)) {
            return this.codePointCache.get(j2);
        }
        this.stringBuilder.setLength(0);
        while (i2 < charCount) {
            int codePointAt3 = str.codePointAt(i2);
            this.stringBuilder.appendCodePoint(codePointAt3);
            i2 += Character.charCount(codePointAt3);
        }
        String sb = this.stringBuilder.toString();
        this.codePointCache.put(j2, sb);
        return sb;
    }

    private void drawCharacter(String str, Paint paint, Canvas canvas) {
        if (paint.getColor() == 0) {
            return;
        }
        if (paint.getStyle() == Paint.Style.STROKE && paint.getStrokeWidth() == 0.0f) {
            return;
        }
        canvas.drawText(str, 0, str.length(), 0.0f, 0.0f, paint);
    }

    private void drawCharacterAsGlyph(e.a.a.w.c cVar, Matrix matrix, float f2, DocumentData documentData, Canvas canvas) {
        List<e.a.a.u.b.d> contentsForCharacter = getContentsForCharacter(cVar);
        for (int i2 = 0; i2 < contentsForCharacter.size(); i2++) {
            Path path = contentsForCharacter.get(i2).getPath();
            path.computeBounds(this.rectF, false);
            this.matrix.set(matrix);
            this.matrix.preTranslate(0.0f, (-documentData.baselineShift) * e.a.a.z.h.dpScale());
            this.matrix.preScale(f2, f2);
            path.transform(this.matrix);
            if (documentData.strokeOverFill) {
                drawGlyph(path, this.fillPaint, canvas);
                drawGlyph(path, this.strokePaint, canvas);
            } else {
                drawGlyph(path, this.strokePaint, canvas);
                drawGlyph(path, this.fillPaint, canvas);
            }
        }
    }

    private void drawCharacterFromFont(String str, DocumentData documentData, Canvas canvas) {
        if (documentData.strokeOverFill) {
            drawCharacter(str, this.fillPaint, canvas);
            drawCharacter(str, this.strokePaint, canvas);
            return;
        }
        drawCharacter(str, this.strokePaint, canvas);
        drawCharacter(str, this.fillPaint, canvas);
    }

    private void drawFontTextLine(String str, DocumentData documentData, Canvas canvas, float f2) {
        int i2 = 0;
        while (i2 < str.length()) {
            String codePointToString = codePointToString(str, i2);
            i2 += codePointToString.length();
            drawCharacterFromFont(codePointToString, documentData, canvas);
            canvas.translate(this.fillPaint.measureText(codePointToString) + f2, 0.0f);
        }
    }

    private void drawGlyph(Path path, Paint paint, Canvas canvas) {
        if (paint.getColor() == 0) {
            return;
        }
        if (paint.getStyle() == Paint.Style.STROKE && paint.getStrokeWidth() == 0.0f) {
            return;
        }
        canvas.drawPath(path, paint);
    }

    private void drawGlyphTextLine(String str, DocumentData documentData, Matrix matrix, e.a.a.w.b bVar, Canvas canvas, float f2, float f3) {
        float floatValue;
        for (int i2 = 0; i2 < str.length(); i2++) {
            e.a.a.w.c cVar = this.composition.getCharacters().get(e.a.a.w.c.hashFor(str.charAt(i2), bVar.getFamily(), bVar.getStyle()));
            if (cVar != null) {
                drawCharacterAsGlyph(cVar, matrix, f3, documentData, canvas);
                float width = ((float) cVar.getWidth()) * f3 * e.a.a.z.h.dpScale() * f2;
                float f4 = documentData.tracking / 10.0f;
                e.a.a.u.c.a<Float, Float> aVar = this.trackingCallbackAnimation;
                if (aVar != null) {
                    floatValue = aVar.getValue().floatValue();
                } else {
                    e.a.a.u.c.a<Float, Float> aVar2 = this.trackingAnimation;
                    if (aVar2 != null) {
                        floatValue = aVar2.getValue().floatValue();
                    }
                    canvas.translate(width + (f4 * f2), 0.0f);
                }
                f4 += floatValue;
                canvas.translate(width + (f4 * f2), 0.0f);
            }
        }
    }

    private void drawTextGlyphs(DocumentData documentData, Matrix matrix, e.a.a.w.b bVar, Canvas canvas) {
        float f2;
        e.a.a.u.c.a<Float, Float> aVar = this.textSizeCallbackAnimation;
        if (aVar != null) {
            f2 = aVar.getValue().floatValue();
        } else {
            e.a.a.u.c.a<Float, Float> aVar2 = this.textSizeAnimation;
            if (aVar2 != null) {
                f2 = aVar2.getValue().floatValue();
            } else {
                f2 = documentData.size;
            }
        }
        float f3 = f2 / 100.0f;
        float scale = e.a.a.z.h.getScale(matrix);
        String str = documentData.text;
        float dpScale = documentData.lineHeight * e.a.a.z.h.dpScale();
        List<String> textLines = getTextLines(str);
        int size = textLines.size();
        for (int i2 = 0; i2 < size; i2++) {
            String str2 = textLines.get(i2);
            float textLineWidthForGlyphs = getTextLineWidthForGlyphs(str2, bVar, f3, scale);
            canvas.save();
            applyJustification(documentData.justification, canvas, textLineWidthForGlyphs);
            canvas.translate(0.0f, (i2 * dpScale) - (((size - 1) * dpScale) / 2.0f));
            drawGlyphTextLine(str2, documentData, matrix, bVar, canvas, scale, f3);
            canvas.restore();
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:24:0x00ab A[LOOP:0: B:23:0x00a9->B:24:0x00ab, LOOP_END] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void drawTextWithFont(DocumentData documentData, e.a.a.w.b bVar, Matrix matrix, Canvas canvas) {
        float f2;
        float floatValue;
        int size;
        int i2;
        e.a.a.z.h.getScale(matrix);
        Typeface typeface = this.lottieDrawable.getTypeface(bVar.getFamily(), bVar.getStyle());
        if (typeface == null) {
            return;
        }
        String str = documentData.text;
        t textDelegate = this.lottieDrawable.getTextDelegate();
        if (textDelegate != null) {
            str = textDelegate.getTextInternal(str);
        }
        this.fillPaint.setTypeface(typeface);
        e.a.a.u.c.a<Float, Float> aVar = this.textSizeCallbackAnimation;
        if (aVar != null) {
            f2 = aVar.getValue().floatValue();
        } else {
            e.a.a.u.c.a<Float, Float> aVar2 = this.textSizeAnimation;
            if (aVar2 != null) {
                f2 = aVar2.getValue().floatValue();
            } else {
                f2 = documentData.size;
            }
        }
        this.fillPaint.setTextSize(e.a.a.z.h.dpScale() * f2);
        this.strokePaint.setTypeface(this.fillPaint.getTypeface());
        this.strokePaint.setTextSize(this.fillPaint.getTextSize());
        float dpScale = documentData.lineHeight * e.a.a.z.h.dpScale();
        float f3 = documentData.tracking / 10.0f;
        e.a.a.u.c.a<Float, Float> aVar3 = this.trackingCallbackAnimation;
        if (aVar3 != null) {
            floatValue = aVar3.getValue().floatValue();
        } else {
            e.a.a.u.c.a<Float, Float> aVar4 = this.trackingAnimation;
            if (aVar4 != null) {
                floatValue = aVar4.getValue().floatValue();
            }
            float dpScale2 = ((f3 * e.a.a.z.h.dpScale()) * f2) / 100.0f;
            List<String> textLines = getTextLines(str);
            size = textLines.size();
            for (i2 = 0; i2 < size; i2++) {
                String str2 = textLines.get(i2);
                float measureText = this.strokePaint.measureText(str2) + ((str2.length() - 1) * dpScale2);
                canvas.save();
                applyJustification(documentData.justification, canvas, measureText);
                canvas.translate(0.0f, (i2 * dpScale) - (((size - 1) * dpScale) / 2.0f));
                drawFontTextLine(str2, documentData, canvas, dpScale2);
                canvas.restore();
            }
        }
        f3 += floatValue;
        float dpScale22 = ((f3 * e.a.a.z.h.dpScale()) * f2) / 100.0f;
        List<String> textLines2 = getTextLines(str);
        size = textLines2.size();
        while (i2 < size) {
        }
    }

    private List<e.a.a.u.b.d> getContentsForCharacter(e.a.a.w.c cVar) {
        if (this.contentsForCharacter.containsKey(cVar)) {
            return this.contentsForCharacter.get(cVar);
        }
        List<j> shapes = cVar.getShapes();
        int size = shapes.size();
        ArrayList arrayList = new ArrayList(size);
        for (int i2 = 0; i2 < size; i2++) {
            arrayList.add(new e.a.a.u.b.d(this.lottieDrawable, this, shapes.get(i2)));
        }
        this.contentsForCharacter.put(cVar, arrayList);
        return arrayList;
    }

    private float getTextLineWidthForGlyphs(String str, e.a.a.w.b bVar, float f2, float f3) {
        float f4 = 0.0f;
        for (int i2 = 0; i2 < str.length(); i2++) {
            e.a.a.w.c cVar = this.composition.getCharacters().get(e.a.a.w.c.hashFor(str.charAt(i2), bVar.getFamily(), bVar.getStyle()));
            if (cVar != null) {
                double d2 = f4;
                double width = cVar.getWidth();
                double d3 = f2;
                Double.isNaN(d3);
                double d4 = width * d3;
                double dpScale = e.a.a.z.h.dpScale();
                Double.isNaN(dpScale);
                double d5 = d4 * dpScale;
                double d6 = f3;
                Double.isNaN(d6);
                Double.isNaN(d2);
                f4 = (float) (d2 + (d5 * d6));
            }
        }
        return f4;
    }

    private List<String> getTextLines(String str) {
        return Arrays.asList(str.replaceAll("\r\n", "\r").replaceAll("\n", "\r").split("\r"));
    }

    private boolean isModifier(int i2) {
        return Character.getType(i2) == 16 || Character.getType(i2) == 27 || Character.getType(i2) == 6 || Character.getType(i2) == 28 || Character.getType(i2) == 19;
    }

    @Override // e.a.a.w.k.a, e.a.a.w.e
    public <T> void addValueCallback(T t, @Nullable e.a.a.a0.j<T> jVar) {
        super.addValueCallback(t, jVar);
        if (t == e.a.a.n.COLOR) {
            e.a.a.u.c.a<Integer, Integer> aVar = this.colorCallbackAnimation;
            if (aVar != null) {
                removeAnimation(aVar);
            }
            if (jVar == null) {
                this.colorCallbackAnimation = null;
                return;
            }
            p pVar = new p(jVar);
            this.colorCallbackAnimation = pVar;
            pVar.addUpdateListener(this);
            addAnimation(this.colorCallbackAnimation);
        } else if (t == e.a.a.n.STROKE_COLOR) {
            e.a.a.u.c.a<Integer, Integer> aVar2 = this.strokeColorCallbackAnimation;
            if (aVar2 != null) {
                removeAnimation(aVar2);
            }
            if (jVar == null) {
                this.strokeColorCallbackAnimation = null;
                return;
            }
            p pVar2 = new p(jVar);
            this.strokeColorCallbackAnimation = pVar2;
            pVar2.addUpdateListener(this);
            addAnimation(this.strokeColorCallbackAnimation);
        } else if (t == e.a.a.n.STROKE_WIDTH) {
            e.a.a.u.c.a<Float, Float> aVar3 = this.strokeWidthCallbackAnimation;
            if (aVar3 != null) {
                removeAnimation(aVar3);
            }
            if (jVar == null) {
                this.strokeWidthCallbackAnimation = null;
                return;
            }
            p pVar3 = new p(jVar);
            this.strokeWidthCallbackAnimation = pVar3;
            pVar3.addUpdateListener(this);
            addAnimation(this.strokeWidthCallbackAnimation);
        } else if (t == e.a.a.n.TEXT_TRACKING) {
            e.a.a.u.c.a<Float, Float> aVar4 = this.trackingCallbackAnimation;
            if (aVar4 != null) {
                removeAnimation(aVar4);
            }
            if (jVar == null) {
                this.trackingCallbackAnimation = null;
                return;
            }
            p pVar4 = new p(jVar);
            this.trackingCallbackAnimation = pVar4;
            pVar4.addUpdateListener(this);
            addAnimation(this.trackingCallbackAnimation);
        } else if (t == e.a.a.n.TEXT_SIZE) {
            e.a.a.u.c.a<Float, Float> aVar5 = this.textSizeCallbackAnimation;
            if (aVar5 != null) {
                removeAnimation(aVar5);
            }
            if (jVar == null) {
                this.textSizeCallbackAnimation = null;
                return;
            }
            p pVar5 = new p(jVar);
            this.textSizeCallbackAnimation = pVar5;
            pVar5.addUpdateListener(this);
            addAnimation(this.textSizeCallbackAnimation);
        }
    }

    @Override // e.a.a.w.k.a
    public void drawLayer(Canvas canvas, Matrix matrix, int i2) {
        canvas.save();
        if (!this.lottieDrawable.useTextGlyphs()) {
            canvas.concat(matrix);
        }
        DocumentData value = this.textAnimation.getValue();
        e.a.a.w.b bVar = this.composition.getFonts().get(value.fontName);
        if (bVar == null) {
            canvas.restore();
            return;
        }
        e.a.a.u.c.a<Integer, Integer> aVar = this.colorCallbackAnimation;
        if (aVar != null) {
            this.fillPaint.setColor(aVar.getValue().intValue());
        } else {
            e.a.a.u.c.a<Integer, Integer> aVar2 = this.colorAnimation;
            if (aVar2 != null) {
                this.fillPaint.setColor(aVar2.getValue().intValue());
            } else {
                this.fillPaint.setColor(value.color);
            }
        }
        e.a.a.u.c.a<Integer, Integer> aVar3 = this.strokeColorCallbackAnimation;
        if (aVar3 != null) {
            this.strokePaint.setColor(aVar3.getValue().intValue());
        } else {
            e.a.a.u.c.a<Integer, Integer> aVar4 = this.strokeColorAnimation;
            if (aVar4 != null) {
                this.strokePaint.setColor(aVar4.getValue().intValue());
            } else {
                this.strokePaint.setColor(value.strokeColor);
            }
        }
        int intValue = ((this.transform.getOpacity() == null ? 100 : this.transform.getOpacity().getValue().intValue()) * 255) / 100;
        this.fillPaint.setAlpha(intValue);
        this.strokePaint.setAlpha(intValue);
        e.a.a.u.c.a<Float, Float> aVar5 = this.strokeWidthCallbackAnimation;
        if (aVar5 != null) {
            this.strokePaint.setStrokeWidth(aVar5.getValue().floatValue());
        } else {
            e.a.a.u.c.a<Float, Float> aVar6 = this.strokeWidthAnimation;
            if (aVar6 != null) {
                this.strokePaint.setStrokeWidth(aVar6.getValue().floatValue());
            } else {
                this.strokePaint.setStrokeWidth(value.strokeWidth * e.a.a.z.h.dpScale() * e.a.a.z.h.getScale(matrix));
            }
        }
        if (this.lottieDrawable.useTextGlyphs()) {
            drawTextGlyphs(value, matrix, bVar, canvas);
        } else {
            drawTextWithFont(value, bVar, matrix, canvas);
        }
        canvas.restore();
    }

    @Override // e.a.a.w.k.a, e.a.a.u.b.e
    public void getBounds(RectF rectF, Matrix matrix, boolean z) {
        super.getBounds(rectF, matrix, z);
        rectF.set(0.0f, 0.0f, this.composition.getBounds().width(), this.composition.getBounds().height());
    }
}
