package e.a.a.x;

import android.util.Pair;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import com.airbnb.lottie.network.FileExtension;
import com.baidu.mobads.sdk.internal.am;
import e.a.a.o;
import java.io.Closeable;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.zip.ZipInputStream;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class g {
    @NonNull
    public final e fetcher;
    @NonNull
    public final f networkCache;

    public g(@NonNull f fVar, @NonNull e eVar) {
        this.networkCache = fVar;
        this.fetcher = eVar;
    }

    @Nullable
    @WorkerThread
    private e.a.a.g fetchFromCache(@NonNull String str, @Nullable String str2) {
        Pair<FileExtension, InputStream> fetch;
        o<e.a.a.g> fromJsonInputStreamSync;
        if (str2 == null || (fetch = this.networkCache.fetch(str)) == null) {
            return null;
        }
        FileExtension fileExtension = (FileExtension) fetch.first;
        InputStream inputStream = (InputStream) fetch.second;
        if (fileExtension == FileExtension.ZIP) {
            fromJsonInputStreamSync = e.a.a.h.fromZipStreamSync(new ZipInputStream(inputStream), str);
        } else {
            fromJsonInputStreamSync = e.a.a.h.fromJsonInputStreamSync(inputStream, str);
        }
        if (fromJsonInputStreamSync.getValue() != null) {
            return fromJsonInputStreamSync.getValue();
        }
        return null;
    }

    @NonNull
    @WorkerThread
    private o<e.a.a.g> fetchFromNetwork(@NonNull String str, @Nullable String str2) {
        e.a.a.z.d.debug("Fetching " + str);
        Closeable closeable = null;
        try {
            try {
                c fetchSync = this.fetcher.fetchSync(str);
                if (fetchSync.isSuccessful()) {
                    o<e.a.a.g> fromInputStream = fromInputStream(str, fetchSync.bodyByteStream(), fetchSync.contentType(), str2);
                    StringBuilder sb = new StringBuilder();
                    sb.append("Completed fetch from network. Success: ");
                    sb.append(fromInputStream.getValue() != null);
                    e.a.a.z.d.debug(sb.toString());
                    if (fetchSync != null) {
                        try {
                            fetchSync.close();
                        } catch (IOException e2) {
                            e.a.a.z.d.warning("LottieFetchResult close failed ", e2);
                        }
                    }
                    return fromInputStream;
                }
                o<e.a.a.g> oVar = new o<>(new IllegalArgumentException(fetchSync.error()));
                if (fetchSync != null) {
                    try {
                        fetchSync.close();
                    } catch (IOException e3) {
                        e.a.a.z.d.warning("LottieFetchResult close failed ", e3);
                    }
                }
                return oVar;
            } catch (Throwable th) {
                if (0 != 0) {
                    try {
                        closeable.close();
                    } catch (IOException e4) {
                        e.a.a.z.d.warning("LottieFetchResult close failed ", e4);
                    }
                }
                throw th;
            }
        } catch (Exception e5) {
            o<e.a.a.g> oVar2 = new o<>(e5);
            if (0 != 0) {
                try {
                    closeable.close();
                } catch (IOException e6) {
                    e.a.a.z.d.warning("LottieFetchResult close failed ", e6);
                }
            }
            return oVar2;
        }
    }

    @NonNull
    private o<e.a.a.g> fromInputStream(@NonNull String str, @NonNull InputStream inputStream, @Nullable String str2, @Nullable String str3) throws IOException {
        FileExtension fileExtension;
        o<e.a.a.g> fromZipStream;
        if (str2 == null) {
            str2 = am.f79d;
        }
        if (!str2.contains("application/zip") && !str.split("\\?")[0].endsWith(".lottie")) {
            e.a.a.z.d.debug("Received json response.");
            fileExtension = FileExtension.JSON;
            fromZipStream = fromJsonStream(str, inputStream, str3);
        } else {
            e.a.a.z.d.debug("Handling zip response.");
            fileExtension = FileExtension.ZIP;
            fromZipStream = fromZipStream(str, inputStream, str3);
        }
        if (str3 != null && fromZipStream.getValue() != null) {
            this.networkCache.renameTempFile(str, fileExtension);
        }
        return fromZipStream;
    }

    @NonNull
    private o<e.a.a.g> fromJsonStream(@NonNull String str, @NonNull InputStream inputStream, @Nullable String str2) throws IOException {
        if (str2 == null) {
            return e.a.a.h.fromJsonInputStreamSync(inputStream, null);
        }
        return e.a.a.h.fromJsonInputStreamSync(new FileInputStream(new File(this.networkCache.writeTempCacheFile(str, inputStream, FileExtension.JSON).getAbsolutePath())), str);
    }

    @NonNull
    private o<e.a.a.g> fromZipStream(@NonNull String str, @NonNull InputStream inputStream, @Nullable String str2) throws IOException {
        if (str2 == null) {
            return e.a.a.h.fromZipStreamSync(new ZipInputStream(inputStream), null);
        }
        return e.a.a.h.fromZipStreamSync(new ZipInputStream(new FileInputStream(this.networkCache.writeTempCacheFile(str, inputStream, FileExtension.ZIP))), str);
    }

    @NonNull
    @WorkerThread
    public o<e.a.a.g> fetchSync(@NonNull String str, @Nullable String str2) {
        e.a.a.g fetchFromCache = fetchFromCache(str, str2);
        if (fetchFromCache != null) {
            return new o<>(fetchFromCache);
        }
        e.a.a.z.d.debug("Animation for " + str + " not found in cache. Fetching from network.");
        return fetchFromNetwork(str, str2);
    }
}
