package e.a.a.y;

import android.graphics.PointF;
import android.view.animation.Interpolator;
import android.view.animation.LinearInterpolator;
import androidx.annotation.Nullable;
import androidx.collection.SparseArrayCompat;
import androidx.core.net.MailTo;
import androidx.core.view.animation.PathInterpolatorCompat;
import com.airbnb.lottie.parser.moshi.JsonReader;
import java.io.IOException;
import java.lang.ref.WeakReference;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class q {
    public static final float MAX_CP_VALUE = 100.0f;
    public static SparseArrayCompat<WeakReference<Interpolator>> pathInterpolatorCache;
    public static final Interpolator LINEAR_INTERPOLATOR = new LinearInterpolator();
    public static JsonReader.a NAMES = JsonReader.a.of("t", "s", com.kwad.sdk.ranger.e.TAG, "o", "i", "h", MailTo.TO, "ti");
    public static JsonReader.a INTERPOLATOR_NAMES = JsonReader.a.of("x", "y");

    @Nullable
    public static WeakReference<Interpolator> getInterpolator(int i2) {
        WeakReference<Interpolator> weakReference;
        synchronized (q.class) {
            weakReference = pathInterpolatorCache().get(i2);
        }
        return weakReference;
    }

    public static Interpolator interpolatorFor(PointF pointF, PointF pointF2) {
        Interpolator linearInterpolator;
        pointF.x = e.a.a.z.g.clamp(pointF.x, -1.0f, 1.0f);
        pointF.y = e.a.a.z.g.clamp(pointF.y, -100.0f, 100.0f);
        pointF2.x = e.a.a.z.g.clamp(pointF2.x, -1.0f, 1.0f);
        float clamp = e.a.a.z.g.clamp(pointF2.y, -100.0f, 100.0f);
        pointF2.y = clamp;
        int hashFor = e.a.a.z.h.hashFor(pointF.x, pointF.y, pointF2.x, clamp);
        WeakReference<Interpolator> interpolator = getInterpolator(hashFor);
        Interpolator interpolator2 = interpolator != null ? interpolator.get() : null;
        if (interpolator == null || interpolator2 == null) {
            try {
                linearInterpolator = PathInterpolatorCompat.create(pointF.x, pointF.y, pointF2.x, pointF2.y);
            } catch (IllegalArgumentException e2) {
                if ("The Path cannot loop back on itself.".equals(e2.getMessage())) {
                    linearInterpolator = PathInterpolatorCompat.create(Math.min(pointF.x, 1.0f), pointF.y, Math.max(pointF2.x, 0.0f), pointF2.y);
                } else {
                    linearInterpolator = new LinearInterpolator();
                }
            }
            interpolator2 = linearInterpolator;
            try {
                putInterpolator(hashFor, new WeakReference(interpolator2));
            } catch (ArrayIndexOutOfBoundsException unused) {
            }
        }
        return interpolator2;
    }

    public static <T> e.a.a.a0.a<T> parse(JsonReader jsonReader, e.a.a.g gVar, float f2, k0<T> k0Var, boolean z, boolean z2) throws IOException {
        if (z && z2) {
            return parseMultiDimensionalKeyframe(gVar, jsonReader, f2, k0Var);
        }
        if (z) {
            return parseKeyframe(gVar, jsonReader, f2, k0Var);
        }
        return parseStaticValue(jsonReader, f2, k0Var);
    }

    public static <T> e.a.a.a0.a<T> parseKeyframe(e.a.a.g gVar, JsonReader jsonReader, float f2, k0<T> k0Var) throws IOException {
        Interpolator interpolator;
        Interpolator interpolator2;
        T t;
        jsonReader.beginObject();
        PointF pointF = null;
        PointF pointF2 = null;
        T t2 = null;
        T t3 = null;
        PointF pointF3 = null;
        PointF pointF4 = null;
        boolean z = false;
        float f3 = 0.0f;
        while (jsonReader.hasNext()) {
            switch (jsonReader.selectName(NAMES)) {
                case 0:
                    f3 = (float) jsonReader.nextDouble();
                    break;
                case 1:
                    t3 = k0Var.parse(jsonReader, f2);
                    break;
                case 2:
                    t2 = k0Var.parse(jsonReader, f2);
                    break;
                case 3:
                    pointF = p.jsonToPoint(jsonReader, 1.0f);
                    break;
                case 4:
                    pointF2 = p.jsonToPoint(jsonReader, 1.0f);
                    break;
                case 5:
                    if (jsonReader.nextInt() != 1) {
                        z = false;
                        break;
                    } else {
                        z = true;
                        break;
                    }
                case 6:
                    pointF3 = p.jsonToPoint(jsonReader, f2);
                    break;
                case 7:
                    pointF4 = p.jsonToPoint(jsonReader, f2);
                    break;
                default:
                    jsonReader.skipValue();
                    break;
            }
        }
        jsonReader.endObject();
        if (z) {
            interpolator2 = LINEAR_INTERPOLATOR;
            t = t3;
        } else {
            if (pointF != null && pointF2 != null) {
                interpolator = interpolatorFor(pointF, pointF2);
            } else {
                interpolator = LINEAR_INTERPOLATOR;
            }
            interpolator2 = interpolator;
            t = t2;
        }
        e.a.a.a0.a<T> aVar = new e.a.a.a0.a<>(gVar, t3, t, interpolator2, f3, null);
        aVar.pathCp1 = pointF3;
        aVar.pathCp2 = pointF4;
        return aVar;
    }

    public static <T> e.a.a.a0.a<T> parseMultiDimensionalKeyframe(e.a.a.g gVar, JsonReader jsonReader, float f2, k0<T> k0Var) throws IOException {
        Interpolator interpolator;
        Interpolator interpolatorFor;
        Interpolator interpolatorFor2;
        T t;
        PointF pointF;
        e.a.a.a0.a<T> aVar;
        PointF pointF2;
        float f3;
        PointF pointF3;
        float f4;
        jsonReader.beginObject();
        PointF pointF4 = null;
        boolean z = false;
        PointF pointF5 = null;
        PointF pointF6 = null;
        PointF pointF7 = null;
        T t2 = null;
        PointF pointF8 = null;
        PointF pointF9 = null;
        PointF pointF10 = null;
        float f5 = 0.0f;
        PointF pointF11 = null;
        T t3 = null;
        while (jsonReader.hasNext()) {
            switch (jsonReader.selectName(NAMES)) {
                case 0:
                    pointF2 = pointF4;
                    f5 = (float) jsonReader.nextDouble();
                    break;
                case 1:
                    pointF2 = pointF4;
                    t2 = k0Var.parse(jsonReader, f2);
                    break;
                case 2:
                    pointF2 = pointF4;
                    t3 = k0Var.parse(jsonReader, f2);
                    break;
                case 3:
                    pointF2 = pointF4;
                    f3 = f5;
                    PointF pointF12 = pointF11;
                    if (jsonReader.peek() == JsonReader.Token.BEGIN_OBJECT) {
                        jsonReader.beginObject();
                        float f6 = 0.0f;
                        float f7 = 0.0f;
                        float f8 = 0.0f;
                        float f9 = 0.0f;
                        while (jsonReader.hasNext()) {
                            int selectName = jsonReader.selectName(INTERPOLATOR_NAMES);
                            if (selectName != 0) {
                                if (selectName != 1) {
                                    jsonReader.skipValue();
                                } else if (jsonReader.peek() == JsonReader.Token.NUMBER) {
                                    f9 = (float) jsonReader.nextDouble();
                                    f7 = f9;
                                } else {
                                    jsonReader.beginArray();
                                    f7 = (float) jsonReader.nextDouble();
                                    f9 = jsonReader.peek() == JsonReader.Token.NUMBER ? (float) jsonReader.nextDouble() : f7;
                                    jsonReader.endArray();
                                }
                            } else if (jsonReader.peek() == JsonReader.Token.NUMBER) {
                                f8 = (float) jsonReader.nextDouble();
                                f6 = f8;
                            } else {
                                jsonReader.beginArray();
                                f6 = (float) jsonReader.nextDouble();
                                f8 = jsonReader.peek() == JsonReader.Token.NUMBER ? (float) jsonReader.nextDouble() : f6;
                                jsonReader.endArray();
                            }
                        }
                        PointF pointF13 = new PointF(f6, f7);
                        PointF pointF14 = new PointF(f8, f9);
                        jsonReader.endObject();
                        pointF8 = pointF14;
                        pointF7 = pointF13;
                        pointF11 = pointF12;
                        f5 = f3;
                        break;
                    } else {
                        pointF5 = p.jsonToPoint(jsonReader, f2);
                        f5 = f3;
                        pointF11 = pointF12;
                        break;
                    }
                case 4:
                    if (jsonReader.peek() == JsonReader.Token.BEGIN_OBJECT) {
                        jsonReader.beginObject();
                        float f10 = 0.0f;
                        float f11 = 0.0f;
                        float f12 = 0.0f;
                        float f13 = 0.0f;
                        while (jsonReader.hasNext()) {
                            PointF pointF15 = pointF11;
                            int selectName2 = jsonReader.selectName(INTERPOLATOR_NAMES);
                            if (selectName2 != 0) {
                                pointF3 = pointF4;
                                if (selectName2 != 1) {
                                    jsonReader.skipValue();
                                } else if (jsonReader.peek() == JsonReader.Token.NUMBER) {
                                    f13 = (float) jsonReader.nextDouble();
                                    f5 = f5;
                                    f11 = f13;
                                } else {
                                    f4 = f5;
                                    jsonReader.beginArray();
                                    f11 = (float) jsonReader.nextDouble();
                                    f13 = jsonReader.peek() == JsonReader.Token.NUMBER ? (float) jsonReader.nextDouble() : f11;
                                    jsonReader.endArray();
                                    f5 = f4;
                                }
                            } else {
                                pointF3 = pointF4;
                                f4 = f5;
                                if (jsonReader.peek() == JsonReader.Token.NUMBER) {
                                    f12 = (float) jsonReader.nextDouble();
                                    f5 = f4;
                                    f10 = f12;
                                } else {
                                    jsonReader.beginArray();
                                    f10 = (float) jsonReader.nextDouble();
                                    f12 = jsonReader.peek() == JsonReader.Token.NUMBER ? (float) jsonReader.nextDouble() : f10;
                                    jsonReader.endArray();
                                    f5 = f4;
                                }
                            }
                            pointF11 = pointF15;
                            pointF4 = pointF3;
                        }
                        pointF2 = pointF4;
                        f3 = f5;
                        PointF pointF16 = new PointF(f10, f11);
                        PointF pointF17 = new PointF(f12, f13);
                        jsonReader.endObject();
                        pointF10 = pointF17;
                        pointF9 = pointF16;
                        f5 = f3;
                        break;
                    } else {
                        pointF2 = pointF4;
                        pointF6 = p.jsonToPoint(jsonReader, f2);
                        break;
                    }
                case 5:
                    if (jsonReader.nextInt() == 1) {
                        z = true;
                    } else {
                        z = false;
                        continue;
                    }
                case 6:
                    pointF11 = p.jsonToPoint(jsonReader, f2);
                    continue;
                case 7:
                    pointF4 = p.jsonToPoint(jsonReader, f2);
                    continue;
                default:
                    pointF2 = pointF4;
                    jsonReader.skipValue();
                    break;
            }
            pointF4 = pointF2;
        }
        PointF pointF18 = pointF4;
        float f14 = f5;
        PointF pointF19 = pointF11;
        jsonReader.endObject();
        if (z) {
            interpolator = LINEAR_INTERPOLATOR;
            t = t2;
        } else {
            if (pointF5 != null && pointF6 != null) {
                interpolator = interpolatorFor(pointF5, pointF6);
            } else if (pointF7 != null && pointF8 != null && pointF9 != null && pointF10 != null) {
                interpolatorFor = interpolatorFor(pointF7, pointF9);
                interpolatorFor2 = interpolatorFor(pointF8, pointF10);
                t = t3;
                interpolator = null;
                if (interpolatorFor == null && interpolatorFor2 != null) {
                    pointF = pointF19;
                    aVar = new e.a.a.a0.a<>(gVar, t2, t, interpolatorFor, interpolatorFor2, f14, null);
                } else {
                    pointF = pointF19;
                    aVar = new e.a.a.a0.a<>(gVar, t2, t, interpolator, f14, null);
                }
                aVar.pathCp1 = pointF;
                aVar.pathCp2 = pointF18;
                return aVar;
            } else {
                interpolator = LINEAR_INTERPOLATOR;
            }
            t = t3;
        }
        interpolatorFor = null;
        interpolatorFor2 = null;
        if (interpolatorFor == null) {
        }
        pointF = pointF19;
        aVar = new e.a.a.a0.a<>(gVar, t2, t, interpolator, f14, null);
        aVar.pathCp1 = pointF;
        aVar.pathCp2 = pointF18;
        return aVar;
    }

    public static <T> e.a.a.a0.a<T> parseStaticValue(JsonReader jsonReader, float f2, k0<T> k0Var) throws IOException {
        return new e.a.a.a0.a<>(k0Var.parse(jsonReader, f2));
    }

    public static SparseArrayCompat<WeakReference<Interpolator>> pathInterpolatorCache() {
        if (pathInterpolatorCache == null) {
            pathInterpolatorCache = new SparseArrayCompat<>();
        }
        return pathInterpolatorCache;
    }

    public static void putInterpolator(int i2, WeakReference<Interpolator> weakReference) {
        synchronized (q.class) {
            pathInterpolatorCache.put(i2, weakReference);
        }
    }
}
