package e.a.a.z;

import android.graphics.Path;
import android.graphics.PointF;
import androidx.annotation.FloatRange;
import e.a.a.u.b.k;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class g {
    public static PointF pathFromDataCurrentPoint = new PointF();

    public static PointF addPoints(PointF pointF, PointF pointF2) {
        return new PointF(pointF.x + pointF2.x, pointF.y + pointF2.y);
    }

    public static int clamp(int i2, int i3, int i4) {
        return Math.max(i3, Math.min(i4, i2));
    }

    public static boolean contains(float f2, float f3, float f4) {
        return f2 >= f3 && f2 <= f4;
    }

    public static int floorDiv(int i2, int i3) {
        int i4 = i2 / i3;
        return (((i2 ^ i3) >= 0) || i2 % i3 == 0) ? i4 : i4 - 1;
    }

    public static int floorMod(float f2, float f3) {
        return floorMod((int) f2, (int) f3);
    }

    public static void getPathFromData(e.a.a.w.j.h hVar, Path path) {
        path.reset();
        PointF initialPoint = hVar.getInitialPoint();
        path.moveTo(initialPoint.x, initialPoint.y);
        pathFromDataCurrentPoint.set(initialPoint.x, initialPoint.y);
        for (int i2 = 0; i2 < hVar.getCurves().size(); i2++) {
            e.a.a.w.a aVar = hVar.getCurves().get(i2);
            PointF controlPoint1 = aVar.getControlPoint1();
            PointF controlPoint2 = aVar.getControlPoint2();
            PointF vertex = aVar.getVertex();
            if (controlPoint1.equals(pathFromDataCurrentPoint) && controlPoint2.equals(vertex)) {
                path.lineTo(vertex.x, vertex.y);
            } else {
                path.cubicTo(controlPoint1.x, controlPoint1.y, controlPoint2.x, controlPoint2.y, vertex.x, vertex.y);
            }
            pathFromDataCurrentPoint.set(vertex.x, vertex.y);
        }
        if (hVar.isClosed()) {
            path.close();
        }
    }

    public static double lerp(double d2, double d3, @FloatRange(from = 0.0d, to = 1.0d) double d4) {
        return d2 + (d4 * (d3 - d2));
    }

    public static float lerp(float f2, float f3, @FloatRange(from = 0.0d, to = 1.0d) float f4) {
        return f2 + (f4 * (f3 - f2));
    }

    public static int lerp(int i2, int i3, @FloatRange(from = 0.0d, to = 1.0d) float f2) {
        return (int) (i2 + (f2 * (i3 - i2)));
    }

    public static void resolveKeyPath(e.a.a.w.d dVar, int i2, List<e.a.a.w.d> list, e.a.a.w.d dVar2, k kVar) {
        if (dVar.fullyResolvesTo(kVar.getName(), i2)) {
            list.add(dVar2.addKey(kVar.getName()).resolve(kVar));
        }
    }

    public static float clamp(float f2, float f3, float f4) {
        return Math.max(f3, Math.min(f4, f2));
    }

    public static int floorMod(int i2, int i3) {
        return i2 - (i3 * floorDiv(i2, i3));
    }

    public static double clamp(double d2, double d3, double d4) {
        return Math.max(d3, Math.min(d4, d2));
    }
}
