package e.b.a.a.f;

import android.content.Context;
import android.content.SharedPreferences;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.util.Log;
import androidx.multidex.MultiDex;
import androidx.multidex.MultiDexExtractor;
import dalvik.system.DexFile;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Enumeration;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import java.util.concurrent.CountDownLatch;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class a {
    public static final String EXTRACTED_NAME_EXT = ".classes";
    public static final String EXTRACTED_SUFFIX = ".zip";
    public static final String KEY_DEX_NUMBER = "dex.number";
    public static final String PREFS_FILE = "multidex.version";
    public static final String SECONDARY_FOLDER_NAME = MultiDex.CODE_CACHE_NAME + File.separator + "secondary-dexes";
    public static final int VM_WITH_MULTIDEX_VERSION_MAJOR = 2;
    public static final int VM_WITH_MULTIDEX_VERSION_MINOR = 1;

    /* compiled from: AAA */
    /* renamed from: e.b.a.a.f.a$a  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    public static class RunnableC0240a implements Runnable {
        public final /* synthetic */ Set val$classNames;
        public final /* synthetic */ String val$packageName;
        public final /* synthetic */ CountDownLatch val$parserCtl;
        public final /* synthetic */ String val$path;

        public RunnableC0240a(String str, String str2, Set set, CountDownLatch countDownLatch) {
            this.val$path = str;
            this.val$packageName = str2;
            this.val$classNames = set;
            this.val$parserCtl = countDownLatch;
        }

        /* JADX WARN: Code restructure failed: missing block: B:18:0x0057, code lost:
            if (r0 == null) goto L18;
         */
        @Override // java.lang.Runnable
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public void run() {
            DexFile dexFile = null;
            try {
                if (this.val$path.endsWith(".zip")) {
                    String str = this.val$path;
                    dexFile = DexFile.loadDex(str, this.val$path + ".tmp", 0);
                } else {
                    dexFile = new DexFile(this.val$path);
                }
                Enumeration<String> entries = dexFile.entries();
                while (entries.hasMoreElements()) {
                    String nextElement = entries.nextElement();
                    if (nextElement.startsWith(this.val$packageName)) {
                        this.val$classNames.add(nextElement);
                    }
                }
            } catch (Throwable th) {
                try {
                    Log.e(b.SDK_NAME, "Scan map file in dex files made error.", th);
                } finally {
                    if (dexFile != null) {
                        try {
                            dexFile.close();
                        } catch (Throwable unused) {
                        }
                    }
                    this.val$parserCtl.countDown();
                }
            }
        }
    }

    public static Set<String> getFileNameByPackageName(Context context, String str) throws PackageManager.NameNotFoundException, IOException, InterruptedException {
        HashSet hashSet = new HashSet();
        List<String> sourcePaths = getSourcePaths(context);
        CountDownLatch countDownLatch = new CountDownLatch(sourcePaths.size());
        for (String str2 : sourcePaths) {
            e.b.a.a.e.b.getInstance().execute(new RunnableC0240a(str2, str, hashSet, countDownLatch));
        }
        countDownLatch.await();
        Log.d("ARouter::", "Filter " + hashSet.size() + " classes by packageName <" + str + ">");
        return hashSet;
    }

    public static SharedPreferences getMultiDexPreferences(Context context) {
        return context.getSharedPreferences("multidex.version", Build.VERSION.SDK_INT < 11 ? 0 : 4);
    }

    public static List<String> getSourcePaths(Context context) throws PackageManager.NameNotFoundException, IOException {
        ApplicationInfo applicationInfo = context.getPackageManager().getApplicationInfo(context.getPackageName(), 0);
        File file = new File(applicationInfo.sourceDir);
        ArrayList arrayList = new ArrayList();
        arrayList.add(applicationInfo.sourceDir);
        String str = file.getName() + ".classes";
        if (!isVMMultidexCapable()) {
            int i2 = getMultiDexPreferences(context).getInt("dex.number", 1);
            File file2 = new File(applicationInfo.dataDir, SECONDARY_FOLDER_NAME);
            for (int i3 = 2; i3 <= i2; i3++) {
                File file3 = new File(file2, str + i3 + ".zip");
                if (file3.isFile()) {
                    arrayList.add(file3.getAbsolutePath());
                } else {
                    throw new IOException("Missing extracted secondary dex file '" + file3.getPath() + "'");
                }
            }
        }
        if (e.b.a.a.d.a.debuggable()) {
            arrayList.addAll(tryLoadInstantRunDexFile(applicationInfo));
        }
        return arrayList;
    }

    /* JADX WARN: Code restructure failed: missing block: B:15:0x004e, code lost:
        if (r2 < 1) goto L8;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6:0x001b, code lost:
        if (java.lang.Integer.valueOf(java.lang.System.getProperty("ro.build.version.sdk")).intValue() >= 21) goto L7;
     */
    /* JADX WARN: Removed duplicated region for block: B:20:0x0061  */
    /* JADX WARN: Removed duplicated region for block: B:21:0x0064  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static boolean isVMMultidexCapable() {
        boolean z = false;
        String str = null;
        if (!isYunOS()) {
            str = "'Android'";
            String property = System.getProperty("java.vm.version");
            if (property != null) {
                Matcher matcher = Pattern.compile("(\\d+)\\.(\\d+)(\\.\\d+)?").matcher(property);
                if (matcher.matches()) {
                    int parseInt = Integer.parseInt(matcher.group(1));
                    int parseInt2 = Integer.parseInt(matcher.group(2));
                    if (parseInt <= 2) {
                        if (parseInt == 2) {
                        }
                    }
                    z = true;
                }
            }
            StringBuilder sb = new StringBuilder();
            sb.append("VM with name ");
            sb.append(str);
            sb.append(!z ? " has multidex support" : " does not have multidex support");
            Log.i("ARouter::", sb.toString());
            return z;
        }
        str = "'YunOS'";
        StringBuilder sb2 = new StringBuilder();
        sb2.append("VM with name ");
        sb2.append(str);
        sb2.append(!z ? " has multidex support" : " does not have multidex support");
        Log.i("ARouter::", sb2.toString());
        return z;
    }

    public static boolean isYunOS() {
        try {
            String property = System.getProperty("ro.yunos.version");
            String property2 = System.getProperty("java.vm.name");
            if (property2 == null || !property2.toLowerCase().contains("lemur")) {
                if (property == null) {
                    return false;
                }
                if (property.trim().length() <= 0) {
                    return false;
                }
            }
            return true;
        } catch (Exception unused) {
            return false;
        }
    }

    public static List<String> tryLoadInstantRunDexFile(ApplicationInfo applicationInfo) {
        File[] listFiles;
        String[] strArr;
        ArrayList arrayList = new ArrayList();
        if (Build.VERSION.SDK_INT >= 21 && (strArr = applicationInfo.splitSourceDirs) != null) {
            arrayList.addAll(Arrays.asList(strArr));
            Log.d("ARouter::", "Found InstantRun support");
        } else {
            try {
                File file = new File((String) Class.forName("com.android.tools.fd.runtime.Paths").getMethod("getDexFileDirectory", String.class).invoke(null, applicationInfo.packageName));
                if (file.exists() && file.isDirectory()) {
                    for (File file2 : file.listFiles()) {
                        if (file2 != null && file2.exists() && file2.isFile() && file2.getName().endsWith(MultiDexExtractor.DEX_SUFFIX)) {
                            arrayList.add(file2.getAbsolutePath());
                        }
                    }
                    Log.d("ARouter::", "Found InstantRun support");
                }
            } catch (Exception e2) {
                Log.e("ARouter::", "InstantRun support error, " + e2.getMessage());
            }
        }
        return arrayList;
    }
}
