package e.b.b.a.a.f;

import android.content.Context;
import android.os.Environment;
import android.os.StatFs;
import android.text.format.Formatter;
import com.ss.android.socialbase.downloader.segment.SegmentStrategy;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.io.Writer;
import java.text.SimpleDateFormat;
import java.util.Date;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class e {
    public static final String LOG_DIR_NAME = "OSSLog";
    public static e instance;
    public static Context sContext;
    public static File sLogFile;
    public boolean useSdCard = true;
    public static e.b.b.a.a.f.a logService = e.b.b.a.a.f.a.newInstance();
    public static SimpleDateFormat sLogSDF = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    public static long LOG_MAX_SIZE = SegmentStrategy.SEGMENT_MIN_INIT_SIZE;

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static class a implements Runnable {
        @Override // java.lang.Runnable
        public void run() {
            if (e.sLogFile != null) {
                d.logInfo("LogFilePath is: " + e.sLogFile.getPath(), false);
                long logFileSize = e.getLogFileSize(e.sLogFile);
                d.logInfo("Log max size is: " + Formatter.formatFileSize(e.sContext, e.LOG_MAX_SIZE), false);
                d.logInfo("Log now size is: " + Formatter.formatFileSize(e.sContext, logFileSize), false);
                if (e.LOG_MAX_SIZE < logFileSize) {
                    d.logInfo("init reset log file", false);
                    e.instance.resetLogFile();
                }
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes.dex */
    public static class b implements Runnable {
        public Object mStr;

        public b(Object obj) {
            this.mStr = obj;
        }

        private PrintWriter printEx(PrintWriter printWriter) {
            printWriter.println("crash_time：" + e.sLogSDF.format(new Date()));
            ((Throwable) this.mStr).printStackTrace(printWriter);
            return printWriter;
        }

        @Override // java.lang.Runnable
        public void run() {
            if (e.sLogFile != null) {
                e.getInstance();
                long logFileSize = e.getLogFileSize(e.sLogFile);
                d.logInfo("Log max size is: " + Formatter.formatFileSize(e.sContext, e.LOG_MAX_SIZE), false);
                d.logInfo("Log now size is: " + Formatter.formatFileSize(e.sContext, logFileSize), false);
                if (logFileSize > e.LOG_MAX_SIZE) {
                    e.getInstance().resetLogFile();
                }
                try {
                    PrintWriter printWriter = new PrintWriter((Writer) new FileWriter(e.sLogFile, true), true);
                    d.logDebug("file exist:" + e.sLogFile.exists(), false);
                    d.logDebug("write data", false);
                    if (this.mStr instanceof Throwable) {
                        printEx(printWriter);
                    } else {
                        printWriter.println(e.getInstance().getFunctionInfo(null) + " - " + this.mStr.toString());
                    }
                    printWriter.println("------>end of log");
                    printWriter.println();
                    printWriter.close();
                } catch (IOException e2) {
                    e2.printStackTrace();
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public String getFunctionInfo(StackTraceElement[] stackTraceElementArr) {
        if (stackTraceElementArr == null) {
            return "[" + sLogSDF.format(new Date()) + "]";
        }
        return null;
    }

    public static e getInstance() {
        if (instance == null) {
            synchronized (e.class) {
                if (instance == null) {
                    instance = new e();
                }
            }
        }
        return instance;
    }

    public static long getLocalLogFileSize() {
        return getLogFileSize(sLogFile);
    }

    private File getLogFile() {
        boolean z;
        File file;
        if (this.useSdCard && Environment.getExternalStorageState().equals("mounted")) {
            z = readSDCardSpace() > LOG_MAX_SIZE / 1024;
            file = new File(Environment.getExternalStorageDirectory().getPath() + File.separator + LOG_DIR_NAME);
        } else {
            z = readSystemSpace() > LOG_MAX_SIZE / 1024;
            file = new File(sContext.getFilesDir().getPath() + File.separator + LOG_DIR_NAME);
        }
        File file2 = null;
        if (z) {
            if (!file.exists()) {
                file.mkdirs();
            }
            file2 = new File(file.getPath() + "/logs.csv");
            if (!file2.exists()) {
                createNewFile(file2);
            }
        }
        return file2;
    }

    public static long getLogFileSize(File file) {
        FileInputStream fileInputStream;
        if (file != null && file.exists()) {
            FileInputStream fileInputStream2 = null;
            try {
                try {
                    fileInputStream = new FileInputStream(file);
                } catch (Exception e2) {
                    e = e2;
                }
            } catch (Throwable th) {
                th = th;
            }
            try {
                long available = fileInputStream.available();
                try {
                    fileInputStream.close();
                    return available;
                } catch (IOException e3) {
                    d.logError(e3.toString(), false);
                    return available;
                }
            } catch (Exception e4) {
                e = e4;
                fileInputStream2 = fileInputStream;
                d.logError(e.toString(), false);
                if (fileInputStream2 != null) {
                    try {
                        fileInputStream2.close();
                    } catch (IOException e5) {
                        d.logError(e5.toString(), false);
                    }
                }
                return 0L;
            } catch (Throwable th2) {
                th = th2;
                fileInputStream2 = fileInputStream;
                if (fileInputStream2 != null) {
                    try {
                        fileInputStream2.close();
                    } catch (IOException e6) {
                        d.logError(e6.toString(), false);
                    }
                }
                throw th;
            }
        }
        return 0L;
    }

    public static void init(Context context, e.b.b.a.a.a aVar) {
        File file;
        d.logDebug("init ...", false);
        if (sContext != null && instance != null && (file = sLogFile) != null && file.exists()) {
            d.logDebug("LogToFileUtils has been init ...", false);
            return;
        }
        instance = getInstance();
        if (aVar != null) {
            LOG_MAX_SIZE = aVar.getMaxLogSize();
        }
        sContext = context.getApplicationContext();
        sLogFile = instance.getLogFile();
        logService.addExecuteTask(new a());
    }

    private long readSDCardSpace() {
        long j2;
        if ("mounted".equals(Environment.getExternalStorageState())) {
            StatFs statFs = new StatFs(Environment.getExternalStorageDirectory().getPath());
            j2 = statFs.getAvailableBlocks() * statFs.getBlockSize();
        } else {
            j2 = 0;
        }
        d.logDebug("sd卡存储空间:" + String.valueOf(j2) + "kb", false);
        return j2;
    }

    private long readSystemSpace() {
        StatFs statFs = new StatFs(Environment.getRootDirectory().getPath());
        long availableBlocks = (statFs.getAvailableBlocks() * statFs.getBlockSize()) / 1024;
        d.logDebug("内部存储空间:" + String.valueOf(availableBlocks) + "kb", false);
        return availableBlocks;
    }

    public static void reset() {
        sContext = null;
        instance = null;
        sLogFile = null;
    }

    public void createNewFile(File file) {
        try {
            file.createNewFile();
        } catch (Exception e2) {
            d.logError("Create log file failure !!! " + e2.toString(), false);
        }
    }

    public void deleteLogFile() {
        File file = new File(sLogFile.getParent() + "/logs.csv");
        if (file.exists()) {
            d.logDebug("delete Log File ... ", false);
            file.delete();
        }
    }

    public void deleteLogFileDir() {
        deleteLogFile();
        File file = new File(Environment.getExternalStorageDirectory().getPath() + File.separator + LOG_DIR_NAME);
        if (file.exists()) {
            d.logDebug("delete Log FileDir ... ", false);
            file.delete();
        }
    }

    public void resetLogFile() {
        d.logDebug("Reset Log File ... ", false);
        if (!sLogFile.getParentFile().exists()) {
            d.logDebug("Reset Log make File dir ... ", false);
            sLogFile.getParentFile().mkdir();
        }
        File file = new File(sLogFile.getParent() + "/logs.csv");
        if (file.exists()) {
            file.delete();
        }
        createNewFile(file);
    }

    public void setUseSdCard(boolean z) {
        this.useSdCard = z;
    }

    public synchronized void write(Object obj) {
        if (d.isEnableLog()) {
            if (sContext != null && instance != null && sLogFile != null) {
                if (!sLogFile.exists()) {
                    resetLogFile();
                }
                logService.addExecuteTask(new b(obj));
            }
        }
    }
}
