package e.b.b.a.a.h;

import java.text.ParseException;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class e0 {
    public static final String AES_256_SERVER_SIDE_ENCRYPTION = "AES256";
    public Map<String, String> userMetadata = new HashMap();
    public Map<String, Object> metadata = new HashMap();

    public void addUserMetadata(String str, String str2) {
        this.userMetadata.put(str, str2);
    }

    public String getCacheControl() {
        return (String) this.metadata.get("Cache-Control");
    }

    public String getContentDisposition() {
        return (String) this.metadata.get("Content-Disposition");
    }

    public String getContentEncoding() {
        return (String) this.metadata.get(e.b.b.a.a.f.h.c.CONTENT_ENCODING);
    }

    public long getContentLength() {
        Long l2 = (Long) this.metadata.get("Content-Length");
        if (l2 == null) {
            return 0L;
        }
        return l2.longValue();
    }

    public String getContentMD5() {
        return (String) this.metadata.get(e.b.b.a.a.f.h.c.CONTENT_MD5);
    }

    public String getContentType() {
        return (String) this.metadata.get("Content-Type");
    }

    public String getETag() {
        return (String) this.metadata.get(e.b.b.a.a.f.h.c.ETAG);
    }

    public Date getExpirationTime() throws ParseException {
        return e.b.b.a.a.f.h.b.parseRfc822Date((String) this.metadata.get(e.b.b.a.a.f.h.c.EXPIRES));
    }

    public Date getLastModified() {
        return (Date) this.metadata.get("Last-Modified");
    }

    public String getObjectType() {
        return (String) this.metadata.get(e.b.b.a.a.f.c.OSS_OBJECT_TYPE);
    }

    public String getRawExpiresValue() {
        return (String) this.metadata.get(e.b.b.a.a.f.h.c.EXPIRES);
    }

    public Map<String, Object> getRawMetadata() {
        return Collections.unmodifiableMap(this.metadata);
    }

    public String getServerSideEncryption() {
        return (String) this.metadata.get(e.b.b.a.a.f.c.OSS_SERVER_SIDE_ENCRYPTION);
    }

    public Map<String, String> getUserMetadata() {
        return this.userMetadata;
    }

    public void setCacheControl(String str) {
        this.metadata.put("Cache-Control", str);
    }

    public void setContentDisposition(String str) {
        this.metadata.put("Content-Disposition", str);
    }

    public void setContentEncoding(String str) {
        this.metadata.put(e.b.b.a.a.f.h.c.CONTENT_ENCODING, str);
    }

    public void setContentLength(long j2) {
        if (j2 <= e.b.b.a.a.f.b.DEFAULT_FILE_SIZE_LIMIT) {
            this.metadata.put("Content-Length", Long.valueOf(j2));
            return;
        }
        throw new IllegalArgumentException("The content length could not be more than 5GB.");
    }

    public void setContentMD5(String str) {
        this.metadata.put(e.b.b.a.a.f.h.c.CONTENT_MD5, str);
    }

    public void setContentType(String str) {
        this.metadata.put("Content-Type", str);
    }

    public void setExpirationTime(Date date) {
        this.metadata.put(e.b.b.a.a.f.h.c.EXPIRES, e.b.b.a.a.f.h.b.formatRfc822Date(date));
    }

    public void setHeader(String str, Object obj) {
        this.metadata.put(str, obj);
    }

    public void setLastModified(Date date) {
        this.metadata.put("Last-Modified", date);
    }

    public void setServerSideEncryption(String str) {
        this.metadata.put(e.b.b.a.a.f.c.OSS_SERVER_SIDE_ENCRYPTION, str);
    }

    public void setUserMetadata(Map<String, String> map) {
        this.userMetadata.clear();
        if (map == null || map.isEmpty()) {
            return;
        }
        this.userMetadata.putAll(map);
    }

    public String toString() {
        String str;
        try {
            str = getExpirationTime().toString();
        } catch (Exception unused) {
            str = "";
        }
        return "Last-Modified:" + getLastModified() + "\n" + e.b.b.a.a.f.h.c.EXPIRES + ":" + str + "\nrawExpires:" + getRawExpiresValue() + "\n" + e.b.b.a.a.f.h.c.CONTENT_MD5 + ":" + getContentMD5() + "\n" + e.b.b.a.a.f.c.OSS_OBJECT_TYPE + ":" + getObjectType() + "\n" + e.b.b.a.a.f.c.OSS_SERVER_SIDE_ENCRYPTION + ":" + getServerSideEncryption() + "\nContent-Disposition:" + getContentDisposition() + "\n" + e.b.b.a.a.f.h.c.CONTENT_ENCODING + ":" + getContentEncoding() + "\nCache-Control:" + getCacheControl() + "\n" + e.b.b.a.a.f.h.c.ETAG + ":" + getETag() + "\n";
    }
}
