package e.d.a.i;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Locale;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class e implements e.d.a.i.d, e.d.a.i.c {
    public static final String DEFAULT_DATE_FORMAT = "yyyy-MM-dd HH:mm:ss.SSS";
    public static final String PARAM = "[^{}]*";
    public static final String PARAMETER_DATE = "d";
    public static final String PARAMETER_LEVEL_LONG = "L";
    public static final String PARAMETER_LEVEL_SHORT = "l";
    public static final String PARAMETER_MESSAGE = "m";
    public static final String PARAMETER_TAG = "t";
    public static final Pattern PARAM_REGEX = Pattern.compile("\\{([^{}]*)\\}");
    public List<d> parameterFillers;
    public String pattern;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class a extends d {
        public String dateFormat;
        public ThreadLocal<SimpleDateFormat> threadLocalDateFormat;

        /* compiled from: AAA */
        /* renamed from: e.d.a.i.e$a$a  reason: collision with other inner class name */
        /* loaded from: classes2.dex */
        public class C0244a extends ThreadLocal<SimpleDateFormat> {
            public C0244a() {
            }

            @Override // java.lang.ThreadLocal
            public SimpleDateFormat initialValue() {
                return new SimpleDateFormat(a.this.dateFormat, Locale.US);
            }
        }

        public a(String str, String str2, String str3) {
            super(str, str2);
            C0244a c0244a = new C0244a();
            this.threadLocalDateFormat = c0244a;
            this.dateFormat = str3;
            try {
                c0244a.get().format(new Date());
            } catch (Exception e2) {
                throw new IllegalArgumentException("Bad date pattern: " + str3, e2);
            }
        }

        @Override // e.d.a.i.e.d
        public String fill(String str, long j2, int i2, String str2, String str3) {
            return str.replace(this.wrappedParameter, this.threadLocalDateFormat.get().format(new Date(j2)));
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class b extends d {
        public boolean useLongName;

        public b(String str, String str2, boolean z) {
            super(str, str2);
            this.useLongName = z;
        }

        @Override // e.d.a.i.e.d
        public String fill(String str, long j2, int i2, String str2, String str3) {
            if (this.useLongName) {
                return str.replace(this.wrappedParameter, e.d.a.d.getLevelName(i2));
            }
            return str.replace(this.wrappedParameter, e.d.a.d.getShortLevelName(i2));
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class c extends d {
        public c(String str, String str2) {
            super(str, str2);
        }

        @Override // e.d.a.i.e.d
        public String fill(String str, long j2, int i2, String str2, String str3) {
            return str.replace(this.wrappedParameter, str3);
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static abstract class d {
        public String trimmedParameter;
        public String wrappedParameter;

        public d(String str, String str2) {
            this.wrappedParameter = str;
            this.trimmedParameter = str2;
        }

        public abstract String fill(String str, long j2, int i2, String str2, String str3);
    }

    /* compiled from: AAA */
    /* renamed from: e.d.a.i.e$e  reason: collision with other inner class name */
    /* loaded from: classes2.dex */
    public static class C0245e extends d {
        public C0245e(String str, String str2) {
            super(str, str2);
        }

        @Override // e.d.a.i.e.d
        public String fill(String str, long j2, int i2, String str2, String str3) {
            return str.replace(this.wrappedParameter, str2);
        }
    }

    public e(String str) {
        if (str != null) {
            this.pattern = str;
            List<d> parseParameters = parseParameters(parsePattern(str));
            this.parameterFillers = parseParameters;
            if (parseParameters.size() != 0) {
                return;
            }
            throw new IllegalArgumentException("No recognizable parameter found in the pattern " + str);
        }
        throw new NullPointerException("Pattern should not be null");
    }

    public static a parseDateParameter(String str, String str2) {
        if (str2.startsWith("d ") && str2.length() > 2) {
            return new a(str, str2, str2.substring(2));
        }
        if (str2.equals("d")) {
            return new a(str, str2, DEFAULT_DATE_FORMAT);
        }
        return null;
    }

    public static b parseLevelParameter(String str, String str2) {
        if (str2.equals("l")) {
            return new b(str, str2, false);
        }
        if (str2.equals(PARAMETER_LEVEL_LONG)) {
            return new b(str, str2, true);
        }
        return null;
    }

    public static c parseMessageParameter(String str, String str2) {
        if (str2.equals("m")) {
            return new c(str, str2);
        }
        return null;
    }

    public static d parseParameter(String str) {
        String str2 = "{" + str + "}";
        String trim = str.trim();
        a parseDateParameter = parseDateParameter(str2, trim);
        if (parseDateParameter != null) {
            return parseDateParameter;
        }
        b parseLevelParameter = parseLevelParameter(str2, trim);
        if (parseLevelParameter != null) {
            return parseLevelParameter;
        }
        C0245e parseTagParameter = parseTagParameter(str2, trim);
        if (parseTagParameter != null) {
            return parseTagParameter;
        }
        c parseMessageParameter = parseMessageParameter(str2, trim);
        if (parseMessageParameter != null) {
            return parseMessageParameter;
        }
        return null;
    }

    public static List<d> parseParameters(List<String> list) {
        ArrayList arrayList = new ArrayList(list.size());
        for (String str : list) {
            d parseParameter = parseParameter(str);
            if (parseParameter != null) {
                arrayList.add(parseParameter);
            }
        }
        return arrayList;
    }

    public static List<String> parsePattern(String str) {
        ArrayList arrayList = new ArrayList(4);
        Matcher matcher = PARAM_REGEX.matcher(str);
        while (matcher.find()) {
            arrayList.add(matcher.group(1));
        }
        return arrayList;
    }

    public static C0245e parseTagParameter(String str, String str2) {
        if (str2.equals("t")) {
            return new C0245e(str, str2);
        }
        return null;
    }

    @Override // e.d.a.i.d
    public CharSequence flatten(int i2, String str, String str2) {
        return flatten(System.currentTimeMillis(), i2, str, str2);
    }

    @Override // e.d.a.i.c
    public CharSequence flatten(long j2, int i2, String str, String str2) {
        String str3 = this.pattern;
        String str4 = str3;
        for (d dVar : this.parameterFillers) {
            str4 = dVar.fill(str4, j2, i2, str, str2);
        }
        return str4;
    }
}
