package e.d.a.m.g;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingQueue;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class a implements e.d.a.m.c {
    public static final boolean USE_WORKER = true;
    public final e.d.a.m.g.b.b backupStrategy;
    public final e.d.a.m.g.c.a cleanStrategy;
    public final e.d.a.m.g.d.c fileNameGenerator;
    public e.d.a.i.c flattener;
    public final String folderPath;
    public e writer = new e();
    public volatile d worker = new d();

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class b {
        public e.d.a.m.g.b.b backupStrategy;
        public e.d.a.m.g.c.a cleanStrategy;
        public e.d.a.m.g.d.c fileNameGenerator;
        public e.d.a.i.c flattener;
        public String folderPath;

        /* compiled from: AAA */
        /* renamed from: e.d.a.m.g.a$b$a  reason: collision with other inner class name */
        /* loaded from: classes2.dex */
        public class C0247a implements e.d.a.i.c {
            public final /* synthetic */ e.d.a.i.d val$flattener;

            public C0247a(e.d.a.i.d dVar) {
                this.val$flattener = dVar;
            }

            @Override // e.d.a.i.c
            public CharSequence flatten(long j2, int i2, String str, String str2) {
                return this.val$flattener.flatten(i2, str, str2);
            }
        }

        public b(String str) {
            this.folderPath = str;
        }

        private void fillEmptyFields() {
            if (this.fileNameGenerator == null) {
                this.fileNameGenerator = e.d.a.l.a.createFileNameGenerator();
            }
            if (this.backupStrategy == null) {
                this.backupStrategy = e.d.a.l.a.createBackupStrategy();
            }
            if (this.cleanStrategy == null) {
                this.cleanStrategy = e.d.a.l.a.createCleanStrategy();
            }
            if (this.flattener == null) {
                this.flattener = e.d.a.l.a.createFlattener2();
            }
        }

        public b backupStrategy(e.d.a.m.g.b.c cVar) {
            if (!(cVar instanceof e.d.a.m.g.b.b)) {
                cVar = new e.d.a.l.d.a.a.a(cVar);
            }
            e.d.a.m.g.b.b bVar = (e.d.a.m.g.b.b) cVar;
            this.backupStrategy = bVar;
            e.d.a.l.d.a.a.b.verifyBackupStrategy(bVar);
            return this;
        }

        public a build() {
            fillEmptyFields();
            return new a(this);
        }

        public b cleanStrategy(e.d.a.m.g.c.a aVar) {
            this.cleanStrategy = aVar;
            return this;
        }

        public b fileNameGenerator(e.d.a.m.g.d.c cVar) {
            this.fileNameGenerator = cVar;
            return this;
        }

        public b flattener(e.d.a.i.c cVar) {
            this.flattener = cVar;
            return this;
        }

        @Deprecated
        public b logFlattener(e.d.a.i.d dVar) {
            return flattener(new C0247a(dVar));
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class c {
        public int level;
        public String msg;
        public String tag;
        public long timeMillis;

        public c(long j2, int i2, String str, String str2) {
            this.timeMillis = j2;
            this.level = i2;
            this.tag = str;
            this.msg = str2;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class d implements Runnable {
        public BlockingQueue<c> logs;
        public volatile boolean started;

        public d() {
            this.logs = new LinkedBlockingQueue();
        }

        public void enqueue(c cVar) {
            try {
                this.logs.put(cVar);
            } catch (InterruptedException e2) {
                e2.printStackTrace();
            }
        }

        public boolean isStarted() {
            boolean z;
            synchronized (this) {
                z = this.started;
            }
            return z;
        }

        @Override // java.lang.Runnable
        public void run() {
            while (true) {
                try {
                    c take = this.logs.take();
                    if (take == null) {
                        return;
                    }
                    a.this.doPrintln(take.timeMillis, take.level, take.tag, take.msg);
                } catch (InterruptedException e2) {
                    e2.printStackTrace();
                    synchronized (this) {
                        this.started = false;
                        return;
                    }
                }
            }
        }

        public void start() {
            synchronized (this) {
                if (this.started) {
                    return;
                }
                new Thread(this).start();
                this.started = true;
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class e {
        public BufferedWriter bufferedWriter;
        public String lastFileName;
        public File logFile;

        public e() {
        }

        public void appendLog(String str) {
            try {
                this.bufferedWriter.write(str);
                this.bufferedWriter.newLine();
                this.bufferedWriter.flush();
            } catch (IOException unused) {
            }
        }

        public boolean close() {
            BufferedWriter bufferedWriter = this.bufferedWriter;
            if (bufferedWriter != null) {
                try {
                    bufferedWriter.close();
                } catch (IOException e2) {
                    e2.printStackTrace();
                }
            }
            this.bufferedWriter = null;
            this.lastFileName = null;
            this.logFile = null;
            return true;
        }

        public File getFile() {
            return this.logFile;
        }

        public String getLastFileName() {
            return this.lastFileName;
        }

        public boolean isOpened() {
            return this.bufferedWriter != null && this.logFile.exists();
        }

        public boolean open(String str) {
            this.lastFileName = str;
            File file = new File(a.this.folderPath, str);
            this.logFile = file;
            if (!file.exists()) {
                try {
                    File parentFile = this.logFile.getParentFile();
                    if (!parentFile.exists()) {
                        parentFile.mkdirs();
                    }
                    this.logFile.createNewFile();
                } catch (IOException e2) {
                    e2.printStackTrace();
                    close();
                    return false;
                }
            }
            try {
                this.bufferedWriter = new BufferedWriter(new FileWriter(this.logFile, true));
                return true;
            } catch (Exception e3) {
                e3.printStackTrace();
                close();
                return false;
            }
        }
    }

    public a(b bVar) {
        this.folderPath = bVar.folderPath;
        this.fileNameGenerator = bVar.fileNameGenerator;
        this.backupStrategy = bVar.backupStrategy;
        this.cleanStrategy = bVar.cleanStrategy;
        this.flattener = bVar.flattener;
        checkLogFolder();
    }

    private void checkLogFolder() {
        File file = new File(this.folderPath);
        if (file.exists()) {
            return;
        }
        file.mkdirs();
    }

    private void cleanLogFilesIfNecessary() {
        File[] listFiles = new File(this.folderPath).listFiles();
        if (listFiles == null) {
            return;
        }
        for (File file : listFiles) {
            if (this.cleanStrategy.shouldClean(file)) {
                file.delete();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void doPrintln(long j2, int i2, String str, String str2) {
        String lastFileName = this.writer.getLastFileName();
        boolean z = !this.writer.isOpened();
        if (lastFileName == null || z || this.fileNameGenerator.isFileNameChangeable()) {
            String generateFileName = this.fileNameGenerator.generateFileName(i2, System.currentTimeMillis());
            if (generateFileName != null && generateFileName.trim().length() != 0) {
                if (!generateFileName.equals(lastFileName) || z) {
                    this.writer.close();
                    cleanLogFilesIfNecessary();
                    if (!this.writer.open(generateFileName)) {
                        return;
                    }
                    lastFileName = generateFileName;
                }
            } else {
                throw new IllegalArgumentException("File name should not be empty.");
            }
        }
        File file = this.writer.getFile();
        if (this.backupStrategy.shouldBackup(file)) {
            this.writer.close();
            e.d.a.l.d.a.a.b.backup(file, this.backupStrategy);
            if (!this.writer.open(lastFileName)) {
                return;
            }
        }
        this.writer.appendLog(this.flattener.flatten(j2, i2, str, str2).toString());
    }

    @Override // e.d.a.m.c
    public void println(int i2, String str, String str2) {
        long currentTimeMillis = System.currentTimeMillis();
        if (!this.worker.isStarted()) {
            this.worker.start();
        }
        this.worker.enqueue(new c(currentTimeMillis, i2, str, str2));
    }
}
