package e.f.a;

import android.content.Context;
import android.content.res.XmlResourceParser;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import e.f.a.b;
import java.io.IOException;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public final class c {
    public static final String ANDROID_MANIFEST_FILE_NAME = "AndroidManifest.xml";
    public static final String ANDROID_NAMESPACE_URI = "http://schemas.android.com/apk/res/android";
    public static final String ATTR_MAX_SDK_VERSION = "maxSdkVersion";
    public static final String ATTR_MIN_SDK_VERSION = "minSdkVersion";
    public static final String ATTR_NAME = "name";
    public static final String ATTR_PACKAGE = "package";
    public static final String ATTR_PERMISSION = "permission";
    public static final String ATTR_REQUEST_LEGACY_EXTERNAL_STORAGE = "requestLegacyExternalStorage";
    public static final String ATTR_SUPPORTS_PICTURE_IN_PICTURE = "supportsPictureInPicture";
    public static final String ATTR_USES_PERMISSION_FLAGS = "usesPermissionFlags";
    public static final String TAG_ACTIVITY = "activity";
    public static final String TAG_ACTIVITY_ALIAS = "activity-alias";
    public static final String TAG_APPLICATION = "application";
    public static final String TAG_MANIFEST = "manifest";
    public static final String TAG_SERVICE = "service";
    public static final String TAG_USES_PERMISSION = "uses-permission";
    public static final String TAG_USES_PERMISSION_SDK_23 = "uses-permission-sdk-23";
    public static final String TAG_USES_PERMISSION_SDK_M = "uses-permission-sdk-m";
    public static final String TAG_USES_SDK = "uses-sdk";

    public static b.a parseActivityFromXml(@NonNull XmlResourceParser xmlResourceParser) {
        b.a aVar = new b.a();
        aVar.name = xmlResourceParser.getAttributeValue("http://schemas.android.com/apk/res/android", "name");
        aVar.supportsPictureInPicture = xmlResourceParser.getAttributeBooleanValue("http://schemas.android.com/apk/res/android", ATTR_SUPPORTS_PICTURE_IN_PICTURE, false);
        return aVar;
    }

    @NonNull
    public static b parseAndroidManifest(@NonNull Context context, int i2) throws IOException, XmlPullParserException {
        b bVar = new b();
        XmlResourceParser openXmlResourceParser = context.getAssets().openXmlResourceParser(i2, ANDROID_MANIFEST_FILE_NAME);
        do {
            if (openXmlResourceParser.getEventType() == 2) {
                String name = openXmlResourceParser.getName();
                if (TextUtils.equals(TAG_MANIFEST, name)) {
                    bVar.packageName = openXmlResourceParser.getAttributeValue(null, "package");
                }
                if (TextUtils.equals(TAG_USES_SDK, name)) {
                    bVar.usesSdkInfo = parseUsesSdkFromXml(openXmlResourceParser);
                }
                if (TextUtils.equals(TAG_USES_PERMISSION, name) || TextUtils.equals(TAG_USES_PERMISSION_SDK_23, name) || TextUtils.equals(TAG_USES_PERMISSION_SDK_M, name)) {
                    bVar.permissionInfoList.add(parsePermissionFromXml(openXmlResourceParser));
                }
                if (TextUtils.equals(TAG_APPLICATION, name)) {
                    bVar.applicationInfo = parseApplicationFromXml(openXmlResourceParser);
                }
                if (TextUtils.equals("activity", name) || TextUtils.equals(TAG_ACTIVITY_ALIAS, name)) {
                    bVar.activityInfoList.add(parseActivityFromXml(openXmlResourceParser));
                }
                if (TextUtils.equals("service", name)) {
                    bVar.serviceInfoList.add(parseServerFromXml(openXmlResourceParser));
                }
            }
        } while (openXmlResourceParser.next() != 1);
        openXmlResourceParser.close();
        return bVar;
    }

    public static b.C0249b parseApplicationFromXml(@NonNull XmlResourceParser xmlResourceParser) {
        b.C0249b c0249b = new b.C0249b();
        c0249b.name = xmlResourceParser.getAttributeValue("http://schemas.android.com/apk/res/android", "name");
        c0249b.requestLegacyExternalStorage = xmlResourceParser.getAttributeBooleanValue("http://schemas.android.com/apk/res/android", ATTR_REQUEST_LEGACY_EXTERNAL_STORAGE, false);
        return c0249b;
    }

    public static b.c parsePermissionFromXml(@NonNull XmlResourceParser xmlResourceParser) {
        b.c cVar = new b.c();
        cVar.name = xmlResourceParser.getAttributeValue("http://schemas.android.com/apk/res/android", "name");
        cVar.maxSdkVersion = xmlResourceParser.getAttributeIntValue("http://schemas.android.com/apk/res/android", ATTR_MAX_SDK_VERSION, Integer.MAX_VALUE);
        cVar.usesPermissionFlags = xmlResourceParser.getAttributeIntValue("http://schemas.android.com/apk/res/android", ATTR_USES_PERMISSION_FLAGS, 0);
        return cVar;
    }

    public static b.d parseServerFromXml(@NonNull XmlResourceParser xmlResourceParser) {
        b.d dVar = new b.d();
        dVar.name = xmlResourceParser.getAttributeValue("http://schemas.android.com/apk/res/android", "name");
        dVar.permission = xmlResourceParser.getAttributeValue("http://schemas.android.com/apk/res/android", ATTR_PERMISSION);
        return dVar;
    }

    public static b.e parseUsesSdkFromXml(@NonNull XmlResourceParser xmlResourceParser) {
        b.e eVar = new b.e();
        eVar.minSdkVersion = xmlResourceParser.getAttributeIntValue("http://schemas.android.com/apk/res/android", ATTR_MIN_SDK_VERSION, 0);
        return eVar;
    }
}
