package e.f.a;

import android.app.Activity;
import android.app.AppOpsManager;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.pm.PermissionInfo;
import android.provider.Settings;
import androidx.annotation.NonNull;
import androidx.annotation.RequiresApi;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public final class e {
    public static final int MIUI_OP_GET_INSTALLED_APPS_DEFAULT_VALUE = 10022;
    public static final String MIUI_OP_GET_INSTALLED_APPS_FIELD_NAME = "OP_GET_INSTALLED_APPS";

    public static Intent getPermissionIntent(@NonNull Context context) {
        if (h0.isMiui()) {
            return j0.addSubIntentToMainIntent(h0.isMiuiOptimization() ? f0.getMiuiPermissionPageIntent(context) : null, f0.getApplicationDetailsIntent(context));
        }
        return f0.getApplicationDetailsIntent(context);
    }

    public static boolean isDoNotAskAgainPermission(@NonNull Activity activity) {
        if (d.isAndroid4_4()) {
            if (d.isAndroid6() && isSupportGetInstalledAppsPermission(activity)) {
                return (g0.checkSelfPermission(activity, n.GET_INSTALLED_APPS) || g0.shouldShowRequestPermissionRationale(activity, n.GET_INSTALLED_APPS)) ? false : true;
            } else if (h0.isMiui() && isMiuiSupportGetInstalledAppsPermission() && h0.isMiuiOptimization()) {
                return !isGrantedPermission(activity);
            } else {
                return false;
            }
        }
        return false;
    }

    public static boolean isGrantedPermission(@NonNull Context context) {
        if (d.isAndroid4_4()) {
            if (d.isAndroid6() && isSupportGetInstalledAppsPermission(context)) {
                return g0.checkSelfPermission(context, n.GET_INSTALLED_APPS);
            }
            if (h0.isMiui() && isMiuiSupportGetInstalledAppsPermission() && h0.isMiuiOptimization()) {
                return g0.checkOpNoThrow(context, MIUI_OP_GET_INSTALLED_APPS_FIELD_NAME, MIUI_OP_GET_INSTALLED_APPS_DEFAULT_VALUE);
            }
            return true;
        }
        return true;
    }

    public static boolean isMiuiSupportGetInstalledAppsPermission() {
        if (d.isAndroid4_4()) {
            try {
                Class.forName(AppOpsManager.class.getName()).getDeclaredField(MIUI_OP_GET_INSTALLED_APPS_FIELD_NAME);
                return true;
            } catch (ClassNotFoundException e2) {
                e2.printStackTrace();
                return true;
            } catch (NoSuchFieldException e3) {
                e3.printStackTrace();
                return true;
            }
        }
        return true;
    }

    @RequiresApi(api = 23)
    public static boolean isSupportGetInstalledAppsPermission(Context context) {
        try {
            PermissionInfo permissionInfo = context.getPackageManager().getPermissionInfo(n.GET_INSTALLED_APPS, 0);
            if (permissionInfo != null) {
                return d.isAndroid9() ? permissionInfo.getProtection() == 1 : (permissionInfo.protectionLevel & 15) == 1;
            }
        } catch (PackageManager.NameNotFoundException e2) {
            e2.printStackTrace();
        }
        try {
            return Settings.Secure.getInt(context.getContentResolver(), "oem_installed_apps_runtime_permission_enable") == 1;
        } catch (Settings.SettingNotFoundException e3) {
            e3.printStackTrace();
            return false;
        }
    }
}
