package e.f.a;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.AppOpsManager;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.content.res.AssetManager;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.core.app.NotificationManagerCompat;
import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public final class g0 {
    public static final Handler HANDLER = new Handler(Looper.getMainLooper());

    public static boolean areActivityIntent(@NonNull Context context, @Nullable Intent intent) {
        if (intent == null) {
            return false;
        }
        PackageManager packageManager = context.getPackageManager();
        if (d.isAndroid13()) {
            return !packageManager.queryIntentActivities(intent, PackageManager.ResolveInfoFlags.of(65536L)).isEmpty();
        }
        return !packageManager.queryIntentActivities(intent, 65536).isEmpty();
    }

    @NonNull
    public static <T> ArrayList<T> asArrayList(@Nullable T... tArr) {
        ArrayList<T> arrayList = new ArrayList<>(tArr != null ? tArr.length : 0);
        if (tArr != null && tArr.length != 0) {
            for (T t : tArr) {
                arrayList.add(t);
            }
        }
        return arrayList;
    }

    @NonNull
    @SafeVarargs
    public static <T> ArrayList<T> asArrayLists(@Nullable T[]... tArr) {
        ArrayList<T> arrayList = new ArrayList<>();
        if (tArr != null && tArr.length != 0) {
            for (T[] tArr2 : tArr) {
                arrayList.addAll(asArrayList(tArr2));
            }
        }
        return arrayList;
    }

    @RequiresApi(19)
    public static boolean checkOpNoThrow(Context context, String str, int i2) {
        AppOpsManager appOpsManager = (AppOpsManager) context.getSystemService("appops");
        ApplicationInfo applicationInfo = context.getApplicationInfo();
        String packageName = context.getApplicationContext().getPackageName();
        int i3 = applicationInfo.uid;
        try {
            Class<?> cls = Class.forName(AppOpsManager.class.getName());
            try {
                i2 = ((Integer) cls.getDeclaredField(str).get(Integer.class)).intValue();
            } catch (NoSuchFieldException e2) {
                e2.printStackTrace();
            }
            return ((Integer) cls.getMethod(NotificationManagerCompat.CHECK_OP_NO_THROW, Integer.TYPE, Integer.TYPE, String.class).invoke(appOpsManager, Integer.valueOf(i2), Integer.valueOf(i3), packageName)).intValue() == 0;
        } catch (ClassNotFoundException | IllegalAccessException | NoSuchMethodException | RuntimeException | InvocationTargetException unused) {
            return true;
        }
    }

    @RequiresApi(api = 23)
    public static boolean checkSelfPermission(@NonNull Context context, @NonNull String str) {
        return context.checkSelfPermission(str) == 0;
    }

    public static boolean containsPermission(@NonNull Collection<String> collection, @NonNull String str) {
        if (collection.isEmpty()) {
            return false;
        }
        for (String str2 : collection) {
            if (equalsPermission(str2, str)) {
                return true;
            }
        }
        return false;
    }

    public static boolean equalsPermission(@NonNull String str, @NonNull String str2) {
        int length = str.length();
        if (length != str2.length()) {
            return false;
        }
        for (int i2 = length - 1; i2 >= 0; i2--) {
            if (str.charAt(i2) != str2.charAt(i2)) {
                return false;
            }
        }
        return true;
    }

    /* JADX WARN: Removed duplicated region for block: B:6:0x0007  */
    @Nullable
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static Activity findActivity(@NonNull Context context) {
        while (!(context instanceof Activity)) {
            if (!(context instanceof ContextWrapper) || (context = ((ContextWrapper) context).getBaseContext()) == null) {
                return null;
            }
            while (!(context instanceof Activity)) {
            }
        }
        return (Activity) context;
    }

    @SuppressLint({"PrivateApi"})
    public static int findApkPathCookie(@NonNull Context context, @NonNull String str) {
        AssetManager assets = context.getAssets();
        try {
            if (d.getTargetSdkVersionCode(context) >= 28 && d.getAndroidVersionCode() >= 28 && d.getAndroidVersionCode() < 30) {
                Method declaredMethod = Class.class.getDeclaredMethod("getDeclaredMethod", String.class, Class[].class);
                declaredMethod.setAccessible(true);
                Method method = (Method) declaredMethod.invoke(AssetManager.class, "findCookieForPath", new Class[]{String.class});
                if (method != null) {
                    method.setAccessible(true);
                    Integer num = (Integer) method.invoke(context.getAssets(), str);
                    if (num != null) {
                        return num.intValue();
                    }
                }
            }
            Integer num2 = (Integer) assets.getClass().getDeclaredMethod("addAssetPath", String.class).invoke(assets, str);
            if (num2 != null) {
                return num2.intValue();
            }
        } catch (IllegalAccessException e2) {
            e2.printStackTrace();
        } catch (NoSuchMethodException e3) {
            e3.printStackTrace();
        } catch (InvocationTargetException e4) {
            e4.printStackTrace();
        }
        return 0;
    }

    @Nullable
    public static b getAndroidManifestInfo(Context context) {
        b parseAndroidManifest;
        int findApkPathCookie = findApkPathCookie(context, context.getApplicationInfo().sourceDir);
        b bVar = null;
        if (findApkPathCookie == 0) {
            return null;
        }
        try {
            parseAndroidManifest = c.parseAndroidManifest(context, findApkPathCookie);
        } catch (IOException e2) {
            e = e2;
        } catch (XmlPullParserException e3) {
            e = e3;
        }
        try {
            if (TextUtils.equals(context.getPackageName(), parseAndroidManifest.packageName)) {
                return parseAndroidManifest;
            }
            return null;
        } catch (IOException e4) {
            e = e4;
            bVar = parseAndroidManifest;
            e.printStackTrace();
            return bVar;
        } catch (XmlPullParserException e5) {
            e = e5;
            bVar = parseAndroidManifest;
            e.printStackTrace();
            return bVar;
        }
    }

    public static Uri getPackageNameUri(@NonNull Context context) {
        return Uri.parse("package:" + context.getPackageName());
    }

    public static Intent getSmartPermissionIntent(@NonNull Context context, @Nullable List<String> list) {
        if (list != null && !list.isEmpty()) {
            if (!o.containsSpecialPermission(list)) {
                if (list.size() == 1) {
                    return o.getPermissionIntent(context, list.get(0));
                }
                return f0.getApplicationDetailsIntent(context);
            }
            int size = list.size();
            if (size != 1) {
                if (size != 2) {
                    if (size == 3 && d.isAndroid11() && containsPermission(list, n.MANAGE_EXTERNAL_STORAGE) && containsPermission(list, "android.permission.READ_EXTERNAL_STORAGE") && containsPermission(list, "android.permission.WRITE_EXTERNAL_STORAGE")) {
                        return o.getPermissionIntent(context, n.MANAGE_EXTERNAL_STORAGE);
                    }
                } else if (!d.isAndroid13() && containsPermission(list, n.NOTIFICATION_SERVICE) && containsPermission(list, n.POST_NOTIFICATIONS)) {
                    return o.getPermissionIntent(context, n.NOTIFICATION_SERVICE);
                }
                return f0.getApplicationDetailsIntent(context);
            }
            return o.getPermissionIntent(context, list.get(0));
        }
        return f0.getApplicationDetailsIntent(context);
    }

    public static boolean isActivityReverse(@NonNull Activity activity) {
        int rotation;
        if (d.isAndroid11()) {
            rotation = activity.getDisplay().getRotation();
        } else {
            rotation = activity.getWindowManager().getDefaultDisplay().getRotation();
        }
        return rotation == 2 || rotation == 3;
    }

    public static boolean isDebugMode(@NonNull Context context) {
        return (context.getApplicationInfo().flags & 2) != 0;
    }

    public static boolean isScopedStorage(@NonNull Context context) {
        try {
            Bundle bundle = context.getPackageManager().getApplicationInfo(context.getPackageName(), 128).metaData;
            if (bundle == null || !bundle.containsKey("ScopedStorage")) {
                return false;
            }
            return Boolean.parseBoolean(String.valueOf(bundle.get("ScopedStorage")));
        } catch (PackageManager.NameNotFoundException e2) {
            e2.printStackTrace();
            return false;
        }
    }

    @SuppressLint({"SwitchIntDef"})
    public static void lockActivityOrientation(@NonNull Activity activity) {
        try {
            int i2 = activity.getResources().getConfiguration().orientation;
            if (i2 == 1) {
                activity.setRequestedOrientation(isActivityReverse(activity) ? 9 : 1);
            } else if (i2 == 2) {
                activity.setRequestedOrientation(isActivityReverse(activity) ? 8 : 0);
            }
        } catch (IllegalStateException e2) {
            e2.printStackTrace();
        }
    }

    public static void optimizePermissionResults(Activity activity, @NonNull String[] strArr, @NonNull int[] iArr) {
        for (int i2 = 0; i2 < strArr.length; i2++) {
            String str = strArr[i2];
            if (o.isSpecialPermission(str)) {
                iArr[i2] = o.getPermissionResult(activity, str);
            } else if (equalsPermission(str, n.GET_INSTALLED_APPS)) {
                iArr[i2] = o.getPermissionResult(activity, str);
            } else if (d.isAndroid14() && (equalsPermission(str, n.READ_MEDIA_IMAGES) || equalsPermission(str, n.READ_MEDIA_VIDEO))) {
                iArr[i2] = o.getPermissionResult(activity, str);
            } else if (d.isAndroid13() && d.getTargetSdkVersionCode(activity) >= 33 && equalsPermission(str, "android.permission.WRITE_EXTERNAL_STORAGE")) {
                iArr[i2] = o.getPermissionResult(activity, str);
            } else if (n.getDangerPermissionFromAndroidVersion(str) > d.getAndroidVersionCode()) {
                iArr[i2] = o.getPermissionResult(activity, str);
            }
        }
    }

    public static void postActivityResult(@NonNull List<String> list, @NonNull Runnable runnable) {
        long j2 = 300;
        long j3 = d.isAndroid11() ? 200L : 300L;
        if (!h0.isEmui() && !h0.isHarmonyOs()) {
            j2 = (h0.isMiui() && d.isAndroid11() && containsPermission(list, n.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS)) ? 1000L : j3;
        } else if (!d.isAndroid8()) {
            j2 = 500;
        }
        postDelayed(runnable, j2);
    }

    public static void postDelayed(@NonNull Runnable runnable, long j2) {
        HANDLER.postDelayed(runnable, j2);
    }

    @RequiresApi(api = 23)
    public static boolean shouldShowRequestPermissionRationale(@NonNull Activity activity, @NonNull String str) {
        if (d.getAndroidVersionCode() == 31) {
            try {
                return ((Boolean) PackageManager.class.getMethod("shouldShowRequestPermissionRationale", String.class).invoke(activity.getApplication().getPackageManager(), str)).booleanValue();
            } catch (IllegalAccessException | NoSuchMethodException | InvocationTargetException e2) {
                e2.printStackTrace();
            }
        }
        return activity.shouldShowRequestPermissionRationale(str);
    }

    @RequiresApi(19)
    public static boolean checkOpNoThrow(Context context, String str) {
        int checkOpNoThrow;
        AppOpsManager appOpsManager = (AppOpsManager) context.getSystemService("appops");
        if (d.isAndroid10()) {
            checkOpNoThrow = appOpsManager.unsafeCheckOpNoThrow(str, context.getApplicationInfo().uid, context.getPackageName());
        } else {
            checkOpNoThrow = appOpsManager.checkOpNoThrow(str, context.getApplicationInfo().uid, context.getPackageName());
        }
        return checkOpNoThrow == 0;
    }
}
