package e.f.a;

import android.app.Activity;
import android.content.Context;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import e.f.a.b;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public final class p {
    public static boolean checkActivityStatus(@Nullable Activity activity, boolean z) {
        if (activity == null) {
            if (z) {
                throw new IllegalArgumentException("The instance of the context must be an activity object");
            }
            return false;
        } else if (activity.isFinishing()) {
            if (z) {
                throw new IllegalStateException("The activity has been finishing, please manually determine the status of the activity");
            }
            return false;
        } else if (d.isAndroid4_2() && activity.isDestroyed()) {
            if (z) {
                throw new IllegalStateException("The activity has been destroyed, please manually determine the status of the activity");
            }
            return false;
        } else {
            return true;
        }
    }

    public static void checkBodySensorsPermission(@NonNull List<String> list) {
        if (g0.containsPermission(list, n.BODY_SENSORS_BACKGROUND)) {
            if (g0.containsPermission(list, n.BODY_SENSORS_BACKGROUND) && !g0.containsPermission(list, n.BODY_SENSORS)) {
                throw new IllegalArgumentException("Applying for background sensor permissions must contain android.permission.BODY_SENSORS");
            }
            for (String str : list) {
                if (!g0.equalsPermission(str, n.ACCESS_BACKGROUND_LOCATION)) {
                    if (g0.equalsPermission(str, n.ACCESS_MEDIA_LOCATION)) {
                        throw new IllegalArgumentException("Applying for permissions android.permission.BODY_SENSORS_BACKGROUND and android.permission.ACCESS_MEDIA_LOCATION at the same time is not supported");
                    }
                } else {
                    throw new IllegalArgumentException("Applying for permissions android.permission.BODY_SENSORS_BACKGROUND and android.permission.ACCESS_BACKGROUND_LOCATION at the same time is not supported");
                }
            }
        }
    }

    public static void checkLocationPermission(@NonNull List<String> list) {
        if (g0.containsPermission(list, n.ACCESS_BACKGROUND_LOCATION)) {
            if (g0.containsPermission(list, "android.permission.ACCESS_COARSE_LOCATION") && !g0.containsPermission(list, "android.permission.ACCESS_FINE_LOCATION")) {
                throw new IllegalArgumentException("Applying for background positioning permissions must include android.permission.ACCESS_FINE_LOCATION");
            }
            for (String str : list) {
                if (!g0.equalsPermission(str, "android.permission.ACCESS_FINE_LOCATION") && !g0.equalsPermission(str, "android.permission.ACCESS_COARSE_LOCATION") && !g0.equalsPermission(str, n.ACCESS_BACKGROUND_LOCATION)) {
                    throw new IllegalArgumentException("Because it includes background location permissions, do not apply for permissions unrelated to location");
                }
            }
        }
    }

    public static void checkManifestPermission(@NonNull List<b.c> list, String str) {
        checkManifestPermission(list, str, Integer.MAX_VALUE);
    }

    public static void checkManifestPermissions(@NonNull Context context, @NonNull List<String> list, @Nullable b bVar) {
        int i2;
        if (bVar == null) {
            return;
        }
        List<b.c> list2 = bVar.permissionInfoList;
        if (!list2.isEmpty()) {
            if (d.isAndroid7()) {
                i2 = context.getApplicationInfo().minSdkVersion;
            } else {
                b.e eVar = bVar.usesSdkInfo;
                i2 = eVar != null ? eVar.minSdkVersion : 14;
            }
            for (String str : list) {
                if (n.isMustRegisterInManifestFile(str)) {
                    checkManifestPermission(list2, str);
                    if (g0.equalsPermission(str, n.BODY_SENSORS_BACKGROUND)) {
                        checkManifestPermission(list2, n.BODY_SENSORS);
                    } else if (g0.equalsPermission(str, n.ACCESS_BACKGROUND_LOCATION)) {
                        if (d.getTargetSdkVersionCode(context) >= 31) {
                            checkManifestPermission(list2, "android.permission.ACCESS_FINE_LOCATION", 30);
                            checkManifestPermission(list2, "android.permission.ACCESS_COARSE_LOCATION");
                        } else {
                            checkManifestPermission(list2, "android.permission.ACCESS_FINE_LOCATION");
                        }
                    } else if (g0.equalsPermission(str, n.GET_INSTALLED_APPS)) {
                        checkManifestPermission(list2, "android.permission.QUERY_ALL_PACKAGES");
                    } else if (i2 >= n.getPermissionFromAndroidVersion(str)) {
                        return;
                    } else {
                        if (!g0.equalsPermission(str, n.READ_MEDIA_IMAGES) && !g0.equalsPermission(str, n.READ_MEDIA_VIDEO) && !g0.equalsPermission(str, n.READ_MEDIA_AUDIO)) {
                            if (g0.equalsPermission(str, n.NEARBY_WIFI_DEVICES)) {
                                checkManifestPermission(list2, "android.permission.ACCESS_FINE_LOCATION", 32);
                            } else if (g0.equalsPermission(str, n.BLUETOOTH_SCAN)) {
                                checkManifestPermission(list2, "android.permission.BLUETOOTH_ADMIN", 30);
                                checkManifestPermission(list2, "android.permission.ACCESS_FINE_LOCATION", 30);
                            } else if (g0.equalsPermission(str, n.BLUETOOTH_CONNECT)) {
                                checkManifestPermission(list2, "android.permission.BLUETOOTH", 30);
                            } else if (g0.equalsPermission(str, n.BLUETOOTH_ADVERTISE)) {
                                checkManifestPermission(list2, "android.permission.BLUETOOTH_ADMIN", 30);
                            } else if (g0.equalsPermission(str, n.MANAGE_EXTERNAL_STORAGE)) {
                                checkManifestPermission(list2, "android.permission.READ_EXTERNAL_STORAGE", 29);
                                checkManifestPermission(list2, "android.permission.WRITE_EXTERNAL_STORAGE", 29);
                            } else if (g0.equalsPermission(str, n.READ_PHONE_NUMBERS)) {
                                checkManifestPermission(list2, "android.permission.READ_PHONE_STATE", 25);
                            }
                        } else {
                            checkManifestPermission(list2, "android.permission.READ_EXTERNAL_STORAGE", 32);
                        }
                    }
                }
            }
            return;
        }
        throw new IllegalStateException("No permissions are registered in the AndroidManifest.xml file");
    }

    public static void checkMediaLocationPermission(@NonNull Context context, @NonNull List<String> list) {
        if (g0.containsPermission(list, n.ACCESS_MEDIA_LOCATION)) {
            for (String str : list) {
                if (!g0.equalsPermission(str, n.ACCESS_MEDIA_LOCATION) && !g0.equalsPermission(str, n.READ_MEDIA_IMAGES) && !g0.equalsPermission(str, "android.permission.READ_EXTERNAL_STORAGE") && !g0.equalsPermission(str, "android.permission.WRITE_EXTERNAL_STORAGE") && !g0.equalsPermission(str, n.MANAGE_EXTERNAL_STORAGE)) {
                    throw new IllegalArgumentException("Because it includes access media location permissions, do not apply for permissions unrelated to access media location");
                }
            }
            if (d.getTargetSdkVersionCode(context) >= 33) {
                if (!g0.containsPermission(list, n.READ_MEDIA_IMAGES) && !g0.containsPermission(list, n.MANAGE_EXTERNAL_STORAGE)) {
                    throw new IllegalArgumentException("You must add android.permission.READ_MEDIA_IMAGES or android.permission.MANAGE_EXTERNAL_STORAGE rights to apply for android.permission.ACCESS_MEDIA_LOCATION rights");
                }
            } else if (!g0.containsPermission(list, "android.permission.READ_EXTERNAL_STORAGE") && !g0.containsPermission(list, n.MANAGE_EXTERNAL_STORAGE)) {
                throw new IllegalArgumentException("You must add android.permission.READ_EXTERNAL_STORAGE or android.permission.MANAGE_EXTERNAL_STORAGE rights to apply for android.permission.ACCESS_MEDIA_LOCATION rights");
            }
        }
    }

    public static void checkNearbyDevicesPermission(@NonNull List<String> list, @Nullable b bVar) {
        if ((!g0.containsPermission(list, n.BLUETOOTH_SCAN) && !g0.containsPermission(list, n.NEARBY_WIFI_DEVICES)) || g0.containsPermission(list, "android.permission.ACCESS_FINE_LOCATION") || bVar == null) {
            return;
        }
        for (b.c cVar : bVar.permissionInfoList) {
            if (g0.equalsPermission(cVar.name, n.BLUETOOTH_SCAN) || g0.equalsPermission(cVar.name, n.NEARBY_WIFI_DEVICES)) {
                if (!cVar.neverForLocation()) {
                    String str = cVar.maxSdkVersion != Integer.MAX_VALUE ? "android:maxSdkVersion=\"" + cVar.maxSdkVersion + "\" " : "";
                    throw new IllegalArgumentException("If your app doesn't use " + cVar.name + " to get physical location, please change the <uses-permission android:name=\"" + cVar.name + "\" " + str + "/> node in the manifest file to <uses-permission android:name=\"" + cVar.name + "\" android:usesPermissionFlags=\"neverForLocation\" " + str + "/> node, if your app need use " + cVar.name + " to get physical location, also need to add android.permission.ACCESS_FINE_LOCATION permissions");
                }
            }
        }
    }

    public static void checkNotificationListenerPermission(@NonNull List<String> list, @Nullable b bVar) {
        if (g0.containsPermission(list, n.BIND_NOTIFICATION_LISTENER_SERVICE) && bVar != null) {
            List<b.d> list2 = bVar.serviceInfoList;
            for (int i2 = 0; i2 < list2.size(); i2++) {
                if (TextUtils.equals(list2.get(i2).permission, n.BIND_NOTIFICATION_LISTENER_SERVICE)) {
                    return;
                }
            }
            throw new IllegalArgumentException("No service registered permission attribute, please register <service android:permission=\"android.permission.BIND_NOTIFICATION_LISTENER_SERVICE\" > in AndroidManifest.xml");
        }
    }

    public static boolean checkPermissionArgument(@Nullable List<String> list, boolean z) {
        if (list == null || list.isEmpty()) {
            if (z) {
                throw new IllegalArgumentException("The requested permission cannot be empty");
            }
            return false;
        }
        if (d.getAndroidVersionCode() <= 33 && z) {
            ArrayList arrayList = new ArrayList();
            Field[] declaredFields = n.class.getDeclaredFields();
            if (declaredFields.length == 0) {
                return true;
            }
            for (Field field : declaredFields) {
                if (String.class.equals(field.getType())) {
                    try {
                        arrayList.add((String) field.get(null));
                    } catch (IllegalAccessException e2) {
                        e2.printStackTrace();
                    }
                }
            }
            for (String str : list) {
                if (!g0.containsPermission(arrayList, str)) {
                    throw new IllegalArgumentException("The " + str + " is not a dangerous permission or special permission, please do not request dynamically");
                }
            }
        }
        return true;
    }

    public static void checkPictureInPicturePermission(@NonNull Activity activity, @NonNull List<String> list, @Nullable b bVar) {
        if (g0.containsPermission(list, n.PICTURE_IN_PICTURE) && bVar != null) {
            List<b.a> list2 = bVar.activityInfoList;
            for (int i2 = 0; i2 < list2.size(); i2++) {
                if (list2.get(i2).supportsPictureInPicture) {
                    return;
                }
            }
            String replace = activity.getClass().getName().replace(activity.getPackageName(), "");
            throw new IllegalArgumentException("No activity registered supportsPictureInPicture attribute, please register \n<activity android:name=\"" + replace + "\" android:supportsPictureInPicture=\"true\" > in AndroidManifest.xml");
        }
    }

    public static void checkReadMediaVisualUserSelectedPermission(@NonNull List<String> list) {
        if (g0.containsPermission(list, n.READ_MEDIA_VISUAL_USER_SELECTED) && !g0.containsPermission(list, n.READ_MEDIA_IMAGES) && !g0.containsPermission(list, n.READ_MEDIA_VIDEO)) {
            throw new IllegalArgumentException("You cannot request the android.permission.READ_MEDIA_VISUAL_USER_SELECTED permission alone. must add either android.permission.READ_MEDIA_IMAGES or android.permission.READ_MEDIA_VIDEO permission, or maybe both");
        }
    }

    public static void checkStoragePermission(@NonNull Context context, @NonNull List<String> list, @Nullable b bVar) {
        b.C0249b c0249b;
        if (g0.containsPermission(list, n.READ_MEDIA_IMAGES) || g0.containsPermission(list, n.READ_MEDIA_VIDEO) || g0.containsPermission(list, n.READ_MEDIA_AUDIO) || g0.containsPermission(list, n.MANAGE_EXTERNAL_STORAGE) || g0.containsPermission(list, "android.permission.READ_EXTERNAL_STORAGE") || g0.containsPermission(list, "android.permission.WRITE_EXTERNAL_STORAGE")) {
            if (d.getTargetSdkVersionCode(context) >= 33 && g0.containsPermission(list, "android.permission.READ_EXTERNAL_STORAGE")) {
                throw new IllegalArgumentException("When targetSdkVersion >= 33 should use android.permission.READ_MEDIA_IMAGES, android.permission.READ_MEDIA_VIDEO, android.permission.READ_MEDIA_AUDIO instead of android.permission.READ_EXTERNAL_STORAGE");
            }
            if (g0.containsPermission(list, n.READ_MEDIA_IMAGES) || g0.containsPermission(list, n.READ_MEDIA_VIDEO) || g0.containsPermission(list, n.READ_MEDIA_AUDIO) || g0.containsPermission(list, n.ACCESS_MEDIA_LOCATION) || bVar == null || (c0249b = bVar.applicationInfo) == null) {
                return;
            }
            boolean isScopedStorage = g0.isScopedStorage(context);
            int targetSdkVersionCode = d.getTargetSdkVersionCode(context);
            boolean z = c0249b.requestLegacyExternalStorage;
            if (targetSdkVersionCode >= 29 && !z && (g0.containsPermission(list, n.MANAGE_EXTERNAL_STORAGE) || !isScopedStorage)) {
                throw new IllegalStateException("Please register the android:requestLegacyExternalStorage=\"true\" attribute in the AndroidManifest.xml file, otherwise it will cause incompatibility with the old version");
            }
            if (targetSdkVersionCode >= 30 && !g0.containsPermission(list, n.MANAGE_EXTERNAL_STORAGE) && !isScopedStorage) {
                throw new IllegalArgumentException("The storage permission application is abnormal. If you have adapted the scope storage, please register the <meta-data android:name=\"ScopedStorage\" android:value=\"true\" /> attribute in the AndroidManifest.xml file. If there is no adaptation scope storage, please use android.permission.MANAGE_EXTERNAL_STORAGE to apply for permission");
            }
        }
    }

    public static void checkTargetSdkVersion(@NonNull Context context, @NonNull List<String> list) {
        for (String str : list) {
            int permissionFromAndroidVersion = g0.equalsPermission(str, n.READ_MEDIA_VISUAL_USER_SELECTED) ? 33 : n.getPermissionFromAndroidVersion(str);
            if (d.getTargetSdkVersionCode(context) < permissionFromAndroidVersion) {
                throw new IllegalStateException("Request " + str + " permission, The targetSdkVersion SDK must be " + permissionFromAndroidVersion + " or more, if you do not want to upgrade targetSdkVersion, please apply with the old permission");
            }
        }
    }

    public static void optimizeDeprecatedPermission(@NonNull List<String> list) {
        if (!d.isAndroid13()) {
            if (g0.containsPermission(list, n.POST_NOTIFICATIONS) && !g0.containsPermission(list, n.NOTIFICATION_SERVICE)) {
                list.add(n.NOTIFICATION_SERVICE);
            }
            if (g0.containsPermission(list, n.NEARBY_WIFI_DEVICES) && !g0.containsPermission(list, "android.permission.ACCESS_FINE_LOCATION")) {
                list.add("android.permission.ACCESS_FINE_LOCATION");
            }
            if ((g0.containsPermission(list, n.READ_MEDIA_IMAGES) || g0.containsPermission(list, n.READ_MEDIA_VIDEO) || g0.containsPermission(list, n.READ_MEDIA_AUDIO)) && !g0.containsPermission(list, "android.permission.READ_EXTERNAL_STORAGE")) {
                list.add("android.permission.READ_EXTERNAL_STORAGE");
            }
        }
        if (!d.isAndroid12() && g0.containsPermission(list, n.BLUETOOTH_SCAN) && !g0.containsPermission(list, "android.permission.ACCESS_FINE_LOCATION")) {
            list.add("android.permission.ACCESS_FINE_LOCATION");
        }
        if (g0.containsPermission(list, n.MANAGE_EXTERNAL_STORAGE)) {
            if (!g0.containsPermission(list, "android.permission.READ_EXTERNAL_STORAGE") && !g0.containsPermission(list, "android.permission.WRITE_EXTERNAL_STORAGE")) {
                if (!d.isAndroid11()) {
                    list.add("android.permission.READ_EXTERNAL_STORAGE");
                    list.add("android.permission.WRITE_EXTERNAL_STORAGE");
                }
            } else {
                throw new IllegalArgumentException("If you have applied for MANAGE_EXTERNAL_STORAGE permissions, do not apply for the READ_EXTERNAL_STORAGE and WRITE_EXTERNAL_STORAGE permissions");
            }
        }
        if (!d.isAndroid10() && g0.containsPermission(list, n.ACTIVITY_RECOGNITION) && !g0.containsPermission(list, n.BODY_SENSORS)) {
            list.add(n.BODY_SENSORS);
        }
        if (d.isAndroid8() || !g0.containsPermission(list, n.READ_PHONE_NUMBERS) || g0.containsPermission(list, "android.permission.READ_PHONE_STATE")) {
            return;
        }
        list.add("android.permission.READ_PHONE_STATE");
    }

    public static void checkManifestPermission(@NonNull List<b.c> list, String str, int i2) {
        b.c cVar;
        String str2;
        Iterator<b.c> it = list.iterator();
        while (true) {
            if (!it.hasNext()) {
                cVar = null;
                break;
            }
            cVar = it.next();
            if (TextUtils.equals(cVar.name, str)) {
                break;
            }
        }
        if (cVar != null) {
            int i3 = cVar.maxSdkVersion;
            if (i3 < i2) {
                StringBuilder sb = new StringBuilder();
                sb.append("The AndroidManifest.xml file <uses-permission android:name=\"");
                sb.append(str);
                sb.append("\" android:maxSdkVersion=\"");
                sb.append(i3);
                sb.append("\" /> does not meet the requirements, ");
                if (i2 != Integer.MAX_VALUE) {
                    str2 = "the minimum requirement for maxSdkVersion is " + i2;
                } else {
                    str2 = "please delete the android:maxSdkVersion=\"" + i3 + "\" attribute";
                }
                sb.append(str2);
                throw new IllegalArgumentException(sb.toString());
            }
            return;
        }
        throw new IllegalStateException("Please register permissions in the AndroidManifest.xml file <uses-permission android:name=\"" + str + "\" />");
    }
}
