package e.f.a;

import android.app.Activity;
import android.app.NotificationManager;
import android.content.Context;
import android.content.Intent;
import android.os.PowerManager;
import android.provider.Settings;
import androidx.annotation.NonNull;
import androidx.annotation.RequiresApi;
/* compiled from: AAA */
@RequiresApi(api = 23)
/* loaded from: classes2.dex */
public class v extends u {
    public static Intent getIgnoreBatteryPermissionIntent(@NonNull Context context) {
        Intent intent = new Intent("android.settings.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS");
        intent.setData(g0.getPackageNameUri(context));
        if (!g0.areActivityIntent(context, intent)) {
            intent = new Intent("android.settings.IGNORE_BATTERY_OPTIMIZATION_SETTINGS");
        }
        return !g0.areActivityIntent(context, intent) ? f0.getApplicationDetailsIntent(context) : intent;
    }

    public static Intent getNotDisturbPermissionIntent(@NonNull Context context) {
        Intent intent;
        if (d.isAndroid10()) {
            intent = new Intent("android.settings.NOTIFICATION_POLICY_ACCESS_DETAIL_SETTINGS");
            intent.setData(g0.getPackageNameUri(context));
            if (h0.isHarmonyOs() || h0.isMagicOs()) {
                intent = new Intent("android.settings.NOTIFICATION_POLICY_ACCESS_SETTINGS");
            }
        } else {
            intent = new Intent("android.settings.NOTIFICATION_POLICY_ACCESS_SETTINGS");
        }
        return !g0.areActivityIntent(context, intent) ? f0.getApplicationDetailsIntent(context) : intent;
    }

    public static Intent getSettingPermissionIntent(@NonNull Context context) {
        Intent intent = new Intent("android.settings.action.MANAGE_WRITE_SETTINGS");
        intent.setData(g0.getPackageNameUri(context));
        return !g0.areActivityIntent(context, intent) ? f0.getApplicationDetailsIntent(context) : intent;
    }

    public static boolean isGrantedIgnoreBatteryPermission(@NonNull Context context) {
        return ((PowerManager) context.getSystemService(PowerManager.class)).isIgnoringBatteryOptimizations(context.getPackageName());
    }

    public static boolean isGrantedNotDisturbPermission(@NonNull Context context) {
        return ((NotificationManager) context.getSystemService(NotificationManager.class)).isNotificationPolicyAccessGranted();
    }

    public static boolean isGrantedSettingPermission(@NonNull Context context) {
        if (d.isAndroid6()) {
            return Settings.System.canWrite(context);
        }
        return true;
    }

    @Override // e.f.a.u, e.f.a.t, e.f.a.s, e.f.a.r, e.f.a.q
    public Intent getPermissionIntent(@NonNull Context context, @NonNull String str) {
        if (g0.equalsPermission(str, n.WRITE_SETTINGS)) {
            return getSettingPermissionIntent(context);
        }
        if (g0.equalsPermission(str, n.ACCESS_NOTIFICATION_POLICY)) {
            return getNotDisturbPermissionIntent(context);
        }
        if (g0.equalsPermission(str, n.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS)) {
            return getIgnoreBatteryPermissionIntent(context);
        }
        return super.getPermissionIntent(context, str);
    }

    @Override // e.f.a.u, e.f.a.t, e.f.a.s, e.f.a.r, e.f.a.q
    public boolean isDoNotAskAgainPermission(@NonNull Activity activity, @NonNull String str) {
        if (n.getPermissionFromAndroidVersion(str) > d.getAndroidVersionCode()) {
            if (g0.equalsPermission(str, n.READ_MEDIA_VISUAL_USER_SELECTED)) {
                return false;
            }
            if (g0.equalsPermission(str, n.POST_NOTIFICATIONS)) {
                return super.isDoNotAskAgainPermission(activity, str);
            }
            if (g0.equalsPermission(str, n.NEARBY_WIFI_DEVICES)) {
                return (g0.checkSelfPermission(activity, "android.permission.ACCESS_FINE_LOCATION") || g0.shouldShowRequestPermissionRationale(activity, "android.permission.ACCESS_FINE_LOCATION")) ? false : true;
            } else if (g0.equalsPermission(str, n.BODY_SENSORS_BACKGROUND)) {
                return (g0.checkSelfPermission(activity, n.BODY_SENSORS) || g0.shouldShowRequestPermissionRationale(activity, n.BODY_SENSORS)) ? false : true;
            } else if (g0.equalsPermission(str, n.READ_MEDIA_IMAGES) || g0.equalsPermission(str, n.READ_MEDIA_VIDEO) || g0.equalsPermission(str, n.READ_MEDIA_AUDIO)) {
                return (g0.checkSelfPermission(activity, "android.permission.READ_EXTERNAL_STORAGE") || g0.shouldShowRequestPermissionRationale(activity, "android.permission.READ_EXTERNAL_STORAGE")) ? false : true;
            } else if (g0.equalsPermission(str, n.BLUETOOTH_SCAN)) {
                return (g0.checkSelfPermission(activity, "android.permission.ACCESS_FINE_LOCATION") || g0.shouldShowRequestPermissionRationale(activity, "android.permission.ACCESS_FINE_LOCATION")) ? false : true;
            } else if (g0.equalsPermission(str, n.BLUETOOTH_CONNECT) || g0.equalsPermission(str, n.BLUETOOTH_ADVERTISE)) {
                return false;
            } else {
                if (g0.equalsPermission(str, n.ACCESS_BACKGROUND_LOCATION)) {
                    return (g0.checkSelfPermission(activity, "android.permission.ACCESS_FINE_LOCATION") || g0.shouldShowRequestPermissionRationale(activity, "android.permission.ACCESS_FINE_LOCATION")) ? false : true;
                } else if (g0.equalsPermission(str, n.ACTIVITY_RECOGNITION)) {
                    return false;
                } else {
                    if (g0.equalsPermission(str, n.ACCESS_MEDIA_LOCATION)) {
                        return (g0.checkSelfPermission(activity, "android.permission.READ_EXTERNAL_STORAGE") || g0.shouldShowRequestPermissionRationale(activity, "android.permission.READ_EXTERNAL_STORAGE")) ? false : true;
                    } else if (g0.equalsPermission(str, n.ACCEPT_HANDOVER) || g0.equalsPermission(str, n.ANSWER_PHONE_CALLS)) {
                        return false;
                    } else {
                        if (g0.equalsPermission(str, n.READ_PHONE_NUMBERS)) {
                            return (g0.checkSelfPermission(activity, "android.permission.READ_PHONE_STATE") || g0.shouldShowRequestPermissionRationale(activity, "android.permission.READ_PHONE_STATE")) ? false : true;
                        }
                    }
                }
            }
        }
        if (g0.equalsPermission(str, n.GET_INSTALLED_APPS) || g0.equalsPermission(str, n.POST_NOTIFICATIONS)) {
            return super.isDoNotAskAgainPermission(activity, str);
        }
        return (n.isSpecialPermission(str) || g0.checkSelfPermission(activity, str) || g0.shouldShowRequestPermissionRationale(activity, str)) ? false : true;
    }

    @Override // e.f.a.u, e.f.a.t, e.f.a.s, e.f.a.r, e.f.a.q
    public boolean isGrantedPermission(@NonNull Context context, @NonNull String str) {
        if (n.getPermissionFromAndroidVersion(str) > d.getAndroidVersionCode()) {
            if (g0.equalsPermission(str, n.READ_MEDIA_VISUAL_USER_SELECTED)) {
                return true;
            }
            if (g0.equalsPermission(str, n.POST_NOTIFICATIONS)) {
                return super.isGrantedPermission(context, str);
            }
            if (g0.equalsPermission(str, n.NEARBY_WIFI_DEVICES)) {
                return g0.checkSelfPermission(context, "android.permission.ACCESS_FINE_LOCATION");
            }
            if (g0.equalsPermission(str, n.BODY_SENSORS_BACKGROUND)) {
                return g0.checkSelfPermission(context, n.BODY_SENSORS);
            }
            if (!g0.equalsPermission(str, n.READ_MEDIA_IMAGES) && !g0.equalsPermission(str, n.READ_MEDIA_VIDEO) && !g0.equalsPermission(str, n.READ_MEDIA_AUDIO)) {
                if (g0.equalsPermission(str, n.BLUETOOTH_SCAN)) {
                    return g0.checkSelfPermission(context, "android.permission.ACCESS_FINE_LOCATION");
                }
                if (g0.equalsPermission(str, n.BLUETOOTH_CONNECT) || g0.equalsPermission(str, n.BLUETOOTH_ADVERTISE)) {
                    return true;
                }
                if (g0.equalsPermission(str, n.MANAGE_EXTERNAL_STORAGE)) {
                    return g0.checkSelfPermission(context, "android.permission.READ_EXTERNAL_STORAGE") && g0.checkSelfPermission(context, "android.permission.WRITE_EXTERNAL_STORAGE");
                } else if (g0.equalsPermission(str, n.ACCESS_BACKGROUND_LOCATION)) {
                    return g0.checkSelfPermission(context, "android.permission.ACCESS_FINE_LOCATION");
                } else {
                    if (g0.equalsPermission(str, n.ACTIVITY_RECOGNITION)) {
                        return true;
                    }
                    if (g0.equalsPermission(str, n.ACCESS_MEDIA_LOCATION)) {
                        return g0.checkSelfPermission(context, "android.permission.READ_EXTERNAL_STORAGE");
                    }
                    if (g0.equalsPermission(str, n.ACCEPT_HANDOVER) || g0.equalsPermission(str, n.ANSWER_PHONE_CALLS)) {
                        return true;
                    }
                    if (g0.equalsPermission(str, n.READ_PHONE_NUMBERS)) {
                        return g0.checkSelfPermission(context, "android.permission.READ_PHONE_STATE");
                    }
                }
            } else {
                return g0.checkSelfPermission(context, "android.permission.READ_EXTERNAL_STORAGE");
            }
        }
        if (!g0.equalsPermission(str, n.GET_INSTALLED_APPS) && !g0.equalsPermission(str, n.POST_NOTIFICATIONS)) {
            if (n.isSpecialPermission(str)) {
                if (g0.equalsPermission(str, n.WRITE_SETTINGS)) {
                    return isGrantedSettingPermission(context);
                }
                if (g0.equalsPermission(str, n.ACCESS_NOTIFICATION_POLICY)) {
                    return isGrantedNotDisturbPermission(context);
                }
                if (g0.equalsPermission(str, n.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS)) {
                    return isGrantedIgnoreBatteryPermission(context);
                }
                return super.isGrantedPermission(context, str);
            }
            return g0.checkSelfPermission(context, str);
        }
        return super.isGrantedPermission(context, str);
    }
}
