package e.f.a;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import androidx.annotation.NonNull;
import androidx.annotation.RequiresApi;
/* compiled from: AAA */
@RequiresApi(api = 26)
/* loaded from: classes2.dex */
public class w extends v {
    public static Intent getInstallPermissionIntent(@NonNull Context context) {
        Intent intent = new Intent("android.settings.MANAGE_UNKNOWN_APP_SOURCES");
        intent.setData(g0.getPackageNameUri(context));
        return !g0.areActivityIntent(context, intent) ? f0.getApplicationDetailsIntent(context) : intent;
    }

    public static Intent getPictureInPicturePermissionIntent(@NonNull Context context) {
        Intent intent = new Intent("android.settings.PICTURE_IN_PICTURE_SETTINGS");
        intent.setData(g0.getPackageNameUri(context));
        return !g0.areActivityIntent(context, intent) ? f0.getApplicationDetailsIntent(context) : intent;
    }

    public static boolean isGrantedInstallPermission(@NonNull Context context) {
        return context.getPackageManager().canRequestPackageInstalls();
    }

    public static boolean isGrantedPictureInPicturePermission(@NonNull Context context) {
        return g0.checkOpNoThrow(context, "android:picture_in_picture");
    }

    @Override // e.f.a.v, e.f.a.u, e.f.a.t, e.f.a.s, e.f.a.r, e.f.a.q
    public Intent getPermissionIntent(@NonNull Context context, @NonNull String str) {
        if (g0.equalsPermission(str, n.REQUEST_INSTALL_PACKAGES)) {
            return getInstallPermissionIntent(context);
        }
        if (g0.equalsPermission(str, n.PICTURE_IN_PICTURE)) {
            return getPictureInPicturePermissionIntent(context);
        }
        return super.getPermissionIntent(context, str);
    }

    @Override // e.f.a.v, e.f.a.u, e.f.a.t, e.f.a.s, e.f.a.r, e.f.a.q
    public boolean isDoNotAskAgainPermission(@NonNull Activity activity, @NonNull String str) {
        if (g0.equalsPermission(str, n.REQUEST_INSTALL_PACKAGES) || g0.equalsPermission(str, n.PICTURE_IN_PICTURE)) {
            return false;
        }
        if (g0.equalsPermission(str, n.READ_PHONE_NUMBERS) || g0.equalsPermission(str, n.ANSWER_PHONE_CALLS)) {
            return (g0.checkSelfPermission(activity, str) || g0.shouldShowRequestPermissionRationale(activity, str)) ? false : true;
        }
        return super.isDoNotAskAgainPermission(activity, str);
    }

    @Override // e.f.a.v, e.f.a.u, e.f.a.t, e.f.a.s, e.f.a.r, e.f.a.q
    public boolean isGrantedPermission(@NonNull Context context, @NonNull String str) {
        if (g0.equalsPermission(str, n.REQUEST_INSTALL_PACKAGES)) {
            return isGrantedInstallPermission(context);
        }
        if (g0.equalsPermission(str, n.PICTURE_IN_PICTURE)) {
            return isGrantedPictureInPicturePermission(context);
        }
        if (!g0.equalsPermission(str, n.READ_PHONE_NUMBERS) && !g0.equalsPermission(str, n.ANSWER_PHONE_CALLS)) {
            return super.isGrantedPermission(context, str);
        }
        return g0.checkSelfPermission(context, str);
    }
}
