package e.g.a.f.i;

import android.content.Context;
import android.os.Environment;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.util.Arrays;
import java.util.UUID;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public final class f0 {
    @NotNull
    public static final String CACHE_IMAGE_DIR = "tencent/tbs/bamen/devices";
    @NotNull
    public static final String DEVICES_FILE_NAME = ".DEVICES";
    @NotNull
    public static final f0 INSTANCE = new f0();

    private final File getDevicesDir(Context context) {
        if (j.p1.c.f0.areEqual(Environment.getExternalStorageState(), "mounted")) {
            File file = new File(Environment.getExternalStorageDirectory(), CACHE_IMAGE_DIR);
            if (!file.exists()) {
                file.mkdirs();
            }
            return new File(file, DEVICES_FILE_NAME);
        }
        File file2 = new File(context.getFilesDir(), CACHE_IMAGE_DIR);
        if (!file2.exists()) {
            file2.mkdirs();
        }
        return new File(file2, DEVICES_FILE_NAME);
    }

    @NotNull
    public final String getDeviceId(@NotNull Context context) {
        j.p1.c.f0.checkNotNullParameter(context, "context");
        StringBuffer stringBuffer = new StringBuffer();
        try {
            stringBuffer.append(getIMIEStatus(context));
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        if (!TextUtils.isEmpty(stringBuffer.toString()) && stringBuffer.length() > 0) {
            String stringBuffer2 = stringBuffer.toString();
            j.p1.c.f0.checkNotNullExpressionValue(stringBuffer2, "{\n            s.toString()\n        }");
            return stringBuffer2;
        }
        String readDeviceID = readDeviceID(context);
        if (readDeviceID == null || j.p1.c.f0.areEqual("", readDeviceID)) {
            String uuid = UUID.randomUUID().toString();
            j.p1.c.f0.checkNotNullExpressionValue(uuid, "uuid.toString()");
            String replace$default = j.y1.u.replace$default(uuid, "-", "", false, 4, (Object) null);
            if (replace$default != null && replace$default.length() > 15) {
                replace$default = replace$default.substring(0, 15);
                j.p1.c.f0.checkNotNullExpressionValue(replace$default, "this as java.lang.String…ing(startIndex, endIndex)");
            }
            saveDeviceID(replace$default, context);
            return replace$default;
        }
        return readDeviceID;
    }

    @NotNull
    public final String getIMIEStatus(@NotNull Context context) {
        j.p1.c.f0.checkNotNullParameter(context, "context");
        if (e.f.a.l0.isGranted(context, (String[]) Arrays.copyOf(new String[]{"android.permission.READ_PHONE_STATE"}, 1))) {
            Object systemService = context.getSystemService("phone");
            j.p1.c.f0.checkNotNull(systemService, "null cannot be cast to non-null type android.telephony.TelephonyManager");
            String deviceId = ((TelephonyManager) systemService).getDeviceId();
            j.p1.c.f0.checkNotNullExpressionValue(deviceId, "tm.deviceId");
            return deviceId;
        }
        return "";
    }

    @Nullable
    public final String readDeviceID(@NotNull Context context) {
        j.p1.c.f0.checkNotNullParameter(context, "context");
        File devicesDir = getDevicesDir(context);
        StringBuffer stringBuffer = new StringBuffer();
        try {
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(new FileInputStream(devicesDir), "UTF-8"));
            while (true) {
                int read = bufferedReader.read();
                if (read > -1) {
                    stringBuffer.append((char) read);
                } else {
                    bufferedReader.close();
                    return stringBuffer.toString();
                }
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public final void saveDeviceID(@Nullable String str, @NotNull Context context) {
        j.p1.c.f0.checkNotNullParameter(context, "context");
        try {
            OutputStreamWriter outputStreamWriter = new OutputStreamWriter(new FileOutputStream(getDevicesDir(context)), "UTF-8");
            outputStreamWriter.write(str);
            outputStreamWriter.close();
        } catch (IOException e2) {
            e2.printStackTrace();
        }
    }
}
