package e.g.a.f.i;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.Context;
import android.content.pm.PackageManager;
import android.content.pm.Signature;
import android.content.pm.SigningInfo;
import android.os.Build;
import android.text.TextUtils;
import com.joke.chongya.basecommons.R;
import com.ss.android.socialbase.downloader.utils.DownloadExpSwitchCode;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Locale;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class v {
    public static v instance;
    public String[] keyArrays;

    private String bytesToHex(byte[] bArr) {
        StringBuilder sb = new StringBuilder();
        for (byte b : bArr) {
            String hexString = Integer.toHexString(b & j.l0.MAX_VALUE);
            if (hexString.length() == 1) {
                sb.append("0");
            }
            sb.append(hexString);
        }
        return sb.toString().toUpperCase(Locale.CHINA);
    }

    private String getAndroidSign(Context context) {
        Signature[] signatureArr;
        String packageName = context.getPackageName();
        PackageManager packageManager = context.getPackageManager();
        try {
            if (Build.VERSION.SDK_INT >= 28) {
                SigningInfo signingInfo = packageManager.getPackageInfo(packageName, DownloadExpSwitchCode.BUGFIX_SIGBUS_24_25).signingInfo;
                if (signingInfo.hasMultipleSigners()) {
                    signatureArr = signingInfo.getApkContentsSigners();
                } else {
                    signatureArr = signingInfo.getSigningCertificateHistory();
                }
            } else {
                signatureArr = packageManager.getPackageInfo(packageName, 64).signatures;
            }
            MessageDigest messageDigest = MessageDigest.getInstance("SHA1");
            StringBuilder sb = new StringBuilder();
            for (Signature signature : signatureArr) {
                for (byte b : messageDigest.digest(signature.toByteArray())) {
                    String hexString = Integer.toHexString(b & j.l0.MAX_VALUE);
                    if (hexString.length() == 1) {
                        hexString = '0' + hexString;
                    }
                    sb.append(hexString.toUpperCase());
                }
            }
            return sb.toString();
        } catch (PackageManager.NameNotFoundException | NoSuchAlgorithmException e2) {
            e2.printStackTrace();
            return "";
        }
    }

    public static v getInstance() {
        if (instance == null) {
            synchronized (v.class) {
                if (instance == null) {
                    instance = new v();
                }
            }
        }
        return instance;
    }

    private byte[] parseHexStr2Byte(String str) {
        if (str == null || str.length() < 1) {
            return null;
        }
        byte[] bArr = new byte[str.length() / 2];
        for (int i2 = 0; i2 < str.length() / 2; i2++) {
            int i3 = i2 * 2;
            int i4 = i3 + 1;
            bArr[i2] = (byte) ((Integer.parseInt(str.substring(i3, i4), 16) * 16) + Integer.parseInt(str.substring(i4, i3 + 2), 16));
        }
        return bArr;
    }

    @SuppressLint({"ResourceType"})
    private void verify(Activity activity) {
        String[] strArr;
        String androidSign = getAndroidSign(activity);
        if (TextUtils.isEmpty(androidSign)) {
            return;
        }
        try {
            if (this.keyArrays == null) {
                InputStream openRawResource = activity.getResources().openRawResource(R.drawable.bm_one_px);
                byte[] bArr = new byte[841];
                openRawResource.read(bArr);
                String bytesToHex = bytesToHex(bArr);
                this.keyArrays = new String(parseHexStr2Byte(bytesToHex.substring(bytesToHex.indexOf("FFD9") + 4))).split("\n");
                openRawResource.close();
            }
            for (String str : this.keyArrays) {
                if (!TextUtils.isEmpty(str.trim()) && TextUtils.equals(str.substring(str.indexOf(":") + 1).trim(), androidSign.trim())) {
                    return;
                }
            }
            activity.finish();
        } catch (FileNotFoundException e2) {
            e2.printStackTrace();
            activity.finish();
        } catch (IOException e3) {
            e3.printStackTrace();
        }
    }

    public void init(Activity activity) {
        verify(activity);
    }
}
