package e.g.a.f.j.h;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.LinearGradient;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import android.util.SparseArray;
import com.joke.chongya.basecommons.view.loading.KeyframesDirectionallyScalingDrawable;
import com.joke.chongya.basecommons.view.loading.model.keyframedmodels.KeyFramedGradient;
import e.g.a.f.j.h.c;
import e.g.a.f.j.h.g.j;
import e.g.a.f.j.h.g.k.c;
import e.g.a.f.j.h.g.k.f;
import e.g.a.f.j.h.g.k.g;
import e.g.a.f.j.h.g.k.h;
import e.g.a.f.j.h.g.k.i;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class b extends Drawable implements c.InterfaceC0261c, KeyframesDirectionallyScalingDrawable {
    public static final float GRADIENT_PRECISION_PER_SECOND = 30.0f;
    public final SparseArray<Matrix> mAnimationGroupMatrices;
    public final Map<String, Bitmap> mBitmaps;
    public boolean mClipToAECanvas;
    public final List<a> mFeatureStateList;
    public final Matrix mInverseScaleMatrix;
    public final j mKFImage;
    public final c mKeyframesDrawableAnimationCallback;
    public WeakReference<InterfaceC0260b> mOnAnimationEnd;
    public final Matrix mRecyclableTransformMatrix;
    public float mScale;
    public float mScaleFromCenter;
    public float mScaleFromEnd;
    public final Matrix mScaleMatrix;
    public int mSetHeight;
    public int mSetWidth;
    public final Paint mDrawingPaint = new Paint(1);
    public boolean mHasInitialized = false;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public class a {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public Shader[] mCachedShaders;
        public Shader mCurrentShader;
        public final e.g.a.f.j.h.g.e mFeature;
        public final Matrix mFeatureMaskMatrix;
        public final e.g.a.f.j.h.a mFeatureMaskPath;
        public final Matrix mFeatureMatrix;
        public final c.a mFillColor;
        public boolean mIsVisible;
        public final float[] mMatrixValueRecyclableArray = new float[9];
        public final f.a mOpacity;
        public final e.g.a.f.j.h.a mPath;
        public final h.a mStrokeColor;
        public final i.a mStrokeWidth;

        public a(e.g.a.f.j.h.g.e eVar) {
            this.mFeature = eVar;
            if (hasCustomDrawable()) {
                this.mPath = null;
                this.mStrokeWidth = null;
                this.mStrokeColor = null;
                this.mFillColor = null;
                this.mFeatureMatrix = new Matrix();
            } else {
                this.mPath = new e.g.a.f.j.h.a();
                this.mStrokeWidth = new i.a();
                this.mStrokeColor = new h.a();
                this.mFillColor = new c.a();
                this.mFeatureMatrix = b.this.mRecyclableTransformMatrix;
            }
            this.mOpacity = new f.a();
            if (this.mFeature.getFeatureMask() != null) {
                this.mFeatureMaskPath = new e.g.a.f.j.h.a();
                this.mFeatureMaskMatrix = new Matrix();
                return;
            }
            this.mFeatureMaskPath = null;
            this.mFeatureMaskMatrix = null;
        }

        private float extractScaleFromMatrix(Matrix matrix) {
            matrix.getValues(this.mMatrixValueRecyclableArray);
            return (Math.abs(this.mMatrixValueRecyclableArray[0]) + Math.abs(this.mMatrixValueRecyclableArray[4])) / 2.0f;
        }

        private boolean hasCustomDrawable() {
            return getBackedImageBitmap() != null;
        }

        private void prepareShadersForFeature(e.g.a.f.j.h.g.e eVar) {
            if (this.mCachedShaders != null) {
                return;
            }
            int frameRate = b.this.mKFImage.getFrameRate();
            float frameCount = b.this.mKFImage.getFrameCount();
            int round = Math.round((30.0f * frameCount) / frameRate);
            this.mCachedShaders = new LinearGradient[round + 1];
            KeyFramedGradient.a aVar = new KeyFramedGradient.a();
            e.g.a.f.j.h.g.h gradient = eVar.getEffect().getGradient();
            for (int i2 = 0; i2 < round; i2++) {
                float f2 = (i2 / round) * frameCount;
                gradient.getStartGradient().apply(f2, aVar);
                gradient.getEndGradient().apply(f2, aVar);
                this.mCachedShaders[i2] = new LinearGradient(0.0f, 0.0f, 0.0f, b.this.mKFImage.getCanvasSize()[1], aVar.getStartColor(), aVar.getEndColor(), Shader.TileMode.CLAMP);
            }
        }

        public int getAlpha() {
            return Math.round(getOpacity() * 255.0f);
        }

        public final Bitmap getBackedImageBitmap() {
            if (b.this.mBitmaps == null) {
                return null;
            }
            return (Bitmap) b.this.mBitmaps.get(this.mFeature.getBackedImageName());
        }

        public e.g.a.f.j.h.a getCurrentMaskPath() {
            return this.mFeatureMaskPath;
        }

        public e.g.a.f.j.h.a getCurrentPathForDrawing() {
            return this.mPath;
        }

        public Shader getCurrentShader() {
            return this.mCurrentShader;
        }

        public int getFillColor() {
            c.a aVar = this.mFillColor;
            if (aVar != null && aVar.hasFillColor()) {
                return (int) this.mFillColor.getFillColor();
            }
            return this.mFeature.getFillColor();
        }

        public Shader getNearestShaderForFeature(float f2) {
            if (this.mCachedShaders == null) {
                return null;
            }
            float frameCount = f2 / b.this.mKFImage.getFrameCount();
            Shader[] shaderArr = this.mCachedShaders;
            return shaderArr[(int) (frameCount * (shaderArr.length - 1))];
        }

        public float getOpacity() {
            return this.mOpacity.getOpacity() / 100.0f;
        }

        public int getStrokeColor() {
            h.a aVar = this.mStrokeColor;
            if (aVar != null && aVar.hasStrokeColor()) {
                return (int) this.mStrokeColor.getStrokeColor();
            }
            return this.mFeature.getStrokeColor();
        }

        public Paint.Cap getStrokeLineCap() {
            return this.mFeature.getStrokeLineCap();
        }

        public float getStrokeWidth() {
            i.a aVar = this.mStrokeWidth;
            if (aVar != null) {
                return aVar.getStrokeWidth();
            }
            return 0.0f;
        }

        public Matrix getUniqueFeatureMatrix() {
            if (this.mFeatureMatrix == b.this.mRecyclableTransformMatrix) {
                return null;
            }
            return this.mFeatureMatrix;
        }

        public boolean isVisible() {
            return this.mIsVisible;
        }

        public void setupFeatureStateForProgress(float f2) {
            if (f2 >= this.mFeature.getFromFrame() && f2 <= this.mFeature.getToFrame()) {
                this.mIsVisible = true;
                this.mFeature.setAnimationMatrix(this.mFeatureMatrix, f2);
                Matrix matrix = (Matrix) b.this.mAnimationGroupMatrices.get(this.mFeature.getAnimationGroup());
                if (matrix != null && !matrix.isIdentity()) {
                    this.mFeatureMatrix.postConcat(matrix);
                }
                g path = this.mFeature.getPath();
                if (hasCustomDrawable() || path == null) {
                    return;
                }
                this.mPath.reset();
                path.apply(f2, this.mPath);
                this.mPath.transform(this.mFeatureMatrix);
                this.mFeature.setStrokeWidth(this.mStrokeWidth, f2);
                this.mFeature.setStrokeColor(this.mStrokeColor, f2);
                this.mStrokeWidth.adjustScale(extractScaleFromMatrix(this.mFeatureMatrix));
                this.mFeature.setOpacity(this.mOpacity, f2);
                if (this.mFeature.getEffect() != null) {
                    prepareShadersForFeature(this.mFeature);
                }
                this.mCurrentShader = getNearestShaderForFeature(f2);
                if (this.mFeature.getFeatureMask() != null) {
                    this.mFeature.getFeatureMask().setAnimationMatrix(this.mFeatureMaskMatrix, f2);
                    this.mFeatureMaskPath.reset();
                    this.mFeature.getFeatureMask().getPath().apply(f2, this.mFeatureMaskPath);
                    this.mFeatureMaskPath.transform(this.mFeatureMaskMatrix);
                    return;
                }
                return;
            }
            this.mIsVisible = false;
        }
    }

    /* compiled from: AAA */
    /* renamed from: e.g.a.f.j.h.b$b  reason: collision with other inner class name */
    /* loaded from: classes2.dex */
    public interface InterfaceC0260b {
        void onAnimationEnd();
    }

    public b(d dVar) {
        this.mKFImage = dVar.getImage();
        this.mBitmaps = dVar.getExperimentalFeatures().getBitmaps() == null ? null : Collections.unmodifiableMap(dVar.getExperimentalFeatures().getBitmaps());
        this.mRecyclableTransformMatrix = new Matrix();
        this.mScaleMatrix = new Matrix();
        this.mInverseScaleMatrix = new Matrix();
        this.mKeyframesDrawableAnimationCallback = c.create(this, this.mKFImage);
        this.mDrawingPaint.setStrokeCap(Paint.Cap.ROUND);
        ArrayList arrayList = new ArrayList();
        int size = this.mKFImage.getFeatures().size();
        for (int i2 = 0; i2 < size; i2++) {
            arrayList.add(new a(this.mKFImage.getFeatures().get(i2)));
        }
        this.mFeatureStateList = Collections.unmodifiableList(arrayList);
        this.mAnimationGroupMatrices = new SparseArray<>();
        List<e.g.a.f.j.h.g.c> animationGroups = this.mKFImage.getAnimationGroups();
        int size2 = animationGroups.size();
        for (int i3 = 0; i3 < size2; i3++) {
            this.mAnimationGroupMatrices.put(animationGroups.get(i3).getGroupId(), new Matrix());
        }
        setMaxFrameRate(dVar.getMaxFrameRate());
        this.mClipToAECanvas = dVar.getExperimentalFeatures().getClipToAECanvas();
    }

    private void applyScaleAndClipCanvas(Canvas canvas, e.g.a.f.j.h.a aVar, Region.Op op) {
        aVar.transform(this.mScaleMatrix);
        canvas.clipPath(aVar.getPath(), op);
        aVar.transform(this.mInverseScaleMatrix);
    }

    private void applyScaleAndDrawPath(Canvas canvas, e.g.a.f.j.h.a aVar, Paint paint) {
        aVar.transform(this.mScaleMatrix);
        canvas.drawPath(aVar.getPath(), paint);
        aVar.transform(this.mInverseScaleMatrix);
    }

    private void applyScaleToCanvasAndDrawPath(Canvas canvas, e.g.a.f.j.h.a aVar, Paint paint) {
        canvas.concat(this.mScaleMatrix);
        canvas.drawPath(aVar.getPath(), paint);
        canvas.concat(this.mInverseScaleMatrix);
    }

    private void calculateScaleMatrix(float f2, float f3, KeyframesDirectionallyScalingDrawable.ScaleDirection scaleDirection) {
        if (this.mScaleFromCenter == f2 && this.mScaleFromEnd == f3) {
            return;
        }
        Matrix matrix = this.mScaleMatrix;
        float f4 = this.mScale;
        matrix.setScale(f4, f4);
        if (f2 == 1.0f && f3 == 1.0f) {
            this.mScaleFromCenter = 1.0f;
            this.mScaleFromEnd = 1.0f;
            this.mScaleMatrix.invert(this.mInverseScaleMatrix);
            return;
        }
        float f5 = scaleDirection == KeyframesDirectionallyScalingDrawable.ScaleDirection.UP ? this.mSetHeight : 0.0f;
        this.mScaleMatrix.postScale(f2, f2, this.mSetWidth / 2, this.mSetHeight / 2);
        this.mScaleMatrix.postScale(f3, f3, this.mSetWidth / 2, f5);
        this.mScaleFromCenter = f2;
        this.mScaleFromEnd = f3;
        this.mScaleMatrix.invert(this.mInverseScaleMatrix);
    }

    @Override // android.graphics.drawable.Drawable
    public void draw(Canvas canvas) {
        Rect bounds = getBounds();
        canvas.translate(bounds.left, bounds.top);
        if (this.mClipToAECanvas) {
            canvas.clipRect(0.0f, 0.0f, this.mKFImage.getCanvasSize()[0] * this.mScale * this.mScaleFromEnd * this.mScaleFromCenter, this.mKFImage.getCanvasSize()[1] * this.mScale * this.mScaleFromEnd * this.mScaleFromCenter);
        }
        int size = this.mFeatureStateList.size();
        for (int i2 = 0; i2 < size; i2++) {
            a aVar = this.mFeatureStateList.get(i2);
            if (aVar.isVisible()) {
                Bitmap backedImageBitmap = aVar.getBackedImageBitmap();
                Matrix uniqueFeatureMatrix = aVar.getUniqueFeatureMatrix();
                if (backedImageBitmap != null && uniqueFeatureMatrix != null) {
                    canvas.save();
                    canvas.concat(this.mScaleMatrix);
                    canvas.drawBitmap(backedImageBitmap, uniqueFeatureMatrix, null);
                    canvas.restore();
                } else {
                    e.g.a.f.j.h.a currentPathForDrawing = aVar.getCurrentPathForDrawing();
                    if (currentPathForDrawing != null && !currentPathForDrawing.isEmpty()) {
                        if (aVar.getCurrentMaskPath() != null) {
                            canvas.save();
                            applyScaleAndClipCanvas(canvas, aVar.getCurrentMaskPath(), Region.Op.INTERSECT);
                        }
                        this.mDrawingPaint.setShader(null);
                        this.mDrawingPaint.setStrokeCap(aVar.getStrokeLineCap());
                        if (aVar.getFillColor() != 0) {
                            this.mDrawingPaint.setStyle(Paint.Style.FILL);
                            if (aVar.getCurrentShader() == null) {
                                this.mDrawingPaint.setColor(aVar.getFillColor());
                                this.mDrawingPaint.setAlpha(aVar.getAlpha());
                                applyScaleAndDrawPath(canvas, currentPathForDrawing, this.mDrawingPaint);
                            } else {
                                this.mDrawingPaint.setShader(aVar.getCurrentShader());
                                applyScaleToCanvasAndDrawPath(canvas, currentPathForDrawing, this.mDrawingPaint);
                            }
                        }
                        if (aVar.getStrokeColor() != 0 && aVar.getStrokeWidth() > 0.0f) {
                            this.mDrawingPaint.setColor(aVar.getStrokeColor());
                            this.mDrawingPaint.setAlpha(aVar.getAlpha());
                            this.mDrawingPaint.setStyle(Paint.Style.STROKE);
                            this.mDrawingPaint.setStrokeWidth(aVar.getStrokeWidth() * this.mScale * this.mScaleFromCenter * this.mScaleFromEnd);
                            applyScaleAndDrawPath(canvas, currentPathForDrawing, this.mDrawingPaint);
                        }
                        if (aVar.getCurrentMaskPath() != null) {
                            canvas.restore();
                        }
                    }
                }
            }
        }
        canvas.translate(-bounds.left, -bounds.top);
    }

    public j getKFImage() {
        return this.mKFImage;
    }

    @Override // android.graphics.drawable.Drawable
    public int getOpacity() {
        return -1;
    }

    @Override // e.g.a.f.j.h.c.InterfaceC0261c
    public void onProgressUpdate(float f2) {
        setFrameProgress(f2);
        invalidateSelf();
    }

    @Override // e.g.a.f.j.h.c.InterfaceC0261c
    public void onStop() {
        InterfaceC0260b interfaceC0260b;
        WeakReference<InterfaceC0260b> weakReference = this.mOnAnimationEnd;
        if (weakReference == null || (interfaceC0260b = weakReference.get()) == null) {
            return;
        }
        interfaceC0260b.onAnimationEnd();
        this.mOnAnimationEnd.clear();
    }

    public void pauseAnimation() {
        this.mKeyframesDrawableAnimationCallback.pause();
    }

    public void playOnce() {
        this.mKeyframesDrawableAnimationCallback.playOnce();
    }

    public void resumeAnimation() {
        this.mKeyframesDrawableAnimationCallback.resume();
    }

    public void seekToProgress(float f2) {
        stopAnimation();
        onProgressUpdate(f2 * this.mKFImage.getFrameCount());
    }

    @Override // android.graphics.drawable.Drawable
    public void setAlpha(int i2) {
    }

    public void setAnimationListener(InterfaceC0260b interfaceC0260b) {
        this.mOnAnimationEnd = new WeakReference<>(interfaceC0260b);
    }

    @Override // android.graphics.drawable.Drawable
    public void setBounds(int i2, int i3, int i4, int i5) {
        super.setBounds(i2, i3, i4, i5);
        int i6 = i4 - i2;
        this.mSetWidth = i6;
        this.mSetHeight = i5 - i3;
        this.mScale = Math.min(i6 / this.mKFImage.getCanvasSize()[0], this.mSetHeight / this.mKFImage.getCanvasSize()[1]);
        calculateScaleMatrix(1.0f, 1.0f, KeyframesDirectionallyScalingDrawable.ScaleDirection.UP);
        if (this.mHasInitialized) {
            return;
        }
        setFrameProgress(0.0f);
    }

    @Override // android.graphics.drawable.Drawable
    public void setColorFilter(ColorFilter colorFilter) {
    }

    @Override // com.joke.chongya.basecommons.view.loading.KeyframesDirectionallyScalingDrawable
    public void setDirectionalScale(float f2, float f3, KeyframesDirectionallyScalingDrawable.ScaleDirection scaleDirection) {
        calculateScaleMatrix(f2, f3, scaleDirection);
    }

    public void setFrameProgress(float f2) {
        this.mHasInitialized = true;
        this.mKFImage.setAnimationMatrices(this.mAnimationGroupMatrices, f2);
        int size = this.mFeatureStateList.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.mFeatureStateList.get(i2).setupFeatureStateForProgress(f2);
        }
    }

    public void setMaxFrameRate(int i2) {
        this.mKeyframesDrawableAnimationCallback.setMaxFrameRate(i2);
    }

    public void startAnimation() {
        this.mKeyframesDrawableAnimationCallback.start();
    }

    public void stopAnimation() {
        this.mKeyframesDrawableAnimationCallback.stop();
    }

    public void stopAnimationAtLoopEnd() {
        this.mKeyframesDrawableAnimationCallback.stopAtLoopEnd();
    }
}
