package e.g.a.f.j.h.g;

import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.util.SparseArray;
import java.util.List;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public class j {
    public static final String ANIMATION_GROUPS_JSON_FIELD = "animation_groups";
    public static final String BITMAPS_JSON_FIELD = "bitmaps";
    public static final String CANVAS_SIZE_JSON_FIELD = "canvas_size";
    public static final String FEATURES_JSON_FIELD = "features";
    public static final String FRAME_COUNT_JSON_FIELD = "animation_frame_count";
    public static final String FRAME_RATE_JSON_FIELD = "frame_rate";
    public static final String KEY_JSON_FIELD = "key";
    public final List<c> mAnimationGroups;
    public final Map<String, Bitmap> mBitmaps;
    public final float[] mCanvasSize;
    public final List<e> mFeatures;
    public final int mFrameCount;
    public final int mFrameRate;
    public final int mKey;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static class b {
        public List<c> animationGroups;
        public Map<String, Bitmap> bitmaps;
        public float[] canvasSize;
        public List<e> features;
        public int frameCount;
        public int frameRate;
        public int key;

        public j build() {
            return new j(this.frameRate, this.frameCount, this.features, this.animationGroups, this.canvasSize, this.key, this.bitmaps);
        }
    }

    public List<c> getAnimationGroups() {
        return this.mAnimationGroups;
    }

    public Map<String, Bitmap> getBitmaps() {
        return this.mBitmaps;
    }

    public float[] getCanvasSize() {
        return this.mCanvasSize;
    }

    public List<e> getFeatures() {
        return this.mFeatures;
    }

    public int getFrameCount() {
        return this.mFrameCount;
    }

    public int getFrameRate() {
        return this.mFrameRate;
    }

    public int getKey() {
        return this.mKey;
    }

    public void setAnimationMatrices(SparseArray<Matrix> sparseArray, float f2) {
        int size = this.mAnimationGroups.size();
        for (int i2 = 0; i2 < size; i2++) {
            c cVar = this.mAnimationGroups.get(i2);
            Matrix matrix = sparseArray.get(cVar.getGroupId());
            matrix.reset();
            if (cVar.getAnchorPoint() != null) {
                cVar.getAnchorPoint().apply(f2, matrix);
            }
            int size2 = cVar.getAnimations().size();
            for (int i3 = 0; i3 < size2; i3++) {
                cVar.getAnimations().get(i3).getAnimation().apply(f2, matrix);
            }
            if (cVar.getParentGroup() > 0) {
                matrix.postConcat(sparseArray.get(cVar.getParentGroup()));
            }
        }
    }

    public j(int i2, int i3, List<e> list, List<c> list2, float[] fArr, int i4, Map<String, Bitmap> map) {
        boolean z = true;
        this.mFrameRate = ((Integer) e.g.a.f.j.h.h.c.checkArg(Integer.valueOf(i2), i2 > 0, FRAME_RATE_JSON_FIELD)).intValue();
        this.mFrameCount = ((Integer) e.g.a.f.j.h.h.c.checkArg(Integer.valueOf(i3), i3 > 0, FRAME_COUNT_JSON_FIELD)).intValue();
        this.mFeatures = (List) e.g.a.f.j.h.h.c.checkArg(e.g.a.f.j.h.h.e.immutableOrEmpty(list), list.size() > 0, FEATURES_JSON_FIELD);
        List<c> sort = e.g.a.f.j.h.h.a.sort(list2);
        this.mAnimationGroups = (List) e.g.a.f.j.h.h.c.checkArg(e.g.a.f.j.h.h.e.immutableOrEmpty(sort), e.g.a.f.j.h.h.c.checkAnimationGroupIdUniqueness(sort), ANIMATION_GROUPS_JSON_FIELD);
        this.mCanvasSize = (float[]) e.g.a.f.j.h.h.c.checkArg(fArr, (fArr.length != 2 || fArr[0] <= 0.0f || fArr[1] <= 0.0f) ? false : false, CANVAS_SIZE_JSON_FIELD);
        this.mKey = i4;
        this.mBitmaps = map;
    }
}
