package e.g.a.f.l.h;

import android.content.Context;
import android.graphics.Typeface;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public abstract class b extends a {
    public static final int DEFAULT_TEXT_COLOR = -10066330;
    public static final int DEFAULT_TEXT_SIZE = 16;
    public static final int LABEL_COLOR = -9437072;
    public static final int NO_RESOURCE = 0;
    public static final int TEXT_VIEW_ITEM_RESOURCE = -1;
    public Context context;
    public int emptyItemResourceId;
    public LayoutInflater inflater;
    public int itemResourceId;
    public int itemTextResourceId;
    public int textColor;
    public int textSize;

    public b(Context context) {
        this(context, -1);
    }

    public void configureTextView(TextView textView) {
        textView.setTextColor(this.textColor);
        textView.setGravity(17);
        textView.setTextSize(this.textSize);
        textView.setLines(1);
        textView.setPadding(0, 6, 0, 6);
        textView.setTypeface(Typeface.SANS_SERIF, 0);
    }

    @Override // e.g.a.f.l.h.a, e.g.a.f.l.h.k
    public View getEmptyItem(View view, ViewGroup viewGroup) {
        if (view == null) {
            view = getView(this.emptyItemResourceId, viewGroup);
        }
        if (this.emptyItemResourceId == -1 && (view instanceof TextView)) {
            configureTextView((TextView) view);
        }
        return view;
    }

    public int getEmptyItemResource() {
        return this.emptyItemResourceId;
    }

    @Override // e.g.a.f.l.h.k
    public View getItem(int i2, View view, ViewGroup viewGroup) {
        if (i2 < 0 || i2 >= getItemsCount()) {
            return null;
        }
        if (view == null) {
            view = getView(this.itemResourceId, viewGroup);
        }
        TextView textView = getTextView(view, this.itemTextResourceId);
        if (textView != null) {
            CharSequence itemText = getItemText(i2);
            if (itemText == null) {
                itemText = "";
            }
            textView.setText(itemText);
            if (this.itemResourceId == -1) {
                configureTextView(textView);
            }
        }
        return view;
    }

    public int getItemResource() {
        return this.itemResourceId;
    }

    public abstract CharSequence getItemText(int i2);

    public int getItemTextResource() {
        return this.itemTextResourceId;
    }

    public int getTextColor() {
        return this.textColor;
    }

    public int getTextSize() {
        return this.textSize;
    }

    public TextView getTextView(View view, int i2) {
        if (i2 == 0) {
            try {
                if (view instanceof TextView) {
                    return (TextView) view;
                }
            } catch (ClassCastException e2) {
                Log.e("AbstractWheelAdapter", "You must supply a resource ID for a TextView");
                throw new IllegalStateException("AbstractWheelAdapter requires the resource ID to be a TextView", e2);
            }
        }
        if (i2 != 0) {
            return (TextView) view.findViewById(i2);
        }
        return null;
    }

    public View getView(int i2, ViewGroup viewGroup) {
        if (i2 != -1) {
            if (i2 != 0) {
                return this.inflater.inflate(i2, viewGroup, false);
            }
            return null;
        }
        return new TextView(this.context);
    }

    public void setEmptyItemResource(int i2) {
        this.emptyItemResourceId = i2;
    }

    public void setItemResource(int i2) {
        this.itemResourceId = i2;
    }

    public void setItemTextResource(int i2) {
        this.itemTextResourceId = i2;
    }

    public void setTextColor(int i2) {
        this.textColor = i2;
    }

    public void setTextSize(int i2) {
        this.textSize = i2;
    }

    public b(Context context, int i2) {
        this(context, i2, 0);
    }

    public b(Context context, int i2, int i3) {
        this.textColor = DEFAULT_TEXT_COLOR;
        this.textSize = 16;
        this.context = context;
        this.itemResourceId = i2;
        this.itemTextResourceId = i3;
        this.inflater = (LayoutInflater) context.getSystemService("layout_inflater");
    }
}
