package e.h.a;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.view.View;
import android.view.animation.Animation;
import com.lidroid.xutils.bitmap.callback.BitmapLoadFrom;
import java.io.File;
import java.lang.ref.WeakReference;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class a implements e.h.a.k.f {
    public boolean cancelAllTask;
    public Context context;
    public e.h.a.g.c defaultDisplayConfig;
    public e.h.a.g.d globalConfig;
    public boolean pauseTask;
    public final Object pauseTaskLock;

    /* compiled from: AAA */
    /* renamed from: e.h.a.a$a  reason: collision with other inner class name */
    /* loaded from: classes3.dex */
    public class C0280a<T extends View> extends e.h.a.k.b<Object, Object, Bitmap> {
        public static final int PROGRESS_LOADING = 1;
        public static final int PROGRESS_LOAD_STARTED = 0;
        public final e.h.a.g.f.a<T> callBack;
        public final WeakReference<T> containerReference;
        public final e.h.a.g.c displayConfig;
        public BitmapLoadFrom from = BitmapLoadFrom.DISK_CACHE;
        public final String uri;

        public C0280a(T t, String str, e.h.a.g.c cVar, e.h.a.g.f.a<T> aVar) {
            if (t != null && str != null && cVar != null && aVar != null) {
                this.containerReference = new WeakReference<>(t);
                this.callBack = aVar;
                this.uri = str;
                this.displayConfig = cVar;
                return;
            }
            throw new IllegalArgumentException("args may not be null");
        }

        public T getTargetContainer() {
            T t = this.containerReference.get();
            if (this == a.getBitmapTaskFromContainer(t, this.callBack)) {
                return t;
            }
            return null;
        }

        @Override // e.h.a.k.b
        public void onProgressUpdate(Object... objArr) {
            T targetContainer;
            if (objArr == null || objArr.length == 0 || (targetContainer = getTargetContainer()) == null) {
                return;
            }
            int intValue = ((Integer) objArr[0]).intValue();
            if (intValue != 0) {
                if (intValue == 1 && objArr.length == 3) {
                    this.callBack.onLoading(targetContainer, this.uri, this.displayConfig, ((Long) objArr[1]).longValue(), ((Long) objArr[2]).longValue());
                    return;
                }
                return;
            }
            this.callBack.onLoadStarted(targetContainer, this.uri, this.displayConfig);
        }

        public void updateProgress(long j2, long j3) {
            publishProgress(1, Long.valueOf(j2), Long.valueOf(j3));
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // e.h.a.k.b
        public Bitmap doInBackground(Object... objArr) {
            Bitmap bitmap;
            synchronized (a.this.pauseTaskLock) {
                while (true) {
                    bitmap = null;
                    if (!a.this.pauseTask || isCancelled()) {
                        break;
                    }
                    try {
                        a.this.pauseTaskLock.wait();
                    } catch (Throwable unused) {
                    }
                    if (a.this.cancelAllTask) {
                        return null;
                    }
                }
                if (!isCancelled() && getTargetContainer() != null) {
                    publishProgress(0);
                    bitmap = a.this.globalConfig.getBitmapCache().getBitmapFromDiskCache(this.uri, this.displayConfig);
                }
                if (bitmap != null || isCancelled() || getTargetContainer() == null) {
                    return bitmap;
                }
                Bitmap downloadBitmap = a.this.globalConfig.getBitmapCache().downloadBitmap(this.uri, this.displayConfig, this);
                this.from = BitmapLoadFrom.URI;
                return downloadBitmap;
            }
        }

        @Override // e.h.a.k.b
        public void onCancelled(Bitmap bitmap) {
            synchronized (a.this.pauseTaskLock) {
                a.this.pauseTaskLock.notifyAll();
            }
        }

        @Override // e.h.a.k.b
        public void onPostExecute(Bitmap bitmap) {
            T targetContainer = getTargetContainer();
            if (targetContainer != null) {
                if (bitmap != null) {
                    this.callBack.onLoadCompleted(targetContainer, this.uri, bitmap, this.displayConfig, this.from);
                } else {
                    this.callBack.onLoadFailed(targetContainer, this.uri, this.displayConfig.getLoadFailedDrawable());
                }
            }
        }
    }

    public a(Context context) {
        this(context, null);
    }

    public static <T extends View> boolean bitmapLoadTaskExist(T t, String str, e.h.a.g.f.a<T> aVar) {
        C0280a bitmapTaskFromContainer = getBitmapTaskFromContainer(t, aVar);
        if (bitmapTaskFromContainer != null) {
            String str2 = bitmapTaskFromContainer.uri;
            if (TextUtils.isEmpty(str2) || !str2.equals(str)) {
                bitmapTaskFromContainer.cancel(true);
                return false;
            }
            return true;
        }
        return false;
    }

    public static <T extends View> C0280a<T> getBitmapTaskFromContainer(T t, e.h.a.g.f.a<T> aVar) {
        if (t != null) {
            Drawable drawable = aVar.getDrawable(t);
            if (drawable instanceof e.h.a.g.g.a) {
                return ((e.h.a.g.g.a) drawable).getBitmapWorkerTask();
            }
            return null;
        }
        return null;
    }

    @Override // e.h.a.k.f
    public void cancel() {
        this.pauseTask = true;
        this.cancelAllTask = true;
        synchronized (this.pauseTaskLock) {
            this.pauseTaskLock.notifyAll();
        }
    }

    public void clearCache() {
        this.globalConfig.clearCache();
    }

    public void clearDiskCache() {
        this.globalConfig.clearDiskCache();
    }

    public void clearMemoryCache() {
        this.globalConfig.clearMemoryCache();
    }

    public void closeCache() {
        this.globalConfig.closeCache();
    }

    public a configBitmapCacheListener(e.h.a.g.a aVar) {
        this.globalConfig.setBitmapCacheListener(aVar);
        return this;
    }

    public a configDefaultAutoRotation(boolean z) {
        this.defaultDisplayConfig.setAutoRotation(z);
        return this;
    }

    public a configDefaultBitmapConfig(Bitmap.Config config) {
        this.defaultDisplayConfig.setBitmapConfig(config);
        return this;
    }

    public a configDefaultBitmapMaxSize(int i2, int i3) {
        this.defaultDisplayConfig.setBitmapMaxSize(new e.h.a.g.g.d(i2, i3));
        return this;
    }

    public a configDefaultCacheExpiry(long j2) {
        this.globalConfig.setDefaultCacheExpiry(j2);
        return this;
    }

    public a configDefaultConnectTimeout(int i2) {
        this.globalConfig.setDefaultConnectTimeout(i2);
        return this;
    }

    public a configDefaultDisplayConfig(e.h.a.g.c cVar) {
        this.defaultDisplayConfig = cVar;
        return this;
    }

    public a configDefaultImageLoadAnimation(Animation animation) {
        this.defaultDisplayConfig.setAnimation(animation);
        return this;
    }

    public a configDefaultLoadFailedImage(Drawable drawable) {
        this.defaultDisplayConfig.setLoadFailedDrawable(drawable);
        return this;
    }

    public a configDefaultLoadingImage(Drawable drawable) {
        this.defaultDisplayConfig.setLoadingDrawable(drawable);
        return this;
    }

    public a configDefaultReadTimeout(int i2) {
        this.globalConfig.setDefaultReadTimeout(i2);
        return this;
    }

    public a configDefaultShowOriginal(boolean z) {
        this.defaultDisplayConfig.setShowOriginal(z);
        return this;
    }

    public a configDiskCacheEnabled(boolean z) {
        this.globalConfig.setDiskCacheEnabled(z);
        return this;
    }

    public a configDiskCacheFileNameGenerator(e.h.a.h.a aVar) {
        this.globalConfig.setFileNameGenerator(aVar);
        return this;
    }

    public a configDownloader(e.h.a.g.h.b bVar) {
        this.globalConfig.setDownloader(bVar);
        return this;
    }

    public a configMemoryCacheEnabled(boolean z) {
        this.globalConfig.setMemoryCacheEnabled(z);
        return this;
    }

    public a configThreadPoolSize(int i2) {
        this.globalConfig.setThreadPoolSize(i2);
        return this;
    }

    public <T extends View> void display(T t, String str) {
        display(t, str, null, null);
    }

    public void flushCache() {
        this.globalConfig.flushCache();
    }

    public File getBitmapFileFromDiskCache(String str) {
        return this.globalConfig.getBitmapCache().getBitmapFileFromDiskCache(str);
    }

    public Bitmap getBitmapFromMemCache(String str, e.h.a.g.c cVar) {
        if (cVar == null) {
            cVar = this.defaultDisplayConfig;
        }
        return this.globalConfig.getBitmapCache().getBitmapFromMemCache(str, cVar);
    }

    @Override // e.h.a.k.f
    public boolean isCancelled() {
        return this.cancelAllTask;
    }

    @Override // e.h.a.k.f
    public boolean isPaused() {
        return this.pauseTask;
    }

    @Override // e.h.a.k.f
    public void pause() {
        this.pauseTask = true;
        flushCache();
    }

    @Override // e.h.a.k.f
    public void resume() {
        this.pauseTask = false;
        synchronized (this.pauseTaskLock) {
            this.pauseTaskLock.notifyAll();
        }
    }

    @Override // e.h.a.k.f
    public boolean supportCancel() {
        return true;
    }

    @Override // e.h.a.k.f
    public boolean supportPause() {
        return true;
    }

    @Override // e.h.a.k.f
    public boolean supportResume() {
        return true;
    }

    public a(Context context, String str) {
        this.pauseTask = false;
        this.cancelAllTask = false;
        this.pauseTaskLock = new Object();
        if (context != null) {
            Context applicationContext = context.getApplicationContext();
            this.context = applicationContext;
            this.globalConfig = e.h.a.g.d.getInstance(applicationContext, str);
            this.defaultDisplayConfig = new e.h.a.g.c();
            return;
        }
        throw new IllegalArgumentException("context may not be null");
    }

    public void clearCache(String str) {
        this.globalConfig.clearCache(str);
    }

    public void clearDiskCache(String str) {
        this.globalConfig.clearDiskCache(str);
    }

    public void clearMemoryCache(String str) {
        this.globalConfig.clearMemoryCache(str);
    }

    public a configDefaultBitmapMaxSize(e.h.a.g.g.d dVar) {
        this.defaultDisplayConfig.setBitmapMaxSize(dVar);
        return this;
    }

    public a configDefaultLoadFailedImage(int i2) {
        this.defaultDisplayConfig.setLoadFailedDrawable(this.context.getResources().getDrawable(i2));
        return this;
    }

    public a configDefaultLoadingImage(int i2) {
        this.defaultDisplayConfig.setLoadingDrawable(this.context.getResources().getDrawable(i2));
        return this;
    }

    public <T extends View> void display(T t, String str, e.h.a.g.c cVar) {
        display(t, str, cVar, null);
    }

    public a configDefaultLoadFailedImage(Bitmap bitmap) {
        this.defaultDisplayConfig.setLoadFailedDrawable(new BitmapDrawable(this.context.getResources(), bitmap));
        return this;
    }

    public a configDefaultLoadingImage(Bitmap bitmap) {
        this.defaultDisplayConfig.setLoadingDrawable(new BitmapDrawable(this.context.getResources(), bitmap));
        return this;
    }

    public <T extends View> void display(T t, String str, e.h.a.g.f.a<T> aVar) {
        display(t, str, null, aVar);
    }

    public <T extends View> void display(T t, String str, e.h.a.g.c cVar, e.h.a.g.f.a<T> aVar) {
        if (t == null) {
            return;
        }
        if (aVar == null) {
            aVar = new e.h.a.g.f.c<>();
        }
        if (cVar == null || cVar == this.defaultDisplayConfig) {
            cVar = this.defaultDisplayConfig.cloneNew();
        }
        e.h.a.g.g.d bitmapMaxSize = cVar.getBitmapMaxSize();
        cVar.setBitmapMaxSize(e.h.a.g.b.optimizeMaxSizeByView(t, bitmapMaxSize.getWidth(), bitmapMaxSize.getHeight()));
        t.clearAnimation();
        if (TextUtils.isEmpty(str)) {
            aVar.onLoadFailed(t, str, cVar.getLoadFailedDrawable());
            return;
        }
        aVar.onPreLoad(t, str, cVar);
        Bitmap bitmapFromMemCache = this.globalConfig.getBitmapCache().getBitmapFromMemCache(str, cVar);
        if (bitmapFromMemCache != null) {
            aVar.onLoadStarted(t, str, cVar);
            aVar.onLoadCompleted(t, str, bitmapFromMemCache, cVar, BitmapLoadFrom.MEMORY_CACHE);
        } else if (bitmapLoadTaskExist(t, str, aVar)) {
        } else {
            C0280a c0280a = new C0280a(t, str, cVar, aVar);
            e.h.a.k.c bitmapLoadExecutor = this.globalConfig.getBitmapLoadExecutor();
            File bitmapFileFromDiskCache = getBitmapFileFromDiskCache(str);
            if ((bitmapFileFromDiskCache != null && bitmapFileFromDiskCache.exists()) && bitmapLoadExecutor.isBusy()) {
                bitmapLoadExecutor = this.globalConfig.getDiskCacheExecutor();
            }
            aVar.setDrawable(t, new e.h.a.g.g.a(cVar.getLoadingDrawable(), c0280a));
            c0280a.setPriority(cVar.getPriority());
            c0280a.executeOnExecutor(bitmapLoadExecutor, new Object[0]);
        }
    }

    public a(Context context, String str, int i2) {
        this(context, str);
        this.globalConfig.setMemoryCacheSize(i2);
    }

    public a(Context context, String str, int i2, int i3) {
        this(context, str);
        this.globalConfig.setMemoryCacheSize(i2);
        this.globalConfig.setDiskCacheSize(i3);
    }

    public a(Context context, String str, float f2) {
        this(context, str);
        this.globalConfig.setMemCacheSizePercent(f2);
    }

    public a(Context context, String str, float f2, int i2) {
        this(context, str);
        this.globalConfig.setMemCacheSizePercent(f2);
        this.globalConfig.setDiskCacheSize(i2);
    }
}
