package e.h.a;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.text.TextUtils;
import com.lidroid.xutils.exception.DbException;
import e.h.a.i.b.a;
import e.h.a.i.b.g;
import e.h.a.i.c.h;
import e.h.a.i.c.i;
import java.io.File;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class c {
    public static HashMap<String, c> daoMap = new HashMap<>();
    public b daoConfig;
    public SQLiteDatabase database;
    public boolean debug = false;
    public boolean allowTransaction = false;
    public Lock writeLock = new ReentrantLock();
    public volatile boolean writeLocked = false;
    public final d findTempCache = new d();

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class b {
        public Context context;
        public String dbDir;
        public InterfaceC0281c dbUpgradeListener;
        public String dbName = "xUtils.db";
        public int dbVersion = 1;

        public b(Context context) {
            this.context = context.getApplicationContext();
        }

        public Context getContext() {
            return this.context;
        }

        public String getDbDir() {
            return this.dbDir;
        }

        public String getDbName() {
            return this.dbName;
        }

        public InterfaceC0281c getDbUpgradeListener() {
            return this.dbUpgradeListener;
        }

        public int getDbVersion() {
            return this.dbVersion;
        }

        public void setDbDir(String str) {
            this.dbDir = str;
        }

        public void setDbName(String str) {
            if (TextUtils.isEmpty(str)) {
                return;
            }
            this.dbName = str;
        }

        public void setDbUpgradeListener(InterfaceC0281c interfaceC0281c) {
            this.dbUpgradeListener = interfaceC0281c;
        }

        public void setDbVersion(int i2) {
            this.dbVersion = i2;
        }
    }

    /* compiled from: AAA */
    /* renamed from: e.h.a.c$c  reason: collision with other inner class name */
    /* loaded from: classes3.dex */
    public interface InterfaceC0281c {
        void onUpgrade(c cVar, int i2, int i3);
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class d {
        public final ConcurrentHashMap<String, Object> cache;
        public long seq;

        public Object get(String str) {
            return this.cache.get(str);
        }

        public void put(String str, Object obj) {
            if (str == null || obj == null) {
                return;
            }
            this.cache.put(str, obj);
        }

        public void setSeq(long j2) {
            if (this.seq != j2) {
                this.cache.clear();
                this.seq = j2;
            }
        }

        public d() {
            this.cache = new ConcurrentHashMap<>();
            this.seq = 0L;
        }
    }

    public c(b bVar) {
        if (bVar != null) {
            this.database = createDatabase(bVar);
            this.daoConfig = bVar;
            return;
        }
        throw new IllegalArgumentException("daoConfig may not be null");
    }

    private void beginTransaction() {
        if (this.allowTransaction) {
            this.database.beginTransaction();
            return;
        }
        this.writeLock.lock();
        this.writeLocked = true;
    }

    public static c create(Context context) {
        return getInstance(new b(context));
    }

    private SQLiteDatabase createDatabase(b bVar) {
        String dbDir = bVar.getDbDir();
        if (!TextUtils.isEmpty(dbDir)) {
            File file = new File(dbDir);
            if (file.exists() || file.mkdirs()) {
                return SQLiteDatabase.openOrCreateDatabase(new File(dbDir, bVar.getDbName()), (SQLiteDatabase.CursorFactory) null);
            }
            return null;
        }
        return bVar.getContext().openOrCreateDatabase(bVar.getDbName(), 0, null);
    }

    private void debugSql(String str) {
        if (this.debug) {
            e.h.a.l.d.d(str);
        }
    }

    private void endTransaction() {
        if (this.allowTransaction) {
            this.database.endTransaction();
        }
        if (this.writeLocked) {
            this.writeLock.unlock();
            this.writeLocked = false;
        }
    }

    public static synchronized c getInstance(b bVar) {
        c cVar;
        synchronized (c.class) {
            cVar = daoMap.get(bVar.getDbName());
            if (cVar == null) {
                cVar = new c(bVar);
                daoMap.put(bVar.getDbName(), cVar);
            } else {
                cVar.daoConfig = bVar;
            }
            SQLiteDatabase sQLiteDatabase = cVar.database;
            int version = sQLiteDatabase.getVersion();
            int dbVersion = bVar.getDbVersion();
            if (version != dbVersion) {
                if (version != 0) {
                    InterfaceC0281c dbUpgradeListener = bVar.getDbUpgradeListener();
                    if (dbUpgradeListener != null) {
                        dbUpgradeListener.onUpgrade(cVar, version, dbVersion);
                    } else {
                        try {
                            cVar.dropDb();
                        } catch (DbException e2) {
                            e.h.a.l.d.e(e2.getMessage(), e2);
                        }
                    }
                }
                sQLiteDatabase.setVersion(dbVersion);
            }
        }
        return cVar;
    }

    private long getLastAutoIncrementId(String str) throws DbException {
        Cursor execQuery = execQuery("SELECT seq FROM sqlite_sequence WHERE name='" + str + "'");
        if (execQuery != null) {
            try {
                r0 = execQuery.moveToNext() ? execQuery.getLong(0) : -1L;
            } finally {
            }
        }
        return r0;
    }

    private boolean saveBindingIdWithoutTransaction(Object obj) throws DbException {
        h hVar = h.get(this, obj.getClass());
        e.h.a.i.c.f fVar = hVar.id;
        if (fVar.isAutoIncrement()) {
            execNonQuery(g.buildInsertSqlInfo(this, obj));
            long lastAutoIncrementId = getLastAutoIncrementId(hVar.tableName);
            if (lastAutoIncrementId == -1) {
                return false;
            }
            fVar.setAutoIncrementId(obj, lastAutoIncrementId);
            return true;
        }
        execNonQuery(g.buildInsertSqlInfo(this, obj));
        return true;
    }

    private void saveOrUpdateWithoutTransaction(Object obj) throws DbException {
        e.h.a.i.c.f fVar = h.get(this, obj.getClass()).id;
        if (fVar.isAutoIncrement()) {
            if (fVar.getColumnValue(obj) != null) {
                execNonQuery(g.buildUpdateSqlInfo(this, obj, new String[0]));
                return;
            } else {
                saveBindingIdWithoutTransaction(obj);
                return;
            }
        }
        execNonQuery(g.buildReplaceSqlInfo(this, obj));
    }

    private void setTransactionSuccessful() {
        if (this.allowTransaction) {
            this.database.setTransactionSuccessful();
        }
    }

    public void close() {
        String dbName = this.daoConfig.getDbName();
        if (daoMap.containsKey(dbName)) {
            daoMap.remove(dbName);
            this.database.close();
        }
    }

    public c configAllowTransaction(boolean z) {
        this.allowTransaction = z;
        return this;
    }

    public c configDebug(boolean z) {
        this.debug = z;
        return this;
    }

    public long count(e.h.a.i.b.e eVar) throws DbException {
        Class<?> entityType = eVar.getEntityType();
        if (tableIsExist(entityType)) {
            h hVar = h.get(this, entityType);
            return findDbModelFirst(eVar.select("count(" + hVar.id.getColumnName() + ") as count")).getLong("count");
        }
        return 0L;
    }

    public void createTableIfNotExist(Class<?> cls) throws DbException {
        if (tableIsExist(cls)) {
            return;
        }
        execNonQuery(g.buildCreateTableSqlInfo(this, cls));
        String execAfterTableCreated = i.getExecAfterTableCreated(cls);
        if (TextUtils.isEmpty(execAfterTableCreated)) {
            return;
        }
        execNonQuery(execAfterTableCreated);
    }

    public void delete(Object obj) throws DbException {
        if (tableIsExist(obj.getClass())) {
            try {
                beginTransaction();
                execNonQuery(g.buildDeleteSqlInfo(this, obj));
                setTransactionSuccessful();
            } finally {
                endTransaction();
            }
        }
    }

    public void deleteAll(List<?> list) throws DbException {
        if (list == null || list.size() == 0 || !tableIsExist(list.get(0).getClass())) {
            return;
        }
        try {
            beginTransaction();
            Iterator<?> it = list.iterator();
            while (it.hasNext()) {
                execNonQuery(g.buildDeleteSqlInfo(this, it.next()));
            }
            setTransactionSuccessful();
        } finally {
            endTransaction();
        }
    }

    public void deleteById(Class<?> cls, Object obj) throws DbException {
        if (tableIsExist(cls)) {
            try {
                beginTransaction();
                execNonQuery(g.buildDeleteSqlInfo(this, cls, obj));
                setTransactionSuccessful();
            } finally {
                endTransaction();
            }
        }
    }

    public void dropDb() throws DbException {
        Cursor execQuery = execQuery("SELECT name FROM sqlite_master WHERE type='table' AND name<>'sqlite_sequence'");
        if (execQuery != null) {
            while (execQuery.moveToNext()) {
                try {
                    String string = execQuery.getString(0);
                    execNonQuery("DROP TABLE " + string);
                    h.remove(this, string);
                } catch (Throwable th) {
                    try {
                        throw new DbException(th);
                    } finally {
                        e.h.a.l.c.closeQuietly(execQuery);
                    }
                }
            }
        }
    }

    public void dropTable(Class<?> cls) throws DbException {
        if (tableIsExist(cls)) {
            String tableName = i.getTableName(cls);
            execNonQuery("DROP TABLE " + tableName);
            h.remove(this, cls);
        }
    }

    public void execNonQuery(e.h.a.i.b.f fVar) throws DbException {
        debugSql(fVar.getSql());
        try {
            if (fVar.getBindArgs() != null) {
                this.database.execSQL(fVar.getSql(), fVar.getBindArgsAsArray());
            } else {
                this.database.execSQL(fVar.getSql());
            }
        } catch (Throwable th) {
            throw new DbException(th);
        }
    }

    public Cursor execQuery(e.h.a.i.b.f fVar) throws DbException {
        debugSql(fVar.getSql());
        try {
            return this.database.rawQuery(fVar.getSql(), fVar.getBindArgsAsStrArray());
        } catch (Throwable th) {
            throw new DbException(th);
        }
    }

    public <T> List<T> findAll(e.h.a.i.b.e eVar) throws DbException {
        if (tableIsExist(eVar.getEntityType())) {
            String eVar2 = eVar.toString();
            long seq = a.b.getSeq();
            this.findTempCache.setSeq(seq);
            Object obj = this.findTempCache.get(eVar2);
            if (obj != null) {
                return (List) obj;
            }
            ArrayList arrayList = new ArrayList();
            Cursor execQuery = execQuery(eVar2);
            if (execQuery != null) {
                while (execQuery.moveToNext()) {
                    try {
                        arrayList.add(e.h.a.i.b.a.getEntity(this, execQuery, eVar.getEntityType(), seq));
                    } finally {
                    }
                }
                this.findTempCache.put(eVar2, arrayList);
            }
            return arrayList;
        }
        return null;
    }

    public <T> T findById(Class<T> cls, Object obj) throws DbException {
        if (tableIsExist(cls)) {
            String eVar = e.h.a.i.b.e.from(cls).where(h.get(this, cls).id.getColumnName(), e.h.a.j.g.e.b.NAME_VALUE_SEPARATOR, obj).limit(1).toString();
            long seq = a.b.getSeq();
            this.findTempCache.setSeq(seq);
            T t = (T) this.findTempCache.get(eVar);
            if (t != null) {
                return t;
            }
            Cursor execQuery = execQuery(eVar);
            if (execQuery != null) {
                try {
                    if (execQuery.moveToNext()) {
                        T t2 = (T) e.h.a.i.b.a.getEntity(this, execQuery, cls, seq);
                        this.findTempCache.put(eVar, t2);
                        return t2;
                    }
                } finally {
                }
            }
            return null;
        }
        return null;
    }

    public List<e.h.a.i.c.c> findDbModelAll(e.h.a.i.b.f fVar) throws DbException {
        ArrayList arrayList = new ArrayList();
        Cursor execQuery = execQuery(fVar);
        if (execQuery != null) {
            while (execQuery.moveToNext()) {
                try {
                    arrayList.add(e.h.a.i.b.a.getDbModel(execQuery));
                } finally {
                }
            }
        }
        return arrayList;
    }

    public e.h.a.i.c.c findDbModelFirst(e.h.a.i.b.f fVar) throws DbException {
        Cursor execQuery = execQuery(fVar);
        if (execQuery != null) {
            try {
                if (execQuery.moveToNext()) {
                    return e.h.a.i.b.a.getDbModel(execQuery);
                }
                return null;
            } catch (Throwable th) {
                try {
                    throw new DbException(th);
                } finally {
                    e.h.a.l.c.closeQuietly(execQuery);
                }
            }
        }
        return null;
    }

    public <T> T findFirst(e.h.a.i.b.e eVar) throws DbException {
        if (tableIsExist(eVar.getEntityType())) {
            String eVar2 = eVar.limit(1).toString();
            long seq = a.b.getSeq();
            this.findTempCache.setSeq(seq);
            T t = (T) this.findTempCache.get(eVar2);
            if (t != null) {
                return t;
            }
            Cursor execQuery = execQuery(eVar2);
            if (execQuery != null) {
                try {
                    if (execQuery.moveToNext()) {
                        T t2 = (T) e.h.a.i.b.a.getEntity(this, execQuery, eVar.getEntityType(), seq);
                        this.findTempCache.put(eVar2, t2);
                        return t2;
                    }
                } finally {
                }
            }
            return null;
        }
        return null;
    }

    public b getDaoConfig() {
        return this.daoConfig;
    }

    public SQLiteDatabase getDatabase() {
        return this.database;
    }

    public void replace(Object obj) throws DbException {
        try {
            beginTransaction();
            createTableIfNotExist(obj.getClass());
            execNonQuery(g.buildReplaceSqlInfo(this, obj));
            setTransactionSuccessful();
        } finally {
            endTransaction();
        }
    }

    public void replaceAll(List<?> list) throws DbException {
        if (list == null || list.size() == 0) {
            return;
        }
        try {
            beginTransaction();
            createTableIfNotExist(list.get(0).getClass());
            Iterator<?> it = list.iterator();
            while (it.hasNext()) {
                execNonQuery(g.buildReplaceSqlInfo(this, it.next()));
            }
            setTransactionSuccessful();
        } finally {
            endTransaction();
        }
    }

    public void save(Object obj) throws DbException {
        try {
            beginTransaction();
            createTableIfNotExist(obj.getClass());
            execNonQuery(g.buildInsertSqlInfo(this, obj));
            setTransactionSuccessful();
        } finally {
            endTransaction();
        }
    }

    public void saveAll(List<?> list) throws DbException {
        if (list == null || list.size() == 0) {
            return;
        }
        try {
            beginTransaction();
            createTableIfNotExist(list.get(0).getClass());
            Iterator<?> it = list.iterator();
            while (it.hasNext()) {
                execNonQuery(g.buildInsertSqlInfo(this, it.next()));
            }
            setTransactionSuccessful();
        } finally {
            endTransaction();
        }
    }

    public boolean saveBindingId(Object obj) throws DbException {
        try {
            beginTransaction();
            createTableIfNotExist(obj.getClass());
            boolean saveBindingIdWithoutTransaction = saveBindingIdWithoutTransaction(obj);
            setTransactionSuccessful();
            return saveBindingIdWithoutTransaction;
        } finally {
            endTransaction();
        }
    }

    public void saveBindingIdAll(List<?> list) throws DbException {
        if (list == null || list.size() == 0) {
            return;
        }
        try {
            beginTransaction();
            createTableIfNotExist(list.get(0).getClass());
            Iterator<?> it = list.iterator();
            while (it.hasNext()) {
                if (!saveBindingIdWithoutTransaction(it.next())) {
                    throw new DbException("saveBindingId error, transaction will not commit!");
                }
            }
            setTransactionSuccessful();
        } finally {
            endTransaction();
        }
    }

    public void saveOrUpdate(Object obj) throws DbException {
        try {
            beginTransaction();
            createTableIfNotExist(obj.getClass());
            saveOrUpdateWithoutTransaction(obj);
            setTransactionSuccessful();
        } finally {
            endTransaction();
        }
    }

    public void saveOrUpdateAll(List<?> list) throws DbException {
        if (list == null || list.size() == 0) {
            return;
        }
        try {
            beginTransaction();
            createTableIfNotExist(list.get(0).getClass());
            Iterator<?> it = list.iterator();
            while (it.hasNext()) {
                saveOrUpdateWithoutTransaction(it.next());
            }
            setTransactionSuccessful();
        } finally {
            endTransaction();
        }
    }

    public boolean tableIsExist(Class<?> cls) throws DbException {
        h hVar = h.get(this, cls);
        if (hVar.isCheckedDatabase()) {
            return true;
        }
        Cursor execQuery = execQuery("SELECT COUNT(*) AS c FROM sqlite_master WHERE type='table' AND name='" + hVar.tableName + "'");
        if (execQuery != null) {
            try {
                if (execQuery.moveToNext() && execQuery.getInt(0) > 0) {
                    hVar.setCheckedDatabase(true);
                    return true;
                }
            } finally {
            }
        }
        return false;
    }

    public void update(Object obj, String... strArr) throws DbException {
        if (tableIsExist(obj.getClass())) {
            try {
                beginTransaction();
                execNonQuery(g.buildUpdateSqlInfo(this, obj, strArr));
                setTransactionSuccessful();
            } finally {
                endTransaction();
            }
        }
    }

    public void updateAll(List<?> list, String... strArr) throws DbException {
        if (list == null || list.size() == 0 || !tableIsExist(list.get(0).getClass())) {
            return;
        }
        try {
            beginTransaction();
            Iterator<?> it = list.iterator();
            while (it.hasNext()) {
                execNonQuery(g.buildUpdateSqlInfo(this, it.next(), strArr));
            }
            setTransactionSuccessful();
        } finally {
            endTransaction();
        }
    }

    public static c create(Context context, String str) {
        b bVar = new b(context);
        bVar.setDbName(str);
        return getInstance(bVar);
    }

    public Cursor execQuery(String str) throws DbException {
        debugSql(str);
        try {
            return this.database.rawQuery(str, null);
        } catch (Throwable th) {
            throw new DbException(th);
        }
    }

    public static c create(Context context, String str, String str2) {
        b bVar = new b(context);
        bVar.setDbDir(str);
        bVar.setDbName(str2);
        return getInstance(bVar);
    }

    public long count(Class<?> cls) throws DbException {
        return count(e.h.a.i.b.e.from(cls));
    }

    public void delete(Class<?> cls, e.h.a.i.b.h hVar) throws DbException {
        if (tableIsExist(cls)) {
            try {
                beginTransaction();
                execNonQuery(g.buildDeleteSqlInfo(this, cls, hVar));
                setTransactionSuccessful();
            } finally {
                endTransaction();
            }
        }
    }

    public void execNonQuery(String str) throws DbException {
        debugSql(str);
        try {
            this.database.execSQL(str);
        } catch (Throwable th) {
            throw new DbException(th);
        }
    }

    public void update(Object obj, e.h.a.i.b.h hVar, String... strArr) throws DbException {
        if (tableIsExist(obj.getClass())) {
            try {
                beginTransaction();
                execNonQuery(g.buildUpdateSqlInfo(this, obj, hVar, strArr));
                setTransactionSuccessful();
            } finally {
                endTransaction();
            }
        }
    }

    public void deleteAll(Class<?> cls) throws DbException {
        delete(cls, null);
    }

    public e.h.a.i.c.c findDbModelFirst(e.h.a.i.b.b bVar) throws DbException {
        Cursor execQuery;
        if (tableIsExist(bVar.getEntityType()) && (execQuery = execQuery(bVar.limit(1).toString())) != null) {
            try {
                if (execQuery.moveToNext()) {
                    return e.h.a.i.b.a.getDbModel(execQuery);
                }
            } finally {
            }
        }
        return null;
    }

    public void updateAll(List<?> list, e.h.a.i.b.h hVar, String... strArr) throws DbException {
        if (list == null || list.size() == 0 || !tableIsExist(list.get(0).getClass())) {
            return;
        }
        try {
            beginTransaction();
            Iterator<?> it = list.iterator();
            while (it.hasNext()) {
                execNonQuery(g.buildUpdateSqlInfo(this, it.next(), hVar, strArr));
            }
            setTransactionSuccessful();
        } finally {
            endTransaction();
        }
    }

    public List<e.h.a.i.c.c> findDbModelAll(e.h.a.i.b.b bVar) throws DbException {
        if (tableIsExist(bVar.getEntityType())) {
            ArrayList arrayList = new ArrayList();
            Cursor execQuery = execQuery(bVar.toString());
            if (execQuery != null) {
                while (execQuery.moveToNext()) {
                    try {
                        arrayList.add(e.h.a.i.b.a.getDbModel(execQuery));
                    } finally {
                    }
                }
            }
            return arrayList;
        }
        return null;
    }

    public static c create(Context context, String str, int i2, InterfaceC0281c interfaceC0281c) {
        b bVar = new b(context);
        bVar.setDbName(str);
        bVar.setDbVersion(i2);
        bVar.setDbUpgradeListener(interfaceC0281c);
        return getInstance(bVar);
    }

    public <T> T findFirst(Class<T> cls) throws DbException {
        return (T) findFirst(e.h.a.i.b.e.from(cls));
    }

    public static c create(Context context, String str, String str2, int i2, InterfaceC0281c interfaceC0281c) {
        b bVar = new b(context);
        bVar.setDbDir(str);
        bVar.setDbName(str2);
        bVar.setDbVersion(i2);
        bVar.setDbUpgradeListener(interfaceC0281c);
        return getInstance(bVar);
    }

    public <T> List<T> findAll(Class<T> cls) throws DbException {
        return findAll(e.h.a.i.b.e.from(cls));
    }

    public static c create(b bVar) {
        return getInstance(bVar);
    }
}
