package e.h.a;

import android.text.TextUtils;
import com.lidroid.xutils.http.HttpHandler;
import com.lidroid.xutils.http.client.HttpRequest;
import java.io.File;
import java.io.IOException;
import org.apache.http.Header;
import org.apache.http.HeaderElement;
import org.apache.http.HttpEntity;
import org.apache.http.HttpException;
import org.apache.http.HttpRequest;
import org.apache.http.HttpRequestInterceptor;
import org.apache.http.HttpResponse;
import org.apache.http.HttpResponseInterceptor;
import org.apache.http.HttpVersion;
import org.apache.http.client.CookieStore;
import org.apache.http.client.HttpClient;
import org.apache.http.conn.params.ConnManagerParams;
import org.apache.http.conn.params.ConnPerRouteBean;
import org.apache.http.conn.scheme.PlainSocketFactory;
import org.apache.http.conn.scheme.Scheme;
import org.apache.http.conn.scheme.SchemeRegistry;
import org.apache.http.conn.ssl.SSLSocketFactory;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.impl.conn.tsccm.ThreadSafeClientConnManager;
import org.apache.http.params.BasicHttpParams;
import org.apache.http.params.HttpConnectionParams;
import org.apache.http.params.HttpParams;
import org.apache.http.params.HttpProtocolParams;
import org.apache.http.protocol.BasicHttpContext;
import org.apache.http.protocol.HttpContext;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class d {
    public static final int DEFAULT_CONN_TIMEOUT = 15000;
    public static final int DEFAULT_POOL_SIZE = 3;
    public static final int DEFAULT_RETRY_TIMES = 3;
    public static final String ENCODING_GZIP = "gzip";
    public static final String HEADER_ACCEPT_ENCODING = "Accept-Encoding";
    public long currentRequestExpiry;
    public final DefaultHttpClient httpClient;
    public final HttpContext httpContext;
    public e.h.a.j.f.c httpRedirectHandler;
    public String responseTextCharset;
    public static final e.h.a.j.a sHttpCache = new e.h.a.j.a();
    public static final e.h.a.k.c EXECUTOR = new e.h.a.k.c(3);

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class a implements HttpRequestInterceptor {
        public a() {
        }

        public void process(HttpRequest httpRequest, HttpContext httpContext) throws HttpException, IOException {
            if (httpRequest.containsHeader(d.HEADER_ACCEPT_ENCODING)) {
                return;
            }
            httpRequest.addHeader(d.HEADER_ACCEPT_ENCODING, "gzip");
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class b implements HttpResponseInterceptor {
        public b() {
        }

        public void process(HttpResponse httpResponse, HttpContext httpContext) throws HttpException, IOException {
            Header contentEncoding;
            HttpEntity entity = httpResponse.getEntity();
            if (entity == null || (contentEncoding = entity.getContentEncoding()) == null) {
                return;
            }
            for (HeaderElement headerElement : contentEncoding.getElements()) {
                if (headerElement.getName().equalsIgnoreCase("gzip")) {
                    httpResponse.setEntity(new e.h.a.j.g.c.d(httpResponse.getEntity()));
                    return;
                }
            }
        }
    }

    public d() {
        this(15000, null);
    }

    private <T> HttpHandler<T> sendRequest(com.lidroid.xutils.http.client.HttpRequest httpRequest, e.h.a.j.b bVar, e.h.a.j.f.d<T> dVar) {
        HttpHandler<T> httpHandler = new HttpHandler<>(this.httpClient, this.httpContext, this.responseTextCharset, dVar);
        httpHandler.setExpiry(this.currentRequestExpiry);
        httpHandler.setHttpRedirectHandler(this.httpRedirectHandler);
        httpRequest.setRequestParams(bVar, httpHandler);
        if (bVar != null) {
            httpHandler.setPriority(bVar.getPriority());
        }
        httpHandler.executeOnExecutor(EXECUTOR, httpRequest);
        return httpHandler;
    }

    private e.h.a.j.d sendSyncRequest(com.lidroid.xutils.http.client.HttpRequest httpRequest, e.h.a.j.b bVar) throws com.lidroid.xutils.exception.HttpException {
        e.h.a.j.e eVar = new e.h.a.j.e(this.httpClient, this.httpContext, this.responseTextCharset);
        eVar.setExpiry(this.currentRequestExpiry);
        eVar.setHttpRedirectHandler(this.httpRedirectHandler);
        httpRequest.setRequestParams(bVar);
        return eVar.sendRequest(httpRequest);
    }

    public d configCookieStore(CookieStore cookieStore) {
        this.httpContext.setAttribute("http.cookie-store", cookieStore);
        return this;
    }

    public d configCurrentHttpCacheExpiry(long j2) {
        this.currentRequestExpiry = j2;
        return this;
    }

    public d configDefaultHttpCacheExpiry(long j2) {
        e.h.a.j.a.setDefaultExpiryTime(j2);
        this.currentRequestExpiry = e.h.a.j.a.getDefaultExpiryTime();
        return this;
    }

    public d configHttpCacheSize(int i2) {
        sHttpCache.setCacheSize(i2);
        return this;
    }

    public d configHttpRedirectHandler(e.h.a.j.f.c cVar) {
        this.httpRedirectHandler = cVar;
        return this;
    }

    public d configRegisterScheme(Scheme scheme) {
        this.httpClient.getConnectionManager().getSchemeRegistry().register(scheme);
        return this;
    }

    public d configRequestRetryCount(int i2) {
        this.httpClient.setHttpRequestRetryHandler(new e.h.a.j.g.b(i2));
        return this;
    }

    public d configRequestThreadPoolSize(int i2) {
        EXECUTOR.setPoolSize(i2);
        return this;
    }

    public d configResponseTextCharset(String str) {
        if (!TextUtils.isEmpty(str)) {
            this.responseTextCharset = str;
        }
        return this;
    }

    public d configSSLSocketFactory(SSLSocketFactory sSLSocketFactory) {
        this.httpClient.getConnectionManager().getSchemeRegistry().register(new Scheme("https", sSLSocketFactory, 443));
        return this;
    }

    public d configSoTimeout(int i2) {
        HttpConnectionParams.setSoTimeout(this.httpClient.getParams(), i2);
        return this;
    }

    public d configTimeout(int i2) {
        HttpParams params = this.httpClient.getParams();
        ConnManagerParams.setTimeout(params, i2);
        HttpConnectionParams.setConnectionTimeout(params, i2);
        return this;
    }

    public d configUserAgent(String str) {
        HttpProtocolParams.setUserAgent(this.httpClient.getParams(), str);
        return this;
    }

    public HttpHandler<File> download(String str, String str2, e.h.a.j.f.d<File> dVar) {
        return download(HttpRequest.HttpMethod.GET, str, str2, null, false, false, dVar);
    }

    public HttpClient getHttpClient() {
        return this.httpClient;
    }

    public <T> HttpHandler<T> send(HttpRequest.HttpMethod httpMethod, String str, e.h.a.j.f.d<T> dVar) {
        return send(httpMethod, str, null, dVar);
    }

    public e.h.a.j.d sendSync(HttpRequest.HttpMethod httpMethod, String str) throws com.lidroid.xutils.exception.HttpException {
        return sendSync(httpMethod, str, null);
    }

    public d(int i2) {
        this(i2, null);
    }

    public HttpHandler<File> download(String str, String str2, boolean z, e.h.a.j.f.d<File> dVar) {
        return download(HttpRequest.HttpMethod.GET, str, str2, null, z, false, dVar);
    }

    public <T> HttpHandler<T> send(HttpRequest.HttpMethod httpMethod, String str, e.h.a.j.b bVar, e.h.a.j.f.d<T> dVar) {
        if (str != null) {
            return sendRequest(new com.lidroid.xutils.http.client.HttpRequest(httpMethod, str), bVar, dVar);
        }
        throw new IllegalArgumentException("url may not be null");
    }

    public e.h.a.j.d sendSync(HttpRequest.HttpMethod httpMethod, String str, e.h.a.j.b bVar) throws com.lidroid.xutils.exception.HttpException {
        if (str != null) {
            return sendSyncRequest(new com.lidroid.xutils.http.client.HttpRequest(httpMethod, str), bVar);
        }
        throw new IllegalArgumentException("url may not be null");
    }

    public d(String str) {
        this(15000, str);
    }

    public HttpHandler<File> download(String str, String str2, boolean z, boolean z2, e.h.a.j.f.d<File> dVar) {
        return download(HttpRequest.HttpMethod.GET, str, str2, null, z, z2, dVar);
    }

    public d(int i2, String str) {
        this.httpContext = new BasicHttpContext();
        this.responseTextCharset = "UTF-8";
        this.currentRequestExpiry = e.h.a.j.a.getDefaultExpiryTime();
        BasicHttpParams basicHttpParams = new BasicHttpParams();
        ConnManagerParams.setTimeout(basicHttpParams, i2);
        HttpConnectionParams.setSoTimeout(basicHttpParams, i2);
        HttpConnectionParams.setConnectionTimeout(basicHttpParams, i2);
        HttpProtocolParams.setUserAgent(basicHttpParams, TextUtils.isEmpty(str) ? e.h.a.l.f.getUserAgent(null) : str);
        ConnManagerParams.setMaxConnectionsPerRoute(basicHttpParams, new ConnPerRouteBean(10));
        ConnManagerParams.setMaxTotalConnections(basicHttpParams, 10);
        HttpConnectionParams.setTcpNoDelay(basicHttpParams, true);
        HttpConnectionParams.setSocketBufferSize(basicHttpParams, 8192);
        HttpProtocolParams.setVersion(basicHttpParams, HttpVersion.HTTP_1_1);
        SchemeRegistry schemeRegistry = new SchemeRegistry();
        schemeRegistry.register(new Scheme("http", PlainSocketFactory.getSocketFactory(), 80));
        schemeRegistry.register(new Scheme("https", e.h.a.j.g.a.getSocketFactory(), 443));
        DefaultHttpClient defaultHttpClient = new DefaultHttpClient(new ThreadSafeClientConnManager(basicHttpParams, schemeRegistry), basicHttpParams);
        this.httpClient = defaultHttpClient;
        defaultHttpClient.setHttpRequestRetryHandler(new e.h.a.j.g.b(3));
        this.httpClient.addRequestInterceptor(new a());
        this.httpClient.addResponseInterceptor(new b());
    }

    public HttpHandler<File> download(String str, String str2, e.h.a.j.b bVar, e.h.a.j.f.d<File> dVar) {
        return download(HttpRequest.HttpMethod.GET, str, str2, bVar, false, false, dVar);
    }

    public HttpHandler<File> download(String str, String str2, e.h.a.j.b bVar, boolean z, e.h.a.j.f.d<File> dVar) {
        return download(HttpRequest.HttpMethod.GET, str, str2, bVar, z, false, dVar);
    }

    public HttpHandler<File> download(String str, String str2, e.h.a.j.b bVar, boolean z, boolean z2, e.h.a.j.f.d<File> dVar) {
        return download(HttpRequest.HttpMethod.GET, str, str2, bVar, z, z2, dVar);
    }

    public HttpHandler<File> download(HttpRequest.HttpMethod httpMethod, String str, String str2, e.h.a.j.b bVar, e.h.a.j.f.d<File> dVar) {
        return download(httpMethod, str, str2, bVar, false, false, dVar);
    }

    public HttpHandler<File> download(HttpRequest.HttpMethod httpMethod, String str, String str2, e.h.a.j.b bVar, boolean z, e.h.a.j.f.d<File> dVar) {
        return download(httpMethod, str, str2, bVar, z, false, dVar);
    }

    public HttpHandler<File> download(HttpRequest.HttpMethod httpMethod, String str, String str2, e.h.a.j.b bVar, boolean z, boolean z2, e.h.a.j.f.d<File> dVar) {
        if (str != null) {
            if (str2 != null) {
                com.lidroid.xutils.http.client.HttpRequest httpRequest = new com.lidroid.xutils.http.client.HttpRequest(httpMethod, str);
                HttpHandler<File> httpHandler = new HttpHandler<>(this.httpClient, this.httpContext, this.responseTextCharset, dVar);
                httpHandler.setExpiry(this.currentRequestExpiry);
                httpHandler.setHttpRedirectHandler(this.httpRedirectHandler);
                if (bVar != null) {
                    httpRequest.setRequestParams(bVar, httpHandler);
                    httpHandler.setPriority(bVar.getPriority());
                }
                httpHandler.executeOnExecutor(EXECUTOR, httpRequest, str2, Boolean.valueOf(z), Boolean.valueOf(z2));
                return httpHandler;
            }
            throw new IllegalArgumentException("target may not be null");
        }
        throw new IllegalArgumentException("url may not be null");
    }
}
