package e.h.a.g;

import android.app.ActivityManager;
import android.content.Context;
import android.text.TextUtils;
import com.lidroid.xutils.task.Priority;
import e.h.a.l.f;
import java.util.HashMap;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class d {
    public static final int DEFAULT_POOL_SIZE = 5;
    public static final int MIN_DISK_CACHE_SIZE = 10485760;
    public static final int MIN_MEMORY_CACHE_SIZE = 2097152;
    public e.h.a.g.g.b bitmapCache;
    public e.h.a.g.a bitmapCacheListener;
    public String diskCachePath;
    public e.h.a.g.h.b downloader;
    public e.h.a.h.a fileNameGenerator;
    public Context mContext;
    public static final e.h.a.k.c BITMAP_LOAD_EXECUTOR = new e.h.a.k.c(5);
    public static final e.h.a.k.c DISK_CACHE_EXECUTOR = new e.h.a.k.c(2);
    public static final HashMap<String, d> configMap = new HashMap<>(1);
    public int memoryCacheSize = 4194304;
    public int diskCacheSize = 52428800;
    public boolean memoryCacheEnabled = true;
    public boolean diskCacheEnabled = true;
    public long defaultCacheExpiry = 2592000000L;
    public int defaultConnectTimeout = 15000;
    public int defaultReadTimeout = 15000;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class b extends e.h.a.k.b<Object, Void, Object[]> {
        public static final int MESSAGE_CLEAR = 4;
        public static final int MESSAGE_CLEAR_BY_KEY = 7;
        public static final int MESSAGE_CLEAR_DISK = 6;
        public static final int MESSAGE_CLEAR_DISK_BY_KEY = 9;
        public static final int MESSAGE_CLEAR_MEMORY = 5;
        public static final int MESSAGE_CLEAR_MEMORY_BY_KEY = 8;
        public static final int MESSAGE_CLOSE = 3;
        public static final int MESSAGE_FLUSH = 2;
        public static final int MESSAGE_INIT_DISK_CACHE = 1;
        public static final int MESSAGE_INIT_MEMORY_CACHE = 0;

        public b() {
            setPriority(Priority.UI_TOP);
        }

        @Override // e.h.a.k.b
        public Object[] doInBackground(Object... objArr) {
            e.h.a.g.g.b bitmapCache;
            if (objArr == null || objArr.length == 0 || (bitmapCache = d.this.getBitmapCache()) == null) {
                return objArr;
            }
            try {
                switch (((Integer) objArr[0]).intValue()) {
                    case 0:
                        bitmapCache.initMemoryCache();
                        break;
                    case 1:
                        bitmapCache.initDiskCache();
                        break;
                    case 2:
                        bitmapCache.flush();
                        break;
                    case 3:
                        bitmapCache.clearMemoryCache();
                        bitmapCache.close();
                        break;
                    case 4:
                        bitmapCache.clearCache();
                        break;
                    case 5:
                        bitmapCache.clearMemoryCache();
                        break;
                    case 6:
                        bitmapCache.clearDiskCache();
                        break;
                    case 7:
                        if (objArr.length == 2) {
                            bitmapCache.clearCache(String.valueOf(objArr[1]));
                            break;
                        } else {
                            return objArr;
                        }
                    case 8:
                        if (objArr.length == 2) {
                            bitmapCache.clearMemoryCache(String.valueOf(objArr[1]));
                            break;
                        } else {
                            return objArr;
                        }
                    case 9:
                        if (objArr.length == 2) {
                            bitmapCache.clearDiskCache(String.valueOf(objArr[1]));
                            break;
                        } else {
                            return objArr;
                        }
                }
            } catch (Throwable th) {
                e.h.a.l.d.e(th.getMessage(), th);
            }
            return objArr;
        }

        @Override // e.h.a.k.b
        public void onPostExecute(Object[] objArr) {
            if (d.this.bitmapCacheListener == null || objArr == null || objArr.length == 0) {
                return;
            }
            try {
                switch (((Integer) objArr[0]).intValue()) {
                    case 0:
                        d.this.bitmapCacheListener.onInitMemoryCacheFinished();
                        break;
                    case 1:
                        d.this.bitmapCacheListener.onInitDiskFinished();
                        break;
                    case 2:
                        d.this.bitmapCacheListener.onFlushCacheFinished();
                        break;
                    case 3:
                        d.this.bitmapCacheListener.onCloseCacheFinished();
                        break;
                    case 4:
                        d.this.bitmapCacheListener.onClearCacheFinished();
                        break;
                    case 5:
                        d.this.bitmapCacheListener.onClearMemoryCacheFinished();
                        break;
                    case 6:
                        d.this.bitmapCacheListener.onClearDiskCacheFinished();
                        break;
                    case 7:
                        if (objArr.length == 2) {
                            d.this.bitmapCacheListener.onClearCacheFinished(String.valueOf(objArr[1]));
                            break;
                        } else {
                            return;
                        }
                    case 8:
                        if (objArr.length == 2) {
                            d.this.bitmapCacheListener.onClearMemoryCacheFinished(String.valueOf(objArr[1]));
                            break;
                        } else {
                            return;
                        }
                    case 9:
                        if (objArr.length == 2) {
                            d.this.bitmapCacheListener.onClearDiskCacheFinished(String.valueOf(objArr[1]));
                            break;
                        } else {
                            return;
                        }
                }
            } catch (Throwable th) {
                e.h.a.l.d.e(th.getMessage(), th);
            }
        }
    }

    public d(Context context, String str) {
        if (context != null) {
            this.mContext = context;
            this.diskCachePath = str;
            initBitmapCache();
            return;
        }
        throw new IllegalArgumentException("context may not be null");
    }

    public static synchronized d getInstance(Context context, String str) {
        synchronized (d.class) {
            if (TextUtils.isEmpty(str)) {
                str = f.getDiskCacheDir(context, "xBitmapCache");
            }
            if (configMap.containsKey(str)) {
                return configMap.get(str);
            }
            d dVar = new d(context, str);
            configMap.put(str, dVar);
            return dVar;
        }
    }

    private int getMemoryClass() {
        return ((ActivityManager) this.mContext.getSystemService("activity")).getMemoryClass();
    }

    private void initBitmapCache() {
        new b().execute(0);
        new b().execute(1);
    }

    public void clearCache() {
        new b().execute(4);
    }

    public void clearDiskCache() {
        new b().execute(6);
    }

    public void clearMemoryCache() {
        new b().execute(5);
    }

    public void closeCache() {
        new b().execute(3);
    }

    public void flushCache() {
        new b().execute(2);
    }

    public e.h.a.g.g.b getBitmapCache() {
        if (this.bitmapCache == null) {
            this.bitmapCache = new e.h.a.g.g.b(this);
        }
        return this.bitmapCache;
    }

    public e.h.a.g.a getBitmapCacheListener() {
        return this.bitmapCacheListener;
    }

    public e.h.a.k.c getBitmapLoadExecutor() {
        return BITMAP_LOAD_EXECUTOR;
    }

    public long getDefaultCacheExpiry() {
        return this.defaultCacheExpiry;
    }

    public int getDefaultConnectTimeout() {
        return this.defaultConnectTimeout;
    }

    public int getDefaultReadTimeout() {
        return this.defaultReadTimeout;
    }

    public e.h.a.k.c getDiskCacheExecutor() {
        return DISK_CACHE_EXECUTOR;
    }

    public String getDiskCachePath() {
        return this.diskCachePath;
    }

    public int getDiskCacheSize() {
        return this.diskCacheSize;
    }

    public e.h.a.g.h.b getDownloader() {
        if (this.downloader == null) {
            this.downloader = new e.h.a.g.h.a();
        }
        this.downloader.setContext(this.mContext);
        this.downloader.setDefaultExpiry(getDefaultCacheExpiry());
        this.downloader.setDefaultConnectTimeout(getDefaultConnectTimeout());
        this.downloader.setDefaultReadTimeout(getDefaultReadTimeout());
        return this.downloader;
    }

    public e.h.a.h.a getFileNameGenerator() {
        return this.fileNameGenerator;
    }

    public int getMemoryCacheSize() {
        return this.memoryCacheSize;
    }

    public int getThreadPoolSize() {
        return BITMAP_LOAD_EXECUTOR.getPoolSize();
    }

    public boolean isDiskCacheEnabled() {
        return this.diskCacheEnabled;
    }

    public boolean isMemoryCacheEnabled() {
        return this.memoryCacheEnabled;
    }

    public void setBitmapCacheListener(e.h.a.g.a aVar) {
        this.bitmapCacheListener = aVar;
    }

    public void setDefaultCacheExpiry(long j2) {
        this.defaultCacheExpiry = j2;
    }

    public void setDefaultConnectTimeout(int i2) {
        this.defaultConnectTimeout = i2;
    }

    public void setDefaultReadTimeout(int i2) {
        this.defaultReadTimeout = i2;
    }

    public void setDiskCacheEnabled(boolean z) {
        this.diskCacheEnabled = z;
    }

    public void setDiskCacheSize(int i2) {
        if (i2 >= 10485760) {
            this.diskCacheSize = i2;
            e.h.a.g.g.b bVar = this.bitmapCache;
            if (bVar != null) {
                bVar.setDiskCacheSize(i2);
            }
        }
    }

    public void setDownloader(e.h.a.g.h.b bVar) {
        this.downloader = bVar;
    }

    public void setFileNameGenerator(e.h.a.h.a aVar) {
        this.fileNameGenerator = aVar;
        e.h.a.g.g.b bVar = this.bitmapCache;
        if (bVar != null) {
            bVar.setDiskCacheFileNameGenerator(aVar);
        }
    }

    public void setMemCacheSizePercent(float f2) {
        if (f2 >= 0.05f && f2 <= 0.8f) {
            int round = Math.round(f2 * getMemoryClass() * 1024.0f * 1024.0f);
            this.memoryCacheSize = round;
            e.h.a.g.g.b bVar = this.bitmapCache;
            if (bVar != null) {
                bVar.setMemoryCacheSize(round);
                return;
            }
            return;
        }
        throw new IllegalArgumentException("percent must be between 0.05 and 0.8 (inclusive)");
    }

    public void setMemoryCacheEnabled(boolean z) {
        this.memoryCacheEnabled = z;
    }

    public void setMemoryCacheSize(int i2) {
        if (i2 >= 2097152) {
            this.memoryCacheSize = i2;
            e.h.a.g.g.b bVar = this.bitmapCache;
            if (bVar != null) {
                bVar.setMemoryCacheSize(i2);
                return;
            }
            return;
        }
        setMemCacheSizePercent(0.3f);
    }

    public void setThreadPoolSize(int i2) {
        BITMAP_LOAD_EXECUTOR.setPoolSize(i2);
    }

    public void clearCache(String str) {
        new b().execute(7, str);
    }

    public void clearDiskCache(String str) {
        new b().execute(9, str);
    }

    public void clearMemoryCache(String str) {
        new b().execute(8, str);
    }
}
