package e.h.a.g.g;

import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.media.ExifInterface;
import com.google.android.material.bottomappbar.BottomAppBarTopEdgeTreatment;
import e.h.a.a;
import e.h.a.h.b;
import e.h.a.l.f;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.OutputStream;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class b {
    public e.h.a.g.d globalConfig;
    public e.h.a.h.b mDiskLruCache;
    public e.h.a.h.c<c, Bitmap> mMemoryCache;
    public final int DISK_CACHE_INDEX = 0;
    public final Object mDiskCacheLock = new Object();

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class a extends e.h.a.h.c<c, Bitmap> {
        public a(int i2) {
            super(i2);
        }

        @Override // e.h.a.h.c
        public int sizeOf(c cVar, Bitmap bitmap) {
            if (bitmap == null) {
                return 0;
            }
            return bitmap.getRowBytes() * bitmap.getHeight();
        }
    }

    /* compiled from: AAA */
    /* renamed from: e.h.a.g.g.b$b  reason: collision with other inner class name */
    /* loaded from: classes3.dex */
    public class C0282b {
        public byte[] data;
        public long expiryTimestamp;
        public FileInputStream inputStream;

        public C0282b() {
        }

        public /* synthetic */ C0282b(b bVar, a aVar) {
            this();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class c {
        public String subKey;
        public String uri;

        public /* synthetic */ c(b bVar, String str, e.h.a.g.c cVar, a aVar) {
            this(str, cVar);
        }

        public boolean equals(Object obj) {
            String str;
            if (this == obj) {
                return true;
            }
            if (obj instanceof c) {
                c cVar = (c) obj;
                if (this.uri.equals(cVar.uri)) {
                    String str2 = this.subKey;
                    if (str2 == null || (str = cVar.subKey) == null) {
                        return true;
                    }
                    return str2.equals(str);
                }
                return false;
            }
            return false;
        }

        public int hashCode() {
            return this.uri.hashCode();
        }

        public c(String str, e.h.a.g.c cVar) {
            this.uri = str;
            this.subKey = cVar == null ? null : cVar.toString();
        }
    }

    public b(e.h.a.g.d dVar) {
        if (dVar != null) {
            this.globalConfig = dVar;
            return;
        }
        throw new IllegalArgumentException("globalConfig may not be null");
    }

    private Bitmap addBitmapToMemoryCache(String str, e.h.a.g.c cVar, Bitmap bitmap, long j2) throws IOException {
        e.h.a.g.i.a bitmapFactory;
        if (cVar != null && (bitmapFactory = cVar.getBitmapFactory()) != null) {
            bitmap = bitmapFactory.cloneNew().createBitmap(bitmap);
        }
        if (str != null && bitmap != null && this.globalConfig.isMemoryCacheEnabled() && this.mMemoryCache != null) {
            this.mMemoryCache.put(new c(this, str, cVar, null), bitmap, j2);
        }
        return bitmap;
    }

    private Bitmap decodeBitmapMeta(C0282b c0282b, e.h.a.g.c cVar) throws IOException {
        if (c0282b == null) {
            return null;
        }
        if (c0282b.inputStream != null) {
            if (cVar != null && !cVar.isShowOriginal()) {
                return e.h.a.g.g.c.decodeSampledBitmapFromDescriptor(c0282b.inputStream.getFD(), cVar.getBitmapMaxSize(), cVar.getBitmapConfig());
            }
            return e.h.a.g.g.c.decodeFileDescriptor(c0282b.inputStream.getFD());
        } else if (c0282b.data != null) {
            if (cVar != null && !cVar.isShowOriginal()) {
                return e.h.a.g.g.c.decodeSampledBitmapFromByteArray(c0282b.data, cVar.getBitmapMaxSize(), cVar.getBitmapConfig());
            }
            return e.h.a.g.g.c.decodeByteArray(c0282b.data);
        } else {
            return null;
        }
    }

    private synchronized Bitmap rotateBitmapIfNeeded(String str, e.h.a.g.c cVar, Bitmap bitmap) {
        File bitmapFileFromDiskCache;
        if (cVar != null) {
            if (cVar.isAutoRotation() && (bitmapFileFromDiskCache = getBitmapFileFromDiskCache(str)) != null && bitmapFileFromDiskCache.exists()) {
                try {
                    int i2 = 0;
                    int attributeInt = new ExifInterface(bitmapFileFromDiskCache.getPath()).getAttributeInt("Orientation", 0);
                    if (attributeInt == 3) {
                        i2 = 180;
                    } else if (attributeInt == 6) {
                        i2 = 90;
                    } else if (attributeInt == 8) {
                        i2 = BottomAppBarTopEdgeTreatment.ANGLE_UP;
                    }
                    if (i2 != 0) {
                        Matrix matrix = new Matrix();
                        matrix.postRotate(i2);
                        Bitmap createBitmap = Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
                        bitmap.recycle();
                        bitmap = createBitmap;
                    }
                } catch (Throwable unused) {
                    return bitmap;
                }
            }
        }
        return bitmap;
    }

    public void clearCache() {
        clearMemoryCache();
        clearDiskCache();
    }

    public void clearDiskCache() {
        synchronized (this.mDiskCacheLock) {
            if (this.mDiskLruCache != null && !this.mDiskLruCache.isClosed()) {
                this.mDiskLruCache.delete();
                this.mDiskLruCache.close();
                this.mDiskLruCache = null;
            }
        }
        initDiskCache();
    }

    public void clearMemoryCache() {
        e.h.a.h.c<c, Bitmap> cVar = this.mMemoryCache;
        if (cVar != null) {
            cVar.evictAll();
        }
    }

    public void close() {
        synchronized (this.mDiskCacheLock) {
            if (this.mDiskLruCache != null) {
                if (!this.mDiskLruCache.isClosed()) {
                    this.mDiskLruCache.close();
                }
                this.mDiskLruCache = null;
            }
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:27:0x0064 A[Catch: all -> 0x007a, TRY_LEAVE, TryCatch #5 {all -> 0x007a, blocks: (B:16:0x0037, B:18:0x0047, B:22:0x0051, B:27:0x0064), top: B:76:0x0037 }] */
    /* JADX WARN: Removed duplicated region for block: B:35:0x007d  */
    /* JADX WARN: Removed duplicated region for block: B:42:0x0090 A[Catch: all -> 0x00b9, TRY_LEAVE, TryCatch #4 {all -> 0x00b9, blocks: (B:42:0x0090, B:54:0x00bd, B:39:0x0083), top: B:74:0x0083 }] */
    /* JADX WARN: Removed duplicated region for block: B:54:0x00bd A[Catch: all -> 0x00b9, TRY_ENTER, TRY_LEAVE, TryCatch #4 {all -> 0x00b9, blocks: (B:42:0x0090, B:54:0x00bd, B:39:0x0083), top: B:74:0x0083 }] */
    /* JADX WARN: Type inference failed for: r11v10 */
    /* JADX WARN: Type inference failed for: r11v12 */
    /* JADX WARN: Type inference failed for: r11v13 */
    /* JADX WARN: Type inference failed for: r11v14 */
    /* JADX WARN: Type inference failed for: r11v9 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public Bitmap downloadBitmap(String str, e.h.a.g.c cVar, a.C0280a<?> c0280a) {
        b.e eVar;
        OutputStream outputStream;
        Bitmap bitmap;
        b.c edit;
        long downloadToStream;
        C0282b c0282b = new C0282b(this, null);
        try {
            if (this.globalConfig.isDiskCacheEnabled()) {
                if (this.mDiskLruCache == null) {
                    initDiskCache();
                }
                if (this.mDiskLruCache != null) {
                    try {
                        eVar = this.mDiskLruCache.get(str);
                    } catch (Throwable th) {
                        th = th;
                        eVar = null;
                        bitmap = null;
                    }
                    if (eVar == null) {
                        try {
                            edit = this.mDiskLruCache.edit(str);
                        } catch (Throwable th2) {
                            th = th2;
                            bitmap = null;
                            outputStream = bitmap;
                            try {
                                e.h.a.l.d.e(th.getMessage(), th);
                                outputStream = outputStream;
                                if (bitmap == null) {
                                }
                                if (bitmap != null) {
                                }
                                return bitmap;
                            } catch (Throwable th3) {
                                th = th3;
                                try {
                                    e.h.a.l.d.e(th.getMessage(), th);
                                    return null;
                                } finally {
                                    e.h.a.l.c.closeQuietly(outputStream);
                                    e.h.a.l.c.closeQuietly(eVar);
                                }
                            }
                        }
                        if (edit != null) {
                            outputStream = edit.newOutputStream(0);
                            try {
                                downloadToStream = this.globalConfig.getDownloader().downloadToStream(str, outputStream, c0280a);
                                c0282b.expiryTimestamp = downloadToStream;
                            } catch (Throwable th4) {
                                th = th4;
                                bitmap = null;
                                e.h.a.l.d.e(th.getMessage(), th);
                                outputStream = outputStream;
                                if (bitmap == null) {
                                }
                                if (bitmap != null) {
                                }
                                return bitmap;
                            }
                            if (downloadToStream < 0) {
                                edit.abort();
                                e.h.a.l.c.closeQuietly(outputStream);
                                e.h.a.l.c.closeQuietly(eVar);
                                return null;
                            }
                            edit.setEntryExpiryTimestamp(downloadToStream);
                            edit.commit();
                            eVar = this.mDiskLruCache.get(str);
                            outputStream = outputStream;
                            if (eVar == null) {
                                c0282b.inputStream = eVar.getInputStream(0);
                                bitmap = decodeBitmapMeta(c0282b, cVar);
                                outputStream = outputStream;
                                if (bitmap == null) {
                                    try {
                                        c0282b.inputStream = null;
                                        this.mDiskLruCache.remove(str);
                                        outputStream = outputStream;
                                    } catch (Throwable th5) {
                                        th = th5;
                                        e.h.a.l.d.e(th.getMessage(), th);
                                        outputStream = outputStream;
                                        if (bitmap == null) {
                                        }
                                        if (bitmap != null) {
                                        }
                                        return bitmap;
                                    }
                                }
                            } else {
                                bitmap = null;
                                outputStream = outputStream;
                            }
                            if (bitmap == null) {
                                ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                                try {
                                    long downloadToStream2 = this.globalConfig.getDownloader().downloadToStream(str, byteArrayOutputStream, c0280a);
                                    c0282b.expiryTimestamp = downloadToStream2;
                                    if (downloadToStream2 < 0) {
                                        e.h.a.l.c.closeQuietly(byteArrayOutputStream);
                                        e.h.a.l.c.closeQuietly(eVar);
                                        return null;
                                    }
                                    c0282b.data = byteArrayOutputStream.toByteArray();
                                    outputStream = byteArrayOutputStream;
                                    bitmap = decodeBitmapMeta(c0282b, cVar);
                                } catch (Throwable th6) {
                                    th = th6;
                                    outputStream = byteArrayOutputStream;
                                    e.h.a.l.d.e(th.getMessage(), th);
                                    return null;
                                }
                            }
                            if (bitmap != null) {
                                bitmap = addBitmapToMemoryCache(str, cVar, rotateBitmapIfNeeded(str, cVar, bitmap), c0282b.expiryTimestamp);
                            }
                            return bitmap;
                        }
                    }
                    outputStream = 0;
                    if (eVar == null) {
                    }
                    if (bitmap == null) {
                    }
                    if (bitmap != null) {
                    }
                    return bitmap;
                }
            }
            eVar = null;
            bitmap = null;
            outputStream = null;
            if (bitmap == null) {
            }
            if (bitmap != null) {
            }
            return bitmap;
        } catch (Throwable th7) {
            th = th7;
            eVar = null;
            outputStream = null;
        }
    }

    public void flush() {
        synchronized (this.mDiskCacheLock) {
            if (this.mDiskLruCache != null) {
                this.mDiskLruCache.flush();
            }
        }
    }

    public File getBitmapFileFromDiskCache(String str) {
        synchronized (this.mDiskCacheLock) {
            if (this.mDiskLruCache != null) {
                return this.mDiskLruCache.getCacheFile(str, 0);
            }
            return null;
        }
    }

    public Bitmap getBitmapFromDiskCache(String str, e.h.a.g.c cVar) {
        b.e eVar;
        Bitmap decodeSampledBitmapFromDescriptor;
        if (str != null && this.globalConfig.isDiskCacheEnabled()) {
            if (this.mDiskLruCache == null) {
                initDiskCache();
            }
            e.h.a.h.b bVar = this.mDiskLruCache;
            if (bVar != null) {
                try {
                    eVar = bVar.get(str);
                    if (eVar != null) {
                        if (cVar != null) {
                            try {
                                if (!cVar.isShowOriginal()) {
                                    decodeSampledBitmapFromDescriptor = e.h.a.g.g.c.decodeSampledBitmapFromDescriptor(eVar.getInputStream(0).getFD(), cVar.getBitmapMaxSize(), cVar.getBitmapConfig());
                                    return addBitmapToMemoryCache(str, cVar, rotateBitmapIfNeeded(str, cVar, decodeSampledBitmapFromDescriptor), this.mDiskLruCache.getExpiryTimestamp(str));
                                }
                            } catch (Throwable th) {
                                th = th;
                                try {
                                    e.h.a.l.d.e(th.getMessage(), th);
                                    return null;
                                } finally {
                                    e.h.a.l.c.closeQuietly(eVar);
                                }
                            }
                        }
                        decodeSampledBitmapFromDescriptor = e.h.a.g.g.c.decodeFileDescriptor(eVar.getInputStream(0).getFD());
                        return addBitmapToMemoryCache(str, cVar, rotateBitmapIfNeeded(str, cVar, decodeSampledBitmapFromDescriptor), this.mDiskLruCache.getExpiryTimestamp(str));
                    }
                } catch (Throwable th2) {
                    th = th2;
                    eVar = null;
                }
            }
        }
        return null;
    }

    public Bitmap getBitmapFromMemCache(String str, e.h.a.g.c cVar) {
        if (this.mMemoryCache == null || !this.globalConfig.isMemoryCacheEnabled()) {
            return null;
        }
        return this.mMemoryCache.get(new c(this, str, cVar, null));
    }

    public void initDiskCache() {
        synchronized (this.mDiskCacheLock) {
            if (this.globalConfig.isDiskCacheEnabled() && (this.mDiskLruCache == null || this.mDiskLruCache.isClosed())) {
                File file = new File(this.globalConfig.getDiskCachePath());
                if (file.exists() || file.mkdirs()) {
                    long availableSpace = f.getAvailableSpace(file);
                    long diskCacheSize = this.globalConfig.getDiskCacheSize();
                    if (availableSpace > diskCacheSize) {
                        availableSpace = diskCacheSize;
                    }
                    e.h.a.h.b open = e.h.a.h.b.open(file, 1, 1, availableSpace);
                    this.mDiskLruCache = open;
                    open.setFileNameGenerator(this.globalConfig.getFileNameGenerator());
                    e.h.a.l.d.d("create disk cache success");
                }
            }
        }
    }

    public void initMemoryCache() {
        if (this.globalConfig.isMemoryCacheEnabled()) {
            if (this.mMemoryCache != null) {
                try {
                    clearMemoryCache();
                } catch (Throwable unused) {
                }
            }
            this.mMemoryCache = new a(this.globalConfig.getMemoryCacheSize());
        }
    }

    public void setDiskCacheFileNameGenerator(e.h.a.h.a aVar) {
        synchronized (this.mDiskCacheLock) {
            if (this.mDiskLruCache != null && aVar != null) {
                this.mDiskLruCache.setFileNameGenerator(aVar);
            }
        }
    }

    public void setDiskCacheSize(int i2) {
        synchronized (this.mDiskCacheLock) {
            if (this.mDiskLruCache != null) {
                this.mDiskLruCache.setMaxSize(i2);
            }
        }
    }

    public void setMemoryCacheSize(int i2) {
        e.h.a.h.c<c, Bitmap> cVar = this.mMemoryCache;
        if (cVar != null) {
            cVar.setMaxSize(i2);
        }
    }

    public void clearCache(String str) {
        clearMemoryCache(str);
        clearDiskCache(str);
    }

    public void clearMemoryCache(String str) {
        c cVar = new c(this, str, null, null);
        if (this.mMemoryCache != null) {
            while (this.mMemoryCache.containsKey(cVar)) {
                this.mMemoryCache.remove(cVar);
            }
        }
    }

    public void clearDiskCache(String str) {
        synchronized (this.mDiskCacheLock) {
            if (this.mDiskLruCache != null && !this.mDiskLruCache.isClosed()) {
                this.mDiskLruCache.remove(str);
            }
        }
    }
}
