package e.h.a.h;

import java.io.BufferedWriter;
import java.io.ByteArrayOutputStream;
import java.io.Closeable;
import java.io.EOFException;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FilterOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.Reader;
import java.io.StringWriter;
import java.io.UnsupportedEncodingException;
import java.io.Writer;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.concurrent.Callable;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class b implements Closeable {
    public static final long ANY_SEQUENCE_NUMBER = -1;
    public static final char CLEAN = 'C';
    public static final char DELETE = 'D';
    public static final char EXPIRY_PREFIX = 't';
    public static final String JOURNAL_FILE = "journal";
    public static final String JOURNAL_FILE_BACKUP = "journal.bkp";
    public static final String JOURNAL_FILE_TEMP = "journal.tmp";
    public static final String MAGIC = "libcore.io.DiskLruCache";
    public static final OutputStream NULL_OUTPUT_STREAM = new C0283b();
    public static final char READ = 'R';
    public static final char UPDATE = 'U';
    public static final String VERSION = "1";
    public final int appVersion;
    public final File directory;
    public final File journalFile;
    public final File journalFileBackup;
    public final File journalFileTmp;
    public Writer journalWriter;
    public long maxSize;
    public int redundantOpCount;
    public final int valueCount;
    public long size = 0;
    public final LinkedHashMap<String, d> lruEntries = new LinkedHashMap<>(0, 0.75f, true);
    public long nextSequenceNumber = 0;
    public final ThreadPoolExecutor executorService = new ThreadPoolExecutor(0, 1, 60, TimeUnit.SECONDS, new LinkedBlockingQueue());
    public final Callable<Void> cleanupCallable = new a();
    public e.h.a.h.a fileNameGenerator = new e.h.a.h.d();

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class a implements Callable<Void> {
        public a() {
        }

        @Override // java.util.concurrent.Callable
        public Void call() throws Exception {
            synchronized (b.this) {
                if (b.this.journalWriter == null) {
                    return null;
                }
                b.this.trimToSize();
                if (b.this.journalRebuildRequired()) {
                    b.this.rebuildJournal();
                    b.this.redundantOpCount = 0;
                }
                return null;
            }
        }
    }

    /* compiled from: AAA */
    /* renamed from: e.h.a.h.b$b  reason: collision with other inner class name */
    /* loaded from: classes3.dex */
    public static class C0283b extends OutputStream {
        @Override // java.io.OutputStream
        public void write(int i2) throws IOException {
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public final class c {
        public boolean committed;
        public final d entry;
        public boolean hasErrors;
        public final boolean[] written;

        /* compiled from: AAA */
        /* loaded from: classes3.dex */
        public class a extends FilterOutputStream {
            public /* synthetic */ a(c cVar, OutputStream outputStream, a aVar) {
                this(outputStream);
            }

            @Override // java.io.FilterOutputStream, java.io.OutputStream, java.io.Closeable, java.lang.AutoCloseable
            public void close() {
                try {
                    ((FilterOutputStream) this).out.close();
                } catch (Throwable unused) {
                    c.this.hasErrors = true;
                }
            }

            @Override // java.io.FilterOutputStream, java.io.OutputStream, java.io.Flushable
            public void flush() {
                try {
                    ((FilterOutputStream) this).out.flush();
                } catch (Throwable unused) {
                    c.this.hasErrors = true;
                }
            }

            @Override // java.io.FilterOutputStream, java.io.OutputStream
            public void write(int i2) {
                try {
                    ((FilterOutputStream) this).out.write(i2);
                } catch (Throwable unused) {
                    c.this.hasErrors = true;
                }
            }

            public a(OutputStream outputStream) {
                super(outputStream);
            }

            @Override // java.io.FilterOutputStream, java.io.OutputStream
            public void write(byte[] bArr, int i2, int i3) {
                try {
                    ((FilterOutputStream) this).out.write(bArr, i2, i3);
                    ((FilterOutputStream) this).out.flush();
                } catch (Throwable unused) {
                    c.this.hasErrors = true;
                }
            }
        }

        public /* synthetic */ c(b bVar, d dVar, a aVar) {
            this(dVar);
        }

        public void abort() throws IOException {
            b.this.completeEdit(this, false);
        }

        public void abortUnlessCommitted() {
            if (this.committed) {
                return;
            }
            try {
                abort();
            } catch (Throwable unused) {
            }
        }

        public void commit() throws IOException {
            if (this.hasErrors) {
                b.this.completeEdit(this, false);
                b.this.removeByDiskKey(this.entry.diskKey);
            } else {
                b.this.completeEdit(this, true);
            }
            this.committed = true;
        }

        public String getString(int i2) throws IOException {
            InputStream newInputStream = newInputStream(i2);
            if (newInputStream != null) {
                return b.inputStreamToString(newInputStream);
            }
            return null;
        }

        public InputStream newInputStream(int i2) throws IOException {
            synchronized (b.this) {
                if (this.entry.currentEditor == this) {
                    if (this.entry.readable) {
                        try {
                            return new FileInputStream(this.entry.getCleanFile(i2));
                        } catch (FileNotFoundException unused) {
                            return null;
                        }
                    }
                    return null;
                }
                throw new IllegalStateException();
            }
        }

        public OutputStream newOutputStream(int i2) throws IOException {
            FileOutputStream fileOutputStream;
            a aVar;
            synchronized (b.this) {
                if (this.entry.currentEditor == this) {
                    if (!this.entry.readable) {
                        this.written[i2] = true;
                    }
                    File dirtyFile = this.entry.getDirtyFile(i2);
                    try {
                        fileOutputStream = new FileOutputStream(dirtyFile);
                    } catch (FileNotFoundException unused) {
                        b.this.directory.mkdirs();
                        try {
                            fileOutputStream = new FileOutputStream(dirtyFile);
                        } catch (FileNotFoundException unused2) {
                            return b.NULL_OUTPUT_STREAM;
                        }
                    }
                    aVar = new a(this, fileOutputStream, null);
                } else {
                    throw new IllegalStateException();
                }
            }
            return aVar;
        }

        public void set(int i2, String str) throws IOException {
            OutputStreamWriter outputStreamWriter = null;
            try {
                OutputStreamWriter outputStreamWriter2 = new OutputStreamWriter(newOutputStream(i2), "UTF-8");
                try {
                    outputStreamWriter2.write(str);
                    e.h.a.l.c.closeQuietly(outputStreamWriter2);
                } catch (Throwable th) {
                    th = th;
                    outputStreamWriter = outputStreamWriter2;
                    e.h.a.l.c.closeQuietly(outputStreamWriter);
                    throw th;
                }
            } catch (Throwable th2) {
                th = th2;
            }
        }

        public void setEntryExpiryTimestamp(long j2) {
            this.entry.expiryTimestamp = j2;
        }

        public c(d dVar) {
            this.entry = dVar;
            this.written = dVar.readable ? null : new boolean[b.this.valueCount];
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public final class d {
        public c currentEditor;
        public final String diskKey;
        public long expiryTimestamp;
        public final long[] lengths;
        public boolean readable;
        public long sequenceNumber;

        public /* synthetic */ d(b bVar, String str, a aVar) {
            this(str);
        }

        private IOException invalidLengths(String[] strArr) throws IOException {
            throw new IOException("unexpected journal line: " + Arrays.toString(strArr));
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void setLengths(String[] strArr, int i2) throws IOException {
            if (strArr.length - i2 == b.this.valueCount) {
                for (int i3 = 0; i3 < b.this.valueCount; i3++) {
                    try {
                        this.lengths[i3] = Long.parseLong(strArr[i3 + i2]);
                    } catch (NumberFormatException unused) {
                        throw invalidLengths(strArr);
                    }
                }
                return;
            }
            throw invalidLengths(strArr);
        }

        public File getCleanFile(int i2) {
            File file = b.this.directory;
            return new File(file, this.diskKey + e.b.a.a.f.b.DOT + i2);
        }

        public File getDirtyFile(int i2) {
            File file = b.this.directory;
            return new File(file, this.diskKey + e.b.a.a.f.b.DOT + i2 + ".tmp");
        }

        public String getLengths() throws IOException {
            long[] jArr;
            StringBuilder sb = new StringBuilder();
            for (long j2 : this.lengths) {
                sb.append(" ");
                sb.append(j2);
            }
            return sb.toString();
        }

        public d(String str) {
            this.expiryTimestamp = Long.MAX_VALUE;
            this.diskKey = str;
            this.lengths = new long[b.this.valueCount];
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public final class e implements Closeable {
        public final String diskKey;
        public final FileInputStream[] ins;
        public final long[] lengths;
        public final long sequenceNumber;

        public /* synthetic */ e(b bVar, String str, long j2, FileInputStream[] fileInputStreamArr, long[] jArr, a aVar) {
            this(str, j2, fileInputStreamArr, jArr);
        }

        @Override // java.io.Closeable, java.lang.AutoCloseable
        public void close() {
            for (FileInputStream fileInputStream : this.ins) {
                e.h.a.l.c.closeQuietly(fileInputStream);
            }
        }

        public c edit() throws IOException {
            return b.this.editByDiskKey(this.diskKey, this.sequenceNumber);
        }

        public FileInputStream getInputStream(int i2) {
            return this.ins[i2];
        }

        public long getLength(int i2) {
            return this.lengths[i2];
        }

        public String getString(int i2) throws IOException {
            return b.inputStreamToString(getInputStream(i2));
        }

        public e(String str, long j2, FileInputStream[] fileInputStreamArr, long[] jArr) {
            this.diskKey = str;
            this.sequenceNumber = j2;
            this.ins = fileInputStreamArr;
            this.lengths = jArr;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class f implements Closeable {
        public static final byte CR = 13;
        public static final byte LF = 10;
        public byte[] buf;
        public final Charset charset;
        public int end;
        public final InputStream in;
        public int pos;

        /* compiled from: AAA */
        /* loaded from: classes3.dex */
        public class a extends ByteArrayOutputStream {
            public a(int i2) {
                super(i2);
            }

            @Override // java.io.ByteArrayOutputStream
            public String toString() {
                int i2 = ((ByteArrayOutputStream) this).count;
                try {
                    return new String(((ByteArrayOutputStream) this).buf, 0, (i2 <= 0 || ((ByteArrayOutputStream) this).buf[i2 + (-1)] != 13) ? ((ByteArrayOutputStream) this).count : i2 - 1, f.this.charset.name());
                } catch (UnsupportedEncodingException e2) {
                    throw new AssertionError(e2);
                }
            }
        }

        public f(b bVar, InputStream inputStream) {
            this(inputStream, 8192);
        }

        private void fillBuf() throws IOException {
            InputStream inputStream = this.in;
            byte[] bArr = this.buf;
            int read = inputStream.read(bArr, 0, bArr.length);
            if (read != -1) {
                this.pos = 0;
                this.end = read;
                return;
            }
            throw new EOFException();
        }

        @Override // java.io.Closeable, java.lang.AutoCloseable
        public void close() throws IOException {
            synchronized (this.in) {
                if (this.buf != null) {
                    this.buf = null;
                    this.in.close();
                }
            }
        }

        public String readLine() throws IOException {
            int i2;
            int i3;
            synchronized (this.in) {
                if (this.buf != null) {
                    if (this.pos >= this.end) {
                        fillBuf();
                    }
                    for (int i4 = this.pos; i4 != this.end; i4++) {
                        if (this.buf[i4] == 10) {
                            if (i4 != this.pos) {
                                i3 = i4 - 1;
                                if (this.buf[i3] == 13) {
                                    String str = new String(this.buf, this.pos, i3 - this.pos, this.charset.name());
                                    this.pos = i4 + 1;
                                    return str;
                                }
                            }
                            i3 = i4;
                            String str2 = new String(this.buf, this.pos, i3 - this.pos, this.charset.name());
                            this.pos = i4 + 1;
                            return str2;
                        }
                    }
                    a aVar = new a((this.end - this.pos) + 80);
                    loop1: while (true) {
                        aVar.write(this.buf, this.pos, this.end - this.pos);
                        this.end = -1;
                        fillBuf();
                        i2 = this.pos;
                        while (i2 != this.end) {
                            if (this.buf[i2] == 10) {
                                break loop1;
                            }
                            i2++;
                        }
                    }
                    if (i2 != this.pos) {
                        aVar.write(this.buf, this.pos, i2 - this.pos);
                    }
                    aVar.flush();
                    this.pos = i2 + 1;
                    return aVar.toString();
                }
                throw new IOException("LineReader is closed");
            }
        }

        public f(InputStream inputStream, int i2) {
            this.charset = Charset.forName("US-ASCII");
            if (inputStream == null) {
                throw null;
            }
            if (i2 >= 0) {
                this.in = inputStream;
                this.buf = new byte[i2];
                return;
            }
            throw new IllegalArgumentException("capacity <= 0");
        }
    }

    public b(File file, int i2, int i3, long j2) {
        this.directory = file;
        this.appVersion = i2;
        this.journalFile = new File(file, "journal");
        this.journalFileTmp = new File(file, "journal.tmp");
        this.journalFileBackup = new File(file, "journal.bkp");
        this.valueCount = i3;
        this.maxSize = j2;
    }

    private void checkNotClosed() {
        if (this.journalWriter == null) {
            throw new IllegalStateException("cache is closed");
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public synchronized void completeEdit(c cVar, boolean z) throws IOException {
        d dVar = cVar.entry;
        if (dVar.currentEditor == cVar) {
            if (z && !dVar.readable) {
                for (int i2 = 0; i2 < this.valueCount; i2++) {
                    if (cVar.written[i2]) {
                        if (!dVar.getDirtyFile(i2).exists()) {
                            cVar.abort();
                            return;
                        }
                    } else {
                        cVar.abort();
                        throw new IllegalStateException("Newly created entry didn't create value for index " + i2);
                    }
                }
            }
            for (int i3 = 0; i3 < this.valueCount; i3++) {
                File dirtyFile = dVar.getDirtyFile(i3);
                if (z) {
                    if (dirtyFile.exists()) {
                        File cleanFile = dVar.getCleanFile(i3);
                        dirtyFile.renameTo(cleanFile);
                        long j2 = dVar.lengths[i3];
                        long length = cleanFile.length();
                        dVar.lengths[i3] = length;
                        this.size = (this.size - j2) + length;
                    }
                } else {
                    deleteIfExists(dirtyFile);
                }
            }
            this.redundantOpCount++;
            dVar.currentEditor = null;
            if (dVar.readable | z) {
                dVar.readable = true;
                this.journalWriter.write("C " + dVar.diskKey + " " + EXPIRY_PREFIX + dVar.expiryTimestamp + dVar.getLengths() + '\n');
                if (z) {
                    long j3 = this.nextSequenceNumber;
                    this.nextSequenceNumber = 1 + j3;
                    dVar.sequenceNumber = j3;
                }
            } else {
                this.lruEntries.remove(dVar.diskKey);
                this.journalWriter.write("D " + dVar.diskKey + '\n');
            }
            this.journalWriter.flush();
            if (this.size > this.maxSize || journalRebuildRequired()) {
                this.executorService.submit(this.cleanupCallable);
            }
            return;
        }
        throw new IllegalStateException();
    }

    public static void deleteContents(File file) throws IOException {
        File[] listFiles = file.listFiles();
        if (listFiles != null) {
            for (File file2 : listFiles) {
                if (file2.isDirectory()) {
                    deleteContents(file2);
                }
                if (file2.exists() && !file2.delete()) {
                    throw new IOException("failed to delete file: " + file2);
                }
            }
            return;
        }
        throw new IOException("not a readable directory: " + file);
    }

    public static void deleteIfExists(File file) throws IOException {
        if (file.exists() && !file.delete()) {
            throw new IOException();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public synchronized c editByDiskKey(String str, long j2) throws IOException {
        checkNotClosed();
        d dVar = this.lruEntries.get(str);
        if (j2 == -1 || (dVar != null && dVar.sequenceNumber == j2)) {
            if (dVar != null) {
                if (dVar.currentEditor != null) {
                    return null;
                }
            } else {
                dVar = new d(this, str, null);
                this.lruEntries.put(str, dVar);
            }
            c cVar = new c(this, dVar, null);
            dVar.currentEditor = cVar;
            Writer writer = this.journalWriter;
            writer.write("U " + str + '\n');
            this.journalWriter.flush();
            return cVar;
        }
        return null;
    }

    private synchronized e getByDiskKey(String str) throws IOException {
        checkNotClosed();
        d dVar = this.lruEntries.get(str);
        if (dVar == null) {
            return null;
        }
        if (dVar.readable) {
            int i2 = 0;
            if (dVar.expiryTimestamp < System.currentTimeMillis()) {
                while (i2 < this.valueCount) {
                    File cleanFile = dVar.getCleanFile(i2);
                    if (cleanFile.exists() && !cleanFile.delete()) {
                        throw new IOException("failed to delete " + cleanFile);
                    }
                    this.size -= dVar.lengths[i2];
                    dVar.lengths[i2] = 0;
                    i2++;
                }
                this.redundantOpCount++;
                this.journalWriter.append((CharSequence) ("D " + str + '\n'));
                this.lruEntries.remove(str);
                if (journalRebuildRequired()) {
                    this.executorService.submit(this.cleanupCallable);
                }
                return null;
            }
            FileInputStream[] fileInputStreamArr = new FileInputStream[this.valueCount];
            for (int i3 = 0; i3 < this.valueCount; i3++) {
                try {
                    fileInputStreamArr[i3] = new FileInputStream(dVar.getCleanFile(i3));
                } catch (FileNotFoundException unused) {
                    while (i2 < this.valueCount && fileInputStreamArr[i2] != null) {
                        e.h.a.l.c.closeQuietly(fileInputStreamArr[i2]);
                        i2++;
                    }
                    return null;
                }
            }
            this.redundantOpCount++;
            this.journalWriter.append((CharSequence) ("R " + str + '\n'));
            if (journalRebuildRequired()) {
                this.executorService.submit(this.cleanupCallable);
            }
            return new e(this, str, dVar.sequenceNumber, fileInputStreamArr, dVar.lengths, null);
        }
        return null;
    }

    public static String inputStreamToString(InputStream inputStream) throws IOException {
        return readFully(new InputStreamReader(inputStream, "UTF-8"));
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean journalRebuildRequired() {
        int i2 = this.redundantOpCount;
        return i2 >= 2000 && i2 >= this.lruEntries.size();
    }

    public static b open(File file, int i2, int i3, long j2) throws IOException {
        if (j2 > 0) {
            if (i3 > 0) {
                File file2 = new File(file, "journal.bkp");
                if (file2.exists()) {
                    File file3 = new File(file, "journal");
                    if (file3.exists()) {
                        file2.delete();
                    } else {
                        renameTo(file2, file3, false);
                    }
                }
                b bVar = new b(file, i2, i3, j2);
                if (bVar.journalFile.exists()) {
                    try {
                        bVar.readJournal();
                        bVar.processJournal();
                        bVar.journalWriter = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(bVar.journalFile, true), "US-ASCII"));
                        return bVar;
                    } catch (Throwable th) {
                        e.h.a.l.d.e("DiskLruCache " + file + " is corrupt: " + th.getMessage() + ", removing", th);
                        bVar.delete();
                    }
                }
                if (file.exists() || file.mkdirs()) {
                    b bVar2 = new b(file, i2, i3, j2);
                    bVar2.rebuildJournal();
                    return bVar2;
                }
                return bVar;
            }
            throw new IllegalArgumentException("valueCount <= 0");
        }
        throw new IllegalArgumentException("maxSize <= 0");
    }

    private void processJournal() throws IOException {
        deleteIfExists(this.journalFileTmp);
        Iterator<d> it = this.lruEntries.values().iterator();
        while (it.hasNext()) {
            d next = it.next();
            int i2 = 0;
            if (next.currentEditor != null) {
                next.currentEditor = null;
                while (i2 < this.valueCount) {
                    deleteIfExists(next.getCleanFile(i2));
                    deleteIfExists(next.getDirtyFile(i2));
                    i2++;
                }
                it.remove();
            } else {
                while (i2 < this.valueCount) {
                    this.size += next.lengths[i2];
                    i2++;
                }
            }
        }
    }

    public static String readFully(Reader reader) throws IOException {
        StringWriter stringWriter;
        Throwable th;
        try {
            stringWriter = new StringWriter();
            try {
                char[] cArr = new char[1024];
                while (true) {
                    int read = reader.read(cArr);
                    if (read != -1) {
                        stringWriter.write(cArr, 0, read);
                    } else {
                        String stringWriter2 = stringWriter.toString();
                        e.h.a.l.c.closeQuietly(reader);
                        e.h.a.l.c.closeQuietly(stringWriter);
                        return stringWriter2;
                    }
                }
            } catch (Throwable th2) {
                th = th2;
                e.h.a.l.c.closeQuietly(reader);
                e.h.a.l.c.closeQuietly(stringWriter);
                throw th;
            }
        } catch (Throwable th3) {
            stringWriter = null;
            th = th3;
        }
    }

    private void readJournal() throws IOException {
        f fVar = null;
        try {
            f fVar2 = new f(this, new FileInputStream(this.journalFile));
            try {
                String readLine = fVar2.readLine();
                String readLine2 = fVar2.readLine();
                String readLine3 = fVar2.readLine();
                String readLine4 = fVar2.readLine();
                String readLine5 = fVar2.readLine();
                if (!"libcore.io.DiskLruCache".equals(readLine) || !"1".equals(readLine2) || !Integer.toString(this.appVersion).equals(readLine3) || !Integer.toString(this.valueCount).equals(readLine4) || !"".equals(readLine5)) {
                    throw new IOException("unexpected journal header: [" + readLine + ", " + readLine2 + ", " + readLine4 + ", " + readLine5 + "]");
                }
                int i2 = 0;
                while (true) {
                    try {
                        readJournalLine(fVar2.readLine());
                        i2++;
                    } catch (EOFException unused) {
                        this.redundantOpCount = i2 - this.lruEntries.size();
                        e.h.a.l.c.closeQuietly(fVar2);
                        return;
                    }
                }
            } catch (Throwable th) {
                th = th;
                fVar = fVar2;
                e.h.a.l.c.closeQuietly(fVar);
                throw th;
            }
        } catch (Throwable th2) {
            th = th2;
        }
    }

    private void readJournalLine(String str) throws IOException {
        String substring;
        int indexOf = str.indexOf(32);
        if (indexOf == 1) {
            char charAt = str.charAt(0);
            int i2 = indexOf + 1;
            int indexOf2 = str.indexOf(32, i2);
            if (indexOf2 == -1) {
                substring = str.substring(i2);
                if (charAt == 'D') {
                    this.lruEntries.remove(substring);
                    return;
                }
            } else {
                substring = str.substring(i2, indexOf2);
            }
            d dVar = this.lruEntries.get(substring);
            if (dVar == null) {
                dVar = new d(this, substring, null);
                this.lruEntries.put(substring, dVar);
            }
            if (charAt != 'C') {
                if (charAt != 'R') {
                    if (charAt == 'U') {
                        dVar.currentEditor = new c(this, dVar, null);
                        return;
                    }
                    throw new IOException("unexpected journal line: " + str);
                }
                return;
            }
            dVar.readable = true;
            dVar.currentEditor = null;
            String[] split = str.substring(indexOf2 + 1).split(" ");
            if (split.length > 0) {
                if (split[0].charAt(0) == 't') {
                    dVar.expiryTimestamp = Long.valueOf(split[0].substring(1)).longValue();
                    dVar.setLengths(split, 1);
                } else {
                    dVar.expiryTimestamp = Long.MAX_VALUE;
                    dVar.setLengths(split, 0);
                }
                return;
            }
            return;
        }
        throw new IOException("unexpected journal line: " + str);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public synchronized void rebuildJournal() throws IOException {
        BufferedWriter bufferedWriter;
        Throwable th;
        if (this.journalWriter != null) {
            e.h.a.l.c.closeQuietly(this.journalWriter);
        }
        try {
            bufferedWriter = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(this.journalFileTmp), "US-ASCII"));
            try {
                bufferedWriter.write("libcore.io.DiskLruCache");
                bufferedWriter.write("\n");
                bufferedWriter.write("1");
                bufferedWriter.write("\n");
                bufferedWriter.write(Integer.toString(this.appVersion));
                bufferedWriter.write("\n");
                bufferedWriter.write(Integer.toString(this.valueCount));
                bufferedWriter.write("\n");
                bufferedWriter.write("\n");
                for (d dVar : this.lruEntries.values()) {
                    if (dVar.currentEditor != null) {
                        bufferedWriter.write("U " + dVar.diskKey + '\n');
                    } else {
                        bufferedWriter.write("C " + dVar.diskKey + " " + EXPIRY_PREFIX + dVar.expiryTimestamp + dVar.getLengths() + '\n');
                    }
                }
                e.h.a.l.c.closeQuietly(bufferedWriter);
                if (this.journalFile.exists()) {
                    renameTo(this.journalFile, this.journalFileBackup, true);
                }
                renameTo(this.journalFileTmp, this.journalFile, false);
                this.journalFileBackup.delete();
                this.journalWriter = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(this.journalFile, true), "US-ASCII"));
            } catch (Throwable th2) {
                th = th2;
                e.h.a.l.c.closeQuietly(bufferedWriter);
                throw th;
            }
        } catch (Throwable th3) {
            bufferedWriter = null;
            th = th3;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public synchronized boolean removeByDiskKey(String str) throws IOException {
        checkNotClosed();
        d dVar = this.lruEntries.get(str);
        if (dVar != null && dVar.currentEditor == null) {
            for (int i2 = 0; i2 < this.valueCount; i2++) {
                File cleanFile = dVar.getCleanFile(i2);
                if (cleanFile.exists() && !cleanFile.delete()) {
                    throw new IOException("failed to delete " + cleanFile);
                }
                this.size -= dVar.lengths[i2];
                dVar.lengths[i2] = 0;
            }
            this.redundantOpCount++;
            this.journalWriter.append((CharSequence) ("D " + str + '\n'));
            this.lruEntries.remove(str);
            if (journalRebuildRequired()) {
                this.executorService.submit(this.cleanupCallable);
            }
            return true;
        }
        return false;
    }

    public static void renameTo(File file, File file2, boolean z) throws IOException {
        if (z) {
            deleteIfExists(file2);
        }
        if (!file.renameTo(file2)) {
            throw new IOException();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void trimToSize() throws IOException {
        while (this.size > this.maxSize) {
            removeByDiskKey(this.lruEntries.entrySet().iterator().next().getKey());
        }
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public synchronized void close() throws IOException {
        if (this.journalWriter == null) {
            return;
        }
        Iterator it = new ArrayList(this.lruEntries.values()).iterator();
        while (it.hasNext()) {
            d dVar = (d) it.next();
            if (dVar.currentEditor != null) {
                dVar.currentEditor.abort();
            }
        }
        trimToSize();
        this.journalWriter.close();
        this.journalWriter = null;
    }

    public void delete() throws IOException {
        e.h.a.l.c.closeQuietly(this);
        deleteContents(this.directory);
    }

    public c edit(String str) throws IOException {
        return editByDiskKey(this.fileNameGenerator.generate(str), -1L);
    }

    public synchronized void flush() throws IOException {
        checkNotClosed();
        trimToSize();
        this.journalWriter.flush();
    }

    public e get(String str) throws IOException {
        return getByDiskKey(this.fileNameGenerator.generate(str));
    }

    public File getCacheFile(String str, int i2) {
        String generate = this.fileNameGenerator.generate(str);
        File file = this.directory;
        File file2 = new File(file, generate + e.b.a.a.f.b.DOT + i2);
        if (file2.exists()) {
            return file2;
        }
        try {
            remove(str);
            return null;
        } catch (IOException unused) {
            return null;
        }
    }

    public File getDirectory() {
        return this.directory;
    }

    public synchronized long getExpiryTimestamp(String str) throws IOException {
        String generate = this.fileNameGenerator.generate(str);
        checkNotClosed();
        d dVar = this.lruEntries.get(generate);
        if (dVar == null) {
            return 0L;
        }
        return dVar.expiryTimestamp;
    }

    public e.h.a.h.a getFileNameGenerator() {
        return this.fileNameGenerator;
    }

    public synchronized long getMaxSize() {
        return this.maxSize;
    }

    public synchronized boolean isClosed() {
        return this.journalWriter == null;
    }

    public boolean remove(String str) throws IOException {
        return removeByDiskKey(this.fileNameGenerator.generate(str));
    }

    public void setFileNameGenerator(e.h.a.h.a aVar) {
        if (aVar != null) {
            this.fileNameGenerator = aVar;
        }
    }

    public synchronized void setMaxSize(long j2) {
        this.maxSize = j2;
        this.executorService.submit(this.cleanupCallable);
    }

    public synchronized long size() {
        return this.size;
    }
}
