package e.h.a.h;

import com.lidroid.xutils.cache.KeyExpiryMap;
import java.util.LinkedHashMap;
import java.util.Map;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class c<K, V> {
    public int createCount;
    public int evictionCount;
    public int hitCount;
    public KeyExpiryMap<K, Long> keyExpiryMap;
    public final LinkedHashMap<K, V> map;
    public int maxSize;
    public int missCount;
    public int putCount;
    public int size;

    public c(int i2) {
        if (i2 > 0) {
            this.maxSize = i2;
            this.map = new LinkedHashMap<>(0, 0.75f, true);
            this.keyExpiryMap = new KeyExpiryMap<>(0, 0.75f);
            return;
        }
        throw new IllegalArgumentException("maxSize <= 0");
    }

    private int safeSizeOf(K k2, V v) {
        int sizeOf = sizeOf(k2, v);
        if (sizeOf <= 0) {
            this.size = 0;
            for (Map.Entry<K, V> entry : this.map.entrySet()) {
                this.size += sizeOf(entry.getKey(), entry.getValue());
            }
        }
        return sizeOf;
    }

    private void trimToSize(int i2) {
        K key;
        V value;
        while (true) {
            synchronized (this) {
                if (this.size <= i2 || this.map.isEmpty()) {
                    break;
                }
                Map.Entry<K, V> next = this.map.entrySet().iterator().next();
                key = next.getKey();
                value = next.getValue();
                this.map.remove(key);
                this.keyExpiryMap.remove((Object) key);
                this.size -= safeSizeOf(key, value);
                this.evictionCount++;
            }
            entryRemoved(true, key, value, null);
        }
    }

    public final boolean containsKey(K k2) {
        return this.map.containsKey(k2);
    }

    public V create(K k2) {
        return null;
    }

    public final synchronized int createCount() {
        return this.createCount;
    }

    public void entryRemoved(boolean z, K k2, V v, V v2) {
    }

    public final void evictAll() {
        trimToSize(-1);
        this.keyExpiryMap.clear();
    }

    public final synchronized int evictionCount() {
        return this.evictionCount;
    }

    public final V get(K k2) {
        V put;
        if (k2 != null) {
            synchronized (this) {
                if (!this.keyExpiryMap.containsKey(k2)) {
                    remove(k2);
                    return null;
                }
                V v = this.map.get(k2);
                if (v != null) {
                    this.hitCount++;
                    return v;
                }
                this.missCount++;
                V create = create(k2);
                if (create == null) {
                    return null;
                }
                synchronized (this) {
                    this.createCount++;
                    put = this.map.put(k2, create);
                    if (put != null) {
                        this.map.put(k2, put);
                    } else {
                        this.size += safeSizeOf(k2, create);
                    }
                }
                if (put != null) {
                    entryRemoved(false, k2, create, put);
                    return put;
                }
                trimToSize(this.maxSize);
                return create;
            }
        }
        throw new NullPointerException("key == null");
    }

    public final synchronized int hitCount() {
        return this.hitCount;
    }

    public final synchronized int maxSize() {
        return this.maxSize;
    }

    public final synchronized int missCount() {
        return this.missCount;
    }

    public final V put(K k2, V v) {
        return put(k2, v, Long.MAX_VALUE);
    }

    public final synchronized int putCount() {
        return this.putCount;
    }

    public final V remove(K k2) {
        V remove;
        if (k2 != null) {
            synchronized (this) {
                remove = this.map.remove(k2);
                this.keyExpiryMap.remove((Object) k2);
                if (remove != null) {
                    this.size -= safeSizeOf(k2, remove);
                }
            }
            if (remove != null) {
                entryRemoved(false, k2, remove, null);
            }
            return remove;
        }
        throw new NullPointerException("key == null");
    }

    public void setMaxSize(int i2) {
        this.maxSize = i2;
        trimToSize(i2);
    }

    public final synchronized int size() {
        return this.size;
    }

    public int sizeOf(K k2, V v) {
        return 1;
    }

    public final synchronized Map<K, V> snapshot() {
        return new LinkedHashMap(this.map);
    }

    public final synchronized String toString() {
        int i2;
        i2 = this.hitCount + this.missCount;
        return String.format("LruMemoryCache[maxSize=%d,hits=%d,misses=%d,hitRate=%d%%]", Integer.valueOf(this.maxSize), Integer.valueOf(this.hitCount), Integer.valueOf(this.missCount), Integer.valueOf(i2 != 0 ? (this.hitCount * 100) / i2 : 0));
    }

    public final V put(K k2, V v, long j2) {
        V put;
        if (k2 != null && v != null) {
            synchronized (this) {
                this.putCount++;
                this.size += safeSizeOf(k2, v);
                put = this.map.put(k2, v);
                this.keyExpiryMap.put((KeyExpiryMap<K, Long>) k2, Long.valueOf(j2));
                if (put != null) {
                    this.size -= safeSizeOf(k2, put);
                }
            }
            if (put != null) {
                entryRemoved(false, k2, put, v);
            }
            trimToSize(this.maxSize);
            return put;
        }
        throw new NullPointerException("key == null || value == null");
    }
}
