package e.h.a.i.b;

import com.joke.chongya.basecommons.view.loading.util.VectorCommand;
import com.lidroid.xutils.exception.DbException;
import e.h.a.i.c.i;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashSet;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class g {
    public static f buildCreateTableSqlInfo(e.h.a.c cVar, Class<?> cls) throws DbException {
        e.h.a.i.c.h hVar = e.h.a.i.c.h.get(cVar, cls);
        e.h.a.i.c.f fVar = hVar.id;
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("CREATE TABLE IF NOT EXISTS ");
        stringBuffer.append(hVar.tableName);
        stringBuffer.append(" ( ");
        if (fVar.isAutoIncrement()) {
            stringBuffer.append("\"");
            stringBuffer.append(fVar.getColumnName());
            stringBuffer.append("\"  ");
            stringBuffer.append("INTEGER PRIMARY KEY AUTOINCREMENT,");
        } else {
            stringBuffer.append("\"");
            stringBuffer.append(fVar.getColumnName());
            stringBuffer.append("\"  ");
            stringBuffer.append(fVar.getColumnDbType());
            stringBuffer.append(" PRIMARY KEY,");
        }
        for (e.h.a.i.c.a aVar : hVar.columnMap.values()) {
            if (!(aVar instanceof e.h.a.i.c.d)) {
                stringBuffer.append("\"");
                stringBuffer.append(aVar.getColumnName());
                stringBuffer.append("\"  ");
                stringBuffer.append(aVar.getColumnDbType());
                if (e.h.a.i.c.b.isUnique(aVar.getColumnField())) {
                    stringBuffer.append(" UNIQUE");
                }
                if (e.h.a.i.c.b.isNotNull(aVar.getColumnField())) {
                    stringBuffer.append(" NOT NULL");
                }
                String check = e.h.a.i.c.b.getCheck(aVar.getColumnField());
                if (check != null) {
                    stringBuffer.append(" CHECK(");
                    stringBuffer.append(check);
                    stringBuffer.append(")");
                }
                stringBuffer.append(VectorCommand.SVG_ARG_DELIMITER);
            }
        }
        stringBuffer.deleteCharAt(stringBuffer.length() - 1);
        stringBuffer.append(" )");
        return new f(stringBuffer.toString());
    }

    public static String buildDeleteSqlByTableName(String str) {
        return "DELETE FROM " + str;
    }

    public static f buildDeleteSqlInfo(e.h.a.c cVar, Object obj) throws DbException {
        f fVar = new f();
        e.h.a.i.c.h hVar = e.h.a.i.c.h.get(cVar, obj.getClass());
        e.h.a.i.c.f fVar2 = hVar.id;
        Object columnValue = fVar2.getColumnValue(obj);
        if (columnValue != null) {
            fVar.setSql(buildDeleteSqlByTableName(hVar.tableName) + " WHERE " + h.b(fVar2.getColumnName(), e.h.a.j.g.e.b.NAME_VALUE_SEPARATOR, columnValue));
            return fVar;
        }
        throw new DbException("this entity[" + obj.getClass() + "]'s id value is null");
    }

    public static f buildInsertSqlInfo(e.h.a.c cVar, Object obj) throws DbException {
        List<e.h.a.i.c.g> entity2KeyValueList = entity2KeyValueList(cVar, obj);
        if (entity2KeyValueList.size() == 0) {
            return null;
        }
        f fVar = new f();
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("INSERT INTO ");
        stringBuffer.append(i.getTableName(obj.getClass()));
        stringBuffer.append(" (");
        for (e.h.a.i.c.g gVar : entity2KeyValueList) {
            stringBuffer.append(gVar.key);
            stringBuffer.append(VectorCommand.SVG_ARG_DELIMITER);
            fVar.addBindArgWithoutConverter(gVar.value);
        }
        stringBuffer.deleteCharAt(stringBuffer.length() - 1);
        stringBuffer.append(") VALUES (");
        int size = entity2KeyValueList.size();
        for (int i2 = 0; i2 < size; i2++) {
            stringBuffer.append("?,");
        }
        stringBuffer.deleteCharAt(stringBuffer.length() - 1);
        stringBuffer.append(")");
        fVar.setSql(stringBuffer.toString());
        return fVar;
    }

    public static f buildReplaceSqlInfo(e.h.a.c cVar, Object obj) throws DbException {
        List<e.h.a.i.c.g> entity2KeyValueList = entity2KeyValueList(cVar, obj);
        if (entity2KeyValueList.size() == 0) {
            return null;
        }
        f fVar = new f();
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("REPLACE INTO ");
        stringBuffer.append(i.getTableName(obj.getClass()));
        stringBuffer.append(" (");
        for (e.h.a.i.c.g gVar : entity2KeyValueList) {
            stringBuffer.append(gVar.key);
            stringBuffer.append(VectorCommand.SVG_ARG_DELIMITER);
            fVar.addBindArgWithoutConverter(gVar.value);
        }
        stringBuffer.deleteCharAt(stringBuffer.length() - 1);
        stringBuffer.append(") VALUES (");
        int size = entity2KeyValueList.size();
        for (int i2 = 0; i2 < size; i2++) {
            stringBuffer.append("?,");
        }
        stringBuffer.deleteCharAt(stringBuffer.length() - 1);
        stringBuffer.append(")");
        fVar.setSql(stringBuffer.toString());
        return fVar;
    }

    public static f buildUpdateSqlInfo(e.h.a.c cVar, Object obj, String... strArr) throws DbException {
        List<e.h.a.i.c.g> entity2KeyValueList = entity2KeyValueList(cVar, obj);
        HashSet hashSet = null;
        if (entity2KeyValueList.size() == 0) {
            return null;
        }
        if (strArr != null && strArr.length > 0) {
            hashSet = new HashSet(strArr.length);
            Collections.addAll(hashSet, strArr);
        }
        e.h.a.i.c.h hVar = e.h.a.i.c.h.get(cVar, obj.getClass());
        e.h.a.i.c.f fVar = hVar.id;
        Object columnValue = fVar.getColumnValue(obj);
        if (columnValue != null) {
            f fVar2 = new f();
            StringBuffer stringBuffer = new StringBuffer("UPDATE ");
            stringBuffer.append(hVar.tableName);
            stringBuffer.append(" SET ");
            for (e.h.a.i.c.g gVar : entity2KeyValueList) {
                if (hashSet == null || hashSet.contains(gVar.key)) {
                    stringBuffer.append(gVar.key);
                    stringBuffer.append("=?,");
                    fVar2.addBindArgWithoutConverter(gVar.value);
                }
            }
            stringBuffer.deleteCharAt(stringBuffer.length() - 1);
            stringBuffer.append(" WHERE ");
            stringBuffer.append(h.b(fVar.getColumnName(), e.h.a.j.g.e.b.NAME_VALUE_SEPARATOR, columnValue));
            fVar2.setSql(stringBuffer.toString());
            return fVar2;
        }
        throw new DbException("this entity[" + obj.getClass() + "]'s id value is null");
    }

    public static e.h.a.i.c.g column2KeyValue(Object obj, e.h.a.i.c.a aVar) {
        String columnName = aVar.getColumnName();
        if (columnName != null) {
            Object columnValue = aVar.getColumnValue(obj);
            if (columnValue == null) {
                columnValue = aVar.getDefaultValue();
            }
            return new e.h.a.i.c.g(columnName, columnValue);
        }
        return null;
    }

    public static List<e.h.a.i.c.g> entity2KeyValueList(e.h.a.c cVar, Object obj) {
        e.h.a.i.c.g column2KeyValue;
        ArrayList arrayList = new ArrayList();
        e.h.a.i.c.h hVar = e.h.a.i.c.h.get(cVar, obj.getClass());
        e.h.a.i.c.f fVar = hVar.id;
        if (!fVar.isAutoIncrement()) {
            arrayList.add(new e.h.a.i.c.g(fVar.getColumnName(), fVar.getColumnValue(obj)));
        }
        for (e.h.a.i.c.a aVar : hVar.columnMap.values()) {
            if (!(aVar instanceof e.h.a.i.c.d) && (column2KeyValue = column2KeyValue(obj, aVar)) != null) {
                arrayList.add(column2KeyValue);
            }
        }
        return arrayList;
    }

    public static f buildDeleteSqlInfo(e.h.a.c cVar, Class<?> cls, Object obj) throws DbException {
        f fVar = new f();
        e.h.a.i.c.h hVar = e.h.a.i.c.h.get(cVar, cls);
        e.h.a.i.c.f fVar2 = hVar.id;
        if (obj != null) {
            fVar.setSql(buildDeleteSqlByTableName(hVar.tableName) + " WHERE " + h.b(fVar2.getColumnName(), e.h.a.j.g.e.b.NAME_VALUE_SEPARATOR, obj));
            return fVar;
        }
        throw new DbException("this entity[" + cls + "]'s id value is null");
    }

    public static f buildDeleteSqlInfo(e.h.a.c cVar, Class<?> cls, h hVar) throws DbException {
        StringBuilder sb = new StringBuilder(buildDeleteSqlByTableName(e.h.a.i.c.h.get(cVar, cls).tableName));
        if (hVar != null && hVar.getWhereItemSize() > 0) {
            sb.append(" WHERE ");
            sb.append(hVar.toString());
        }
        return new f(sb.toString());
    }

    public static f buildUpdateSqlInfo(e.h.a.c cVar, Object obj, h hVar, String... strArr) throws DbException {
        List<e.h.a.i.c.g> entity2KeyValueList = entity2KeyValueList(cVar, obj);
        HashSet hashSet = null;
        if (entity2KeyValueList.size() == 0) {
            return null;
        }
        if (strArr != null && strArr.length > 0) {
            hashSet = new HashSet(strArr.length);
            Collections.addAll(hashSet, strArr);
        }
        String tableName = i.getTableName(obj.getClass());
        f fVar = new f();
        StringBuffer stringBuffer = new StringBuffer("UPDATE ");
        stringBuffer.append(tableName);
        stringBuffer.append(" SET ");
        for (e.h.a.i.c.g gVar : entity2KeyValueList) {
            if (hashSet == null || hashSet.contains(gVar.key)) {
                stringBuffer.append(gVar.key);
                stringBuffer.append("=?,");
                fVar.addBindArgWithoutConverter(gVar.value);
            }
        }
        stringBuffer.deleteCharAt(stringBuffer.length() - 1);
        if (hVar != null && hVar.getWhereItemSize() > 0) {
            stringBuffer.append(" WHERE ");
            stringBuffer.append(hVar.toString());
        }
        fVar.setSql(stringBuffer.toString());
        return fVar;
    }
}
