package e.h.a.i.c;

import com.lidroid.xutils.db.annotation.NoAutoIncrement;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.HashSet;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class f extends a {
    public String columnFieldClassName;
    public boolean isAutoIncrement;
    public boolean isAutoIncrementChecked;
    public static final HashSet<String> INTEGER_TYPES = new HashSet<>(2);
    public static final HashSet<String> AUTO_INCREMENT_TYPES = new HashSet<>(4);

    static {
        INTEGER_TYPES.add(Integer.TYPE.getName());
        INTEGER_TYPES.add(Integer.class.getName());
        AUTO_INCREMENT_TYPES.addAll(INTEGER_TYPES);
        AUTO_INCREMENT_TYPES.add(Long.TYPE.getName());
        AUTO_INCREMENT_TYPES.add(Long.class.getName());
    }

    public f(Class<?> cls, Field field) {
        super(cls, field);
        this.isAutoIncrementChecked = false;
        this.isAutoIncrement = false;
        this.columnFieldClassName = this.columnField.getType().getName();
    }

    @Override // e.h.a.i.c.a
    public Object getColumnValue(Object obj) {
        Object columnValue = super.getColumnValue(obj);
        if (columnValue != null) {
            if (isAutoIncrement() && (columnValue.equals(0) || columnValue.equals(0L))) {
                return null;
            }
            return columnValue;
        }
        return null;
    }

    public boolean isAutoIncrement() {
        if (!this.isAutoIncrementChecked) {
            boolean z = true;
            this.isAutoIncrementChecked = true;
            this.isAutoIncrement = (this.columnField.getAnnotation(NoAutoIncrement.class) == null && AUTO_INCREMENT_TYPES.contains(this.columnFieldClassName)) ? false : false;
        }
        return this.isAutoIncrement;
    }

    public void setAutoIncrementId(Object obj, long j2) {
        Object valueOf = Long.valueOf(j2);
        if (INTEGER_TYPES.contains(this.columnFieldClassName)) {
            valueOf = Integer.valueOf((int) j2);
        }
        Method method = this.setMethod;
        if (method != null) {
            try {
                method.invoke(obj, valueOf);
                return;
            } catch (Throwable th) {
                e.h.a.l.d.e(th.getMessage(), th);
                return;
            }
        }
        try {
            this.columnField.setAccessible(true);
            this.columnField.set(obj, valueOf);
        } catch (Throwable th2) {
            e.h.a.l.d.e(th2.getMessage(), th2);
        }
    }
}
