package e.h.a.i.c;

import android.text.TextUtils;
import com.lidroid.xutils.db.annotation.Id;
import com.lidroid.xutils.db.annotation.Table;
import java.lang.reflect.Field;
import java.lang.reflect.Modifier;
import java.util.HashMap;
import java.util.concurrent.ConcurrentHashMap;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class i {
    public static ConcurrentHashMap<String, HashMap<String, a>> entityColumnsMap = new ConcurrentHashMap<>();
    public static ConcurrentHashMap<String, f> entityIdMap = new ConcurrentHashMap<>();

    public static void addColumns2Map(Class<?> cls, String str, HashMap<String, a> hashMap) {
        Field[] declaredFields;
        if (Object.class.equals(cls)) {
            return;
        }
        try {
            for (Field field : cls.getDeclaredFields()) {
                if (!b.isTransient(field) && !Modifier.isStatic(field.getModifiers())) {
                    if (e.h.a.i.a.f.isSupportColumnConverter(field.getType())) {
                        if (!field.getName().equals(str)) {
                            a aVar = new a(cls, field);
                            if (!hashMap.containsKey(aVar.getColumnName())) {
                                hashMap.put(aVar.getColumnName(), aVar);
                            }
                        }
                    } else if (b.isForeign(field)) {
                        e eVar = new e(cls, field);
                        if (!hashMap.containsKey(eVar.getColumnName())) {
                            hashMap.put(eVar.getColumnName(), eVar);
                        }
                    } else if (b.isFinder(field)) {
                        d dVar = new d(cls, field);
                        if (!hashMap.containsKey(dVar.getColumnName())) {
                            hashMap.put(dVar.getColumnName(), dVar);
                        }
                    }
                }
            }
            if (Object.class.equals(cls.getSuperclass())) {
                return;
            }
            addColumns2Map(cls.getSuperclass(), str, hashMap);
        } catch (Throwable th) {
            e.h.a.l.d.e(th.getMessage(), th);
        }
    }

    public static synchronized HashMap<String, a> getColumnMap(Class<?> cls) {
        synchronized (i.class) {
            if (entityColumnsMap.containsKey(cls.getName())) {
                return entityColumnsMap.get(cls.getName());
            }
            HashMap<String, a> hashMap = new HashMap<>();
            addColumns2Map(cls, getPrimaryKeyFieldName(cls), hashMap);
            entityColumnsMap.put(cls.getName(), hashMap);
            return hashMap;
        }
    }

    public static a getColumnOrId(Class<?> cls, String str) {
        if (getPrimaryKeyColumnName(cls).equals(str)) {
            return getId(cls);
        }
        return getColumnMap(cls).get(str);
    }

    public static String getExecAfterTableCreated(Class<?> cls) {
        Table table = (Table) cls.getAnnotation(Table.class);
        if (table != null) {
            return table.execAfterTableCreated();
        }
        return null;
    }

    public static synchronized f getId(Class<?> cls) {
        synchronized (i.class) {
            if (!Object.class.equals(cls)) {
                if (entityIdMap.containsKey(cls.getName())) {
                    return entityIdMap.get(cls.getName());
                }
                Field field = null;
                Field[] declaredFields = cls.getDeclaredFields();
                if (declaredFields != null) {
                    int length = declaredFields.length;
                    int i2 = 0;
                    while (true) {
                        if (i2 >= length) {
                            break;
                        }
                        Field field2 = declaredFields[i2];
                        if (field2.getAnnotation(Id.class) != null) {
                            field = field2;
                            break;
                        }
                        i2++;
                    }
                    if (field == null) {
                        for (Field field3 : declaredFields) {
                            if (!"id".equals(field3.getName()) && !"_id".equals(field3.getName())) {
                            }
                            field = field3;
                            break;
                        }
                    }
                }
                if (field == null) {
                    return getId(cls.getSuperclass());
                }
                f fVar = new f(cls, field);
                entityIdMap.put(cls.getName(), fVar);
                return fVar;
            }
            throw new RuntimeException("field 'id' not found");
        }
    }

    public static String getPrimaryKeyColumnName(Class<?> cls) {
        f id = getId(cls);
        if (id == null) {
            return null;
        }
        return id.getColumnName();
    }

    public static String getPrimaryKeyFieldName(Class<?> cls) {
        f id = getId(cls);
        if (id == null) {
            return null;
        }
        return id.getColumnField().getName();
    }

    public static String getTableName(Class<?> cls) {
        Table table = (Table) cls.getAnnotation(Table.class);
        if (table != null && !TextUtils.isEmpty(table.name())) {
            return table.name();
        }
        return cls.getName().replace(g.a.a.a.a.d.PACKAGE_SEPARATOR_CHAR, '_');
    }
}
