package e.h.a.k;

import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Process;
import com.lidroid.xutils.task.Priority;
import java.util.concurrent.Callable;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.FutureTask;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.concurrent.atomic.AtomicBoolean;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public abstract class b<Params, Progress, Result> implements f {
    public static final int MESSAGE_POST_PROGRESS = 2;
    public static final int MESSAGE_POST_RESULT = 1;
    public Priority priority;
    public static final d sHandler = new d(null);
    public static final Executor sDefaultExecutor = new e.h.a.k.c();
    public volatile boolean mExecuteInvoked = false;
    public final AtomicBoolean mCancelled = new AtomicBoolean();
    public final AtomicBoolean mTaskInvoked = new AtomicBoolean();
    public final e<Params, Result> mWorker = new a();
    public final FutureTask<Result> mFuture = new C0287b(this.mWorker);

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class a extends e<Params, Result> {
        public a() {
            super(null);
        }

        @Override // java.util.concurrent.Callable
        public Result call() throws Exception {
            b.this.mTaskInvoked.set(true);
            Process.setThreadPriority(10);
            b bVar = b.this;
            return (Result) bVar.postResult(bVar.doInBackground(this.mParams));
        }
    }

    /* compiled from: AAA */
    /* renamed from: e.h.a.k.b$b  reason: collision with other inner class name */
    /* loaded from: classes3.dex */
    public class C0287b extends FutureTask<Result> {
        public C0287b(Callable callable) {
            super(callable);
        }

        @Override // java.util.concurrent.FutureTask
        public void done() {
            try {
                b.this.postResultIfNotInvoked(get());
            } catch (InterruptedException e2) {
                e.h.a.l.d.d(e2.getMessage());
            } catch (CancellationException unused) {
                b.this.postResultIfNotInvoked(null);
            } catch (ExecutionException e3) {
                throw new RuntimeException("An error occured while executing doInBackground()", e3.getCause());
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class c<Data> {
        public final Data[] mData;
        public final b mTask;

        public c(b bVar, Data... dataArr) {
            this.mTask = bVar;
            this.mData = dataArr;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class d extends Handler {
        public /* synthetic */ d(a aVar) {
            this();
        }

        @Override // android.os.Handler
        public void handleMessage(Message message) {
            c cVar = (c) message.obj;
            int i2 = message.what;
            if (i2 == 1) {
                cVar.mTask.finish(cVar.mData[0]);
            } else if (i2 != 2) {
            } else {
                cVar.mTask.onProgressUpdate(cVar.mData);
            }
        }

        public d() {
            super(Looper.getMainLooper());
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static abstract class e<Params, Result> implements Callable<Result> {
        public Params[] mParams;

        public e() {
        }

        public /* synthetic */ e(a aVar) {
            this();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void finish(Result result) {
        if (isCancelled()) {
            onCancelled(result);
        } else {
            onPostExecute(result);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public Result postResult(Result result) {
        sHandler.obtainMessage(1, new c(this, result)).sendToTarget();
        return result;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void postResultIfNotInvoked(Result result) {
        if (this.mTaskInvoked.get()) {
            return;
        }
        postResult(result);
    }

    public final boolean cancel(boolean z) {
        this.mCancelled.set(true);
        return this.mFuture.cancel(z);
    }

    public abstract Result doInBackground(Params... paramsArr);

    public final b<Params, Progress, Result> execute(Params... paramsArr) {
        return executeOnExecutor(sDefaultExecutor, paramsArr);
    }

    public final b<Params, Progress, Result> executeOnExecutor(Executor executor, Params... paramsArr) {
        if (!this.mExecuteInvoked) {
            this.mExecuteInvoked = true;
            onPreExecute();
            this.mWorker.mParams = paramsArr;
            executor.execute(new e.h.a.k.e(this.priority, this.mFuture));
            return this;
        }
        throw new IllegalStateException("Cannot execute task: the task is already executed.");
    }

    public final Result get() throws InterruptedException, ExecutionException {
        return this.mFuture.get();
    }

    public Priority getPriority() {
        return this.priority;
    }

    @Override // e.h.a.k.f
    public final boolean isCancelled() {
        return this.mCancelled.get();
    }

    @Override // e.h.a.k.f
    public boolean isPaused() {
        return false;
    }

    public void onCancelled() {
    }

    public void onCancelled(Result result) {
        onCancelled();
    }

    public void onPostExecute(Result result) {
    }

    public void onPreExecute() {
    }

    public void onProgressUpdate(Progress... progressArr) {
    }

    @Override // e.h.a.k.f
    public void pause() {
    }

    public final void publishProgress(Progress... progressArr) {
        if (isCancelled()) {
            return;
        }
        sHandler.obtainMessage(2, new c(this, progressArr)).sendToTarget();
    }

    @Override // e.h.a.k.f
    public void resume() {
    }

    public void setPriority(Priority priority) {
        this.priority = priority;
    }

    @Override // e.h.a.k.f
    public boolean supportCancel() {
        return true;
    }

    @Override // e.h.a.k.f
    public boolean supportPause() {
        return false;
    }

    @Override // e.h.a.k.f
    public boolean supportResume() {
        return false;
    }

    public static void execute(Runnable runnable) {
        execute(runnable, Priority.DEFAULT);
    }

    public final Result get(long j2, TimeUnit timeUnit) throws InterruptedException, ExecutionException, TimeoutException {
        return this.mFuture.get(j2, timeUnit);
    }

    public static void execute(Runnable runnable, Priority priority) {
        sDefaultExecutor.execute(new e.h.a.k.e(priority, runnable));
    }

    @Override // e.h.a.k.f
    public void cancel() {
        cancel(true);
    }
}
