package e.h.a.l;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class b<K1, K2, V> {
    public ConcurrentHashMap<K1, ConcurrentHashMap<K2, V>> k1_k2V_map = new ConcurrentHashMap<>();

    public void clear() {
        if (this.k1_k2V_map.size() > 0) {
            for (ConcurrentHashMap<K2, V> concurrentHashMap : this.k1_k2V_map.values()) {
                concurrentHashMap.clear();
            }
            this.k1_k2V_map.clear();
        }
    }

    public boolean containsKey(K1 k1, K2 k2) {
        if (this.k1_k2V_map.containsKey(k1)) {
            return this.k1_k2V_map.get(k1).containsKey(k2);
        }
        return false;
    }

    public ConcurrentHashMap<K2, V> get(K1 k1) {
        return this.k1_k2V_map.get(k1);
    }

    public Collection<V> getAllValues(K1 k1) {
        ConcurrentHashMap<K2, V> concurrentHashMap = this.k1_k2V_map.get(k1);
        if (concurrentHashMap == null) {
            return null;
        }
        return concurrentHashMap.values();
    }

    public Set<K1> getFirstKeys() {
        return this.k1_k2V_map.keySet();
    }

    public void put(K1 k1, K2 k2, V v) {
        if (k1 == null || k2 == null || v == null) {
            return;
        }
        if (this.k1_k2V_map.containsKey(k1)) {
            ConcurrentHashMap<K2, V> concurrentHashMap = this.k1_k2V_map.get(k1);
            if (concurrentHashMap != null) {
                concurrentHashMap.put(k2, v);
                return;
            }
            ConcurrentHashMap<K2, V> concurrentHashMap2 = new ConcurrentHashMap<>();
            concurrentHashMap2.put(k2, v);
            this.k1_k2V_map.put(k1, concurrentHashMap2);
            return;
        }
        ConcurrentHashMap<K2, V> concurrentHashMap3 = new ConcurrentHashMap<>();
        concurrentHashMap3.put(k2, v);
        this.k1_k2V_map.put(k1, concurrentHashMap3);
    }

    public void remove(K1 k1) {
        this.k1_k2V_map.remove(k1);
    }

    public int size() {
        int i2 = 0;
        if (this.k1_k2V_map.size() == 0) {
            return 0;
        }
        for (ConcurrentHashMap<K2, V> concurrentHashMap : this.k1_k2V_map.values()) {
            i2 += concurrentHashMap.size();
        }
        return i2;
    }

    public V get(K1 k1, K2 k2) {
        ConcurrentHashMap<K2, V> concurrentHashMap = this.k1_k2V_map.get(k1);
        if (concurrentHashMap == null) {
            return null;
        }
        return concurrentHashMap.get(k2);
    }

    public void remove(K1 k1, K2 k2) {
        ConcurrentHashMap<K2, V> concurrentHashMap = this.k1_k2V_map.get(k1);
        if (concurrentHashMap != null) {
            concurrentHashMap.remove(k2);
        }
    }

    public boolean containsKey(K1 k1) {
        return this.k1_k2V_map.containsKey(k1);
    }

    public Collection<V> getAllValues() {
        Set<K1> keySet = this.k1_k2V_map.keySet();
        if (keySet != null) {
            ArrayList arrayList = new ArrayList();
            for (K1 k1 : keySet) {
                Collection<V> values = this.k1_k2V_map.get(k1).values();
                if (values != null) {
                    arrayList.addAll(values);
                }
            }
            return arrayList;
        }
        return null;
    }
}
