package e.i.c.e;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.view.View;
import android.view.WindowManager;
import android.widget.FrameLayout;
import androidx.annotation.NonNull;
import com.lxj.xpopup.enums.PopupAnimation;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class e extends e.i.c.d.c {
    public Paint paint;
    public Rect shadowRect;

    public e(@NonNull Context context) {
        super(context);
        this.paint = new Paint();
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public void applySize(boolean z) {
        int rotation = ((WindowManager) getContext().getSystemService("window")).getDefaultDisplay().getRotation();
        View popupContentView = getPopupContentView();
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) popupContentView.getLayoutParams();
        layoutParams.gravity = 48;
        popupContentView.setLayoutParams(layoutParams);
        int navBarHeight = (z || e.i.c.h.c.isNavBarVisible(getContext())) ? e.i.c.h.c.getNavBarHeight() : 0;
        if (rotation == 0) {
            popupContentView.setPadding(popupContentView.getPaddingLeft(), popupContentView.getPaddingTop(), popupContentView.getPaddingRight(), navBarHeight);
        } else if (rotation == 1 || rotation == 3) {
            popupContentView.setPadding(popupContentView.getPaddingLeft(), popupContentView.getPaddingTop(), popupContentView.getPaddingRight(), 0);
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    public void dispatchDraw(Canvas canvas) {
        super.dispatchDraw(canvas);
        if (this.popupInfo.hasStatusBarShadow.booleanValue()) {
            this.paint.setColor(e.i.c.b.statusBarShadowColor);
            Rect rect = new Rect(0, 0, e.i.c.h.c.getWindowWidth(getContext()), e.i.c.h.c.getStatusBarHeight());
            this.shadowRect = rect;
            canvas.drawRect(rect, this.paint);
        }
    }

    @Override // e.i.c.d.c, com.lxj.xpopup.core.BasePopupView
    public int getMaxWidth() {
        return 0;
    }

    @Override // e.i.c.d.c, com.lxj.xpopup.core.BasePopupView
    public e.i.c.c.b getPopupAnimator() {
        return new e.i.c.c.g(getPopupContentView(), PopupAnimation.TranslateFromBottom);
    }

    @Override // e.i.c.d.c, com.lxj.xpopup.core.BasePopupView
    public void initPopupContent() {
        super.initPopupContent();
        this.popupInfo.hasShadowBg = false;
    }

    @Override // e.i.c.d.c, com.lxj.xpopup.core.BasePopupView, android.view.ViewGroup, android.view.View
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.paint = null;
    }

    @Override // com.lxj.xpopup.core.BasePopupView, e.i.c.h.d.c
    public void onNavigationBarChange(boolean z) {
        if (!z) {
            applyFull();
            getPopupContentView().setPadding(0, 0, 0, 0);
            return;
        }
        applySize(true);
    }
}
