package e.i.c.g;

import android.content.Context;
import android.graphics.Matrix;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewParent;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.view.animation.Interpolator;
import android.widget.ImageView;
import android.widget.OverScroller;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class k implements View.OnTouchListener, View.OnLayoutChangeListener {
    public static float DEFAULT_MAX_SCALE = 4.0f;
    public static float DEFAULT_MID_SCALE = 2.5f;
    public static float DEFAULT_MIN_SCALE = 1.0f;
    public static int DEFAULT_ZOOM_DURATION = 200;
    public static final int HORIZONTAL_EDGE_BOTH = 2;
    public static final int HORIZONTAL_EDGE_LEFT = 0;
    public static final int HORIZONTAL_EDGE_NONE = -1;
    public static final int HORIZONTAL_EDGE_RIGHT = 1;
    public static int SINGLE_TOUCH = 1;
    public static final int VERTICAL_EDGE_BOTH = 2;
    public static final int VERTICAL_EDGE_BOTTOM = 1;
    public static final int VERTICAL_EDGE_NONE = -1;
    public static final int VERTICAL_EDGE_TOP = 0;
    public boolean isBottomEnd;
    public boolean isHorizontal;
    public boolean isLeftEnd;
    public boolean isTopEnd;
    public boolean isVertical;
    public float mBaseRotation;
    public f mCurrentFlingRunnable;
    public GestureDetector mGestureDetector;
    public ImageView mImageView;
    public View.OnLongClickListener mLongClickListener;
    public e.i.c.g.d mMatrixChangeListener;
    public View.OnClickListener mOnClickListener;
    public i mOnViewDragListener;
    public e.i.c.g.e mOutsidePhotoTapListener;
    public e.i.c.g.f mPhotoTapListener;
    public g mScaleChangeListener;
    public e.i.c.g.b mScaleDragDetector;
    public h mSingleFlingListener;
    public j mViewTapListener;
    public float x;
    public float y;
    public Interpolator mInterpolator = new AccelerateDecelerateInterpolator();
    public int mZoomDuration = DEFAULT_ZOOM_DURATION;
    public float mMinScale = DEFAULT_MIN_SCALE;
    public float mMidScale = DEFAULT_MID_SCALE;
    public float mMaxScale = DEFAULT_MAX_SCALE;
    public boolean mAllowParentInterceptOnEdge = true;
    public boolean mBlockParentIntercept = false;
    public final Matrix mBaseMatrix = new Matrix();
    public final Matrix mDrawMatrix = new Matrix();
    public final Matrix mSuppMatrix = new Matrix();
    public final RectF mDisplayRect = new RectF();
    public final float[] mMatrixValues = new float[9];
    public int mHorizontalScrollEdge = 2;
    public int mVerticalScrollEdge = 2;
    public boolean isRightEnd = false;
    public boolean mZoomEnabled = true;
    public boolean isLongImage = false;
    public ImageView.ScaleType mScaleType = ImageView.ScaleType.FIT_CENTER;
    public e.i.c.g.c onGestureListener = new a();

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class a implements e.i.c.g.c {
        public a() {
        }

        @Override // e.i.c.g.c
        public void onDrag(float f2, float f3) {
            if (k.this.mScaleDragDetector.isScaling()) {
                return;
            }
            if (k.this.mOnViewDragListener != null) {
                k.this.mOnViewDragListener.onDrag(f2, f3);
            }
            k.this.mSuppMatrix.postTranslate(f2, f3);
            k.this.checkAndDisplayMatrix();
            k kVar = k.this;
            kVar.isTopEnd = kVar.mVerticalScrollEdge == 0 && k.this.getScale() != 1.0f;
            k kVar2 = k.this;
            kVar2.isBottomEnd = kVar2.mVerticalScrollEdge == 1 && k.this.getScale() != 1.0f;
            k kVar3 = k.this;
            kVar3.isLeftEnd = kVar3.mHorizontalScrollEdge == 0 && k.this.getScale() != 1.0f;
            k kVar4 = k.this;
            kVar4.isRightEnd = kVar4.mHorizontalScrollEdge == 1 && k.this.getScale() != 1.0f;
            ViewParent parent = k.this.mImageView.getParent();
            if (parent == null) {
                return;
            }
            if (!k.this.mAllowParentInterceptOnEdge || k.this.mScaleDragDetector.isScaling() || k.this.mBlockParentIntercept) {
                if (k.this.mHorizontalScrollEdge == 2 && k.this.isLongImage && k.this.isHorizontal) {
                    parent.requestDisallowInterceptTouchEvent(false);
                } else {
                    parent.requestDisallowInterceptTouchEvent(true);
                }
            } else if ((k.this.mHorizontalScrollEdge != 2 || k.this.isLongImage) && ((k.this.mHorizontalScrollEdge != 0 || f2 < 0.0f || !k.this.isHorizontal) && (k.this.mHorizontalScrollEdge != 1 || f2 > -0.0f || !k.this.isHorizontal))) {
                if (k.this.mVerticalScrollEdge != 2 || !k.this.isVertical) {
                    k kVar5 = k.this;
                    if (!kVar5.isTopEnd || f3 <= 0.0f || !kVar5.isVertical) {
                        k kVar6 = k.this;
                        if (!kVar6.isBottomEnd || f3 >= 0.0f || !kVar6.isVertical) {
                            if (k.this.isLongImage) {
                                if ((k.this.mVerticalScrollEdge == 0 && f3 > 0.0f && k.this.isVertical) || (k.this.mVerticalScrollEdge == 1 && f3 < 0.0f && k.this.isVertical)) {
                                    parent.requestDisallowInterceptTouchEvent(false);
                                    return;
                                }
                                return;
                            }
                            return;
                        }
                    }
                }
                parent.requestDisallowInterceptTouchEvent(false);
            } else {
                parent.requestDisallowInterceptTouchEvent(false);
            }
        }

        @Override // e.i.c.g.c
        public void onFling(float f2, float f3, float f4, float f5) {
            k kVar = k.this;
            kVar.mCurrentFlingRunnable = new f(kVar.mImageView.getContext());
            f fVar = k.this.mCurrentFlingRunnable;
            k kVar2 = k.this;
            int imageViewWidth = kVar2.getImageViewWidth(kVar2.mImageView);
            k kVar3 = k.this;
            fVar.fling(imageViewWidth, kVar3.getImageViewHeight(kVar3.mImageView), (int) f4, (int) f5);
            k.this.mImageView.post(k.this.mCurrentFlingRunnable);
        }

        @Override // e.i.c.g.c
        public void onScale(float f2, float f3, float f4) {
            if (k.this.getScale() < k.this.mMaxScale || f2 < 1.0f) {
                if (k.this.mScaleChangeListener != null) {
                    k.this.mScaleChangeListener.onScaleChange(f2, f3, f4);
                }
                k.this.mSuppMatrix.postScale(f2, f2, f3, f4);
                k.this.checkAndDisplayMatrix();
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class b extends GestureDetector.SimpleOnGestureListener {
        public b() {
        }

        @Override // android.view.GestureDetector.SimpleOnGestureListener, android.view.GestureDetector.OnGestureListener
        public boolean onFling(MotionEvent motionEvent, MotionEvent motionEvent2, float f2, float f3) {
            if (k.this.mSingleFlingListener == null || k.this.getScale() > k.DEFAULT_MIN_SCALE || motionEvent.getPointerCount() > k.SINGLE_TOUCH || motionEvent2.getPointerCount() > k.SINGLE_TOUCH) {
                return false;
            }
            return k.this.mSingleFlingListener.onFling(motionEvent, motionEvent2, f2, f3);
        }

        @Override // android.view.GestureDetector.SimpleOnGestureListener, android.view.GestureDetector.OnGestureListener
        public void onLongPress(MotionEvent motionEvent) {
            if (k.this.mLongClickListener != null) {
                k.this.mLongClickListener.onLongClick(k.this.mImageView);
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class c implements GestureDetector.OnDoubleTapListener {
        public c() {
        }

        @Override // android.view.GestureDetector.OnDoubleTapListener
        public boolean onDoubleTap(MotionEvent motionEvent) {
            try {
                float scale = k.this.getScale();
                float x = motionEvent.getX();
                float y = motionEvent.getY();
                if (scale < k.this.getMediumScale()) {
                    k.this.setScale(k.this.getMediumScale(), x, y, true);
                } else if (scale >= k.this.getMediumScale() && scale < k.this.getMaximumScale()) {
                    k.this.setScale(k.this.getMaximumScale(), x, y, true);
                } else {
                    k.this.setScale(k.this.getMinimumScale(), x, y, true);
                }
            } catch (ArrayIndexOutOfBoundsException unused) {
            }
            return true;
        }

        @Override // android.view.GestureDetector.OnDoubleTapListener
        public boolean onDoubleTapEvent(MotionEvent motionEvent) {
            return true;
        }

        @Override // android.view.GestureDetector.OnDoubleTapListener
        public boolean onSingleTapConfirmed(MotionEvent motionEvent) {
            if (k.this.mOnClickListener != null) {
                k.this.mOnClickListener.onClick(k.this.mImageView);
            }
            RectF displayRect = k.this.getDisplayRect();
            float x = motionEvent.getX();
            float y = motionEvent.getY();
            if (k.this.mViewTapListener != null) {
                k.this.mViewTapListener.onViewTap(k.this.mImageView, x, y);
            }
            if (displayRect != null) {
                if (!displayRect.contains(x, y)) {
                    if (k.this.mOutsidePhotoTapListener != null) {
                        k.this.mOutsidePhotoTapListener.onOutsidePhotoTap(k.this.mImageView);
                        return false;
                    }
                    return false;
                }
                float width = (x - displayRect.left) / displayRect.width();
                float height = (y - displayRect.top) / displayRect.height();
                if (k.this.mPhotoTapListener != null) {
                    k.this.mPhotoTapListener.onPhotoTap(k.this.mImageView, width, height);
                    return true;
                }
                return true;
            }
            return false;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static /* synthetic */ class d {
        public static final /* synthetic */ int[] $SwitchMap$android$widget$ImageView$ScaleType;

        static {
            int[] iArr = new int[ImageView.ScaleType.values().length];
            $SwitchMap$android$widget$ImageView$ScaleType = iArr;
            try {
                iArr[ImageView.ScaleType.FIT_CENTER.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                $SwitchMap$android$widget$ImageView$ScaleType[ImageView.ScaleType.FIT_START.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                $SwitchMap$android$widget$ImageView$ScaleType[ImageView.ScaleType.FIT_END.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                $SwitchMap$android$widget$ImageView$ScaleType[ImageView.ScaleType.FIT_XY.ordinal()] = 4;
            } catch (NoSuchFieldError unused4) {
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class e implements Runnable {
        public final float mFocalX;
        public final float mFocalY;
        public final long mStartTime = System.currentTimeMillis();
        public final float mZoomEnd;
        public final float mZoomStart;

        public e(float f2, float f3, float f4, float f5) {
            this.mFocalX = f4;
            this.mFocalY = f5;
            this.mZoomStart = f2;
            this.mZoomEnd = f3;
        }

        private float interpolate() {
            return k.this.mInterpolator.getInterpolation(Math.min(1.0f, (((float) (System.currentTimeMillis() - this.mStartTime)) * 1.0f) / k.this.mZoomDuration));
        }

        @Override // java.lang.Runnable
        public void run() {
            float interpolate = interpolate();
            float f2 = this.mZoomStart;
            k.this.onGestureListener.onScale((f2 + ((this.mZoomEnd - f2) * interpolate)) / k.this.getScale(), this.mFocalX, this.mFocalY);
            if (interpolate < 1.0f) {
                e.i.c.g.a.postOnAnimation(k.this.mImageView, this);
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class f implements Runnable {
        public int mCurrentX;
        public int mCurrentY;
        public final OverScroller mScroller;

        public f(Context context) {
            this.mScroller = new OverScroller(context);
        }

        public void cancelFling() {
            this.mScroller.forceFinished(true);
        }

        public void fling(int i2, int i3, int i4, int i5) {
            int i6;
            int i7;
            int i8;
            int i9;
            RectF displayRect = k.this.getDisplayRect();
            if (displayRect == null) {
                return;
            }
            int round = Math.round(-displayRect.left);
            float f2 = i2;
            if (f2 < displayRect.width()) {
                i7 = Math.round(displayRect.width() - f2);
                i6 = 0;
            } else {
                i6 = round;
                i7 = i6;
            }
            int round2 = Math.round(-displayRect.top);
            float f3 = i3;
            if (f3 < displayRect.height()) {
                i9 = Math.round(displayRect.height() - f3);
                i8 = 0;
            } else {
                i8 = round2;
                i9 = i8;
            }
            this.mCurrentX = round;
            this.mCurrentY = round2;
            if (round == i7 && round2 == i9) {
                return;
            }
            this.mScroller.fling(round, round2, i4, i5, i6, i7, i8, i9, 0, 0);
        }

        @Override // java.lang.Runnable
        public void run() {
            if (!this.mScroller.isFinished() && this.mScroller.computeScrollOffset()) {
                int currX = this.mScroller.getCurrX();
                int currY = this.mScroller.getCurrY();
                k.this.mSuppMatrix.postTranslate(this.mCurrentX - currX, this.mCurrentY - currY);
                k.this.checkAndDisplayMatrix();
                this.mCurrentX = currX;
                this.mCurrentY = currY;
                e.i.c.g.a.postOnAnimation(k.this.mImageView, this);
            }
        }
    }

    public k(ImageView imageView) {
        this.mImageView = imageView;
        imageView.setOnTouchListener(this);
        imageView.addOnLayoutChangeListener(this);
        if (imageView.isInEditMode()) {
            return;
        }
        this.mBaseRotation = 0.0f;
        this.mScaleDragDetector = new e.i.c.g.b(imageView.getContext(), this.onGestureListener);
        GestureDetector gestureDetector = new GestureDetector(imageView.getContext(), new b());
        this.mGestureDetector = gestureDetector;
        gestureDetector.setOnDoubleTapListener(new c());
    }

    private void cancelFling() {
        f fVar = this.mCurrentFlingRunnable;
        if (fVar != null) {
            fVar.cancelFling();
            this.mCurrentFlingRunnable = null;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void checkAndDisplayMatrix() {
        if (checkMatrixBounds()) {
            setImageViewMatrix(getDrawMatrix());
        }
    }

    private boolean checkMatrixBounds() {
        float f2;
        float f3;
        float f4;
        float f5;
        float f6;
        RectF displayRect = getDisplayRect(getDrawMatrix());
        if (displayRect == null) {
            return false;
        }
        float height = displayRect.height();
        float width = displayRect.width();
        float imageViewHeight = getImageViewHeight(this.mImageView);
        float f7 = 0.0f;
        if (height <= imageViewHeight && displayRect.top >= 0.0f) {
            int i2 = d.$SwitchMap$android$widget$ImageView$ScaleType[this.mScaleType.ordinal()];
            if (i2 != 2) {
                if (i2 != 3) {
                    f5 = (imageViewHeight - height) / 2.0f;
                    f6 = displayRect.top;
                } else {
                    f5 = imageViewHeight - height;
                    f6 = displayRect.top;
                }
                f2 = f5 - f6;
            } else {
                f2 = -displayRect.top;
            }
            this.mVerticalScrollEdge = 2;
        } else {
            float f8 = displayRect.top;
            if (f8 >= 0.0f) {
                this.mVerticalScrollEdge = 0;
                f2 = -f8;
            } else {
                float f9 = displayRect.bottom;
                if (f9 <= imageViewHeight) {
                    this.mVerticalScrollEdge = 1;
                    f2 = imageViewHeight - f9;
                } else {
                    this.mVerticalScrollEdge = -1;
                    f2 = 0.0f;
                }
            }
        }
        float imageViewWidth = getImageViewWidth(this.mImageView);
        if (width <= imageViewWidth && displayRect.left >= 0.0f) {
            int i3 = d.$SwitchMap$android$widget$ImageView$ScaleType[this.mScaleType.ordinal()];
            if (i3 != 2) {
                if (i3 != 3) {
                    f3 = (imageViewWidth - width) / 2.0f;
                    f4 = displayRect.left;
                } else {
                    f3 = imageViewWidth - width;
                    f4 = displayRect.left;
                }
                f7 = f3 - f4;
            } else {
                f7 = -displayRect.left;
            }
            this.mHorizontalScrollEdge = 2;
        } else {
            float f10 = displayRect.left;
            if (f10 >= 0.0f) {
                this.mHorizontalScrollEdge = 0;
                f7 = -f10;
            } else {
                float f11 = displayRect.right;
                if (f11 <= imageViewWidth) {
                    f7 = imageViewWidth - f11;
                    this.mHorizontalScrollEdge = 1;
                } else {
                    this.mHorizontalScrollEdge = -1;
                }
            }
        }
        this.mSuppMatrix.postTranslate(f7, f2);
        return true;
    }

    private Matrix getDrawMatrix() {
        this.mDrawMatrix.set(this.mBaseMatrix);
        this.mDrawMatrix.postConcat(this.mSuppMatrix);
        return this.mDrawMatrix;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public int getImageViewHeight(ImageView imageView) {
        return (imageView.getHeight() - imageView.getPaddingTop()) - imageView.getPaddingBottom();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public int getImageViewWidth(ImageView imageView) {
        return (imageView.getWidth() - imageView.getPaddingLeft()) - imageView.getPaddingRight();
    }

    private void resetMatrix() {
        this.mSuppMatrix.reset();
        setRotationBy(this.mBaseRotation);
        setImageViewMatrix(getDrawMatrix());
        checkMatrixBounds();
    }

    private void setImageViewMatrix(Matrix matrix) {
        RectF displayRect;
        this.mImageView.setImageMatrix(matrix);
        if (this.mMatrixChangeListener == null || (displayRect = getDisplayRect(matrix)) == null) {
            return;
        }
        this.mMatrixChangeListener.onMatrixChanged(displayRect);
    }

    private void updateBaseMatrix(Drawable drawable) {
        if (drawable == null) {
            return;
        }
        float imageViewWidth = getImageViewWidth(this.mImageView);
        float imageViewHeight = getImageViewHeight(this.mImageView);
        int intrinsicWidth = drawable.getIntrinsicWidth();
        int intrinsicHeight = drawable.getIntrinsicHeight();
        this.mBaseMatrix.reset();
        float f2 = intrinsicWidth;
        float f3 = imageViewWidth / f2;
        float f4 = intrinsicHeight;
        float f5 = imageViewHeight / f4;
        ImageView.ScaleType scaleType = this.mScaleType;
        if (scaleType == ImageView.ScaleType.CENTER) {
            this.mBaseMatrix.postTranslate((imageViewWidth - f2) / 2.0f, (imageViewHeight - f4) / 2.0f);
        } else if (scaleType == ImageView.ScaleType.CENTER_CROP) {
            float max = Math.max(f3, f5);
            this.mBaseMatrix.postScale(max, max);
            this.mBaseMatrix.postTranslate((imageViewWidth - (f2 * max)) / 2.0f, (imageViewHeight - (f4 * max)) / 2.0f);
        } else if (scaleType == ImageView.ScaleType.CENTER_INSIDE) {
            float min = Math.min(1.0f, Math.min(f3, f5));
            this.mBaseMatrix.postScale(min, min);
            this.mBaseMatrix.postTranslate((imageViewWidth - (f2 * min)) / 2.0f, (imageViewHeight - (f4 * min)) / 2.0f);
        } else {
            RectF rectF = new RectF(0.0f, 0.0f, f2, f4);
            RectF rectF2 = new RectF(0.0f, 0.0f, imageViewWidth, imageViewHeight);
            if (((int) this.mBaseRotation) % 180 != 0) {
                rectF = new RectF(0.0f, 0.0f, f4, f2);
            }
            int i2 = d.$SwitchMap$android$widget$ImageView$ScaleType[this.mScaleType.ordinal()];
            if (i2 != 1) {
                if (i2 == 2) {
                    this.mBaseMatrix.setRectToRect(rectF, rectF2, Matrix.ScaleToFit.START);
                } else if (i2 == 3) {
                    this.mBaseMatrix.setRectToRect(rectF, rectF2, Matrix.ScaleToFit.END);
                } else if (i2 == 4) {
                    this.mBaseMatrix.setRectToRect(rectF, rectF2, Matrix.ScaleToFit.FILL);
                }
            } else if (f4 > imageViewHeight && (f4 * 1.0f) / f2 > (imageViewHeight * 1.0f) / imageViewWidth) {
                this.isLongImage = true;
                this.mBaseMatrix.setRectToRect(rectF, new RectF(0.0f, 0.0f, imageViewWidth, f4 * f3), Matrix.ScaleToFit.START);
            } else {
                this.mBaseMatrix.setRectToRect(rectF, rectF2, Matrix.ScaleToFit.CENTER);
            }
        }
        resetMatrix();
    }

    public void getDisplayMatrix(Matrix matrix) {
        matrix.set(getDrawMatrix());
    }

    public RectF getDisplayRect() {
        checkMatrixBounds();
        return getDisplayRect(getDrawMatrix());
    }

    public Matrix getImageMatrix() {
        return this.mDrawMatrix;
    }

    public float getMaximumScale() {
        return this.mMaxScale;
    }

    public float getMediumScale() {
        return this.mMidScale;
    }

    public float getMinimumScale() {
        return this.mMinScale;
    }

    public float getScale() {
        return (float) Math.sqrt(((float) Math.pow(getValue(this.mSuppMatrix, 0), 2.0d)) + ((float) Math.pow(getValue(this.mSuppMatrix, 3), 2.0d)));
    }

    public ImageView.ScaleType getScaleType() {
        return this.mScaleType;
    }

    public void getSuppMatrix(Matrix matrix) {
        matrix.set(this.mSuppMatrix);
    }

    public float getValue(Matrix matrix, int i2) {
        matrix.getValues(this.mMatrixValues);
        return this.mMatrixValues[i2];
    }

    @Deprecated
    public boolean isZoomEnabled() {
        return this.mZoomEnabled;
    }

    public boolean isZoomable() {
        return this.mZoomEnabled;
    }

    @Override // android.view.View.OnLayoutChangeListener
    public void onLayoutChange(View view, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
        if (i2 == i6 && i3 == i7 && i4 == i8 && i5 == i9) {
            return;
        }
        updateBaseMatrix(this.mImageView.getDrawable());
    }

    /* JADX WARN: Code restructure failed: missing block: B:12:0x001b, code lost:
        if (r0 != 3) goto L12;
     */
    /* JADX WARN: Removed duplicated region for block: B:55:0x00ed  */
    /* JADX WARN: Removed duplicated region for block: B:70:0x0120  */
    @Override // android.view.View.OnTouchListener
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean onTouch(View view, MotionEvent motionEvent) {
        boolean z;
        e.i.c.g.b bVar;
        boolean z2;
        GestureDetector gestureDetector;
        RectF displayRect;
        boolean z3 = false;
        if (this.mZoomEnabled && l.hasDrawable((ImageView) view)) {
            int action = motionEvent.getAction();
            if (action != 0) {
                if (action != 1) {
                    if (action == 2) {
                        float abs = Math.abs(motionEvent.getX() - this.x);
                        float abs2 = Math.abs(motionEvent.getY() - this.y);
                        if (this.isLongImage) {
                            this.isVertical = abs2 > abs;
                            this.isHorizontal = abs > abs2 * 2.0f;
                        } else {
                            this.isVertical = ((double) getScale()) != 1.0d && abs2 > abs;
                            this.isHorizontal = ((double) getScale()) != 1.0d && abs > abs2 * 2.0f;
                        }
                    }
                }
                this.isTopEnd = false;
                if (getScale() < this.mMinScale) {
                    RectF displayRect2 = getDisplayRect();
                    if (displayRect2 != null) {
                        view.post(new e(getScale(), this.mMinScale, displayRect2.centerX(), displayRect2.centerY()));
                        z = true;
                    }
                } else if (getScale() > this.mMaxScale && (displayRect = getDisplayRect()) != null) {
                    view.post(new e(getScale(), this.mMaxScale, displayRect.centerX(), displayRect.centerY()));
                    z = true;
                }
                bVar = this.mScaleDragDetector;
                if (bVar == null) {
                    boolean isScaling = bVar.isScaling();
                    boolean isDragging = this.mScaleDragDetector.isDragging();
                    boolean onTouchEvent = this.mScaleDragDetector.onTouchEvent(motionEvent);
                    boolean z4 = (isScaling || this.mScaleDragDetector.isScaling()) ? false : true;
                    boolean z5 = (isDragging || this.mScaleDragDetector.isDragging()) ? false : true;
                    if (z4 && z5) {
                        z3 = true;
                    }
                    this.mBlockParentIntercept = z3;
                    z2 = onTouchEvent;
                } else {
                    z2 = z;
                }
                gestureDetector = this.mGestureDetector;
                if (gestureDetector == null && gestureDetector.onTouchEvent(motionEvent)) {
                    return true;
                }
            }
            this.x = motionEvent.getX();
            this.y = motionEvent.getY();
            ViewParent parent = view.getParent();
            cancelFling();
            if (parent != null) {
                parent.requestDisallowInterceptTouchEvent(true);
            }
            z = false;
            bVar = this.mScaleDragDetector;
            if (bVar == null) {
            }
            gestureDetector = this.mGestureDetector;
            return gestureDetector == null ? z2 : z2;
        }
        return false;
    }

    public void setAllowParentInterceptOnEdge(boolean z) {
        this.mAllowParentInterceptOnEdge = z;
    }

    public void setBaseRotation(float f2) {
        this.mBaseRotation = f2 % 360.0f;
        update();
        setRotationBy(this.mBaseRotation);
        checkAndDisplayMatrix();
    }

    public boolean setDisplayMatrix(Matrix matrix) {
        if (matrix != null) {
            if (this.mImageView.getDrawable() == null) {
                return false;
            }
            this.mSuppMatrix.set(matrix);
            checkAndDisplayMatrix();
            return true;
        }
        throw new IllegalArgumentException("Matrix cannot be null");
    }

    public void setMaximumScale(float f2) {
        l.checkZoomLevels(this.mMinScale, this.mMidScale, f2);
        this.mMaxScale = f2;
    }

    public void setMediumScale(float f2) {
        l.checkZoomLevels(this.mMinScale, f2, this.mMaxScale);
        this.mMidScale = f2;
    }

    public void setMinimumScale(float f2) {
        l.checkZoomLevels(f2, this.mMidScale, this.mMaxScale);
        this.mMinScale = f2;
    }

    public void setOnClickListener(View.OnClickListener onClickListener) {
        this.mOnClickListener = onClickListener;
    }

    public void setOnDoubleTapListener(GestureDetector.OnDoubleTapListener onDoubleTapListener) {
        this.mGestureDetector.setOnDoubleTapListener(onDoubleTapListener);
    }

    public void setOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.mLongClickListener = onLongClickListener;
    }

    public void setOnMatrixChangeListener(e.i.c.g.d dVar) {
        this.mMatrixChangeListener = dVar;
    }

    public void setOnOutsidePhotoTapListener(e.i.c.g.e eVar) {
        this.mOutsidePhotoTapListener = eVar;
    }

    public void setOnPhotoTapListener(e.i.c.g.f fVar) {
        this.mPhotoTapListener = fVar;
    }

    public void setOnScaleChangeListener(g gVar) {
        this.mScaleChangeListener = gVar;
    }

    public void setOnSingleFlingListener(h hVar) {
        this.mSingleFlingListener = hVar;
    }

    public void setOnViewDragListener(i iVar) {
        this.mOnViewDragListener = iVar;
    }

    public void setOnViewTapListener(j jVar) {
        this.mViewTapListener = jVar;
    }

    public void setRotationBy(float f2) {
        this.mSuppMatrix.postRotate(f2 % 360.0f);
        checkAndDisplayMatrix();
    }

    public void setRotationTo(float f2) {
        this.mSuppMatrix.setRotate(f2 % 360.0f);
        checkAndDisplayMatrix();
    }

    public void setScale(float f2) {
        setScale(f2, false);
    }

    public void setScaleLevels(float f2, float f3, float f4) {
        l.checkZoomLevels(f2, f3, f4);
        this.mMinScale = f2;
        this.mMidScale = f3;
        this.mMaxScale = f4;
    }

    public void setScaleType(ImageView.ScaleType scaleType) {
        if (!l.isSupportedScaleType(scaleType) || scaleType == this.mScaleType) {
            return;
        }
        this.mScaleType = scaleType;
        update();
    }

    public void setZoomInterpolator(Interpolator interpolator) {
        this.mInterpolator = interpolator;
    }

    public void setZoomTransitionDuration(int i2) {
        this.mZoomDuration = i2;
    }

    public void setZoomable(boolean z) {
        this.mZoomEnabled = z;
        update();
    }

    public void update() {
        if (this.mZoomEnabled) {
            updateBaseMatrix(this.mImageView.getDrawable());
        } else {
            resetMatrix();
        }
    }

    public void setScale(float f2, boolean z) {
        setScale(f2, this.mImageView.getRight() / 2, this.mImageView.getBottom() / 2, z);
    }

    private RectF getDisplayRect(Matrix matrix) {
        Drawable drawable = this.mImageView.getDrawable();
        if (drawable != null) {
            this.mDisplayRect.set(0.0f, 0.0f, drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight());
            matrix.mapRect(this.mDisplayRect);
            return this.mDisplayRect;
        }
        return null;
    }

    public void setScale(float f2, float f3, float f4, boolean z) {
        if (z) {
            this.mImageView.post(new e(getScale(), f2, f3, f4));
            return;
        }
        this.mSuppMatrix.setScale(f2, f2, f3, f4);
        checkAndDisplayMatrix();
    }
}
