package e.i.c.h;

import com.lxj.xpopup.enums.ImageType;
import java.io.IOException;
import java.io.InputStream;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class a {
    public static final int EXIF_MAGIC_NUMBER = 65496;
    public static final int GIF_HEADER = 4671814;
    public static final int PNG_HEADER = -1991225785;
    public static final int RIFF_HEADER = 1380533830;
    public static final int VP8_HEADER = 1448097792;
    public static final int VP8_HEADER_MASK = -256;
    public static final int VP8_HEADER_TYPE_EXTENDED = 88;
    public static final int VP8_HEADER_TYPE_LOSSLESS = 76;
    public static final int VP8_HEADER_TYPE_MASK = 255;
    public static final int WEBP_EXTENDED_ALPHA_FLAG = 16;
    public static final int WEBP_HEADER = 1464156752;
    public static final int WEBP_LOSSLESS_ALPHA_FLAG = 8;

    /* compiled from: AAA */
    /* renamed from: e.i.c.h.a$a  reason: collision with other inner class name */
    /* loaded from: classes3.dex */
    public interface InterfaceC0295a {
        int getByte() throws IOException;

        int getUInt16() throws IOException;

        short getUInt8() throws IOException;

        int read(byte[] bArr, int i2) throws IOException;

        long skip(long j2) throws IOException;
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static final class b implements InterfaceC0295a {
        public final InputStream is;

        public b(InputStream inputStream) {
            this.is = inputStream;
        }

        @Override // e.i.c.h.a.InterfaceC0295a
        public int getByte() throws IOException {
            return this.is.read();
        }

        @Override // e.i.c.h.a.InterfaceC0295a
        public int getUInt16() throws IOException {
            return ((this.is.read() << 8) & 65280) | (this.is.read() & 255);
        }

        @Override // e.i.c.h.a.InterfaceC0295a
        public short getUInt8() throws IOException {
            return (short) (this.is.read() & 255);
        }

        @Override // e.i.c.h.a.InterfaceC0295a
        public int read(byte[] bArr, int i2) throws IOException {
            int i3 = i2;
            while (i3 > 0) {
                int read = this.is.read(bArr, i2 - i3, i3);
                if (read == -1) {
                    break;
                }
                i3 -= read;
            }
            return i2 - i3;
        }

        @Override // e.i.c.h.a.InterfaceC0295a
        public long skip(long j2) throws IOException {
            if (j2 < 0) {
                return 0L;
            }
            long j3 = j2;
            while (j3 > 0) {
                long skip = this.is.skip(j3);
                if (skip <= 0) {
                    if (this.is.read() == -1) {
                        break;
                    }
                    skip = 1;
                }
                j3 -= skip;
            }
            return j2 - j3;
        }
    }

    public static ImageType getImageType(InputStream inputStream) throws IOException {
        b bVar = new b(inputStream);
        int uInt16 = bVar.getUInt16();
        if (uInt16 == 65496) {
            return ImageType.JPEG;
        }
        int uInt162 = ((uInt16 << 16) & (-65536)) | (bVar.getUInt16() & 65535);
        if (uInt162 == -1991225785) {
            bVar.skip(21L);
            return bVar.getByte() >= 3 ? ImageType.PNG_A : ImageType.PNG;
        } else if ((uInt162 >> 8) == 4671814) {
            return ImageType.GIF;
        } else {
            if (uInt162 != 1380533830) {
                return ImageType.UNKNOWN;
            }
            bVar.skip(4L);
            if ((((bVar.getUInt16() << 16) & (-65536)) | (bVar.getUInt16() & 65535)) != 1464156752) {
                return ImageType.UNKNOWN;
            }
            int uInt163 = ((bVar.getUInt16() << 16) & (-65536)) | (bVar.getUInt16() & 65535);
            if ((uInt163 & (-256)) != 1448097792) {
                return ImageType.UNKNOWN;
            }
            int i2 = uInt163 & 255;
            if (i2 == 88) {
                bVar.skip(4L);
                return (bVar.getByte() & 16) != 0 ? ImageType.WEBP_A : ImageType.WEBP;
            } else if (i2 == 76) {
                bVar.skip(4L);
                return (bVar.getByte() & 8) != 0 ? ImageType.WEBP_A : ImageType.WEBP;
            } else {
                inputStream.close();
                return ImageType.WEBP;
            }
        }
    }
}
