package e.i.c.h;

import android.app.Activity;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.StateListDrawable;
import android.media.MediaScannerConnection;
import android.net.Uri;
import android.os.Environment;
import android.os.Handler;
import android.os.Looper;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.view.animation.OvershootInterpolator;
import android.widget.EditText;
import android.widget.Toast;
import com.lxj.xpopup.core.BasePopupView;
import com.lxj.xpopup.enums.ImageType;
import e.i.c.d.d;
import e.i.c.d.g;
import e.i.c.e.e;
import e.i.c.e.h;
import e.i.c.f.j;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class c {
    public static Context mContext;
    public static int sDecorViewDelta;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class a implements Runnable {
        public final /* synthetic */ Runnable val$afterApplySize;
        public final /* synthetic */ ViewGroup val$content;
        public final /* synthetic */ int val$maxHeight;
        public final /* synthetic */ int val$maxWidth;

        public a(ViewGroup viewGroup, int i2, int i3, Runnable runnable) {
            this.val$content = viewGroup;
            this.val$maxWidth = i2;
            this.val$maxHeight = i3;
            this.val$afterApplySize = runnable;
        }

        @Override // java.lang.Runnable
        public void run() {
            ViewGroup.LayoutParams layoutParams = this.val$content.getLayoutParams();
            View childAt = this.val$content.getChildAt(0);
            ViewGroup.LayoutParams layoutParams2 = childAt.getLayoutParams();
            int measuredWidth = this.val$content.getMeasuredWidth();
            int i2 = layoutParams2.width;
            int i3 = this.val$maxWidth;
            if (i3 != 0) {
                layoutParams.width = Math.min(measuredWidth, i3);
            }
            int measuredHeight = this.val$content.getMeasuredHeight();
            if (layoutParams2.height == -1) {
                measuredHeight = ((ViewGroup) this.val$content.getParent()).getMeasuredHeight();
                layoutParams.height = measuredHeight;
            }
            if (this.val$maxHeight != 0) {
                int i4 = layoutParams.height;
                if (i4 != -1 && i4 != c.getWindowHeight(this.val$content.getContext()) + c.getStatusBarHeight()) {
                    layoutParams.height = Math.min(measuredHeight, this.val$maxHeight);
                } else {
                    layoutParams2.height = Math.min(childAt.getMeasuredHeight(), this.val$maxHeight);
                    childAt.setLayoutParams(layoutParams2);
                }
            }
            this.val$content.setLayoutParams(layoutParams);
            Runnable runnable = this.val$afterApplySize;
            if (runnable != null) {
                runnable.run();
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class b implements Runnable {
        public final /* synthetic */ j val$imageLoader;
        public final /* synthetic */ Handler val$mainHandler;
        public final /* synthetic */ Object val$uri;

        /* compiled from: AAA */
        /* loaded from: classes3.dex */
        public class a implements Runnable {
            public a() {
            }

            @Override // java.lang.Runnable
            public void run() {
                Toast.makeText(c.mContext, "图片不存在！", 0).show();
                Context unused = c.mContext = null;
            }
        }

        /* compiled from: AAA */
        /* renamed from: e.i.c.h.c$b$b  reason: collision with other inner class name */
        /* loaded from: classes3.dex */
        public class C0297b implements MediaScannerConnection.OnScanCompletedListener {

            /* compiled from: AAA */
            /* renamed from: e.i.c.h.c$b$b$a */
            /* loaded from: classes3.dex */
            public class a implements Runnable {
                public a() {
                }

                @Override // java.lang.Runnable
                public void run() {
                    Toast.makeText(c.mContext, "已保存到相册！", 0).show();
                    Context unused = c.mContext = null;
                }
            }

            public C0297b() {
            }

            @Override // android.media.MediaScannerConnection.OnScanCompletedListener
            public void onScanCompleted(String str, Uri uri) {
                b.this.val$mainHandler.post(new a());
            }
        }

        /* compiled from: AAA */
        /* renamed from: e.i.c.h.c$b$c  reason: collision with other inner class name */
        /* loaded from: classes3.dex */
        public class RunnableC0298c implements Runnable {
            public RunnableC0298c() {
            }

            @Override // java.lang.Runnable
            public void run() {
                Toast.makeText(c.mContext, "没有保存权限，保存功能无法使用！", 0).show();
                Context unused = c.mContext = null;
            }
        }

        public b(j jVar, Object obj, Handler handler) {
            this.val$imageLoader = jVar;
            this.val$uri = obj;
            this.val$mainHandler = handler;
        }

        @Override // java.lang.Runnable
        public void run() {
            File imageFile = this.val$imageLoader.getImageFile(c.mContext, this.val$uri);
            if (imageFile == null) {
                this.val$mainHandler.post(new a());
                return;
            }
            String str = Environment.getExternalStorageDirectory().getAbsolutePath() + "/" + Environment.DIRECTORY_PICTURES;
            File file = new File(str);
            if (!file.exists()) {
                file.mkdirs();
            }
            try {
                String fileExt = c.getFileExt(e.i.c.h.a.getImageType(new FileInputStream(imageFile)));
                File file2 = new File(str, System.currentTimeMillis() + e.b.a.a.f.b.DOT + fileExt);
                if (file2.exists()) {
                    file2.delete();
                }
                file2.createNewFile();
                c.writeFileFromIS(file2, new FileInputStream(imageFile));
                MediaScannerConnection.scanFile(c.mContext, new String[]{file2.getAbsolutePath()}, new String[]{"image/" + fileExt}, new C0297b());
            } catch (IOException e2) {
                e2.printStackTrace();
                this.val$mainHandler.post(new RunnableC0298c());
            }
        }
    }

    /* compiled from: AAA */
    /* renamed from: e.i.c.h.c$c  reason: collision with other inner class name */
    /* loaded from: classes3.dex */
    public static /* synthetic */ class C0299c {
        public static final /* synthetic */ int[] $SwitchMap$com$lxj$xpopup$enums$ImageType;

        static {
            int[] iArr = new int[ImageType.values().length];
            $SwitchMap$com$lxj$xpopup$enums$ImageType = iArr;
            try {
                iArr[ImageType.GIF.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                $SwitchMap$com$lxj$xpopup$enums$ImageType[ImageType.PNG.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                $SwitchMap$com$lxj$xpopup$enums$ImageType[ImageType.PNG_A.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                $SwitchMap$com$lxj$xpopup$enums$ImageType[ImageType.WEBP.ordinal()] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                $SwitchMap$com$lxj$xpopup$enums$ImageType[ImageType.WEBP_A.ordinal()] = 5;
            } catch (NoSuchFieldError unused5) {
            }
            try {
                $SwitchMap$com$lxj$xpopup$enums$ImageType[ImageType.JPEG.ordinal()] = 6;
            } catch (NoSuchFieldError unused6) {
            }
        }
    }

    public static void applyPopupSize(ViewGroup viewGroup, int i2, int i3) {
        applyPopupSize(viewGroup, i2, i3, null);
    }

    public static BitmapDrawable createBitmapDrawable(Resources resources, int i2, int i3) {
        Bitmap createBitmap = Bitmap.createBitmap(i2, 20, Bitmap.Config.ARGB_4444);
        Canvas canvas = new Canvas(createBitmap);
        Paint paint = new Paint();
        paint.setColor(i3);
        canvas.drawRect(0.0f, 0.0f, createBitmap.getWidth(), 4.0f, paint);
        paint.setColor(0);
        canvas.drawRect(0.0f, 4.0f, createBitmap.getWidth(), 20.0f, paint);
        BitmapDrawable bitmapDrawable = new BitmapDrawable(resources, createBitmap);
        bitmapDrawable.setGravity(80);
        return bitmapDrawable;
    }

    public static StateListDrawable createSelector(Drawable drawable, Drawable drawable2) {
        StateListDrawable stateListDrawable = new StateListDrawable();
        stateListDrawable.addState(new int[]{16842908}, drawable2);
        stateListDrawable.addState(new int[0], drawable);
        return stateListDrawable;
    }

    public static int dp2px(Context context, float f2) {
        return (int) ((f2 * context.getResources().getDisplayMetrics().density) + 0.5f);
    }

    public static void findAllEditText(ArrayList<EditText> arrayList, ViewGroup viewGroup) {
        for (int i2 = 0; i2 < viewGroup.getChildCount(); i2++) {
            View childAt = viewGroup.getChildAt(i2);
            if ((childAt instanceof EditText) && childAt.getVisibility() == 0) {
                arrayList.add((EditText) childAt);
            } else if (childAt instanceof ViewGroup) {
                findAllEditText(arrayList, (ViewGroup) childAt);
            }
        }
    }

    public static int getDecorViewInvisibleHeight(Activity activity) {
        View decorView = activity.getWindow().getDecorView();
        Rect rect = new Rect();
        decorView.getWindowVisibleDisplayFrame(rect);
        int abs = Math.abs(decorView.getBottom() - rect.bottom);
        if (abs <= getNavBarHeight()) {
            sDecorViewDelta = abs;
            return 0;
        }
        return abs - sDecorViewDelta;
    }

    public static String getFileExt(ImageType imageType) {
        int i2 = C0299c.$SwitchMap$com$lxj$xpopup$enums$ImageType[imageType.ordinal()];
        return i2 != 1 ? (i2 == 2 || i2 == 3) ? "png" : (i2 == 4 || i2 == 5) ? "webp" : "jpeg" : "gif";
    }

    public static int getNavBarHeight() {
        Resources system = Resources.getSystem();
        int identifier = system.getIdentifier("navigation_bar_height", "dimen", "android");
        if (identifier != 0) {
            return system.getDimensionPixelSize(identifier);
        }
        return 0;
    }

    public static int getStatusBarHeight() {
        Resources system = Resources.getSystem();
        return system.getDimensionPixelSize(system.getIdentifier("status_bar_height", "dimen", "android"));
    }

    public static int getWindowHeight(Context context) {
        return ((WindowManager) context.getSystemService("window")).getDefaultDisplay().getHeight();
    }

    public static int getWindowWidth(Context context) {
        return ((WindowManager) context.getSystemService("window")).getDefaultDisplay().getWidth();
    }

    public static boolean isBottomPartShadow(BasePopupView basePopupView) {
        return (basePopupView instanceof h) && ((h) basePopupView).isShowUp;
    }

    public static boolean isInRect(float f2, float f3, Rect rect) {
        return f2 >= ((float) rect.left) && f2 <= ((float) rect.right) && f3 >= ((float) rect.top) && f3 <= ((float) rect.bottom);
    }

    public static boolean isNavBarVisible(Context context) {
        boolean z;
        ViewGroup viewGroup = (ViewGroup) ((Activity) context).getWindow().getDecorView();
        int childCount = viewGroup.getChildCount();
        int i2 = 0;
        while (true) {
            if (i2 >= childCount) {
                z = false;
                break;
            }
            View childAt = viewGroup.getChildAt(i2);
            int id = childAt.getId();
            if (id != -1 && "navigationBarBackground".equals(context.getResources().getResourceEntryName(id)) && childAt.getVisibility() == 0) {
                z = true;
                break;
            }
            i2++;
        }
        if (z) {
            return (viewGroup.getSystemUiVisibility() & 2) == 0;
        }
        return z;
    }

    public static boolean isSoftInputVisible(Activity activity) {
        return getDecorViewInvisibleHeight(activity) > 0;
    }

    public static boolean isTopPartShadow(BasePopupView basePopupView) {
        return (basePopupView instanceof h) && !((h) basePopupView).isShowUp;
    }

    public static void moveDown(BasePopupView basePopupView) {
        if (basePopupView instanceof g) {
            return;
        }
        boolean z = basePopupView instanceof h;
        if (z || !(basePopupView instanceof e.i.c.d.a)) {
            if (z && !isBottomPartShadow(basePopupView)) {
                basePopupView.getPopupImplView().animate().translationY(0.0f).setInterpolator(new OvershootInterpolator(0.0f)).setDuration(200L).start();
            } else {
                basePopupView.getPopupContentView().animate().translationY(0.0f).setInterpolator(new OvershootInterpolator(0.0f)).setDuration(200L).start();
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:39:0x00ae, code lost:
        if (r7 > 0) goto L37;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x00b0, code lost:
        r11 = r7;
     */
    /* JADX WARN: Code restructure failed: missing block: B:72:0x011e, code lost:
        if (r7 > 0) goto L37;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static void moveUpToKeyboard(int i2, BasePopupView basePopupView) {
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        if (basePopupView.popupInfo.isMoveUpToKeyboard.booleanValue() && !(basePopupView instanceof g)) {
            ArrayList arrayList = new ArrayList();
            findAllEditText(arrayList, basePopupView);
            EditText editText = null;
            Iterator it = arrayList.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                EditText editText2 = (EditText) it.next();
                if (editText2.isFocused()) {
                    editText = editText2;
                    break;
                }
            }
            int height = basePopupView.getPopupContentView().getHeight();
            int width = basePopupView.getPopupContentView().getWidth();
            if (basePopupView.getPopupImplView() != null) {
                height = Math.min(height, basePopupView.getPopupImplView().getMeasuredHeight());
                width = Math.min(width, basePopupView.getPopupImplView().getMeasuredWidth());
            }
            int windowHeight = getWindowHeight(basePopupView.getContext());
            int i8 = 0;
            if (editText != null) {
                int[] iArr = new int[2];
                editText.getLocationInWindow(iArr);
                i3 = iArr[1];
                i4 = editText.getMeasuredHeight() + i3;
            } else {
                i3 = 0;
                i4 = 0;
            }
            if ((basePopupView instanceof h) || !(basePopupView instanceof e.i.c.d.a)) {
                boolean z = basePopupView instanceof e;
                if ((z || (width == getWindowWidth(basePopupView.getContext()) && height == getWindowHeight(basePopupView.getContext()) + getStatusBarHeight())) && i4 + i2 < windowHeight) {
                    return;
                }
                if (z) {
                    i5 = (i4 + i2) - windowHeight;
                    if (editText != null) {
                    }
                    i2 = 0;
                } else if (basePopupView instanceof e.i.c.d.c) {
                    int statusBarHeight = i2 - (((windowHeight - height) + getStatusBarHeight()) / 2);
                    if (editText != null && (i7 = i3 - statusBarHeight) < 0) {
                        statusBarHeight += i7 - getStatusBarHeight();
                    }
                    i2 = Math.max(0, statusBarHeight);
                } else if (!(basePopupView instanceof e.i.c.d.b)) {
                    if (isBottomPartShadow(basePopupView) || (basePopupView instanceof d)) {
                        i5 = (i4 + i2) - windowHeight;
                        if (editText != null) {
                        }
                    } else if (isTopPartShadow(basePopupView)) {
                        int i9 = (i4 + i2) - windowHeight;
                        if (editText != null && i9 > 0) {
                            i8 = i9;
                        }
                        if (i8 != 0) {
                            basePopupView.getPopupImplView().animate().translationY(-i8).setDuration(200L).setInterpolator(new OvershootInterpolator(0.0f)).start();
                            return;
                        }
                        return;
                    }
                    i2 = 0;
                } else if (editText != null && (i6 = i3 - i2) < 0) {
                    i2 += i6 - getStatusBarHeight();
                }
                if (i2 != 0 || basePopupView.getPopupContentView().getTranslationY() == 0.0f) {
                    basePopupView.getPopupContentView().animate().translationY(-i2).setDuration(200L).setInterpolator(new OvershootInterpolator(0.0f)).start();
                }
            }
        }
    }

    public static void saveBmpToAlbum(Context context, j jVar, Object obj) {
        Handler handler = new Handler(Looper.getMainLooper());
        ExecutorService newSingleThreadExecutor = Executors.newSingleThreadExecutor();
        mContext = context;
        newSingleThreadExecutor.execute(new b(jVar, obj, handler));
    }

    public static void setCursorDrawableColor(EditText editText, int i2) {
    }

    public static void setWidthHeight(View view, int i2, int i3) {
        if (i2 > 0 || i3 > 0) {
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (i2 > 0) {
                layoutParams.width = i2;
            }
            if (i3 > 0) {
                layoutParams.height = i3;
            }
            view.setLayoutParams(layoutParams);
        }
    }

    public static boolean writeFileFromIS(File file, InputStream inputStream) {
        BufferedOutputStream bufferedOutputStream;
        BufferedOutputStream bufferedOutputStream2 = null;
        try {
            try {
                bufferedOutputStream = new BufferedOutputStream(new FileOutputStream(file));
            } catch (Throwable th) {
                th = th;
            }
        } catch (IOException e2) {
            e = e2;
        }
        try {
            byte[] bArr = new byte[8192];
            while (true) {
                int read = inputStream.read(bArr, 0, 8192);
                if (read == -1) {
                    break;
                }
                bufferedOutputStream.write(bArr, 0, read);
            }
            try {
                inputStream.close();
            } catch (IOException e3) {
                e3.printStackTrace();
            }
            try {
                bufferedOutputStream.close();
            } catch (IOException e4) {
                e4.printStackTrace();
            }
            return true;
        } catch (IOException e5) {
            e = e5;
            bufferedOutputStream2 = bufferedOutputStream;
            e.printStackTrace();
            try {
                inputStream.close();
            } catch (IOException e6) {
                e6.printStackTrace();
            }
            if (bufferedOutputStream2 != null) {
                try {
                    bufferedOutputStream2.close();
                } catch (IOException e7) {
                    e7.printStackTrace();
                }
            }
            return false;
        } catch (Throwable th2) {
            th = th2;
            bufferedOutputStream2 = bufferedOutputStream;
            try {
                inputStream.close();
            } catch (IOException e8) {
                e8.printStackTrace();
            }
            if (bufferedOutputStream2 != null) {
                try {
                    bufferedOutputStream2.close();
                } catch (IOException e9) {
                    e9.printStackTrace();
                }
            }
            throw th;
        }
    }

    public static void applyPopupSize(ViewGroup viewGroup, int i2, int i3, Runnable runnable) {
        viewGroup.post(new a(viewGroup, i2, i3, runnable));
    }
}
