package e.i.c.h.d;

import android.content.Context;
import android.database.ContentObserver;
import android.net.Uri;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.provider.Settings;
import java.util.ArrayList;
import java.util.Iterator;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class a extends ContentObserver {
    public static final String IMMERSION_EMUI_NAVIGATION_BAR_HIDE_SHOW = "navigationbar_is_min";
    public static final String IMMERSION_MIUI_NAVIGATION_BAR_HIDE_SHOW = "force_fsg_nav_bar";
    public Context context;
    public Boolean mIsRegister;
    public ArrayList<c> mListeners;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class b {
        public static final a INSTANCE = new a();
    }

    public static a getInstance() {
        return b.INSTANCE;
    }

    public void addOnNavigationBarListener(c cVar) {
        if (cVar == null) {
            return;
        }
        if (this.mListeners == null) {
            this.mListeners = new ArrayList<>();
        }
        if (this.mListeners.contains(cVar)) {
            return;
        }
        this.mListeners.add(cVar);
    }

    @Override // android.database.ContentObserver
    public void onChange(boolean z) {
        Context context;
        ArrayList<c> arrayList;
        int i2;
        super.onChange(z);
        if (Build.VERSION.SDK_INT < 17 || (context = this.context) == null || context.getContentResolver() == null || (arrayList = this.mListeners) == null || arrayList.isEmpty()) {
            return;
        }
        if (e.i.c.h.d.b.isMIUI()) {
            i2 = Settings.Global.getInt(this.context.getContentResolver(), IMMERSION_MIUI_NAVIGATION_BAR_HIDE_SHOW, 0);
        } else if (!e.i.c.h.d.b.isEMUI()) {
            i2 = 0;
        } else if (!e.i.c.h.d.b.isEMUI3_x() && Build.VERSION.SDK_INT >= 21) {
            i2 = Settings.Global.getInt(this.context.getContentResolver(), IMMERSION_EMUI_NAVIGATION_BAR_HIDE_SHOW, 0);
        } else {
            i2 = Settings.System.getInt(this.context.getContentResolver(), IMMERSION_EMUI_NAVIGATION_BAR_HIDE_SHOW, 0);
        }
        Iterator<c> it = this.mListeners.iterator();
        while (it.hasNext()) {
            c next = it.next();
            boolean z2 = true;
            if (i2 == 1) {
                z2 = false;
            }
            next.onNavigationBarChange(z2);
        }
    }

    public void register(Context context) {
        this.context = context;
        if (Build.VERSION.SDK_INT < 17 || context == null || context.getContentResolver() == null || this.mIsRegister.booleanValue()) {
            return;
        }
        Uri uri = null;
        if (e.i.c.h.d.b.isMIUI()) {
            uri = Settings.Global.getUriFor(IMMERSION_MIUI_NAVIGATION_BAR_HIDE_SHOW);
        } else if (e.i.c.h.d.b.isEMUI()) {
            if (!e.i.c.h.d.b.isEMUI3_x() && Build.VERSION.SDK_INT >= 21) {
                uri = Settings.Global.getUriFor(IMMERSION_EMUI_NAVIGATION_BAR_HIDE_SHOW);
            } else {
                uri = Settings.System.getUriFor(IMMERSION_EMUI_NAVIGATION_BAR_HIDE_SHOW);
            }
        }
        if (uri != null) {
            context.getContentResolver().registerContentObserver(uri, true, this);
            this.mIsRegister = true;
        }
    }

    public void removeOnNavigationBarListener(c cVar) {
        ArrayList<c> arrayList;
        if (this.mIsRegister.booleanValue()) {
            this.context.getContentResolver().unregisterContentObserver(this);
            this.mIsRegister = false;
        }
        if (cVar == null || (arrayList = this.mListeners) == null) {
            return;
        }
        arrayList.remove(cVar);
    }

    public a() {
        super(new Handler(Looper.getMainLooper()));
        this.mIsRegister = false;
    }
}
