package e.k.a;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.util.Xml;
import android.view.animation.AnimationUtils;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class b {
    public static final int AnimatorSet_ordering = 0;
    public static final int Animator_duration = 1;
    public static final int Animator_interpolator = 0;
    public static final int Animator_repeatCount = 3;
    public static final int Animator_repeatMode = 4;
    public static final int Animator_startOffset = 2;
    public static final int Animator_valueFrom = 5;
    public static final int Animator_valueTo = 6;
    public static final int Animator_valueType = 7;
    public static final int PropertyAnimator_propertyName = 0;
    public static final int TOGETHER = 0;
    public static final int VALUE_TYPE_FLOAT = 0;
    public static final int[] AnimatorSet = {16843490};
    public static final int[] PropertyAnimator = {16843489};
    public static final int[] Animator = {16843073, 16843160, 16843198, 16843199, 16843200, 16843486, 16843487, 16843488};

    public static a createAnimatorFromXml(Context context, XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        return createAnimatorFromXml(context, xmlPullParser, Xml.asAttributeSet(xmlPullParser), null, 0);
    }

    public static a loadAnimator(Context context, int i2) throws Resources.NotFoundException {
        XmlResourceParser xmlResourceParser = null;
        try {
            try {
                xmlResourceParser = context.getResources().getAnimation(i2);
                return createAnimatorFromXml(context, xmlResourceParser);
            } catch (IOException e2) {
                Resources.NotFoundException notFoundException = new Resources.NotFoundException("Can't load animation resource ID #0x" + Integer.toHexString(i2));
                notFoundException.initCause(e2);
                throw notFoundException;
            } catch (XmlPullParserException e3) {
                Resources.NotFoundException notFoundException2 = new Resources.NotFoundException("Can't load animation resource ID #0x" + Integer.toHexString(i2));
                notFoundException2.initCause(e3);
                throw notFoundException2;
            }
        } finally {
            if (xmlResourceParser != null) {
                xmlResourceParser.close();
            }
        }
    }

    public static l loadObjectAnimator(Context context, AttributeSet attributeSet) throws Resources.NotFoundException {
        l lVar = new l();
        loadAnimator(context, attributeSet, lVar);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, PropertyAnimator);
        lVar.setPropertyName(obtainStyledAttributes.getString(0));
        obtainStyledAttributes.recycle();
        return lVar;
    }

    public static a createAnimatorFromXml(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, d dVar, int i2) throws XmlPullParserException, IOException {
        int i3;
        int depth = xmlPullParser.getDepth();
        ArrayList arrayList = null;
        l lVar = null;
        while (true) {
            int next = xmlPullParser.next();
            if ((next != 3 || xmlPullParser.getDepth() > depth) && next != 1) {
                if (next == 2) {
                    String name = xmlPullParser.getName();
                    if (name.equals("objectAnimator")) {
                        lVar = loadObjectAnimator(context, attributeSet);
                    } else if (name.equals("animator")) {
                        lVar = loadAnimator(context, attributeSet, null);
                    } else if (name.equals(e.k.b.d.PREFIX_SET)) {
                        d dVar2 = new d();
                        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, AnimatorSet);
                        TypedValue typedValue = new TypedValue();
                        obtainStyledAttributes.getValue(0, typedValue);
                        createAnimatorFromXml(context, xmlPullParser, attributeSet, dVar2, typedValue.type == 16 ? typedValue.data : 0);
                        obtainStyledAttributes.recycle();
                        lVar = dVar2;
                    } else {
                        throw new RuntimeException("Unknown animator name: " + xmlPullParser.getName());
                    }
                    if (dVar != null) {
                        if (arrayList == null) {
                            arrayList = new ArrayList();
                        }
                        arrayList.add(lVar);
                    }
                }
            }
        }
        if (dVar != null && arrayList != null) {
            a[] aVarArr = new a[arrayList.size()];
            Iterator it = arrayList.iterator();
            while (it.hasNext()) {
                aVarArr[i3] = (a) it.next();
                i3++;
            }
            if (i2 == 0) {
                dVar.playTogether(aVarArr);
            } else {
                dVar.playSequentially(aVarArr);
            }
        }
        return lVar;
    }

    public static q loadAnimator(Context context, AttributeSet attributeSet, q qVar) throws Resources.NotFoundException {
        int i2;
        int i3;
        int i4;
        int i5;
        float f2;
        float f3;
        float f4;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, Animator);
        long j2 = obtainStyledAttributes.getInt(1, 0);
        long j3 = obtainStyledAttributes.getInt(2, 0);
        int i6 = obtainStyledAttributes.getInt(7, 0);
        q qVar2 = qVar == null ? new q() : qVar;
        boolean z = i6 == 0;
        TypedValue peekValue = obtainStyledAttributes.peekValue(5);
        boolean z2 = peekValue != null;
        int i7 = z2 ? peekValue.type : 0;
        TypedValue peekValue2 = obtainStyledAttributes.peekValue(6);
        boolean z3 = peekValue2 != null;
        int i8 = z3 ? peekValue2.type : 0;
        if ((z2 && i7 >= 28 && i7 <= 31) || (z3 && i8 >= 28 && i8 <= 31)) {
            qVar2.setEvaluator(new e());
            z = false;
        }
        if (!z) {
            i2 = 0;
            if (z2) {
                if (i7 == 5) {
                    i4 = (int) obtainStyledAttributes.getDimension(5, 0.0f);
                } else if (i7 >= 28 && i7 <= 31) {
                    i4 = obtainStyledAttributes.getColor(5, 0);
                } else {
                    i4 = obtainStyledAttributes.getInt(5, 0);
                }
                if (z3) {
                    if (i8 == 5) {
                        i5 = (int) obtainStyledAttributes.getDimension(6, 0.0f);
                    } else if (i8 >= 28 && i8 <= 31) {
                        i5 = obtainStyledAttributes.getColor(6, 0);
                    } else {
                        i5 = obtainStyledAttributes.getInt(6, 0);
                    }
                    qVar2.setIntValues(i4, i5);
                } else {
                    qVar2.setIntValues(i4);
                }
            } else if (z3) {
                if (i8 == 5) {
                    i3 = (int) obtainStyledAttributes.getDimension(6, 0.0f);
                } else if (i8 >= 28 && i8 <= 31) {
                    i3 = obtainStyledAttributes.getColor(6, 0);
                } else {
                    i3 = obtainStyledAttributes.getInt(6, 0);
                }
                qVar2.setIntValues(i3);
            }
        } else if (z2) {
            if (i7 == 5) {
                f3 = obtainStyledAttributes.getDimension(5, 0.0f);
            } else {
                f3 = obtainStyledAttributes.getFloat(5, 0.0f);
            }
            if (z3) {
                if (i8 == 5) {
                    f4 = obtainStyledAttributes.getDimension(6, 0.0f);
                } else {
                    f4 = obtainStyledAttributes.getFloat(6, 0.0f);
                }
                i2 = 0;
                qVar2.setFloatValues(f3, f4);
            } else {
                i2 = 0;
                qVar2.setFloatValues(f3);
            }
        } else {
            i2 = 0;
            if (i8 == 5) {
                f2 = obtainStyledAttributes.getDimension(6, 0.0f);
            } else {
                f2 = obtainStyledAttributes.getFloat(6, 0.0f);
            }
            qVar2.setFloatValues(f2);
        }
        qVar2.setDuration(j2);
        qVar2.setStartDelay(j3);
        if (obtainStyledAttributes.hasValue(3)) {
            qVar2.setRepeatCount(obtainStyledAttributes.getInt(3, i2));
        }
        if (obtainStyledAttributes.hasValue(4)) {
            qVar2.setRepeatMode(obtainStyledAttributes.getInt(4, 1));
        }
        int resourceId = obtainStyledAttributes.getResourceId(i2, i2);
        if (resourceId > 0) {
            qVar2.setInterpolator(AnimationUtils.loadInterpolator(context, resourceId));
        }
        obtainStyledAttributes.recycle();
        return qVar2;
    }
}
