package e.k.a;

import android.view.animation.Interpolator;
import com.bumptech.glide.load.engine.GlideException;
import e.k.a.j;
import java.util.ArrayList;
import java.util.Arrays;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class k {
    public p mEvaluator;
    public j mFirstKeyframe;
    public Interpolator mInterpolator;
    public ArrayList<j> mKeyframes;
    public j mLastKeyframe;
    public int mNumKeyframes;

    public k(j... jVarArr) {
        this.mNumKeyframes = jVarArr.length;
        ArrayList<j> arrayList = new ArrayList<>();
        this.mKeyframes = arrayList;
        arrayList.addAll(Arrays.asList(jVarArr));
        this.mFirstKeyframe = this.mKeyframes.get(0);
        j jVar = this.mKeyframes.get(this.mNumKeyframes - 1);
        this.mLastKeyframe = jVar;
        this.mInterpolator = jVar.getInterpolator();
    }

    public static k ofFloat(float... fArr) {
        int length = fArr.length;
        j.a[] aVarArr = new j.a[Math.max(length, 2)];
        if (length == 1) {
            aVarArr[0] = (j.a) j.ofFloat(0.0f);
            aVarArr[1] = (j.a) j.ofFloat(1.0f, fArr[0]);
        } else {
            aVarArr[0] = (j.a) j.ofFloat(0.0f, fArr[0]);
            for (int i2 = 1; i2 < length; i2++) {
                aVarArr[i2] = (j.a) j.ofFloat(i2 / (length - 1), fArr[i2]);
            }
        }
        return new g(aVarArr);
    }

    public static k ofInt(int... iArr) {
        int length = iArr.length;
        j.b[] bVarArr = new j.b[Math.max(length, 2)];
        if (length == 1) {
            bVarArr[0] = (j.b) j.ofInt(0.0f);
            bVarArr[1] = (j.b) j.ofInt(1.0f, iArr[0]);
        } else {
            bVarArr[0] = (j.b) j.ofInt(0.0f, iArr[0]);
            for (int i2 = 1; i2 < length; i2++) {
                bVarArr[i2] = (j.b) j.ofInt(i2 / (length - 1), iArr[i2]);
            }
        }
        return new i(bVarArr);
    }

    public static k ofKeyframe(j... jVarArr) {
        int length = jVarArr.length;
        int i2 = 0;
        boolean z = false;
        boolean z2 = false;
        boolean z3 = false;
        for (int i3 = 0; i3 < length; i3++) {
            if (jVarArr[i3] instanceof j.a) {
                z = true;
            } else if (jVarArr[i3] instanceof j.b) {
                z2 = true;
            } else {
                z3 = true;
            }
        }
        if (z && !z2 && !z3) {
            j.a[] aVarArr = new j.a[length];
            while (i2 < length) {
                aVarArr[i2] = (j.a) jVarArr[i2];
                i2++;
            }
            return new g(aVarArr);
        } else if (z2 && !z && !z3) {
            j.b[] bVarArr = new j.b[length];
            while (i2 < length) {
                bVarArr[i2] = (j.b) jVarArr[i2];
                i2++;
            }
            return new i(bVarArr);
        } else {
            return new k(jVarArr);
        }
    }

    public static k ofObject(Object... objArr) {
        int length = objArr.length;
        j.c[] cVarArr = new j.c[Math.max(length, 2)];
        if (length == 1) {
            cVarArr[0] = (j.c) j.ofObject(0.0f);
            cVarArr[1] = (j.c) j.ofObject(1.0f, objArr[0]);
        } else {
            cVarArr[0] = (j.c) j.ofObject(0.0f, objArr[0]);
            for (int i2 = 1; i2 < length; i2++) {
                cVarArr[i2] = (j.c) j.ofObject(i2 / (length - 1), objArr[i2]);
            }
        }
        return new k(cVarArr);
    }

    public Object getValue(float f2) {
        int i2 = this.mNumKeyframes;
        if (i2 == 2) {
            Interpolator interpolator = this.mInterpolator;
            if (interpolator != null) {
                f2 = interpolator.getInterpolation(f2);
            }
            return this.mEvaluator.evaluate(f2, this.mFirstKeyframe.getValue(), this.mLastKeyframe.getValue());
        }
        int i3 = 1;
        if (f2 <= 0.0f) {
            j jVar = this.mKeyframes.get(1);
            Interpolator interpolator2 = jVar.getInterpolator();
            if (interpolator2 != null) {
                f2 = interpolator2.getInterpolation(f2);
            }
            float fraction = this.mFirstKeyframe.getFraction();
            return this.mEvaluator.evaluate((f2 - fraction) / (jVar.getFraction() - fraction), this.mFirstKeyframe.getValue(), jVar.getValue());
        } else if (f2 >= 1.0f) {
            j jVar2 = this.mKeyframes.get(i2 - 2);
            Interpolator interpolator3 = this.mLastKeyframe.getInterpolator();
            if (interpolator3 != null) {
                f2 = interpolator3.getInterpolation(f2);
            }
            float fraction2 = jVar2.getFraction();
            return this.mEvaluator.evaluate((f2 - fraction2) / (this.mLastKeyframe.getFraction() - fraction2), jVar2.getValue(), this.mLastKeyframe.getValue());
        } else {
            j jVar3 = this.mFirstKeyframe;
            while (i3 < this.mNumKeyframes) {
                j jVar4 = this.mKeyframes.get(i3);
                if (f2 < jVar4.getFraction()) {
                    Interpolator interpolator4 = jVar4.getInterpolator();
                    if (interpolator4 != null) {
                        f2 = interpolator4.getInterpolation(f2);
                    }
                    float fraction3 = jVar3.getFraction();
                    return this.mEvaluator.evaluate((f2 - fraction3) / (jVar4.getFraction() - fraction3), jVar3.getValue(), jVar4.getValue());
                }
                i3++;
                jVar3 = jVar4;
            }
            return this.mLastKeyframe.getValue();
        }
    }

    public void setEvaluator(p pVar) {
        this.mEvaluator = pVar;
    }

    public String toString() {
        String str = " ";
        for (int i2 = 0; i2 < this.mNumKeyframes; i2++) {
            str = str + this.mKeyframes.get(i2).getValue() + GlideException.IndentedAppendable.INDENT;
        }
        return str;
    }

    /* renamed from: clone */
    public k m169clone() {
        ArrayList<j> arrayList = this.mKeyframes;
        int size = arrayList.size();
        j[] jVarArr = new j[size];
        for (int i2 = 0; i2 < size; i2++) {
            jVarArr[i2] = arrayList.get(i2).m168clone();
        }
        return new k(jVarArr);
    }
}
