package e.k.a;

import android.util.Log;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.concurrent.locks.ReentrantReadWriteLock;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class n implements Cloneable {
    public static Class[] DOUBLE_VARIANTS;
    public static Class[] FLOAT_VARIANTS;
    public static Class[] INTEGER_VARIANTS;
    public static final HashMap<Class, HashMap<String, Method>> sGetterPropertyMap;
    public static final HashMap<Class, HashMap<String, Method>> sSetterPropertyMap;
    public Object mAnimatedValue;
    public p mEvaluator;
    public Method mGetter;
    public k mKeyframeSet;
    public e.k.b.c mProperty;
    public final ReentrantReadWriteLock mPropertyMapLock;
    public String mPropertyName;
    public Method mSetter;
    public final Object[] mTmpValueArray;
    public Class mValueType;
    public static final p sIntEvaluator = new h();
    public static final p sFloatEvaluator = new f();

    static {
        Class cls = Integer.TYPE;
        FLOAT_VARIANTS = new Class[]{Float.TYPE, Float.class, Double.TYPE, cls, Double.class, Integer.class};
        Class cls2 = Double.TYPE;
        INTEGER_VARIANTS = new Class[]{cls, Integer.class, Float.TYPE, cls2, Float.class, Double.class};
        DOUBLE_VARIANTS = new Class[]{cls2, Double.class, Float.TYPE, Integer.TYPE, Float.class, Integer.class};
        sSetterPropertyMap = new HashMap<>();
        sGetterPropertyMap = new HashMap<>();
    }

    public static String getMethodName(String str, String str2) {
        if (str2 == null || str2.length() == 0) {
            return str;
        }
        char upperCase = Character.toUpperCase(str2.charAt(0));
        String substring = str2.substring(1);
        return str + upperCase + substring;
    }

    private Method getPropertyFunction(Class cls, String str, Class cls2) {
        Class<?>[] clsArr;
        String methodName = getMethodName(str, this.mPropertyName);
        Method method = null;
        if (cls2 == null) {
            try {
                return cls.getMethod(methodName, null);
            } catch (NoSuchMethodException e2) {
                try {
                    method = cls.getDeclaredMethod(methodName, null);
                    method.setAccessible(true);
                } catch (NoSuchMethodException unused) {
                    Log.e("PropertyValuesHolder", "Couldn't find no-arg method for property " + this.mPropertyName + ": " + e2);
                }
            }
        } else {
            Class<?>[] clsArr2 = new Class[1];
            if (this.mValueType.equals(Float.class)) {
                clsArr = FLOAT_VARIANTS;
            } else if (this.mValueType.equals(Integer.class)) {
                clsArr = INTEGER_VARIANTS;
            } else {
                clsArr = this.mValueType.equals(Double.class) ? DOUBLE_VARIANTS : new Class[]{this.mValueType};
            }
            for (Class<?> cls3 : clsArr) {
                clsArr2[0] = cls3;
                try {
                    try {
                        Method method2 = cls.getMethod(methodName, clsArr2);
                        this.mValueType = cls3;
                        return method2;
                    } catch (NoSuchMethodException unused2) {
                        method = cls.getDeclaredMethod(methodName, clsArr2);
                        method.setAccessible(true);
                        this.mValueType = cls3;
                        return method;
                    }
                } catch (NoSuchMethodException unused3) {
                }
            }
            Log.e("PropertyValuesHolder", "Couldn't find setter/getter for property " + this.mPropertyName + " with value type " + this.mValueType);
        }
        return method;
    }

    public static n ofFloat(String str, float... fArr) {
        return new b(str, fArr);
    }

    public static n ofInt(String str, int... iArr) {
        return new c(str, iArr);
    }

    public static n ofKeyframe(String str, j... jVarArr) {
        k ofKeyframe = k.ofKeyframe(jVarArr);
        if (ofKeyframe instanceof i) {
            return new c(str, (i) ofKeyframe);
        }
        if (ofKeyframe instanceof g) {
            return new b(str, (g) ofKeyframe);
        }
        n nVar = new n(str);
        nVar.mKeyframeSet = ofKeyframe;
        nVar.mValueType = jVarArr[0].getType();
        return nVar;
    }

    public static n ofObject(String str, p pVar, Object... objArr) {
        n nVar = new n(str);
        nVar.setObjectValues(objArr);
        nVar.setEvaluator(pVar);
        return nVar;
    }

    private void setupGetter(Class cls) {
        this.mGetter = setupSetterOrGetter(cls, sGetterPropertyMap, "get", null);
    }

    private Method setupSetterOrGetter(Class cls, HashMap<Class, HashMap<String, Method>> hashMap, String str, Class cls2) {
        try {
            this.mPropertyMapLock.writeLock().lock();
            HashMap<String, Method> hashMap2 = hashMap.get(cls);
            Method method = hashMap2 != null ? hashMap2.get(this.mPropertyName) : null;
            if (method == null) {
                method = getPropertyFunction(cls, str, cls2);
                if (hashMap2 == null) {
                    hashMap2 = new HashMap<>();
                    hashMap.put(cls, hashMap2);
                }
                hashMap2.put(this.mPropertyName, method);
            }
            return method;
        } finally {
            this.mPropertyMapLock.writeLock().unlock();
        }
    }

    private void setupValue(Object obj, j jVar) {
        e.k.b.c cVar = this.mProperty;
        if (cVar != null) {
            jVar.setValue(cVar.get(obj));
        }
        try {
            if (this.mGetter == null) {
                setupGetter(obj.getClass());
            }
            jVar.setValue(this.mGetter.invoke(obj, new Object[0]));
        } catch (IllegalAccessException e2) {
            Log.e("PropertyValuesHolder", e2.toString());
        } catch (InvocationTargetException e3) {
            Log.e("PropertyValuesHolder", e3.toString());
        }
    }

    public void calculateValue(float f2) {
        this.mAnimatedValue = this.mKeyframeSet.getValue(f2);
    }

    public Object getAnimatedValue() {
        return this.mAnimatedValue;
    }

    public String getPropertyName() {
        return this.mPropertyName;
    }

    public void init() {
        if (this.mEvaluator == null) {
            Class cls = this.mValueType;
            this.mEvaluator = cls == Integer.class ? sIntEvaluator : cls == Float.class ? sFloatEvaluator : null;
        }
        p pVar = this.mEvaluator;
        if (pVar != null) {
            this.mKeyframeSet.setEvaluator(pVar);
        }
    }

    public void setAnimatedValue(Object obj) {
        e.k.b.c cVar = this.mProperty;
        if (cVar != null) {
            cVar.set(obj, getAnimatedValue());
        }
        if (this.mSetter != null) {
            try {
                this.mTmpValueArray[0] = getAnimatedValue();
                this.mSetter.invoke(obj, this.mTmpValueArray);
            } catch (IllegalAccessException e2) {
                Log.e("PropertyValuesHolder", e2.toString());
            } catch (InvocationTargetException e3) {
                Log.e("PropertyValuesHolder", e3.toString());
            }
        }
    }

    public void setEvaluator(p pVar) {
        this.mEvaluator = pVar;
        this.mKeyframeSet.setEvaluator(pVar);
    }

    public void setFloatValues(float... fArr) {
        this.mValueType = Float.TYPE;
        this.mKeyframeSet = k.ofFloat(fArr);
    }

    public void setIntValues(int... iArr) {
        this.mValueType = Integer.TYPE;
        this.mKeyframeSet = k.ofInt(iArr);
    }

    public void setKeyframes(j... jVarArr) {
        int length = jVarArr.length;
        j[] jVarArr2 = new j[Math.max(length, 2)];
        this.mValueType = jVarArr[0].getType();
        for (int i2 = 0; i2 < length; i2++) {
            jVarArr2[i2] = jVarArr[i2];
        }
        this.mKeyframeSet = new k(jVarArr2);
    }

    public void setObjectValues(Object... objArr) {
        this.mValueType = objArr[0].getClass();
        this.mKeyframeSet = k.ofObject(objArr);
    }

    public void setProperty(e.k.b.c cVar) {
        this.mProperty = cVar;
    }

    public void setPropertyName(String str) {
        this.mPropertyName = str;
    }

    public void setupEndValue(Object obj) {
        ArrayList<j> arrayList = this.mKeyframeSet.mKeyframes;
        setupValue(obj, arrayList.get(arrayList.size() - 1));
    }

    public void setupSetter(Class cls) {
        this.mSetter = setupSetterOrGetter(cls, sSetterPropertyMap, e.k.b.d.PREFIX_SET, this.mValueType);
    }

    public void setupSetterAndGetter(Object obj) {
        e.k.b.c cVar = this.mProperty;
        if (cVar != null) {
            try {
                cVar.get(obj);
                Iterator<j> it = this.mKeyframeSet.mKeyframes.iterator();
                while (it.hasNext()) {
                    j next = it.next();
                    if (!next.hasValue()) {
                        next.setValue(this.mProperty.get(obj));
                    }
                }
                return;
            } catch (ClassCastException unused) {
                Log.e("PropertyValuesHolder", "No such property (" + this.mProperty.getName() + ") on target object " + obj + ". Trying reflection instead");
                this.mProperty = null;
            }
        }
        Class<?> cls = obj.getClass();
        if (this.mSetter == null) {
            setupSetter(cls);
        }
        Iterator<j> it2 = this.mKeyframeSet.mKeyframes.iterator();
        while (it2.hasNext()) {
            j next2 = it2.next();
            if (!next2.hasValue()) {
                if (this.mGetter == null) {
                    setupGetter(cls);
                }
                try {
                    next2.setValue(this.mGetter.invoke(obj, new Object[0]));
                } catch (IllegalAccessException e2) {
                    Log.e("PropertyValuesHolder", e2.toString());
                } catch (InvocationTargetException e3) {
                    Log.e("PropertyValuesHolder", e3.toString());
                }
            }
        }
    }

    public void setupStartValue(Object obj) {
        setupValue(obj, this.mKeyframeSet.mKeyframes.get(0));
    }

    public String toString() {
        return this.mPropertyName + ": " + this.mKeyframeSet.toString();
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class b extends n {
        public float mFloatAnimatedValue;
        public g mFloatKeyframeSet;
        public e.k.b.a mFloatProperty;

        public b(String str, g gVar) {
            super(str);
            this.mValueType = Float.TYPE;
            this.mKeyframeSet = gVar;
            this.mFloatKeyframeSet = gVar;
        }

        @Override // e.k.a.n
        public void calculateValue(float f2) {
            this.mFloatAnimatedValue = this.mFloatKeyframeSet.getFloatValue(f2);
        }

        @Override // e.k.a.n
        public Object getAnimatedValue() {
            return Float.valueOf(this.mFloatAnimatedValue);
        }

        @Override // e.k.a.n
        public void setAnimatedValue(Object obj) {
            e.k.b.a aVar = this.mFloatProperty;
            if (aVar != null) {
                aVar.setValue(obj, this.mFloatAnimatedValue);
                return;
            }
            e.k.b.c cVar = this.mProperty;
            if (cVar != null) {
                cVar.set(obj, Float.valueOf(this.mFloatAnimatedValue));
            } else if (this.mSetter != null) {
                try {
                    this.mTmpValueArray[0] = Float.valueOf(this.mFloatAnimatedValue);
                    this.mSetter.invoke(obj, this.mTmpValueArray);
                } catch (IllegalAccessException e2) {
                    Log.e("PropertyValuesHolder", e2.toString());
                } catch (InvocationTargetException e3) {
                    Log.e("PropertyValuesHolder", e3.toString());
                }
            }
        }

        @Override // e.k.a.n
        public void setFloatValues(float... fArr) {
            super.setFloatValues(fArr);
            this.mFloatKeyframeSet = (g) this.mKeyframeSet;
        }

        @Override // e.k.a.n
        public void setupSetter(Class cls) {
            if (this.mProperty != null) {
                return;
            }
            super.setupSetter(cls);
        }

        @Override // e.k.a.n
        public b clone() {
            b bVar = (b) super.m170clone();
            bVar.mFloatKeyframeSet = (g) bVar.mKeyframeSet;
            return bVar;
        }

        public b(e.k.b.c cVar, g gVar) {
            super(cVar);
            this.mValueType = Float.TYPE;
            this.mKeyframeSet = gVar;
            this.mFloatKeyframeSet = gVar;
            if (cVar instanceof e.k.b.a) {
                this.mFloatProperty = (e.k.b.a) this.mProperty;
            }
        }

        public b(String str, float... fArr) {
            super(str);
            setFloatValues(fArr);
        }

        public b(e.k.b.c cVar, float... fArr) {
            super(cVar);
            setFloatValues(fArr);
            if (cVar instanceof e.k.b.a) {
                this.mFloatProperty = (e.k.b.a) this.mProperty;
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class c extends n {
        public int mIntAnimatedValue;
        public i mIntKeyframeSet;
        public e.k.b.b mIntProperty;

        public c(String str, i iVar) {
            super(str);
            this.mValueType = Integer.TYPE;
            this.mKeyframeSet = iVar;
            this.mIntKeyframeSet = iVar;
        }

        @Override // e.k.a.n
        public void calculateValue(float f2) {
            this.mIntAnimatedValue = this.mIntKeyframeSet.getIntValue(f2);
        }

        @Override // e.k.a.n
        public Object getAnimatedValue() {
            return Integer.valueOf(this.mIntAnimatedValue);
        }

        @Override // e.k.a.n
        public void setAnimatedValue(Object obj) {
            e.k.b.b bVar = this.mIntProperty;
            if (bVar != null) {
                bVar.setValue(obj, this.mIntAnimatedValue);
                return;
            }
            e.k.b.c cVar = this.mProperty;
            if (cVar != null) {
                cVar.set(obj, Integer.valueOf(this.mIntAnimatedValue));
            } else if (this.mSetter != null) {
                try {
                    this.mTmpValueArray[0] = Integer.valueOf(this.mIntAnimatedValue);
                    this.mSetter.invoke(obj, this.mTmpValueArray);
                } catch (IllegalAccessException e2) {
                    Log.e("PropertyValuesHolder", e2.toString());
                } catch (InvocationTargetException e3) {
                    Log.e("PropertyValuesHolder", e3.toString());
                }
            }
        }

        @Override // e.k.a.n
        public void setIntValues(int... iArr) {
            super.setIntValues(iArr);
            this.mIntKeyframeSet = (i) this.mKeyframeSet;
        }

        @Override // e.k.a.n
        public void setupSetter(Class cls) {
            if (this.mProperty != null) {
                return;
            }
            super.setupSetter(cls);
        }

        @Override // e.k.a.n
        public c clone() {
            c cVar = (c) super.m170clone();
            cVar.mIntKeyframeSet = (i) cVar.mKeyframeSet;
            return cVar;
        }

        public c(e.k.b.c cVar, i iVar) {
            super(cVar);
            this.mValueType = Integer.TYPE;
            this.mKeyframeSet = iVar;
            this.mIntKeyframeSet = iVar;
            if (cVar instanceof e.k.b.b) {
                this.mIntProperty = (e.k.b.b) this.mProperty;
            }
        }

        public c(String str, int... iArr) {
            super(str);
            setIntValues(iArr);
        }

        public c(e.k.b.c cVar, int... iArr) {
            super(cVar);
            setIntValues(iArr);
            if (cVar instanceof e.k.b.b) {
                this.mIntProperty = (e.k.b.b) this.mProperty;
            }
        }
    }

    public static n ofFloat(e.k.b.c<?, Float> cVar, float... fArr) {
        return new b(cVar, fArr);
    }

    public static n ofInt(e.k.b.c<?, Integer> cVar, int... iArr) {
        return new c(cVar, iArr);
    }

    /* renamed from: clone */
    public n m170clone() {
        try {
            n nVar = (n) super.clone();
            nVar.mPropertyName = this.mPropertyName;
            nVar.mProperty = this.mProperty;
            nVar.mKeyframeSet = this.mKeyframeSet.m169clone();
            nVar.mEvaluator = this.mEvaluator;
            return nVar;
        } catch (CloneNotSupportedException unused) {
            return null;
        }
    }

    public n(String str) {
        this.mSetter = null;
        this.mGetter = null;
        this.mKeyframeSet = null;
        this.mPropertyMapLock = new ReentrantReadWriteLock();
        this.mTmpValueArray = new Object[1];
        this.mPropertyName = str;
    }

    public static <V> n ofObject(e.k.b.c cVar, p<V> pVar, V... vArr) {
        n nVar = new n(cVar);
        nVar.setObjectValues(vArr);
        nVar.setEvaluator(pVar);
        return nVar;
    }

    public static n ofKeyframe(e.k.b.c cVar, j... jVarArr) {
        k ofKeyframe = k.ofKeyframe(jVarArr);
        if (ofKeyframe instanceof i) {
            return new c(cVar, (i) ofKeyframe);
        }
        if (ofKeyframe instanceof g) {
            return new b(cVar, (g) ofKeyframe);
        }
        n nVar = new n(cVar);
        nVar.mKeyframeSet = ofKeyframe;
        nVar.mValueType = jVarArr[0].getType();
        return nVar;
    }

    public n(e.k.b.c cVar) {
        this.mSetter = null;
        this.mGetter = null;
        this.mKeyframeSet = null;
        this.mPropertyMapLock = new ReentrantReadWriteLock();
        this.mTmpValueArray = new Object[1];
        this.mProperty = cVar;
        if (cVar != null) {
            this.mPropertyName = cVar.getName();
        }
    }
}
