package e.k.a;

import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.AndroidRuntimeException;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.view.animation.AnimationUtils;
import android.view.animation.Interpolator;
import android.view.animation.LinearInterpolator;
import e.k.a.a;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class q extends e.k.a.a {
    public static final int ANIMATION_FRAME = 1;
    public static final int ANIMATION_START = 0;
    public static final long DEFAULT_FRAME_DELAY = 10;
    public static final int INFINITE = -1;
    public static final int RESTART = 1;
    public static final int REVERSE = 2;
    public static final int RUNNING = 1;
    public static final int SEEKED = 2;
    public static final int STOPPED = 0;
    public long mDelayStartTime;
    public long mStartTime;
    public n[] mValues;
    public HashMap<String, n> mValuesMap;
    public static ThreadLocal<f> sAnimationHandler = new ThreadLocal<>();
    public static final ThreadLocal<ArrayList<q>> sAnimations = new a();
    public static final ThreadLocal<ArrayList<q>> sPendingAnimations = new b();
    public static final ThreadLocal<ArrayList<q>> sDelayedAnims = new c();
    public static final ThreadLocal<ArrayList<q>> sEndingAnims = new d();
    public static final ThreadLocal<ArrayList<q>> sReadyAnims = new e();
    public static final Interpolator sDefaultInterpolator = new AccelerateDecelerateInterpolator();
    public static final p sIntEvaluator = new h();
    public static final p sFloatEvaluator = new e.k.a.f();
    public static long sFrameDelay = 10;
    public long mSeekTime = -1;
    public boolean mPlayingBackwards = false;
    public int mCurrentIteration = 0;
    public float mCurrentFraction = 0.0f;
    public boolean mStartedDelay = false;
    public int mPlayingState = 0;
    public boolean mRunning = false;
    public boolean mStarted = false;
    public boolean mInitialized = false;
    public long mDuration = 300;
    public long mStartDelay = 0;
    public int mRepeatCount = 0;
    public int mRepeatMode = 1;
    public Interpolator mInterpolator = sDefaultInterpolator;
    public ArrayList<g> mUpdateListeners = null;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class a extends ThreadLocal<ArrayList<q>> {
        @Override // java.lang.ThreadLocal
        public ArrayList<q> initialValue() {
            return new ArrayList<>();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class b extends ThreadLocal<ArrayList<q>> {
        @Override // java.lang.ThreadLocal
        public ArrayList<q> initialValue() {
            return new ArrayList<>();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class c extends ThreadLocal<ArrayList<q>> {
        @Override // java.lang.ThreadLocal
        public ArrayList<q> initialValue() {
            return new ArrayList<>();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class d extends ThreadLocal<ArrayList<q>> {
        @Override // java.lang.ThreadLocal
        public ArrayList<q> initialValue() {
            return new ArrayList<>();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class e extends ThreadLocal<ArrayList<q>> {
        @Override // java.lang.ThreadLocal
        public ArrayList<q> initialValue() {
            return new ArrayList<>();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class f extends Handler {
        public f() {
        }

        @Override // android.os.Handler
        public void handleMessage(Message message) {
            boolean z;
            ArrayList arrayList = (ArrayList) q.sAnimations.get();
            ArrayList arrayList2 = (ArrayList) q.sDelayedAnims.get();
            int i2 = message.what;
            if (i2 == 0) {
                ArrayList arrayList3 = (ArrayList) q.sPendingAnimations.get();
                z = arrayList.size() <= 0 && arrayList2.size() <= 0;
                while (arrayList3.size() > 0) {
                    ArrayList arrayList4 = (ArrayList) arrayList3.clone();
                    arrayList3.clear();
                    int size = arrayList4.size();
                    for (int i3 = 0; i3 < size; i3++) {
                        q qVar = (q) arrayList4.get(i3);
                        if (qVar.mStartDelay == 0) {
                            qVar.startAnimation();
                        } else {
                            arrayList2.add(qVar);
                        }
                    }
                }
            } else if (i2 != 1) {
                return;
            } else {
                z = true;
            }
            long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
            ArrayList arrayList5 = (ArrayList) q.sReadyAnims.get();
            ArrayList arrayList6 = (ArrayList) q.sEndingAnims.get();
            int size2 = arrayList2.size();
            for (int i4 = 0; i4 < size2; i4++) {
                q qVar2 = (q) arrayList2.get(i4);
                if (qVar2.delayedAnimationFrame(currentAnimationTimeMillis)) {
                    arrayList5.add(qVar2);
                }
            }
            int size3 = arrayList5.size();
            if (size3 > 0) {
                for (int i5 = 0; i5 < size3; i5++) {
                    q qVar3 = (q) arrayList5.get(i5);
                    qVar3.startAnimation();
                    qVar3.mRunning = true;
                    arrayList2.remove(qVar3);
                }
                arrayList5.clear();
            }
            int size4 = arrayList.size();
            int i6 = 0;
            while (i6 < size4) {
                q qVar4 = (q) arrayList.get(i6);
                if (qVar4.animationFrame(currentAnimationTimeMillis)) {
                    arrayList6.add(qVar4);
                }
                if (arrayList.size() == size4) {
                    i6++;
                } else {
                    size4--;
                    arrayList6.remove(qVar4);
                }
            }
            if (arrayList6.size() > 0) {
                for (int i7 = 0; i7 < arrayList6.size(); i7++) {
                    ((q) arrayList6.get(i7)).endAnimation();
                }
                arrayList6.clear();
            }
            if (z) {
                if (arrayList.isEmpty() && arrayList2.isEmpty()) {
                    return;
                }
                sendEmptyMessageDelayed(1, Math.max(0L, q.sFrameDelay - (AnimationUtils.currentAnimationTimeMillis() - currentAnimationTimeMillis)));
            }
        }

        public /* synthetic */ f(a aVar) {
            this();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface g {
        void onAnimationUpdate(q qVar);
    }

    public static void clearAllAnimations() {
        sAnimations.get().clear();
        sPendingAnimations.get().clear();
        sDelayedAnims.get().clear();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean delayedAnimationFrame(long j2) {
        if (!this.mStartedDelay) {
            this.mStartedDelay = true;
            this.mDelayStartTime = j2;
            return false;
        }
        long j3 = j2 - this.mDelayStartTime;
        long j4 = this.mStartDelay;
        if (j3 > j4) {
            this.mStartTime = j2 - (j3 - j4);
            this.mPlayingState = 1;
            return true;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void endAnimation() {
        ArrayList<a.InterfaceC0301a> arrayList;
        sAnimations.get().remove(this);
        sPendingAnimations.get().remove(this);
        sDelayedAnims.get().remove(this);
        this.mPlayingState = 0;
        if (this.mRunning && (arrayList = this.mListeners) != null) {
            ArrayList arrayList2 = (ArrayList) arrayList.clone();
            int size = arrayList2.size();
            for (int i2 = 0; i2 < size; i2++) {
                ((a.InterfaceC0301a) arrayList2.get(i2)).onAnimationEnd(this);
            }
        }
        this.mRunning = false;
        this.mStarted = false;
    }

    public static int getCurrentAnimationsCount() {
        return sAnimations.get().size();
    }

    public static long getFrameDelay() {
        return sFrameDelay;
    }

    public static q ofFloat(float... fArr) {
        q qVar = new q();
        qVar.setFloatValues(fArr);
        return qVar;
    }

    public static q ofInt(int... iArr) {
        q qVar = new q();
        qVar.setIntValues(iArr);
        return qVar;
    }

    public static q ofObject(p pVar, Object... objArr) {
        q qVar = new q();
        qVar.setObjectValues(objArr);
        qVar.setEvaluator(pVar);
        return qVar;
    }

    public static q ofPropertyValuesHolder(n... nVarArr) {
        q qVar = new q();
        qVar.setValues(nVarArr);
        return qVar;
    }

    public static void setFrameDelay(long j2) {
        sFrameDelay = j2;
    }

    private void start(boolean z) {
        if (Looper.myLooper() != null) {
            this.mPlayingBackwards = z;
            this.mCurrentIteration = 0;
            this.mPlayingState = 0;
            this.mStarted = true;
            this.mStartedDelay = false;
            sPendingAnimations.get().add(this);
            if (this.mStartDelay == 0) {
                setCurrentPlayTime(getCurrentPlayTime());
                this.mPlayingState = 0;
                this.mRunning = true;
                ArrayList<a.InterfaceC0301a> arrayList = this.mListeners;
                if (arrayList != null) {
                    ArrayList arrayList2 = (ArrayList) arrayList.clone();
                    int size = arrayList2.size();
                    for (int i2 = 0; i2 < size; i2++) {
                        ((a.InterfaceC0301a) arrayList2.get(i2)).onAnimationStart(this);
                    }
                }
            }
            f fVar = sAnimationHandler.get();
            if (fVar == null) {
                fVar = new f(null);
                sAnimationHandler.set(fVar);
            }
            fVar.sendEmptyMessage(0);
            return;
        }
        throw new AndroidRuntimeException("Animators may only be run on Looper threads");
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void startAnimation() {
        ArrayList<a.InterfaceC0301a> arrayList;
        initAnimation();
        sAnimations.get().add(this);
        if (this.mStartDelay <= 0 || (arrayList = this.mListeners) == null) {
            return;
        }
        ArrayList arrayList2 = (ArrayList) arrayList.clone();
        int size = arrayList2.size();
        for (int i2 = 0; i2 < size; i2++) {
            ((a.InterfaceC0301a) arrayList2.get(i2)).onAnimationStart(this);
        }
    }

    public void addUpdateListener(g gVar) {
        if (this.mUpdateListeners == null) {
            this.mUpdateListeners = new ArrayList<>();
        }
        this.mUpdateListeners.add(gVar);
    }

    public void animateValue(float f2) {
        float interpolation = this.mInterpolator.getInterpolation(f2);
        this.mCurrentFraction = interpolation;
        int length = this.mValues.length;
        for (int i2 = 0; i2 < length; i2++) {
            this.mValues[i2].calculateValue(interpolation);
        }
        ArrayList<g> arrayList = this.mUpdateListeners;
        if (arrayList != null) {
            int size = arrayList.size();
            for (int i3 = 0; i3 < size; i3++) {
                this.mUpdateListeners.get(i3).onAnimationUpdate(this);
            }
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:36:0x007c  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean animationFrame(long j2) {
        boolean z = true;
        if (this.mPlayingState == 0) {
            this.mPlayingState = 1;
            long j3 = this.mSeekTime;
            if (j3 < 0) {
                this.mStartTime = j2;
            } else {
                this.mStartTime = j2 - j3;
                this.mSeekTime = -1L;
            }
        }
        int i2 = this.mPlayingState;
        if (i2 == 1 || i2 == 2) {
            long j4 = this.mDuration;
            float f2 = j4 > 0 ? ((float) (j2 - this.mStartTime)) / ((float) j4) : 1.0f;
            if (f2 >= 1.0f) {
                int i3 = this.mCurrentIteration;
                int i4 = this.mRepeatCount;
                if (i3 >= i4 && i4 != -1) {
                    f2 = Math.min(f2, 1.0f);
                    if (this.mPlayingBackwards) {
                        f2 = 1.0f - f2;
                    }
                    animateValue(f2);
                    return z;
                }
                ArrayList<a.InterfaceC0301a> arrayList = this.mListeners;
                if (arrayList != null) {
                    int size = arrayList.size();
                    for (int i5 = 0; i5 < size; i5++) {
                        this.mListeners.get(i5).onAnimationRepeat(this);
                    }
                }
                if (this.mRepeatMode == 2) {
                    this.mPlayingBackwards = !this.mPlayingBackwards;
                }
                this.mCurrentIteration += (int) f2;
                f2 %= 1.0f;
                this.mStartTime += this.mDuration;
            }
            z = false;
            if (this.mPlayingBackwards) {
            }
            animateValue(f2);
            return z;
        }
        return false;
    }

    @Override // e.k.a.a
    public void cancel() {
        ArrayList<a.InterfaceC0301a> arrayList;
        if (this.mPlayingState != 0 || sPendingAnimations.get().contains(this) || sDelayedAnims.get().contains(this)) {
            if (this.mRunning && (arrayList = this.mListeners) != null) {
                Iterator it = ((ArrayList) arrayList.clone()).iterator();
                while (it.hasNext()) {
                    ((a.InterfaceC0301a) it.next()).onAnimationCancel(this);
                }
            }
            endAnimation();
        }
    }

    @Override // e.k.a.a
    public void end() {
        if (!sAnimations.get().contains(this) && !sPendingAnimations.get().contains(this)) {
            this.mStartedDelay = false;
            startAnimation();
        } else if (!this.mInitialized) {
            initAnimation();
        }
        int i2 = this.mRepeatCount;
        if (i2 > 0 && (i2 & 1) == 1) {
            animateValue(0.0f);
        } else {
            animateValue(1.0f);
        }
        endAnimation();
    }

    public float getAnimatedFraction() {
        return this.mCurrentFraction;
    }

    public Object getAnimatedValue() {
        n[] nVarArr = this.mValues;
        if (nVarArr == null || nVarArr.length <= 0) {
            return null;
        }
        return nVarArr[0].getAnimatedValue();
    }

    public long getCurrentPlayTime() {
        if (!this.mInitialized || this.mPlayingState == 0) {
            return 0L;
        }
        return AnimationUtils.currentAnimationTimeMillis() - this.mStartTime;
    }

    @Override // e.k.a.a
    public long getDuration() {
        return this.mDuration;
    }

    public Interpolator getInterpolator() {
        return this.mInterpolator;
    }

    public int getRepeatCount() {
        return this.mRepeatCount;
    }

    public int getRepeatMode() {
        return this.mRepeatMode;
    }

    @Override // e.k.a.a
    public long getStartDelay() {
        return this.mStartDelay;
    }

    public n[] getValues() {
        return this.mValues;
    }

    public void initAnimation() {
        if (this.mInitialized) {
            return;
        }
        int length = this.mValues.length;
        for (int i2 = 0; i2 < length; i2++) {
            this.mValues[i2].init();
        }
        this.mInitialized = true;
    }

    @Override // e.k.a.a
    public boolean isRunning() {
        return this.mPlayingState == 1 || this.mRunning;
    }

    @Override // e.k.a.a
    public boolean isStarted() {
        return this.mStarted;
    }

    public void removeAllUpdateListeners() {
        ArrayList<g> arrayList = this.mUpdateListeners;
        if (arrayList == null) {
            return;
        }
        arrayList.clear();
        this.mUpdateListeners = null;
    }

    public void removeUpdateListener(g gVar) {
        ArrayList<g> arrayList = this.mUpdateListeners;
        if (arrayList == null) {
            return;
        }
        arrayList.remove(gVar);
        if (this.mUpdateListeners.size() == 0) {
            this.mUpdateListeners = null;
        }
    }

    public void reverse() {
        this.mPlayingBackwards = !this.mPlayingBackwards;
        if (this.mPlayingState == 1) {
            long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
            this.mStartTime = currentAnimationTimeMillis - (this.mDuration - (currentAnimationTimeMillis - this.mStartTime));
            return;
        }
        start(true);
    }

    public void setCurrentPlayTime(long j2) {
        initAnimation();
        long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
        if (this.mPlayingState != 1) {
            this.mSeekTime = j2;
            this.mPlayingState = 2;
        }
        this.mStartTime = currentAnimationTimeMillis - j2;
        animationFrame(currentAnimationTimeMillis);
    }

    public void setEvaluator(p pVar) {
        n[] nVarArr;
        if (pVar == null || (nVarArr = this.mValues) == null || nVarArr.length <= 0) {
            return;
        }
        nVarArr[0].setEvaluator(pVar);
    }

    public void setFloatValues(float... fArr) {
        if (fArr == null || fArr.length == 0) {
            return;
        }
        n[] nVarArr = this.mValues;
        if (nVarArr == null || nVarArr.length == 0) {
            setValues(n.ofFloat("", fArr));
        } else {
            nVarArr[0].setFloatValues(fArr);
        }
        this.mInitialized = false;
    }

    public void setIntValues(int... iArr) {
        if (iArr == null || iArr.length == 0) {
            return;
        }
        n[] nVarArr = this.mValues;
        if (nVarArr == null || nVarArr.length == 0) {
            setValues(n.ofInt("", iArr));
        } else {
            nVarArr[0].setIntValues(iArr);
        }
        this.mInitialized = false;
    }

    @Override // e.k.a.a
    public void setInterpolator(Interpolator interpolator) {
        if (interpolator != null) {
            this.mInterpolator = interpolator;
        } else {
            this.mInterpolator = new LinearInterpolator();
        }
    }

    public void setObjectValues(Object... objArr) {
        if (objArr == null || objArr.length == 0) {
            return;
        }
        n[] nVarArr = this.mValues;
        if (nVarArr == null || nVarArr.length == 0) {
            setValues(n.ofObject("", (p) null, objArr));
        } else {
            nVarArr[0].setObjectValues(objArr);
        }
        this.mInitialized = false;
    }

    public void setRepeatCount(int i2) {
        this.mRepeatCount = i2;
    }

    public void setRepeatMode(int i2) {
        this.mRepeatMode = i2;
    }

    @Override // e.k.a.a
    public void setStartDelay(long j2) {
        this.mStartDelay = j2;
    }

    public void setValues(n... nVarArr) {
        int length = nVarArr.length;
        this.mValues = nVarArr;
        this.mValuesMap = new HashMap<>(length);
        for (n nVar : nVarArr) {
            this.mValuesMap.put(nVar.getPropertyName(), nVar);
        }
        this.mInitialized = false;
    }

    public String toString() {
        String str = "ValueAnimator@" + Integer.toHexString(hashCode());
        if (this.mValues != null) {
            for (int i2 = 0; i2 < this.mValues.length; i2++) {
                str = str + "\n    " + this.mValues[i2].toString();
            }
        }
        return str;
    }

    @Override // e.k.a.a
    public q setDuration(long j2) {
        if (j2 >= 0) {
            this.mDuration = j2;
            return this;
        }
        throw new IllegalArgumentException("Animators cannot have negative duration: " + j2);
    }

    @Override // e.k.a.a
    public q clone() {
        q qVar = (q) super.m166clone();
        ArrayList<g> arrayList = this.mUpdateListeners;
        if (arrayList != null) {
            qVar.mUpdateListeners = new ArrayList<>();
            int size = arrayList.size();
            for (int i2 = 0; i2 < size; i2++) {
                qVar.mUpdateListeners.add(arrayList.get(i2));
            }
        }
        qVar.mSeekTime = -1L;
        qVar.mPlayingBackwards = false;
        qVar.mCurrentIteration = 0;
        qVar.mInitialized = false;
        qVar.mPlayingState = 0;
        qVar.mStartedDelay = false;
        n[] nVarArr = this.mValues;
        if (nVarArr != null) {
            int length = nVarArr.length;
            qVar.mValues = new n[length];
            qVar.mValuesMap = new HashMap<>(length);
            for (int i3 = 0; i3 < length; i3++) {
                n m170clone = nVarArr[i3].m170clone();
                qVar.mValues[i3] = m170clone;
                qVar.mValuesMap.put(m170clone.getPropertyName(), m170clone);
            }
        }
        return qVar;
    }

    public Object getAnimatedValue(String str) {
        n nVar = this.mValuesMap.get(str);
        if (nVar != null) {
            return nVar.getAnimatedValue();
        }
        return null;
    }

    @Override // e.k.a.a
    public void start() {
        start(false);
    }
}
