package e.k.c;

import android.view.View;
import android.view.animation.Interpolator;
import e.k.a.a;
import e.k.a.q;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class e extends e.k.c.b {
    public static final int ALPHA = 512;
    public static final int NONE = 0;
    public static final int ROTATION = 16;
    public static final int ROTATION_X = 32;
    public static final int ROTATION_Y = 64;
    public static final int SCALE_X = 4;
    public static final int SCALE_Y = 8;
    public static final int TRANSFORM_MASK = 511;
    public static final int TRANSLATION_X = 1;
    public static final int TRANSLATION_Y = 2;
    public static final int X = 128;
    public static final int Y = 256;
    public long mDuration;
    public Interpolator mInterpolator;
    public final e.k.c.f.a mProxy;
    public final WeakReference<View> mView;
    public boolean mDurationSet = false;
    public long mStartDelay = 0;
    public boolean mStartDelaySet = false;
    public boolean mInterpolatorSet = false;
    public a.InterfaceC0301a mListener = null;
    public b mAnimatorEventListener = new b(this, null);
    public ArrayList<c> mPendingAnimations = new ArrayList<>();
    public Runnable mAnimationStarter = new a();
    public HashMap<e.k.a.a, d> mAnimatorMap = new HashMap<>();

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class a implements Runnable {
        public a() {
        }

        @Override // java.lang.Runnable
        public void run() {
            e.this.startAnimation();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class b implements a.InterfaceC0301a, q.g {
        public b() {
        }

        @Override // e.k.a.a.InterfaceC0301a
        public void onAnimationCancel(e.k.a.a aVar) {
            if (e.this.mListener != null) {
                e.this.mListener.onAnimationCancel(aVar);
            }
        }

        @Override // e.k.a.a.InterfaceC0301a
        public void onAnimationEnd(e.k.a.a aVar) {
            if (e.this.mListener != null) {
                e.this.mListener.onAnimationEnd(aVar);
            }
            e.this.mAnimatorMap.remove(aVar);
            if (e.this.mAnimatorMap.isEmpty()) {
                e.this.mListener = null;
            }
        }

        @Override // e.k.a.a.InterfaceC0301a
        public void onAnimationRepeat(e.k.a.a aVar) {
            if (e.this.mListener != null) {
                e.this.mListener.onAnimationRepeat(aVar);
            }
        }

        @Override // e.k.a.a.InterfaceC0301a
        public void onAnimationStart(e.k.a.a aVar) {
            if (e.this.mListener != null) {
                e.this.mListener.onAnimationStart(aVar);
            }
        }

        @Override // e.k.a.q.g
        public void onAnimationUpdate(q qVar) {
            View view;
            float animatedFraction = qVar.getAnimatedFraction();
            d dVar = (d) e.this.mAnimatorMap.get(qVar);
            if ((dVar.mPropertyMask & 511) != 0 && (view = (View) e.this.mView.get()) != null) {
                view.invalidate();
            }
            ArrayList<c> arrayList = dVar.mNameValuesHolder;
            if (arrayList != null) {
                int size = arrayList.size();
                for (int i2 = 0; i2 < size; i2++) {
                    c cVar = arrayList.get(i2);
                    e.this.setValue(cVar.mNameConstant, cVar.mFromValue + (cVar.mDeltaValue * animatedFraction));
                }
            }
            View view2 = (View) e.this.mView.get();
            if (view2 != null) {
                view2.invalidate();
            }
        }

        public /* synthetic */ b(e eVar, a aVar) {
            this();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class c {
        public float mDeltaValue;
        public float mFromValue;
        public int mNameConstant;

        public c(int i2, float f2, float f3) {
            this.mNameConstant = i2;
            this.mFromValue = f2;
            this.mDeltaValue = f3;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class d {
        public ArrayList<c> mNameValuesHolder;
        public int mPropertyMask;

        public d(int i2, ArrayList<c> arrayList) {
            this.mPropertyMask = i2;
            this.mNameValuesHolder = arrayList;
        }

        public boolean cancel(int i2) {
            ArrayList<c> arrayList;
            if ((this.mPropertyMask & i2) != 0 && (arrayList = this.mNameValuesHolder) != null) {
                int size = arrayList.size();
                for (int i3 = 0; i3 < size; i3++) {
                    if (this.mNameValuesHolder.get(i3).mNameConstant == i2) {
                        this.mNameValuesHolder.remove(i3);
                        this.mPropertyMask = (i2 ^ (-1)) & this.mPropertyMask;
                        return true;
                    }
                }
            }
            return false;
        }
    }

    public e(View view) {
        this.mView = new WeakReference<>(view);
        this.mProxy = e.k.c.f.a.wrap(view);
    }

    private void animateProperty(int i2, float f2) {
        float value = getValue(i2);
        animatePropertyBy(i2, value, f2 - value);
    }

    private void animatePropertyBy(int i2, float f2) {
        animatePropertyBy(i2, getValue(i2), f2);
    }

    private float getValue(int i2) {
        if (i2 != 1) {
            if (i2 != 2) {
                if (i2 != 4) {
                    if (i2 != 8) {
                        if (i2 != 16) {
                            if (i2 != 32) {
                                if (i2 != 64) {
                                    if (i2 != 128) {
                                        if (i2 != 256) {
                                            if (i2 != 512) {
                                                return 0.0f;
                                            }
                                            return this.mProxy.getAlpha();
                                        }
                                        return this.mProxy.getY();
                                    }
                                    return this.mProxy.getX();
                                }
                                return this.mProxy.getRotationY();
                            }
                            return this.mProxy.getRotationX();
                        }
                        return this.mProxy.getRotation();
                    }
                    return this.mProxy.getScaleY();
                }
                return this.mProxy.getScaleX();
            }
            return this.mProxy.getTranslationY();
        }
        return this.mProxy.getTranslationX();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void setValue(int i2, float f2) {
        if (i2 == 1) {
            this.mProxy.setTranslationX(f2);
        } else if (i2 == 2) {
            this.mProxy.setTranslationY(f2);
        } else if (i2 == 4) {
            this.mProxy.setScaleX(f2);
        } else if (i2 == 8) {
            this.mProxy.setScaleY(f2);
        } else if (i2 == 16) {
            this.mProxy.setRotation(f2);
        } else if (i2 == 32) {
            this.mProxy.setRotationX(f2);
        } else if (i2 == 64) {
            this.mProxy.setRotationY(f2);
        } else if (i2 == 128) {
            this.mProxy.setX(f2);
        } else if (i2 == 256) {
            this.mProxy.setY(f2);
        } else if (i2 != 512) {
        } else {
            this.mProxy.setAlpha(f2);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void startAnimation() {
        q ofFloat = q.ofFloat(1.0f);
        ArrayList arrayList = (ArrayList) this.mPendingAnimations.clone();
        this.mPendingAnimations.clear();
        int size = arrayList.size();
        int i2 = 0;
        for (int i3 = 0; i3 < size; i3++) {
            i2 |= ((c) arrayList.get(i3)).mNameConstant;
        }
        this.mAnimatorMap.put(ofFloat, new d(i2, arrayList));
        ofFloat.addUpdateListener(this.mAnimatorEventListener);
        ofFloat.addListener(this.mAnimatorEventListener);
        if (this.mStartDelaySet) {
            ofFloat.setStartDelay(this.mStartDelay);
        }
        if (this.mDurationSet) {
            ofFloat.setDuration(this.mDuration);
        }
        if (this.mInterpolatorSet) {
            ofFloat.setInterpolator(this.mInterpolator);
        }
        ofFloat.start();
    }

    @Override // e.k.c.b
    public e.k.c.b alpha(float f2) {
        animateProperty(512, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b alphaBy(float f2) {
        animatePropertyBy(512, f2);
        return this;
    }

    @Override // e.k.c.b
    public void cancel() {
        if (this.mAnimatorMap.size() > 0) {
            for (e.k.a.a aVar : ((HashMap) this.mAnimatorMap.clone()).keySet()) {
                aVar.cancel();
            }
        }
        this.mPendingAnimations.clear();
        View view = this.mView.get();
        if (view != null) {
            view.removeCallbacks(this.mAnimationStarter);
        }
    }

    @Override // e.k.c.b
    public long getDuration() {
        if (this.mDurationSet) {
            return this.mDuration;
        }
        return new q().getDuration();
    }

    @Override // e.k.c.b
    public long getStartDelay() {
        if (this.mStartDelaySet) {
            return this.mStartDelay;
        }
        return 0L;
    }

    @Override // e.k.c.b
    public e.k.c.b rotation(float f2) {
        animateProperty(16, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b rotationBy(float f2) {
        animatePropertyBy(16, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b rotationX(float f2) {
        animateProperty(32, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b rotationXBy(float f2) {
        animatePropertyBy(32, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b rotationY(float f2) {
        animateProperty(64, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b rotationYBy(float f2) {
        animatePropertyBy(64, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b scaleX(float f2) {
        animateProperty(4, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b scaleXBy(float f2) {
        animatePropertyBy(4, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b scaleY(float f2) {
        animateProperty(8, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b scaleYBy(float f2) {
        animatePropertyBy(8, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b setDuration(long j2) {
        if (j2 >= 0) {
            this.mDurationSet = true;
            this.mDuration = j2;
            return this;
        }
        throw new IllegalArgumentException("Animators cannot have negative duration: " + j2);
    }

    @Override // e.k.c.b
    public e.k.c.b setInterpolator(Interpolator interpolator) {
        this.mInterpolatorSet = true;
        this.mInterpolator = interpolator;
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b setListener(a.InterfaceC0301a interfaceC0301a) {
        this.mListener = interfaceC0301a;
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b setStartDelay(long j2) {
        if (j2 >= 0) {
            this.mStartDelaySet = true;
            this.mStartDelay = j2;
            return this;
        }
        throw new IllegalArgumentException("Animators cannot have negative duration: " + j2);
    }

    @Override // e.k.c.b
    public void start() {
        startAnimation();
    }

    @Override // e.k.c.b
    public e.k.c.b translationX(float f2) {
        animateProperty(1, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b translationXBy(float f2) {
        animatePropertyBy(1, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b translationY(float f2) {
        animateProperty(2, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b translationYBy(float f2) {
        animatePropertyBy(2, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b x(float f2) {
        animateProperty(128, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b xBy(float f2) {
        animatePropertyBy(128, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b y(float f2) {
        animateProperty(256, f2);
        return this;
    }

    @Override // e.k.c.b
    public e.k.c.b yBy(float f2) {
        animatePropertyBy(256, f2);
        return this;
    }

    private void animatePropertyBy(int i2, float f2, float f3) {
        if (this.mAnimatorMap.size() > 0) {
            e.k.a.a aVar = null;
            Iterator<e.k.a.a> it = this.mAnimatorMap.keySet().iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                e.k.a.a next = it.next();
                d dVar = this.mAnimatorMap.get(next);
                if (dVar.cancel(i2) && dVar.mPropertyMask == 0) {
                    aVar = next;
                    break;
                }
            }
            if (aVar != null) {
                aVar.cancel();
            }
        }
        this.mPendingAnimations.add(new c(i2, f2, f3));
        View view = this.mView.get();
        if (view != null) {
            view.removeCallbacks(this.mAnimationStarter);
            view.post(this.mAnimationStarter);
        }
    }
}
