package e.l.a.a.c;

import android.animation.ValueAnimator;
import android.graphics.PointF;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.FrameLayout;
import androidx.annotation.NonNull;
import androidx.core.view.NestedScrollingChild;
import androidx.core.view.NestedScrollingParent;
import androidx.legacy.widget.Space;
import androidx.viewpager.widget.ViewPager;
import e.l.a.a.b.e;
import e.l.a.a.b.i;
import e.l.a.a.b.k;
import java.util.LinkedList;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class a implements e, e.l.a.a.e.a, ValueAnimator.AnimatorUpdateListener {
    public View mContentView;
    public View mFixedFooter;
    public View mFixedHeader;
    public View mOriginalContentView;
    public View mScrollableView;
    public int mLastSpinner = 0;
    public boolean mEnableRefresh = true;
    public boolean mEnableLoadMore = true;
    public d mBoundaryAdapter = new d();

    public a(@NonNull View view) {
        this.mScrollableView = view;
        this.mOriginalContentView = view;
        this.mContentView = view;
    }

    @Override // e.l.a.a.b.e
    public boolean canLoadMore() {
        return this.mEnableLoadMore && this.mBoundaryAdapter.canLoadMore(this.mContentView);
    }

    @Override // e.l.a.a.b.e
    public boolean canRefresh() {
        return this.mEnableRefresh && this.mBoundaryAdapter.canRefresh(this.mContentView);
    }

    public void findScrollableView(View view, i iVar) {
        boolean isInEditMode = this.mContentView.isInEditMode();
        View view2 = null;
        while (true) {
            if (view2 != null && (!(view2 instanceof NestedScrollingParent) || (view2 instanceof NestedScrollingChild))) {
                break;
            }
            view = findScrollableViewInternal(view, view2 == null);
            if (view == view2) {
                break;
            }
            if (!isInEditMode) {
                e.l.a.a.f.b.checkCoordinatorLayout(view, iVar, this);
            }
            view2 = view;
        }
        if (view2 != null) {
            this.mScrollableView = view2;
        }
    }

    public View findScrollableViewByPoint(View view, PointF pointF, View view2) {
        if ((view instanceof ViewGroup) && pointF != null) {
            ViewGroup viewGroup = (ViewGroup) view;
            PointF pointF2 = new PointF();
            for (int childCount = viewGroup.getChildCount(); childCount > 0; childCount--) {
                View childAt = viewGroup.getChildAt(childCount - 1);
                if (e.l.a.a.f.c.isTransformedTouchPointInView(viewGroup, childAt, pointF.x, pointF.y, pointF2)) {
                    if ((childAt instanceof ViewPager) || !e.l.a.a.f.d.isContentView(childAt)) {
                        pointF.offset(pointF2.x, pointF2.y);
                        View findScrollableViewByPoint = findScrollableViewByPoint(childAt, pointF, view2);
                        pointF.offset(-pointF2.x, -pointF2.y);
                        return findScrollableViewByPoint;
                    }
                    return childAt;
                }
            }
        }
        return view2;
    }

    public View findScrollableViewInternal(View view, boolean z) {
        LinkedList linkedList = new LinkedList();
        linkedList.add(view);
        View view2 = null;
        while (linkedList.size() > 0 && view2 == null) {
            View view3 = (View) linkedList.poll();
            if (view3 != null) {
                if ((z || view3 != view) && e.l.a.a.f.d.isContentView(view3)) {
                    view2 = view3;
                } else if (view3 instanceof ViewGroup) {
                    ViewGroup viewGroup = (ViewGroup) view3;
                    for (int i2 = 0; i2 < viewGroup.getChildCount(); i2++) {
                        linkedList.add(viewGroup.getChildAt(i2));
                    }
                }
            }
        }
        return view2 == null ? view : view2;
    }

    @Override // e.l.a.a.b.e
    @NonNull
    public View getScrollableView() {
        return this.mScrollableView;
    }

    @Override // e.l.a.a.b.e
    @NonNull
    public View getView() {
        return this.mContentView;
    }

    /* JADX WARN: Removed duplicated region for block: B:16:0x002e  */
    /* JADX WARN: Removed duplicated region for block: B:17:0x0033  */
    /* JADX WARN: Removed duplicated region for block: B:22:0x0041  */
    /* JADX WARN: Removed duplicated region for block: B:23:0x0048  */
    /* JADX WARN: Removed duplicated region for block: B:26:0x0051  */
    /* JADX WARN: Removed duplicated region for block: B:29:0x005d  */
    /* JADX WARN: Removed duplicated region for block: B:31:? A[RETURN, SYNTHETIC] */
    @Override // e.l.a.a.b.e
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void moveSpinner(int i2, int i3, int i4) {
        boolean z;
        View view;
        View view2;
        View findViewById;
        View findViewById2;
        boolean z2 = true;
        if (i3 != -1 && (findViewById2 = this.mOriginalContentView.findViewById(i3)) != null) {
            if (i2 > 0) {
                findViewById2.setTranslationY(i2);
                z = true;
                if (i4 != -1 && (findViewById = this.mOriginalContentView.findViewById(i4)) != null) {
                    if (i2 >= 0) {
                        findViewById.setTranslationY(i2);
                        if (!z2) {
                            this.mOriginalContentView.setTranslationY(i2);
                        } else {
                            this.mOriginalContentView.setTranslationY(0.0f);
                        }
                        view = this.mFixedHeader;
                        if (view != null) {
                            view.setTranslationY(Math.max(0, i2));
                        }
                        view2 = this.mFixedFooter;
                        if (view2 != null) {
                            view2.setTranslationY(Math.min(0, i2));
                            return;
                        }
                        return;
                    } else if (findViewById.getTranslationY() < 0.0f) {
                        findViewById.setTranslationY(0.0f);
                    }
                }
                z2 = z;
                if (!z2) {
                }
                view = this.mFixedHeader;
                if (view != null) {
                }
                view2 = this.mFixedFooter;
                if (view2 != null) {
                }
            } else if (findViewById2.getTranslationY() > 0.0f) {
                findViewById2.setTranslationY(0.0f);
            }
        }
        z = false;
        if (i4 != -1) {
            if (i2 >= 0) {
            }
        }
        z2 = z;
        if (!z2) {
        }
        view = this.mFixedHeader;
        if (view != null) {
        }
        view2 = this.mFixedFooter;
        if (view2 != null) {
        }
    }

    @Override // e.l.a.a.b.e
    public void onActionDown(MotionEvent motionEvent) {
        PointF pointF = new PointF(motionEvent.getX(), motionEvent.getY());
        pointF.offset(-this.mContentView.getLeft(), -this.mContentView.getTop());
        View view = this.mScrollableView;
        View view2 = this.mContentView;
        if (view != view2) {
            this.mScrollableView = findScrollableViewByPoint(view2, pointF, view);
        }
        if (this.mScrollableView == this.mContentView) {
            this.mBoundaryAdapter.mActionEvent = null;
        } else {
            this.mBoundaryAdapter.mActionEvent = pointF;
        }
    }

    @Override // android.animation.ValueAnimator.AnimatorUpdateListener
    public void onAnimationUpdate(ValueAnimator valueAnimator) {
        int intValue = ((Integer) valueAnimator.getAnimatedValue()).intValue();
        try {
            if (this.mScrollableView instanceof AbsListView) {
                e.l.a.a.f.d.scrollListBy((AbsListView) this.mScrollableView, intValue - this.mLastSpinner);
            } else {
                this.mScrollableView.scrollBy(0, intValue - this.mLastSpinner);
            }
        } catch (Throwable unused) {
        }
        this.mLastSpinner = intValue;
    }

    @Override // e.l.a.a.e.a
    public void onCoordinatorUpdate(boolean z, boolean z2) {
        this.mEnableRefresh = z;
        this.mEnableLoadMore = z2;
    }

    @Override // e.l.a.a.b.e
    public ValueAnimator.AnimatorUpdateListener scrollContentWhenFinished(int i2) {
        View view = this.mScrollableView;
        if (view == null || i2 == 0) {
            return null;
        }
        if ((i2 >= 0 || !e.l.a.a.f.c.canScrollDown(view)) && (i2 <= 0 || !e.l.a.a.f.c.canScrollUp(this.mScrollableView))) {
            return null;
        }
        this.mLastSpinner = i2;
        return this;
    }

    @Override // e.l.a.a.b.e
    public void setEnableLoadMoreWhenContentNotFull(boolean z) {
        this.mBoundaryAdapter.mEnableLoadMoreWhenContentNotFull = z;
    }

    @Override // e.l.a.a.b.e
    public void setScrollBoundaryDecider(k kVar) {
        if (kVar instanceof d) {
            this.mBoundaryAdapter = (d) kVar;
        } else {
            this.mBoundaryAdapter.boundary = kVar;
        }
    }

    @Override // e.l.a.a.b.e
    public void setUpComponent(i iVar, View view, View view2) {
        findScrollableView(this.mContentView, iVar);
        if (view == null && view2 == null) {
            return;
        }
        this.mFixedHeader = view;
        this.mFixedFooter = view2;
        FrameLayout frameLayout = new FrameLayout(this.mContentView.getContext());
        iVar.getRefreshLayout().getLayout().removeView(this.mContentView);
        ViewGroup.LayoutParams layoutParams = this.mContentView.getLayoutParams();
        frameLayout.addView(this.mContentView, -1, -1);
        iVar.getRefreshLayout().getLayout().addView(frameLayout, layoutParams);
        this.mContentView = frameLayout;
        if (view != null) {
            view.setClickable(true);
            ViewGroup.LayoutParams layoutParams2 = view.getLayoutParams();
            ViewGroup viewGroup = (ViewGroup) view.getParent();
            int indexOfChild = viewGroup.indexOfChild(view);
            viewGroup.removeView(view);
            layoutParams2.height = e.l.a.a.f.d.measureViewHeight(view);
            viewGroup.addView(new Space(this.mContentView.getContext()), indexOfChild, layoutParams2);
            frameLayout.addView(view);
        }
        if (view2 != null) {
            view2.setClickable(true);
            ViewGroup.LayoutParams layoutParams3 = view2.getLayoutParams();
            ViewGroup viewGroup2 = (ViewGroup) view2.getParent();
            int indexOfChild2 = viewGroup2.indexOfChild(view2);
            viewGroup2.removeView(view2);
            FrameLayout.LayoutParams layoutParams4 = new FrameLayout.LayoutParams(layoutParams3);
            layoutParams3.height = e.l.a.a.f.d.measureViewHeight(view2);
            viewGroup2.addView(new Space(this.mContentView.getContext()), indexOfChild2, layoutParams3);
            layoutParams4.gravity = 80;
            frameLayout.addView(view2, layoutParams4);
        }
    }
}
