package e.m.c.d;

import android.animation.ValueAnimator;
import android.app.Activity;
import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.util.DisplayMetrics;
import android.view.MotionEvent;
import android.view.View;
import android.view.WindowManager;
import android.widget.ImageView;
import androidx.appcompat.widget.TooltipCompatHandler;
import com.google.android.material.badge.BadgeDrawable;
import e.m.c.d.e;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class d {
    public Runnable animRunnable;
    public e.m.c.c.c mContentView;
    public Context mContext;
    public ImageView mFloatLogoView;
    public Handler mHandler;
    public int mScreenHeight;
    public int mScreenWidth;
    public boolean mShowing;
    public WindowManager mWindowManager;
    public WindowManager.LayoutParams mWindowParams;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class a implements Runnable {
        public a() {
        }

        @Override // java.lang.Runnable
        public void run() {
            d.this.floatXAnim();
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class b implements e.c {
        public b() {
        }

        @Override // e.m.c.d.e.c
        public void onPositionChanged(View view) {
        }

        @Override // e.m.c.d.e.c
        public void onTouchListener(MotionEvent motionEvent) {
            int action = motionEvent.getAction();
            if (action != 0) {
                if (action == 1 || action == 3) {
                    d.this.moveToSide();
                    d.this.mHandler.postDelayed(d.this.animRunnable, TooltipCompatHandler.HOVER_HIDE_TIMEOUT_SHORT_MS);
                    return;
                }
                return;
            }
            d.this.mHandler.removeCallbacks(d.this.animRunnable);
            if (d.this.mContentView != null) {
                if (d.this.mContentView.getAnimation() != null) {
                    d.this.mContentView.clearAnimation();
                }
                d.this.mContentView.setTranslationX(0.0f);
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public class c implements ValueAnimator.AnimatorUpdateListener {
        public c() {
        }

        @Override // android.animation.ValueAnimator.AnimatorUpdateListener
        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            int intValue = ((Integer) valueAnimator.getAnimatedValue()).intValue();
            if (d.this.mContentView != null) {
                d.this.mContentView.setTranslationX(intValue);
            }
        }
    }

    public d(Activity activity) {
        this((Context) activity);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void floatXAnim() {
        e.m.c.c.c cVar = this.mContentView;
        if (cVar == null || this.mFloatLogoView == null || cVar.isFloatMenuOpen()) {
            return;
        }
        boolean z = getWindowParams().x < (this.mScreenWidth / 2) - (this.mFloatLogoView.getLayoutParams().width / 2);
        int[] iArr = new int[2];
        iArr[0] = 0;
        iArr[1] = (z ? -this.mFloatLogoView.getWidth() : this.mFloatLogoView.getWidth()) / 2;
        ValueAnimator ofInt = ValueAnimator.ofInt(iArr);
        ofInt.setDuration(800L);
        ofInt.addUpdateListener(new c());
        ofInt.start();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void moveToSide() {
        WindowManager.LayoutParams layoutParams = this.mWindowParams;
        if (layoutParams == null) {
            return;
        }
        if (layoutParams.x > this.mScreenWidth / 2) {
            ImageView imageView = this.mFloatLogoView;
            this.mWindowParams.x = this.mScreenWidth - (imageView != null ? imageView.getMeasuredWidth() / 2 : 10);
        } else {
            layoutParams.x = 0;
        }
        update();
    }

    public void cancel() {
        if (this.mShowing) {
            try {
                try {
                    this.mWindowManager.removeViewImmediate(this.mContentView);
                } finally {
                    this.mShowing = false;
                }
            } catch (IllegalArgumentException | IllegalStateException | NullPointerException e2) {
                e2.printStackTrace();
            }
        }
    }

    public View getContentView() {
        return this.mContentView;
    }

    public WindowManager getWindowManager() {
        return this.mWindowManager;
    }

    public WindowManager.LayoutParams getWindowParams() {
        return this.mWindowParams;
    }

    public boolean isShowing() {
        return this.mShowing;
    }

    public void recycle() {
        if (isShowing()) {
            cancel();
        }
        this.mContext = null;
        if (this.mContentView != null) {
            e.m.c.c.c.clearInstance();
        }
        this.mContentView = null;
        this.mWindowManager = null;
        this.mWindowParams = null;
        this.mFloatLogoView = null;
    }

    public void show() {
        if (this.mShowing) {
            update();
            return;
        }
        Context context = this.mContext;
        if ((context instanceof Activity) && (((Activity) context).isFinishing() || ((Activity) this.mContext).isDestroyed())) {
            return;
        }
        try {
            if (this.mContentView.getParent() != null) {
                this.mWindowManager.removeViewImmediate(this.mContentView);
            }
            this.mWindowManager.addView(this.mContentView, this.mWindowParams);
            this.mShowing = true;
        } catch (WindowManager.BadTokenException | IllegalArgumentException | IllegalStateException | NullPointerException e2) {
            e2.printStackTrace();
        }
    }

    public void update() {
        if (isShowing()) {
            this.mWindowManager.updateViewLayout(this.mContentView, this.mWindowParams);
        }
    }

    public d(Context context) {
        this.mFloatLogoView = null;
        this.mHandler = new Handler(Looper.getMainLooper());
        this.animRunnable = new a();
        this.mContext = context;
        this.mWindowManager = (WindowManager) context.getSystemService("window");
        WindowManager.LayoutParams layoutParams = new WindowManager.LayoutParams();
        this.mWindowParams = layoutParams;
        layoutParams.height = -2;
        layoutParams.width = -2;
        layoutParams.format = -3;
        layoutParams.packageName = context.getPackageName();
        this.mWindowParams.flags = 40;
        if ((context instanceof Activity) && (((Activity) context).getWindow().getAttributes().flags & 1024) == 1024) {
            this.mWindowParams.flags = 1320;
        }
        this.mWindowParams.gravity = BadgeDrawable.TOP_START;
        DisplayMetrics displayMetrics = new DisplayMetrics();
        this.mWindowManager.getDefaultDisplay().getMetrics(displayMetrics);
        this.mScreenWidth = displayMetrics.widthPixels;
        int i2 = displayMetrics.heightPixels;
        this.mScreenHeight = i2;
        this.mWindowParams.y = i2 / 5;
        e.m.c.c.c cVar = e.m.c.c.c.getInstance(context);
        this.mContentView = cVar;
        this.mFloatLogoView = cVar.getLogoView();
        if (this.mContentView != null) {
            new e().makeDraggable(this.mFloatLogoView, this.mContentView, this.mWindowManager, this.mWindowParams, new b());
        }
        this.mHandler.postDelayed(this.animRunnable, TooltipCompatHandler.HOVER_HIDE_TIMEOUT_SHORT_MS);
    }
}
