package j.g1;

import java.util.Collections;
import java.util.Comparator;
import java.util.Map;
import java.util.Properties;
import java.util.SortedMap;
import java.util.TreeMap;
import java.util.concurrent.ConcurrentMap;
import kotlin.Pair;
import kotlin.PublishedApi;
import kotlin.SinceKotlin;
import kotlin.collections.builders.MapBuilder;
import kotlin.internal.InlineOnly;
import org.jetbrains.annotations.NotNull;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class t0 extends s0 {
    public static final int INT_MAX_POWER_OF_TWO = 1073741824;

    @SinceKotlin(version = "1.3")
    @PublishedApi
    @NotNull
    public static final <K, V> Map<K, V> build(@NotNull Map<K, V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "builder");
        return ((MapBuilder) map).build();
    }

    @SinceKotlin(version = "1.3")
    @PublishedApi
    @InlineOnly
    public static final <K, V> Map<K, V> buildMapInternal(j.p1.b.l<? super Map<K, V>, j.d1> lVar) {
        j.p1.c.f0.checkNotNullParameter(lVar, "builderAction");
        Map createMapBuilder = createMapBuilder();
        lVar.invoke(createMapBuilder);
        return build(createMapBuilder);
    }

    @SinceKotlin(version = "1.3")
    @PublishedApi
    @NotNull
    public static final <K, V> Map<K, V> createMapBuilder() {
        return new MapBuilder();
    }

    public static final <K, V> V getOrPut(@NotNull ConcurrentMap<K, V> concurrentMap, K k2, @NotNull j.p1.b.a<? extends V> aVar) {
        j.p1.c.f0.checkNotNullParameter(concurrentMap, "<this>");
        j.p1.c.f0.checkNotNullParameter(aVar, "defaultValue");
        V v = concurrentMap.get(k2);
        if (v == null) {
            V invoke = aVar.invoke();
            V putIfAbsent = concurrentMap.putIfAbsent(k2, invoke);
            return putIfAbsent == null ? invoke : putIfAbsent;
        }
        return v;
    }

    @PublishedApi
    public static final int mapCapacity(int i2) {
        if (i2 < 0) {
            return i2;
        }
        if (i2 < 3) {
            return i2 + 1;
        }
        if (i2 < 1073741824) {
            return (int) ((i2 / 0.75f) + 1.0f);
        }
        return Integer.MAX_VALUE;
    }

    @NotNull
    public static final <K, V> Map<K, V> mapOf(@NotNull Pair<? extends K, ? extends V> pair) {
        j.p1.c.f0.checkNotNullParameter(pair, "pair");
        Map<K, V> singletonMap = Collections.singletonMap(pair.getFirst(), pair.getSecond());
        j.p1.c.f0.checkNotNullExpressionValue(singletonMap, "singletonMap(pair.first, pair.second)");
        return singletonMap;
    }

    @NotNull
    public static final <K extends Comparable<? super K>, V> SortedMap<K, V> sortedMapOf(@NotNull Pair<? extends K, ? extends V>... pairArr) {
        j.p1.c.f0.checkNotNullParameter(pairArr, "pairs");
        TreeMap treeMap = new TreeMap();
        u0.putAll(treeMap, pairArr);
        return treeMap;
    }

    @InlineOnly
    public static final Properties toProperties(Map<String, String> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        Properties properties = new Properties();
        properties.putAll(map);
        return properties;
    }

    @NotNull
    public static final <K, V> Map<K, V> toSingletonMap(@NotNull Map<? extends K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        Map.Entry<? extends K, ? extends V> next = map.entrySet().iterator().next();
        Map<K, V> singletonMap = Collections.singletonMap(next.getKey(), next.getValue());
        j.p1.c.f0.checkNotNullExpressionValue(singletonMap, "with(entries.iterator().…ingletonMap(key, value) }");
        return singletonMap;
    }

    @InlineOnly
    public static final <K, V> Map<K, V> toSingletonMapOrSelf(Map<K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return toSingletonMap(map);
    }

    @NotNull
    public static final <K extends Comparable<? super K>, V> SortedMap<K, V> toSortedMap(@NotNull Map<? extends K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return new TreeMap(map);
    }

    @SinceKotlin(version = "1.3")
    @PublishedApi
    @InlineOnly
    public static final <K, V> Map<K, V> buildMapInternal(int i2, j.p1.b.l<? super Map<K, V>, j.d1> lVar) {
        j.p1.c.f0.checkNotNullParameter(lVar, "builderAction");
        Map createMapBuilder = createMapBuilder(i2);
        lVar.invoke(createMapBuilder);
        return build(createMapBuilder);
    }

    @SinceKotlin(version = "1.3")
    @PublishedApi
    @NotNull
    public static final <K, V> Map<K, V> createMapBuilder(int i2) {
        return new MapBuilder(i2);
    }

    @SinceKotlin(version = "1.4")
    @NotNull
    public static final <K, V> SortedMap<K, V> sortedMapOf(@NotNull Comparator<? super K> comparator, @NotNull Pair<? extends K, ? extends V>... pairArr) {
        j.p1.c.f0.checkNotNullParameter(comparator, "comparator");
        j.p1.c.f0.checkNotNullParameter(pairArr, "pairs");
        TreeMap treeMap = new TreeMap(comparator);
        u0.putAll(treeMap, pairArr);
        return treeMap;
    }

    @NotNull
    public static final <K, V> SortedMap<K, V> toSortedMap(@NotNull Map<? extends K, ? extends V> map, @NotNull Comparator<? super K> comparator) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(comparator, "comparator");
        TreeMap treeMap = new TreeMap(comparator);
        treeMap.putAll(map);
        return treeMap;
    }
}
