package j.g1;

import androidx.lifecycle.SavedStateHandle;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.BuilderInference;
import kotlin.ExperimentalStdlibApi;
import kotlin.Pair;
import kotlin.SinceKotlin;
import kotlin.WasExperimental;
import kotlin.collections.EmptyMap;
import kotlin.internal.InlineOnly;
import kotlin.jvm.JvmName;
import org.jetbrains.annotations.NotNull;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class u0 extends t0 {
    @SinceKotlin(version = "1.6")
    @WasExperimental(markerClass = {ExperimentalStdlibApi.class})
    @InlineOnly
    public static final <K, V> Map<K, V> buildMap(@BuilderInference j.p1.b.l<? super Map<K, V>, j.d1> lVar) {
        j.p1.c.f0.checkNotNullParameter(lVar, "builderAction");
        Map createMapBuilder = t0.createMapBuilder();
        lVar.invoke(createMapBuilder);
        return t0.build(createMapBuilder);
    }

    @InlineOnly
    public static final <K, V> K component1(Map.Entry<? extends K, ? extends V> entry) {
        j.p1.c.f0.checkNotNullParameter(entry, "<this>");
        return entry.getKey();
    }

    @InlineOnly
    public static final <K, V> V component2(Map.Entry<? extends K, ? extends V> entry) {
        j.p1.c.f0.checkNotNullParameter(entry, "<this>");
        return entry.getValue();
    }

    @InlineOnly
    public static final <K, V> boolean contains(Map<? extends K, ? extends V> map, K k2) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return map.containsKey(k2);
    }

    @InlineOnly
    public static final <K> boolean containsKey(Map<? extends K, ?> map, K k2) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return map.containsKey(k2);
    }

    @InlineOnly
    public static final <K, V> boolean containsValue(Map<K, ? extends V> map, V v) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return map.containsValue(v);
    }

    @NotNull
    public static final <K, V> Map<K, V> emptyMap() {
        EmptyMap emptyMap = EmptyMap.INSTANCE;
        j.p1.c.f0.checkNotNull(emptyMap, "null cannot be cast to non-null type kotlin.collections.Map<K of kotlin.collections.MapsKt__MapsKt.emptyMap, V of kotlin.collections.MapsKt__MapsKt.emptyMap>");
        return emptyMap;
    }

    @NotNull
    public static final <K, V> Map<K, V> filter(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Boolean> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "predicate");
        LinkedHashMap linkedHashMap = new LinkedHashMap();
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            if (lVar.invoke(entry).booleanValue()) {
                linkedHashMap.put(entry.getKey(), entry.getValue());
            }
        }
        return linkedHashMap;
    }

    @NotNull
    public static final <K, V> Map<K, V> filterKeys(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super K, Boolean> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "predicate");
        LinkedHashMap linkedHashMap = new LinkedHashMap();
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            if (lVar.invoke((K) entry.getKey()).booleanValue()) {
                linkedHashMap.put(entry.getKey(), entry.getValue());
            }
        }
        return linkedHashMap;
    }

    @NotNull
    public static final <K, V> Map<K, V> filterNot(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Boolean> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "predicate");
        LinkedHashMap linkedHashMap = new LinkedHashMap();
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            if (!lVar.invoke(entry).booleanValue()) {
                linkedHashMap.put(entry.getKey(), entry.getValue());
            }
        }
        return linkedHashMap;
    }

    @NotNull
    public static final <K, V, M extends Map<? super K, ? super V>> M filterNotTo(@NotNull Map<? extends K, ? extends V> map, @NotNull M m2, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Boolean> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(m2, "destination");
        j.p1.c.f0.checkNotNullParameter(lVar, "predicate");
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            if (!lVar.invoke(entry).booleanValue()) {
                m2.put(entry.getKey(), entry.getValue());
            }
        }
        return m2;
    }

    @NotNull
    public static final <K, V, M extends Map<? super K, ? super V>> M filterTo(@NotNull Map<? extends K, ? extends V> map, @NotNull M m2, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Boolean> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(m2, "destination");
        j.p1.c.f0.checkNotNullParameter(lVar, "predicate");
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            if (lVar.invoke(entry).booleanValue()) {
                m2.put(entry.getKey(), entry.getValue());
            }
        }
        return m2;
    }

    @NotNull
    public static final <K, V> Map<K, V> filterValues(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super V, Boolean> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "predicate");
        LinkedHashMap linkedHashMap = new LinkedHashMap();
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            if (lVar.invoke((V) entry.getValue()).booleanValue()) {
                linkedHashMap.put(entry.getKey(), entry.getValue());
            }
        }
        return linkedHashMap;
    }

    @InlineOnly
    public static final <K, V> V get(Map<? extends K, ? extends V> map, K k2) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return map.get(k2);
    }

    @InlineOnly
    public static final <K, V> V getOrElse(Map<K, ? extends V> map, K k2, j.p1.b.a<? extends V> aVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(aVar, "defaultValue");
        V v = map.get(k2);
        return v == null ? aVar.invoke() : v;
    }

    public static final <K, V> V getOrElseNullable(@NotNull Map<K, ? extends V> map, K k2, @NotNull j.p1.b.a<? extends V> aVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(aVar, "defaultValue");
        V v = map.get(k2);
        return (v != null || map.containsKey(k2)) ? v : aVar.invoke();
    }

    public static final <K, V> V getOrPut(@NotNull Map<K, V> map, K k2, @NotNull j.p1.b.a<? extends V> aVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(aVar, "defaultValue");
        V v = map.get(k2);
        if (v == null) {
            V invoke = aVar.invoke();
            map.put(k2, invoke);
            return invoke;
        }
        return v;
    }

    @SinceKotlin(version = "1.1")
    public static final <K, V> V getValue(@NotNull Map<K, ? extends V> map, K k2) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return (V) s0.getOrImplicitDefaultNullable(map, k2);
    }

    @SinceKotlin(version = "1.1")
    @InlineOnly
    public static final <K, V> HashMap<K, V> hashMapOf() {
        return new HashMap<>();
    }

    /* JADX WARN: Incorrect types in method signature: <M::Ljava/util/Map<**>;:TR;R:Ljava/lang/Object;>(TM;Lj/p1/b/a<+TR;>;)TR; */
    @SinceKotlin(version = "1.3")
    @InlineOnly
    public static final Object ifEmpty(Map map, j.p1.b.a aVar) {
        j.p1.c.f0.checkNotNullParameter(aVar, "defaultValue");
        return map.isEmpty() ? aVar.invoke() : map;
    }

    @InlineOnly
    public static final <K, V> boolean isNotEmpty(Map<? extends K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return !map.isEmpty();
    }

    @SinceKotlin(version = "1.3")
    @InlineOnly
    public static final <K, V> boolean isNullOrEmpty(Map<? extends K, ? extends V> map) {
        return map == null || map.isEmpty();
    }

    @InlineOnly
    public static final <K, V> Iterator<Map.Entry<K, V>> iterator(Map<? extends K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return (Iterator<Map.Entry<? extends K, ? extends V>>) map.entrySet().iterator();
    }

    @SinceKotlin(version = "1.1")
    @InlineOnly
    public static final <K, V> LinkedHashMap<K, V> linkedMapOf() {
        return new LinkedHashMap<>();
    }

    /* JADX WARN: Multi-variable type inference failed */
    @NotNull
    public static final <K, V, R> Map<R, V> mapKeys(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        LinkedHashMap linkedHashMap = new LinkedHashMap(t0.mapCapacity(map.size()));
        for (Object obj : map.entrySet()) {
            linkedHashMap.put(lVar.invoke(obj), ((Map.Entry) obj).getValue());
        }
        return linkedHashMap;
    }

    /* JADX WARN: Multi-variable type inference failed */
    @NotNull
    public static final <K, V, R, M extends Map<? super R, ? super V>> M mapKeysTo(@NotNull Map<? extends K, ? extends V> map, @NotNull M m2, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(m2, "destination");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        for (Object obj : map.entrySet()) {
            m2.put(lVar.invoke(obj), ((Map.Entry) obj).getValue());
        }
        return m2;
    }

    @NotNull
    public static final <K, V> Map<K, V> mapOf(@NotNull Pair<? extends K, ? extends V>... pairArr) {
        j.p1.c.f0.checkNotNullParameter(pairArr, "pairs");
        return pairArr.length > 0 ? toMap(pairArr, new LinkedHashMap(t0.mapCapacity(pairArr.length))) : emptyMap();
    }

    /* JADX WARN: Multi-variable type inference failed */
    @NotNull
    public static final <K, V, R> Map<K, R> mapValues(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        LinkedHashMap linkedHashMap = new LinkedHashMap(t0.mapCapacity(map.size()));
        for (Object obj : map.entrySet()) {
            linkedHashMap.put(((Map.Entry) obj).getKey(), lVar.invoke(obj));
        }
        return linkedHashMap;
    }

    /* JADX WARN: Multi-variable type inference failed */
    @NotNull
    public static final <K, V, R, M extends Map<? super K, ? super R>> M mapValuesTo(@NotNull Map<? extends K, ? extends V> map, @NotNull M m2, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(m2, "destination");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        for (Object obj : map.entrySet()) {
            m2.put(((Map.Entry) obj).getKey(), lVar.invoke(obj));
        }
        return m2;
    }

    @SinceKotlin(version = "1.1")
    @NotNull
    public static final <K, V> Map<K, V> minus(@NotNull Map<? extends K, ? extends V> map, K k2) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        Map mutableMap = toMutableMap(map);
        mutableMap.remove(k2);
        return optimizeReadOnlyMap(mutableMap);
    }

    @SinceKotlin(version = "1.1")
    @InlineOnly
    public static final <K, V> void minusAssign(Map<K, V> map, K k2) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        map.remove(k2);
    }

    @InlineOnly
    @JvmName(name = "mutableIterator")
    public static final <K, V> Iterator<Map.Entry<K, V>> mutableIterator(Map<K, V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return map.entrySet().iterator();
    }

    @SinceKotlin(version = "1.1")
    @InlineOnly
    public static final <K, V> Map<K, V> mutableMapOf() {
        return new LinkedHashMap();
    }

    /* JADX WARN: Multi-variable type inference failed */
    @NotNull
    public static final <K, V> Map<K, V> optimizeReadOnlyMap(@NotNull Map<K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        int size = map.size();
        if (size != 0) {
            return size != 1 ? map : t0.toSingletonMap(map);
        }
        return emptyMap();
    }

    /* JADX WARN: Multi-variable type inference failed */
    @InlineOnly
    public static final <K, V> Map<K, V> orEmpty(Map<K, ? extends V> map) {
        return map == 0 ? emptyMap() : map;
    }

    @NotNull
    public static final <K, V> Map<K, V> plus(@NotNull Map<? extends K, ? extends V> map, @NotNull Pair<? extends K, ? extends V> pair) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(pair, "pair");
        if (map.isEmpty()) {
            return t0.mapOf(pair);
        }
        LinkedHashMap linkedHashMap = new LinkedHashMap(map);
        linkedHashMap.put(pair.getFirst(), pair.getSecond());
        return linkedHashMap;
    }

    @InlineOnly
    public static final <K, V> void plusAssign(Map<? super K, ? super V> map, Pair<? extends K, ? extends V> pair) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(pair, "pair");
        map.put((K) pair.getFirst(), (V) pair.getSecond());
    }

    public static final <K, V> void putAll(@NotNull Map<? super K, ? super V> map, @NotNull Pair<? extends K, ? extends V>[] pairArr) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(pairArr, "pairs");
        for (Pair<? extends K, ? extends V> pair : pairArr) {
            map.put((K) pair.component1(), (V) pair.component2());
        }
    }

    @InlineOnly
    public static final <K, V> V remove(Map<? extends K, V> map, K k2) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return (V) j.p1.c.t0.asMutableMap(map).remove(k2);
    }

    @InlineOnly
    public static final <K, V> void set(Map<K, V> map, K k2, V v) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        map.put(k2, v);
    }

    @NotNull
    public static final <K, V> Map<K, V> toMap(@NotNull Iterable<? extends Pair<? extends K, ? extends V>> iterable) {
        j.p1.c.f0.checkNotNullParameter(iterable, "<this>");
        if (iterable instanceof Collection) {
            Collection collection = (Collection) iterable;
            int size = collection.size();
            if (size != 0) {
                if (size != 1) {
                    return toMap(iterable, new LinkedHashMap(t0.mapCapacity(collection.size())));
                }
                return t0.mapOf(iterable instanceof List ? (Pair<? extends K, ? extends V>) ((List) iterable).get(0) : iterable.iterator().next());
            }
            return emptyMap();
        }
        return optimizeReadOnlyMap(toMap(iterable, new LinkedHashMap()));
    }

    @SinceKotlin(version = "1.1")
    @NotNull
    public static final <K, V> Map<K, V> toMutableMap(@NotNull Map<? extends K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return new LinkedHashMap(map);
    }

    @InlineOnly
    public static final <K, V> Pair<K, V> toPair(Map.Entry<? extends K, ? extends V> entry) {
        j.p1.c.f0.checkNotNullParameter(entry, "<this>");
        return new Pair<>(entry.getKey(), entry.getValue());
    }

    @SinceKotlin(version = "1.6")
    @WasExperimental(markerClass = {ExperimentalStdlibApi.class})
    @InlineOnly
    public static final <K, V> Map<K, V> buildMap(int i2, @BuilderInference j.p1.b.l<? super Map<K, V>, j.d1> lVar) {
        j.p1.c.f0.checkNotNullParameter(lVar, "builderAction");
        Map createMapBuilder = t0.createMapBuilder(i2);
        lVar.invoke(createMapBuilder);
        return t0.build(createMapBuilder);
    }

    @NotNull
    public static final <K, V> HashMap<K, V> hashMapOf(@NotNull Pair<? extends K, ? extends V>... pairArr) {
        j.p1.c.f0.checkNotNullParameter(pairArr, "pairs");
        HashMap<K, V> hashMap = new HashMap<>(t0.mapCapacity(pairArr.length));
        putAll(hashMap, pairArr);
        return hashMap;
    }

    @NotNull
    public static final <K, V> LinkedHashMap<K, V> linkedMapOf(@NotNull Pair<? extends K, ? extends V>... pairArr) {
        j.p1.c.f0.checkNotNullParameter(pairArr, "pairs");
        return (LinkedHashMap) toMap(pairArr, new LinkedHashMap(t0.mapCapacity(pairArr.length)));
    }

    @InlineOnly
    public static final <K, V> Map<K, V> mapOf() {
        return emptyMap();
    }

    @SinceKotlin(version = "1.1")
    @NotNull
    public static final <K, V> Map<K, V> minus(@NotNull Map<? extends K, ? extends V> map, @NotNull Iterable<? extends K> iterable) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(iterable, SavedStateHandle.KEYS);
        Map mutableMap = toMutableMap(map);
        z.removeAll(mutableMap.keySet(), iterable);
        return optimizeReadOnlyMap(mutableMap);
    }

    @SinceKotlin(version = "1.1")
    @InlineOnly
    public static final <K, V> void minusAssign(Map<K, V> map, Iterable<? extends K> iterable) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(iterable, SavedStateHandle.KEYS);
        z.removeAll(map.keySet(), iterable);
    }

    @NotNull
    public static final <K, V> Map<K, V> mutableMapOf(@NotNull Pair<? extends K, ? extends V>... pairArr) {
        j.p1.c.f0.checkNotNullParameter(pairArr, "pairs");
        LinkedHashMap linkedHashMap = new LinkedHashMap(t0.mapCapacity(pairArr.length));
        putAll(linkedHashMap, pairArr);
        return linkedHashMap;
    }

    @NotNull
    public static final <K, V> Map<K, V> plus(@NotNull Map<? extends K, ? extends V> map, @NotNull Iterable<? extends Pair<? extends K, ? extends V>> iterable) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(iterable, "pairs");
        if (map.isEmpty()) {
            return toMap(iterable);
        }
        LinkedHashMap linkedHashMap = new LinkedHashMap(map);
        putAll(linkedHashMap, iterable);
        return linkedHashMap;
    }

    @InlineOnly
    public static final <K, V> void plusAssign(Map<? super K, ? super V> map, Iterable<? extends Pair<? extends K, ? extends V>> iterable) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(iterable, "pairs");
        putAll(map, iterable);
    }

    @SinceKotlin(version = "1.1")
    @NotNull
    public static final <K, V> Map<K, V> minus(@NotNull Map<? extends K, ? extends V> map, @NotNull K[] kArr) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(kArr, SavedStateHandle.KEYS);
        Map mutableMap = toMutableMap(map);
        z.removeAll(mutableMap.keySet(), kArr);
        return optimizeReadOnlyMap(mutableMap);
    }

    @SinceKotlin(version = "1.1")
    @InlineOnly
    public static final <K, V> void minusAssign(Map<K, V> map, K[] kArr) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(kArr, SavedStateHandle.KEYS);
        z.removeAll(map.keySet(), kArr);
    }

    @NotNull
    public static final <K, V> Map<K, V> plus(@NotNull Map<? extends K, ? extends V> map, @NotNull Pair<? extends K, ? extends V>[] pairArr) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(pairArr, "pairs");
        if (map.isEmpty()) {
            return toMap(pairArr);
        }
        LinkedHashMap linkedHashMap = new LinkedHashMap(map);
        putAll(linkedHashMap, pairArr);
        return linkedHashMap;
    }

    @InlineOnly
    public static final <K, V> void plusAssign(Map<? super K, ? super V> map, Pair<? extends K, ? extends V>[] pairArr) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(pairArr, "pairs");
        putAll(map, pairArr);
    }

    public static final <K, V> void putAll(@NotNull Map<? super K, ? super V> map, @NotNull Iterable<? extends Pair<? extends K, ? extends V>> iterable) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(iterable, "pairs");
        for (Pair<? extends K, ? extends V> pair : iterable) {
            map.put((K) pair.component1(), (V) pair.component2());
        }
    }

    @SinceKotlin(version = "1.1")
    @NotNull
    public static final <K, V> Map<K, V> minus(@NotNull Map<? extends K, ? extends V> map, @NotNull j.v1.m<? extends K> mVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(mVar, SavedStateHandle.KEYS);
        Map mutableMap = toMutableMap(map);
        z.removeAll(mutableMap.keySet(), mVar);
        return optimizeReadOnlyMap(mutableMap);
    }

    @SinceKotlin(version = "1.1")
    @InlineOnly
    public static final <K, V> void minusAssign(Map<K, V> map, j.v1.m<? extends K> mVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(mVar, SavedStateHandle.KEYS);
        z.removeAll(map.keySet(), mVar);
    }

    @NotNull
    public static final <K, V> Map<K, V> plus(@NotNull Map<? extends K, ? extends V> map, @NotNull j.v1.m<? extends Pair<? extends K, ? extends V>> mVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(mVar, "pairs");
        LinkedHashMap linkedHashMap = new LinkedHashMap(map);
        putAll(linkedHashMap, mVar);
        return optimizeReadOnlyMap(linkedHashMap);
    }

    @InlineOnly
    public static final <K, V> void plusAssign(Map<? super K, ? super V> map, j.v1.m<? extends Pair<? extends K, ? extends V>> mVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(mVar, "pairs");
        putAll(map, mVar);
    }

    @NotNull
    public static final <K, V> Map<K, V> plus(@NotNull Map<? extends K, ? extends V> map, @NotNull Map<? extends K, ? extends V> map2) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(map2, "map");
        LinkedHashMap linkedHashMap = new LinkedHashMap(map);
        linkedHashMap.putAll(map2);
        return linkedHashMap;
    }

    /* JADX WARN: Multi-variable type inference failed */
    @InlineOnly
    public static final <K, V> void plusAssign(Map<? super K, ? super V> map, Map<K, ? extends V> map2) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(map2, "map");
        map.putAll(map2);
    }

    public static final <K, V> void putAll(@NotNull Map<? super K, ? super V> map, @NotNull j.v1.m<? extends Pair<? extends K, ? extends V>> mVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(mVar, "pairs");
        for (Pair<? extends K, ? extends V> pair : mVar) {
            map.put((K) pair.component1(), (V) pair.component2());
        }
    }

    @NotNull
    public static final <K, V, M extends Map<? super K, ? super V>> M toMap(@NotNull Iterable<? extends Pair<? extends K, ? extends V>> iterable, @NotNull M m2) {
        j.p1.c.f0.checkNotNullParameter(iterable, "<this>");
        j.p1.c.f0.checkNotNullParameter(m2, "destination");
        putAll(m2, iterable);
        return m2;
    }

    @NotNull
    public static final <K, V> Map<K, V> toMap(@NotNull Pair<? extends K, ? extends V>[] pairArr) {
        j.p1.c.f0.checkNotNullParameter(pairArr, "<this>");
        int length = pairArr.length;
        if (length != 0) {
            if (length != 1) {
                return toMap(pairArr, new LinkedHashMap(t0.mapCapacity(pairArr.length)));
            }
            return t0.mapOf(pairArr[0]);
        }
        return emptyMap();
    }

    @NotNull
    public static final <K, V, M extends Map<? super K, ? super V>> M toMap(@NotNull Pair<? extends K, ? extends V>[] pairArr, @NotNull M m2) {
        j.p1.c.f0.checkNotNullParameter(pairArr, "<this>");
        j.p1.c.f0.checkNotNullParameter(m2, "destination");
        putAll(m2, pairArr);
        return m2;
    }

    @NotNull
    public static final <K, V> Map<K, V> toMap(@NotNull j.v1.m<? extends Pair<? extends K, ? extends V>> mVar) {
        j.p1.c.f0.checkNotNullParameter(mVar, "<this>");
        return optimizeReadOnlyMap(toMap(mVar, new LinkedHashMap()));
    }

    @NotNull
    public static final <K, V, M extends Map<? super K, ? super V>> M toMap(@NotNull j.v1.m<? extends Pair<? extends K, ? extends V>> mVar, @NotNull M m2) {
        j.p1.c.f0.checkNotNullParameter(mVar, "<this>");
        j.p1.c.f0.checkNotNullParameter(m2, "destination");
        putAll(m2, mVar);
        return m2;
    }

    @SinceKotlin(version = "1.1")
    @NotNull
    public static final <K, V> Map<K, V> toMap(@NotNull Map<? extends K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        int size = map.size();
        if (size != 0) {
            if (size != 1) {
                return toMutableMap(map);
            }
            return t0.toSingletonMap(map);
        }
        return emptyMap();
    }

    @SinceKotlin(version = "1.1")
    @NotNull
    public static final <K, V, M extends Map<? super K, ? super V>> M toMap(@NotNull Map<? extends K, ? extends V> map, @NotNull M m2) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(m2, "destination");
        m2.putAll(map);
        return m2;
    }
}
