package j.g1;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.NoSuchElementException;
import kotlin.OverloadResolutionByLambdaReturnType;
import kotlin.Pair;
import kotlin.SinceKotlin;
import kotlin.collections.CollectionsKt__CollectionsKt;
import kotlin.collections.CollectionsKt___CollectionsKt;
import kotlin.internal.HidesMembers;
import kotlin.internal.InlineOnly;
import kotlin.jvm.JvmName;
import org.jetbrains.annotations.NotNull;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class w0 extends v0 {
    public static final <K, V> boolean all(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Boolean> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "predicate");
        if (map.isEmpty()) {
            return true;
        }
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            if (!lVar.invoke(entry).booleanValue()) {
                return false;
            }
        }
        return true;
    }

    public static final <K, V> boolean any(@NotNull Map<? extends K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return !map.isEmpty();
    }

    @InlineOnly
    public static final <K, V> Iterable<Map.Entry<K, V>> asIterable(Map<? extends K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return map.entrySet();
    }

    @NotNull
    public static final <K, V> j.v1.m<Map.Entry<K, V>> asSequence(@NotNull Map<? extends K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return CollectionsKt___CollectionsKt.asSequence(map.entrySet());
    }

    @InlineOnly
    public static final <K, V> int count(Map<? extends K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return map.size();
    }

    @SinceKotlin(version = "1.5")
    @InlineOnly
    public static final <K, V, R> R firstNotNullOf(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        R r;
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        Iterator<Map.Entry<? extends K, ? extends V>> it = map.entrySet().iterator();
        while (true) {
            if (!it.hasNext()) {
                r = null;
                break;
            }
            r = lVar.invoke(it.next());
            if (r != null) {
                break;
            }
        }
        if (r != null) {
            return r;
        }
        throw new NoSuchElementException("No element of the map was transformed to a non-null value.");
    }

    @SinceKotlin(version = "1.5")
    @InlineOnly
    public static final <K, V, R> R firstNotNullOfOrNull(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            R invoke = lVar.invoke(entry);
            if (invoke != null) {
                return invoke;
            }
        }
        return null;
    }

    @NotNull
    public static final <K, V, R> List<R> flatMap(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends Iterable<? extends R>> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        ArrayList arrayList = new ArrayList();
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            z.addAll(arrayList, lVar.invoke(entry));
        }
        return arrayList;
    }

    @SinceKotlin(version = "1.4")
    @JvmName(name = "flatMapSequence")
    @NotNull
    @OverloadResolutionByLambdaReturnType
    public static final <K, V, R> List<R> flatMapSequence(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends j.v1.m<? extends R>> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        ArrayList arrayList = new ArrayList();
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            z.addAll(arrayList, lVar.invoke(entry));
        }
        return arrayList;
    }

    @SinceKotlin(version = "1.4")
    @JvmName(name = "flatMapSequenceTo")
    @NotNull
    @OverloadResolutionByLambdaReturnType
    public static final <K, V, R, C extends Collection<? super R>> C flatMapSequenceTo(@NotNull Map<? extends K, ? extends V> map, @NotNull C c2, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends j.v1.m<? extends R>> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(c2, "destination");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            z.addAll(c2, lVar.invoke(entry));
        }
        return c2;
    }

    @NotNull
    public static final <K, V, R, C extends Collection<? super R>> C flatMapTo(@NotNull Map<? extends K, ? extends V> map, @NotNull C c2, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends Iterable<? extends R>> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(c2, "destination");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            z.addAll(c2, lVar.invoke(entry));
        }
        return c2;
    }

    @HidesMembers
    public static final <K, V> void forEach(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, j.d1> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "action");
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            lVar.invoke(entry);
        }
    }

    @NotNull
    public static final <K, V, R> List<R> map(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        ArrayList arrayList = new ArrayList(map.size());
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            arrayList.add(lVar.invoke(entry));
        }
        return arrayList;
    }

    @NotNull
    public static final <K, V, R> List<R> mapNotNull(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        ArrayList arrayList = new ArrayList();
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            R invoke = lVar.invoke(entry);
            if (invoke != null) {
                arrayList.add(invoke);
            }
        }
        return arrayList;
    }

    @NotNull
    public static final <K, V, R, C extends Collection<? super R>> C mapNotNullTo(@NotNull Map<? extends K, ? extends V> map, @NotNull C c2, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(c2, "destination");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            R invoke = lVar.invoke(entry);
            if (invoke != null) {
                c2.add(invoke);
            }
        }
        return c2;
    }

    @NotNull
    public static final <K, V, R, C extends Collection<? super R>> C mapTo(@NotNull Map<? extends K, ? extends V> map, @NotNull C c2, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(c2, "destination");
        j.p1.c.f0.checkNotNullParameter(lVar, "transform");
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            c2.add(lVar.invoke(entry));
        }
        return c2;
    }

    /* JADX WARN: Multi-variable type inference failed */
    @SinceKotlin(version = "1.4")
    @InlineOnly
    public static final <K, V, R extends Comparable<? super R>> Map.Entry<K, V> maxByOrNull(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        Object obj;
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator it = map.entrySet().iterator();
        if (it.hasNext()) {
            Object obj2 = (Object) it.next();
            if (it.hasNext()) {
                R invoke = lVar.invoke(obj2);
                Object obj3 = obj2;
                do {
                    Object obj4 = (Object) it.next();
                    R invoke2 = lVar.invoke(obj4);
                    obj2 = obj3;
                    if (invoke.compareTo(invoke2) < 0) {
                        invoke = invoke2;
                        obj2 = (Object) obj4;
                    }
                    obj3 = obj2;
                } while (it.hasNext());
                obj = obj2;
            } else {
                obj = obj2;
            }
        } else {
            obj = null;
        }
        return (Map.Entry) obj;
    }

    @SinceKotlin(version = "1.7")
    @InlineOnly
    @JvmName(name = "maxByOrThrow")
    public static final <K, V, R extends Comparable<? super R>> Map.Entry<K, V> maxByOrThrow(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            Object obj = (Object) it.next();
            if (it.hasNext()) {
                R invoke = lVar.invoke(obj);
                do {
                    Object obj2 = (Object) it.next();
                    R invoke2 = lVar.invoke(obj2);
                    if (invoke.compareTo(invoke2) < 0) {
                        obj = (Object) obj2;
                        invoke = invoke2;
                    }
                } while (it.hasNext());
                return (Map.Entry) obj;
            }
            return (Map.Entry) obj;
        }
        throw new NoSuchElementException();
    }

    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    public static final <K, V> double maxOf(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Double> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            double doubleValue = lVar.invoke((Object) it.next()).doubleValue();
            while (it.hasNext()) {
                doubleValue = Math.max(doubleValue, lVar.invoke((Object) it.next()).doubleValue());
            }
            return doubleValue;
        }
        throw new NoSuchElementException();
    }

    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    /* renamed from: maxOfOrNull  reason: collision with other method in class */
    public static final <K, V> Double m276maxOfOrNull(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Double> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            double doubleValue = lVar.invoke((Object) it.next()).doubleValue();
            while (it.hasNext()) {
                doubleValue = Math.max(doubleValue, lVar.invoke((Object) it.next()).doubleValue());
            }
            return Double.valueOf(doubleValue);
        }
        return null;
    }

    /* JADX WARN: Multi-variable type inference failed */
    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    public static final <K, V, R> R maxOfWith(Map<? extends K, ? extends V> map, Comparator<? super R> comparator, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(comparator, "comparator");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            Object obj = (R) lVar.invoke((Object) it.next());
            while (it.hasNext()) {
                R invoke = lVar.invoke((Object) it.next());
                if (comparator.compare(obj, invoke) < 0) {
                    obj = invoke;
                }
            }
            return (R) obj;
        }
        throw new NoSuchElementException();
    }

    /* JADX WARN: Multi-variable type inference failed */
    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    public static final <K, V, R> R maxOfWithOrNull(Map<? extends K, ? extends V> map, Comparator<? super R> comparator, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(comparator, "comparator");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            Object obj = (R) lVar.invoke((Object) it.next());
            while (it.hasNext()) {
                R invoke = lVar.invoke((Object) it.next());
                if (comparator.compare(obj, invoke) < 0) {
                    obj = (Object) invoke;
                }
            }
            return obj;
        }
        return null;
    }

    @SinceKotlin(version = "1.4")
    @InlineOnly
    public static final <K, V> Map.Entry<K, V> maxWithOrNull(Map<? extends K, ? extends V> map, Comparator<? super Map.Entry<? extends K, ? extends V>> comparator) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(comparator, "comparator");
        return (Map.Entry) CollectionsKt___CollectionsKt.maxWithOrNull(map.entrySet(), comparator);
    }

    @SinceKotlin(version = "1.7")
    @InlineOnly
    @JvmName(name = "maxWithOrThrow")
    public static final <K, V> Map.Entry<K, V> maxWithOrThrow(Map<? extends K, ? extends V> map, Comparator<? super Map.Entry<? extends K, ? extends V>> comparator) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(comparator, "comparator");
        return (Map.Entry) CollectionsKt___CollectionsKt.maxWithOrThrow(map.entrySet(), comparator);
    }

    /* JADX WARN: Multi-variable type inference failed */
    @SinceKotlin(version = "1.4")
    @InlineOnly
    public static final <K, V, R extends Comparable<? super R>> Map.Entry<K, V> minByOrNull(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        Object obj;
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator it = map.entrySet().iterator();
        if (it.hasNext()) {
            Object obj2 = (Object) it.next();
            if (it.hasNext()) {
                R invoke = lVar.invoke(obj2);
                Object obj3 = obj2;
                do {
                    Object obj4 = (Object) it.next();
                    R invoke2 = lVar.invoke(obj4);
                    obj2 = obj3;
                    if (invoke.compareTo(invoke2) > 0) {
                        invoke = invoke2;
                        obj2 = (Object) obj4;
                    }
                    obj3 = obj2;
                } while (it.hasNext());
                obj = obj2;
            } else {
                obj = obj2;
            }
        } else {
            obj = null;
        }
        return (Map.Entry) obj;
    }

    @SinceKotlin(version = "1.7")
    @InlineOnly
    @JvmName(name = "minByOrThrow")
    public static final <K, V, R extends Comparable<? super R>> Map.Entry<K, V> minByOrThrow(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            Object obj = (Object) it.next();
            if (it.hasNext()) {
                R invoke = lVar.invoke(obj);
                do {
                    Object obj2 = (Object) it.next();
                    R invoke2 = lVar.invoke(obj2);
                    if (invoke.compareTo(invoke2) > 0) {
                        obj = (Object) obj2;
                        invoke = invoke2;
                    }
                } while (it.hasNext());
                return (Map.Entry) obj;
            }
            return (Map.Entry) obj;
        }
        throw new NoSuchElementException();
    }

    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    public static final <K, V> double minOf(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Double> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            double doubleValue = lVar.invoke((Object) it.next()).doubleValue();
            while (it.hasNext()) {
                doubleValue = Math.min(doubleValue, lVar.invoke((Object) it.next()).doubleValue());
            }
            return doubleValue;
        }
        throw new NoSuchElementException();
    }

    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    /* renamed from: minOfOrNull  reason: collision with other method in class */
    public static final <K, V> Double m280minOfOrNull(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Double> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            double doubleValue = lVar.invoke((Object) it.next()).doubleValue();
            while (it.hasNext()) {
                doubleValue = Math.min(doubleValue, lVar.invoke((Object) it.next()).doubleValue());
            }
            return Double.valueOf(doubleValue);
        }
        return null;
    }

    /* JADX WARN: Multi-variable type inference failed */
    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    public static final <K, V, R> R minOfWith(Map<? extends K, ? extends V> map, Comparator<? super R> comparator, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(comparator, "comparator");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            Object obj = (R) lVar.invoke((Object) it.next());
            while (it.hasNext()) {
                R invoke = lVar.invoke((Object) it.next());
                if (comparator.compare(obj, invoke) > 0) {
                    obj = invoke;
                }
            }
            return (R) obj;
        }
        throw new NoSuchElementException();
    }

    /* JADX WARN: Multi-variable type inference failed */
    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    public static final <K, V, R> R minOfWithOrNull(Map<? extends K, ? extends V> map, Comparator<? super R> comparator, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(comparator, "comparator");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            Object obj = (R) lVar.invoke((Object) it.next());
            while (it.hasNext()) {
                R invoke = lVar.invoke((Object) it.next());
                if (comparator.compare(obj, invoke) > 0) {
                    obj = (Object) invoke;
                }
            }
            return obj;
        }
        return null;
    }

    @SinceKotlin(version = "1.4")
    @InlineOnly
    public static final <K, V> Map.Entry<K, V> minWithOrNull(Map<? extends K, ? extends V> map, Comparator<? super Map.Entry<? extends K, ? extends V>> comparator) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(comparator, "comparator");
        return (Map.Entry) CollectionsKt___CollectionsKt.minWithOrNull(map.entrySet(), comparator);
    }

    @SinceKotlin(version = "1.7")
    @InlineOnly
    @JvmName(name = "minWithOrThrow")
    public static final <K, V> Map.Entry<K, V> minWithOrThrow(Map<? extends K, ? extends V> map, Comparator<? super Map.Entry<? extends K, ? extends V>> comparator) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(comparator, "comparator");
        return (Map.Entry) CollectionsKt___CollectionsKt.minWithOrThrow(map.entrySet(), comparator);
    }

    public static final <K, V> boolean none(@NotNull Map<? extends K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        return map.isEmpty();
    }

    @SinceKotlin(version = "1.1")
    @NotNull
    public static final <K, V, M extends Map<? extends K, ? extends V>> M onEach(@NotNull M m2, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, j.d1> lVar) {
        j.p1.c.f0.checkNotNullParameter(m2, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "action");
        for (Map.Entry<K, V> entry : m2.entrySet()) {
            lVar.invoke(entry);
        }
        return m2;
    }

    @SinceKotlin(version = "1.4")
    @NotNull
    public static final <K, V, M extends Map<? extends K, ? extends V>> M onEachIndexed(@NotNull M m2, @NotNull j.p1.b.p<? super Integer, ? super Map.Entry<? extends K, ? extends V>, j.d1> pVar) {
        j.p1.c.f0.checkNotNullParameter(m2, "<this>");
        j.p1.c.f0.checkNotNullParameter(pVar, "action");
        int i2 = 0;
        for (Object obj : m2.entrySet()) {
            int i3 = i2 + 1;
            if (i2 < 0) {
                CollectionsKt__CollectionsKt.throwIndexOverflow();
            }
            pVar.invoke(Integer.valueOf(i2), obj);
            i2 = i3;
        }
        return m2;
    }

    @NotNull
    public static final <K, V> List<Pair<K, V>> toList(@NotNull Map<? extends K, ? extends V> map) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        if (map.size() == 0) {
            return CollectionsKt__CollectionsKt.emptyList();
        }
        Iterator<Map.Entry<? extends K, ? extends V>> it = map.entrySet().iterator();
        if (!it.hasNext()) {
            return CollectionsKt__CollectionsKt.emptyList();
        }
        Map.Entry<? extends K, ? extends V> next = it.next();
        if (!it.hasNext()) {
            return u.listOf(new Pair(next.getKey(), next.getValue()));
        }
        ArrayList arrayList = new ArrayList(map.size());
        arrayList.add(new Pair(next.getKey(), next.getValue()));
        do {
            Map.Entry<? extends K, ? extends V> next2 = it.next();
            arrayList.add(new Pair(next2.getKey(), next2.getValue()));
        } while (it.hasNext());
        return arrayList;
    }

    public static final <K, V> boolean any(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Boolean> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "predicate");
        if (map.isEmpty()) {
            return false;
        }
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            if (lVar.invoke(entry).booleanValue()) {
                return true;
            }
        }
        return false;
    }

    public static final <K, V> int count(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Boolean> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "predicate");
        int i2 = 0;
        if (map.isEmpty()) {
            return 0;
        }
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            if (lVar.invoke(entry).booleanValue()) {
                i2++;
            }
        }
        return i2;
    }

    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    /* renamed from: maxOf  reason: collision with other method in class */
    public static final <K, V> float m274maxOf(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Float> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            float floatValue = lVar.invoke((Object) it.next()).floatValue();
            while (it.hasNext()) {
                floatValue = Math.max(floatValue, lVar.invoke((Object) it.next()).floatValue());
            }
            return floatValue;
        }
        throw new NoSuchElementException();
    }

    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    /* renamed from: maxOfOrNull  reason: collision with other method in class */
    public static final <K, V> Float m277maxOfOrNull(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Float> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            float floatValue = lVar.invoke((Object) it.next()).floatValue();
            while (it.hasNext()) {
                floatValue = Math.max(floatValue, lVar.invoke((Object) it.next()).floatValue());
            }
            return Float.valueOf(floatValue);
        }
        return null;
    }

    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    /* renamed from: minOf  reason: collision with other method in class */
    public static final <K, V> float m278minOf(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Float> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            float floatValue = lVar.invoke((Object) it.next()).floatValue();
            while (it.hasNext()) {
                floatValue = Math.min(floatValue, lVar.invoke((Object) it.next()).floatValue());
            }
            return floatValue;
        }
        throw new NoSuchElementException();
    }

    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    /* renamed from: minOfOrNull  reason: collision with other method in class */
    public static final <K, V> Float m281minOfOrNull(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Float> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            float floatValue = lVar.invoke((Object) it.next()).floatValue();
            while (it.hasNext()) {
                floatValue = Math.min(floatValue, lVar.invoke((Object) it.next()).floatValue());
            }
            return Float.valueOf(floatValue);
        }
        return null;
    }

    public static final <K, V> boolean none(@NotNull Map<? extends K, ? extends V> map, @NotNull j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, Boolean> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "predicate");
        if (map.isEmpty()) {
            return true;
        }
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            if (lVar.invoke(entry).booleanValue()) {
                return false;
            }
        }
        return true;
    }

    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    /* renamed from: maxOf  reason: collision with other method in class */
    public static final <K, V, R extends Comparable<? super R>> R m275maxOf(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            R invoke = lVar.invoke((Object) it.next());
            while (it.hasNext()) {
                R invoke2 = lVar.invoke((Object) it.next());
                if (invoke.compareTo(invoke2) < 0) {
                    invoke = invoke2;
                }
            }
            return invoke;
        }
        throw new NoSuchElementException();
    }

    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    public static final <K, V, R extends Comparable<? super R>> R maxOfOrNull(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            R invoke = lVar.invoke((Object) it.next());
            while (it.hasNext()) {
                R invoke2 = lVar.invoke((Object) it.next());
                if (invoke.compareTo(invoke2) < 0) {
                    invoke = invoke2;
                }
            }
            return invoke;
        }
        return null;
    }

    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    /* renamed from: minOf  reason: collision with other method in class */
    public static final <K, V, R extends Comparable<? super R>> R m279minOf(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            R invoke = lVar.invoke((Object) it.next());
            while (it.hasNext()) {
                R invoke2 = lVar.invoke((Object) it.next());
                if (invoke.compareTo(invoke2) > 0) {
                    invoke = invoke2;
                }
            }
            return invoke;
        }
        throw new NoSuchElementException();
    }

    @SinceKotlin(version = "1.4")
    @OverloadResolutionByLambdaReturnType
    @InlineOnly
    public static final <K, V, R extends Comparable<? super R>> R minOfOrNull(Map<? extends K, ? extends V> map, j.p1.b.l<? super Map.Entry<? extends K, ? extends V>, ? extends R> lVar) {
        j.p1.c.f0.checkNotNullParameter(map, "<this>");
        j.p1.c.f0.checkNotNullParameter(lVar, "selector");
        Iterator<T> it = map.entrySet().iterator();
        if (it.hasNext()) {
            R invoke = lVar.invoke((Object) it.next());
            while (it.hasNext()) {
                R invoke2 = lVar.invoke((Object) it.next());
                if (invoke.compareTo(invoke2) > 0) {
                    invoke = invoke2;
                }
            }
            return invoke;
        }
        return null;
    }
}
