package j.i1;

import j.p1.c.c0;
import j.p1.c.f0;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantReadWriteLock;
import kotlin.internal.InlineOnly;
import kotlin.jvm.JvmName;
/* compiled from: AAA */
@JvmName(name = "LocksKt")
/* loaded from: classes3.dex */
public final class a {
    @InlineOnly
    public static final <T> T read(ReentrantReadWriteLock reentrantReadWriteLock, j.p1.b.a<? extends T> aVar) {
        f0.checkNotNullParameter(reentrantReadWriteLock, "<this>");
        f0.checkNotNullParameter(aVar, "action");
        ReentrantReadWriteLock.ReadLock readLock = reentrantReadWriteLock.readLock();
        readLock.lock();
        try {
            return aVar.invoke();
        } finally {
            c0.finallyStart(1);
            readLock.unlock();
            c0.finallyEnd(1);
        }
    }

    @InlineOnly
    public static final <T> T withLock(Lock lock, j.p1.b.a<? extends T> aVar) {
        f0.checkNotNullParameter(lock, "<this>");
        f0.checkNotNullParameter(aVar, "action");
        lock.lock();
        try {
            return aVar.invoke();
        } finally {
            c0.finallyStart(1);
            lock.unlock();
            c0.finallyEnd(1);
        }
    }

    @InlineOnly
    public static final <T> T write(ReentrantReadWriteLock reentrantReadWriteLock, j.p1.b.a<? extends T> aVar) {
        f0.checkNotNullParameter(reentrantReadWriteLock, "<this>");
        f0.checkNotNullParameter(aVar, "action");
        ReentrantReadWriteLock.ReadLock readLock = reentrantReadWriteLock.readLock();
        int i2 = 0;
        int readHoldCount = reentrantReadWriteLock.getWriteHoldCount() == 0 ? reentrantReadWriteLock.getReadHoldCount() : 0;
        for (int i3 = 0; i3 < readHoldCount; i3++) {
            readLock.unlock();
        }
        ReentrantReadWriteLock.WriteLock writeLock = reentrantReadWriteLock.writeLock();
        writeLock.lock();
        try {
            return aVar.invoke();
        } finally {
            c0.finallyStart(1);
            while (i2 < readHoldCount) {
                readLock.lock();
                i2++;
            }
            writeLock.unlock();
            c0.finallyEnd(1);
        }
    }
}
