package j.n1;

import j.p1.c.c0;
import j.p1.c.f0;
import java.io.Closeable;
import kotlin.PublishedApi;
import kotlin.SinceKotlin;
import kotlin.internal.InlineOnly;
import kotlin.jvm.JvmName;
import org.jetbrains.annotations.Nullable;
/* compiled from: AAA */
@JvmName(name = "CloseableKt")
/* loaded from: classes3.dex */
public final class b {
    @SinceKotlin(version = "1.1")
    @PublishedApi
    public static final void closeFinally(@Nullable Closeable closeable, @Nullable Throwable th) {
        if (closeable != null) {
            if (th == null) {
                closeable.close();
                return;
            }
            try {
                closeable.close();
            } catch (Throwable th2) {
                j.j.addSuppressed(th, th2);
            }
        }
    }

    @InlineOnly
    public static final <T extends Closeable, R> R use(T t, j.p1.b.l<? super T, ? extends R> lVar) {
        f0.checkNotNullParameter(lVar, "block");
        try {
            R invoke = lVar.invoke(t);
            c0.finallyStart(1);
            if (j.m1.b.apiVersionIsAtLeast(1, 1, 0)) {
                closeFinally(t, null);
            } else if (t != null) {
                t.close();
            }
            c0.finallyEnd(1);
            return invoke;
        } catch (Throwable th) {
            try {
                throw th;
            } catch (Throwable th2) {
                c0.finallyStart(1);
                if (j.m1.b.apiVersionIsAtLeast(1, 1, 0)) {
                    closeFinally(t, th);
                } else if (t != null) {
                    try {
                        t.close();
                    } catch (Throwable unused) {
                    }
                }
                c0.finallyEnd(1);
                throw th2;
            }
        }
    }
}
