package j.n1;

import j.p1.c.f0;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.nio.CharBuffer;
import java.nio.charset.Charset;
import java.nio.charset.CharsetDecoder;
import java.nio.charset.CoderResult;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class l {
    public static final int BUFFER_SIZE = 32;
    @NotNull
    public static final ByteBuffer byteBuf;
    @NotNull
    public static final byte[] bytes;
    @NotNull
    public static final CharBuffer charBuf;
    public static CharsetDecoder decoder;
    public static boolean directEOL;
    @NotNull
    public static final StringBuilder sb;
    @NotNull
    public static final l INSTANCE = new l();
    @NotNull
    public static final char[] chars = new char[32];

    static {
        byte[] bArr = new byte[32];
        bytes = bArr;
        ByteBuffer wrap = ByteBuffer.wrap(bArr);
        f0.checkNotNullExpressionValue(wrap, "wrap(bytes)");
        byteBuf = wrap;
        CharBuffer wrap2 = CharBuffer.wrap(chars);
        f0.checkNotNullExpressionValue(wrap2, "wrap(chars)");
        charBuf = wrap2;
        sb = new StringBuilder();
    }

    private final int compactBytes() {
        ByteBuffer byteBuffer = byteBuf;
        byteBuffer.compact();
        int position = byteBuffer.position();
        byteBuffer.position(0);
        return position;
    }

    private final int decode(boolean z) {
        while (true) {
            CharsetDecoder charsetDecoder = decoder;
            if (charsetDecoder == null) {
                f0.throwUninitializedPropertyAccessException("decoder");
                charsetDecoder = null;
            }
            CoderResult decode = charsetDecoder.decode(byteBuf, charBuf, z);
            f0.checkNotNullExpressionValue(decode, "decoder.decode(byteBuf, charBuf, endOfInput)");
            if (decode.isError()) {
                resetAll();
                decode.throwException();
            }
            int position = charBuf.position();
            if (!decode.isOverflow()) {
                return position;
            }
            int i2 = position - 1;
            sb.append(chars, 0, i2);
            charBuf.position(0);
            charBuf.limit(32);
            charBuf.put(chars[i2]);
        }
    }

    private final int decodeEndOfInput(int i2, int i3) {
        byteBuf.limit(i2);
        charBuf.position(i3);
        int decode = decode(true);
        CharsetDecoder charsetDecoder = decoder;
        if (charsetDecoder == null) {
            f0.throwUninitializedPropertyAccessException("decoder");
            charsetDecoder = null;
        }
        charsetDecoder.reset();
        byteBuf.position(0);
        return decode;
    }

    private final void resetAll() {
        CharsetDecoder charsetDecoder = decoder;
        if (charsetDecoder == null) {
            f0.throwUninitializedPropertyAccessException("decoder");
            charsetDecoder = null;
        }
        charsetDecoder.reset();
        byteBuf.position(0);
        sb.setLength(0);
    }

    private final void trimStringBuilder() {
        sb.setLength(32);
        sb.trimToSize();
    }

    private final void updateCharset(Charset charset) {
        CharsetDecoder newDecoder = charset.newDecoder();
        f0.checkNotNullExpressionValue(newDecoder, "charset.newDecoder()");
        decoder = newDecoder;
        byteBuf.clear();
        charBuf.clear();
        byteBuf.put((byte) 10);
        byteBuf.flip();
        CharsetDecoder charsetDecoder = decoder;
        if (charsetDecoder == null) {
            f0.throwUninitializedPropertyAccessException("decoder");
            charsetDecoder = null;
        }
        boolean z = false;
        charsetDecoder.decode(byteBuf, charBuf, false);
        if (charBuf.position() == 1 && charBuf.get(0) == '\n') {
            z = true;
        }
        directEOL = z;
        resetAll();
    }

    /* JADX WARN: Code restructure failed: missing block: B:9:0x0022, code lost:
        if (j.p1.c.f0.areEqual(r0.charset(), r12) == false) goto L68;
     */
    @Nullable
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final synchronized String readLine(@NotNull InputStream inputStream, @NotNull Charset charset) {
        boolean z;
        int decodeEndOfInput;
        f0.checkNotNullParameter(inputStream, "inputStream");
        f0.checkNotNullParameter(charset, "charset");
        if (decoder != null) {
            CharsetDecoder charsetDecoder = decoder;
            if (charsetDecoder == null) {
                f0.throwUninitializedPropertyAccessException("decoder");
                charsetDecoder = null;
            }
        }
        updateCharset(charset);
        int i2 = 0;
        int i3 = 0;
        while (true) {
            int read = inputStream.read();
            z = true;
            if (read == -1) {
                if ((sb.length() == 0) && i2 == 0 && i3 == 0) {
                    return null;
                }
                decodeEndOfInput = decodeEndOfInput(i2, i3);
            } else {
                int i4 = i2 + 1;
                bytes[i2] = (byte) read;
                if (read != 10 && i4 != 32 && directEOL) {
                    i2 = i4;
                }
                byteBuf.limit(i4);
                charBuf.position(i3);
                i3 = decode(false);
                if (i3 > 0 && chars[i3 - 1] == '\n') {
                    byteBuf.position(0);
                    decodeEndOfInput = i3;
                    break;
                }
                i2 = compactBytes();
            }
        }
        if (decodeEndOfInput > 0 && chars[decodeEndOfInput - 1] == '\n' && decodeEndOfInput - 1 > 0 && chars[decodeEndOfInput - 1] == '\r') {
            decodeEndOfInput--;
        }
        if (sb.length() != 0) {
            z = false;
        }
        if (z) {
            return new String(chars, 0, decodeEndOfInput);
        }
        sb.append(chars, 0, decodeEndOfInput);
        String sb2 = sb.toString();
        f0.checkNotNullExpressionValue(sb2, "sb.toString()");
        if (sb.length() > 32) {
            trimStringBuilder();
        }
        sb.setLength(0);
        return sb2;
    }
}
