package j.n1.o;

import j.d1;
import j.p1.b.l;
import j.p1.c.c0;
import j.p1.c.f0;
import j.v1.m;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.nio.charset.Charset;
import java.nio.file.Files;
import java.nio.file.OpenOption;
import java.nio.file.Path;
import java.nio.file.StandardOpenOption;
import java.util.Arrays;
import java.util.List;
import kotlin.SinceKotlin;
import kotlin.WasExperimental;
import kotlin.internal.InlineOnly;
import kotlin.io.TextStreamsKt;
import kotlin.io.path.ExperimentalPathApi;
import kotlin.sequences.SequencesKt___SequencesKt;
import org.jetbrains.annotations.NotNull;
/* compiled from: AAA */
/* loaded from: classes.dex */
public class c {
    @SinceKotlin(version = "1.5")
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    @InlineOnly
    public static final void appendBytes(Path path, byte[] bArr) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(bArr, "array");
        Files.write(path, bArr, StandardOpenOption.APPEND);
    }

    @SinceKotlin(version = "1.5")
    @InlineOnly
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    public static final Path appendLines(Path path, Iterable<? extends CharSequence> iterable, Charset charset) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(iterable, "lines");
        f0.checkNotNullParameter(charset, "charset");
        Path write = Files.write(path, iterable, charset, StandardOpenOption.APPEND);
        f0.checkNotNullExpressionValue(write, "write(this, lines, chars…tandardOpenOption.APPEND)");
        return write;
    }

    public static /* synthetic */ Path appendLines$default(Path path, Iterable iterable, Charset charset, int i2, Object obj) throws IOException {
        if ((i2 & 2) != 0) {
            charset = j.y1.d.UTF_8;
        }
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(iterable, "lines");
        f0.checkNotNullParameter(charset, "charset");
        Path write = Files.write(path, iterable, charset, StandardOpenOption.APPEND);
        f0.checkNotNullExpressionValue(write, "write(this, lines, chars…tandardOpenOption.APPEND)");
        return write;
    }

    @SinceKotlin(version = "1.5")
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    public static final void appendText(@NotNull Path path, @NotNull CharSequence charSequence, @NotNull Charset charset) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charSequence, "text");
        f0.checkNotNullParameter(charset, "charset");
        OutputStream newOutputStream = Files.newOutputStream(path, StandardOpenOption.APPEND);
        f0.checkNotNullExpressionValue(newOutputStream, "newOutputStream(this, StandardOpenOption.APPEND)");
        OutputStreamWriter outputStreamWriter = new OutputStreamWriter(newOutputStream, charset);
        try {
            outputStreamWriter.append(charSequence);
            j.n1.b.closeFinally(outputStreamWriter, null);
        } finally {
        }
    }

    public static /* synthetic */ void appendText$default(Path path, CharSequence charSequence, Charset charset, int i2, Object obj) throws IOException {
        if ((i2 & 2) != 0) {
            charset = j.y1.d.UTF_8;
        }
        appendText(path, charSequence, charset);
    }

    @SinceKotlin(version = "1.5")
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    @InlineOnly
    public static final BufferedReader bufferedReader(Path path, Charset charset, int i2, OpenOption... openOptionArr) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(openOptionArr, "options");
        return new BufferedReader(new InputStreamReader(Files.newInputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length)), charset), i2);
    }

    public static /* synthetic */ BufferedReader bufferedReader$default(Path path, Charset charset, int i2, OpenOption[] openOptionArr, int i3, Object obj) throws IOException {
        if ((i3 & 1) != 0) {
            charset = j.y1.d.UTF_8;
        }
        if ((i3 & 2) != 0) {
            i2 = 8192;
        }
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(openOptionArr, "options");
        return new BufferedReader(new InputStreamReader(Files.newInputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length)), charset), i2);
    }

    @SinceKotlin(version = "1.5")
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    @InlineOnly
    public static final BufferedWriter bufferedWriter(Path path, Charset charset, int i2, OpenOption... openOptionArr) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(openOptionArr, "options");
        return new BufferedWriter(new OutputStreamWriter(Files.newOutputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length)), charset), i2);
    }

    public static /* synthetic */ BufferedWriter bufferedWriter$default(Path path, Charset charset, int i2, OpenOption[] openOptionArr, int i3, Object obj) throws IOException {
        if ((i3 & 1) != 0) {
            charset = j.y1.d.UTF_8;
        }
        if ((i3 & 2) != 0) {
            i2 = 8192;
        }
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(openOptionArr, "options");
        return new BufferedWriter(new OutputStreamWriter(Files.newOutputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length)), charset), i2);
    }

    @SinceKotlin(version = "1.5")
    @InlineOnly
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    public static final void forEachLine(Path path, Charset charset, l<? super String, d1> lVar) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(lVar, "action");
        BufferedReader newBufferedReader = Files.newBufferedReader(path, charset);
        f0.checkNotNullExpressionValue(newBufferedReader, "newBufferedReader(this, charset)");
        try {
            for (String str : TextStreamsKt.lineSequence(newBufferedReader)) {
                lVar.invoke(str);
            }
            d1 d1Var = d1.INSTANCE;
            c0.finallyStart(1);
            j.n1.b.closeFinally(newBufferedReader, null);
            c0.finallyEnd(1);
        } finally {
        }
    }

    public static /* synthetic */ void forEachLine$default(Path path, Charset charset, l lVar, int i2, Object obj) throws IOException {
        if ((i2 & 1) != 0) {
            charset = j.y1.d.UTF_8;
        }
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(lVar, "action");
        BufferedReader newBufferedReader = Files.newBufferedReader(path, charset);
        f0.checkNotNullExpressionValue(newBufferedReader, "newBufferedReader(this, charset)");
        try {
            for (String str : TextStreamsKt.lineSequence(newBufferedReader)) {
                lVar.invoke(str);
            }
            d1 d1Var = d1.INSTANCE;
            c0.finallyStart(1);
            j.n1.b.closeFinally(newBufferedReader, null);
            c0.finallyEnd(1);
        } finally {
        }
    }

    @SinceKotlin(version = "1.5")
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    @InlineOnly
    public static final InputStream inputStream(Path path, OpenOption... openOptionArr) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(openOptionArr, "options");
        InputStream newInputStream = Files.newInputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length));
        f0.checkNotNullExpressionValue(newInputStream, "newInputStream(this, *options)");
        return newInputStream;
    }

    @SinceKotlin(version = "1.5")
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    @InlineOnly
    public static final OutputStream outputStream(Path path, OpenOption... openOptionArr) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(openOptionArr, "options");
        OutputStream newOutputStream = Files.newOutputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length));
        f0.checkNotNullExpressionValue(newOutputStream, "newOutputStream(this, *options)");
        return newOutputStream;
    }

    @SinceKotlin(version = "1.5")
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    @InlineOnly
    public static final byte[] readBytes(Path path) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        byte[] readAllBytes = Files.readAllBytes(path);
        f0.checkNotNullExpressionValue(readAllBytes, "readAllBytes(this)");
        return readAllBytes;
    }

    @SinceKotlin(version = "1.5")
    @InlineOnly
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    public static final List<String> readLines(Path path, Charset charset) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        List<String> readAllLines = Files.readAllLines(path, charset);
        f0.checkNotNullExpressionValue(readAllLines, "readAllLines(this, charset)");
        return readAllLines;
    }

    public static /* synthetic */ List readLines$default(Path path, Charset charset, int i2, Object obj) throws IOException {
        if ((i2 & 1) != 0) {
            charset = j.y1.d.UTF_8;
        }
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        List<String> readAllLines = Files.readAllLines(path, charset);
        f0.checkNotNullExpressionValue(readAllLines, "readAllLines(this, charset)");
        return readAllLines;
    }

    @SinceKotlin(version = "1.5")
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    @NotNull
    public static final String readText(@NotNull Path path, @NotNull Charset charset) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        InputStreamReader inputStreamReader = new InputStreamReader(Files.newInputStream(path, (OpenOption[]) Arrays.copyOf(new OpenOption[0], 0)), charset);
        try {
            String readText = TextStreamsKt.readText(inputStreamReader);
            j.n1.b.closeFinally(inputStreamReader, null);
            return readText;
        } finally {
        }
    }

    public static /* synthetic */ String readText$default(Path path, Charset charset, int i2, Object obj) throws IOException {
        if ((i2 & 1) != 0) {
            charset = j.y1.d.UTF_8;
        }
        return readText(path, charset);
    }

    @SinceKotlin(version = "1.5")
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    @InlineOnly
    public static final InputStreamReader reader(Path path, Charset charset, OpenOption... openOptionArr) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(openOptionArr, "options");
        return new InputStreamReader(Files.newInputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length)), charset);
    }

    public static /* synthetic */ InputStreamReader reader$default(Path path, Charset charset, OpenOption[] openOptionArr, int i2, Object obj) throws IOException {
        if ((i2 & 1) != 0) {
            charset = j.y1.d.UTF_8;
        }
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(openOptionArr, "options");
        return new InputStreamReader(Files.newInputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length)), charset);
    }

    @SinceKotlin(version = "1.5")
    @InlineOnly
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    public static final <T> T useLines(Path path, Charset charset, l<? super m<String>, ? extends T> lVar) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(lVar, "block");
        BufferedReader newBufferedReader = Files.newBufferedReader(path, charset);
        try {
            f0.checkNotNullExpressionValue(newBufferedReader, "it");
            T invoke = lVar.invoke(TextStreamsKt.lineSequence(newBufferedReader));
            c0.finallyStart(1);
            j.n1.b.closeFinally(newBufferedReader, null);
            c0.finallyEnd(1);
            return invoke;
        } finally {
        }
    }

    public static /* synthetic */ Object useLines$default(Path path, Charset charset, l lVar, int i2, Object obj) throws IOException {
        if ((i2 & 1) != 0) {
            charset = j.y1.d.UTF_8;
        }
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(lVar, "block");
        BufferedReader newBufferedReader = Files.newBufferedReader(path, charset);
        try {
            f0.checkNotNullExpressionValue(newBufferedReader, "it");
            Object invoke = lVar.invoke(TextStreamsKt.lineSequence(newBufferedReader));
            c0.finallyStart(1);
            j.n1.b.closeFinally(newBufferedReader, null);
            c0.finallyEnd(1);
            return invoke;
        } finally {
        }
    }

    @SinceKotlin(version = "1.5")
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    @InlineOnly
    public static final void writeBytes(Path path, byte[] bArr, OpenOption... openOptionArr) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(bArr, "array");
        f0.checkNotNullParameter(openOptionArr, "options");
        Files.write(path, bArr, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length));
    }

    @SinceKotlin(version = "1.5")
    @InlineOnly
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    public static final Path writeLines(Path path, Iterable<? extends CharSequence> iterable, Charset charset, OpenOption... openOptionArr) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(iterable, "lines");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(openOptionArr, "options");
        Path write = Files.write(path, iterable, charset, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length));
        f0.checkNotNullExpressionValue(write, "write(this, lines, charset, *options)");
        return write;
    }

    public static /* synthetic */ Path writeLines$default(Path path, Iterable iterable, Charset charset, OpenOption[] openOptionArr, int i2, Object obj) throws IOException {
        if ((i2 & 2) != 0) {
            charset = j.y1.d.UTF_8;
        }
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(iterable, "lines");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(openOptionArr, "options");
        Path write = Files.write(path, iterable, charset, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length));
        f0.checkNotNullExpressionValue(write, "write(this, lines, charset, *options)");
        return write;
    }

    @SinceKotlin(version = "1.5")
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    public static final void writeText(@NotNull Path path, @NotNull CharSequence charSequence, @NotNull Charset charset, @NotNull OpenOption... openOptionArr) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charSequence, "text");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(openOptionArr, "options");
        OutputStream newOutputStream = Files.newOutputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length));
        f0.checkNotNullExpressionValue(newOutputStream, "newOutputStream(this, *options)");
        OutputStreamWriter outputStreamWriter = new OutputStreamWriter(newOutputStream, charset);
        try {
            outputStreamWriter.append(charSequence);
            j.n1.b.closeFinally(outputStreamWriter, null);
        } finally {
        }
    }

    public static /* synthetic */ void writeText$default(Path path, CharSequence charSequence, Charset charset, OpenOption[] openOptionArr, int i2, Object obj) throws IOException {
        if ((i2 & 2) != 0) {
            charset = j.y1.d.UTF_8;
        }
        writeText(path, charSequence, charset, openOptionArr);
    }

    @SinceKotlin(version = "1.5")
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    @InlineOnly
    public static final OutputStreamWriter writer(Path path, Charset charset, OpenOption... openOptionArr) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(openOptionArr, "options");
        return new OutputStreamWriter(Files.newOutputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length)), charset);
    }

    public static /* synthetic */ OutputStreamWriter writer$default(Path path, Charset charset, OpenOption[] openOptionArr, int i2, Object obj) throws IOException {
        if ((i2 & 1) != 0) {
            charset = j.y1.d.UTF_8;
        }
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(openOptionArr, "options");
        return new OutputStreamWriter(Files.newOutputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length)), charset);
    }

    @SinceKotlin(version = "1.5")
    @InlineOnly
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    public static final Path appendLines(Path path, m<? extends CharSequence> mVar, Charset charset) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(mVar, "lines");
        f0.checkNotNullParameter(charset, "charset");
        Path write = Files.write(path, SequencesKt___SequencesKt.asIterable(mVar), charset, StandardOpenOption.APPEND);
        f0.checkNotNullExpressionValue(write, "write(this, lines.asIter…tandardOpenOption.APPEND)");
        return write;
    }

    @SinceKotlin(version = "1.5")
    @InlineOnly
    @WasExperimental(markerClass = {ExperimentalPathApi.class})
    public static final Path writeLines(Path path, m<? extends CharSequence> mVar, Charset charset, OpenOption... openOptionArr) throws IOException {
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(mVar, "lines");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(openOptionArr, "options");
        Path write = Files.write(path, SequencesKt___SequencesKt.asIterable(mVar), charset, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length));
        f0.checkNotNullExpressionValue(write, "write(this, lines.asIterable(), charset, *options)");
        return write;
    }

    public static /* synthetic */ Path appendLines$default(Path path, m mVar, Charset charset, int i2, Object obj) throws IOException {
        if ((i2 & 2) != 0) {
            charset = j.y1.d.UTF_8;
        }
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(mVar, "lines");
        f0.checkNotNullParameter(charset, "charset");
        Path write = Files.write(path, SequencesKt___SequencesKt.asIterable(mVar), charset, StandardOpenOption.APPEND);
        f0.checkNotNullExpressionValue(write, "write(this, lines.asIter…tandardOpenOption.APPEND)");
        return write;
    }

    public static /* synthetic */ Path writeLines$default(Path path, m mVar, Charset charset, OpenOption[] openOptionArr, int i2, Object obj) throws IOException {
        if ((i2 & 2) != 0) {
            charset = j.y1.d.UTF_8;
        }
        f0.checkNotNullParameter(path, "<this>");
        f0.checkNotNullParameter(mVar, "lines");
        f0.checkNotNullParameter(charset, "charset");
        f0.checkNotNullParameter(openOptionArr, "options");
        Path write = Files.write(path, SequencesKt___SequencesKt.asIterable(mVar), charset, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length));
        f0.checkNotNullExpressionValue(write, "write(this, lines.asIterable(), charset, *options)");
        return write;
    }
}
