package joke.library.hermes.internal;

import android.os.Parcel;
import android.os.Parcelable;
import joke.library.hermes.wrapper.MethodWrapper;
import joke.library.hermes.wrapper.ParameterWrapper;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class CallbackMail implements Parcelable {
    public static final Parcelable.Creator<CallbackMail> CREATOR = new Parcelable.Creator<CallbackMail>() { // from class: joke.library.hermes.internal.CallbackMail.1
        @Override // android.os.Parcelable.Creator
        public CallbackMail createFromParcel(Parcel parcel) {
            CallbackMail callbackMail = new CallbackMail();
            callbackMail.readFromParcel(parcel);
            return callbackMail;
        }

        @Override // android.os.Parcelable.Creator
        public CallbackMail[] newArray(int i2) {
            return new CallbackMail[i2];
        }
    };
    public int mIndex;
    public MethodWrapper mMethod;
    public ParameterWrapper[] mParameters;
    public long mTimeStamp;

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public int getIndex() {
        return this.mIndex;
    }

    public MethodWrapper getMethod() {
        return this.mMethod;
    }

    public ParameterWrapper[] getParameters() {
        return this.mParameters;
    }

    public long getTimeStamp() {
        return this.mTimeStamp;
    }

    public void readFromParcel(Parcel parcel) {
        this.mTimeStamp = parcel.readLong();
        this.mIndex = parcel.readInt();
        ClassLoader classLoader = CallbackMail.class.getClassLoader();
        this.mMethod = (MethodWrapper) parcel.readParcelable(classLoader);
        Parcelable[] readParcelableArray = parcel.readParcelableArray(classLoader);
        if (readParcelableArray == null) {
            this.mParameters = null;
            return;
        }
        int length = readParcelableArray.length;
        this.mParameters = new ParameterWrapper[length];
        for (int i2 = 0; i2 < length; i2++) {
            this.mParameters[i2] = (ParameterWrapper) readParcelableArray[i2];
        }
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeLong(this.mTimeStamp);
        parcel.writeInt(this.mIndex);
        parcel.writeParcelable(this.mMethod, i2);
        parcel.writeParcelableArray(this.mParameters, i2);
    }

    public CallbackMail() {
    }

    public CallbackMail(long j2, int i2, MethodWrapper methodWrapper, ParameterWrapper[] parameterWrapperArr) {
        this.mTimeStamp = j2;
        this.mIndex = i2;
        this.mMethod = methodWrapper;
        this.mParameters = parameterWrapperArr;
    }
}
