package joke.library.hermes.internal;

import android.os.RemoteException;
import android.util.Log;
import java.lang.reflect.InvocationHandler;
import java.lang.reflect.Method;
import joke.library.hermes.util.HermesException;
import joke.library.hermes.util.TypeUtils;
import joke.library.hermes.wrapper.MethodWrapper;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class HermesCallbackInvocationHandler implements InvocationHandler {
    public static final String TAG = "HERMES_CALLBACK";
    public IHermesServiceCallback mCallback;
    public int mIndex;
    public long mTimeStamp;

    public HermesCallbackInvocationHandler(long j2, int i2, IHermesServiceCallback iHermesServiceCallback) {
        this.mTimeStamp = j2;
        this.mIndex = i2;
        this.mCallback = iHermesServiceCallback;
    }

    @Override // java.lang.reflect.InvocationHandler
    public Object invoke(Object obj, Method method, Object[] objArr) {
        try {
            Reply callback = this.mCallback.callback(new CallbackMail(this.mTimeStamp, this.mIndex, new MethodWrapper(method), TypeUtils.objectToWrapper(objArr)));
            if (callback == null) {
                return null;
            }
            if (callback.success()) {
                return callback.getResult();
            }
            Log.e(TAG, "Error occurs: " + callback.getMessage());
            return null;
        } catch (RemoteException e2) {
            Log.e(TAG, "Error occurs but does not crash the app.", e2);
            return null;
        } catch (HermesException e3) {
            Log.e(TAG, "Error occurs but does not crash the app.", e3);
            return null;
        }
    }
}
