package joke.library.hermes.internal;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public interface IHermesServiceCallback extends IInterface {

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static abstract class Stub extends Binder implements IHermesServiceCallback {
        public static final String DESCRIPTOR = "xiaofei.library.hermes.internal.IHermesServiceCallback";
        public static final int TRANSACTION_callback = 1;
        public static final int TRANSACTION_gc = 2;

        /* compiled from: AAA */
        /* loaded from: classes3.dex */
        public static class Proxy implements IHermesServiceCallback {
            public IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            @Override // android.os.IInterface
            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // joke.library.hermes.internal.IHermesServiceCallback
            public Reply callback(CallbackMail callbackMail) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (callbackMail != null) {
                        obtain.writeInt(1);
                        callbackMail.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    this.mRemote.transact(1, obtain, obtain2, 0);
                    obtain2.readException();
                    return obtain2.readInt() != 0 ? Reply.CREATOR.createFromParcel(obtain2) : null;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // joke.library.hermes.internal.IHermesServiceCallback
            public void gc(List<Long> list, List<Integer> list2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeList(list);
                    obtain.writeList(list2);
                    this.mRemote.transact(2, obtain, obtain2, 0);
                    obtain2.readException();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IHermesServiceCallback asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface != null && (queryLocalInterface instanceof IHermesServiceCallback)) {
                return (IHermesServiceCallback) queryLocalInterface;
            }
            return new Proxy(iBinder);
        }

        @Override // android.os.IInterface
        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i2, Parcel parcel, Parcel parcel2, int i3) throws RemoteException {
            if (i2 == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                Reply callback = callback(parcel.readInt() != 0 ? CallbackMail.CREATOR.createFromParcel(parcel) : null);
                parcel2.writeNoException();
                if (callback != null) {
                    parcel2.writeInt(1);
                    callback.writeToParcel(parcel2, 1);
                } else {
                    parcel2.writeInt(0);
                }
                return true;
            } else if (i2 != 2) {
                if (i2 != 1598968902) {
                    return super.onTransact(i2, parcel, parcel2, i3);
                }
                parcel2.writeString(DESCRIPTOR);
                return true;
            } else {
                parcel.enforceInterface(DESCRIPTOR);
                ClassLoader classLoader = getClass().getClassLoader();
                gc(parcel.readArrayList(classLoader), parcel.readArrayList(classLoader));
                parcel2.writeNoException();
                return true;
            }
        }
    }

    Reply callback(CallbackMail callbackMail) throws RemoteException;

    void gc(List<Long> list, List<Integer> list2) throws RemoteException;
}
