package joke.library.hermes.internal;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Process;
import joke.library.hermes.wrapper.MethodWrapper;
import joke.library.hermes.wrapper.ObjectWrapper;
import joke.library.hermes.wrapper.ParameterWrapper;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class Mail implements Parcelable {
    public static final Parcelable.Creator<Mail> CREATOR = new Parcelable.Creator<Mail>() { // from class: joke.library.hermes.internal.Mail.1
        @Override // android.os.Parcelable.Creator
        public Mail createFromParcel(Parcel parcel) {
            Mail mail = new Mail();
            mail.readFromParcel(parcel);
            return mail;
        }

        @Override // android.os.Parcelable.Creator
        public Mail[] newArray(int i2) {
            return new Mail[i2];
        }
    };
    public MethodWrapper mMethod;
    public ObjectWrapper mObject;
    public ParameterWrapper[] mParameters;
    public int mPid;
    public long mTimeStamp;

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public MethodWrapper getMethod() {
        return this.mMethod;
    }

    public ObjectWrapper getObject() {
        return this.mObject;
    }

    public ParameterWrapper[] getParameters() {
        return this.mParameters;
    }

    public int getPid() {
        return this.mPid;
    }

    public long getTimeStamp() {
        return this.mTimeStamp;
    }

    public void readFromParcel(Parcel parcel) {
        this.mTimeStamp = parcel.readLong();
        this.mPid = parcel.readInt();
        ClassLoader classLoader = Mail.class.getClassLoader();
        this.mObject = (ObjectWrapper) parcel.readParcelable(classLoader);
        this.mMethod = (MethodWrapper) parcel.readParcelable(classLoader);
        Parcelable[] readParcelableArray = parcel.readParcelableArray(classLoader);
        if (readParcelableArray == null) {
            this.mParameters = null;
            return;
        }
        int length = readParcelableArray.length;
        this.mParameters = new ParameterWrapper[length];
        for (int i2 = 0; i2 < length; i2++) {
            this.mParameters[i2] = (ParameterWrapper) readParcelableArray[i2];
        }
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeLong(this.mTimeStamp);
        parcel.writeInt(this.mPid);
        parcel.writeParcelable(this.mObject, i2);
        parcel.writeParcelable(this.mMethod, i2);
        parcel.writeParcelableArray(this.mParameters, i2);
    }

    public Mail() {
    }

    public Mail(long j2, ObjectWrapper objectWrapper, MethodWrapper methodWrapper, ParameterWrapper[] parameterWrapperArr) {
        this.mTimeStamp = j2;
        this.mPid = Process.myPid();
        this.mObject = objectWrapper;
        this.mMethod = methodWrapper;
        this.mParameters = parameterWrapperArr;
    }
}
