package joke.library.hermes.internal;

import android.os.Parcel;
import android.os.Parcelable;
import joke.library.hermes.util.CodeUtils;
import joke.library.hermes.util.HermesException;
import joke.library.hermes.util.TypeCenter;
import joke.library.hermes.wrapper.ParameterWrapper;
import joke.library.hermes.wrapper.TypeWrapper;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class Reply implements Parcelable {
    public TypeWrapper mClass;
    public int mErrorCode;
    public String mErrorMessage;
    public Object mResult;
    public static final TypeCenter TYPE_CENTER = TypeCenter.getInstance();
    public static final Parcelable.Creator<Reply> CREATOR = new Parcelable.Creator<Reply>() { // from class: joke.library.hermes.internal.Reply.1
        @Override // android.os.Parcelable.Creator
        public Reply createFromParcel(Parcel parcel) {
            Reply reply = new Reply();
            reply.readFromParcel(parcel);
            return reply;
        }

        @Override // android.os.Parcelable.Creator
        public Reply[] newArray(int i2) {
            return new Reply[i2];
        }
    };

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public int getErrorCode() {
        return this.mErrorCode;
    }

    public String getMessage() {
        return this.mErrorMessage;
    }

    public Object getResult() {
        return this.mResult;
    }

    public void readFromParcel(Parcel parcel) {
        this.mErrorCode = parcel.readInt();
        ClassLoader classLoader = Reply.class.getClassLoader();
        this.mErrorMessage = parcel.readString();
        TypeWrapper typeWrapper = (TypeWrapper) parcel.readParcelable(classLoader);
        this.mClass = typeWrapper;
        try {
            this.mResult = CodeUtils.decode(parcel.readString(), TYPE_CENTER.getClassType(typeWrapper));
        } catch (Exception unused) {
        }
    }

    public boolean success() {
        return this.mErrorCode == 0;
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.mErrorCode);
        parcel.writeString(this.mErrorMessage);
        parcel.writeParcelable(this.mClass, i2);
        try {
            parcel.writeString(CodeUtils.encode(this.mResult));
        } catch (HermesException e2) {
            e2.printStackTrace();
        }
    }

    public Reply() {
    }

    public Reply(ParameterWrapper parameterWrapper) {
        try {
            Class<?> classType = TYPE_CENTER.getClassType(parameterWrapper);
            this.mResult = CodeUtils.decode(parameterWrapper.getData(), classType);
            this.mErrorCode = 0;
            this.mErrorMessage = null;
            this.mClass = new TypeWrapper(classType);
        } catch (HermesException e2) {
            e2.printStackTrace();
            this.mErrorCode = e2.getErrorCode();
            this.mErrorMessage = e2.getMessage();
            this.mResult = null;
            this.mClass = null;
        }
    }

    public Reply(int i2, String str) {
        this.mErrorCode = i2;
        this.mErrorMessage = str;
        this.mResult = null;
        this.mClass = null;
    }
}
