package joke.library.hermes.receiver;

import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import joke.library.hermes.util.HermesException;
import joke.library.hermes.util.TypeUtils;
import joke.library.hermes.wrapper.MethodWrapper;
import joke.library.hermes.wrapper.ObjectWrapper;
import joke.library.hermes.wrapper.ParameterWrapper;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class InstanceCreatingReceiver extends Receiver {
    public Constructor<?> mConstructor;
    public Class<?> mObjectClass;

    public InstanceCreatingReceiver(ObjectWrapper objectWrapper) throws HermesException {
        super(objectWrapper);
        Class<?> classType = Receiver.TYPE_CENTER.getClassType(objectWrapper);
        TypeUtils.validateAccessible(classType);
        this.mObjectClass = classType;
    }

    @Override // joke.library.hermes.receiver.Receiver
    public Object invokeMethod() throws HermesException {
        Object newInstance;
        try {
            Object[] parameters = getParameters();
            if (parameters == null) {
                newInstance = this.mConstructor.newInstance(new Object[0]);
            } else {
                newInstance = this.mConstructor.newInstance(parameters);
            }
            Receiver.OBJECT_CENTER.putObject(getObjectTimeStamp(), newInstance);
            return null;
        } catch (IllegalAccessException | InstantiationException | InvocationTargetException e2) {
            e2.printStackTrace();
            throw new HermesException(18, "Error occurs when invoking constructor to create an instance of " + this.mObjectClass.getName(), e2);
        }
    }

    @Override // joke.library.hermes.receiver.Receiver
    public void setMethod(MethodWrapper methodWrapper, ParameterWrapper[] parameterWrapperArr) throws HermesException {
        Constructor<?> constructor = TypeUtils.getConstructor(this.mObjectClass, Receiver.TYPE_CENTER.getClassTypes(parameterWrapperArr));
        TypeUtils.validateAccessible(constructor);
        this.mConstructor = constructor;
    }
}
