package joke.library.hermes.receiver;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import joke.library.hermes.util.HermesException;
import joke.library.hermes.util.TypeUtils;
import joke.library.hermes.wrapper.MethodWrapper;
import joke.library.hermes.wrapper.ObjectWrapper;
import joke.library.hermes.wrapper.ParameterWrapper;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class ObjectReceiver extends Receiver {
    public Method mMethod;
    public Object mObject;

    public ObjectReceiver(ObjectWrapper objectWrapper) {
        super(objectWrapper);
        this.mObject = Receiver.OBJECT_CENTER.getObject(Long.valueOf(getObjectTimeStamp()));
    }

    @Override // joke.library.hermes.receiver.Receiver
    public Object invokeMethod() throws HermesException {
        try {
            return this.mMethod.invoke(this.mObject, getParameters());
        } catch (IllegalAccessException | InvocationTargetException e2) {
            e2.printStackTrace();
            throw new HermesException(18, "Error occurs when invoking method " + this.mMethod + " on " + this.mObject, e2);
        }
    }

    @Override // joke.library.hermes.receiver.Receiver
    public void setMethod(MethodWrapper methodWrapper, ParameterWrapper[] parameterWrapperArr) throws HermesException {
        Method method = Receiver.TYPE_CENTER.getMethod(this.mObject.getClass(), methodWrapper);
        TypeUtils.validateAccessible(method);
        this.mMethod = method;
    }
}
