package joke.library.hermes.receiver;

import e.b.a.a.f.b;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import joke.library.hermes.util.HermesException;
import joke.library.hermes.util.TypeUtils;
import joke.library.hermes.wrapper.MethodWrapper;
import joke.library.hermes.wrapper.ObjectWrapper;
import joke.library.hermes.wrapper.ParameterWrapper;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class UtilityReceiver extends Receiver {
    public Class<?> mClass;
    public Method mMethod;

    public UtilityReceiver(ObjectWrapper objectWrapper) throws HermesException {
        super(objectWrapper);
        Class<?> classType = Receiver.TYPE_CENTER.getClassType(objectWrapper);
        TypeUtils.validateAccessible(classType);
        this.mClass = classType;
    }

    @Override // joke.library.hermes.receiver.Receiver
    public Object invokeMethod() throws HermesException {
        try {
            return this.mMethod.invoke(null, getParameters());
        } catch (IllegalAccessException | InvocationTargetException e2) {
            e2.printStackTrace();
            throw new HermesException(18, "Error occurs when invoking method " + this.mMethod + b.DOT, e2);
        }
    }

    @Override // joke.library.hermes.receiver.Receiver
    public void setMethod(MethodWrapper methodWrapper, ParameterWrapper[] parameterWrapperArr) throws HermesException {
        Method method = Receiver.TYPE_CENTER.getMethod(this.mClass, methodWrapper);
        if (Modifier.isStatic(method.getModifiers())) {
            TypeUtils.validateAccessible(method);
            this.mMethod = method;
            return;
        }
        throw new HermesException(5, "Only static methods can be invoked on the utility class " + this.mClass.getName() + ". Please modify the method: " + this.mMethod);
    }
}
