package joke.library.hermes.util;

import android.os.RemoteException;
import androidx.core.util.Pair;
import java.lang.ref.PhantomReference;
import java.lang.ref.ReferenceQueue;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import joke.library.hermes.internal.IHermesServiceCallback;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class HermesCallbackGc {
    public static volatile HermesCallbackGc sInstance;
    public final ReferenceQueue<Object> mReferenceQueue = new ReferenceQueue<>();
    public final ConcurrentHashMap<PhantomReference<Object>, Triple<IHermesServiceCallback, Long, Integer>> mTimeStamps = new ConcurrentHashMap<>();

    private void gc() {
        synchronized (this.mReferenceQueue) {
            HashMap hashMap = new HashMap();
            while (true) {
                PhantomReference phantomReference = (PhantomReference) this.mReferenceQueue.poll();
                if (phantomReference == null) {
                    break;
                }
                Triple<IHermesServiceCallback, Long, Integer> remove = this.mTimeStamps.remove(phantomReference);
                if (remove != null) {
                    Pair pair = (Pair) hashMap.get(remove.first);
                    if (pair == null) {
                        pair = new Pair(new ArrayList(), new ArrayList());
                        hashMap.put(remove.first, pair);
                    }
                    ((ArrayList) pair.first).add(remove.second);
                    ((ArrayList) pair.second).add(remove.third);
                }
            }
            for (Map.Entry entry : hashMap.entrySet()) {
                Pair pair2 = (Pair) entry.getValue();
                if (!((ArrayList) pair2.first).isEmpty()) {
                    try {
                        ((IHermesServiceCallback) entry.getKey()).gc((List) pair2.first, (List) pair2.second);
                    } catch (RemoteException e2) {
                        e2.printStackTrace();
                    }
                }
            }
        }
    }

    public static HermesCallbackGc getInstance() {
        if (sInstance == null) {
            synchronized (HermesCallbackGc.class) {
                if (sInstance == null) {
                    sInstance = new HermesCallbackGc();
                }
            }
        }
        return sInstance;
    }

    public void register(IHermesServiceCallback iHermesServiceCallback, Object obj, long j2, int i2) {
        gc();
        this.mTimeStamps.put(new PhantomReference<>(obj, this.mReferenceQueue), Triple.create(iHermesServiceCallback, Long.valueOf(j2), Integer.valueOf(i2)));
    }
}
