package joke.library.hermes.util;

import java.lang.ref.PhantomReference;
import java.lang.ref.ReferenceQueue;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import joke.library.hermes.HermesService;
import joke.library.hermes.internal.Channel;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class HermesGc {
    public static final Channel CHANNEL = Channel.getInstance();
    public static volatile HermesGc sInstance;
    public final ReferenceQueue<Object> mReferenceQueue = new ReferenceQueue<>();
    public final ConcurrentHashMap<PhantomReference<Object>, Long> mTimeStamps = new ConcurrentHashMap<>();
    public final ConcurrentHashMap<Long, Class<? extends HermesService>> mServices = new ConcurrentHashMap<>();

    private void gc() {
        Class<? extends HermesService> remove;
        synchronized (this.mReferenceQueue) {
            HashMap hashMap = new HashMap();
            while (true) {
                PhantomReference phantomReference = (PhantomReference) this.mReferenceQueue.poll();
                if (phantomReference == null) {
                    break;
                }
                Long remove2 = this.mTimeStamps.remove(phantomReference);
                if (remove2 != null && (remove = this.mServices.remove(remove2)) != null) {
                    ArrayList arrayList = (ArrayList) hashMap.get(remove);
                    if (arrayList == null) {
                        arrayList = new ArrayList();
                        hashMap.put(remove, arrayList);
                    }
                    arrayList.add(remove2);
                }
            }
            for (Map.Entry entry : hashMap.entrySet()) {
                ArrayList arrayList2 = (ArrayList) entry.getValue();
                if (!arrayList2.isEmpty()) {
                    CHANNEL.gc((Class) entry.getKey(), arrayList2);
                }
            }
        }
    }

    public static HermesGc getInstance() {
        if (sInstance == null) {
            synchronized (HermesGc.class) {
                if (sInstance == null) {
                    sInstance = new HermesGc();
                }
            }
        }
        return sInstance;
    }

    public void register(Class<? extends HermesService> cls, Object obj, Long l2) {
        gc();
        this.mTimeStamps.put(new PhantomReference<>(obj, this.mReferenceQueue), l2);
        this.mServices.put(l2, cls);
    }
}
