package joke.library.hermes.util;

import android.util.Log;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class ObjectCenter {
    public static final String TAG = "ObjectCenter";
    public static volatile ObjectCenter sInstance;
    public final ConcurrentHashMap<Long, Object> mObjects = new ConcurrentHashMap<>();

    public static ObjectCenter getInstance() {
        if (sInstance == null) {
            synchronized (ObjectCenter.class) {
                if (sInstance == null) {
                    sInstance = new ObjectCenter();
                }
            }
        }
        return sInstance;
    }

    public void deleteObjects(List<Long> list) {
        for (Long l2 : list) {
            if (this.mObjects.remove(l2) == null) {
                Log.e(TAG, "An error occurs in the GC.");
            }
        }
    }

    public Object getObject(Long l2) {
        return this.mObjects.get(l2);
    }

    public void putObject(long j2, Object obj) {
        this.mObjects.put(Long.valueOf(j2), obj);
    }
}
