package joke.library.hermes.wrapper;

import android.os.Parcel;
import android.os.Parcelable;
import joke.library.hermes.annotation.ClassId;
import joke.library.hermes.util.TimeStampGenerator;
import joke.library.hermes.util.TypeUtils;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class ObjectWrapper extends BaseWrapper implements Parcelable {
    public static final Parcelable.Creator<ObjectWrapper> CREATOR = new Parcelable.Creator<ObjectWrapper>() { // from class: joke.library.hermes.wrapper.ObjectWrapper.1
        @Override // android.os.Parcelable.Creator
        public ObjectWrapper createFromParcel(Parcel parcel) {
            ObjectWrapper objectWrapper = new ObjectWrapper();
            objectWrapper.readFromParcel(parcel);
            return objectWrapper;
        }

        @Override // android.os.Parcelable.Creator
        public ObjectWrapper[] newArray(int i2) {
            return new ObjectWrapper[i2];
        }
    };
    public static final int TYPE_CLASS = 4;
    public static final int TYPE_CLASS_TO_GET = 5;
    public static final int TYPE_OBJECT = 3;
    public static final int TYPE_OBJECT_TO_GET = 1;
    public static final int TYPE_OBJECT_TO_NEW = 0;
    public Class<?> mClass;
    public long mTimeStamp;
    public int mType;

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public Class<?> getObjectClass() {
        return this.mClass;
    }

    public long getTimeStamp() {
        return this.mTimeStamp;
    }

    public int getType() {
        return this.mType;
    }

    @Override // joke.library.hermes.wrapper.BaseWrapper
    public void readFromParcel(Parcel parcel) {
        super.readFromParcel(parcel);
        this.mTimeStamp = parcel.readLong();
        this.mType = parcel.readInt();
    }

    public void setType(int i2) {
        this.mType = i2;
    }

    @Override // joke.library.hermes.wrapper.BaseWrapper, android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        super.writeToParcel(parcel, i2);
        parcel.writeLong(this.mTimeStamp);
        parcel.writeInt(this.mType);
    }

    public ObjectWrapper() {
    }

    public ObjectWrapper(Class<?> cls, int i2) {
        setName(!cls.isAnnotationPresent(ClassId.class), TypeUtils.getClassId(cls));
        this.mClass = cls;
        this.mTimeStamp = TimeStampGenerator.getTimeStamp();
        this.mType = i2;
    }
}
