package k.a.q3;

import j.d1;
import java.util.concurrent.locks.ReentrantLock;
import k.a.q0;
import k.a.q3.b;
import k.a.t3.i0;
import kotlin.NoWhenBranchMatchedException;
import kotlinx.coroutines.channels.AbstractChannel;
import kotlinx.coroutines.channels.BufferOverflow;
import kotlinx.coroutines.internal.OnUndeliveredElementKt;
import kotlinx.coroutines.internal.UndeliveredElementException;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class h<E> extends AbstractChannel<E> {
    public Object[] buffer;
    public final int capacity;
    public int head;
    public final ReentrantLock lock;
    public final BufferOverflow onBufferOverflow;
    public volatile /* synthetic */ int size;

    public h(int i2, @NotNull BufferOverflow bufferOverflow, @Nullable j.p1.b.l<? super E, d1> lVar) {
        super(lVar);
        this.capacity = i2;
        this.onBufferOverflow = bufferOverflow;
        if (i2 >= 1) {
            this.lock = new ReentrantLock();
            Object[] objArr = new Object[Math.min(this.capacity, 8)];
            j.g1.m.fill$default(objArr, a.EMPTY, 0, 0, 6, (Object) null);
            d1 d1Var = d1.INSTANCE;
            this.buffer = objArr;
            this.size = 0;
            return;
        }
        throw new IllegalArgumentException(("ArrayChannel capacity must be at least 1, but " + this.capacity + " was specified").toString());
    }

    private final void enqueueElement(int i2, E e2) {
        if (i2 < this.capacity) {
            ensureCapacity(i2);
            Object[] objArr = this.buffer;
            objArr[(this.head + i2) % objArr.length] = e2;
            return;
        }
        if (q0.getASSERTIONS_ENABLED()) {
            if (!(this.onBufferOverflow == BufferOverflow.DROP_OLDEST)) {
                throw new AssertionError();
            }
        }
        Object[] objArr2 = this.buffer;
        int i3 = this.head;
        objArr2[i3 % objArr2.length] = null;
        objArr2[(i2 + i3) % objArr2.length] = e2;
        this.head = (i3 + 1) % objArr2.length;
    }

    private final void ensureCapacity(int i2) {
        Object[] objArr = this.buffer;
        if (i2 >= objArr.length) {
            int min = Math.min(objArr.length * 2, this.capacity);
            Object[] objArr2 = new Object[min];
            for (int i3 = 0; i3 < i2; i3++) {
                Object[] objArr3 = this.buffer;
                objArr2[i3] = objArr3[(this.head + i3) % objArr3.length];
            }
            j.g1.m.fill((i0[]) objArr2, a.EMPTY, i2, min);
            this.buffer = objArr2;
            this.head = 0;
        }
    }

    private final i0 updateBufferSize(int i2) {
        if (i2 < this.capacity) {
            this.size = i2 + 1;
            return null;
        }
        int i3 = g.$EnumSwitchMapping$0[this.onBufferOverflow.ordinal()];
        if (i3 != 1) {
            if (i3 != 2) {
                if (i3 == 3) {
                    return null;
                }
                throw new NoWhenBranchMatchedException();
            }
            return a.OFFER_SUCCESS;
        }
        return a.OFFER_FAILED;
    }

    @Override // kotlinx.coroutines.channels.AbstractChannel
    public boolean enqueueReceiveInternal(@NotNull x<? super E> xVar) {
        ReentrantLock reentrantLock = this.lock;
        reentrantLock.lock();
        try {
            return super.enqueueReceiveInternal(xVar);
        } finally {
            reentrantLock.unlock();
        }
    }

    @Override // k.a.q3.b
    @Nullable
    public Object enqueueSend(@NotNull b0 b0Var) {
        ReentrantLock reentrantLock = this.lock;
        reentrantLock.lock();
        try {
            return super.enqueueSend(b0Var);
        } finally {
            reentrantLock.unlock();
        }
    }

    @Override // k.a.q3.b
    @NotNull
    public String getBufferDebugString() {
        return "(buffer:capacity=" + this.capacity + ",size=" + this.size + ')';
    }

    @Override // kotlinx.coroutines.channels.AbstractChannel
    public final boolean isBufferAlwaysEmpty() {
        return false;
    }

    @Override // k.a.q3.b
    public final boolean isBufferAlwaysFull() {
        return false;
    }

    @Override // kotlinx.coroutines.channels.AbstractChannel
    public final boolean isBufferEmpty() {
        return this.size == 0;
    }

    @Override // k.a.q3.b
    public final boolean isBufferFull() {
        return this.size == this.capacity && this.onBufferOverflow == BufferOverflow.SUSPEND;
    }

    @Override // kotlinx.coroutines.channels.AbstractChannel, k.a.q3.y
    public boolean isClosedForReceive() {
        ReentrantLock reentrantLock = this.lock;
        reentrantLock.lock();
        try {
            return super.isClosedForReceive();
        } finally {
            reentrantLock.unlock();
        }
    }

    @Override // kotlinx.coroutines.channels.AbstractChannel, k.a.q3.y
    public boolean isEmpty() {
        ReentrantLock reentrantLock = this.lock;
        reentrantLock.lock();
        try {
            return isEmptyImpl();
        } finally {
            reentrantLock.unlock();
        }
    }

    @Override // k.a.q3.b, k.a.q3.c0
    public boolean isFull() {
        ReentrantLock reentrantLock = this.lock;
        reentrantLock.lock();
        try {
            return isFullImpl();
        } finally {
            reentrantLock.unlock();
        }
    }

    @Override // k.a.q3.b
    @NotNull
    public Object offerInternal(E e2) {
        z<E> takeFirstReceiveOrPeekClosed;
        i0 tryResumeReceive;
        ReentrantLock reentrantLock = this.lock;
        reentrantLock.lock();
        try {
            int i2 = this.size;
            p<?> closedForSend = getClosedForSend();
            if (closedForSend != null) {
                return closedForSend;
            }
            i0 updateBufferSize = updateBufferSize(i2);
            if (updateBufferSize != null) {
                return updateBufferSize;
            }
            if (i2 == 0) {
                do {
                    takeFirstReceiveOrPeekClosed = takeFirstReceiveOrPeekClosed();
                    if (takeFirstReceiveOrPeekClosed != null) {
                        if (takeFirstReceiveOrPeekClosed instanceof p) {
                            this.size = i2;
                            j.p1.c.f0.checkNotNull(takeFirstReceiveOrPeekClosed);
                            return takeFirstReceiveOrPeekClosed;
                        }
                        j.p1.c.f0.checkNotNull(takeFirstReceiveOrPeekClosed);
                        tryResumeReceive = takeFirstReceiveOrPeekClosed.tryResumeReceive(e2, null);
                    }
                } while (tryResumeReceive == null);
                if (q0.getASSERTIONS_ENABLED()) {
                    if (!(tryResumeReceive == k.a.p.RESUME_TOKEN)) {
                        throw new AssertionError();
                    }
                }
                this.size = i2;
                d1 d1Var = d1.INSTANCE;
                reentrantLock.unlock();
                j.p1.c.f0.checkNotNull(takeFirstReceiveOrPeekClosed);
                takeFirstReceiveOrPeekClosed.completeResumeReceive(e2);
                j.p1.c.f0.checkNotNull(takeFirstReceiveOrPeekClosed);
                return takeFirstReceiveOrPeekClosed.getOfferResult();
            }
            enqueueElement(i2, e2);
            return a.OFFER_SUCCESS;
        } finally {
            reentrantLock.unlock();
        }
    }

    @Override // k.a.q3.b
    @NotNull
    public Object offerSelectInternal(E e2, @NotNull k.a.w3.f<?> fVar) {
        ReentrantLock reentrantLock = this.lock;
        reentrantLock.lock();
        try {
            int i2 = this.size;
            p<?> closedForSend = getClosedForSend();
            if (closedForSend != null) {
                return closedForSend;
            }
            i0 updateBufferSize = updateBufferSize(i2);
            if (updateBufferSize != null) {
                return updateBufferSize;
            }
            if (i2 == 0) {
                while (true) {
                    b.d<E> describeTryOffer = describeTryOffer(e2);
                    Object performAtomicTrySelect = fVar.performAtomicTrySelect(describeTryOffer);
                    if (performAtomicTrySelect == null) {
                        this.size = i2;
                        z<? super E> result = describeTryOffer.getResult();
                        d1 d1Var = d1.INSTANCE;
                        reentrantLock.unlock();
                        j.p1.c.f0.checkNotNull(result);
                        result.completeResumeReceive(e2);
                        j.p1.c.f0.checkNotNull(result);
                        return result.getOfferResult();
                    } else if (performAtomicTrySelect == a.OFFER_FAILED) {
                        break;
                    } else if (performAtomicTrySelect != k.a.t3.c.RETRY_ATOMIC) {
                        if (performAtomicTrySelect != k.a.w3.g.getALREADY_SELECTED() && !(performAtomicTrySelect instanceof p)) {
                            throw new IllegalStateException(("performAtomicTrySelect(describeTryOffer) returned " + performAtomicTrySelect).toString());
                        }
                        this.size = i2;
                        return performAtomicTrySelect;
                    }
                }
            }
            if (!fVar.trySelect()) {
                this.size = i2;
                return k.a.w3.g.getALREADY_SELECTED();
            }
            enqueueElement(i2, e2);
            return a.OFFER_SUCCESS;
        } finally {
            reentrantLock.unlock();
        }
    }

    @Override // kotlinx.coroutines.channels.AbstractChannel
    public void onCancelIdempotent(boolean z) {
        j.p1.b.l<E, d1> lVar = this.onUndeliveredElement;
        ReentrantLock reentrantLock = this.lock;
        reentrantLock.lock();
        try {
            int i2 = this.size;
            UndeliveredElementException undeliveredElementException = null;
            for (int i3 = 0; i3 < i2; i3++) {
                Object obj = this.buffer[this.head];
                if (lVar != null && obj != a.EMPTY) {
                    undeliveredElementException = OnUndeliveredElementKt.callUndeliveredElementCatchingException(lVar, obj, undeliveredElementException);
                }
                this.buffer[this.head] = a.EMPTY;
                this.head = (this.head + 1) % this.buffer.length;
            }
            this.size = 0;
            d1 d1Var = d1.INSTANCE;
            reentrantLock.unlock();
            super.onCancelIdempotent(z);
            if (undeliveredElementException != null) {
                throw undeliveredElementException;
            }
        } catch (Throwable th) {
            reentrantLock.unlock();
            throw th;
        }
    }

    @Override // kotlinx.coroutines.channels.AbstractChannel
    @Nullable
    public Object pollInternal() {
        ReentrantLock reentrantLock = this.lock;
        reentrantLock.lock();
        try {
            int i2 = this.size;
            if (i2 == 0) {
                Object closedForSend = getClosedForSend();
                if (closedForSend == null) {
                    closedForSend = a.POLL_FAILED;
                }
                return closedForSend;
            }
            Object obj = this.buffer[this.head];
            b0 b0Var = null;
            this.buffer[this.head] = null;
            this.size = i2 - 1;
            Object obj2 = a.POLL_FAILED;
            if (i2 == this.capacity) {
                b0 b0Var2 = null;
                while (true) {
                    b0 takeFirstSendOrPeekClosed = takeFirstSendOrPeekClosed();
                    if (takeFirstSendOrPeekClosed == null) {
                        b0Var = b0Var2;
                        break;
                    }
                    j.p1.c.f0.checkNotNull(takeFirstSendOrPeekClosed);
                    i0 tryResumeSend = takeFirstSendOrPeekClosed.tryResumeSend(null);
                    if (tryResumeSend != null) {
                        if (q0.getASSERTIONS_ENABLED()) {
                            if (!(tryResumeSend == k.a.p.RESUME_TOKEN)) {
                                throw new AssertionError();
                            }
                        }
                        j.p1.c.f0.checkNotNull(takeFirstSendOrPeekClosed);
                        obj2 = takeFirstSendOrPeekClosed.getPollResult();
                        b0Var = takeFirstSendOrPeekClosed;
                        r6 = true;
                    } else {
                        j.p1.c.f0.checkNotNull(takeFirstSendOrPeekClosed);
                        takeFirstSendOrPeekClosed.undeliveredElement();
                        b0Var2 = takeFirstSendOrPeekClosed;
                    }
                }
            }
            if (obj2 != a.POLL_FAILED && !(obj2 instanceof p)) {
                this.size = i2;
                this.buffer[(this.head + i2) % this.buffer.length] = obj2;
            }
            this.head = (this.head + 1) % this.buffer.length;
            d1 d1Var = d1.INSTANCE;
            if (r6) {
                j.p1.c.f0.checkNotNull(b0Var);
                b0Var.completeResumeSend();
            }
            return obj;
        } finally {
            reentrantLock.unlock();
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:41:0x00a5 A[Catch: all -> 0x00cc, TRY_LEAVE, TryCatch #0 {all -> 0x00cc, blocks: (B:3:0x0005, B:5:0x0009, B:8:0x0010, B:11:0x0016, B:13:0x002e, B:15:0x0038, B:34:0x0089, B:36:0x008d, B:38:0x0091, B:44:0x00b5, B:39:0x009f, B:41:0x00a5, B:17:0x0048, B:20:0x004d, B:23:0x0052, B:25:0x0058, B:28:0x0064, B:30:0x0068, B:31:0x006d, B:32:0x0087), top: B:53:0x0005 }] */
    /* JADX WARN: Removed duplicated region for block: B:47:0x00c5  */
    @Override // kotlinx.coroutines.channels.AbstractChannel
    @Nullable
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public Object pollSelectInternal(@NotNull k.a.w3.f<?> fVar) {
        boolean z;
        ReentrantLock reentrantLock = this.lock;
        reentrantLock.lock();
        try {
            int i2 = this.size;
            if (i2 == 0) {
                Object closedForSend = getClosedForSend();
                if (closedForSend == null) {
                    closedForSend = a.POLL_FAILED;
                }
                return closedForSend;
            }
            Object obj = this.buffer[this.head];
            b0 b0Var = null;
            this.buffer[this.head] = null;
            this.size = i2 - 1;
            i0 i0Var = a.POLL_FAILED;
            if (i2 == this.capacity) {
                while (true) {
                    AbstractChannel.g<E> describeTryPoll = describeTryPoll();
                    Object performAtomicTrySelect = fVar.performAtomicTrySelect(describeTryPoll);
                    if (performAtomicTrySelect == null) {
                        b0Var = describeTryPoll.getResult();
                        j.p1.c.f0.checkNotNull(b0Var);
                        i0Var = b0Var.getPollResult();
                        break;
                    } else if (performAtomicTrySelect == a.POLL_FAILED) {
                        break;
                    } else if (performAtomicTrySelect != k.a.t3.c.RETRY_ATOMIC) {
                        if (performAtomicTrySelect == k.a.w3.g.getALREADY_SELECTED()) {
                            this.size = i2;
                            this.buffer[this.head] = obj;
                            return performAtomicTrySelect;
                        } else if (performAtomicTrySelect instanceof p) {
                            b0Var = (b0) performAtomicTrySelect;
                            i0Var = performAtomicTrySelect;
                        } else {
                            throw new IllegalStateException(("performAtomicTrySelect(describeTryOffer) returned " + performAtomicTrySelect).toString());
                        }
                    }
                }
                z = true;
                if (i0Var == a.POLL_FAILED && !(i0Var instanceof p)) {
                    this.size = i2;
                    this.buffer[(this.head + i2) % this.buffer.length] = i0Var;
                } else if (!fVar.trySelect()) {
                    this.size = i2;
                    this.buffer[this.head] = obj;
                    return k.a.w3.g.getALREADY_SELECTED();
                }
                this.head = (this.head + 1) % this.buffer.length;
                d1 d1Var = d1.INSTANCE;
                if (z) {
                    j.p1.c.f0.checkNotNull(b0Var);
                    b0Var.completeResumeSend();
                }
                return obj;
            }
            z = false;
            if (i0Var == a.POLL_FAILED) {
            }
            if (!fVar.trySelect()) {
            }
            this.head = (this.head + 1) % this.buffer.length;
            d1 d1Var2 = d1.INSTANCE;
            if (z) {
            }
            return obj;
        } finally {
            reentrantLock.unlock();
        }
    }
}
