package l.a.a.a;

import android.util.SparseArray;
import android.util.SparseBooleanArray;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class c {
    public int mCurrentIndex;
    public int mLastIndex;
    public float mLastPositionOffsetSum;
    public a mNavigatorScrollListener;
    public int mScrollState;
    public boolean mSkimOver;
    public int mTotalCount;
    public SparseBooleanArray mDeselectedItems = new SparseBooleanArray();
    public SparseArray<Float> mLeavedPercents = new SparseArray<>();

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public interface a {
        void onDeselected(int i2, int i3);

        void onEnter(int i2, int i3, float f2, boolean z);

        void onLeave(int i2, int i3, float f2, boolean z);

        void onSelected(int i2, int i3);
    }

    private void dispatchOnDeselected(int i2) {
        a aVar = this.mNavigatorScrollListener;
        if (aVar != null) {
            aVar.onDeselected(i2, this.mTotalCount);
        }
        this.mDeselectedItems.put(i2, true);
    }

    private void dispatchOnEnter(int i2, float f2, boolean z, boolean z2) {
        if (this.mSkimOver || i2 == this.mCurrentIndex || this.mScrollState == 1 || z2) {
            a aVar = this.mNavigatorScrollListener;
            if (aVar != null) {
                aVar.onEnter(i2, this.mTotalCount, f2, z);
            }
            this.mLeavedPercents.put(i2, Float.valueOf(1.0f - f2));
        }
    }

    private void dispatchOnLeave(int i2, float f2, boolean z, boolean z2) {
        if (!this.mSkimOver && i2 != this.mLastIndex && this.mScrollState != 1) {
            int i3 = this.mCurrentIndex;
            if (((i2 != i3 - 1 && i2 != i3 + 1) || this.mLeavedPercents.get(i2, Float.valueOf(0.0f)).floatValue() == 1.0f) && !z2) {
                return;
            }
        }
        a aVar = this.mNavigatorScrollListener;
        if (aVar != null) {
            aVar.onLeave(i2, this.mTotalCount, f2, z);
        }
        this.mLeavedPercents.put(i2, Float.valueOf(f2));
    }

    private void dispatchOnSelected(int i2) {
        a aVar = this.mNavigatorScrollListener;
        if (aVar != null) {
            aVar.onSelected(i2, this.mTotalCount);
        }
        this.mDeselectedItems.put(i2, false);
    }

    public int getCurrentIndex() {
        return this.mCurrentIndex;
    }

    public int getScrollState() {
        return this.mScrollState;
    }

    public int getTotalCount() {
        return this.mTotalCount;
    }

    public void onPageScrollStateChanged(int i2) {
        this.mScrollState = i2;
    }

    public void onPageScrolled(int i2, float f2, int i3) {
        boolean z;
        float f3 = i2 + f2;
        boolean z2 = this.mLastPositionOffsetSum <= f3;
        if (this.mScrollState != 0) {
            if (f3 == this.mLastPositionOffsetSum) {
                return;
            }
            int i4 = i2 + 1;
            if (f2 == 0.0f && z2) {
                i4 = i2 - 1;
                z = false;
            } else {
                z = true;
            }
            for (int i5 = 0; i5 < this.mTotalCount; i5++) {
                if (i5 != i2 && i5 != i4 && this.mLeavedPercents.get(i5, Float.valueOf(0.0f)).floatValue() != 1.0f) {
                    dispatchOnLeave(i5, 1.0f, z2, true);
                }
            }
            if (!z) {
                float f4 = 1.0f - f2;
                dispatchOnLeave(i4, f4, true, false);
                dispatchOnEnter(i2, f4, true, false);
            } else if (z2) {
                dispatchOnLeave(i2, f2, true, false);
                dispatchOnEnter(i4, f2, true, false);
            } else {
                float f5 = 1.0f - f2;
                dispatchOnLeave(i4, f5, false, false);
                dispatchOnEnter(i2, f5, false, false);
            }
        } else {
            for (int i6 = 0; i6 < this.mTotalCount; i6++) {
                if (i6 != this.mCurrentIndex) {
                    if (!this.mDeselectedItems.get(i6)) {
                        dispatchOnDeselected(i6);
                    }
                    if (this.mLeavedPercents.get(i6, Float.valueOf(0.0f)).floatValue() != 1.0f) {
                        dispatchOnLeave(i6, 1.0f, false, true);
                    }
                }
            }
            dispatchOnEnter(this.mCurrentIndex, 1.0f, false, true);
            dispatchOnSelected(this.mCurrentIndex);
        }
        this.mLastPositionOffsetSum = f3;
    }

    public void onPageSelected(int i2) {
        this.mLastIndex = this.mCurrentIndex;
        this.mCurrentIndex = i2;
        dispatchOnSelected(i2);
        for (int i3 = 0; i3 < this.mTotalCount; i3++) {
            if (i3 != this.mCurrentIndex && !this.mDeselectedItems.get(i3)) {
                dispatchOnDeselected(i3);
            }
        }
    }

    public void setNavigatorScrollListener(a aVar) {
        this.mNavigatorScrollListener = aVar;
    }

    public void setSkimOver(boolean z) {
        this.mSkimOver = z;
    }

    public void setTotalCount(int i2) {
        this.mTotalCount = i2;
        this.mDeselectedItems.clear();
        this.mLeavedPercents.clear();
    }
}
