package l.a.a.a.g.c;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PointF;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.animation.Interpolator;
import android.view.animation.LinearInterpolator;
import java.util.ArrayList;
import java.util.List;
import l.a.a.a.g.b;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class a extends View implements l.a.a.a.f.a {
    public InterfaceC0341a mCircleClickListener;
    public int mCircleColor;
    public List<PointF> mCirclePoints;
    public int mCircleSpacing;
    public int mCurrentIndex;
    public float mDownX;
    public float mDownY;
    public boolean mFollowTouch;
    public float mIndicatorX;
    public Paint mPaint;
    public int mRadius;
    public Interpolator mStartInterpolator;
    public int mStrokeWidth;
    public int mTotalCount;
    public int mTouchSlop;
    public boolean mTouchable;

    /* compiled from: AAA */
    /* renamed from: l.a.a.a.g.c.a$a  reason: collision with other inner class name */
    /* loaded from: classes3.dex */
    public interface InterfaceC0341a {
        void onClick(int i2);
    }

    public a(Context context) {
        super(context);
        this.mStartInterpolator = new LinearInterpolator();
        this.mPaint = new Paint(1);
        this.mCirclePoints = new ArrayList();
        this.mFollowTouch = true;
        init(context);
    }

    private void drawCircles(Canvas canvas) {
        this.mPaint.setStyle(Paint.Style.STROKE);
        this.mPaint.setStrokeWidth(this.mStrokeWidth);
        int size = this.mCirclePoints.size();
        for (int i2 = 0; i2 < size; i2++) {
            PointF pointF = this.mCirclePoints.get(i2);
            canvas.drawCircle(pointF.x, pointF.y, this.mRadius, this.mPaint);
        }
    }

    private void drawIndicator(Canvas canvas) {
        this.mPaint.setStyle(Paint.Style.FILL);
        if (this.mCirclePoints.size() > 0) {
            canvas.drawCircle(this.mIndicatorX, (int) ((getHeight() / 2.0f) + 0.5f), this.mRadius, this.mPaint);
        }
    }

    private void init(Context context) {
        this.mTouchSlop = ViewConfiguration.get(context).getScaledTouchSlop();
        this.mRadius = b.dip2px(context, 3.0d);
        this.mCircleSpacing = b.dip2px(context, 8.0d);
        this.mStrokeWidth = b.dip2px(context, 1.0d);
    }

    private int measureHeight(int i2) {
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode == Integer.MIN_VALUE || mode == 0) {
            return (this.mRadius * 2) + (this.mStrokeWidth * 2) + getPaddingTop() + getPaddingBottom();
        }
        if (mode != 1073741824) {
            return 0;
        }
        return size;
    }

    private int measureWidth(int i2) {
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode == Integer.MIN_VALUE || mode == 0) {
            int i3 = this.mTotalCount;
            return (this.mStrokeWidth * 2) + (this.mRadius * i3 * 2) + ((i3 - 1) * this.mCircleSpacing) + getPaddingLeft() + getPaddingRight();
        } else if (mode != 1073741824) {
            return 0;
        } else {
            return size;
        }
    }

    private void prepareCirclePoints() {
        this.mCirclePoints.clear();
        if (this.mTotalCount > 0) {
            int height = (int) ((getHeight() / 2.0f) + 0.5f);
            int i2 = this.mRadius;
            int i3 = (i2 * 2) + this.mCircleSpacing;
            int paddingLeft = i2 + ((int) ((this.mStrokeWidth / 2.0f) + 0.5f)) + getPaddingLeft();
            for (int i4 = 0; i4 < this.mTotalCount; i4++) {
                this.mCirclePoints.add(new PointF(paddingLeft, height));
                paddingLeft += i3;
            }
            this.mIndicatorX = this.mCirclePoints.get(this.mCurrentIndex).x;
        }
    }

    public InterfaceC0341a getCircleClickListener() {
        return this.mCircleClickListener;
    }

    public int getCircleColor() {
        return this.mCircleColor;
    }

    public int getCircleCount() {
        return this.mTotalCount;
    }

    public int getCircleSpacing() {
        return this.mCircleSpacing;
    }

    public int getRadius() {
        return this.mRadius;
    }

    public Interpolator getStartInterpolator() {
        return this.mStartInterpolator;
    }

    public int getStrokeWidth() {
        return this.mStrokeWidth;
    }

    public boolean isFollowTouch() {
        return this.mFollowTouch;
    }

    public boolean isTouchable() {
        return this.mTouchable;
    }

    @Override // l.a.a.a.f.a
    public void notifyDataSetChanged() {
        prepareCirclePoints();
        invalidate();
    }

    @Override // l.a.a.a.f.a
    public void onAttachToMagicIndicator() {
    }

    @Override // l.a.a.a.f.a
    public void onDetachFromMagicIndicator() {
    }

    @Override // android.view.View
    public void onDraw(Canvas canvas) {
        this.mPaint.setColor(this.mCircleColor);
        drawCircles(canvas);
        drawIndicator(canvas);
    }

    @Override // android.view.View
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        prepareCirclePoints();
    }

    @Override // android.view.View
    public void onMeasure(int i2, int i3) {
        setMeasuredDimension(measureWidth(i2), measureHeight(i3));
    }

    @Override // l.a.a.a.f.a
    public void onPageScrollStateChanged(int i2) {
    }

    @Override // l.a.a.a.f.a
    public void onPageScrolled(int i2, float f2, int i3) {
        if (!this.mFollowTouch || this.mCirclePoints.isEmpty()) {
            return;
        }
        int min = Math.min(this.mCirclePoints.size() - 1, i2);
        int min2 = Math.min(this.mCirclePoints.size() - 1, i2 + 1);
        float f3 = this.mCirclePoints.get(min).x;
        this.mIndicatorX = f3 + ((this.mCirclePoints.get(min2).x - f3) * this.mStartInterpolator.getInterpolation(f2));
        invalidate();
    }

    @Override // l.a.a.a.f.a
    public void onPageSelected(int i2) {
        this.mCurrentIndex = i2;
        if (this.mFollowTouch) {
            return;
        }
        this.mIndicatorX = this.mCirclePoints.get(i2).x;
        invalidate();
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        float x = motionEvent.getX();
        float y = motionEvent.getY();
        int action = motionEvent.getAction();
        if (action != 0) {
            if (action == 1 && this.mCircleClickListener != null && Math.abs(x - this.mDownX) <= this.mTouchSlop && Math.abs(y - this.mDownY) <= this.mTouchSlop) {
                float f2 = Float.MAX_VALUE;
                int i2 = 0;
                for (int i3 = 0; i3 < this.mCirclePoints.size(); i3++) {
                    float abs = Math.abs(this.mCirclePoints.get(i3).x - x);
                    if (abs < f2) {
                        i2 = i3;
                        f2 = abs;
                    }
                }
                this.mCircleClickListener.onClick(i2);
            }
        } else if (this.mTouchable) {
            this.mDownX = x;
            this.mDownY = y;
            return true;
        }
        return super.onTouchEvent(motionEvent);
    }

    public void setCircleClickListener(InterfaceC0341a interfaceC0341a) {
        if (!this.mTouchable) {
            this.mTouchable = true;
        }
        this.mCircleClickListener = interfaceC0341a;
    }

    public void setCircleColor(int i2) {
        this.mCircleColor = i2;
        invalidate();
    }

    public void setCircleCount(int i2) {
        this.mTotalCount = i2;
    }

    public void setCircleSpacing(int i2) {
        this.mCircleSpacing = i2;
        prepareCirclePoints();
        invalidate();
    }

    public void setFollowTouch(boolean z) {
        this.mFollowTouch = z;
    }

    public void setRadius(int i2) {
        this.mRadius = i2;
        prepareCirclePoints();
        invalidate();
    }

    public void setStartInterpolator(Interpolator interpolator) {
        this.mStartInterpolator = interpolator;
        if (interpolator == null) {
            this.mStartInterpolator = new LinearInterpolator();
        }
    }

    public void setStrokeWidth(int i2) {
        this.mStrokeWidth = i2;
        invalidate();
    }

    public void setTouchable(boolean z) {
        this.mTouchable = z;
    }
}
