package l.a.a.a.g.d.c;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Path;
import android.view.View;
import android.view.animation.Interpolator;
import android.view.animation.LinearInterpolator;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class d extends View implements l.a.a.a.g.d.b.c {
    public float mAnchorX;
    public int mLineColor;
    public int mLineHeight;
    public Paint mPaint;
    public Path mPath;
    public List<l.a.a.a.g.d.d.a> mPositionDataList;
    public boolean mReverse;
    public Interpolator mStartInterpolator;
    public int mTriangleHeight;
    public int mTriangleWidth;
    public float mYOffset;

    public d(Context context) {
        super(context);
        this.mPath = new Path();
        this.mStartInterpolator = new LinearInterpolator();
        init(context);
    }

    private void init(Context context) {
        Paint paint = new Paint(1);
        this.mPaint = paint;
        paint.setStyle(Paint.Style.FILL);
        this.mLineHeight = l.a.a.a.g.b.dip2px(context, 3.0d);
        this.mTriangleWidth = l.a.a.a.g.b.dip2px(context, 14.0d);
        this.mTriangleHeight = l.a.a.a.g.b.dip2px(context, 8.0d);
    }

    public int getLineColor() {
        return this.mLineColor;
    }

    public int getLineHeight() {
        return this.mLineHeight;
    }

    public Interpolator getStartInterpolator() {
        return this.mStartInterpolator;
    }

    public int getTriangleHeight() {
        return this.mTriangleHeight;
    }

    public int getTriangleWidth() {
        return this.mTriangleWidth;
    }

    public float getYOffset() {
        return this.mYOffset;
    }

    public boolean isReverse() {
        return this.mReverse;
    }

    @Override // android.view.View
    public void onDraw(Canvas canvas) {
        this.mPaint.setColor(this.mLineColor);
        if (this.mReverse) {
            canvas.drawRect(0.0f, (getHeight() - this.mYOffset) - this.mTriangleHeight, getWidth(), ((getHeight() - this.mYOffset) - this.mTriangleHeight) + this.mLineHeight, this.mPaint);
        } else {
            canvas.drawRect(0.0f, (getHeight() - this.mLineHeight) - this.mYOffset, getWidth(), getHeight() - this.mYOffset, this.mPaint);
        }
        this.mPath.reset();
        if (this.mReverse) {
            this.mPath.moveTo(this.mAnchorX - (this.mTriangleWidth / 2), (getHeight() - this.mYOffset) - this.mTriangleHeight);
            this.mPath.lineTo(this.mAnchorX, getHeight() - this.mYOffset);
            this.mPath.lineTo(this.mAnchorX + (this.mTriangleWidth / 2), (getHeight() - this.mYOffset) - this.mTriangleHeight);
        } else {
            this.mPath.moveTo(this.mAnchorX - (this.mTriangleWidth / 2), getHeight() - this.mYOffset);
            this.mPath.lineTo(this.mAnchorX, (getHeight() - this.mTriangleHeight) - this.mYOffset);
            this.mPath.lineTo(this.mAnchorX + (this.mTriangleWidth / 2), getHeight() - this.mYOffset);
        }
        this.mPath.close();
        canvas.drawPath(this.mPath, this.mPaint);
    }

    @Override // l.a.a.a.g.d.b.c
    public void onPageScrollStateChanged(int i2) {
    }

    @Override // l.a.a.a.g.d.b.c
    public void onPageScrolled(int i2, float f2, int i3) {
        List<l.a.a.a.g.d.d.a> list = this.mPositionDataList;
        if (list == null || list.isEmpty()) {
            return;
        }
        l.a.a.a.g.d.d.a imitativePositionData = l.a.a.a.b.getImitativePositionData(this.mPositionDataList, i2);
        l.a.a.a.g.d.d.a imitativePositionData2 = l.a.a.a.b.getImitativePositionData(this.mPositionDataList, i2 + 1);
        int i4 = imitativePositionData.mLeft;
        float f3 = i4 + ((imitativePositionData.mRight - i4) / 2);
        int i5 = imitativePositionData2.mLeft;
        this.mAnchorX = f3 + (((i5 + ((imitativePositionData2.mRight - i5) / 2)) - f3) * this.mStartInterpolator.getInterpolation(f2));
        invalidate();
    }

    @Override // l.a.a.a.g.d.b.c
    public void onPageSelected(int i2) {
    }

    @Override // l.a.a.a.g.d.b.c
    public void onPositionDataProvide(List<l.a.a.a.g.d.d.a> list) {
        this.mPositionDataList = list;
    }

    public void setLineColor(int i2) {
        this.mLineColor = i2;
    }

    public void setLineHeight(int i2) {
        this.mLineHeight = i2;
    }

    public void setReverse(boolean z) {
        this.mReverse = z;
    }

    public void setStartInterpolator(Interpolator interpolator) {
        this.mStartInterpolator = interpolator;
        if (interpolator == null) {
            this.mStartInterpolator = new LinearInterpolator();
        }
    }

    public void setTriangleHeight(int i2) {
        this.mTriangleHeight = i2;
    }

    public void setTriangleWidth(int i2) {
        this.mTriangleWidth = i2;
    }

    public void setYOffset(float f2) {
        this.mYOffset = f2;
    }
}
