package l.a.a.a.g.d.c;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.RectF;
import android.view.View;
import android.view.animation.Interpolator;
import android.view.animation.LinearInterpolator;
import java.util.List;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class e extends View implements l.a.a.a.g.d.b.c {
    public Interpolator mEndInterpolator;
    public int mFillColor;
    public int mHorizontalPadding;
    public Paint mPaint;
    public List<l.a.a.a.g.d.d.a> mPositionDataList;
    public RectF mRect;
    public float mRoundRadius;
    public boolean mRoundRadiusSet;
    public Interpolator mStartInterpolator;
    public int mVerticalPadding;

    public e(Context context) {
        super(context);
        this.mStartInterpolator = new LinearInterpolator();
        this.mEndInterpolator = new LinearInterpolator();
        this.mRect = new RectF();
        init(context);
    }

    private void init(Context context) {
        Paint paint = new Paint(1);
        this.mPaint = paint;
        paint.setStyle(Paint.Style.FILL);
        this.mVerticalPadding = l.a.a.a.g.b.dip2px(context, 6.0d);
        this.mHorizontalPadding = l.a.a.a.g.b.dip2px(context, 10.0d);
    }

    public Interpolator getEndInterpolator() {
        return this.mEndInterpolator;
    }

    public int getFillColor() {
        return this.mFillColor;
    }

    public int getHorizontalPadding() {
        return this.mHorizontalPadding;
    }

    public Paint getPaint() {
        return this.mPaint;
    }

    public float getRoundRadius() {
        return this.mRoundRadius;
    }

    public Interpolator getStartInterpolator() {
        return this.mStartInterpolator;
    }

    public int getVerticalPadding() {
        return this.mVerticalPadding;
    }

    @Override // android.view.View
    public void onDraw(Canvas canvas) {
        this.mPaint.setColor(this.mFillColor);
        RectF rectF = this.mRect;
        float f2 = this.mRoundRadius;
        canvas.drawRoundRect(rectF, f2, f2, this.mPaint);
    }

    @Override // l.a.a.a.g.d.b.c
    public void onPageScrollStateChanged(int i2) {
    }

    @Override // l.a.a.a.g.d.b.c
    public void onPageScrolled(int i2, float f2, int i3) {
        List<l.a.a.a.g.d.d.a> list = this.mPositionDataList;
        if (list == null || list.isEmpty()) {
            return;
        }
        l.a.a.a.g.d.d.a imitativePositionData = l.a.a.a.b.getImitativePositionData(this.mPositionDataList, i2);
        l.a.a.a.g.d.d.a imitativePositionData2 = l.a.a.a.b.getImitativePositionData(this.mPositionDataList, i2 + 1);
        RectF rectF = this.mRect;
        int i4 = imitativePositionData.mContentLeft;
        rectF.left = (i4 - this.mHorizontalPadding) + ((imitativePositionData2.mContentLeft - i4) * this.mEndInterpolator.getInterpolation(f2));
        RectF rectF2 = this.mRect;
        rectF2.top = imitativePositionData.mContentTop - this.mVerticalPadding;
        int i5 = imitativePositionData.mContentRight;
        rectF2.right = this.mHorizontalPadding + i5 + ((imitativePositionData2.mContentRight - i5) * this.mStartInterpolator.getInterpolation(f2));
        RectF rectF3 = this.mRect;
        rectF3.bottom = imitativePositionData.mContentBottom + this.mVerticalPadding;
        if (!this.mRoundRadiusSet) {
            this.mRoundRadius = rectF3.height() / 2.0f;
        }
        invalidate();
    }

    @Override // l.a.a.a.g.d.b.c
    public void onPageSelected(int i2) {
    }

    @Override // l.a.a.a.g.d.b.c
    public void onPositionDataProvide(List<l.a.a.a.g.d.d.a> list) {
        this.mPositionDataList = list;
    }

    public void setEndInterpolator(Interpolator interpolator) {
        this.mEndInterpolator = interpolator;
        if (interpolator == null) {
            this.mEndInterpolator = new LinearInterpolator();
        }
    }

    public void setFillColor(int i2) {
        this.mFillColor = i2;
    }

    public void setHorizontalPadding(int i2) {
        this.mHorizontalPadding = i2;
    }

    public void setRoundRadius(float f2) {
        this.mRoundRadius = f2;
        this.mRoundRadiusSet = true;
    }

    public void setStartInterpolator(Interpolator interpolator) {
        this.mStartInterpolator = interpolator;
        if (interpolator == null) {
            this.mStartInterpolator = new LinearInterpolator();
        }
    }

    public void setVerticalPadding(int i2) {
        this.mVerticalPadding = i2;
    }
}
