package l.a.a.a.g.d.e;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.view.View;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class a extends View implements l.a.a.a.g.d.b.b {
    public int mClipColor;
    public float mClipPercent;
    public boolean mLeftToRight;
    public Paint mPaint;
    public String mText;
    public Rect mTextBounds;
    public int mTextColor;

    public a(Context context) {
        super(context);
        this.mTextBounds = new Rect();
        init(context);
    }

    private void init(Context context) {
        int dip2px = l.a.a.a.g.b.dip2px(context, 16.0d);
        Paint paint = new Paint(1);
        this.mPaint = paint;
        paint.setTextSize(dip2px);
        int dip2px2 = l.a.a.a.g.b.dip2px(context, 10.0d);
        setPadding(dip2px2, 0, dip2px2, 0);
    }

    private int measureHeight(int i2) {
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode != Integer.MIN_VALUE) {
            return mode != 0 ? size : this.mTextBounds.height() + getPaddingTop() + getPaddingBottom();
        }
        return Math.min(this.mTextBounds.height() + getPaddingTop() + getPaddingBottom(), size);
    }

    private void measureTextBounds() {
        Paint paint = this.mPaint;
        String str = this.mText;
        paint.getTextBounds(str, 0, str == null ? 0 : str.length(), this.mTextBounds);
    }

    private int measureWidth(int i2) {
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode != Integer.MIN_VALUE) {
            return mode != 0 ? size : this.mTextBounds.width() + getPaddingLeft() + getPaddingRight();
        }
        return Math.min(this.mTextBounds.width() + getPaddingLeft() + getPaddingRight(), size);
    }

    public int getClipColor() {
        return this.mClipColor;
    }

    @Override // l.a.a.a.g.d.b.b
    public int getContentBottom() {
        Paint.FontMetrics fontMetrics = this.mPaint.getFontMetrics();
        return (int) ((getHeight() / 2) + ((fontMetrics.bottom - fontMetrics.top) / 2.0f));
    }

    @Override // l.a.a.a.g.d.b.b
    public int getContentLeft() {
        return (getLeft() + (getWidth() / 2)) - (this.mTextBounds.width() / 2);
    }

    @Override // l.a.a.a.g.d.b.b
    public int getContentRight() {
        return getLeft() + (getWidth() / 2) + (this.mTextBounds.width() / 2);
    }

    @Override // l.a.a.a.g.d.b.b
    public int getContentTop() {
        Paint.FontMetrics fontMetrics = this.mPaint.getFontMetrics();
        return (int) ((getHeight() / 2) - ((fontMetrics.bottom - fontMetrics.top) / 2.0f));
    }

    public String getText() {
        return this.mText;
    }

    public int getTextColor() {
        return this.mTextColor;
    }

    public float getTextSize() {
        return this.mPaint.getTextSize();
    }

    @Override // l.a.a.a.g.d.b.d
    public void onDeselected(int i2, int i3) {
    }

    @Override // android.view.View
    public void onDraw(Canvas canvas) {
        Paint.FontMetrics fontMetrics = this.mPaint.getFontMetrics();
        int height = (int) (((getHeight() - fontMetrics.bottom) - fontMetrics.top) / 2.0f);
        this.mPaint.setColor(this.mTextColor);
        float width = (getWidth() - this.mTextBounds.width()) / 2;
        float f2 = height;
        canvas.drawText(this.mText, width, f2, this.mPaint);
        canvas.save();
        if (this.mLeftToRight) {
            canvas.clipRect(0.0f, 0.0f, getWidth() * this.mClipPercent, getHeight());
        } else {
            canvas.clipRect(getWidth() * (1.0f - this.mClipPercent), 0.0f, getWidth(), getHeight());
        }
        this.mPaint.setColor(this.mClipColor);
        canvas.drawText(this.mText, width, f2, this.mPaint);
        canvas.restore();
    }

    @Override // l.a.a.a.g.d.b.d
    public void onEnter(int i2, int i3, float f2, boolean z) {
        this.mLeftToRight = z;
        this.mClipPercent = f2;
        invalidate();
    }

    @Override // l.a.a.a.g.d.b.d
    public void onLeave(int i2, int i3, float f2, boolean z) {
        this.mLeftToRight = !z;
        this.mClipPercent = 1.0f - f2;
        invalidate();
    }

    @Override // android.view.View
    public void onMeasure(int i2, int i3) {
        measureTextBounds();
        setMeasuredDimension(measureWidth(i2), measureHeight(i3));
    }

    @Override // l.a.a.a.g.d.b.d
    public void onSelected(int i2, int i3) {
    }

    public void setClipColor(int i2) {
        this.mClipColor = i2;
        invalidate();
    }

    public void setText(String str) {
        this.mText = str;
        requestLayout();
    }

    public void setTextColor(int i2) {
        this.mTextColor = i2;
        invalidate();
    }

    public void setTextSize(float f2) {
        this.mPaint.setTextSize(f2);
        requestLayout();
    }
}
