package m.a.b;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.concurrent.LinkedBlockingDeque;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public class f {
    public d rootState;
    public g trieConfig;

    /* compiled from: AAA */
    /* loaded from: classes3.dex */
    public static class b {
        public f trie;
        public g trieConfig;

        public b addKeyword(String str) {
            this.trie.addKeyword(str);
            return this;
        }

        public f build() {
            this.trie.constructFailureStates();
            return this.trie;
        }

        public b caseInsensitive() {
            this.trieConfig.setCaseInsensitive(true);
            return this;
        }

        public b onlyWholeWords() {
            this.trieConfig.setOnlyWholeWords(true);
            return this;
        }

        public b onlyWholeWordsWhiteSpaceSeparated() {
            this.trieConfig.setOnlyWholeWordsWhiteSpaceSeparated(true);
            return this;
        }

        public b removeOverlaps() {
            this.trieConfig.setAllowOverlaps(false);
            return this;
        }

        public b stopOnHit() {
            this.trie.trieConfig.setStopOnHit(true);
            return this;
        }

        public b() {
            g gVar = new g();
            this.trieConfig = gVar;
            this.trie = new f(gVar);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void addKeyword(String str) {
        if (str == null || str.length() == 0) {
            return;
        }
        d dVar = this.rootState;
        for (char c2 : str.toCharArray()) {
            Character valueOf = Character.valueOf(c2);
            if (this.trieConfig.isCaseInsensitive()) {
                valueOf = Character.valueOf(Character.toLowerCase(valueOf.charValue()));
            }
            dVar = dVar.addState(valueOf);
        }
        if (this.trieConfig.isCaseInsensitive()) {
            str = str.toLowerCase();
        }
        dVar.addEmit(str);
    }

    public static b builder() {
        return new b();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void constructFailureStates() {
        LinkedBlockingDeque linkedBlockingDeque = new LinkedBlockingDeque();
        for (d dVar : this.rootState.getStates()) {
            dVar.setFailure(this.rootState);
            linkedBlockingDeque.add(dVar);
        }
        while (!linkedBlockingDeque.isEmpty()) {
            d dVar2 = (d) linkedBlockingDeque.remove();
            for (Character ch : dVar2.getTransitions()) {
                d nextState = dVar2.nextState(ch);
                linkedBlockingDeque.add(nextState);
                d failure = dVar2.failure();
                while (failure.nextState(ch) == null) {
                    failure = failure.failure();
                }
                d nextState2 = failure.nextState(ch);
                nextState.setFailure(nextState2);
                nextState.addEmit(nextState2.emit());
            }
        }
    }

    private e createFragment(m.a.b.a aVar, String str, int i2) {
        return new m.a.b.b(str.substring(i2 + 1, aVar == null ? str.length() : aVar.getStart()));
    }

    private e createMatch(m.a.b.a aVar, String str) {
        return new c(str.substring(aVar.getStart(), aVar.getEnd() + 1), aVar);
    }

    private d getState(d dVar, Character ch) {
        d nextState = dVar.nextState(ch);
        while (nextState == null) {
            dVar = dVar.failure();
            nextState = dVar.nextState(ch);
        }
        return nextState;
    }

    private boolean isPartialMatch(CharSequence charSequence, m.a.b.a aVar) {
        if (aVar.getStart() == 0 || !Character.isAlphabetic(charSequence.charAt(aVar.getStart() - 1))) {
            return aVar.getEnd() + 1 != charSequence.length() && Character.isAlphabetic(charSequence.charAt(aVar.getEnd() + 1));
        }
        return true;
    }

    private void removePartialMatches(CharSequence charSequence, List<m.a.b.a> list) {
        ArrayList<m.a.b.a> arrayList = new ArrayList();
        for (m.a.b.a aVar : list) {
            if (isPartialMatch(charSequence, aVar)) {
                arrayList.add(aVar);
            }
        }
        for (m.a.b.a aVar2 : arrayList) {
            list.remove(aVar2);
        }
    }

    private void removePartialMatchesWhiteSpaceSeparated(CharSequence charSequence, List<m.a.b.a> list) {
        long length = charSequence.length();
        ArrayList<m.a.b.a> arrayList = new ArrayList();
        for (m.a.b.a aVar : list) {
            if ((aVar.getStart() != 0 && !Character.isWhitespace(charSequence.charAt(aVar.getStart() - 1))) || (aVar.getEnd() + 1 != length && !Character.isWhitespace(charSequence.charAt(aVar.getEnd() + 1)))) {
                arrayList.add(aVar);
            }
        }
        for (m.a.b.a aVar2 : arrayList) {
            list.remove(aVar2);
        }
    }

    private boolean storeEmits(int i2, d dVar, m.a.b.h.b bVar) {
        Collection<String> emit = dVar.emit();
        boolean z = false;
        if (emit != null && !emit.isEmpty()) {
            for (String str : emit) {
                bVar.emit(new m.a.b.a((i2 - str.length()) + 1, i2, str));
                z = true;
            }
        }
        return z;
    }

    public boolean containsMatch(CharSequence charSequence) {
        return firstMatch(charSequence) != null;
    }

    /* JADX WARN: Removed duplicated region for block: B:23:0x005e  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public m.a.b.a firstMatch(CharSequence charSequence) {
        if (!this.trieConfig.isAllowOverlaps()) {
            Collection<m.a.b.a> parseText = parseText(charSequence);
            if (parseText == null || parseText.isEmpty()) {
                return null;
            }
            return parseText.iterator().next();
        }
        d dVar = this.rootState;
        for (int i2 = 0; i2 < charSequence.length(); i2++) {
            Character valueOf = Character.valueOf(charSequence.charAt(i2));
            if (this.trieConfig.isCaseInsensitive()) {
                valueOf = Character.valueOf(Character.toLowerCase(valueOf.charValue()));
            }
            dVar = getState(dVar, valueOf);
            Collection<String> emit = dVar.emit();
            if (emit != null && !emit.isEmpty()) {
                for (String str : emit) {
                    m.a.b.a aVar = new m.a.b.a((i2 - str.length()) + 1, i2, str);
                    if (!this.trieConfig.isOnlyWholeWords() || !isPartialMatch(charSequence, aVar)) {
                        return aVar;
                    }
                    while (r2.hasNext()) {
                    }
                }
                continue;
            }
        }
        return null;
    }

    public Collection<m.a.b.a> parseText(CharSequence charSequence) {
        m.a.b.h.a aVar = new m.a.b.h.a();
        parseText(charSequence, aVar);
        List<m.a.b.a> emits = aVar.getEmits();
        if (this.trieConfig.isOnlyWholeWords()) {
            removePartialMatches(charSequence, emits);
        }
        if (this.trieConfig.isOnlyWholeWordsWhiteSpaceSeparated()) {
            removePartialMatchesWhiteSpaceSeparated(charSequence, emits);
        }
        if (!this.trieConfig.isAllowOverlaps()) {
            new m.a.a.b(emits).removeOverlaps(emits);
        }
        return emits;
    }

    public Collection<e> tokenize(String str) {
        ArrayList arrayList = new ArrayList();
        int i2 = -1;
        for (m.a.b.a aVar : parseText(str)) {
            if (aVar.getStart() - i2 > 1) {
                arrayList.add(createFragment(aVar, str, i2));
            }
            arrayList.add(createMatch(aVar, str));
            i2 = aVar.getEnd();
        }
        if (str.length() - i2 > 1) {
            arrayList.add(createFragment(null, str, i2));
        }
        return arrayList;
    }

    public f(g gVar) {
        this.trieConfig = gVar;
        this.rootState = new d();
    }

    public void parseText(CharSequence charSequence, m.a.b.h.b bVar) {
        d dVar = this.rootState;
        for (int i2 = 0; i2 < charSequence.length(); i2++) {
            Character valueOf = Character.valueOf(charSequence.charAt(i2));
            if (this.trieConfig.isCaseInsensitive()) {
                valueOf = Character.valueOf(Character.toLowerCase(valueOf.charValue()));
            }
            dVar = getState(dVar, valueOf);
            if (storeEmits(i2, dVar, bVar) && this.trieConfig.isStopOnHit()) {
                return;
            }
        }
    }
}
