package n.a.a.u;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.webkit.WebResourceError;
import android.webkit.WebResourceRequest;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.Button;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.ProgressBar;
import com.qq.e.comm.compliance.DownloadConfirmCallBack;
import n.a.a.w.f;
import pro.dxys.ad.R;
/* compiled from: AAA */
/* loaded from: classes4.dex */
public class a extends Dialog implements View.OnClickListener {
    public static final String LOAD_ERROR_TEXT = "抱歉，应用信息获取失败";
    public static final String RELOAD_TEXT = "重新加载";
    public static final String TAG = "ConfirmDialogWebView";
    public DownloadConfirmCallBack callBack;
    public ImageView close;
    public Button confirm;
    public ViewGroup contentHolder;
    public Context context;
    public ProgressBar loadingBar;
    public int orientation;
    public Button reloadButton;
    public String url;
    public boolean urlLoadError;
    public WebView webView;

    /* compiled from: AAA */
    /* renamed from: n.a.a.u.a$a  reason: collision with other inner class name */
    /* loaded from: classes4.dex */
    public class DialogInterface$OnShowListenerC0385a implements DialogInterface.OnShowListener {
        public DialogInterface$OnShowListenerC0385a() {
        }

        @Override // android.content.DialogInterface.OnShowListener
        public void onShow(DialogInterface dialogInterface) {
            try {
                a.this.getWindow().setWindowAnimations(0);
            } catch (Throwable unused) {
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes4.dex */
    public class b extends WebViewClient {
        public b() {
        }

        @Override // android.webkit.WebViewClient
        public void onPageFinished(WebView webView, String str) {
            super.onPageFinished(webView, str);
            if (a.this.urlLoadError) {
                return;
            }
            a.this.loadingBar.setVisibility(8);
            a.this.reloadButton.setVisibility(8);
            a.this.contentHolder.setVisibility(0);
        }

        @Override // android.webkit.WebViewClient
        public void onReceivedError(WebView webView, WebResourceRequest webResourceRequest, WebResourceError webResourceError) {
            super.onReceivedError(webView, webResourceRequest, webResourceError);
            Log.d(a.TAG, "doConfirmWithInfo onReceivedError:" + webResourceError + " " + webResourceRequest);
            a.this.urlLoadError = true;
            a.this.loadingBar.setVisibility(8);
            a.this.contentHolder.setVisibility(8);
            a.this.reloadButton.setVisibility(0);
            a.this.reloadButton.setText(a.RELOAD_TEXT);
            a.this.reloadButton.setEnabled(true);
        }
    }

    public a(Activity activity, int i2, String str, DownloadConfirmCallBack downloadConfirmCallBack) {
        super(activity, R.style.adsdk_DownloadConfirmDialogFullScreen);
        this.urlLoadError = false;
        this.context = activity;
        this.callBack = downloadConfirmCallBack;
        this.url = str;
        this.orientation = activity.getResources().getConfiguration().orientation;
        requestWindowFeature(1);
        setCanceledOnTouchOutside(true);
        initView();
        if (i2 != 0) {
            setInstallTip();
        }
    }

    private void createTextView() {
        WebView webView = new WebView(this.context);
        this.webView = webView;
        webView.getSettings().setJavaScriptEnabled(true);
        this.webView.setWebViewClient(new b());
        ((FrameLayout) findViewById(R.id.download_confirm_holder)).addView(this.webView);
    }

    private void initView() {
        int i2;
        setContentView(R.layout.adsdk_download_confirm_dialog);
        View findViewById = findViewById(R.id.download_confirm_root);
        int i3 = this.orientation;
        if (i3 != 1) {
            if (i3 == 2) {
                i2 = R.drawable.adsdk_download_confirm_background_landscape;
            }
            ImageView imageView = (ImageView) findViewById(R.id.download_confirm_close);
            this.close = imageView;
            imageView.setOnClickListener(this);
            Button button = (Button) findViewById(R.id.download_confirm_reload_button);
            this.reloadButton = button;
            button.setOnClickListener(this);
            Button button2 = (Button) findViewById(R.id.download_confirm_confirm);
            this.confirm = button2;
            button2.setOnClickListener(this);
            this.loadingBar = (ProgressBar) findViewById(R.id.download_confirm_progress_bar);
            this.contentHolder = (ViewGroup) findViewById(R.id.download_confirm_content);
            createTextView();
        }
        i2 = R.drawable.adsdk_download_confirm_background_portrait;
        findViewById.setBackgroundResource(i2);
        ImageView imageView2 = (ImageView) findViewById(R.id.download_confirm_close);
        this.close = imageView2;
        imageView2.setOnClickListener(this);
        Button button3 = (Button) findViewById(R.id.download_confirm_reload_button);
        this.reloadButton = button3;
        button3.setOnClickListener(this);
        Button button22 = (Button) findViewById(R.id.download_confirm_confirm);
        this.confirm = button22;
        button22.setOnClickListener(this);
        this.loadingBar = (ProgressBar) findViewById(R.id.download_confirm_progress_bar);
        this.contentHolder = (ViewGroup) findViewById(R.id.download_confirm_content);
        createTextView();
    }

    private void loadUrl(String str) {
        if (TextUtils.isEmpty(str)) {
            this.loadingBar.setVisibility(8);
            this.contentHolder.setVisibility(8);
            this.reloadButton.setVisibility(0);
            this.reloadButton.setText(LOAD_ERROR_TEXT);
            this.reloadButton.setEnabled(false);
            return;
        }
        this.urlLoadError = false;
        Log.d(TAG, "download confirm load url:" + str);
        this.webView.loadUrl(str);
    }

    @Override // android.app.Dialog, android.content.DialogInterface
    public void cancel() {
        super.cancel();
        DownloadConfirmCallBack downloadConfirmCallBack = this.callBack;
        if (downloadConfirmCallBack != null) {
            downloadConfirmCallBack.onCancel();
        }
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View view) {
        if (view == this.close) {
            DownloadConfirmCallBack downloadConfirmCallBack = this.callBack;
            if (downloadConfirmCallBack != null) {
                downloadConfirmCallBack.onCancel();
            }
        } else if (view != this.confirm) {
            if (view == this.reloadButton) {
                loadUrl(this.url);
                return;
            }
            return;
        } else {
            DownloadConfirmCallBack downloadConfirmCallBack2 = this.callBack;
            if (downloadConfirmCallBack2 != null) {
                downloadConfirmCallBack2.onConfirm();
            }
        }
        dismiss();
    }

    @Override // android.app.Dialog
    public void onStart() {
        int i2;
        int deviceHeightInPixel = n.a.a.u.b.getDeviceHeightInPixel(this.context);
        int deviceWidthInPixel = n.a.a.u.b.getDeviceWidthInPixel(this.context);
        Window window = getWindow();
        window.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams attributes = window.getAttributes();
        int i3 = this.orientation;
        if (i3 != 1) {
            if (i3 == 2) {
                double d2 = deviceWidthInPixel;
                Double.isNaN(d2);
                attributes.width = (int) (d2 * 0.5d);
                attributes.height = -1;
                attributes.gravity = 5;
                i2 = R.style.adsdk_DownloadConfirmDialogAnimationRight;
            }
            attributes.dimAmount = 0.5f;
            window.setAttributes(attributes);
            setOnShowListener(new DialogInterface$OnShowListenerC0385a());
        }
        attributes.width = -1;
        double d3 = deviceHeightInPixel;
        Double.isNaN(d3);
        attributes.height = (int) (d3 * 0.6d);
        attributes.gravity = 80;
        i2 = R.style.adsdk_DownloadConfirmDialogAnimationUp;
        attributes.windowAnimations = i2;
        attributes.dimAmount = 0.5f;
        window.setAttributes(attributes);
        setOnShowListener(new DialogInterface$OnShowListenerC0385a());
    }

    public void setInstallTip() {
        this.confirm.setText("立即安装");
    }

    @Override // android.app.Dialog
    public void show() {
        super.show();
        try {
            loadUrl(this.url);
        } catch (Exception e2) {
            Log.e(f.SP_NAME, "load error url:" + this.url, e2);
        }
    }
}
