package org.greenrobot.eventbus;
/* compiled from: AAA */
/* loaded from: classes3.dex */
public final class PendingPostQueue {
    public PendingPost head;
    public PendingPost tail;

    public synchronized void enqueue(PendingPost pendingPost) {
        try {
            if (pendingPost != null) {
                if (this.tail != null) {
                    this.tail.next = pendingPost;
                    this.tail = pendingPost;
                } else if (this.head == null) {
                    this.tail = pendingPost;
                    this.head = pendingPost;
                } else {
                    throw new IllegalStateException("Head present, but no tail");
                }
                notifyAll();
            } else {
                throw new NullPointerException("null cannot be enqueued");
            }
        } catch (Throwable th) {
            throw th;
        }
    }

    public synchronized PendingPost poll() {
        PendingPost pendingPost;
        pendingPost = this.head;
        if (this.head != null) {
            PendingPost pendingPost2 = this.head.next;
            this.head = pendingPost2;
            if (pendingPost2 == null) {
                this.tail = null;
            }
        }
        return pendingPost;
    }

    public synchronized PendingPost poll(int i2) throws InterruptedException {
        if (this.head == null) {
            wait(i2);
        }
        return poll();
    }
}
